/**
 * <copyright>
 * 
 * Copyright (c) 2013 itemis and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors: 
 *     itemis - Initial API and implementation
 * 
 * </copyright>
 */
package org.safe.examples.common.ui.perspectives;

/**
 * Interface defining constants used for the definition of the SAFE perspective.
 */
public interface ISAFEPerspectiveConstants {
	String LEFT = "left"; //$NON-NLS-1$
	String TOP_LEFT = "topLeft"; //$NON-NLS-1$
	String BOTTOM_RIGHT = "bottomRight"; //$NON-NLS-1$

	/***************************
	 * --- Perspective IDs --- *
	 ***************************/

	/**
	 * The id for the SAFE perspective.
	 */
	String ID_SAFE_PERSPECTIVE = "org.safe.examples.common.ui.perspectives.safe"; //$NON-NLS-1$

	/**
	 * The id for the Eclipse Resource perspective.
	 */
	String ID_RESOURCE_PERSPECTIVE = "org.eclipse.ui.resourcePerspective"; //$NON-NLS-1$

	/*********************
	 * --- Views IDs --- *
	 *********************/

	/**
	 * The view id for the Eclipse Problems view.
	 */
	String ID_PROBLEMS_VIEW = "org.eclipse.ui.views.ProblemView";//$NON-NLS-1$

	/**
	 * The view id for the Eclipse Error Log view.
	 */
	String ID_ERROR_LOG_VIEW = "org.eclipse.pde.runtime.LogView"; //$NON-NLS-1$

	/**
	 * The view id for the Eclipse Console view.
	 */
	String ID_CONSOLE_VIEW = "org.eclipse.ui.console.ConsoleView"; //$NON-NLS-1$

	/**
	 * The view id for the Artop AUTOSAR Explorer view.
	 */
	String ID_SAFE_EXPLORER = "org.safe.examples.explorer.views.safeExplorer"; //$NON-NLS-1$

	/**
	 * The view id for the Artop Validation view.
	 */
	String ID_VALIDATION_VIEW = "org.safe.examples.validation.ui.views.validation"; //$NON-NLS-1$

	/***********************
	 * --- Wizards IDs --- *
	 ***********************/

	/**
	 * The wizard id for the SAFE new SAFE project wizard.
	 */
	String ID_SAFE_NEW_PROJECT = "org.safe.examples.common.ui.newWizards.safeProject"; //$NON-NLS-1$

	/**
	 * The wizard id for the SAFE new SAFE file wizard.
	 */
	String ID_SAFE_NEW_FILE = "org.safe.examples.common.ui.newWizards.safeFile"; //$NON-NLS-1$

	/**
	 * The wizard id for the SAFE new linked file wizard.
	 */
	String ID_NEW_LINKED_FILE = "org.safe.examples.common.ui.newWizards.linkedFile";//$NON-NLS-1$

	/**
	 * The wizard id for the SAFE new linked folder wizard.
	 */
	String ID_NEW_LINKED_FOLDER = "org.safe.examples.common.ui.newWizards.linkedFolder";//$NON-NLS-1$

	/**
	 * The wizard id for the Eclipse new file wizard.
	 */
	String ID_ECLIPSE_NEW_FILE = "org.eclipse.ui.wizards.new.file"; //$NON-NLS-1$

	/**
	 * The wizard id for the Eclipse new folder wizard.
	 */
	String ID_ECLIPSE_NEW_FOLDER = "org.eclipse.ui.wizards.new.folder"; //$NON-NLS-1$

	/**************************
	 * --- ActionSets IDs --- *
	 **************************/
	String ID_TEAM_ACTIONSET = "org.eclipse.team.ui.actionSet";//$NON-NLS-1$
	String ID_LAUNCH_ACTIONSET = "org.eclipse.debug.ui.launchActionSet";//$NON-NLS-1$

	/**************************
	 * --- Preference IDs --- *
	 **************************/
	String ID_SAFE_PREFERENCE_PAGE = "org.safe.ide.ui.preferences.safe"; //$NON-NLS-1$
}
