/**
 * <copyright>
 * 
 * Copyright (c) 2013 itemis and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors: 
 *     itemis - Initial API and implementation
 * 
 * </copyright>
 */
package org.safe.examples.editor.sections;

import org.safe.examples.editor.SAFEFormEditor;
import org.safe.examples.editor.internal.messages.Messages;
import org.safe.examples.editor.pages.SAFEContentsTreePage;
import org.eclipse.jface.action.ToolBarManager;
import org.eclipse.jface.viewers.ColumnViewer;
import org.eclipse.jface.viewers.ColumnViewerToolTipSupport;
import org.eclipse.sphinx.emf.editors.forms.sections.GenericContentsTreeSection;
import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.ui.forms.IManagedForm;
import org.eclipse.ui.forms.SectionPart;

public class SAFEContentsTreeSection  extends GenericContentsTreeSection  {
	
	public SAFEContentsTreeSection(SAFEContentsTreePage formPage, Object sectionInput) {
		this(formPage, sectionInput, SWT.NONE);
	}

	public SAFEContentsTreeSection(SAFEContentsTreePage formPage, Object sectionInput, int style) {
		super(formPage, sectionInput, style);
		description = Messages.SAFEContentsTreeSection_description;
	}

	@Override
	protected void createSectionClientContent(final IManagedForm managedForm, final SectionPart sectionPart, Composite sectionClient) {
		super.createSectionClientContent(managedForm, sectionPart, sectionClient);
		ColumnViewerToolTipSupport.enableFor((ColumnViewer) viewer);
	}

	@Override
	protected void fillSectionToolBarActions(ToolBarManager toolBarManager) {
		super.fillSectionToolBarActions(toolBarManager);
		toolBarManager.add(new AppearanceAction(viewer, (SAFEFormEditor) formPage.getEditor()));
	}
}
