/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package safe10.classmodel.commonstructure.safetyextensions.providers;

import java.util.ArrayList;
import java.util.Collection;

import org.eclipse.emf.common.notify.Adapter;
import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.common.notify.Notifier;

import org.eclipse.emf.edit.provider.ChangeNotifier;
import org.eclipse.emf.edit.provider.ComposeableAdapterFactory;
import org.eclipse.emf.edit.provider.ComposedAdapterFactory;
import org.eclipse.emf.edit.provider.IChangeNotifier;
import org.eclipse.emf.edit.provider.IDisposable;
import org.eclipse.emf.edit.provider.IEditingDomainItemProvider;
import org.eclipse.emf.edit.provider.IItemLabelProvider;
import org.eclipse.emf.edit.provider.IItemPropertySource;
import org.eclipse.emf.edit.provider.INotifyChangedListener;
import org.eclipse.emf.edit.provider.IStructuredItemContentProvider;
import org.eclipse.emf.edit.provider.ITreeItemContentProvider;

import safe10.classmodel.commonstructure.safetyextensions.util.SafetyextensionsAdapterFactory;

/**
 * This is the factory that is used to provide the interfaces needed to support Viewers.
 * The adapters generated by this factory convert EMF adapter notifications into calls to {@link #fireNotifyChanged fireNotifyChanged}.
 * The adapters also support Eclipse property sheets.
 * Note that most of the adapters are shared among multiple instances.
 * <!-- begin-user-doc -->
 * <!-- end-user-doc -->
 * @generated
 */
public class SafetyextensionsItemProviderAdapterFactory extends SafetyextensionsAdapterFactory implements ComposeableAdapterFactory, IChangeNotifier, IDisposable
{
  /**
   * This keeps track of the root adapter factory that delegates to this adapter factory.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected ComposedAdapterFactory parentAdapterFactory;

  /**
   * This is used to implement {@link org.eclipse.emf.edit.provider.IChangeNotifier}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected IChangeNotifier changeNotifier = new ChangeNotifier();

  /**
   * This keeps track of all the supported types checked by {@link #isFactoryForType isFactoryForType}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected Collection<Object> supportedTypes = new ArrayList<Object>();

  /**
   * This constructs an instance.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public SafetyextensionsItemProviderAdapterFactory()
  {
    supportedTypes.add(IEditingDomainItemProvider.class);
    supportedTypes.add(IStructuredItemContentProvider.class);
    supportedTypes.add(ITreeItemContentProvider.class);
    supportedTypes.add(IItemLabelProvider.class);
    supportedTypes.add(IItemPropertySource.class);
  }

  /**
   * This keeps track of the one adapter used for all {@link safe10.classmodel.commonstructure.safetyextensions.Class1} instances.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected Class1ItemProvider class1ItemProvider;

  /**
   * This creates an adapter for a {@link safe10.classmodel.commonstructure.safetyextensions.Class1}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Adapter createClass1Adapter()
  {
    if (class1ItemProvider == null)
    {
      class1ItemProvider = new Class1ItemProvider(this);
    }

    return class1ItemProvider;
  }

  /**
   * This keeps track of the one adapter used for all {@link safe10.classmodel.commonstructure.safetyextensions.FunctionalSafetyExtension} instances.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected FunctionalSafetyExtensionItemProvider functionalSafetyExtensionItemProvider;

  /**
   * This creates an adapter for a {@link safe10.classmodel.commonstructure.safetyextensions.FunctionalSafetyExtension}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Adapter createFunctionalSafetyExtensionAdapter()
  {
    if (functionalSafetyExtensionItemProvider == null)
    {
      functionalSafetyExtensionItemProvider = new FunctionalSafetyExtensionItemProvider(this);
    }

    return functionalSafetyExtensionItemProvider;
  }

  /**
   * This keeps track of the one adapter used for all {@link safe10.classmodel.commonstructure.safetyextensions.HardwareImplementationSafetyExtension} instances.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected HardwareImplementationSafetyExtensionItemProvider hardwareImplementationSafetyExtensionItemProvider;

  /**
   * This creates an adapter for a {@link safe10.classmodel.commonstructure.safetyextensions.HardwareImplementationSafetyExtension}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Adapter createHardwareImplementationSafetyExtensionAdapter()
  {
    if (hardwareImplementationSafetyExtensionItemProvider == null)
    {
      hardwareImplementationSafetyExtensionItemProvider = new HardwareImplementationSafetyExtensionItemProvider(this);
    }

    return hardwareImplementationSafetyExtensionItemProvider;
  }

  /**
   * This keeps track of the one adapter used for all {@link safe10.classmodel.commonstructure.safetyextensions.HazardandRiskSafetyExtension} instances.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected HazardandRiskSafetyExtensionItemProvider hazardandRiskSafetyExtensionItemProvider;

  /**
   * This creates an adapter for a {@link safe10.classmodel.commonstructure.safetyextensions.HazardandRiskSafetyExtension}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Adapter createHazardandRiskSafetyExtensionAdapter()
  {
    if (hazardandRiskSafetyExtensionItemProvider == null)
    {
      hazardandRiskSafetyExtensionItemProvider = new HazardandRiskSafetyExtensionItemProvider(this);
    }

    return hazardandRiskSafetyExtensionItemProvider;
  }

  /**
   * This keeps track of the one adapter used for all {@link safe10.classmodel.commonstructure.safetyextensions.ImplementationSafetyExtension} instances.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected ImplementationSafetyExtensionItemProvider implementationSafetyExtensionItemProvider;

  /**
   * This creates an adapter for a {@link safe10.classmodel.commonstructure.safetyextensions.ImplementationSafetyExtension}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Adapter createImplementationSafetyExtensionAdapter()
  {
    if (implementationSafetyExtensionItemProvider == null)
    {
      implementationSafetyExtensionItemProvider = new ImplementationSafetyExtensionItemProvider(this);
    }

    return implementationSafetyExtensionItemProvider;
  }

  /**
   * This keeps track of the one adapter used for all {@link safe10.classmodel.commonstructure.safetyextensions.RequirementsSafetyExtension} instances.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected RequirementsSafetyExtensionItemProvider requirementsSafetyExtensionItemProvider;

  /**
   * This creates an adapter for a {@link safe10.classmodel.commonstructure.safetyextensions.RequirementsSafetyExtension}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Adapter createRequirementsSafetyExtensionAdapter()
  {
    if (requirementsSafetyExtensionItemProvider == null)
    {
      requirementsSafetyExtensionItemProvider = new RequirementsSafetyExtensionItemProvider(this);
    }

    return requirementsSafetyExtensionItemProvider;
  }

  /**
   * This keeps track of the one adapter used for all {@link safe10.classmodel.commonstructure.safetyextensions.SafetyExtension} instances.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected SafetyExtensionItemProvider safetyExtensionItemProvider;

  /**
   * This creates an adapter for a {@link safe10.classmodel.commonstructure.safetyextensions.SafetyExtension}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Adapter createSafetyExtensionAdapter()
  {
    if (safetyExtensionItemProvider == null)
    {
      safetyExtensionItemProvider = new SafetyExtensionItemProvider(this);
    }

    return safetyExtensionItemProvider;
  }

  /**
   * This keeps track of the one adapter used for all {@link safe10.classmodel.commonstructure.safetyextensions.SoftwareImplementationSafetyExtension} instances.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected SoftwareImplementationSafetyExtensionItemProvider softwareImplementationSafetyExtensionItemProvider;

  /**
   * This creates an adapter for a {@link safe10.classmodel.commonstructure.safetyextensions.SoftwareImplementationSafetyExtension}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Adapter createSoftwareImplementationSafetyExtensionAdapter()
  {
    if (softwareImplementationSafetyExtensionItemProvider == null)
    {
      softwareImplementationSafetyExtensionItemProvider = new SoftwareImplementationSafetyExtensionItemProvider(this);
    }

    return softwareImplementationSafetyExtensionItemProvider;
  }

  /**
   * This keeps track of the one adapter used for all {@link safe10.classmodel.commonstructure.safetyextensions.TechnicalSafetyExtension} instances.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected TechnicalSafetyExtensionItemProvider technicalSafetyExtensionItemProvider;

  /**
   * This creates an adapter for a {@link safe10.classmodel.commonstructure.safetyextensions.TechnicalSafetyExtension}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Adapter createTechnicalSafetyExtensionAdapter()
  {
    if (technicalSafetyExtensionItemProvider == null)
    {
      technicalSafetyExtensionItemProvider = new TechnicalSafetyExtensionItemProvider(this);
    }

    return technicalSafetyExtensionItemProvider;
  }

  /**
   * This returns the root adapter factory that contains this factory.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public ComposeableAdapterFactory getRootAdapterFactory()
  {
    return parentAdapterFactory == null ? this : parentAdapterFactory.getRootAdapterFactory();
  }

  /**
   * This sets the composed adapter factory that contains this factory.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setParentAdapterFactory(ComposedAdapterFactory parentAdapterFactory)
  {
    this.parentAdapterFactory = parentAdapterFactory;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public boolean isFactoryForType(Object type)
  {
    return supportedTypes.contains(type) || super.isFactoryForType(type);
  }

  /**
   * This implementation substitutes the factory itself as the key for the adapter.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Adapter adapt(Notifier notifier, Object type)
  {
    return super.adapt(notifier, this);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Object adapt(Object object, Object type)
  {
    if (isFactoryForType(type))
    {
      Object adapter = super.adapt(object, type);
      if (!(type instanceof Class<?>) || (((Class<?>)type).isInstance(adapter)))
      {
        return adapter;
      }
    }

    return null;
  }

  /**
   * This adds a listener.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void addListener(INotifyChangedListener notifyChangedListener)
  {
    changeNotifier.addListener(notifyChangedListener);
  }

  /**
   * This removes a listener.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void removeListener(INotifyChangedListener notifyChangedListener)
  {
    changeNotifier.removeListener(notifyChangedListener);
  }

  /**
   * This delegates to {@link #changeNotifier} and to {@link #parentAdapterFactory}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void fireNotifyChanged(Notification notification)
  {
    changeNotifier.fireNotifyChanged(notification);

    if (parentAdapterFactory != null)
    {
      parentAdapterFactory.fireNotifyChanged(notification);
    }
  }

  /**
   * This disposes all of the item providers created by this factory. 
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void dispose()
  {
    if (class1ItemProvider != null) class1ItemProvider.dispose();
    if (functionalSafetyExtensionItemProvider != null) functionalSafetyExtensionItemProvider.dispose();
    if (hardwareImplementationSafetyExtensionItemProvider != null) hardwareImplementationSafetyExtensionItemProvider.dispose();
    if (hazardandRiskSafetyExtensionItemProvider != null) hazardandRiskSafetyExtensionItemProvider.dispose();
    if (implementationSafetyExtensionItemProvider != null) implementationSafetyExtensionItemProvider.dispose();
    if (requirementsSafetyExtensionItemProvider != null) requirementsSafetyExtensionItemProvider.dispose();
    if (safetyExtensionItemProvider != null) safetyExtensionItemProvider.dispose();
    if (softwareImplementationSafetyExtensionItemProvider != null) softwareImplementationSafetyExtensionItemProvider.dispose();
    if (technicalSafetyExtensionItemProvider != null) technicalSafetyExtensionItemProvider.dispose();
  }

}
