/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package safe10.classmodel.errormodel._instanceref.providers;

import java.util.ArrayList;
import java.util.Collection;

import org.eclipse.emf.common.notify.Adapter;
import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.common.notify.Notifier;

import org.eclipse.emf.edit.provider.ChangeNotifier;
import org.eclipse.emf.edit.provider.ComposeableAdapterFactory;
import org.eclipse.emf.edit.provider.ComposedAdapterFactory;
import org.eclipse.emf.edit.provider.IChangeNotifier;
import org.eclipse.emf.edit.provider.IDisposable;
import org.eclipse.emf.edit.provider.IEditingDomainItemProvider;
import org.eclipse.emf.edit.provider.IItemLabelProvider;
import org.eclipse.emf.edit.provider.IItemPropertySource;
import org.eclipse.emf.edit.provider.INotifyChangedListener;
import org.eclipse.emf.edit.provider.IStructuredItemContentProvider;
import org.eclipse.emf.edit.provider.ITreeItemContentProvider;

import safe10.classmodel.errormodel._instanceref.util._instancerefAdapterFactory;

/**
 * This is the factory that is used to provide the interfaces needed to support Viewers.
 * The adapters generated by this factory convert EMF adapter notifications into calls to {@link #fireNotifyChanged fireNotifyChanged}.
 * The adapters also support Eclipse property sheets.
 * Note that most of the adapters are shared among multiple instances.
 * <!-- begin-user-doc -->
 * <!-- end-user-doc -->
 * @generated
 */
public class _instancerefItemProviderAdapterFactory extends _instancerefAdapterFactory implements ComposeableAdapterFactory, IChangeNotifier, IDisposable
{
  /**
   * This keeps track of the root adapter factory that delegates to this adapter factory.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected ComposedAdapterFactory parentAdapterFactory;

  /**
   * This is used to implement {@link org.eclipse.emf.edit.provider.IChangeNotifier}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected IChangeNotifier changeNotifier = new ChangeNotifier();

  /**
   * This keeps track of all the supported types checked by {@link #isFactoryForType isFactoryForType}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected Collection<Object> supportedTypes = new ArrayList<Object>();

  /**
   * This constructs an instance.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public _instancerefItemProviderAdapterFactory()
  {
    supportedTypes.add(IEditingDomainItemProvider.class);
    supportedTypes.add(IStructuredItemContentProvider.class);
    supportedTypes.add(ITreeItemContentProvider.class);
    supportedTypes.add(IItemLabelProvider.class);
    supportedTypes.add(IItemPropertySource.class);
  }

  /**
   * This keeps track of the one adapter used for all {@link safe10.classmodel.errormodel._instanceref.ErrorModelPrototype_functionTarget} instances.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected ErrorModelPrototype_functionTargetItemProvider errorModelPrototype_functionTargetItemProvider;

  /**
   * This creates an adapter for a {@link safe10.classmodel.errormodel._instanceref.ErrorModelPrototype_functionTarget}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Adapter createErrorModelPrototype_functionTargetAdapter()
  {
    if (errorModelPrototype_functionTargetItemProvider == null)
    {
      errorModelPrototype_functionTargetItemProvider = new ErrorModelPrototype_functionTargetItemProvider(this);
    }

    return errorModelPrototype_functionTargetItemProvider;
  }

  /**
   * This keeps track of the one adapter used for all {@link safe10.classmodel.errormodel._instanceref.ErrorModelPrototype_hwTarget} instances.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected ErrorModelPrototype_hwTargetItemProvider errorModelPrototype_hwTargetItemProvider;

  /**
   * This creates an adapter for a {@link safe10.classmodel.errormodel._instanceref.ErrorModelPrototype_hwTarget}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Adapter createErrorModelPrototype_hwTargetAdapter()
  {
    if (errorModelPrototype_hwTargetItemProvider == null)
    {
      errorModelPrototype_hwTargetItemProvider = new ErrorModelPrototype_hwTargetItemProvider(this);
    }

    return errorModelPrototype_hwTargetItemProvider;
  }

  /**
   * This keeps track of the one adapter used for all {@link safe10.classmodel.errormodel._instanceref.FaultFailurePort_functionTarget} instances.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected FaultFailurePort_functionTargetItemProvider faultFailurePort_functionTargetItemProvider;

  /**
   * This creates an adapter for a {@link safe10.classmodel.errormodel._instanceref.FaultFailurePort_functionTarget}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Adapter createFaultFailurePort_functionTargetAdapter()
  {
    if (faultFailurePort_functionTargetItemProvider == null)
    {
      faultFailurePort_functionTargetItemProvider = new FaultFailurePort_functionTargetItemProvider(this);
    }

    return faultFailurePort_functionTargetItemProvider;
  }

  /**
   * This keeps track of the one adapter used for all {@link safe10.classmodel.errormodel._instanceref.FaultFailurePort_hwTarget} instances.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected FaultFailurePort_hwTargetItemProvider faultFailurePort_hwTargetItemProvider;

  /**
   * This creates an adapter for a {@link safe10.classmodel.errormodel._instanceref.FaultFailurePort_hwTarget}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Adapter createFaultFailurePort_hwTargetAdapter()
  {
    if (faultFailurePort_hwTargetItemProvider == null)
    {
      faultFailurePort_hwTargetItemProvider = new FaultFailurePort_hwTargetItemProvider(this);
    }

    return faultFailurePort_hwTargetItemProvider;
  }

  /**
   * This keeps track of the one adapter used for all {@link safe10.classmodel.errormodel._instanceref.MalfunctionInstanceRef} instances.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected MalfunctionInstanceRefItemProvider malfunctionInstanceRefItemProvider;

  /**
   * This creates an adapter for a {@link safe10.classmodel.errormodel._instanceref.MalfunctionInstanceRef}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Adapter createMalfunctionInstanceRefAdapter()
  {
    if (malfunctionInstanceRefItemProvider == null)
    {
      malfunctionInstanceRefItemProvider = new MalfunctionInstanceRefItemProvider(this);
    }

    return malfunctionInstanceRefItemProvider;
  }

  /**
   * This returns the root adapter factory that contains this factory.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public ComposeableAdapterFactory getRootAdapterFactory()
  {
    return parentAdapterFactory == null ? this : parentAdapterFactory.getRootAdapterFactory();
  }

  /**
   * This sets the composed adapter factory that contains this factory.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setParentAdapterFactory(ComposedAdapterFactory parentAdapterFactory)
  {
    this.parentAdapterFactory = parentAdapterFactory;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public boolean isFactoryForType(Object type)
  {
    return supportedTypes.contains(type) || super.isFactoryForType(type);
  }

  /**
   * This implementation substitutes the factory itself as the key for the adapter.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Adapter adapt(Notifier notifier, Object type)
  {
    return super.adapt(notifier, this);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Object adapt(Object object, Object type)
  {
    if (isFactoryForType(type))
    {
      Object adapter = super.adapt(object, type);
      if (!(type instanceof Class<?>) || (((Class<?>)type).isInstance(adapter)))
      {
        return adapter;
      }
    }

    return null;
  }

  /**
   * This adds a listener.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void addListener(INotifyChangedListener notifyChangedListener)
  {
    changeNotifier.addListener(notifyChangedListener);
  }

  /**
   * This removes a listener.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void removeListener(INotifyChangedListener notifyChangedListener)
  {
    changeNotifier.removeListener(notifyChangedListener);
  }

  /**
   * This delegates to {@link #changeNotifier} and to {@link #parentAdapterFactory}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void fireNotifyChanged(Notification notification)
  {
    changeNotifier.fireNotifyChanged(notification);

    if (parentAdapterFactory != null)
    {
      parentAdapterFactory.fireNotifyChanged(notification);
    }
  }

  /**
   * This disposes all of the item providers created by this factory. 
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void dispose()
  {
    if (errorModelPrototype_functionTargetItemProvider != null) errorModelPrototype_functionTargetItemProvider.dispose();
    if (errorModelPrototype_hwTargetItemProvider != null) errorModelPrototype_hwTargetItemProvider.dispose();
    if (faultFailurePort_functionTargetItemProvider != null) faultFailurePort_functionTargetItemProvider.dispose();
    if (faultFailurePort_hwTargetItemProvider != null) faultFailurePort_hwTargetItemProvider.dispose();
    if (malfunctionInstanceRefItemProvider != null) malfunctionInstanceRefItemProvider.dispose();
  }

}
