/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package safe10.classmodel.errormodel.malfunction.providers;

import java.util.ArrayList;
import java.util.Collection;

import org.eclipse.emf.common.notify.Adapter;
import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.common.notify.Notifier;

import org.eclipse.emf.edit.provider.ChangeNotifier;
import org.eclipse.emf.edit.provider.ComposeableAdapterFactory;
import org.eclipse.emf.edit.provider.ComposedAdapterFactory;
import org.eclipse.emf.edit.provider.IChangeNotifier;
import org.eclipse.emf.edit.provider.IDisposable;
import org.eclipse.emf.edit.provider.IEditingDomainItemProvider;
import org.eclipse.emf.edit.provider.IItemLabelProvider;
import org.eclipse.emf.edit.provider.IItemPropertySource;
import org.eclipse.emf.edit.provider.INotifyChangedListener;
import org.eclipse.emf.edit.provider.IStructuredItemContentProvider;
import org.eclipse.emf.edit.provider.ITreeItemContentProvider;

import safe10.classmodel.errormodel.malfunction.util.MalfunctionAdapterFactory;

/**
 * This is the factory that is used to provide the interfaces needed to support Viewers.
 * The adapters generated by this factory convert EMF adapter notifications into calls to {@link #fireNotifyChanged fireNotifyChanged}.
 * The adapters also support Eclipse property sheets.
 * Note that most of the adapters are shared among multiple instances.
 * <!-- begin-user-doc -->
 * <!-- end-user-doc -->
 * @generated
 */
public class MalfunctionItemProviderAdapterFactory extends MalfunctionAdapterFactory implements ComposeableAdapterFactory, IChangeNotifier, IDisposable
{
  /**
   * This keeps track of the root adapter factory that delegates to this adapter factory.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected ComposedAdapterFactory parentAdapterFactory;

  /**
   * This is used to implement {@link org.eclipse.emf.edit.provider.IChangeNotifier}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected IChangeNotifier changeNotifier = new ChangeNotifier();

  /**
   * This keeps track of all the supported types checked by {@link #isFactoryForType isFactoryForType}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected Collection<Object> supportedTypes = new ArrayList<Object>();

  /**
   * This constructs an instance.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public MalfunctionItemProviderAdapterFactory()
  {
    supportedTypes.add(IEditingDomainItemProvider.class);
    supportedTypes.add(IStructuredItemContentProvider.class);
    supportedTypes.add(ITreeItemContentProvider.class);
    supportedTypes.add(IItemLabelProvider.class);
    supportedTypes.add(IItemPropertySource.class);
  }

  /**
   * This keeps track of the one adapter used for all {@link safe10.classmodel.errormodel.malfunction.MFPFunctionPort} instances.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected MFPFunctionPortItemProvider mfpFunctionPortItemProvider;

  /**
   * This creates an adapter for a {@link safe10.classmodel.errormodel.malfunction.MFPFunctionPort}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Adapter createMFPFunctionPortAdapter()
  {
    if (mfpFunctionPortItemProvider == null)
    {
      mfpFunctionPortItemProvider = new MFPFunctionPortItemProvider(this);
    }

    return mfpFunctionPortItemProvider;
  }

  /**
   * This keeps track of the one adapter used for all {@link safe10.classmodel.errormodel.malfunction.MFPHardwarePin} instances.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected MFPHardwarePinItemProvider mfpHardwarePinItemProvider;

  /**
   * This creates an adapter for a {@link safe10.classmodel.errormodel.malfunction.MFPHardwarePin}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Adapter createMFPHardwarePinAdapter()
  {
    if (mfpHardwarePinItemProvider == null)
    {
      mfpHardwarePinItemProvider = new MFPHardwarePinItemProvider(this);
    }

    return mfpHardwarePinItemProvider;
  }

  /**
   * This keeps track of the one adapter used for all {@link safe10.classmodel.errormodel.malfunction.MFPOperation} instances.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected MFPOperationItemProvider mfpOperationItemProvider;

  /**
   * This creates an adapter for a {@link safe10.classmodel.errormodel.malfunction.MFPOperation}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Adapter createMFPOperationAdapter()
  {
    if (mfpOperationItemProvider == null)
    {
      mfpOperationItemProvider = new MFPOperationItemProvider(this);
    }

    return mfpOperationItemProvider;
  }

  /**
   * This keeps track of the one adapter used for all {@link safe10.classmodel.errormodel.malfunction.MFPSwcPort} instances.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected MFPSwcPortItemProvider mfpSwcPortItemProvider;

  /**
   * This creates an adapter for a {@link safe10.classmodel.errormodel.malfunction.MFPSwcPort}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Adapter createMFPSwcPortAdapter()
  {
    if (mfpSwcPortItemProvider == null)
    {
      mfpSwcPortItemProvider = new MFPSwcPortItemProvider(this);
    }

    return mfpSwcPortItemProvider;
  }

  /**
   * This keeps track of the one adapter used for all {@link safe10.classmodel.errormodel.malfunction.MFPVariable} instances.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected MFPVariableItemProvider mfpVariableItemProvider;

  /**
   * This creates an adapter for a {@link safe10.classmodel.errormodel.malfunction.MFPVariable}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Adapter createMFPVariableAdapter()
  {
    if (mfpVariableItemProvider == null)
    {
      mfpVariableItemProvider = new MFPVariableItemProvider(this);
    }

    return mfpVariableItemProvider;
  }

  /**
   * This keeps track of the one adapter used for all {@link safe10.classmodel.errormodel.malfunction.MTEnum} instances.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected MTEnumItemProvider mtEnumItemProvider;

  /**
   * This creates an adapter for a {@link safe10.classmodel.errormodel.malfunction.MTEnum}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Adapter createMTEnumAdapter()
  {
    if (mtEnumItemProvider == null)
    {
      mtEnumItemProvider = new MTEnumItemProvider(this);
    }

    return mtEnumItemProvider;
  }

  /**
   * This keeps track of the one adapter used for all {@link safe10.classmodel.errormodel.malfunction.MTEnumElement} instances.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected MTEnumElementItemProvider mtEnumElementItemProvider;

  /**
   * This creates an adapter for a {@link safe10.classmodel.errormodel.malfunction.MTEnumElement}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Adapter createMTEnumElementAdapter()
  {
    if (mtEnumElementItemProvider == null)
    {
      mtEnumElementItemProvider = new MTEnumElementItemProvider(this);
    }

    return mtEnumElementItemProvider;
  }

  /**
   * This keeps track of the one adapter used for all {@link safe10.classmodel.errormodel.malfunction.MTGeneral} instances.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected MTGeneralItemProvider mtGeneralItemProvider;

  /**
   * This creates an adapter for a {@link safe10.classmodel.errormodel.malfunction.MTGeneral}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Adapter createMTGeneralAdapter()
  {
    if (mtGeneralItemProvider == null)
    {
      mtGeneralItemProvider = new MTGeneralItemProvider(this);
    }

    return mtGeneralItemProvider;
  }

  /**
   * This returns the root adapter factory that contains this factory.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public ComposeableAdapterFactory getRootAdapterFactory()
  {
    return parentAdapterFactory == null ? this : parentAdapterFactory.getRootAdapterFactory();
  }

  /**
   * This sets the composed adapter factory that contains this factory.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setParentAdapterFactory(ComposedAdapterFactory parentAdapterFactory)
  {
    this.parentAdapterFactory = parentAdapterFactory;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public boolean isFactoryForType(Object type)
  {
    return supportedTypes.contains(type) || super.isFactoryForType(type);
  }

  /**
   * This implementation substitutes the factory itself as the key for the adapter.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Adapter adapt(Notifier notifier, Object type)
  {
    return super.adapt(notifier, this);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Object adapt(Object object, Object type)
  {
    if (isFactoryForType(type))
    {
      Object adapter = super.adapt(object, type);
      if (!(type instanceof Class<?>) || (((Class<?>)type).isInstance(adapter)))
      {
        return adapter;
      }
    }

    return null;
  }

  /**
   * This adds a listener.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void addListener(INotifyChangedListener notifyChangedListener)
  {
    changeNotifier.addListener(notifyChangedListener);
  }

  /**
   * This removes a listener.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void removeListener(INotifyChangedListener notifyChangedListener)
  {
    changeNotifier.removeListener(notifyChangedListener);
  }

  /**
   * This delegates to {@link #changeNotifier} and to {@link #parentAdapterFactory}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void fireNotifyChanged(Notification notification)
  {
    changeNotifier.fireNotifyChanged(notification);

    if (parentAdapterFactory != null)
    {
      parentAdapterFactory.fireNotifyChanged(notification);
    }
  }

  /**
   * This disposes all of the item providers created by this factory. 
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void dispose()
  {
    if (mfpFunctionPortItemProvider != null) mfpFunctionPortItemProvider.dispose();
    if (mfpHardwarePinItemProvider != null) mfpHardwarePinItemProvider.dispose();
    if (mfpOperationItemProvider != null) mfpOperationItemProvider.dispose();
    if (mfpSwcPortItemProvider != null) mfpSwcPortItemProvider.dispose();
    if (mfpVariableItemProvider != null) mfpVariableItemProvider.dispose();
    if (mtEnumItemProvider != null) mtEnumItemProvider.dispose();
    if (mtEnumElementItemProvider != null) mtEnumElementItemProvider.dispose();
    if (mtGeneralItemProvider != null) mtGeneralItemProvider.dispose();
  }

}
