/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package safe10.classmodel.hardware.failure.providers;

import java.util.ArrayList;
import java.util.Collection;

import org.eclipse.emf.common.notify.Adapter;
import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.common.notify.Notifier;

import org.eclipse.emf.edit.provider.ChangeNotifier;
import org.eclipse.emf.edit.provider.ComposeableAdapterFactory;
import org.eclipse.emf.edit.provider.ComposedAdapterFactory;
import org.eclipse.emf.edit.provider.IChangeNotifier;
import org.eclipse.emf.edit.provider.IDisposable;
import org.eclipse.emf.edit.provider.IEditingDomainItemProvider;
import org.eclipse.emf.edit.provider.IItemLabelProvider;
import org.eclipse.emf.edit.provider.IItemPropertySource;
import org.eclipse.emf.edit.provider.INotifyChangedListener;
import org.eclipse.emf.edit.provider.IStructuredItemContentProvider;
import org.eclipse.emf.edit.provider.ITreeItemContentProvider;

import safe10.classmodel.hardware.failure.util.FailureAdapterFactory;

/**
 * This is the factory that is used to provide the interfaces needed to support Viewers.
 * The adapters generated by this factory convert EMF adapter notifications into calls to {@link #fireNotifyChanged fireNotifyChanged}.
 * The adapters also support Eclipse property sheets.
 * Note that most of the adapters are shared among multiple instances.
 * <!-- begin-user-doc -->
 * <!-- end-user-doc -->
 * @generated
 */
public class FailureItemProviderAdapterFactory extends FailureAdapterFactory implements ComposeableAdapterFactory, IChangeNotifier, IDisposable
{
  /**
   * This keeps track of the root adapter factory that delegates to this adapter factory.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected ComposedAdapterFactory parentAdapterFactory;

  /**
   * This is used to implement {@link org.eclipse.emf.edit.provider.IChangeNotifier}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected IChangeNotifier changeNotifier = new ChangeNotifier();

  /**
   * This keeps track of all the supported types checked by {@link #isFactoryForType isFactoryForType}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected Collection<Object> supportedTypes = new ArrayList<Object>();

  /**
   * This constructs an instance.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public FailureItemProviderAdapterFactory()
  {
    supportedTypes.add(IEditingDomainItemProvider.class);
    supportedTypes.add(IStructuredItemContentProvider.class);
    supportedTypes.add(ITreeItemContentProvider.class);
    supportedTypes.add(IItemLabelProvider.class);
    supportedTypes.add(IItemPropertySource.class);
  }

  /**
   * This keeps track of the one adapter used for all {@link safe10.classmodel.hardware.failure.HardwareFailureAnalysis} instances.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected HardwareFailureAnalysisItemProvider hardwareFailureAnalysisItemProvider;

  /**
   * This creates an adapter for a {@link safe10.classmodel.hardware.failure.HardwareFailureAnalysis}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Adapter createHardwareFailureAnalysisAdapter()
  {
    if (hardwareFailureAnalysisItemProvider == null)
    {
      hardwareFailureAnalysisItemProvider = new HardwareFailureAnalysisItemProvider(this);
    }

    return hardwareFailureAnalysisItemProvider;
  }

  /**
   * This keeps track of the one adapter used for all {@link safe10.classmodel.hardware.failure.HWFailureRate} instances.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected HWFailureRateItemProvider hwFailureRateItemProvider;

  /**
   * This creates an adapter for a {@link safe10.classmodel.hardware.failure.HWFailureRate}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Adapter createHWFailureRateAdapter()
  {
    if (hwFailureRateItemProvider == null)
    {
      hwFailureRateItemProvider = new HWFailureRateItemProvider(this);
    }

    return hwFailureRateItemProvider;
  }

  /**
   * This keeps track of the one adapter used for all {@link safe10.classmodel.hardware.failure.HWFailureMode} instances.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected HWFailureModeItemProvider hwFailureModeItemProvider;

  /**
   * This creates an adapter for a {@link safe10.classmodel.hardware.failure.HWFailureMode}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Adapter createHWFailureModeAdapter()
  {
    if (hwFailureModeItemProvider == null)
    {
      hwFailureModeItemProvider = new HWFailureModeItemProvider(this);
    }

    return hwFailureModeItemProvider;
  }

  /**
   * This keeps track of the one adapter used for all {@link safe10.classmodel.hardware.failure.HWFault} instances.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected HWFaultItemProvider hwFaultItemProvider;

  /**
   * This creates an adapter for a {@link safe10.classmodel.hardware.failure.HWFault}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Adapter createHWFaultAdapter()
  {
    if (hwFaultItemProvider == null)
    {
      hwFaultItemProvider = new HWFaultItemProvider(this);
    }

    return hwFaultItemProvider;
  }

  /**
   * This keeps track of the one adapter used for all {@link safe10.classmodel.hardware.failure.HWComponentPrototypeScope} instances.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected HWComponentPrototypeScopeItemProvider hwComponentPrototypeScopeItemProvider;

  /**
   * This creates an adapter for a {@link safe10.classmodel.hardware.failure.HWComponentPrototypeScope}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Adapter createHWComponentPrototypeScopeAdapter()
  {
    if (hwComponentPrototypeScopeItemProvider == null)
    {
      hwComponentPrototypeScopeItemProvider = new HWComponentPrototypeScopeItemProvider(this);
    }

    return hwComponentPrototypeScopeItemProvider;
  }

  /**
   * This keeps track of the one adapter used for all {@link safe10.classmodel.hardware.failure.HwComponentScopeInstanceRef} instances.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected HwComponentScopeInstanceRefItemProvider hwComponentScopeInstanceRefItemProvider;

  /**
   * This creates an adapter for a {@link safe10.classmodel.hardware.failure.HwComponentScopeInstanceRef}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Adapter createHwComponentScopeInstanceRefAdapter()
  {
    if (hwComponentScopeInstanceRefItemProvider == null)
    {
      hwComponentScopeInstanceRefItemProvider = new HwComponentScopeInstanceRefItemProvider(this);
    }

    return hwComponentScopeInstanceRefItemProvider;
  }

  /**
   * This returns the root adapter factory that contains this factory.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public ComposeableAdapterFactory getRootAdapterFactory()
  {
    return parentAdapterFactory == null ? this : parentAdapterFactory.getRootAdapterFactory();
  }

  /**
   * This sets the composed adapter factory that contains this factory.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setParentAdapterFactory(ComposedAdapterFactory parentAdapterFactory)
  {
    this.parentAdapterFactory = parentAdapterFactory;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public boolean isFactoryForType(Object type)
  {
    return supportedTypes.contains(type) || super.isFactoryForType(type);
  }

  /**
   * This implementation substitutes the factory itself as the key for the adapter.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Adapter adapt(Notifier notifier, Object type)
  {
    return super.adapt(notifier, this);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Object adapt(Object object, Object type)
  {
    if (isFactoryForType(type))
    {
      Object adapter = super.adapt(object, type);
      if (!(type instanceof Class<?>) || (((Class<?>)type).isInstance(adapter)))
      {
        return adapter;
      }
    }

    return null;
  }

  /**
   * This adds a listener.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void addListener(INotifyChangedListener notifyChangedListener)
  {
    changeNotifier.addListener(notifyChangedListener);
  }

  /**
   * This removes a listener.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void removeListener(INotifyChangedListener notifyChangedListener)
  {
    changeNotifier.removeListener(notifyChangedListener);
  }

  /**
   * This delegates to {@link #changeNotifier} and to {@link #parentAdapterFactory}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void fireNotifyChanged(Notification notification)
  {
    changeNotifier.fireNotifyChanged(notification);

    if (parentAdapterFactory != null)
    {
      parentAdapterFactory.fireNotifyChanged(notification);
    }
  }

  /**
   * This disposes all of the item providers created by this factory. 
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void dispose()
  {
    if (hardwareFailureAnalysisItemProvider != null) hardwareFailureAnalysisItemProvider.dispose();
    if (hwFailureRateItemProvider != null) hwFailureRateItemProvider.dispose();
    if (hwFailureModeItemProvider != null) hwFailureModeItemProvider.dispose();
    if (hwFaultItemProvider != null) hwFaultItemProvider.dispose();
    if (hwComponentPrototypeScopeItemProvider != null) hwComponentPrototypeScopeItemProvider.dispose();
    if (hwComponentScopeInstanceRefItemProvider != null) hwComponentScopeInstanceRefItemProvider.dispose();
  }

}
