/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package safe10.classmodel.hazards.providers;

import java.util.ArrayList;
import java.util.Collection;

import org.eclipse.emf.common.notify.Adapter;
import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.common.notify.Notifier;

import org.eclipse.emf.edit.provider.ChangeNotifier;
import org.eclipse.emf.edit.provider.ComposeableAdapterFactory;
import org.eclipse.emf.edit.provider.ComposedAdapterFactory;
import org.eclipse.emf.edit.provider.IChangeNotifier;
import org.eclipse.emf.edit.provider.IDisposable;
import org.eclipse.emf.edit.provider.IEditingDomainItemProvider;
import org.eclipse.emf.edit.provider.IItemLabelProvider;
import org.eclipse.emf.edit.provider.IItemPropertySource;
import org.eclipse.emf.edit.provider.INotifyChangedListener;
import org.eclipse.emf.edit.provider.IStructuredItemContentProvider;
import org.eclipse.emf.edit.provider.ITreeItemContentProvider;

import safe10.classmodel.hazards.util.HazardsAdapterFactory;

/**
 * This is the factory that is used to provide the interfaces needed to support Viewers.
 * The adapters generated by this factory convert EMF adapter notifications into calls to {@link #fireNotifyChanged fireNotifyChanged}.
 * The adapters also support Eclipse property sheets.
 * Note that most of the adapters are shared among multiple instances.
 * <!-- begin-user-doc -->
 * <!-- end-user-doc -->
 * @generated
 */
public class HazardsItemProviderAdapterFactory extends HazardsAdapterFactory implements ComposeableAdapterFactory, IChangeNotifier, IDisposable
{
  /**
   * This keeps track of the root adapter factory that delegates to this adapter factory.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected ComposedAdapterFactory parentAdapterFactory;

  /**
   * This is used to implement {@link org.eclipse.emf.edit.provider.IChangeNotifier}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected IChangeNotifier changeNotifier = new ChangeNotifier();

  /**
   * This keeps track of all the supported types checked by {@link #isFactoryForType isFactoryForType}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected Collection<Object> supportedTypes = new ArrayList<Object>();

  /**
   * This constructs an instance.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public HazardsItemProviderAdapterFactory()
  {
    supportedTypes.add(IEditingDomainItemProvider.class);
    supportedTypes.add(IStructuredItemContentProvider.class);
    supportedTypes.add(ITreeItemContentProvider.class);
    supportedTypes.add(IItemLabelProvider.class);
    supportedTypes.add(IItemPropertySource.class);
  }

  /**
   * This keeps track of the one adapter used for all {@link safe10.classmodel.hazards.Actor} instances.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected ActorItemProvider actorItemProvider;

  /**
   * This creates an adapter for a {@link safe10.classmodel.hazards.Actor}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Adapter createActorAdapter()
  {
    if (actorItemProvider == null)
    {
      actorItemProvider = new ActorItemProvider(this);
    }

    return actorItemProvider;
  }

  /**
   * This keeps track of the one adapter used for all {@link safe10.classmodel.hazards.AtomicCondition} instances.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected AtomicConditionItemProvider atomicConditionItemProvider;

  /**
   * This creates an adapter for a {@link safe10.classmodel.hazards.AtomicCondition}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Adapter createAtomicConditionAdapter()
  {
    if (atomicConditionItemProvider == null)
    {
      atomicConditionItemProvider = new AtomicConditionItemProvider(this);
    }

    return atomicConditionItemProvider;
  }

  /**
   * This keeps track of the one adapter used for all {@link safe10.classmodel.hazards.CompositeCondition} instances.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected CompositeConditionItemProvider compositeConditionItemProvider;

  /**
   * This creates an adapter for a {@link safe10.classmodel.hazards.CompositeCondition}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Adapter createCompositeConditionAdapter()
  {
    if (compositeConditionItemProvider == null)
    {
      compositeConditionItemProvider = new CompositeConditionItemProvider(this);
    }

    return compositeConditionItemProvider;
  }

  /**
   * This keeps track of the one adapter used for all {@link safe10.classmodel.hazards.ControllabilityReference} instances.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected ControllabilityReferenceItemProvider controllabilityReferenceItemProvider;

  /**
   * This creates an adapter for a {@link safe10.classmodel.hazards.ControllabilityReference}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Adapter createControllabilityReferenceAdapter()
  {
    if (controllabilityReferenceItemProvider == null)
    {
      controllabilityReferenceItemProvider = new ControllabilityReferenceItemProvider(this);
    }

    return controllabilityReferenceItemProvider;
  }

  /**
   * This keeps track of the one adapter used for all {@link safe10.classmodel.hazards.Hazard} instances.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected HazardItemProvider hazardItemProvider;

  /**
   * This creates an adapter for a {@link safe10.classmodel.hazards.Hazard}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Adapter createHazardAdapter()
  {
    if (hazardItemProvider == null)
    {
      hazardItemProvider = new HazardItemProvider(this);
    }

    return hazardItemProvider;
  }

  /**
   * This keeps track of the one adapter used for all {@link safe10.classmodel.hazards.HazardousEvent} instances.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected HazardousEventItemProvider hazardousEventItemProvider;

  /**
   * This creates an adapter for a {@link safe10.classmodel.hazards.HazardousEvent}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Adapter createHazardousEventAdapter()
  {
    if (hazardousEventItemProvider == null)
    {
      hazardousEventItemProvider = new HazardousEventItemProvider(this);
    }

    return hazardousEventItemProvider;
  }

  /**
   * This keeps track of the one adapter used for all {@link safe10.classmodel.hazards.OperatingMode} instances.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected OperatingModeItemProvider operatingModeItemProvider;

  /**
   * This creates an adapter for a {@link safe10.classmodel.hazards.OperatingMode}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Adapter createOperatingModeAdapter()
  {
    if (operatingModeItemProvider == null)
    {
      operatingModeItemProvider = new OperatingModeItemProvider(this);
    }

    return operatingModeItemProvider;
  }

  /**
   * This keeps track of the one adapter used for all {@link safe10.classmodel.hazards.OperationalActor} instances.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected OperationalActorItemProvider operationalActorItemProvider;

  /**
   * This creates an adapter for a {@link safe10.classmodel.hazards.OperationalActor}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Adapter createOperationalActorAdapter()
  {
    if (operationalActorItemProvider == null)
    {
      operationalActorItemProvider = new OperationalActorItemProvider(this);
    }

    return operationalActorItemProvider;
  }

  /**
   * This keeps track of the one adapter used for all {@link safe10.classmodel.hazards.OperationalSituation} instances.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected OperationalSituationItemProvider operationalSituationItemProvider;

  /**
   * This creates an adapter for a {@link safe10.classmodel.hazards.OperationalSituation}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Adapter createOperationalSituationAdapter()
  {
    if (operationalSituationItemProvider == null)
    {
      operationalSituationItemProvider = new OperationalSituationItemProvider(this);
    }

    return operationalSituationItemProvider;
  }

  /**
   * This keeps track of the one adapter used for all {@link safe10.classmodel.hazards.Property} instances.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected PropertyItemProvider propertyItemProvider;

  /**
   * This creates an adapter for a {@link safe10.classmodel.hazards.Property}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Adapter createPropertyAdapter()
  {
    if (propertyItemProvider == null)
    {
      propertyItemProvider = new PropertyItemProvider(this);
    }

    return propertyItemProvider;
  }

  /**
   * This keeps track of the one adapter used for all {@link safe10.classmodel.hazards.RiskDescription} instances.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected RiskDescriptionItemProvider riskDescriptionItemProvider;

  /**
   * This creates an adapter for a {@link safe10.classmodel.hazards.RiskDescription}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Adapter createRiskDescriptionAdapter()
  {
    if (riskDescriptionItemProvider == null)
    {
      riskDescriptionItemProvider = new RiskDescriptionItemProvider(this);
    }

    return riskDescriptionItemProvider;
  }

  /**
   * This keeps track of the one adapter used for all {@link safe10.classmodel.hazards.SafeState} instances.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected SafeStateItemProvider safeStateItemProvider;

  /**
   * This creates an adapter for a {@link safe10.classmodel.hazards.SafeState}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Adapter createSafeStateAdapter()
  {
    if (safeStateItemProvider == null)
    {
      safeStateItemProvider = new SafeStateItemProvider(this);
    }

    return safeStateItemProvider;
  }

  /**
   * This returns the root adapter factory that contains this factory.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public ComposeableAdapterFactory getRootAdapterFactory()
  {
    return parentAdapterFactory == null ? this : parentAdapterFactory.getRootAdapterFactory();
  }

  /**
   * This sets the composed adapter factory that contains this factory.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setParentAdapterFactory(ComposedAdapterFactory parentAdapterFactory)
  {
    this.parentAdapterFactory = parentAdapterFactory;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public boolean isFactoryForType(Object type)
  {
    return supportedTypes.contains(type) || super.isFactoryForType(type);
  }

  /**
   * This implementation substitutes the factory itself as the key for the adapter.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Adapter adapt(Notifier notifier, Object type)
  {
    return super.adapt(notifier, this);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Object adapt(Object object, Object type)
  {
    if (isFactoryForType(type))
    {
      Object adapter = super.adapt(object, type);
      if (!(type instanceof Class<?>) || (((Class<?>)type).isInstance(adapter)))
      {
        return adapter;
      }
    }

    return null;
  }

  /**
   * This adds a listener.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void addListener(INotifyChangedListener notifyChangedListener)
  {
    changeNotifier.addListener(notifyChangedListener);
  }

  /**
   * This removes a listener.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void removeListener(INotifyChangedListener notifyChangedListener)
  {
    changeNotifier.removeListener(notifyChangedListener);
  }

  /**
   * This delegates to {@link #changeNotifier} and to {@link #parentAdapterFactory}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void fireNotifyChanged(Notification notification)
  {
    changeNotifier.fireNotifyChanged(notification);

    if (parentAdapterFactory != null)
    {
      parentAdapterFactory.fireNotifyChanged(notification);
    }
  }

  /**
   * This disposes all of the item providers created by this factory. 
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void dispose()
  {
    if (actorItemProvider != null) actorItemProvider.dispose();
    if (atomicConditionItemProvider != null) atomicConditionItemProvider.dispose();
    if (compositeConditionItemProvider != null) compositeConditionItemProvider.dispose();
    if (controllabilityReferenceItemProvider != null) controllabilityReferenceItemProvider.dispose();
    if (hazardItemProvider != null) hazardItemProvider.dispose();
    if (hazardousEventItemProvider != null) hazardousEventItemProvider.dispose();
    if (operatingModeItemProvider != null) operatingModeItemProvider.dispose();
    if (operationalActorItemProvider != null) operationalActorItemProvider.dispose();
    if (operationalSituationItemProvider != null) operationalSituationItemProvider.dispose();
    if (propertyItemProvider != null) propertyItemProvider.dispose();
    if (riskDescriptionItemProvider != null) riskDescriptionItemProvider.dispose();
    if (safeStateItemProvider != null) safeStateItemProvider.dispose();
  }

}
