/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package safe10.classmodel.requirements.providers;


import java.util.Collection;
import java.util.List;
import java.util.MissingResourceException;

import org.eclipse.emf.common.command.Command;

import org.eclipse.emf.common.notify.AdapterFactory;
import org.eclipse.emf.common.notify.Notification;

import org.eclipse.emf.common.util.ResourceLocator;

import org.eclipse.emf.ecore.EObject;
import org.eclipse.emf.ecore.EStructuralFeature;

import org.eclipse.emf.edit.command.AddCommand;
import org.eclipse.emf.edit.command.CommandParameter;
import org.eclipse.emf.edit.command.RemoveCommand;

import org.eclipse.emf.edit.domain.EditingDomain;

import org.eclipse.emf.edit.provider.ComposeableAdapterFactory;
import org.eclipse.emf.edit.provider.IEditingDomainItemProvider;
import org.eclipse.emf.edit.provider.IItemLabelProvider;
import org.eclipse.emf.edit.provider.IItemPropertyDescriptor;
import org.eclipse.emf.edit.provider.IItemPropertySource;
import org.eclipse.emf.edit.provider.IStructuredItemContentProvider;
import org.eclipse.emf.edit.provider.ITreeItemContentProvider;
import org.eclipse.emf.edit.provider.ItemPropertyDescriptor;
import org.eclipse.emf.edit.provider.ViewerNotification;

import org.eclipse.sphinx.emf.edit.CustomCommandRegistry;
import org.eclipse.sphinx.emf.edit.ResourceLocatorRegistry;

import safe10.classmodel.commonstructure.toplevel.ToplevelPackage;

import safe10.classmodel.requirements.FunctionalSafetyRequirement;
import safe10.classmodel.requirements.RequirementsFactory;
import safe10.classmodel.requirements.RequirementsPackage;

/**
 * This is the item provider adapter for a {@link safe10.classmodel.requirements.FunctionalSafetyRequirement} object.
 * <!-- begin-user-doc -->
 * <!-- end-user-doc -->
 * @generated
 */
public class FunctionalSafetyRequirementItemProvider
  extends HasAsilDecomposedItemProvider
  implements
    IEditingDomainItemProvider,
    IStructuredItemContentProvider,
    ITreeItemContentProvider,
    IItemLabelProvider,
    IItemPropertySource
{
  /**
   * This constructs an instance from a factory and a notifier.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public FunctionalSafetyRequirementItemProvider(AdapterFactory adapterFactory)
  {
    super(adapterFactory);
  }

  /**
   * This returns the property descriptors for the adapted class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public List<IItemPropertyDescriptor> getPropertyDescriptors(Object object)
  {
    if (itemPropertyDescriptors == null)
    {
      super.getPropertyDescriptors(object);

      addShortNamePropertyDescriptor(object);
      addCategoryPropertyDescriptor(object);
      addUuidPropertyDescriptor(object);
      addNamePropertyDescriptor(object);
      addFormalPropertyDescriptor(object);
      addInformalPropertyDescriptor(object);
      addStakeholderPropertyDescriptor(object);
      addAsilPropertyDescriptor(object);
      addRequirementPropertyDescriptor(object);
      addEmergencyOperationTimeIntervalPropertyDescriptor(object);
      addFaultTolerantTimeIntervalPropertyDescriptor(object);
      addRequirementKindPropertyDescriptor(object);
      addRedundancyPropertyDescriptor(object);
      addIsSafetyGoalPropertyDescriptor(object);
    }
    return itemPropertyDescriptors;
  }

  /**
   * This adds a property descriptor for the Short Name feature.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected void addShortNamePropertyDescriptor(Object object)
  {
    itemPropertyDescriptors.add
      (createItemPropertyDescriptor
        (((ComposeableAdapterFactory)adapterFactory).getRootAdapterFactory(),
         getResourceLocator(),
         getString("_UI_Referrable_shortName_feature"),
         getString("_UI_PropertyDescriptor_description", "_UI_Referrable_shortName_feature", "_UI_Referrable_type"),
         ToplevelPackage.Literals.REFERRABLE__SHORT_NAME,
         true,
         false,
         false,
         ItemPropertyDescriptor.GENERIC_VALUE_IMAGE,
         null,
         null));
  }

  /**
   * This adds a property descriptor for the Category feature.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected void addCategoryPropertyDescriptor(Object object)
  {
    itemPropertyDescriptors.add
      (createItemPropertyDescriptor
        (((ComposeableAdapterFactory)adapterFactory).getRootAdapterFactory(),
         getResourceLocator(),
         getString("_UI_Identifiable_category_feature"),
         getString("_UI_PropertyDescriptor_description", "_UI_Identifiable_category_feature", "_UI_Identifiable_type"),
         ToplevelPackage.Literals.IDENTIFIABLE__CATEGORY,
         true,
         false,
         false,
         ItemPropertyDescriptor.GENERIC_VALUE_IMAGE,
         null,
         null));
  }

  /**
   * This adds a property descriptor for the Uuid feature.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected void addUuidPropertyDescriptor(Object object)
  {
    itemPropertyDescriptors.add
      (createItemPropertyDescriptor
        (((ComposeableAdapterFactory)adapterFactory).getRootAdapterFactory(),
         getResourceLocator(),
         getString("_UI_Identifiable_uuid_feature"),
         getString("_UI_PropertyDescriptor_description", "_UI_Identifiable_uuid_feature", "_UI_Identifiable_type"),
         ToplevelPackage.Literals.IDENTIFIABLE__UUID,
         true,
         false,
         false,
         ItemPropertyDescriptor.GENERIC_VALUE_IMAGE,
         null,
         null));
  }

  /**
   * This adds a property descriptor for the Name feature.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected void addNamePropertyDescriptor(Object object)
  {
    itemPropertyDescriptors.add
      (createItemPropertyDescriptor
        (((ComposeableAdapterFactory)adapterFactory).getRootAdapterFactory(),
         getResourceLocator(),
         getString("_UI_SAFEElement_name_feature"),
         getString("_UI_PropertyDescriptor_description", "_UI_SAFEElement_name_feature", "_UI_SAFEElement_type"),
         ToplevelPackage.Literals.SAFE_ELEMENT__NAME,
         true,
         false,
         false,
         ItemPropertyDescriptor.GENERIC_VALUE_IMAGE,
         null,
         null));
  }

  /**
   * This adds a property descriptor for the Formal feature.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected void addFormalPropertyDescriptor(Object object)
  {
    itemPropertyDescriptors.add
      (createItemPropertyDescriptor
        (((ComposeableAdapterFactory)adapterFactory).getRootAdapterFactory(),
         getResourceLocator(),
         getString("_UI_TraceableSpecification_formal_feature"),
         getString("_UI_PropertyDescriptor_description", "_UI_TraceableSpecification_formal_feature", "_UI_TraceableSpecification_type"),
         RequirementsPackage.Literals.TRACEABLE_SPECIFICATION__FORMAL,
         true,
         false,
         false,
         ItemPropertyDescriptor.GENERIC_VALUE_IMAGE,
         null,
         null));
  }

  /**
   * This adds a property descriptor for the Informal feature.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected void addInformalPropertyDescriptor(Object object)
  {
    itemPropertyDescriptors.add
      (createItemPropertyDescriptor
        (((ComposeableAdapterFactory)adapterFactory).getRootAdapterFactory(),
         getResourceLocator(),
         getString("_UI_TraceableSpecification_informal_feature"),
         getString("_UI_PropertyDescriptor_description", "_UI_TraceableSpecification_informal_feature", "_UI_TraceableSpecification_type"),
         RequirementsPackage.Literals.TRACEABLE_SPECIFICATION__INFORMAL,
         true,
         false,
         false,
         ItemPropertyDescriptor.GENERIC_VALUE_IMAGE,
         null,
         null));
  }

  /**
   * This adds a property descriptor for the Stakeholder feature.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected void addStakeholderPropertyDescriptor(Object object)
  {
    itemPropertyDescriptors.add
      (createItemPropertyDescriptor
        (((ComposeableAdapterFactory)adapterFactory).getRootAdapterFactory(),
         getResourceLocator(),
         getString("_UI_TraceableSpecification_stakeholder_feature"),
         getString("_UI_PropertyDescriptor_description", "_UI_TraceableSpecification_stakeholder_feature", "_UI_TraceableSpecification_type"),
         RequirementsPackage.Literals.TRACEABLE_SPECIFICATION__STAKEHOLDER,
         true,
         false,
         false,
         ItemPropertyDescriptor.GENERIC_VALUE_IMAGE,
         null,
         null));
  }

  /**
   * This adds a property descriptor for the Asil feature.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected void addAsilPropertyDescriptor(Object object)
  {
    itemPropertyDescriptors.add
      (createItemPropertyDescriptor
        (((ComposeableAdapterFactory)adapterFactory).getRootAdapterFactory(),
         getResourceLocator(),
         getString("_UI_AbstractSafetyRequirement_asil_feature"),
         getString("_UI_PropertyDescriptor_description", "_UI_AbstractSafetyRequirement_asil_feature", "_UI_AbstractSafetyRequirement_type"),
         RequirementsPackage.Literals.ABSTRACT_SAFETY_REQUIREMENT__ASIL,
         true,
         false,
         false,
         ItemPropertyDescriptor.GENERIC_VALUE_IMAGE,
         null,
         null));
  }

  /**
   * This adds a property descriptor for the Requirement feature.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected void addRequirementPropertyDescriptor(Object object)
  {
    itemPropertyDescriptors.add
      (createItemPropertyDescriptor
        (((ComposeableAdapterFactory)adapterFactory).getRootAdapterFactory(),
         getResourceLocator(),
         getString("_UI_AbstractSafetyRequirement_requirement_feature"),
         getString("_UI_PropertyDescriptor_description", "_UI_AbstractSafetyRequirement_requirement_feature", "_UI_AbstractSafetyRequirement_type"),
         RequirementsPackage.Literals.ABSTRACT_SAFETY_REQUIREMENT__REQUIREMENT,
         true,
         false,
         true,
         null,
         null,
         null));
  }

  /**
   * This adds a property descriptor for the Emergency Operation Time Interval feature.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected void addEmergencyOperationTimeIntervalPropertyDescriptor(Object object)
  {
    itemPropertyDescriptors.add
      (createItemPropertyDescriptor
        (((ComposeableAdapterFactory)adapterFactory).getRootAdapterFactory(),
         getResourceLocator(),
         getString("_UI_HasEmergencyOperationTimeInterval_emergencyOperationTimeInterval_feature"),
         getString("_UI_PropertyDescriptor_description", "_UI_HasEmergencyOperationTimeInterval_emergencyOperationTimeInterval_feature", "_UI_HasEmergencyOperationTimeInterval_type"),
         RequirementsPackage.Literals.HAS_EMERGENCY_OPERATION_TIME_INTERVAL__EMERGENCY_OPERATION_TIME_INTERVAL,
         true,
         false,
         false,
         ItemPropertyDescriptor.GENERIC_VALUE_IMAGE,
         null,
         null));
  }

  /**
   * This adds a property descriptor for the Fault Tolerant Time Interval feature.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected void addFaultTolerantTimeIntervalPropertyDescriptor(Object object)
  {
    itemPropertyDescriptors.add
      (createItemPropertyDescriptor
        (((ComposeableAdapterFactory)adapterFactory).getRootAdapterFactory(),
         getResourceLocator(),
         getString("_UI_HasFaultTolerantTimeInterval_faultTolerantTimeInterval_feature"),
         getString("_UI_PropertyDescriptor_description", "_UI_HasFaultTolerantTimeInterval_faultTolerantTimeInterval_feature", "_UI_HasFaultTolerantTimeInterval_type"),
         RequirementsPackage.Literals.HAS_FAULT_TOLERANT_TIME_INTERVAL__FAULT_TOLERANT_TIME_INTERVAL,
         true,
         false,
         false,
         ItemPropertyDescriptor.GENERIC_VALUE_IMAGE,
         null,
         null));
  }

  /**
   * This adds a property descriptor for the Requirement Kind feature.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected void addRequirementKindPropertyDescriptor(Object object)
  {
    itemPropertyDescriptors.add
      (createItemPropertyDescriptor
        (((ComposeableAdapterFactory)adapterFactory).getRootAdapterFactory(),
         getResourceLocator(),
         getString("_UI_FunctionalSafetyRequirement_requirementKind_feature"),
         getString("_UI_PropertyDescriptor_description", "_UI_FunctionalSafetyRequirement_requirementKind_feature", "_UI_FunctionalSafetyRequirement_type"),
         RequirementsPackage.Literals.FUNCTIONAL_SAFETY_REQUIREMENT__REQUIREMENT_KIND,
         true,
         false,
         false,
         ItemPropertyDescriptor.GENERIC_VALUE_IMAGE,
         null,
         null));
  }

  /**
   * This adds a property descriptor for the Redundancy feature.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected void addRedundancyPropertyDescriptor(Object object)
  {
    itemPropertyDescriptors.add
      (createItemPropertyDescriptor
        (((ComposeableAdapterFactory)adapterFactory).getRootAdapterFactory(),
         getResourceLocator(),
         getString("_UI_FunctionalSafetyRequirement_redundancy_feature"),
         getString("_UI_PropertyDescriptor_description", "_UI_FunctionalSafetyRequirement_redundancy_feature", "_UI_FunctionalSafetyRequirement_type"),
         RequirementsPackage.Literals.FUNCTIONAL_SAFETY_REQUIREMENT__REDUNDANCY,
         true,
         false,
         false,
         ItemPropertyDescriptor.GENERIC_VALUE_IMAGE,
         null,
         null));
  }

  /**
   * This adds a property descriptor for the Is Safety Goal feature.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected void addIsSafetyGoalPropertyDescriptor(Object object)
  {
    itemPropertyDescriptors.add
      (createItemPropertyDescriptor
        (((ComposeableAdapterFactory)adapterFactory).getRootAdapterFactory(),
         getResourceLocator(),
         getString("_UI_FunctionalSafetyRequirement_isSafetyGoal_feature"),
         getString("_UI_PropertyDescriptor_description", "_UI_FunctionalSafetyRequirement_isSafetyGoal_feature", "_UI_FunctionalSafetyRequirement_type"),
         RequirementsPackage.Literals.FUNCTIONAL_SAFETY_REQUIREMENT__IS_SAFETY_GOAL,
         true,
         false,
         false,
         ItemPropertyDescriptor.GENERIC_VALUE_IMAGE,
         null,
         null));
  }

  /**
   * This specifies how to implement {@link #getChildren} and is used to deduce an appropriate feature for an
   * {@link org.eclipse.emf.edit.command.AddCommand}, {@link org.eclipse.emf.edit.command.RemoveCommand} or
   * {@link org.eclipse.emf.edit.command.MoveCommand} in {@link #createCommand}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Collection<? extends EStructuralFeature> getChildrenFeatures(Object object)
  {
    if (childrenFeatures == null)
    {
      super.getChildrenFeatures(object);
      childrenFeatures.add(RequirementsPackage.Literals.ABSTRACT_SAFETY_REQUIREMENT__REQUIREMENT_LINKS);
    }
    return childrenFeatures;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  protected EStructuralFeature getChildFeature(Object object, Object child)
  {
    // Check the type of the specified child object and return the proper feature to use for
    // adding (see {@link AddCommand}) it as a child.

    return super.getChildFeature(object, child);
  }

  /**
   * This returns FunctionalSafetyRequirement.gif.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Object getImage(Object object)
  {
    if(object != null){
      String nsURI = ((EObject) object).eClass().getEPackage().getNsURI();
      ResourceLocator resourceLocator = ResourceLocatorRegistry.INSTANCE
            .getResourceLocator(nsURI);
        if (resourceLocator != null) {
          try {
            Object image = resourceLocator.getImage("full/obj16/FunctionalSafetyRequirement"); 
            if (image != null) {
              return overlayImage(object, image);
            }
          }catch(MissingResourceException ex){
            // Fail silent
          }
        }
      return overlayImage(object, getResourceLocator().getImage("full/obj16/FunctionalSafetyRequirement"));
    }
    return null;
  }

  /**
   * This returns the label text for the adapted class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public String getText(Object object)
  {
    String label = ((FunctionalSafetyRequirement)object).getShortName();
    String typeLabel = getString("_UI_FunctionalSafetyRequirement_type"); 
      return label == null || label.length() == 0 ? typeLabel : label;
  }

  /**
   * This handles model notifications by calling {@link #updateChildren} to update any cached
   * children and by creating a viewer notification, which it passes to {@link #fireNotifyChanged}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public void notifyChanged(Notification notification)
  {
    updateChildren(notification);

    switch (notification.getFeatureID(FunctionalSafetyRequirement.class))
    {
      case RequirementsPackage.FUNCTIONAL_SAFETY_REQUIREMENT__SHORT_NAME:
      case RequirementsPackage.FUNCTIONAL_SAFETY_REQUIREMENT__CATEGORY:
      case RequirementsPackage.FUNCTIONAL_SAFETY_REQUIREMENT__UUID:
      case RequirementsPackage.FUNCTIONAL_SAFETY_REQUIREMENT__NAME:
      case RequirementsPackage.FUNCTIONAL_SAFETY_REQUIREMENT__FORMAL:
      case RequirementsPackage.FUNCTIONAL_SAFETY_REQUIREMENT__INFORMAL:
      case RequirementsPackage.FUNCTIONAL_SAFETY_REQUIREMENT__STAKEHOLDER:
      case RequirementsPackage.FUNCTIONAL_SAFETY_REQUIREMENT__ASIL:
      case RequirementsPackage.FUNCTIONAL_SAFETY_REQUIREMENT__EMERGENCY_OPERATION_TIME_INTERVAL:
      case RequirementsPackage.FUNCTIONAL_SAFETY_REQUIREMENT__FAULT_TOLERANT_TIME_INTERVAL:
      case RequirementsPackage.FUNCTIONAL_SAFETY_REQUIREMENT__REQUIREMENT_KIND:
      case RequirementsPackage.FUNCTIONAL_SAFETY_REQUIREMENT__REDUNDANCY:
      case RequirementsPackage.FUNCTIONAL_SAFETY_REQUIREMENT__IS_SAFETY_GOAL:
        fireNotifyChanged(new ViewerNotification(notification, notification.getNotifier(), false, true));
        return;
      case RequirementsPackage.FUNCTIONAL_SAFETY_REQUIREMENT__REQUIREMENT_LINKS:
        fireNotifyChanged(new ViewerNotification(notification, notification.getNotifier(), true, false));
        return;
    }
    super.notifyChanged(notification);
  }

  /**
   * This adds {@link org.eclipse.emf.edit.command.CommandParameter}s describing the children
   * that can be created under this object.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  protected void collectNewChildDescriptors(Collection<Object> newChildDescriptors, Object object)
  {
    super.collectNewChildDescriptors(newChildDescriptors, object);

    newChildDescriptors.add
      (createChildParameter
        (RequirementsPackage.Literals.ABSTRACT_SAFETY_REQUIREMENT__REQUIREMENT_LINKS,
         RequirementsFactory.eINSTANCE.createRequirementsLink()));
  }

   
  @Override
   protected Command createAddCommand(EditingDomain domain, EObject owner, EStructuralFeature feature, Collection<?> collection, int index) {
    Command addCommand = CustomCommandRegistry.INSTANCE.createCustomCommand(domain, new CommandParameter(owner, feature, collection, index),
        AddCommand.class);
    if (addCommand != null) {
      return addCommand  ;
    }
    return super.createAddCommand(domain, owner, feature, collection, index);
  }
  
  @Override
  protected Command createRemoveCommand(EditingDomain domain, EObject owner, EStructuralFeature feature, Collection<?> collection) {
    Command removeCommand = CustomCommandRegistry.INSTANCE.createCustomCommand(domain, new CommandParameter(owner, feature, collection),
        RemoveCommand.class);
    if (removeCommand != null) {
      return removeCommand;
    }
    return super.createRemoveCommand(domain, owner, feature, collection);
  }
}
