/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package safe10.classmodel.requirements.providers;

import java.util.ArrayList;
import java.util.Collection;

import org.eclipse.emf.common.notify.Adapter;
import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.common.notify.Notifier;

import org.eclipse.emf.edit.provider.ChangeNotifier;
import org.eclipse.emf.edit.provider.ComposeableAdapterFactory;
import org.eclipse.emf.edit.provider.ComposedAdapterFactory;
import org.eclipse.emf.edit.provider.IChangeNotifier;
import org.eclipse.emf.edit.provider.IDisposable;
import org.eclipse.emf.edit.provider.IEditingDomainItemProvider;
import org.eclipse.emf.edit.provider.IItemLabelProvider;
import org.eclipse.emf.edit.provider.IItemPropertySource;
import org.eclipse.emf.edit.provider.INotifyChangedListener;
import org.eclipse.emf.edit.provider.IStructuredItemContentProvider;
import org.eclipse.emf.edit.provider.ITreeItemContentProvider;

import safe10.classmodel.requirements.util.RequirementsAdapterFactory;

/**
 * This is the factory that is used to provide the interfaces needed to support Viewers.
 * The adapters generated by this factory convert EMF adapter notifications into calls to {@link #fireNotifyChanged fireNotifyChanged}.
 * The adapters also support Eclipse property sheets.
 * Note that most of the adapters are shared among multiple instances.
 * <!-- begin-user-doc -->
 * <!-- end-user-doc -->
 * @generated
 */
public class RequirementsItemProviderAdapterFactory extends RequirementsAdapterFactory implements ComposeableAdapterFactory, IChangeNotifier, IDisposable
{
  /**
   * This keeps track of the root adapter factory that delegates to this adapter factory.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected ComposedAdapterFactory parentAdapterFactory;

  /**
   * This is used to implement {@link org.eclipse.emf.edit.provider.IChangeNotifier}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected IChangeNotifier changeNotifier = new ChangeNotifier();

  /**
   * This keeps track of all the supported types checked by {@link #isFactoryForType isFactoryForType}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected Collection<Object> supportedTypes = new ArrayList<Object>();

  /**
   * This constructs an instance.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public RequirementsItemProviderAdapterFactory()
  {
    supportedTypes.add(IEditingDomainItemProvider.class);
    supportedTypes.add(IStructuredItemContentProvider.class);
    supportedTypes.add(ITreeItemContentProvider.class);
    supportedTypes.add(IItemLabelProvider.class);
    supportedTypes.add(IItemPropertySource.class);
  }

  /**
   * This keeps track of the one adapter used for all {@link safe10.classmodel.requirements.AbstractSafetyRequirement} instances.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected AbstractSafetyRequirementItemProvider abstractSafetyRequirementItemProvider;

  /**
   * This creates an adapter for a {@link safe10.classmodel.requirements.AbstractSafetyRequirement}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Adapter createAbstractSafetyRequirementAdapter()
  {
    if (abstractSafetyRequirementItemProvider == null)
    {
      abstractSafetyRequirementItemProvider = new AbstractSafetyRequirementItemProvider(this);
    }

    return abstractSafetyRequirementItemProvider;
  }

  /**
   * This keeps track of the one adapter used for all {@link safe10.classmodel.requirements.FunctionalSafetyRequirement} instances.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected FunctionalSafetyRequirementItemProvider functionalSafetyRequirementItemProvider;

  /**
   * This creates an adapter for a {@link safe10.classmodel.requirements.FunctionalSafetyRequirement}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Adapter createFunctionalSafetyRequirementAdapter()
  {
    if (functionalSafetyRequirementItemProvider == null)
    {
      functionalSafetyRequirementItemProvider = new FunctionalSafetyRequirementItemProvider(this);
    }

    return functionalSafetyRequirementItemProvider;
  }

  /**
   * This keeps track of the one adapter used for all {@link safe10.classmodel.requirements.HasAsilDecomposed} instances.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected HasAsilDecomposedItemProvider hasAsilDecomposedItemProvider;

  /**
   * This creates an adapter for a {@link safe10.classmodel.requirements.HasAsilDecomposed}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Adapter createHasAsilDecomposedAdapter()
  {
    if (hasAsilDecomposedItemProvider == null)
    {
      hasAsilDecomposedItemProvider = new HasAsilDecomposedItemProvider(this);
    }

    return hasAsilDecomposedItemProvider;
  }

  /**
   * This keeps track of the one adapter used for all {@link safe10.classmodel.requirements.HasEmergencyOperationTimeInterval} instances.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected HasEmergencyOperationTimeIntervalItemProvider hasEmergencyOperationTimeIntervalItemProvider;

  /**
   * This creates an adapter for a {@link safe10.classmodel.requirements.HasEmergencyOperationTimeInterval}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Adapter createHasEmergencyOperationTimeIntervalAdapter()
  {
    if (hasEmergencyOperationTimeIntervalItemProvider == null)
    {
      hasEmergencyOperationTimeIntervalItemProvider = new HasEmergencyOperationTimeIntervalItemProvider(this);
    }

    return hasEmergencyOperationTimeIntervalItemProvider;
  }

  /**
   * This keeps track of the one adapter used for all {@link safe10.classmodel.requirements.HasFaultTolerantTimeInterval} instances.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected HasFaultTolerantTimeIntervalItemProvider hasFaultTolerantTimeIntervalItemProvider;

  /**
   * This creates an adapter for a {@link safe10.classmodel.requirements.HasFaultTolerantTimeInterval}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Adapter createHasFaultTolerantTimeIntervalAdapter()
  {
    if (hasFaultTolerantTimeIntervalItemProvider == null)
    {
      hasFaultTolerantTimeIntervalItemProvider = new HasFaultTolerantTimeIntervalItemProvider(this);
    }

    return hasFaultTolerantTimeIntervalItemProvider;
  }

  /**
   * This keeps track of the one adapter used for all {@link safe10.classmodel.requirements.RequirementsLink} instances.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected RequirementsLinkItemProvider requirementsLinkItemProvider;

  /**
   * This creates an adapter for a {@link safe10.classmodel.requirements.RequirementsLink}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Adapter createRequirementsLinkAdapter()
  {
    if (requirementsLinkItemProvider == null)
    {
      requirementsLinkItemProvider = new RequirementsLinkItemProvider(this);
    }

    return requirementsLinkItemProvider;
  }

  /**
   * This keeps track of the one adapter used for all {@link safe10.classmodel.requirements.RequirementsReleationship} instances.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected RequirementsReleationshipItemProvider requirementsReleationshipItemProvider;

  /**
   * This creates an adapter for a {@link safe10.classmodel.requirements.RequirementsReleationship}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Adapter createRequirementsReleationshipAdapter()
  {
    if (requirementsReleationshipItemProvider == null)
    {
      requirementsReleationshipItemProvider = new RequirementsReleationshipItemProvider(this);
    }

    return requirementsReleationshipItemProvider;
  }

  /**
   * This keeps track of the one adapter used for all {@link safe10.classmodel.requirements.SoftwareSafetyRequirement} instances.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected SoftwareSafetyRequirementItemProvider softwareSafetyRequirementItemProvider;

  /**
   * This creates an adapter for a {@link safe10.classmodel.requirements.SoftwareSafetyRequirement}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Adapter createSoftwareSafetyRequirementAdapter()
  {
    if (softwareSafetyRequirementItemProvider == null)
    {
      softwareSafetyRequirementItemProvider = new SoftwareSafetyRequirementItemProvider(this);
    }

    return softwareSafetyRequirementItemProvider;
  }

  /**
   * This keeps track of the one adapter used for all {@link safe10.classmodel.requirements.TechnicalSafetyRequirement} instances.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected TechnicalSafetyRequirementItemProvider technicalSafetyRequirementItemProvider;

  /**
   * This creates an adapter for a {@link safe10.classmodel.requirements.TechnicalSafetyRequirement}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Adapter createTechnicalSafetyRequirementAdapter()
  {
    if (technicalSafetyRequirementItemProvider == null)
    {
      technicalSafetyRequirementItemProvider = new TechnicalSafetyRequirementItemProvider(this);
    }

    return technicalSafetyRequirementItemProvider;
  }

  /**
   * This keeps track of the one adapter used for all {@link safe10.classmodel.requirements.Verify} instances.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected VerifyItemProvider verifyItemProvider;

  /**
   * This creates an adapter for a {@link safe10.classmodel.requirements.Verify}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Adapter createVerifyAdapter()
  {
    if (verifyItemProvider == null)
    {
      verifyItemProvider = new VerifyItemProvider(this);
    }

    return verifyItemProvider;
  }

  /**
   * This returns the root adapter factory that contains this factory.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public ComposeableAdapterFactory getRootAdapterFactory()
  {
    return parentAdapterFactory == null ? this : parentAdapterFactory.getRootAdapterFactory();
  }

  /**
   * This sets the composed adapter factory that contains this factory.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setParentAdapterFactory(ComposedAdapterFactory parentAdapterFactory)
  {
    this.parentAdapterFactory = parentAdapterFactory;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public boolean isFactoryForType(Object type)
  {
    return supportedTypes.contains(type) || super.isFactoryForType(type);
  }

  /**
   * This implementation substitutes the factory itself as the key for the adapter.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Adapter adapt(Notifier notifier, Object type)
  {
    return super.adapt(notifier, this);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Object adapt(Object object, Object type)
  {
    if (isFactoryForType(type))
    {
      Object adapter = super.adapt(object, type);
      if (!(type instanceof Class<?>) || (((Class<?>)type).isInstance(adapter)))
      {
        return adapter;
      }
    }

    return null;
  }

  /**
   * This adds a listener.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void addListener(INotifyChangedListener notifyChangedListener)
  {
    changeNotifier.addListener(notifyChangedListener);
  }

  /**
   * This removes a listener.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void removeListener(INotifyChangedListener notifyChangedListener)
  {
    changeNotifier.removeListener(notifyChangedListener);
  }

  /**
   * This delegates to {@link #changeNotifier} and to {@link #parentAdapterFactory}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void fireNotifyChanged(Notification notification)
  {
    changeNotifier.fireNotifyChanged(notification);

    if (parentAdapterFactory != null)
    {
      parentAdapterFactory.fireNotifyChanged(notification);
    }
  }

  /**
   * This disposes all of the item providers created by this factory. 
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void dispose()
  {
    if (abstractSafetyRequirementItemProvider != null) abstractSafetyRequirementItemProvider.dispose();
    if (functionalSafetyRequirementItemProvider != null) functionalSafetyRequirementItemProvider.dispose();
    if (hasAsilDecomposedItemProvider != null) hasAsilDecomposedItemProvider.dispose();
    if (hasEmergencyOperationTimeIntervalItemProvider != null) hasEmergencyOperationTimeIntervalItemProvider.dispose();
    if (hasFaultTolerantTimeIntervalItemProvider != null) hasFaultTolerantTimeIntervalItemProvider.dispose();
    if (requirementsLinkItemProvider != null) requirementsLinkItemProvider.dispose();
    if (requirementsReleationshipItemProvider != null) requirementsReleationshipItemProvider.dispose();
    if (softwareSafetyRequirementItemProvider != null) softwareSafetyRequirementItemProvider.dispose();
    if (technicalSafetyRequirementItemProvider != null) technicalSafetyRequirementItemProvider.dispose();
    if (verifyItemProvider != null) verifyItemProvider.dispose();
  }

}
