/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package safe10.classmodel.requirements.softwaresafetyrequirements.comparison.providers;

import java.util.ArrayList;
import java.util.Collection;

import org.eclipse.emf.common.notify.Adapter;
import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.common.notify.Notifier;

import org.eclipse.emf.edit.provider.ChangeNotifier;
import org.eclipse.emf.edit.provider.ComposeableAdapterFactory;
import org.eclipse.emf.edit.provider.ComposedAdapterFactory;
import org.eclipse.emf.edit.provider.IChangeNotifier;
import org.eclipse.emf.edit.provider.IDisposable;
import org.eclipse.emf.edit.provider.IEditingDomainItemProvider;
import org.eclipse.emf.edit.provider.IItemLabelProvider;
import org.eclipse.emf.edit.provider.IItemPropertySource;
import org.eclipse.emf.edit.provider.INotifyChangedListener;
import org.eclipse.emf.edit.provider.IStructuredItemContentProvider;
import org.eclipse.emf.edit.provider.ITreeItemContentProvider;

import safe10.classmodel.requirements.softwaresafetyrequirements.comparison.util.ComparisonAdapterFactory;

/**
 * This is the factory that is used to provide the interfaces needed to support Viewers.
 * The adapters generated by this factory convert EMF adapter notifications into calls to {@link #fireNotifyChanged fireNotifyChanged}.
 * The adapters also support Eclipse property sheets.
 * Note that most of the adapters are shared among multiple instances.
 * <!-- begin-user-doc -->
 * <!-- end-user-doc -->
 * @generated
 */
public class ComparisonItemProviderAdapterFactory extends ComparisonAdapterFactory implements ComposeableAdapterFactory, IChangeNotifier, IDisposable
{
  /**
   * This keeps track of the root adapter factory that delegates to this adapter factory.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected ComposedAdapterFactory parentAdapterFactory;

  /**
   * This is used to implement {@link org.eclipse.emf.edit.provider.IChangeNotifier}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected IChangeNotifier changeNotifier = new ChangeNotifier();

  /**
   * This keeps track of all the supported types checked by {@link #isFactoryForType isFactoryForType}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected Collection<Object> supportedTypes = new ArrayList<Object>();

  /**
   * This constructs an instance.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public ComparisonItemProviderAdapterFactory()
  {
    supportedTypes.add(IEditingDomainItemProvider.class);
    supportedTypes.add(IStructuredItemContentProvider.class);
    supportedTypes.add(ITreeItemContentProvider.class);
    supportedTypes.add(IItemLabelProvider.class);
    supportedTypes.add(IItemPropertySource.class);
  }

  /**
   * This keeps track of the one adapter used for all {@link safe10.classmodel.requirements.softwaresafetyrequirements.comparison.AutosarComparison} instances.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected AutosarComparisonItemProvider autosarComparisonItemProvider;

  /**
   * This creates an adapter for a {@link safe10.classmodel.requirements.softwaresafetyrequirements.comparison.AutosarComparison}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Adapter createAutosarComparisonAdapter()
  {
    if (autosarComparisonItemProvider == null)
    {
      autosarComparisonItemProvider = new AutosarComparisonItemProvider(this);
    }

    return autosarComparisonItemProvider;
  }

  /**
   * This keeps track of the one adapter used for all {@link safe10.classmodel.requirements.softwaresafetyrequirements.comparison.AutosarComparisonParam} instances.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected AutosarComparisonParamItemProvider autosarComparisonParamItemProvider;

  /**
   * This creates an adapter for a {@link safe10.classmodel.requirements.softwaresafetyrequirements.comparison.AutosarComparisonParam}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Adapter createAutosarComparisonParamAdapter()
  {
    if (autosarComparisonParamItemProvider == null)
    {
      autosarComparisonParamItemProvider = new AutosarComparisonParamItemProvider(this);
    }

    return autosarComparisonParamItemProvider;
  }

  /**
   * This keeps track of the one adapter used for all {@link safe10.classmodel.requirements.softwaresafetyrequirements.comparison.ChromosomeComparison} instances.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected ChromosomeComparisonItemProvider chromosomeComparisonItemProvider;

  /**
   * This creates an adapter for a {@link safe10.classmodel.requirements.softwaresafetyrequirements.comparison.ChromosomeComparison}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Adapter createChromosomeComparisonAdapter()
  {
    if (chromosomeComparisonItemProvider == null)
    {
      chromosomeComparisonItemProvider = new ChromosomeComparisonItemProvider(this);
    }

    return chromosomeComparisonItemProvider;
  }

  /**
   * This keeps track of the one adapter used for all {@link safe10.classmodel.requirements.softwaresafetyrequirements.comparison.ChromosomeComparisonParameter} instances.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected ChromosomeComparisonParameterItemProvider chromosomeComparisonParameterItemProvider;

  /**
   * This creates an adapter for a {@link safe10.classmodel.requirements.softwaresafetyrequirements.comparison.ChromosomeComparisonParameter}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Adapter createChromosomeComparisonParameterAdapter()
  {
    if (chromosomeComparisonParameterItemProvider == null)
    {
      chromosomeComparisonParameterItemProvider = new ChromosomeComparisonParameterItemProvider(this);
    }

    return chromosomeComparisonParameterItemProvider;
  }

  /**
   * This keeps track of the one adapter used for all {@link safe10.classmodel.requirements.softwaresafetyrequirements.comparison.Comparison} instances.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected ComparisonItemProvider comparisonItemProvider;

  /**
   * This creates an adapter for a {@link safe10.classmodel.requirements.softwaresafetyrequirements.comparison.Comparison}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Adapter createComparisonAdapter()
  {
    if (comparisonItemProvider == null)
    {
      comparisonItemProvider = new ComparisonItemProvider(this);
    }

    return comparisonItemProvider;
  }

  /**
   * This keeps track of the one adapter used for all {@link safe10.classmodel.requirements.softwaresafetyrequirements.comparison.ComparisonParameter} instances.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected ComparisonParameterItemProvider comparisonParameterItemProvider;

  /**
   * This creates an adapter for a {@link safe10.classmodel.requirements.softwaresafetyrequirements.comparison.ComparisonParameter}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Adapter createComparisonParameterAdapter()
  {
    if (comparisonParameterItemProvider == null)
    {
      comparisonParameterItemProvider = new ComparisonParameterItemProvider(this);
    }

    return comparisonParameterItemProvider;
  }

  /**
   * This keeps track of the one adapter used for all {@link safe10.classmodel.requirements.softwaresafetyrequirements.comparison.ConstantComparisonParameter} instances.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected ConstantComparisonParameterItemProvider constantComparisonParameterItemProvider;

  /**
   * This creates an adapter for a {@link safe10.classmodel.requirements.softwaresafetyrequirements.comparison.ConstantComparisonParameter}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Adapter createConstantComparisonParameterAdapter()
  {
    if (constantComparisonParameterItemProvider == null)
    {
      constantComparisonParameterItemProvider = new ConstantComparisonParameterItemProvider(this);
    }

    return constantComparisonParameterItemProvider;
  }

  /**
   * This returns the root adapter factory that contains this factory.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public ComposeableAdapterFactory getRootAdapterFactory()
  {
    return parentAdapterFactory == null ? this : parentAdapterFactory.getRootAdapterFactory();
  }

  /**
   * This sets the composed adapter factory that contains this factory.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setParentAdapterFactory(ComposedAdapterFactory parentAdapterFactory)
  {
    this.parentAdapterFactory = parentAdapterFactory;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public boolean isFactoryForType(Object type)
  {
    return supportedTypes.contains(type) || super.isFactoryForType(type);
  }

  /**
   * This implementation substitutes the factory itself as the key for the adapter.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Adapter adapt(Notifier notifier, Object type)
  {
    return super.adapt(notifier, this);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Object adapt(Object object, Object type)
  {
    if (isFactoryForType(type))
    {
      Object adapter = super.adapt(object, type);
      if (!(type instanceof Class<?>) || (((Class<?>)type).isInstance(adapter)))
      {
        return adapter;
      }
    }

    return null;
  }

  /**
   * This adds a listener.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void addListener(INotifyChangedListener notifyChangedListener)
  {
    changeNotifier.addListener(notifyChangedListener);
  }

  /**
   * This removes a listener.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void removeListener(INotifyChangedListener notifyChangedListener)
  {
    changeNotifier.removeListener(notifyChangedListener);
  }

  /**
   * This delegates to {@link #changeNotifier} and to {@link #parentAdapterFactory}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void fireNotifyChanged(Notification notification)
  {
    changeNotifier.fireNotifyChanged(notification);

    if (parentAdapterFactory != null)
    {
      parentAdapterFactory.fireNotifyChanged(notification);
    }
  }

  /**
   * This disposes all of the item providers created by this factory. 
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void dispose()
  {
    if (autosarComparisonItemProvider != null) autosarComparisonItemProvider.dispose();
    if (autosarComparisonParamItemProvider != null) autosarComparisonParamItemProvider.dispose();
    if (chromosomeComparisonItemProvider != null) chromosomeComparisonItemProvider.dispose();
    if (chromosomeComparisonParameterItemProvider != null) chromosomeComparisonParameterItemProvider.dispose();
    if (comparisonItemProvider != null) comparisonItemProvider.dispose();
    if (comparisonParameterItemProvider != null) comparisonParameterItemProvider.dispose();
    if (constantComparisonParameterItemProvider != null) constantComparisonParameterItemProvider.dispose();
  }

}
