/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package safe10.classmodel.software.configuration.providers;

import java.util.ArrayList;
import java.util.Collection;

import org.eclipse.emf.common.notify.Adapter;
import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.common.notify.Notifier;

import org.eclipse.emf.edit.provider.ChangeNotifier;
import org.eclipse.emf.edit.provider.ComposeableAdapterFactory;
import org.eclipse.emf.edit.provider.ComposedAdapterFactory;
import org.eclipse.emf.edit.provider.IChangeNotifier;
import org.eclipse.emf.edit.provider.IDisposable;
import org.eclipse.emf.edit.provider.IEditingDomainItemProvider;
import org.eclipse.emf.edit.provider.IItemLabelProvider;
import org.eclipse.emf.edit.provider.IItemPropertySource;
import org.eclipse.emf.edit.provider.INotifyChangedListener;
import org.eclipse.emf.edit.provider.IStructuredItemContentProvider;
import org.eclipse.emf.edit.provider.ITreeItemContentProvider;

import safe10.classmodel.software.configuration.util.ConfigurationAdapterFactory;

/**
 * This is the factory that is used to provide the interfaces needed to support Viewers.
 * The adapters generated by this factory convert EMF adapter notifications into calls to {@link #fireNotifyChanged fireNotifyChanged}.
 * The adapters also support Eclipse property sheets.
 * Note that most of the adapters are shared among multiple instances.
 * <!-- begin-user-doc -->
 * <!-- end-user-doc -->
 * @generated
 */
public class ConfigurationItemProviderAdapterFactory extends ConfigurationAdapterFactory implements ComposeableAdapterFactory, IChangeNotifier, IDisposable
{
  /**
   * This keeps track of the root adapter factory that delegates to this adapter factory.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected ComposedAdapterFactory parentAdapterFactory;

  /**
   * This is used to implement {@link org.eclipse.emf.edit.provider.IChangeNotifier}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected IChangeNotifier changeNotifier = new ChangeNotifier();

  /**
   * This keeps track of all the supported types checked by {@link #isFactoryForType isFactoryForType}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected Collection<Object> supportedTypes = new ArrayList<Object>();

  /**
   * This constructs an instance.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public ConfigurationItemProviderAdapterFactory()
  {
    supportedTypes.add(IEditingDomainItemProvider.class);
    supportedTypes.add(IStructuredItemContentProvider.class);
    supportedTypes.add(ITreeItemContentProvider.class);
    supportedTypes.add(IItemLabelProvider.class);
    supportedTypes.add(IItemPropertySource.class);
  }

  /**
   * This keeps track of the one adapter used for all {@link safe10.classmodel.software.configuration.BooleanConfigParameterValue} instances.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected BooleanConfigParameterValueItemProvider booleanConfigParameterValueItemProvider;

  /**
   * This creates an adapter for a {@link safe10.classmodel.software.configuration.BooleanConfigParameterValue}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Adapter createBooleanConfigParameterValueAdapter()
  {
    if (booleanConfigParameterValueItemProvider == null)
    {
      booleanConfigParameterValueItemProvider = new BooleanConfigParameterValueItemProvider(this);
    }

    return booleanConfigParameterValueItemProvider;
  }

  /**
   * This keeps track of the one adapter used for all {@link safe10.classmodel.software.configuration.CodeGenerationConfiguration} instances.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected CodeGenerationConfigurationItemProvider codeGenerationConfigurationItemProvider;

  /**
   * This creates an adapter for a {@link safe10.classmodel.software.configuration.CodeGenerationConfiguration}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Adapter createCodeGenerationConfigurationAdapter()
  {
    if (codeGenerationConfigurationItemProvider == null)
    {
      codeGenerationConfigurationItemProvider = new CodeGenerationConfigurationItemProvider(this);
    }

    return codeGenerationConfigurationItemProvider;
  }

  /**
   * This keeps track of the one adapter used for all {@link safe10.classmodel.software.configuration.ConfigParameter} instances.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected ConfigParameterItemProvider configParameterItemProvider;

  /**
   * This creates an adapter for a {@link safe10.classmodel.software.configuration.ConfigParameter}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Adapter createConfigParameterAdapter()
  {
    if (configParameterItemProvider == null)
    {
      configParameterItemProvider = new ConfigParameterItemProvider(this);
    }

    return configParameterItemProvider;
  }

  /**
   * This keeps track of the one adapter used for all {@link safe10.classmodel.software.configuration.ConfigParameterValue} instances.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected ConfigParameterValueItemProvider configParameterValueItemProvider;

  /**
   * This creates an adapter for a {@link safe10.classmodel.software.configuration.ConfigParameterValue}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Adapter createConfigParameterValueAdapter()
  {
    if (configParameterValueItemProvider == null)
    {
      configParameterValueItemProvider = new ConfigParameterValueItemProvider(this);
    }

    return configParameterValueItemProvider;
  }

  /**
   * This keeps track of the one adapter used for all {@link safe10.classmodel.software.configuration.FloatConfigParameterValue} instances.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected FloatConfigParameterValueItemProvider floatConfigParameterValueItemProvider;

  /**
   * This creates an adapter for a {@link safe10.classmodel.software.configuration.FloatConfigParameterValue}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Adapter createFloatConfigParameterValueAdapter()
  {
    if (floatConfigParameterValueItemProvider == null)
    {
      floatConfigParameterValueItemProvider = new FloatConfigParameterValueItemProvider(this);
    }

    return floatConfigParameterValueItemProvider;
  }

  /**
   * This keeps track of the one adapter used for all {@link safe10.classmodel.software.configuration.IdentifierConfigParameterValue} instances.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected IdentifierConfigParameterValueItemProvider identifierConfigParameterValueItemProvider;

  /**
   * This creates an adapter for a {@link safe10.classmodel.software.configuration.IdentifierConfigParameterValue}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Adapter createIdentifierConfigParameterValueAdapter()
  {
    if (identifierConfigParameterValueItemProvider == null)
    {
      identifierConfigParameterValueItemProvider = new IdentifierConfigParameterValueItemProvider(this);
    }

    return identifierConfigParameterValueItemProvider;
  }

  /**
   * This keeps track of the one adapter used for all {@link safe10.classmodel.software.configuration.IntegerConfigParameterValue} instances.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected IntegerConfigParameterValueItemProvider integerConfigParameterValueItemProvider;

  /**
   * This creates an adapter for a {@link safe10.classmodel.software.configuration.IntegerConfigParameterValue}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Adapter createIntegerConfigParameterValueAdapter()
  {
    if (integerConfigParameterValueItemProvider == null)
    {
      integerConfigParameterValueItemProvider = new IntegerConfigParameterValueItemProvider(this);
    }

    return integerConfigParameterValueItemProvider;
  }

  /**
   * This keeps track of the one adapter used for all {@link safe10.classmodel.software.configuration.StringConfigParameterValue} instances.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected StringConfigParameterValueItemProvider stringConfigParameterValueItemProvider;

  /**
   * This creates an adapter for a {@link safe10.classmodel.software.configuration.StringConfigParameterValue}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Adapter createStringConfigParameterValueAdapter()
  {
    if (stringConfigParameterValueItemProvider == null)
    {
      stringConfigParameterValueItemProvider = new StringConfigParameterValueItemProvider(this);
    }

    return stringConfigParameterValueItemProvider;
  }

  /**
   * This returns the root adapter factory that contains this factory.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public ComposeableAdapterFactory getRootAdapterFactory()
  {
    return parentAdapterFactory == null ? this : parentAdapterFactory.getRootAdapterFactory();
  }

  /**
   * This sets the composed adapter factory that contains this factory.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setParentAdapterFactory(ComposedAdapterFactory parentAdapterFactory)
  {
    this.parentAdapterFactory = parentAdapterFactory;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public boolean isFactoryForType(Object type)
  {
    return supportedTypes.contains(type) || super.isFactoryForType(type);
  }

  /**
   * This implementation substitutes the factory itself as the key for the adapter.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Adapter adapt(Notifier notifier, Object type)
  {
    return super.adapt(notifier, this);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Object adapt(Object object, Object type)
  {
    if (isFactoryForType(type))
    {
      Object adapter = super.adapt(object, type);
      if (!(type instanceof Class<?>) || (((Class<?>)type).isInstance(adapter)))
      {
        return adapter;
      }
    }

    return null;
  }

  /**
   * This adds a listener.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void addListener(INotifyChangedListener notifyChangedListener)
  {
    changeNotifier.addListener(notifyChangedListener);
  }

  /**
   * This removes a listener.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void removeListener(INotifyChangedListener notifyChangedListener)
  {
    changeNotifier.removeListener(notifyChangedListener);
  }

  /**
   * This delegates to {@link #changeNotifier} and to {@link #parentAdapterFactory}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void fireNotifyChanged(Notification notification)
  {
    changeNotifier.fireNotifyChanged(notification);

    if (parentAdapterFactory != null)
    {
      parentAdapterFactory.fireNotifyChanged(notification);
    }
  }

  /**
   * This disposes all of the item providers created by this factory. 
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void dispose()
  {
    if (booleanConfigParameterValueItemProvider != null) booleanConfigParameterValueItemProvider.dispose();
    if (codeGenerationConfigurationItemProvider != null) codeGenerationConfigurationItemProvider.dispose();
    if (configParameterItemProvider != null) configParameterItemProvider.dispose();
    if (configParameterValueItemProvider != null) configParameterValueItemProvider.dispose();
    if (floatConfigParameterValueItemProvider != null) floatConfigParameterValueItemProvider.dispose();
    if (identifierConfigParameterValueItemProvider != null) identifierConfigParameterValueItemProvider.dispose();
    if (integerConfigParameterValueItemProvider != null) integerConfigParameterValueItemProvider.dispose();
    if (stringConfigParameterValueItemProvider != null) stringConfigParameterValueItemProvider.dispose();
  }

}
