/**
 */
package safe10.classmodel.commonstructure.datatypes;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;

import org.eclipse.emf.common.util.Enumerator;

/**
 * <!-- begin-user-doc -->
 * A representation of the literals of the enumeration '<em><b>ASIL Enum</b></em>',
 * and utility methods for working with them.
 * <!-- end-user-doc -->
 * <!-- begin-model-doc -->
 * An ASIL shall be determined by using the parameters 
 * <ul>
 * 	<li>severity</li>
 * 	<li>probability of exposure</li>
 * 	<li>controllability </li>
 * </ul>
 * <b><i><u>
 * </u></i></b><b><i><u>ISO 26262 Reference:</u></i></b> Part 3 Chapter 7.4.4
 * <!-- end-model-doc -->
 * @see safe10.classmodel.commonstructure.datatypes.DatatypesPackage#getASILEnum()
 * @model annotation="MetaData guid='{4A9D3B4D-E682-415e-8276-18E49FCCA3DA}' id='-716550290' EA\040name='ASILEnum'"
 *        annotation="Stereotype Stereotype='enumeration'"
 *        annotation="TaggedValues xml.name='ASIL-ENUM' xml.namePlural='ASIL-ENUMS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public enum ASILEnum implements Enumerator
{
  /**
   * The '<em><b>ASIL A</b></em>' literal object.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #ASIL_A_VALUE
   * @generated
   * @ordered
   */
  ASIL_A(0, "ASIL_A", "ASIL_A"),

  /**
   * The '<em><b>ASIL B</b></em>' literal object.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #ASIL_B_VALUE
   * @generated
   * @ordered
   */
  ASIL_B(1, "ASIL_B", "ASIL_B"),

  /**
   * The '<em><b>ASIL C</b></em>' literal object.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #ASIL_C_VALUE
   * @generated
   * @ordered
   */
  ASIL_C(2, "ASIL_C", "ASIL_C"),

  /**
   * The '<em><b>ASIL D</b></em>' literal object.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #ASIL_D_VALUE
   * @generated
   * @ordered
   */
  ASIL_D(3, "ASIL_D", "ASIL_D"),

  /**
   * The '<em><b>QM</b></em>' literal object.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #QM_VALUE
   * @generated
   * @ordered
   */
  QM(4, "QM", "QM");

  /**
   * The '<em><b>ASIL A</b></em>' literal value.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of '<em><b>ASIL A</b></em>' literal object isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @see #ASIL_A
   * @model annotation="TaggedValues xml.name='ASIL-A' xml.namePlural='ASIL-AS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   * @ordered
   */
  public static final int ASIL_A_VALUE = 0;

  /**
   * The '<em><b>ASIL B</b></em>' literal value.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of '<em><b>ASIL B</b></em>' literal object isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @see #ASIL_B
   * @model annotation="TaggedValues xml.name='ASIL-B' xml.namePlural='ASIL-BS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   * @ordered
   */
  public static final int ASIL_B_VALUE = 1;

  /**
   * The '<em><b>ASIL C</b></em>' literal value.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of '<em><b>ASIL C</b></em>' literal object isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @see #ASIL_C
   * @model annotation="TaggedValues xml.name='ASIL-C' xml.namePlural='ASIL-CS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   * @ordered
   */
  public static final int ASIL_C_VALUE = 2;

  /**
   * The '<em><b>ASIL D</b></em>' literal value.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of '<em><b>ASIL D</b></em>' literal object isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @see #ASIL_D
   * @model annotation="TaggedValues xml.name='ASIL-D' xml.namePlural='ASIL-DS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   * @ordered
   */
  public static final int ASIL_D_VALUE = 3;

  /**
   * The '<em><b>QM</b></em>' literal value.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of '<em><b>QM</b></em>' literal object isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @see #QM
   * @model annotation="TaggedValues xml.name='QM' xml.namePlural='QMS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   * @ordered
   */
  public static final int QM_VALUE = 4;

  /**
   * An array of all the '<em><b>ASIL Enum</b></em>' enumerators.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private static final ASILEnum[] VALUES_ARRAY =
    new ASILEnum[]
    {
      ASIL_A,
      ASIL_B,
      ASIL_C,
      ASIL_D,
      QM,
    };

  /**
   * A public read-only list of all the '<em><b>ASIL Enum</b></em>' enumerators.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public static final List<ASILEnum> VALUES = Collections.unmodifiableList(Arrays.asList(VALUES_ARRAY));

  /**
   * Returns the '<em><b>ASIL Enum</b></em>' literal with the specified literal value.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public static ASILEnum get(String literal)
  {
    for (int i = 0; i < VALUES_ARRAY.length; ++i)
    {
      ASILEnum result = VALUES_ARRAY[i];
      if (result.toString().equals(literal))
      {
        return result;
      }
    }
    return null;
  }

  /**
   * Returns the '<em><b>ASIL Enum</b></em>' literal with the specified name.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public static ASILEnum getByName(String name)
  {
    for (int i = 0; i < VALUES_ARRAY.length; ++i)
    {
      ASILEnum result = VALUES_ARRAY[i];
      if (result.getName().equals(name))
      {
        return result;
      }
    }
    return null;
  }

  /**
   * Returns the '<em><b>ASIL Enum</b></em>' literal with the specified integer value.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public static ASILEnum get(int value)
  {
    switch (value)
    {
      case ASIL_A_VALUE: return ASIL_A;
      case ASIL_B_VALUE: return ASIL_B;
      case ASIL_C_VALUE: return ASIL_C;
      case ASIL_D_VALUE: return ASIL_D;
      case QM_VALUE: return QM;
    }
    return null;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private final int value;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private final String name;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private final String literal;

  /**
   * Only this class can construct instances.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private ASILEnum(int value, String name, String literal)
  {
    this.value = value;
    this.name = name;
    this.literal = literal;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public int getValue()
  {
    return value;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String getName()
  {
    return name;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String getLiteral()
  {
    return literal;
  }

  /**
   * Returns the literal value of the enumerator, which is its string representation.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public String toString()
  {
    return literal;
  }
  
} //ASILEnum
