/**
 */
package safe10.classmodel.commonstructure.datatypes;

import org.eclipse.emf.ecore.EDataType;
import org.eclipse.emf.ecore.EEnum;
import org.eclipse.emf.ecore.EPackage;

/**
 * <!-- begin-user-doc -->
 * The <b>Package</b> for the model.
 * It contains accessors for the meta objects to represent
 * <ul>
 *   <li>each class,</li>
 *   <li>each feature of each class,</li>
 *   <li>each enum,</li>
 *   <li>and each data type</li>
 * </ul>
 * <!-- end-user-doc -->
 * @see safe10.classmodel.commonstructure.datatypes.DatatypesFactory
 * @model kind="package"
 *        annotation="MetaData guid='{8CD83067-3848-4b4a-A388-C278CA7A66E6}' id='17' EA\040name='DataTypes'"
 *        annotation="TaggedValues xml.name='DATATYPES' xml.namePlural='DATATYPESS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public interface DatatypesPackage extends EPackage
{
  /**
   * The package name.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNAME = "datatypes";

  /**
   * The package namespace URI.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNS_URI = "http://safe-project.eu/1.0.1/safe10/classmodel/commonstructure/datatypes";

  /**
   * The package namespace name.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNS_PREFIX = "";

  /**
   * The singleton instance of the package.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  DatatypesPackage eINSTANCE = safe10.classmodel.commonstructure.datatypes.impl.DatatypesPackageImpl.init();

  /**
   * The meta object id for the '{@link safe10.classmodel.commonstructure.datatypes.ASILDecomposedEnum <em>ASIL Decomposed Enum</em>}' enum.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.commonstructure.datatypes.ASILDecomposedEnum
   * @see safe10.classmodel.commonstructure.datatypes.impl.DatatypesPackageImpl#getASILDecomposedEnum()
   * @generated
   */
  int ASIL_DECOMPOSED_ENUM = 0;

  /**
   * The meta object id for the '{@link safe10.classmodel.commonstructure.datatypes.ASILEnum <em>ASIL Enum</em>}' enum.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.commonstructure.datatypes.ASILEnum
   * @see safe10.classmodel.commonstructure.datatypes.impl.DatatypesPackageImpl#getASILEnum()
   * @generated
   */
  int ASIL_ENUM = 1;

  /**
   * The meta object id for the '{@link safe10.classmodel.commonstructure.datatypes.DevelopmentCategory <em>Development Category</em>}' enum.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.commonstructure.datatypes.DevelopmentCategory
   * @see safe10.classmodel.commonstructure.datatypes.impl.DatatypesPackageImpl#getDevelopmentCategory()
   * @generated
   */
  int DEVELOPMENT_CATEGORY = 2;

  /**
   * The meta object id for the '{@link safe10.classmodel.commonstructure.datatypes.FunctionBehaviorKind <em>Function Behavior Kind</em>}' enum.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.commonstructure.datatypes.FunctionBehaviorKind
   * @see safe10.classmodel.commonstructure.datatypes.impl.DatatypesPackageImpl#getFunctionBehaviorKind()
   * @generated
   */
  int FUNCTION_BEHAVIOR_KIND = 3;

  /**
   * The meta object id for the '{@link safe10.classmodel.commonstructure.datatypes.SafeElementType <em>Safe Element Type</em>}' enum.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.commonstructure.datatypes.SafeElementType
   * @see safe10.classmodel.commonstructure.datatypes.impl.DatatypesPackageImpl#getSafeElementType()
   * @generated
   */
  int SAFE_ELEMENT_TYPE = 4;

  /**
   * The meta object id for the '<em>Boolean</em>' data type.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see java.lang.Boolean
   * @see safe10.classmodel.commonstructure.datatypes.impl.DatatypesPackageImpl#getBoolean()
   * @generated
   */
  int BOOLEAN = 5;

  /**
   * The meta object id for the '<em>Date</em>' data type.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see java.lang.Object
   * @see safe10.classmodel.commonstructure.datatypes.impl.DatatypesPackageImpl#getDate()
   * @generated
   */
  int DATE = 6;

  /**
   * The meta object id for the '<em>Float</em>' data type.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see java.lang.Double
   * @see safe10.classmodel.commonstructure.datatypes.impl.DatatypesPackageImpl#getFloat()
   * @generated
   */
  int FLOAT = 7;

  /**
   * The meta object id for the '<em>Identifier</em>' data type.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see java.lang.String
   * @see safe10.classmodel.commonstructure.datatypes.impl.DatatypesPackageImpl#getIdentifier()
   * @generated
   */
  int IDENTIFIER = 8;

  /**
   * The meta object id for the '<em>Integer</em>' data type.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see java.lang.Integer
   * @see safe10.classmodel.commonstructure.datatypes.impl.DatatypesPackageImpl#getInteger()
   * @generated
   */
  int INTEGER = 9;

  /**
   * The meta object id for the '<em>Numerical</em>' data type.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see java.lang.String
   * @see safe10.classmodel.commonstructure.datatypes.impl.DatatypesPackageImpl#getNumerical()
   * @generated
   */
  int NUMERICAL = 10;

  /**
   * The meta object id for the '<em>String</em>' data type.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see java.lang.String
   * @see safe10.classmodel.commonstructure.datatypes.impl.DatatypesPackageImpl#getString()
   * @generated
   */
  int STRING = 11;

  /**
   * The meta object id for the '<em>Uri String</em>' data type.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see java.net.URI
   * @see safe10.classmodel.commonstructure.datatypes.impl.DatatypesPackageImpl#getUriString()
   * @generated
   */
  int URI_STRING = 12;

  /**
   * The meta object id for the '<em>Url String</em>' data type.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see java.net.URL
   * @see safe10.classmodel.commonstructure.datatypes.impl.DatatypesPackageImpl#getUrlString()
   * @generated
   */
  int URL_STRING = 13;


  /**
   * Returns the meta object for enum '{@link safe10.classmodel.commonstructure.datatypes.ASILDecomposedEnum <em>ASIL Decomposed Enum</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for enum '<em>ASIL Decomposed Enum</em>'.
   * @see safe10.classmodel.commonstructure.datatypes.ASILDecomposedEnum
   * @generated
   */
  EEnum getASILDecomposedEnum();

  /**
   * Returns the meta object for enum '{@link safe10.classmodel.commonstructure.datatypes.ASILEnum <em>ASIL Enum</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for enum '<em>ASIL Enum</em>'.
   * @see safe10.classmodel.commonstructure.datatypes.ASILEnum
   * @generated
   */
  EEnum getASILEnum();

  /**
   * Returns the meta object for enum '{@link safe10.classmodel.commonstructure.datatypes.DevelopmentCategory <em>Development Category</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for enum '<em>Development Category</em>'.
   * @see safe10.classmodel.commonstructure.datatypes.DevelopmentCategory
   * @generated
   */
  EEnum getDevelopmentCategory();

  /**
   * Returns the meta object for enum '{@link safe10.classmodel.commonstructure.datatypes.FunctionBehaviorKind <em>Function Behavior Kind</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for enum '<em>Function Behavior Kind</em>'.
   * @see safe10.classmodel.commonstructure.datatypes.FunctionBehaviorKind
   * @generated
   */
  EEnum getFunctionBehaviorKind();

  /**
   * Returns the meta object for enum '{@link safe10.classmodel.commonstructure.datatypes.SafeElementType <em>Safe Element Type</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for enum '<em>Safe Element Type</em>'.
   * @see safe10.classmodel.commonstructure.datatypes.SafeElementType
   * @generated
   */
  EEnum getSafeElementType();

  /**
   * Returns the meta object for data type '{@link java.lang.Boolean <em>Boolean</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for data type '<em>Boolean</em>'.
   * @see java.lang.Boolean
   * @model instanceClass="java.lang.Boolean"
   *        annotation="MetaData guid='{04197CD8-234B-4733-B301-AB5C5C27A7EC}' id='107' EA\040name='Boolean'"
   *        annotation="Stereotype Stereotype='primitive'"
   *        annotation="TaggedValues xml.xsd.type='boolean' xml.name='BOOLEAN' xml.namePlural='BOOLEANS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  EDataType getBoolean();

  /**
   * Returns the meta object for data type '{@link java.lang.Object <em>Date</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for data type '<em>Date</em>'.
   * @see java.lang.Object
   * @model instanceClass="java.lang.Object"
   *        annotation="MetaData guid='{99BC7EFC-2D12-45a7-845A-5A623E421D27}' id='114' EA\040name='Date'"
   *        annotation="Stereotype Stereotype='primitive'"
   *        annotation="TaggedValues xml.name='DATE' xml.namePlural='DATES' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  EDataType getDate();

  /**
   * Returns the meta object for data type '{@link java.lang.Double <em>Float</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for data type '<em>Float</em>'.
   * @see java.lang.Double
   * @model instanceClass="java.lang.Double"
   *        annotation="MetaData guid='{ACC04272-FBFA-4bb3-96FB-73608CB696D2}' id='106' EA\040name='Float'"
   *        annotation="Stereotype Stereotype='primitive'"
   *        annotation="TaggedValues xml.xsd.type='double' xml.name='FLOAT' xml.namePlural='FLOATS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  EDataType getFloat();

  /**
   * Returns the meta object for data type '{@link java.lang.String <em>Identifier</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for data type '<em>Identifier</em>'.
   * @see java.lang.String
   * @model instanceClass="java.lang.String"
   *        annotation="MetaData guid='{301AB7DE-2D94-4e40-AB3F-23EF63A50E86}' id='109' EA\040name='Identifier'"
   *        annotation="Stereotype Stereotype='primitive'"
   *        annotation="TaggedValues xml.xsd.maxLength='128' xml.xsd.pattern='[a-zA-Z]([a-zA-Z0-9]|_[a-zA-Z0-9])*_?' xml.name='IDENTIFIER' xml.namePlural='IDENTIFIERS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  EDataType getIdentifier();

  /**
   * Returns the meta object for data type '{@link java.lang.Integer <em>Integer</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for data type '<em>Integer</em>'.
   * @see java.lang.Integer
   * @model instanceClass="java.lang.Integer"
   *        annotation="MetaData guid='{CF19BF76-0BA1-42d0-A931-90072A195A32}' id='112' EA\040name='Integer'"
   *        annotation="Stereotype Stereotype='primitive'"
   *        annotation="TaggedValues xml.xsd.type='int' xml.name='INTEGER' xml.namePlural='INTEGERS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  EDataType getInteger();

  /**
   * Returns the meta object for data type '{@link java.lang.String <em>Numerical</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for data type '<em>Numerical</em>'.
   * @see java.lang.String
   * @model instanceClass="java.lang.String"
   *        annotation="MetaData guid='{5D064A94-00DC-4378-8F9F-C310AF031D36}' id='1346872759' EA\040name='Numerical'"
   *        annotation="Stereotype Stereotype='primitive'"
   *        annotation="TaggedValues xml.name='NUMERICAL' xml.namePlural='NUMERICALS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  EDataType getNumerical();

  /**
   * Returns the meta object for data type '{@link java.lang.String <em>String</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for data type '<em>String</em>'.
   * @see java.lang.String
   * @model instanceClass="java.lang.String"
   *        annotation="MetaData guid='{32D5577C-1D01-4c96-B1B2-E689183B3DB9}' id='113' EA\040name='String'"
   *        annotation="Stereotype Stereotype='primitive'"
   *        annotation="TaggedValues xml.xsd.type='string' xml.name='STRING' xml.namePlural='STRINGS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  EDataType getString();

  /**
   * Returns the meta object for data type '{@link java.net.URI <em>Uri String</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for data type '<em>Uri String</em>'.
   * @see java.net.URI
   * @model instanceClass="java.net.URI"
   *        annotation="MetaData guid='{F642F177-7432-4012-BCE4-1061950F4F2A}' id='110' EA\040name='UriString'"
   *        annotation="Stereotype Stereotype='primitive'"
   *        annotation="TaggedValues xml.name='URI-STRING' xml.namePlural='URI-STRINGS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  EDataType getUriString();

  /**
   * Returns the meta object for data type '{@link java.net.URL <em>Url String</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for data type '<em>Url String</em>'.
   * @see java.net.URL
   * @model instanceClass="java.net.URL"
   *        annotation="MetaData guid='{52496FA4-DD12-4a52-99DF-DA80E1413058}' id='111' EA\040name='UrlString'"
   *        annotation="Stereotype Stereotype='primitive'"
   *        annotation="TaggedValues xml.name='URL-STRING' xml.namePlural='URL-STRINGS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  EDataType getUrlString();

  /**
   * Returns the factory that creates the instances of the model.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the factory that creates the instances of the model.
   * @generated
   */
  DatatypesFactory getDatatypesFactory();

  /**
   * <!-- begin-user-doc -->
   * Defines literals for the meta objects that represent
   * <ul>
   *   <li>each class,</li>
   *   <li>each feature of each class,</li>
   *   <li>each enum,</li>
   *   <li>and each data type</li>
   * </ul>
   * <!-- end-user-doc -->
   * @generated
   */
  interface Literals
  {
    /**
     * The meta object literal for the '{@link safe10.classmodel.commonstructure.datatypes.ASILDecomposedEnum <em>ASIL Decomposed Enum</em>}' enum.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.commonstructure.datatypes.ASILDecomposedEnum
     * @see safe10.classmodel.commonstructure.datatypes.impl.DatatypesPackageImpl#getASILDecomposedEnum()
     * @generated
     */
    EEnum ASIL_DECOMPOSED_ENUM = eINSTANCE.getASILDecomposedEnum();

    /**
     * The meta object literal for the '{@link safe10.classmodel.commonstructure.datatypes.ASILEnum <em>ASIL Enum</em>}' enum.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.commonstructure.datatypes.ASILEnum
     * @see safe10.classmodel.commonstructure.datatypes.impl.DatatypesPackageImpl#getASILEnum()
     * @generated
     */
    EEnum ASIL_ENUM = eINSTANCE.getASILEnum();

    /**
     * The meta object literal for the '{@link safe10.classmodel.commonstructure.datatypes.DevelopmentCategory <em>Development Category</em>}' enum.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.commonstructure.datatypes.DevelopmentCategory
     * @see safe10.classmodel.commonstructure.datatypes.impl.DatatypesPackageImpl#getDevelopmentCategory()
     * @generated
     */
    EEnum DEVELOPMENT_CATEGORY = eINSTANCE.getDevelopmentCategory();

    /**
     * The meta object literal for the '{@link safe10.classmodel.commonstructure.datatypes.FunctionBehaviorKind <em>Function Behavior Kind</em>}' enum.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.commonstructure.datatypes.FunctionBehaviorKind
     * @see safe10.classmodel.commonstructure.datatypes.impl.DatatypesPackageImpl#getFunctionBehaviorKind()
     * @generated
     */
    EEnum FUNCTION_BEHAVIOR_KIND = eINSTANCE.getFunctionBehaviorKind();

    /**
     * The meta object literal for the '{@link safe10.classmodel.commonstructure.datatypes.SafeElementType <em>Safe Element Type</em>}' enum.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.commonstructure.datatypes.SafeElementType
     * @see safe10.classmodel.commonstructure.datatypes.impl.DatatypesPackageImpl#getSafeElementType()
     * @generated
     */
    EEnum SAFE_ELEMENT_TYPE = eINSTANCE.getSafeElementType();

    /**
     * The meta object literal for the '<em>Boolean</em>' data type.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see java.lang.Boolean
     * @see safe10.classmodel.commonstructure.datatypes.impl.DatatypesPackageImpl#getBoolean()
     * @generated
     */
    EDataType BOOLEAN = eINSTANCE.getBoolean();

    /**
     * The meta object literal for the '<em>Date</em>' data type.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see java.lang.Object
     * @see safe10.classmodel.commonstructure.datatypes.impl.DatatypesPackageImpl#getDate()
     * @generated
     */
    EDataType DATE = eINSTANCE.getDate();

    /**
     * The meta object literal for the '<em>Float</em>' data type.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see java.lang.Double
     * @see safe10.classmodel.commonstructure.datatypes.impl.DatatypesPackageImpl#getFloat()
     * @generated
     */
    EDataType FLOAT = eINSTANCE.getFloat();

    /**
     * The meta object literal for the '<em>Identifier</em>' data type.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see java.lang.String
     * @see safe10.classmodel.commonstructure.datatypes.impl.DatatypesPackageImpl#getIdentifier()
     * @generated
     */
    EDataType IDENTIFIER = eINSTANCE.getIdentifier();

    /**
     * The meta object literal for the '<em>Integer</em>' data type.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see java.lang.Integer
     * @see safe10.classmodel.commonstructure.datatypes.impl.DatatypesPackageImpl#getInteger()
     * @generated
     */
    EDataType INTEGER = eINSTANCE.getInteger();

    /**
     * The meta object literal for the '<em>Numerical</em>' data type.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see java.lang.String
     * @see safe10.classmodel.commonstructure.datatypes.impl.DatatypesPackageImpl#getNumerical()
     * @generated
     */
    EDataType NUMERICAL = eINSTANCE.getNumerical();

    /**
     * The meta object literal for the '<em>String</em>' data type.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see java.lang.String
     * @see safe10.classmodel.commonstructure.datatypes.impl.DatatypesPackageImpl#getString()
     * @generated
     */
    EDataType STRING = eINSTANCE.getString();

    /**
     * The meta object literal for the '<em>Uri String</em>' data type.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see java.net.URI
     * @see safe10.classmodel.commonstructure.datatypes.impl.DatatypesPackageImpl#getUriString()
     * @generated
     */
    EDataType URI_STRING = eINSTANCE.getUriString();

    /**
     * The meta object literal for the '<em>Url String</em>' data type.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see java.net.URL
     * @see safe10.classmodel.commonstructure.datatypes.impl.DatatypesPackageImpl#getUrlString()
     * @generated
     */
    EDataType URL_STRING = eINSTANCE.getUrlString();

  }

} //DatatypesPackage
