/**
 */
package safe10.classmodel.commonstructure.references;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EPackage;

/**
 * <!-- begin-user-doc -->
 * The <b>Package</b> for the model.
 * It contains accessors for the meta objects to represent
 * <ul>
 *   <li>each class,</li>
 *   <li>each feature of each class,</li>
 *   <li>each enum,</li>
 *   <li>and each data type</li>
 * </ul>
 * <!-- end-user-doc -->
 * @see safe10.classmodel.commonstructure.references.ReferencesFactory
 * @model kind="package"
 *        annotation="MetaData guid='{AD60F4E8-3E18-4608-9714-63DEEB76F0C1}' id='18' EA\040name='References'"
 *        annotation="TaggedValues xml.name='REFERENCES' xml.namePlural='REFERENCESS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public interface ReferencesPackage extends EPackage
{
  /**
   * The package name.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNAME = "references";

  /**
   * The package namespace URI.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNS_URI = "http://safe-project.eu/1.0.1/safe10/classmodel/commonstructure/references";

  /**
   * The package namespace name.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNS_PREFIX = "";

  /**
   * The singleton instance of the package.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  ReferencesPackage eINSTANCE = safe10.classmodel.commonstructure.references.impl.ReferencesPackageImpl.init();

  /**
   * The meta object id for the '{@link safe10.classmodel.commonstructure.references.impl.AbstractReferenceImpl <em>Abstract Reference</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.commonstructure.references.impl.AbstractReferenceImpl
   * @see safe10.classmodel.commonstructure.references.impl.ReferencesPackageImpl#getAbstractReference()
   * @generated
   */
  int ABSTRACT_REFERENCE = 0;

  /**
   * The number of structural features of the '<em>Abstract Reference</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ABSTRACT_REFERENCE_FEATURE_COUNT = 0;

  /**
   * The meta object id for the '{@link safe10.classmodel.commonstructure.references.impl.AutosarReferenceImpl <em>Autosar Reference</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.commonstructure.references.impl.AutosarReferenceImpl
   * @see safe10.classmodel.commonstructure.references.impl.ReferencesPackageImpl#getAutosarReference()
   * @generated
   */
  int AUTOSAR_REFERENCE = 1;

  /**
   * The number of structural features of the '<em>Autosar Reference</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int AUTOSAR_REFERENCE_FEATURE_COUNT = ABSTRACT_REFERENCE_FEATURE_COUNT + 0;

  /**
   * The meta object id for the '{@link safe10.classmodel.commonstructure.references.impl.CHROMOSOMEReferenceImpl <em>CHROMOSOME Reference</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.commonstructure.references.impl.CHROMOSOMEReferenceImpl
   * @see safe10.classmodel.commonstructure.references.impl.ReferencesPackageImpl#getCHROMOSOMEReference()
   * @generated
   */
  int CHROMOSOME_REFERENCE = 2;

  /**
   * The number of structural features of the '<em>CHROMOSOME Reference</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CHROMOSOME_REFERENCE_FEATURE_COUNT = ABSTRACT_REFERENCE_FEATURE_COUNT + 0;

  /**
   * The meta object id for the '{@link safe10.classmodel.commonstructure.references.impl.EastAdlReferenceImpl <em>East Adl Reference</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.commonstructure.references.impl.EastAdlReferenceImpl
   * @see safe10.classmodel.commonstructure.references.impl.ReferencesPackageImpl#getEastAdlReference()
   * @generated
   */
  int EAST_ADL_REFERENCE = 3;

  /**
   * The number of structural features of the '<em>East Adl Reference</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EAST_ADL_REFERENCE_FEATURE_COUNT = ABSTRACT_REFERENCE_FEATURE_COUNT + 0;


  /**
   * Returns the meta object for class '{@link safe10.classmodel.commonstructure.references.AbstractReference <em>Abstract Reference</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Abstract Reference</em>'.
   * @see safe10.classmodel.commonstructure.references.AbstractReference
   * @generated
   */
  EClass getAbstractReference();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.commonstructure.references.AutosarReference <em>Autosar Reference</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Autosar Reference</em>'.
   * @see safe10.classmodel.commonstructure.references.AutosarReference
   * @generated
   */
  EClass getAutosarReference();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.commonstructure.references.CHROMOSOMEReference <em>CHROMOSOME Reference</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>CHROMOSOME Reference</em>'.
   * @see safe10.classmodel.commonstructure.references.CHROMOSOMEReference
   * @generated
   */
  EClass getCHROMOSOMEReference();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.commonstructure.references.EastAdlReference <em>East Adl Reference</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>East Adl Reference</em>'.
   * @see safe10.classmodel.commonstructure.references.EastAdlReference
   * @generated
   */
  EClass getEastAdlReference();

  /**
   * Returns the factory that creates the instances of the model.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the factory that creates the instances of the model.
   * @generated
   */
  ReferencesFactory getReferencesFactory();

  /**
   * <!-- begin-user-doc -->
   * Defines literals for the meta objects that represent
   * <ul>
   *   <li>each class,</li>
   *   <li>each feature of each class,</li>
   *   <li>each enum,</li>
   *   <li>and each data type</li>
   * </ul>
   * <!-- end-user-doc -->
   * @generated
   */
  interface Literals
  {
    /**
     * The meta object literal for the '{@link safe10.classmodel.commonstructure.references.impl.AbstractReferenceImpl <em>Abstract Reference</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.commonstructure.references.impl.AbstractReferenceImpl
     * @see safe10.classmodel.commonstructure.references.impl.ReferencesPackageImpl#getAbstractReference()
     * @generated
     */
    EClass ABSTRACT_REFERENCE = eINSTANCE.getAbstractReference();

    /**
     * The meta object literal for the '{@link safe10.classmodel.commonstructure.references.impl.AutosarReferenceImpl <em>Autosar Reference</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.commonstructure.references.impl.AutosarReferenceImpl
     * @see safe10.classmodel.commonstructure.references.impl.ReferencesPackageImpl#getAutosarReference()
     * @generated
     */
    EClass AUTOSAR_REFERENCE = eINSTANCE.getAutosarReference();

    /**
     * The meta object literal for the '{@link safe10.classmodel.commonstructure.references.impl.CHROMOSOMEReferenceImpl <em>CHROMOSOME Reference</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.commonstructure.references.impl.CHROMOSOMEReferenceImpl
     * @see safe10.classmodel.commonstructure.references.impl.ReferencesPackageImpl#getCHROMOSOMEReference()
     * @generated
     */
    EClass CHROMOSOME_REFERENCE = eINSTANCE.getCHROMOSOMEReference();

    /**
     * The meta object literal for the '{@link safe10.classmodel.commonstructure.references.impl.EastAdlReferenceImpl <em>East Adl Reference</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.commonstructure.references.impl.EastAdlReferenceImpl
     * @see safe10.classmodel.commonstructure.references.impl.ReferencesPackageImpl#getEastAdlReference()
     * @generated
     */
    EClass EAST_ADL_REFERENCE = eINSTANCE.getEastAdlReference();

  }

} //ReferencesPackage
