/**
 */
package safe10.classmodel.commonstructure.references.impl;

import autosar40.bswmodule.bswinterfaces.BswinterfacesPackage;

import autosar40.bswmodule.bswoverview.BswoverviewPackage;

import autosar40.commonstructure.modedeclaration.ModedeclarationPackage;

import autosar40.ecuresource.EcuresourcePackage;

import autosar40.swcomponent.components.ComponentsPackage;

import autosar40.swcomponent.composition.CompositionPackage;

import autosar40.swcomponent.datatype.dataprototypes.DataprototypesPackage;

import autosar40.swcomponent.portinterface.PortinterfacePackage;

import autosar40.swcomponent.swcinternalbehavior.SwcinternalbehaviorPackage;

import autosar40.system.SystemPackage;

import eastadl21.east_adl.environment.EnvironmentPackage;

import eastadl21.east_adl.requirements.RequirementsPackage;

import eastadl21.east_adl.structure.featuremodeling.FeaturemodelingPackage;

import eastadl21.east_adl.structure.functionmodeling.FunctionmodelingPackage;

import eastadl21.east_adl.structure.hardwaremodeling.HardwaremodelingPackage;

import eastadl21.east_adl.structure.systemmodeling.SystemmodelingPackage;

import eastadl21.east_adl.structure.vehiclefeaturemodeling.VehiclefeaturemodelingPackage;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EPackage;

import org.eclipse.emf.ecore.impl.EPackageImpl;

import safe10.classmodel.commonstructure.datatypes.DatatypesPackage;

import safe10.classmodel.commonstructure.datatypes.impl.DatatypesPackageImpl;

import safe10.classmodel.commonstructure.formulaexpression.FormulaexpressionPackage;

import safe10.classmodel.commonstructure.formulaexpression.impl.FormulaexpressionPackageImpl;

import safe10.classmodel.commonstructure.references.AbstractReference;
import safe10.classmodel.commonstructure.references.AutosarReference;
import safe10.classmodel.commonstructure.references.CHROMOSOMEReference;
import safe10.classmodel.commonstructure.references.EastAdlReference;
import safe10.classmodel.commonstructure.references.ReferencesFactory;
import safe10.classmodel.commonstructure.references.ReferencesPackage;

import safe10.classmodel.commonstructure.references.chromosomereferences.ChromosomereferencesPackage;

import safe10.classmodel.commonstructure.references.chromosomereferences.impl.ChromosomereferencesPackageImpl;

import safe10.classmodel.commonstructure.safetyextensions.SafetyextensionsPackage;

import safe10.classmodel.commonstructure.safetyextensions.impl.SafetyextensionsPackageImpl;

import safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.SoftwaresafetyextensionPackage;

import safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.impl.SoftwaresafetyextensionPackageImpl;

import safe10.classmodel.commonstructure.safetyextensions.technicalsafetyextension.TechnicalsafetyextensionPackage;

import safe10.classmodel.commonstructure.safetyextensions.technicalsafetyextension.impl.TechnicalsafetyextensionPackageImpl;

import safe10.classmodel.commonstructure.toplevel.ToplevelPackage;

import safe10.classmodel.commonstructure.toplevel.impl.ToplevelPackageImpl;

import safe10.classmodel.configuration.ConfigurationPackage;

import safe10.classmodel.configuration.impl.ConfigurationPackageImpl;

import safe10.classmodel.errormodel.ErrormodelPackage;

import safe10.classmodel.errormodel._instanceref._instancerefPackage;

import safe10.classmodel.errormodel._instanceref.impl._instancerefPackageImpl;

import safe10.classmodel.errormodel.errorbehavior.ErrorbehaviorPackage;

import safe10.classmodel.errormodel.errorbehavior.impl.ErrorbehaviorPackageImpl;

import safe10.classmodel.errormodel.errormodeltype.ErrormodeltypePackage;

import safe10.classmodel.errormodel.errormodeltype.impl.ErrormodeltypePackageImpl;

import safe10.classmodel.errormodel.impl.ErrormodelPackageImpl;

import safe10.classmodel.errormodel.malfunction.MalfunctionPackage;

import safe10.classmodel.errormodel.malfunction.impl.MalfunctionPackageImpl;

import safe10.classmodel.hardware.failure.FailurePackage;

import safe10.classmodel.hardware.failure.impl.FailurePackageImpl;

import safe10.classmodel.hardware.failureformula.FailureformulaPackage;

import safe10.classmodel.hardware.failureformula.impl.FailureformulaPackageImpl;

import safe10.classmodel.hardware.failurepart.FailurepartPackage;

import safe10.classmodel.hardware.failurepart.impl.FailurepartPackageImpl;

import safe10.classmodel.hardware.hwarchitecturalmetrics.HwarchitecturalmetricsPackage;

import safe10.classmodel.hardware.hwarchitecturalmetrics.impl.HwarchitecturalmetricsPackageImpl;

import safe10.classmodel.hardware.hwquantitativemeasure.HwquantitativemeasurePackage;

import safe10.classmodel.hardware.hwquantitativemeasure.impl.HwquantitativemeasurePackageImpl;

import safe10.classmodel.hardware.probabilisticmethods.ProbabilisticmethodsPackage;

import safe10.classmodel.hardware.probabilisticmethods.impl.ProbabilisticmethodsPackageImpl;

import safe10.classmodel.hazards.HazardsPackage;

import safe10.classmodel.hazards.impl.HazardsPackageImpl;

import safe10.classmodel.requirements.impl.RequirementsPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.SoftwaresafetyrequirementsPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.actuatormonitor.ActuatormonitorPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.actuatormonitor.impl.ActuatormonitorPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.alivenessmonitor.AlivenessmonitorPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.alivenessmonitor.impl.AlivenessmonitorPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.comparison.ComparisonPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.comparison.impl.ComparisonPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.contextrangecheck.ContextrangecheckPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.contextrangecheck.impl.ContextrangecheckPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.cpuselftest.CpuselftestPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.cpuselftest.impl.CpuselftestPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.crcchecksum.CrcchecksumPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.crcchecksum.impl.CrcchecksumPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.filter.FilterPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.filter.impl.FilterPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.gradientcheck.GradientcheckPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.gradientcheck.impl.GradientcheckPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.healthmonitor.HealthmonitorPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.healthmonitor.impl.HealthmonitorPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.HeartbeatPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.impl.HeartbeatPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.impl.SoftwaresafetyrequirementsPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.memoryselftest.MemoryselftestPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.memoryselftest.impl.MemoryselftestPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.voting.VotingPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.voting.impl.VotingPackageImpl;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model <b>Package</b>.
 * <!-- end-user-doc -->
 * @generated
 */
public class ReferencesPackageImpl extends EPackageImpl implements ReferencesPackage
{
  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass abstractReferenceEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass autosarReferenceEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass chromosomeReferenceEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass eastAdlReferenceEClass = null;

  /**
   * Creates an instance of the model <b>Package</b>, registered with
   * {@link org.eclipse.emf.ecore.EPackage.Registry EPackage.Registry} by the package
   * package URI value.
   * <p>Note: the correct way to create the package is via the static
   * factory method {@link #init init()}, which also performs
   * initialization of the package, or returns the registered package,
   * if one already exists.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see org.eclipse.emf.ecore.EPackage.Registry
   * @see safe10.classmodel.commonstructure.references.ReferencesPackage#eNS_URI
   * @see #init()
   * @generated
   */
  private ReferencesPackageImpl()
  {
    super(eNS_URI, ReferencesFactory.eINSTANCE);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private static boolean isInited = false;

  /**
   * Creates, registers, and initializes the <b>Package</b> for this model, and for any others upon which it depends.
   * 
   * <p>This method is used to initialize {@link ReferencesPackage#eINSTANCE} when that field is accessed.
   * Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #eNS_URI
   * @see #createPackageContents()
   * @see #initializePackageContents()
   * @generated
   */
  public static ReferencesPackage init()
  {
    if (isInited) return (ReferencesPackage)EPackage.Registry.INSTANCE.getEPackage(ReferencesPackage.eNS_URI);

    // Obtain or create and register package
    ReferencesPackageImpl theReferencesPackage = (ReferencesPackageImpl)(EPackage.Registry.INSTANCE.get(eNS_URI) instanceof ReferencesPackageImpl ? EPackage.Registry.INSTANCE.get(eNS_URI) : new ReferencesPackageImpl());

    isInited = true;

    // Initialize simple dependencies
    SystemmodelingPackage.eINSTANCE.eClass();
    FeaturemodelingPackage.eINSTANCE.eClass();
    VehiclefeaturemodelingPackage.eINSTANCE.eClass();
    FunctionmodelingPackage.eINSTANCE.eClass();
    HardwaremodelingPackage.eINSTANCE.eClass();
    RequirementsPackage.eINSTANCE.eClass();
    EnvironmentPackage.eINSTANCE.eClass();
    EcuresourcePackage.eINSTANCE.eClass();
    ModedeclarationPackage.eINSTANCE.eClass();
    DataprototypesPackage.eINSTANCE.eClass();
    CompositionPackage.eINSTANCE.eClass();
    ComponentsPackage.eINSTANCE.eClass();
    PortinterfacePackage.eINSTANCE.eClass();
    SwcinternalbehaviorPackage.eINSTANCE.eClass();
    SystemPackage.eINSTANCE.eClass();
    BswoverviewPackage.eINSTANCE.eClass();
    BswinterfacesPackage.eINSTANCE.eClass();

    // Obtain or create and register interdependencies
    DatatypesPackageImpl theDatatypesPackage = (DatatypesPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(DatatypesPackage.eNS_URI) instanceof DatatypesPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(DatatypesPackage.eNS_URI) : DatatypesPackage.eINSTANCE);
    FormulaexpressionPackageImpl theFormulaexpressionPackage = (FormulaexpressionPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(FormulaexpressionPackage.eNS_URI) instanceof FormulaexpressionPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(FormulaexpressionPackage.eNS_URI) : FormulaexpressionPackage.eINSTANCE);
    ChromosomereferencesPackageImpl theChromosomereferencesPackage = (ChromosomereferencesPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ChromosomereferencesPackage.eNS_URI) instanceof ChromosomereferencesPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ChromosomereferencesPackage.eNS_URI) : ChromosomereferencesPackage.eINSTANCE);
    SafetyextensionsPackageImpl theSafetyextensionsPackage = (SafetyextensionsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(SafetyextensionsPackage.eNS_URI) instanceof SafetyextensionsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(SafetyextensionsPackage.eNS_URI) : SafetyextensionsPackage.eINSTANCE);
    SoftwaresafetyextensionPackageImpl theSoftwaresafetyextensionPackage = (SoftwaresafetyextensionPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(SoftwaresafetyextensionPackage.eNS_URI) instanceof SoftwaresafetyextensionPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(SoftwaresafetyextensionPackage.eNS_URI) : SoftwaresafetyextensionPackage.eINSTANCE);
    TechnicalsafetyextensionPackageImpl theTechnicalsafetyextensionPackage = (TechnicalsafetyextensionPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(TechnicalsafetyextensionPackage.eNS_URI) instanceof TechnicalsafetyextensionPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(TechnicalsafetyextensionPackage.eNS_URI) : TechnicalsafetyextensionPackage.eINSTANCE);
    ToplevelPackageImpl theToplevelPackage = (ToplevelPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ToplevelPackage.eNS_URI) instanceof ToplevelPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ToplevelPackage.eNS_URI) : ToplevelPackage.eINSTANCE);
    ConfigurationPackageImpl theConfigurationPackage = (ConfigurationPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ConfigurationPackage.eNS_URI) instanceof ConfigurationPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ConfigurationPackage.eNS_URI) : ConfigurationPackage.eINSTANCE);
    ErrormodelPackageImpl theErrormodelPackage = (ErrormodelPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ErrormodelPackage.eNS_URI) instanceof ErrormodelPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ErrormodelPackage.eNS_URI) : ErrormodelPackage.eINSTANCE);
    _instancerefPackageImpl the_instancerefPackage = (_instancerefPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(_instancerefPackage.eNS_URI) instanceof _instancerefPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(_instancerefPackage.eNS_URI) : _instancerefPackage.eINSTANCE);
    ErrorbehaviorPackageImpl theErrorbehaviorPackage = (ErrorbehaviorPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ErrorbehaviorPackage.eNS_URI) instanceof ErrorbehaviorPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ErrorbehaviorPackage.eNS_URI) : ErrorbehaviorPackage.eINSTANCE);
    ErrormodeltypePackageImpl theErrormodeltypePackage = (ErrormodeltypePackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ErrormodeltypePackage.eNS_URI) instanceof ErrormodeltypePackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ErrormodeltypePackage.eNS_URI) : ErrormodeltypePackage.eINSTANCE);
    MalfunctionPackageImpl theMalfunctionPackage = (MalfunctionPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(MalfunctionPackage.eNS_URI) instanceof MalfunctionPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(MalfunctionPackage.eNS_URI) : MalfunctionPackage.eINSTANCE);
    FailureformulaPackageImpl theFailureformulaPackage = (FailureformulaPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(FailureformulaPackage.eNS_URI) instanceof FailureformulaPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(FailureformulaPackage.eNS_URI) : FailureformulaPackage.eINSTANCE);
    FailurePackageImpl theFailurePackage = (FailurePackageImpl)(EPackage.Registry.INSTANCE.getEPackage(FailurePackage.eNS_URI) instanceof FailurePackageImpl ? EPackage.Registry.INSTANCE.getEPackage(FailurePackage.eNS_URI) : FailurePackage.eINSTANCE);
    FailurepartPackageImpl theFailurepartPackage = (FailurepartPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(FailurepartPackage.eNS_URI) instanceof FailurepartPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(FailurepartPackage.eNS_URI) : FailurepartPackage.eINSTANCE);
    HwquantitativemeasurePackageImpl theHwquantitativemeasurePackage = (HwquantitativemeasurePackageImpl)(EPackage.Registry.INSTANCE.getEPackage(HwquantitativemeasurePackage.eNS_URI) instanceof HwquantitativemeasurePackageImpl ? EPackage.Registry.INSTANCE.getEPackage(HwquantitativemeasurePackage.eNS_URI) : HwquantitativemeasurePackage.eINSTANCE);
    HwarchitecturalmetricsPackageImpl theHwarchitecturalmetricsPackage = (HwarchitecturalmetricsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(HwarchitecturalmetricsPackage.eNS_URI) instanceof HwarchitecturalmetricsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(HwarchitecturalmetricsPackage.eNS_URI) : HwarchitecturalmetricsPackage.eINSTANCE);
    ProbabilisticmethodsPackageImpl theProbabilisticmethodsPackage = (ProbabilisticmethodsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ProbabilisticmethodsPackage.eNS_URI) instanceof ProbabilisticmethodsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ProbabilisticmethodsPackage.eNS_URI) : ProbabilisticmethodsPackage.eINSTANCE);
    HazardsPackageImpl theHazardsPackage = (HazardsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(HazardsPackage.eNS_URI) instanceof HazardsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(HazardsPackage.eNS_URI) : HazardsPackage.eINSTANCE);
    RequirementsPackageImpl theRequirementsPackage_1 = (RequirementsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(safe10.classmodel.requirements.RequirementsPackage.eNS_URI) instanceof RequirementsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(safe10.classmodel.requirements.RequirementsPackage.eNS_URI) : safe10.classmodel.requirements.RequirementsPackage.eINSTANCE);
    SoftwaresafetyrequirementsPackageImpl theSoftwaresafetyrequirementsPackage = (SoftwaresafetyrequirementsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(SoftwaresafetyrequirementsPackage.eNS_URI) instanceof SoftwaresafetyrequirementsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(SoftwaresafetyrequirementsPackage.eNS_URI) : SoftwaresafetyrequirementsPackage.eINSTANCE);
    AlivenessmonitorPackageImpl theAlivenessmonitorPackage = (AlivenessmonitorPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(AlivenessmonitorPackage.eNS_URI) instanceof AlivenessmonitorPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(AlivenessmonitorPackage.eNS_URI) : AlivenessmonitorPackage.eINSTANCE);
    ActuatormonitorPackageImpl theActuatormonitorPackage = (ActuatormonitorPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ActuatormonitorPackage.eNS_URI) instanceof ActuatormonitorPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ActuatormonitorPackage.eNS_URI) : ActuatormonitorPackage.eINSTANCE);
    CrcchecksumPackageImpl theCrcchecksumPackage = (CrcchecksumPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(CrcchecksumPackage.eNS_URI) instanceof CrcchecksumPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(CrcchecksumPackage.eNS_URI) : CrcchecksumPackage.eINSTANCE);
    ComparisonPackageImpl theComparisonPackage = (ComparisonPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ComparisonPackage.eNS_URI) instanceof ComparisonPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ComparisonPackage.eNS_URI) : ComparisonPackage.eINSTANCE);
    ContextrangecheckPackageImpl theContextrangecheckPackage = (ContextrangecheckPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ContextrangecheckPackage.eNS_URI) instanceof ContextrangecheckPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ContextrangecheckPackage.eNS_URI) : ContextrangecheckPackage.eINSTANCE);
    CpuselftestPackageImpl theCpuselftestPackage = (CpuselftestPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(CpuselftestPackage.eNS_URI) instanceof CpuselftestPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(CpuselftestPackage.eNS_URI) : CpuselftestPackage.eINSTANCE);
    FilterPackageImpl theFilterPackage = (FilterPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(FilterPackage.eNS_URI) instanceof FilterPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(FilterPackage.eNS_URI) : FilterPackage.eINSTANCE);
    GradientcheckPackageImpl theGradientcheckPackage = (GradientcheckPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(GradientcheckPackage.eNS_URI) instanceof GradientcheckPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(GradientcheckPackage.eNS_URI) : GradientcheckPackage.eINSTANCE);
    HealthmonitorPackageImpl theHealthmonitorPackage = (HealthmonitorPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(HealthmonitorPackage.eNS_URI) instanceof HealthmonitorPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(HealthmonitorPackage.eNS_URI) : HealthmonitorPackage.eINSTANCE);
    HeartbeatPackageImpl theHeartbeatPackage = (HeartbeatPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(HeartbeatPackage.eNS_URI) instanceof HeartbeatPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(HeartbeatPackage.eNS_URI) : HeartbeatPackage.eINSTANCE);
    MemoryselftestPackageImpl theMemoryselftestPackage = (MemoryselftestPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(MemoryselftestPackage.eNS_URI) instanceof MemoryselftestPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(MemoryselftestPackage.eNS_URI) : MemoryselftestPackage.eINSTANCE);
    VotingPackageImpl theVotingPackage = (VotingPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(VotingPackage.eNS_URI) instanceof VotingPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(VotingPackage.eNS_URI) : VotingPackage.eINSTANCE);
    safe10.classmodel.software.configuration.impl.ConfigurationPackageImpl theConfigurationPackage_1 = (safe10.classmodel.software.configuration.impl.ConfigurationPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(safe10.classmodel.software.configuration.ConfigurationPackage.eNS_URI) instanceof safe10.classmodel.software.configuration.impl.ConfigurationPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(safe10.classmodel.software.configuration.ConfigurationPackage.eNS_URI) : safe10.classmodel.software.configuration.ConfigurationPackage.eINSTANCE);

    // Create package meta-data objects
    theReferencesPackage.createPackageContents();
    theDatatypesPackage.createPackageContents();
    theFormulaexpressionPackage.createPackageContents();
    theChromosomereferencesPackage.createPackageContents();
    theSafetyextensionsPackage.createPackageContents();
    theSoftwaresafetyextensionPackage.createPackageContents();
    theTechnicalsafetyextensionPackage.createPackageContents();
    theToplevelPackage.createPackageContents();
    theConfigurationPackage.createPackageContents();
    theErrormodelPackage.createPackageContents();
    the_instancerefPackage.createPackageContents();
    theErrorbehaviorPackage.createPackageContents();
    theErrormodeltypePackage.createPackageContents();
    theMalfunctionPackage.createPackageContents();
    theFailureformulaPackage.createPackageContents();
    theFailurePackage.createPackageContents();
    theFailurepartPackage.createPackageContents();
    theHwquantitativemeasurePackage.createPackageContents();
    theHwarchitecturalmetricsPackage.createPackageContents();
    theProbabilisticmethodsPackage.createPackageContents();
    theHazardsPackage.createPackageContents();
    theRequirementsPackage_1.createPackageContents();
    theSoftwaresafetyrequirementsPackage.createPackageContents();
    theAlivenessmonitorPackage.createPackageContents();
    theActuatormonitorPackage.createPackageContents();
    theCrcchecksumPackage.createPackageContents();
    theComparisonPackage.createPackageContents();
    theContextrangecheckPackage.createPackageContents();
    theCpuselftestPackage.createPackageContents();
    theFilterPackage.createPackageContents();
    theGradientcheckPackage.createPackageContents();
    theHealthmonitorPackage.createPackageContents();
    theHeartbeatPackage.createPackageContents();
    theMemoryselftestPackage.createPackageContents();
    theVotingPackage.createPackageContents();
    theConfigurationPackage_1.createPackageContents();

    // Initialize created meta-data
    theReferencesPackage.initializePackageContents();
    theDatatypesPackage.initializePackageContents();
    theFormulaexpressionPackage.initializePackageContents();
    theChromosomereferencesPackage.initializePackageContents();
    theSafetyextensionsPackage.initializePackageContents();
    theSoftwaresafetyextensionPackage.initializePackageContents();
    theTechnicalsafetyextensionPackage.initializePackageContents();
    theToplevelPackage.initializePackageContents();
    theConfigurationPackage.initializePackageContents();
    theErrormodelPackage.initializePackageContents();
    the_instancerefPackage.initializePackageContents();
    theErrorbehaviorPackage.initializePackageContents();
    theErrormodeltypePackage.initializePackageContents();
    theMalfunctionPackage.initializePackageContents();
    theFailureformulaPackage.initializePackageContents();
    theFailurePackage.initializePackageContents();
    theFailurepartPackage.initializePackageContents();
    theHwquantitativemeasurePackage.initializePackageContents();
    theHwarchitecturalmetricsPackage.initializePackageContents();
    theProbabilisticmethodsPackage.initializePackageContents();
    theHazardsPackage.initializePackageContents();
    theRequirementsPackage_1.initializePackageContents();
    theSoftwaresafetyrequirementsPackage.initializePackageContents();
    theAlivenessmonitorPackage.initializePackageContents();
    theActuatormonitorPackage.initializePackageContents();
    theCrcchecksumPackage.initializePackageContents();
    theComparisonPackage.initializePackageContents();
    theContextrangecheckPackage.initializePackageContents();
    theCpuselftestPackage.initializePackageContents();
    theFilterPackage.initializePackageContents();
    theGradientcheckPackage.initializePackageContents();
    theHealthmonitorPackage.initializePackageContents();
    theHeartbeatPackage.initializePackageContents();
    theMemoryselftestPackage.initializePackageContents();
    theVotingPackage.initializePackageContents();
    theConfigurationPackage_1.initializePackageContents();

    // Mark meta-data to indicate it can't be changed
    theReferencesPackage.freeze();

  
    // Update the registry and return the package
    EPackage.Registry.INSTANCE.put(ReferencesPackage.eNS_URI, theReferencesPackage);
    return theReferencesPackage;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAbstractReference()
  {
    return abstractReferenceEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAutosarReference()
  {
    return autosarReferenceEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getCHROMOSOMEReference()
  {
    return chromosomeReferenceEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getEastAdlReference()
  {
    return eastAdlReferenceEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public ReferencesFactory getReferencesFactory()
  {
    return (ReferencesFactory)getEFactoryInstance();
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private boolean isCreated = false;

  /**
   * Creates the meta-model objects for the package.  This method is
   * guarded to have no affect on any invocation but its first.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void createPackageContents()
  {
    if (isCreated) return;
    isCreated = true;

    // Create classes and their features
    abstractReferenceEClass = createEClass(ABSTRACT_REFERENCE);

    autosarReferenceEClass = createEClass(AUTOSAR_REFERENCE);

    chromosomeReferenceEClass = createEClass(CHROMOSOME_REFERENCE);

    eastAdlReferenceEClass = createEClass(EAST_ADL_REFERENCE);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private boolean isInitialized = false;

  /**
   * Complete the initialization of the package and its meta-model.  This
   * method is guarded to have no affect on any invocation but its first.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void initializePackageContents()
  {
    if (isInitialized) return;
    isInitialized = true;

    // Initialize package
    setName(eNAME);
    setNsPrefix(eNS_PREFIX);
    setNsURI(eNS_URI);

    // Obtain other dependent packages
    ChromosomereferencesPackage theChromosomereferencesPackage = (ChromosomereferencesPackage)EPackage.Registry.INSTANCE.getEPackage(ChromosomereferencesPackage.eNS_URI);

    // Add subpackages
    getESubpackages().add(theChromosomereferencesPackage);

    // Create type parameters

    // Set bounds for type parameters

    // Add supertypes to classes
    autosarReferenceEClass.getESuperTypes().add(this.getAbstractReference());
    chromosomeReferenceEClass.getESuperTypes().add(this.getAbstractReference());
    eastAdlReferenceEClass.getESuperTypes().add(this.getAbstractReference());

    // Initialize classes and features; add operations and parameters
    initEClass(abstractReferenceEClass, AbstractReference.class, "AbstractReference", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(autosarReferenceEClass, AutosarReference.class, "AutosarReference", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(chromosomeReferenceEClass, CHROMOSOMEReference.class, "CHROMOSOMEReference", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(eastAdlReferenceEClass, EastAdlReference.class, "EastAdlReference", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    // Create resource
    createResource(eNS_URI);

    // Create annotations
    // MetaData
    createMetaDataAnnotations();
    // TaggedValues
    createTaggedValuesAnnotations();
    // EAAdapter
    createEAAdapterAnnotations();
    // Stereotype
    createStereotypeAnnotations();
  }

  /**
   * Initializes the annotations for <b>MetaData</b>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected void createMetaDataAnnotations()
  {
    String source = "MetaData";		
    addAnnotation
      (this, 
       source, 
       new String[] 
       {
       "guid", "{AD60F4E8-3E18-4608-9714-63DEEB76F0C1}",
       "id", "18",
       "EA name", "References"
       });				
    addAnnotation
      (abstractReferenceEClass, 
       source, 
       new String[] 
       {
       "guid", "{69AD5866-E286-4fe3-B124-E165A8954775}",
       "id", "116",
       "EA name", "AbstractReference"
       });					
    addAnnotation
      (autosarReferenceEClass, 
       source, 
       new String[] 
       {
       "guid", "{4C6343FC-4E00-49c9-83BD-1BD5ADB7CCA4}",
       "id", "121",
       "EA name", "AutosarReference"
       });						
    addAnnotation
      (chromosomeReferenceEClass, 
       source, 
       new String[] 
       {
       "guid", "{C6DE2E8B-013A-43b3-8888-4C60EEEE0C20}",
       "id", "-827600737",
       "EA name", "CHROMOSOMEReference"
       });					
    addAnnotation
      (eastAdlReferenceEClass, 
       source, 
       new String[] 
       {
       "guid", "{5C88D5B9-56FC-43cf-A69C-EACE91234806}",
       "id", "1364209528",
       "EA name", "EastAdlReference"
       });			
  }

  /**
   * Initializes the annotations for <b>TaggedValues</b>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected void createTaggedValuesAnnotations()
  {
    String source = "TaggedValues";			
    addAnnotation
      (this, 
       source, 
       new String[] 
       {
       "xml.name", "REFERENCES",
       "xml.namePlural", "REFERENCESS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });					
    addAnnotation
      (abstractReferenceEClass, 
       source, 
       new String[] 
       {
       "xml.name", "ABSTRACT-REFERENCE",
       "xml.namePlural", "ABSTRACT-REFERENCES",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });						
    addAnnotation
      (autosarReferenceEClass, 
       source, 
       new String[] 
       {
       "xml.name", "AUTOSAR-REFERENCE",
       "xml.namePlural", "AUTOSAR-REFERENCES",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });					
    addAnnotation
      (chromosomeReferenceEClass, 
       source, 
       new String[] 
       {
       "xml.name", "CHROMOSOME-REFERENCE",
       "xml.namePlural", "CHROMOSOME-REFERENCES",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });					
    addAnnotation
      (eastAdlReferenceEClass, 
       source, 
       new String[] 
       {
       "xml.name", "EAST-ADL-REFERENCE",
       "xml.namePlural", "EAST-ADL-REFERENCES",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });	
  }

  /**
   * Initializes the annotations for <b>EAAdapter</b>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected void createEAAdapterAnnotations()
  {
    String source = "EAAdapter";				
    addAnnotation
      (this, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (abstractReferenceEClass, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });						
    addAnnotation
      (autosarReferenceEClass, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (chromosomeReferenceEClass, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (eastAdlReferenceEClass, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });
  }

  /**
   * Initializes the annotations for <b>Stereotype</b>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected void createStereotypeAnnotations()
  {
    String source = "Stereotype";						
    addAnnotation
      (abstractReferenceEClass, 
       source, 
       new String[] 
       {
       "Stereotype", "abstract"
       });						
    addAnnotation
      (autosarReferenceEClass, 
       source, 
       new String[] 
       {
       "Stereotype", "abstract"
       });					
    addAnnotation
      (chromosomeReferenceEClass, 
       source, 
       new String[] 
       {
       "Stereotype", "abstract"
       });					
    addAnnotation
      (eastAdlReferenceEClass, 
       source, 
       new String[] 
       {
       "Stereotype", "abstract"
       });		
  }

} //ReferencesPackageImpl
