/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package safe10.classmodel.commonstructure.safetyextensions;

import eastadl21.east_adl.structure.functionmodeling.AnalysisFunctionType;

import safe10.classmodel.requirements.AllocationTarget;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Functional Safety Extension</b></em>'.
 * <!-- end-user-doc -->
 *
 * <!-- begin-model-doc -->
 * The FunctionalSafetyExtension is used as interface to the AnalysisLevel defined in EAST-ADL. This extension specifies the add-on needed to model the functional safety concept defined in the ISO 26262 part 3 chapter 8. 
 * <!-- end-model-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link safe10.classmodel.commonstructure.safetyextensions.FunctionalSafetyExtension#getScope <em>Scope</em>}</li>
 * </ul>
 * </p>
 *
 * @see safe10.classmodel.commonstructure.safetyextensions.SafetyextensionsPackage#getFunctionalSafetyExtension()
 * @model annotation="MetaData guid='{90B08BD2-9E11-4026-B855-83A1C6DF4772}' id='637603198' EA\040name='FunctionalSafetyExtension'"
 *        annotation="TaggedValues xml.name='FUNCTIONAL-SAFETY-EXTENSION' xml.namePlural='FUNCTIONAL-SAFETY-EXTENSIONS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public interface FunctionalSafetyExtension extends AllocationTarget, SafetyExtension
{
  /**
   * Returns the value of the '<em><b>Scope</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Scope</em>' containment reference isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Scope</em>' containment reference.
   * @see #setScope(AnalysisFunctionType)
   * @see safe10.classmodel.commonstructure.safetyextensions.SafetyextensionsPackage#getFunctionalSafetyExtension_Scope()
   * @model containment="true" required="true"
   *        annotation="MetaData guid='{5022E92E-ABC4-4100-B068-61C28A912A91}' id='1276318133' EA\040name=''"
   *        annotation="TaggedValues xml.name='SCOPE' xml.namePlural='SCOPES' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  AnalysisFunctionType getScope();

  /**
   * Sets the value of the '{@link safe10.classmodel.commonstructure.safetyextensions.FunctionalSafetyExtension#getScope <em>Scope</em>}' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Scope</em>' containment reference.
   * @see #getScope()
   * @generated
   */
  void setScope(AnalysisFunctionType value);

} // FunctionalSafetyExtension
