/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package safe10.classmodel.commonstructure.safetyextensions;

import autosar40.ecuresource.HwElement;

import org.eclipse.emf.common.util.EList;

import safe10.classmodel.hardware.failurepart.HWPartFailure;
import safe10.classmodel.hardware.failurepart.HWPartFailureAnalysis;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Hardware Implementation Safety Extension</b></em>'.
 * <!-- end-user-doc -->
 *
 * <!-- begin-model-doc -->
 * This class represent the Safety Extension point for referenced element of Hardware Element as part of a component (respectively AUTOSAR HW Element Type) to allow the capture of hardware failure and summary failure quantified contribution to HWComponent.
 * <!-- end-model-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link safe10.classmodel.commonstructure.safetyextensions.HardwareImplementationSafetyExtension#getScope <em>Scope</em>}</li>
 *   <li>{@link safe10.classmodel.commonstructure.safetyextensions.HardwareImplementationSafetyExtension#getHardwarePartSafetyAnalysis <em>Hardware Part Safety Analysis</em>}</li>
 *   <li>{@link safe10.classmodel.commonstructure.safetyextensions.HardwareImplementationSafetyExtension#getRamdomHardwarePartFailure <em>Ramdom Hardware Part Failure</em>}</li>
 * </ul>
 * </p>
 *
 * @see safe10.classmodel.commonstructure.safetyextensions.SafetyextensionsPackage#getHardwareImplementationSafetyExtension()
 * @model annotation="MetaData guid='{C187A87F-3ADA-4439-B225-567BA7533EE9}' id='-101655698' EA\040name='HardwareImplementationSafetyExtension'"
 *        annotation="TaggedValues xml.name='HARDWARE-IMPLEMENTATION-SAFETY-EXTENSION' xml.namePlural='HARDWARE-IMPLEMENTATION-SAFETY-EXTENSIONS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public interface HardwareImplementationSafetyExtension extends ImplementationSafetyExtension
{
  /**
   * Returns the value of the '<em><b>Scope</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Scope</em>' containment reference isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Scope</em>' containment reference.
   * @see #setScope(HwElement)
   * @see safe10.classmodel.commonstructure.safetyextensions.SafetyextensionsPackage#getHardwareImplementationSafetyExtension_Scope()
   * @model containment="true" required="true"
   *        annotation="MetaData guid='{09C94B81-CD3D-49a6-B4C8-6254B1315E0D}' id='1830657736' EA\040name=''"
   *        annotation="TaggedValues xml.name='SCOPE' xml.namePlural='SCOPES' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  HwElement getScope();

  /**
   * Sets the value of the '{@link safe10.classmodel.commonstructure.safetyextensions.HardwareImplementationSafetyExtension#getScope <em>Scope</em>}' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Scope</em>' containment reference.
   * @see #getScope()
   * @generated
   */
  void setScope(HwElement value);

  /**
   * Returns the value of the '<em><b>Hardware Part Safety Analysis</b></em>' reference list.
   * The list contents are of type {@link safe10.classmodel.hardware.failurepart.HWPartFailureAnalysis}.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Hardware Part Safety Analysis</em>' reference list isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Hardware Part Safety Analysis</em>' reference list.
   * @see safe10.classmodel.commonstructure.safetyextensions.SafetyextensionsPackage#getHardwareImplementationSafetyExtension_HardwarePartSafetyAnalysis()
   * @model annotation="MetaData guid='{B7F73D01-7694-455f-B1C4-48456058DB1F}' id='-491465961' EA\040name=''"
   *        annotation="TaggedValues xml.name='HARDWARE-PART-SAFETY-ANALYSIS-REF' xml.namePlural='HARDWARE-PART-SAFETY-ANALYSIS-REFS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='true' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  EList<HWPartFailureAnalysis> getHardwarePartSafetyAnalysis();

  /**
   * Returns the value of the '<em><b>Ramdom Hardware Part Failure</b></em>' reference.
   * It is bidirectional and its opposite is '{@link safe10.classmodel.hardware.failurepart.HWPartFailure#getNameWasNotSet_6 <em>Name Was Not Set 6</em>}'.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Ramdom Hardware Part Failure</em>' reference isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Ramdom Hardware Part Failure</em>' reference.
   * @see #setRamdomHardwarePartFailure(HWPartFailure)
   * @see safe10.classmodel.commonstructure.safetyextensions.SafetyextensionsPackage#getHardwareImplementationSafetyExtension_RamdomHardwarePartFailure()
   * @see safe10.classmodel.hardware.failurepart.HWPartFailure#getNameWasNotSet_6
   * @model opposite="NameWasNotSet_6"
   *        annotation="TaggedValues xml.name='RAMDOM-HARDWARE-PART-FAILURE-REF' xml.namePlural='RAMDOM-HARDWARE-PART-FAILURE-REFS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  HWPartFailure getRamdomHardwarePartFailure();

  /**
   * Sets the value of the '{@link safe10.classmodel.commonstructure.safetyextensions.HardwareImplementationSafetyExtension#getRamdomHardwarePartFailure <em>Ramdom Hardware Part Failure</em>}' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Ramdom Hardware Part Failure</em>' reference.
   * @see #getRamdomHardwarePartFailure()
   * @generated
   */
  void setRamdomHardwarePartFailure(HWPartFailure value);

} // HardwareImplementationSafetyExtension
