/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package safe10.classmodel.commonstructure.safetyextensions;

import eastadl21.east_adl.environment.Environment;

import org.eclipse.emf.common.util.EList;

import safe10.classmodel.hazards.Actor;
import safe10.classmodel.hazards.ControllabilityReference;
import safe10.classmodel.hazards.Hazard;
import safe10.classmodel.hazards.RiskDescription;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Hazardand Risk Safety Extension</b></em>'.
 * <!-- end-user-doc -->
 *
 * <!-- begin-model-doc -->
 * The HazardAndRiskSafetyExtension is used as interface to the VehicleFeature defined in EAST-ADL. This extension specifies the add-on needed to model the hazard analysis and risk assessment defined in ISO 26262 part 3 chapter 7. Further details according to modeling of hazards and safety goals are described in D3.1.1.b 
 * <!-- end-model-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link safe10.classmodel.commonstructure.safetyextensions.HazardandRiskSafetyExtension#getEnvironmentalElement <em>Environmental Element</em>}</li>
 *   <li>{@link safe10.classmodel.commonstructure.safetyextensions.HazardandRiskSafetyExtension#getActor <em>Actor</em>}</li>
 *   <li>{@link safe10.classmodel.commonstructure.safetyextensions.HazardandRiskSafetyExtension#getControllability <em>Controllability</em>}</li>
 *   <li>{@link safe10.classmodel.commonstructure.safetyextensions.HazardandRiskSafetyExtension#getHazard <em>Hazard</em>}</li>
 *   <li>{@link safe10.classmodel.commonstructure.safetyextensions.HazardandRiskSafetyExtension#getRisk <em>Risk</em>}</li>
 * </ul>
 * </p>
 *
 * @see safe10.classmodel.commonstructure.safetyextensions.SafetyextensionsPackage#getHazardandRiskSafetyExtension()
 * @model annotation="MetaData guid='{0BA3503D-0C1F-4d84-93DB-E24779C8ADDC}' id='1466722733' EA\040name='HazardandRiskSafetyExtension'"
 *        annotation="TaggedValues xml.name='HAZARDAND-RISK-SAFETY-EXTENSION' xml.namePlural='HAZARDAND-RISK-SAFETY-EXTENSIONS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public interface HazardandRiskSafetyExtension extends SafetyExtension
{
  /**
   * Returns the value of the '<em><b>Environmental Element</b></em>' containment reference list.
   * The list contents are of type {@link eastadl21.east_adl.environment.Environment}.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Environmental Element</em>' containment reference list isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Environmental Element</em>' containment reference list.
   * @see safe10.classmodel.commonstructure.safetyextensions.SafetyextensionsPackage#getHazardandRiskSafetyExtension_EnvironmentalElement()
   * @model containment="true" required="true"
   *        annotation="MetaData guid='{C73F0FC1-1C8E-443e-810C-0EA090B1B4F5}' id='399596993' EA\040name=''"
   *        annotation="TaggedValues xml.name='ENVIRONMENTAL-ELEMENT' xml.namePlural='ENVIRONMENTAL-ELEMENTS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='false' xml.roleWrapperElement='true' xml.typeElement='true' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  EList<Environment> getEnvironmentalElement();

  /**
   * Returns the value of the '<em><b>Actor</b></em>' containment reference list.
   * The list contents are of type {@link safe10.classmodel.hazards.Actor}.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Actor</em>' containment reference list isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Actor</em>' containment reference list.
   * @see safe10.classmodel.commonstructure.safetyextensions.SafetyextensionsPackage#getHazardandRiskSafetyExtension_Actor()
   * @model containment="true"
   *        annotation="MetaData guid='{5AA62A20-9162-460b-8123-932D87871BEF}' id='1596082583' EA\040name=''"
   *        annotation="TaggedValues xml.name='ACTOR' xml.namePlural='ACTORS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='false' xml.roleWrapperElement='true' xml.typeElement='true' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  EList<Actor> getActor();

  /**
   * Returns the value of the '<em><b>Controllability</b></em>' containment reference list.
   * The list contents are of type {@link safe10.classmodel.hazards.ControllabilityReference}.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Controllability</em>' containment reference list isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Controllability</em>' containment reference list.
   * @see safe10.classmodel.commonstructure.safetyextensions.SafetyextensionsPackage#getHazardandRiskSafetyExtension_Controllability()
   * @model containment="true"
   *        annotation="MetaData guid='{FABFA950-ED07-4add-AC33-DA0BD4635D32}' id='1480915219' EA\040name=''"
   *        annotation="TaggedValues xml.name='CONTROLLABILITY' xml.namePlural='CONTROLLABILITYS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='false' xml.roleWrapperElement='true' xml.typeElement='true' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  EList<ControllabilityReference> getControllability();

  /**
   * Returns the value of the '<em><b>Hazard</b></em>' containment reference list.
   * The list contents are of type {@link safe10.classmodel.hazards.Hazard}.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Hazard</em>' containment reference list isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Hazard</em>' containment reference list.
   * @see safe10.classmodel.commonstructure.safetyextensions.SafetyextensionsPackage#getHazardandRiskSafetyExtension_Hazard()
   * @model containment="true"
   *        annotation="MetaData guid='{5343517F-B6BE-4af3-9C0F-00FB9343C612}' id='908248477' EA\040name=''"
   *        annotation="TaggedValues xml.name='HAZARD' xml.namePlural='HAZARDS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='false' xml.roleWrapperElement='true' xml.typeElement='true' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  EList<Hazard> getHazard();

  /**
   * Returns the value of the '<em><b>Risk</b></em>' containment reference list.
   * The list contents are of type {@link safe10.classmodel.hazards.RiskDescription}.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Risk</em>' containment reference list isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Risk</em>' containment reference list.
   * @see safe10.classmodel.commonstructure.safetyextensions.SafetyextensionsPackage#getHazardandRiskSafetyExtension_Risk()
   * @model containment="true"
   *        annotation="MetaData guid='{8DAFFAA1-E91C-4f33-80CD-464492A0E29A}' id='1826735368' EA\040name=''"
   *        annotation="TaggedValues xml.name='RISK' xml.namePlural='RISKS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='false' xml.roleWrapperElement='true' xml.typeElement='true' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  EList<RiskDescription> getRisk();

} // HazardandRiskSafetyExtension
