/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package safe10.classmodel.commonstructure.safetyextensions;

import org.eclipse.emf.common.util.EList;

import safe10.classmodel.requirements.AbstractSafetyRequirement;
import safe10.classmodel.requirements.RequirementsReleationship;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Requirements Safety Extension</b></em>'.
 * <!-- end-user-doc -->
 *
 * <!-- begin-model-doc -->
 * Container for safety-requirements related elements.
 * <!-- end-model-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link safe10.classmodel.commonstructure.safetyextensions.RequirementsSafetyExtension#getSafetyRequirement <em>Safety Requirement</em>}</li>
 *   <li>{@link safe10.classmodel.commonstructure.safetyextensions.RequirementsSafetyExtension#getRequirementsRelationship <em>Requirements Relationship</em>}</li>
 * </ul>
 * </p>
 *
 * @see safe10.classmodel.commonstructure.safetyextensions.SafetyextensionsPackage#getRequirementsSafetyExtension()
 * @model annotation="MetaData guid='{05CC7284-8FDC-4b9e-AB3B-0E11974E0B52}' id='-1116786686' EA\040name='RequirementsSafetyExtension'"
 *        annotation="TaggedValues xml.name='REQUIREMENTS-SAFETY-EXTENSION' xml.namePlural='REQUIREMENTS-SAFETY-EXTENSIONS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public interface RequirementsSafetyExtension extends SafetyExtension
{
  /**
   * Returns the value of the '<em><b>Safety Requirement</b></em>' containment reference list.
   * The list contents are of type {@link safe10.classmodel.requirements.AbstractSafetyRequirement}.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Safety Requirement</em>' containment reference list isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Safety Requirement</em>' containment reference list.
   * @see safe10.classmodel.commonstructure.safetyextensions.SafetyextensionsPackage#getRequirementsSafetyExtension_SafetyRequirement()
   * @model containment="true"
   *        annotation="MetaData guid='{31CA0BAD-506A-444b-B668-C99A8F858B7B}' id='-3461720' EA\040name=''"
   *        annotation="TaggedValues xml.name='SAFETY-REQUIREMENT' xml.namePlural='SAFETY-REQUIREMENTS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='false' xml.roleWrapperElement='true' xml.typeElement='true' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  EList<AbstractSafetyRequirement> getSafetyRequirement();

  /**
   * Returns the value of the '<em><b>Requirements Relationship</b></em>' containment reference list.
   * The list contents are of type {@link safe10.classmodel.requirements.RequirementsReleationship}.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Requirements Relationship</em>' containment reference list isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Requirements Relationship</em>' containment reference list.
   * @see safe10.classmodel.commonstructure.safetyextensions.SafetyextensionsPackage#getRequirementsSafetyExtension_RequirementsRelationship()
   * @model containment="true"
   *        annotation="MetaData guid='{D682C125-E446-4e3d-B119-2836F1D5C39E}' id='-461524198' EA\040name=''"
   *        annotation="TaggedValues xml.name='REQUIREMENTS-RELATIONSHIP' xml.namePlural='REQUIREMENTS-RELATIONSHIPS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='false' xml.roleWrapperElement='true' xml.typeElement='true' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  EList<RequirementsReleationship> getRequirementsRelationship();

} // RequirementsSafetyExtension
