/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package safe10.classmodel.commonstructure.safetyextensions;

import org.eclipse.emf.common.util.EList;

import safe10.classmodel.commonstructure.safetyextensions.technicalsafetyextension.HardwareSafetyDesign;
import safe10.classmodel.commonstructure.safetyextensions.technicalsafetyextension.SoftwareSafetyDesign;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Technical Safety Extension</b></em>'.
 * <!-- end-user-doc -->
 *
 * <!-- begin-model-doc -->
 * The TechnicalSafetyExtension is used as interface to the DesignLevel defined in EAST-ADL. This extension specifies the add-on needed to model a specific technical solution that is derived based on the functional safety concept. It contains the 
 * <ul>
 * 	<li>technical safety concept (ISO 26262 part 4 chapter 7) </li>
 * 	<li>hardware software interface specification (ISO 26262 part 4 chapter 7.4.6 )</li>
 * </ul>
 * <!-- end-model-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link safe10.classmodel.commonstructure.safetyextensions.TechnicalSafetyExtension#getHardwareArchitecture <em>Hardware Architecture</em>}</li>
 *   <li>{@link safe10.classmodel.commonstructure.safetyextensions.TechnicalSafetyExtension#getSoftwareArchitecture <em>Software Architecture</em>}</li>
 * </ul>
 * </p>
 *
 * @see safe10.classmodel.commonstructure.safetyextensions.SafetyextensionsPackage#getTechnicalSafetyExtension()
 * @model annotation="MetaData guid='{DE3BFEB9-19DC-4e4e-BCB0-10DB27F87972}' id='1577305055' EA\040name='TechnicalSafetyExtension'"
 *        annotation="TaggedValues xml.name='TECHNICAL-SAFETY-EXTENSION' xml.namePlural='TECHNICAL-SAFETY-EXTENSIONS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public interface TechnicalSafetyExtension extends SafetyExtension
{
  /**
   * Returns the value of the '<em><b>Hardware Architecture</b></em>' containment reference list.
   * The list contents are of type {@link safe10.classmodel.commonstructure.safetyextensions.technicalsafetyextension.HardwareSafetyDesign}.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Hardware Architecture</em>' containment reference list isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Hardware Architecture</em>' containment reference list.
   * @see safe10.classmodel.commonstructure.safetyextensions.SafetyextensionsPackage#getTechnicalSafetyExtension_HardwareArchitecture()
   * @model containment="true"
   *        annotation="MetaData guid='{582A79ED-0752-4aee-8D92-5576AD8DADC0}' id='1369297737' EA\040name=''"
   *        annotation="TaggedValues xml.name='HARDWARE-ARCHITECTURE' xml.namePlural='HARDWARE-ARCHITECTURES' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='false' xml.roleWrapperElement='true' xml.typeElement='true' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  EList<HardwareSafetyDesign> getHardwareArchitecture();

  /**
   * Returns the value of the '<em><b>Software Architecture</b></em>' containment reference list.
   * The list contents are of type {@link safe10.classmodel.commonstructure.safetyextensions.technicalsafetyextension.SoftwareSafetyDesign}.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Software Architecture</em>' containment reference list isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Software Architecture</em>' containment reference list.
   * @see safe10.classmodel.commonstructure.safetyextensions.SafetyextensionsPackage#getTechnicalSafetyExtension_SoftwareArchitecture()
   * @model containment="true"
   *        annotation="MetaData guid='{AAA2C988-6395-4808-945D-14FB6D6228DB}' id='1238481366' EA\040name=''"
   *        annotation="TaggedValues xml.name='SOFTWARE-ARCHITECTURE' xml.namePlural='SOFTWARE-ARCHITECTURES' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='false' xml.roleWrapperElement='true' xml.typeElement='true' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  EList<SoftwareSafetyDesign> getSoftwareArchitecture();

} // TechnicalSafetyExtension
