/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension;

import autosar40.swcomponent.composition.CompositionSwComponentType;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Autosar Vfb Safety Extension</b></em>'.
 * <!-- end-user-doc -->
 *
 * <!-- begin-model-doc -->
 * This meta-class defines the element used for specifications of SAFE extensions at VFB level on AUTOSAR. This means elements which relate to a composition directly, not yet in a given system context.
 * <!-- end-model-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.AutosarVfbSafetyExtension#getSafeguards <em>Safeguards</em>}</li>
 * </ul>
 * </p>
 *
 * @see safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.SoftwaresafetyextensionPackage#getAutosarVfbSafetyExtension()
 * @model annotation="MetaData guid='{42361252-6919-4049-8BC5-554D5B4C347D}' id='207' EA\040name='AutosarVfbSafetyExtension'"
 *        annotation="TaggedValues xml.name='AUTOSAR-VFB-SAFETY-EXTENSION' xml.namePlural='AUTOSAR-VFB-SAFETY-EXTENSIONS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public interface AutosarVfbSafetyExtension extends AutosarSafetyExtension
{
  /**
   * Returns the value of the '<em><b>Safeguards</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * The AUTOSAR root software component safeguarded by this safety extension.
   * <!-- end-model-doc -->
   * @return the value of the '<em>Safeguards</em>' containment reference.
   * @see #setSafeguards(CompositionSwComponentType)
   * @see safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.SoftwaresafetyextensionPackage#getAutosarVfbSafetyExtension_Safeguards()
   * @model containment="true" required="true"
   *        annotation="MetaData guid='{8D7EB8D7-A801-4717-9737-8A00EE7ED68B}' id='-417476289' EA\040name=''"
   *        annotation="TaggedValues xml.name='SAFEGUARDS' xml.namePlural='SAFEGUARDSS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  CompositionSwComponentType getSafeguards();

  /**
   * Sets the value of the '{@link safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.AutosarVfbSafetyExtension#getSafeguards <em>Safeguards</em>}' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Safeguards</em>' containment reference.
   * @see #getSafeguards()
   * @generated
   */
  void setSafeguards(CompositionSwComponentType value);

} // AutosarVfbSafetyExtension
