/**
 */
package safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.util;

import java.util.List;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EObject;

import safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.*;

import safe10.classmodel.commonstructure.safetyextensions.technicalsafetyextension.SoftwareSafetyDesign;

import safe10.classmodel.commonstructure.toplevel.Identifiable;
import safe10.classmodel.commonstructure.toplevel.PackageableElement;
import safe10.classmodel.commonstructure.toplevel.Referrable;
import safe10.classmodel.commonstructure.toplevel.SAFEElement;

import safe10.classmodel.requirements.AbstractSafetyRequirement;
import safe10.classmodel.requirements.AllocatableElement;
import safe10.classmodel.requirements.AllocationTarget;
import safe10.classmodel.requirements.HasAsilDecomposed;
import safe10.classmodel.requirements.HasEmergencyOperationTimeInterval;
import safe10.classmodel.requirements.HasFaultTolerantTimeInterval;
import safe10.classmodel.requirements.TechnicalSafetyRequirement;
import safe10.classmodel.requirements.TraceableSpecification;

/**
 * <!-- begin-user-doc -->
 * The <b>Switch</b> for the model's inheritance hierarchy.
 * It supports the call {@link #doSwitch(EObject) doSwitch(object)}
 * to invoke the <code>caseXXX</code> method for each class of the model,
 * starting with the actual class of the object
 * and proceeding up the inheritance hierarchy
 * until a non-null result is returned,
 * which is the result of the switch.
 * <!-- end-user-doc -->
 * @see safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.SoftwaresafetyextensionPackage
 * @generated
 */
public class SoftwaresafetyextensionSwitch<T>
{
  /**
   * The cached model package
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected static SoftwaresafetyextensionPackage modelPackage;

  /**
   * Creates an instance of the switch.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public SoftwaresafetyextensionSwitch()
  {
    if (modelPackage == null)
    {
      modelPackage = SoftwaresafetyextensionPackage.eINSTANCE;
    }
  }

  /**
   * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the first non-null result returned by a <code>caseXXX</code> call.
   * @generated
   */
  public T doSwitch(EObject theEObject)
  {
    return doSwitch(theEObject.eClass(), theEObject);
  }

  /**
   * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the first non-null result returned by a <code>caseXXX</code> call.
   * @generated
   */
  protected T doSwitch(EClass theEClass, EObject theEObject)
  {
    if (theEClass.eContainer() == modelPackage)
    {
      return doSwitch(theEClass.getClassifierID(), theEObject);
    }
    else
    {
      List<EClass> eSuperTypes = theEClass.getESuperTypes();
      return
        eSuperTypes.isEmpty() ?
          defaultCase(theEObject) :
          doSwitch(eSuperTypes.get(0), theEObject);
    }
  }

  /**
   * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the first non-null result returned by a <code>caseXXX</code> call.
   * @generated
   */
  protected T doSwitch(int classifierID, EObject theEObject)
  {
    switch (classifierID)
    {
      case SoftwaresafetyextensionPackage.AUTOSAR_SAFETY_EXTENSION:
      {
        AutosarSafetyExtension autosarSafetyExtension = (AutosarSafetyExtension)theEObject;
        T result = caseAutosarSafetyExtension(autosarSafetyExtension);
        if (result == null) result = caseTechnicalSafetyRequirement(autosarSafetyExtension);
        if (result == null) result = caseSoftwareSafetyDesign(autosarSafetyExtension);
        if (result == null) result = caseHasFaultTolerantTimeInterval(autosarSafetyExtension);
        if (result == null) result = caseAbstractSafetyRequirement(autosarSafetyExtension);
        if (result == null) result = caseHasEmergencyOperationTimeInterval(autosarSafetyExtension);
        if (result == null) result = caseHasAsilDecomposed(autosarSafetyExtension);
        if (result == null) result = caseAllocationTarget(autosarSafetyExtension);
        if (result == null) result = caseTraceableSpecification(autosarSafetyExtension);
        if (result == null) result = caseAllocatableElement(autosarSafetyExtension);
        if (result == null) result = caseSAFEElement(autosarSafetyExtension);
        if (result == null) result = casePackageableElement(autosarSafetyExtension);
        if (result == null) result = caseIdentifiable(autosarSafetyExtension);
        if (result == null) result = caseReferrable(autosarSafetyExtension);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case SoftwaresafetyextensionPackage.AUTOSAR_SYSTEM_SAFETY_EXTENSION:
      {
        AutosarSystemSafetyExtension autosarSystemSafetyExtension = (AutosarSystemSafetyExtension)theEObject;
        T result = caseAutosarSystemSafetyExtension(autosarSystemSafetyExtension);
        if (result == null) result = caseAutosarSafetyExtension(autosarSystemSafetyExtension);
        if (result == null) result = caseTechnicalSafetyRequirement(autosarSystemSafetyExtension);
        if (result == null) result = caseSoftwareSafetyDesign(autosarSystemSafetyExtension);
        if (result == null) result = caseHasFaultTolerantTimeInterval(autosarSystemSafetyExtension);
        if (result == null) result = caseAbstractSafetyRequirement(autosarSystemSafetyExtension);
        if (result == null) result = caseHasEmergencyOperationTimeInterval(autosarSystemSafetyExtension);
        if (result == null) result = caseHasAsilDecomposed(autosarSystemSafetyExtension);
        if (result == null) result = caseAllocationTarget(autosarSystemSafetyExtension);
        if (result == null) result = caseTraceableSpecification(autosarSystemSafetyExtension);
        if (result == null) result = caseAllocatableElement(autosarSystemSafetyExtension);
        if (result == null) result = caseSAFEElement(autosarSystemSafetyExtension);
        if (result == null) result = casePackageableElement(autosarSystemSafetyExtension);
        if (result == null) result = caseIdentifiable(autosarSystemSafetyExtension);
        if (result == null) result = caseReferrable(autosarSystemSafetyExtension);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case SoftwaresafetyextensionPackage.AUTOSAR_VFB_SAFETY_EXTENSION:
      {
        AutosarVfbSafetyExtension autosarVfbSafetyExtension = (AutosarVfbSafetyExtension)theEObject;
        T result = caseAutosarVfbSafetyExtension(autosarVfbSafetyExtension);
        if (result == null) result = caseAutosarSafetyExtension(autosarVfbSafetyExtension);
        if (result == null) result = caseTechnicalSafetyRequirement(autosarVfbSafetyExtension);
        if (result == null) result = caseSoftwareSafetyDesign(autosarVfbSafetyExtension);
        if (result == null) result = caseHasFaultTolerantTimeInterval(autosarVfbSafetyExtension);
        if (result == null) result = caseAbstractSafetyRequirement(autosarVfbSafetyExtension);
        if (result == null) result = caseHasEmergencyOperationTimeInterval(autosarVfbSafetyExtension);
        if (result == null) result = caseHasAsilDecomposed(autosarVfbSafetyExtension);
        if (result == null) result = caseAllocationTarget(autosarVfbSafetyExtension);
        if (result == null) result = caseTraceableSpecification(autosarVfbSafetyExtension);
        if (result == null) result = caseAllocatableElement(autosarVfbSafetyExtension);
        if (result == null) result = caseSAFEElement(autosarVfbSafetyExtension);
        if (result == null) result = casePackageableElement(autosarVfbSafetyExtension);
        if (result == null) result = caseIdentifiable(autosarVfbSafetyExtension);
        if (result == null) result = caseReferrable(autosarVfbSafetyExtension);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case SoftwaresafetyextensionPackage.CHROMOSOME_APPLICATION_SAFETY_EXTENSION:
      {
        ChromosomeApplicationSafetyExtension chromosomeApplicationSafetyExtension = (ChromosomeApplicationSafetyExtension)theEObject;
        T result = caseChromosomeApplicationSafetyExtension(chromosomeApplicationSafetyExtension);
        if (result == null) result = caseChromosomeSafeExtension(chromosomeApplicationSafetyExtension);
        if (result == null) result = caseSoftwareSafetyDesign(chromosomeApplicationSafetyExtension);
        if (result == null) result = caseTechnicalSafetyRequirement(chromosomeApplicationSafetyExtension);
        if (result == null) result = caseAllocationTarget(chromosomeApplicationSafetyExtension);
        if (result == null) result = caseHasFaultTolerantTimeInterval(chromosomeApplicationSafetyExtension);
        if (result == null) result = caseAbstractSafetyRequirement(chromosomeApplicationSafetyExtension);
        if (result == null) result = caseHasEmergencyOperationTimeInterval(chromosomeApplicationSafetyExtension);
        if (result == null) result = caseHasAsilDecomposed(chromosomeApplicationSafetyExtension);
        if (result == null) result = caseTraceableSpecification(chromosomeApplicationSafetyExtension);
        if (result == null) result = caseAllocatableElement(chromosomeApplicationSafetyExtension);
        if (result == null) result = caseSAFEElement(chromosomeApplicationSafetyExtension);
        if (result == null) result = casePackageableElement(chromosomeApplicationSafetyExtension);
        if (result == null) result = caseIdentifiable(chromosomeApplicationSafetyExtension);
        if (result == null) result = caseReferrable(chromosomeApplicationSafetyExtension);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case SoftwaresafetyextensionPackage.CHROMOSOME_SAFE_EXTENSION:
      {
        ChromosomeSafeExtension chromosomeSafeExtension = (ChromosomeSafeExtension)theEObject;
        T result = caseChromosomeSafeExtension(chromosomeSafeExtension);
        if (result == null) result = caseSoftwareSafetyDesign(chromosomeSafeExtension);
        if (result == null) result = caseTechnicalSafetyRequirement(chromosomeSafeExtension);
        if (result == null) result = caseAllocationTarget(chromosomeSafeExtension);
        if (result == null) result = caseHasFaultTolerantTimeInterval(chromosomeSafeExtension);
        if (result == null) result = caseAbstractSafetyRequirement(chromosomeSafeExtension);
        if (result == null) result = caseHasEmergencyOperationTimeInterval(chromosomeSafeExtension);
        if (result == null) result = caseHasAsilDecomposed(chromosomeSafeExtension);
        if (result == null) result = caseTraceableSpecification(chromosomeSafeExtension);
        if (result == null) result = caseAllocatableElement(chromosomeSafeExtension);
        if (result == null) result = caseSAFEElement(chromosomeSafeExtension);
        if (result == null) result = casePackageableElement(chromosomeSafeExtension);
        if (result == null) result = caseIdentifiable(chromosomeSafeExtension);
        if (result == null) result = caseReferrable(chromosomeSafeExtension);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case SoftwaresafetyextensionPackage.CHROMOSOME_SYSTEM_SAFETY_EXTENSION:
      {
        ChromosomeSystemSafetyExtension chromosomeSystemSafetyExtension = (ChromosomeSystemSafetyExtension)theEObject;
        T result = caseChromosomeSystemSafetyExtension(chromosomeSystemSafetyExtension);
        if (result == null) result = caseChromosomeSafeExtension(chromosomeSystemSafetyExtension);
        if (result == null) result = caseSoftwareSafetyDesign(chromosomeSystemSafetyExtension);
        if (result == null) result = caseTechnicalSafetyRequirement(chromosomeSystemSafetyExtension);
        if (result == null) result = caseAllocationTarget(chromosomeSystemSafetyExtension);
        if (result == null) result = caseHasFaultTolerantTimeInterval(chromosomeSystemSafetyExtension);
        if (result == null) result = caseAbstractSafetyRequirement(chromosomeSystemSafetyExtension);
        if (result == null) result = caseHasEmergencyOperationTimeInterval(chromosomeSystemSafetyExtension);
        if (result == null) result = caseHasAsilDecomposed(chromosomeSystemSafetyExtension);
        if (result == null) result = caseTraceableSpecification(chromosomeSystemSafetyExtension);
        if (result == null) result = caseAllocatableElement(chromosomeSystemSafetyExtension);
        if (result == null) result = caseSAFEElement(chromosomeSystemSafetyExtension);
        if (result == null) result = casePackageableElement(chromosomeSystemSafetyExtension);
        if (result == null) result = caseIdentifiable(chromosomeSystemSafetyExtension);
        if (result == null) result = caseReferrable(chromosomeSystemSafetyExtension);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      default: return defaultCase(theEObject);
    }
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Autosar Safety Extension</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Autosar Safety Extension</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseAutosarSafetyExtension(AutosarSafetyExtension object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Autosar System Safety Extension</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Autosar System Safety Extension</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseAutosarSystemSafetyExtension(AutosarSystemSafetyExtension object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Autosar Vfb Safety Extension</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Autosar Vfb Safety Extension</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseAutosarVfbSafetyExtension(AutosarVfbSafetyExtension object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Chromosome Application Safety Extension</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Chromosome Application Safety Extension</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseChromosomeApplicationSafetyExtension(ChromosomeApplicationSafetyExtension object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Chromosome Safe Extension</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Chromosome Safe Extension</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseChromosomeSafeExtension(ChromosomeSafeExtension object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Chromosome System Safety Extension</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Chromosome System Safety Extension</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseChromosomeSystemSafetyExtension(ChromosomeSystemSafetyExtension object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Has Fault Tolerant Time Interval</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Has Fault Tolerant Time Interval</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseHasFaultTolerantTimeInterval(HasFaultTolerantTimeInterval object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Referrable</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Referrable</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseReferrable(Referrable object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Identifiable</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Identifiable</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseIdentifiable(Identifiable object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Packageable Element</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Packageable Element</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T casePackageableElement(PackageableElement object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>SAFE Element</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>SAFE Element</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseSAFEElement(SAFEElement object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Traceable Specification</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Traceable Specification</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseTraceableSpecification(TraceableSpecification object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Allocatable Element</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Allocatable Element</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseAllocatableElement(AllocatableElement object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Abstract Safety Requirement</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Abstract Safety Requirement</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseAbstractSafetyRequirement(AbstractSafetyRequirement object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Has Emergency Operation Time Interval</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Has Emergency Operation Time Interval</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseHasEmergencyOperationTimeInterval(HasEmergencyOperationTimeInterval object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Has Asil Decomposed</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Has Asil Decomposed</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseHasAsilDecomposed(HasAsilDecomposed object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Technical Safety Requirement</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Technical Safety Requirement</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseTechnicalSafetyRequirement(TechnicalSafetyRequirement object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Allocation Target</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Allocation Target</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseAllocationTarget(AllocationTarget object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Software Safety Design</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Software Safety Design</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseSoftwareSafetyDesign(SoftwareSafetyDesign object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>EObject</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch, but this is the last case anyway.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>EObject</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject)
   * @generated
   */
  public T defaultCase(EObject object)
  {
    return null;
  }

} //SoftwaresafetyextensionSwitch
