/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package safe10.classmodel.commonstructure.safetyextensions.technicalsafetyextension;

import eastadl21.east_adl.structure.functionmodeling.DesignFunctionType;

import org.eclipse.emf.common.util.EList;

import safe10.classmodel.requirements.AllocationTarget;

import safe10.classmodel.software.configuration.CodeGenerationConfiguration;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Software Safety Design</b></em>'.
 * <!-- end-user-doc -->
 *
 * <!-- begin-model-doc -->
 * The SafetySoftwareExtension is used to specify the implementation of the safety relevant SoftwareDesignComponents that are allocated to the SafetySoftwareDesign.
 * <!-- end-model-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link safe10.classmodel.commonstructure.safetyextensions.technicalsafetyextension.SoftwareSafetyDesign#getScope <em>Scope</em>}</li>
 *   <li>{@link safe10.classmodel.commonstructure.safetyextensions.technicalsafetyextension.SoftwareSafetyDesign#getConfiguration <em>Configuration</em>}</li>
 * </ul>
 * </p>
 *
 * @see safe10.classmodel.commonstructure.safetyextensions.technicalsafetyextension.TechnicalsafetyextensionPackage#getSoftwareSafetyDesign()
 * @model abstract="true"
 *        annotation="MetaData guid='{A324CA57-7B08-4309-974B-F5F3757FBF2A}' id='201' EA\040name='SoftwareSafetyDesign'"
 *        annotation="TaggedValues xml.name='SOFTWARE-SAFETY-DESIGN' xml.namePlural='SOFTWARE-SAFETY-DESIGNS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public interface SoftwareSafetyDesign extends AllocationTarget
{
  /**
   * Returns the value of the '<em><b>Scope</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Scope</em>' containment reference isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Scope</em>' containment reference.
   * @see #setScope(DesignFunctionType)
   * @see safe10.classmodel.commonstructure.safetyextensions.technicalsafetyextension.TechnicalsafetyextensionPackage#getSoftwareSafetyDesign_Scope()
   * @model containment="true" required="true"
   *        annotation="MetaData guid='{50A17DF3-81EF-478b-8801-C48B2C804BFD}' id='-1893328912' EA\040name=''"
   *        annotation="TaggedValues xml.name='SCOPE' xml.namePlural='SCOPES' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  DesignFunctionType getScope();

  /**
   * Sets the value of the '{@link safe10.classmodel.commonstructure.safetyextensions.technicalsafetyextension.SoftwareSafetyDesign#getScope <em>Scope</em>}' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Scope</em>' containment reference.
   * @see #getScope()
   * @generated
   */
  void setScope(DesignFunctionType value);

  /**
   * Returns the value of the '<em><b>Configuration</b></em>' containment reference list.
   * The list contents are of type {@link safe10.classmodel.software.configuration.CodeGenerationConfiguration}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * Configurations contained in the SafeExtension.
   * <!-- end-model-doc -->
   * @return the value of the '<em>Configuration</em>' containment reference list.
   * @see safe10.classmodel.commonstructure.safetyextensions.technicalsafetyextension.TechnicalsafetyextensionPackage#getSoftwareSafetyDesign_Configuration()
   * @model containment="true"
   *        annotation="MetaData guid='{B6CD54A3-D4DC-437e-BDA6-7B847F596605}' id='165' EA\040name=''"
   *        annotation="TaggedValues xml.name='CONFIGURATION' xml.namePlural='CONFIGURATIONS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='false' xml.roleWrapperElement='true' xml.typeElement='true' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  EList<CodeGenerationConfiguration> getConfiguration();

} // SoftwareSafetyDesign
