/**
 */
package safe10.classmodel.commonstructure.safetyextensions.technicalsafetyextension;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

import safe10.classmodel.requirements.RequirementsPackage;

/**
 * <!-- begin-user-doc -->
 * The <b>Package</b> for the model.
 * It contains accessors for the meta objects to represent
 * <ul>
 *   <li>each class,</li>
 *   <li>each feature of each class,</li>
 *   <li>each enum,</li>
 *   <li>and each data type</li>
 * </ul>
 * <!-- end-user-doc -->
 * <!-- begin-model-doc -->
 * This package describes the TechnicalSafetyExtension as defined in the SafetyExtension-Diagram.
 * <!-- end-model-doc -->
 * @see safe10.classmodel.commonstructure.safetyextensions.technicalsafetyextension.TechnicalsafetyextensionFactory
 * @model kind="package"
 *        annotation="MetaData guid='{81578453-6D6E-49e8-8D42-50175468237B}' id='-1882785377' EA\040name='TechnicalSafetyExtension'"
 *        annotation="TaggedValues xml.name='TECHNICALSAFETYEXTENSION' xml.namePlural='TECHNICALSAFETYEXTENSIONS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public interface TechnicalsafetyextensionPackage extends EPackage
{
  /**
   * The package name.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNAME = "technicalsafetyextension";

  /**
   * The package namespace URI.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNS_URI = "http://safe-project.eu/1.0.1/safe10/classmodel/commonstructure/safetyextensions/technicalsafetyextension";

  /**
   * The package namespace name.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNS_PREFIX = "";

  /**
   * The singleton instance of the package.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  TechnicalsafetyextensionPackage eINSTANCE = safe10.classmodel.commonstructure.safetyextensions.technicalsafetyextension.impl.TechnicalsafetyextensionPackageImpl.init();

  /**
   * The meta object id for the '{@link safe10.classmodel.commonstructure.safetyextensions.technicalsafetyextension.impl.HardwareSafetyDesignImpl <em>Hardware Safety Design</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.commonstructure.safetyextensions.technicalsafetyextension.impl.HardwareSafetyDesignImpl
   * @see safe10.classmodel.commonstructure.safetyextensions.technicalsafetyextension.impl.TechnicalsafetyextensionPackageImpl#getHardwareSafetyDesign()
   * @generated
   */
  int HARDWARE_SAFETY_DESIGN = 0;

  /**
   * The feature id for the '<em><b>Scope</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HARDWARE_SAFETY_DESIGN__SCOPE = RequirementsPackage.ALLOCATION_TARGET_FEATURE_COUNT + 0;

  /**
   * The feature id for the '<em><b>Harwdare Safety Analysis</b></em>' reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HARDWARE_SAFETY_DESIGN__HARWDARE_SAFETY_ANALYSIS = RequirementsPackage.ALLOCATION_TARGET_FEATURE_COUNT + 1;

  /**
   * The feature id for the '<em><b>Random Harware Failure</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HARDWARE_SAFETY_DESIGN__RANDOM_HARWARE_FAILURE = RequirementsPackage.ALLOCATION_TARGET_FEATURE_COUNT + 2;

  /**
   * The number of structural features of the '<em>Hardware Safety Design</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HARDWARE_SAFETY_DESIGN_FEATURE_COUNT = RequirementsPackage.ALLOCATION_TARGET_FEATURE_COUNT + 3;

  /**
   * The meta object id for the '{@link safe10.classmodel.commonstructure.safetyextensions.technicalsafetyextension.impl.SoftwareSafetyDesignImpl <em>Software Safety Design</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.commonstructure.safetyextensions.technicalsafetyextension.impl.SoftwareSafetyDesignImpl
   * @see safe10.classmodel.commonstructure.safetyextensions.technicalsafetyextension.impl.TechnicalsafetyextensionPackageImpl#getSoftwareSafetyDesign()
   * @generated
   */
  int SOFTWARE_SAFETY_DESIGN = 1;

  /**
   * The feature id for the '<em><b>Scope</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int SOFTWARE_SAFETY_DESIGN__SCOPE = RequirementsPackage.ALLOCATION_TARGET_FEATURE_COUNT + 0;

  /**
   * The feature id for the '<em><b>Configuration</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int SOFTWARE_SAFETY_DESIGN__CONFIGURATION = RequirementsPackage.ALLOCATION_TARGET_FEATURE_COUNT + 1;

  /**
   * The number of structural features of the '<em>Software Safety Design</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int SOFTWARE_SAFETY_DESIGN_FEATURE_COUNT = RequirementsPackage.ALLOCATION_TARGET_FEATURE_COUNT + 2;


  /**
   * Returns the meta object for class '{@link safe10.classmodel.commonstructure.safetyextensions.technicalsafetyextension.HardwareSafetyDesign <em>Hardware Safety Design</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Hardware Safety Design</em>'.
   * @see safe10.classmodel.commonstructure.safetyextensions.technicalsafetyextension.HardwareSafetyDesign
   * @generated
   */
  EClass getHardwareSafetyDesign();

  /**
   * Returns the meta object for the containment reference '{@link safe10.classmodel.commonstructure.safetyextensions.technicalsafetyextension.HardwareSafetyDesign#getScope <em>Scope</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Scope</em>'.
   * @see safe10.classmodel.commonstructure.safetyextensions.technicalsafetyextension.HardwareSafetyDesign#getScope()
   * @see #getHardwareSafetyDesign()
   * @generated
   */
  EReference getHardwareSafetyDesign_Scope();

  /**
   * Returns the meta object for the reference list '{@link safe10.classmodel.commonstructure.safetyextensions.technicalsafetyextension.HardwareSafetyDesign#getHarwdareSafetyAnalysis <em>Harwdare Safety Analysis</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the reference list '<em>Harwdare Safety Analysis</em>'.
   * @see safe10.classmodel.commonstructure.safetyextensions.technicalsafetyextension.HardwareSafetyDesign#getHarwdareSafetyAnalysis()
   * @see #getHardwareSafetyDesign()
   * @generated
   */
  EReference getHardwareSafetyDesign_HarwdareSafetyAnalysis();

  /**
   * Returns the meta object for the reference '{@link safe10.classmodel.commonstructure.safetyextensions.technicalsafetyextension.HardwareSafetyDesign#getRandomHarwareFailure <em>Random Harware Failure</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the reference '<em>Random Harware Failure</em>'.
   * @see safe10.classmodel.commonstructure.safetyextensions.technicalsafetyextension.HardwareSafetyDesign#getRandomHarwareFailure()
   * @see #getHardwareSafetyDesign()
   * @generated
   */
  EReference getHardwareSafetyDesign_RandomHarwareFailure();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.commonstructure.safetyextensions.technicalsafetyextension.SoftwareSafetyDesign <em>Software Safety Design</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Software Safety Design</em>'.
   * @see safe10.classmodel.commonstructure.safetyextensions.technicalsafetyextension.SoftwareSafetyDesign
   * @generated
   */
  EClass getSoftwareSafetyDesign();

  /**
   * Returns the meta object for the containment reference '{@link safe10.classmodel.commonstructure.safetyextensions.technicalsafetyextension.SoftwareSafetyDesign#getScope <em>Scope</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Scope</em>'.
   * @see safe10.classmodel.commonstructure.safetyextensions.technicalsafetyextension.SoftwareSafetyDesign#getScope()
   * @see #getSoftwareSafetyDesign()
   * @generated
   */
  EReference getSoftwareSafetyDesign_Scope();

  /**
   * Returns the meta object for the containment reference list '{@link safe10.classmodel.commonstructure.safetyextensions.technicalsafetyextension.SoftwareSafetyDesign#getConfiguration <em>Configuration</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference list '<em>Configuration</em>'.
   * @see safe10.classmodel.commonstructure.safetyextensions.technicalsafetyextension.SoftwareSafetyDesign#getConfiguration()
   * @see #getSoftwareSafetyDesign()
   * @generated
   */
  EReference getSoftwareSafetyDesign_Configuration();

  /**
   * Returns the factory that creates the instances of the model.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the factory that creates the instances of the model.
   * @generated
   */
  TechnicalsafetyextensionFactory getTechnicalsafetyextensionFactory();

  /**
   * <!-- begin-user-doc -->
   * Defines literals for the meta objects that represent
   * <ul>
   *   <li>each class,</li>
   *   <li>each feature of each class,</li>
   *   <li>each enum,</li>
   *   <li>and each data type</li>
   * </ul>
   * <!-- end-user-doc -->
   * @generated
   */
  interface Literals
  {
    /**
     * The meta object literal for the '{@link safe10.classmodel.commonstructure.safetyextensions.technicalsafetyextension.impl.HardwareSafetyDesignImpl <em>Hardware Safety Design</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.commonstructure.safetyextensions.technicalsafetyextension.impl.HardwareSafetyDesignImpl
     * @see safe10.classmodel.commonstructure.safetyextensions.technicalsafetyextension.impl.TechnicalsafetyextensionPackageImpl#getHardwareSafetyDesign()
     * @generated
     */
    EClass HARDWARE_SAFETY_DESIGN = eINSTANCE.getHardwareSafetyDesign();

    /**
     * The meta object literal for the '<em><b>Scope</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference HARDWARE_SAFETY_DESIGN__SCOPE = eINSTANCE.getHardwareSafetyDesign_Scope();

    /**
     * The meta object literal for the '<em><b>Harwdare Safety Analysis</b></em>' reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference HARDWARE_SAFETY_DESIGN__HARWDARE_SAFETY_ANALYSIS = eINSTANCE.getHardwareSafetyDesign_HarwdareSafetyAnalysis();

    /**
     * The meta object literal for the '<em><b>Random Harware Failure</b></em>' reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference HARDWARE_SAFETY_DESIGN__RANDOM_HARWARE_FAILURE = eINSTANCE.getHardwareSafetyDesign_RandomHarwareFailure();

    /**
     * The meta object literal for the '{@link safe10.classmodel.commonstructure.safetyextensions.technicalsafetyextension.impl.SoftwareSafetyDesignImpl <em>Software Safety Design</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.commonstructure.safetyextensions.technicalsafetyextension.impl.SoftwareSafetyDesignImpl
     * @see safe10.classmodel.commonstructure.safetyextensions.technicalsafetyextension.impl.TechnicalsafetyextensionPackageImpl#getSoftwareSafetyDesign()
     * @generated
     */
    EClass SOFTWARE_SAFETY_DESIGN = eINSTANCE.getSoftwareSafetyDesign();

    /**
     * The meta object literal for the '<em><b>Scope</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference SOFTWARE_SAFETY_DESIGN__SCOPE = eINSTANCE.getSoftwareSafetyDesign_Scope();

    /**
     * The meta object literal for the '<em><b>Configuration</b></em>' containment reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference SOFTWARE_SAFETY_DESIGN__CONFIGURATION = eINSTANCE.getSoftwareSafetyDesign_Configuration();

  }

} //TechnicalsafetyextensionPackage
