/**
 */
package safe10.classmodel.commonstructure.toplevel.impl;

import autosar40.bswmodule.bswinterfaces.BswinterfacesPackage;

import autosar40.bswmodule.bswoverview.BswoverviewPackage;

import autosar40.commonstructure.modedeclaration.ModedeclarationPackage;

import autosar40.ecuresource.EcuresourcePackage;

import autosar40.swcomponent.components.ComponentsPackage;

import autosar40.swcomponent.composition.CompositionPackage;

import autosar40.swcomponent.datatype.dataprototypes.DataprototypesPackage;

import autosar40.swcomponent.portinterface.PortinterfacePackage;

import autosar40.swcomponent.swcinternalbehavior.SwcinternalbehaviorPackage;

import autosar40.system.SystemPackage;

import eastadl21.east_adl.environment.EnvironmentPackage;

import eastadl21.east_adl.requirements.RequirementsPackage;

import eastadl21.east_adl.structure.featuremodeling.FeaturemodelingPackage;

import eastadl21.east_adl.structure.functionmodeling.FunctionmodelingPackage;

import eastadl21.east_adl.structure.hardwaremodeling.HardwaremodelingPackage;

import eastadl21.east_adl.structure.systemmodeling.SystemmodelingPackage;

import eastadl21.east_adl.structure.vehiclefeaturemodeling.VehiclefeaturemodelingPackage;

import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

import org.eclipse.emf.ecore.impl.EPackageImpl;

import safe10.classmodel.commonstructure.datatypes.DatatypesPackage;

import safe10.classmodel.commonstructure.datatypes.impl.DatatypesPackageImpl;

import safe10.classmodel.commonstructure.formulaexpression.FormulaexpressionPackage;

import safe10.classmodel.commonstructure.formulaexpression.impl.FormulaexpressionPackageImpl;

import safe10.classmodel.commonstructure.references.ReferencesPackage;

import safe10.classmodel.commonstructure.references.chromosomereferences.ChromosomereferencesPackage;

import safe10.classmodel.commonstructure.references.chromosomereferences.impl.ChromosomereferencesPackageImpl;

import safe10.classmodel.commonstructure.references.impl.ReferencesPackageImpl;

import safe10.classmodel.commonstructure.safetyextensions.SafetyextensionsPackage;

import safe10.classmodel.commonstructure.safetyextensions.impl.SafetyextensionsPackageImpl;

import safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.SoftwaresafetyextensionPackage;

import safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.impl.SoftwaresafetyextensionPackageImpl;

import safe10.classmodel.commonstructure.safetyextensions.technicalsafetyextension.TechnicalsafetyextensionPackage;

import safe10.classmodel.commonstructure.safetyextensions.technicalsafetyextension.impl.TechnicalsafetyextensionPackageImpl;

import safe10.classmodel.commonstructure.toplevel.Identifiable;
import safe10.classmodel.commonstructure.toplevel.PackageableElement;
import safe10.classmodel.commonstructure.toplevel.Referrable;
import safe10.classmodel.commonstructure.toplevel.SAFEElement;
import safe10.classmodel.commonstructure.toplevel.SAFEPackage;
import safe10.classmodel.commonstructure.toplevel.SafetyCaseExpression;
import safe10.classmodel.commonstructure.toplevel.ToplevelFactory;
import safe10.classmodel.commonstructure.toplevel.ToplevelPackage;

import safe10.classmodel.configuration.ConfigurationPackage;

import safe10.classmodel.configuration.impl.ConfigurationPackageImpl;

import safe10.classmodel.errormodel.ErrormodelPackage;

import safe10.classmodel.errormodel._instanceref._instancerefPackage;

import safe10.classmodel.errormodel._instanceref.impl._instancerefPackageImpl;

import safe10.classmodel.errormodel.errorbehavior.ErrorbehaviorPackage;

import safe10.classmodel.errormodel.errorbehavior.impl.ErrorbehaviorPackageImpl;

import safe10.classmodel.errormodel.errormodeltype.ErrormodeltypePackage;

import safe10.classmodel.errormodel.errormodeltype.impl.ErrormodeltypePackageImpl;

import safe10.classmodel.errormodel.impl.ErrormodelPackageImpl;

import safe10.classmodel.errormodel.malfunction.MalfunctionPackage;

import safe10.classmodel.errormodel.malfunction.impl.MalfunctionPackageImpl;

import safe10.classmodel.hardware.failure.FailurePackage;

import safe10.classmodel.hardware.failure.impl.FailurePackageImpl;

import safe10.classmodel.hardware.failureformula.FailureformulaPackage;

import safe10.classmodel.hardware.failureformula.impl.FailureformulaPackageImpl;

import safe10.classmodel.hardware.failurepart.FailurepartPackage;

import safe10.classmodel.hardware.failurepart.impl.FailurepartPackageImpl;

import safe10.classmodel.hardware.hwarchitecturalmetrics.HwarchitecturalmetricsPackage;

import safe10.classmodel.hardware.hwarchitecturalmetrics.impl.HwarchitecturalmetricsPackageImpl;

import safe10.classmodel.hardware.hwquantitativemeasure.HwquantitativemeasurePackage;

import safe10.classmodel.hardware.hwquantitativemeasure.impl.HwquantitativemeasurePackageImpl;

import safe10.classmodel.hardware.probabilisticmethods.ProbabilisticmethodsPackage;

import safe10.classmodel.hardware.probabilisticmethods.impl.ProbabilisticmethodsPackageImpl;

import safe10.classmodel.hazards.HazardsPackage;

import safe10.classmodel.hazards.impl.HazardsPackageImpl;

import safe10.classmodel.requirements.impl.RequirementsPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.SoftwaresafetyrequirementsPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.actuatormonitor.ActuatormonitorPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.actuatormonitor.impl.ActuatormonitorPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.alivenessmonitor.AlivenessmonitorPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.alivenessmonitor.impl.AlivenessmonitorPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.comparison.ComparisonPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.comparison.impl.ComparisonPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.contextrangecheck.ContextrangecheckPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.contextrangecheck.impl.ContextrangecheckPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.cpuselftest.CpuselftestPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.cpuselftest.impl.CpuselftestPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.crcchecksum.CrcchecksumPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.crcchecksum.impl.CrcchecksumPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.filter.FilterPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.filter.impl.FilterPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.gradientcheck.GradientcheckPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.gradientcheck.impl.GradientcheckPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.healthmonitor.HealthmonitorPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.healthmonitor.impl.HealthmonitorPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.HeartbeatPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.impl.HeartbeatPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.impl.SoftwaresafetyrequirementsPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.memoryselftest.MemoryselftestPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.memoryselftest.impl.MemoryselftestPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.voting.VotingPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.voting.impl.VotingPackageImpl;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model <b>Package</b>.
 * <!-- end-user-doc -->
 * @generated
 */
public class ToplevelPackageImpl extends EPackageImpl implements ToplevelPackage
{
  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass packageableElementEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass referrableEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass safeEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass safeElementEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass safePackageEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass safetyCaseExpressionEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass identifiableEClass = null;

  /**
   * Creates an instance of the model <b>Package</b>, registered with
   * {@link org.eclipse.emf.ecore.EPackage.Registry EPackage.Registry} by the package
   * package URI value.
   * <p>Note: the correct way to create the package is via the static
   * factory method {@link #init init()}, which also performs
   * initialization of the package, or returns the registered package,
   * if one already exists.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see org.eclipse.emf.ecore.EPackage.Registry
   * @see safe10.classmodel.commonstructure.toplevel.ToplevelPackage#eNS_URI
   * @see #init()
   * @generated
   */
  private ToplevelPackageImpl()
  {
    super(eNS_URI, ToplevelFactory.eINSTANCE);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private static boolean isInited = false;

  /**
   * Creates, registers, and initializes the <b>Package</b> for this model, and for any others upon which it depends.
   * 
   * <p>This method is used to initialize {@link ToplevelPackage#eINSTANCE} when that field is accessed.
   * Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #eNS_URI
   * @see #createPackageContents()
   * @see #initializePackageContents()
   * @generated
   */
  public static ToplevelPackage init()
  {
    if (isInited) return (ToplevelPackage)EPackage.Registry.INSTANCE.getEPackage(ToplevelPackage.eNS_URI);

    // Obtain or create and register package
    ToplevelPackageImpl theToplevelPackage = (ToplevelPackageImpl)(EPackage.Registry.INSTANCE.get(eNS_URI) instanceof ToplevelPackageImpl ? EPackage.Registry.INSTANCE.get(eNS_URI) : new ToplevelPackageImpl());

    isInited = true;

    // Initialize simple dependencies
    SystemmodelingPackage.eINSTANCE.eClass();
    FeaturemodelingPackage.eINSTANCE.eClass();
    VehiclefeaturemodelingPackage.eINSTANCE.eClass();
    FunctionmodelingPackage.eINSTANCE.eClass();
    HardwaremodelingPackage.eINSTANCE.eClass();
    RequirementsPackage.eINSTANCE.eClass();
    EnvironmentPackage.eINSTANCE.eClass();
    EcuresourcePackage.eINSTANCE.eClass();
    ModedeclarationPackage.eINSTANCE.eClass();
    DataprototypesPackage.eINSTANCE.eClass();
    CompositionPackage.eINSTANCE.eClass();
    ComponentsPackage.eINSTANCE.eClass();
    PortinterfacePackage.eINSTANCE.eClass();
    SwcinternalbehaviorPackage.eINSTANCE.eClass();
    SystemPackage.eINSTANCE.eClass();
    BswoverviewPackage.eINSTANCE.eClass();
    BswinterfacesPackage.eINSTANCE.eClass();

    // Obtain or create and register interdependencies
    DatatypesPackageImpl theDatatypesPackage = (DatatypesPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(DatatypesPackage.eNS_URI) instanceof DatatypesPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(DatatypesPackage.eNS_URI) : DatatypesPackage.eINSTANCE);
    FormulaexpressionPackageImpl theFormulaexpressionPackage = (FormulaexpressionPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(FormulaexpressionPackage.eNS_URI) instanceof FormulaexpressionPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(FormulaexpressionPackage.eNS_URI) : FormulaexpressionPackage.eINSTANCE);
    ReferencesPackageImpl theReferencesPackage = (ReferencesPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ReferencesPackage.eNS_URI) instanceof ReferencesPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ReferencesPackage.eNS_URI) : ReferencesPackage.eINSTANCE);
    ChromosomereferencesPackageImpl theChromosomereferencesPackage = (ChromosomereferencesPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ChromosomereferencesPackage.eNS_URI) instanceof ChromosomereferencesPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ChromosomereferencesPackage.eNS_URI) : ChromosomereferencesPackage.eINSTANCE);
    SafetyextensionsPackageImpl theSafetyextensionsPackage = (SafetyextensionsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(SafetyextensionsPackage.eNS_URI) instanceof SafetyextensionsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(SafetyextensionsPackage.eNS_URI) : SafetyextensionsPackage.eINSTANCE);
    SoftwaresafetyextensionPackageImpl theSoftwaresafetyextensionPackage = (SoftwaresafetyextensionPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(SoftwaresafetyextensionPackage.eNS_URI) instanceof SoftwaresafetyextensionPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(SoftwaresafetyextensionPackage.eNS_URI) : SoftwaresafetyextensionPackage.eINSTANCE);
    TechnicalsafetyextensionPackageImpl theTechnicalsafetyextensionPackage = (TechnicalsafetyextensionPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(TechnicalsafetyextensionPackage.eNS_URI) instanceof TechnicalsafetyextensionPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(TechnicalsafetyextensionPackage.eNS_URI) : TechnicalsafetyextensionPackage.eINSTANCE);
    ConfigurationPackageImpl theConfigurationPackage = (ConfigurationPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ConfigurationPackage.eNS_URI) instanceof ConfigurationPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ConfigurationPackage.eNS_URI) : ConfigurationPackage.eINSTANCE);
    ErrormodelPackageImpl theErrormodelPackage = (ErrormodelPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ErrormodelPackage.eNS_URI) instanceof ErrormodelPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ErrormodelPackage.eNS_URI) : ErrormodelPackage.eINSTANCE);
    _instancerefPackageImpl the_instancerefPackage = (_instancerefPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(_instancerefPackage.eNS_URI) instanceof _instancerefPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(_instancerefPackage.eNS_URI) : _instancerefPackage.eINSTANCE);
    ErrorbehaviorPackageImpl theErrorbehaviorPackage = (ErrorbehaviorPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ErrorbehaviorPackage.eNS_URI) instanceof ErrorbehaviorPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ErrorbehaviorPackage.eNS_URI) : ErrorbehaviorPackage.eINSTANCE);
    ErrormodeltypePackageImpl theErrormodeltypePackage = (ErrormodeltypePackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ErrormodeltypePackage.eNS_URI) instanceof ErrormodeltypePackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ErrormodeltypePackage.eNS_URI) : ErrormodeltypePackage.eINSTANCE);
    MalfunctionPackageImpl theMalfunctionPackage = (MalfunctionPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(MalfunctionPackage.eNS_URI) instanceof MalfunctionPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(MalfunctionPackage.eNS_URI) : MalfunctionPackage.eINSTANCE);
    FailureformulaPackageImpl theFailureformulaPackage = (FailureformulaPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(FailureformulaPackage.eNS_URI) instanceof FailureformulaPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(FailureformulaPackage.eNS_URI) : FailureformulaPackage.eINSTANCE);
    FailurePackageImpl theFailurePackage = (FailurePackageImpl)(EPackage.Registry.INSTANCE.getEPackage(FailurePackage.eNS_URI) instanceof FailurePackageImpl ? EPackage.Registry.INSTANCE.getEPackage(FailurePackage.eNS_URI) : FailurePackage.eINSTANCE);
    FailurepartPackageImpl theFailurepartPackage = (FailurepartPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(FailurepartPackage.eNS_URI) instanceof FailurepartPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(FailurepartPackage.eNS_URI) : FailurepartPackage.eINSTANCE);
    HwquantitativemeasurePackageImpl theHwquantitativemeasurePackage = (HwquantitativemeasurePackageImpl)(EPackage.Registry.INSTANCE.getEPackage(HwquantitativemeasurePackage.eNS_URI) instanceof HwquantitativemeasurePackageImpl ? EPackage.Registry.INSTANCE.getEPackage(HwquantitativemeasurePackage.eNS_URI) : HwquantitativemeasurePackage.eINSTANCE);
    HwarchitecturalmetricsPackageImpl theHwarchitecturalmetricsPackage = (HwarchitecturalmetricsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(HwarchitecturalmetricsPackage.eNS_URI) instanceof HwarchitecturalmetricsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(HwarchitecturalmetricsPackage.eNS_URI) : HwarchitecturalmetricsPackage.eINSTANCE);
    ProbabilisticmethodsPackageImpl theProbabilisticmethodsPackage = (ProbabilisticmethodsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ProbabilisticmethodsPackage.eNS_URI) instanceof ProbabilisticmethodsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ProbabilisticmethodsPackage.eNS_URI) : ProbabilisticmethodsPackage.eINSTANCE);
    HazardsPackageImpl theHazardsPackage = (HazardsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(HazardsPackage.eNS_URI) instanceof HazardsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(HazardsPackage.eNS_URI) : HazardsPackage.eINSTANCE);
    RequirementsPackageImpl theRequirementsPackage_1 = (RequirementsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(safe10.classmodel.requirements.RequirementsPackage.eNS_URI) instanceof RequirementsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(safe10.classmodel.requirements.RequirementsPackage.eNS_URI) : safe10.classmodel.requirements.RequirementsPackage.eINSTANCE);
    SoftwaresafetyrequirementsPackageImpl theSoftwaresafetyrequirementsPackage = (SoftwaresafetyrequirementsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(SoftwaresafetyrequirementsPackage.eNS_URI) instanceof SoftwaresafetyrequirementsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(SoftwaresafetyrequirementsPackage.eNS_URI) : SoftwaresafetyrequirementsPackage.eINSTANCE);
    AlivenessmonitorPackageImpl theAlivenessmonitorPackage = (AlivenessmonitorPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(AlivenessmonitorPackage.eNS_URI) instanceof AlivenessmonitorPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(AlivenessmonitorPackage.eNS_URI) : AlivenessmonitorPackage.eINSTANCE);
    ActuatormonitorPackageImpl theActuatormonitorPackage = (ActuatormonitorPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ActuatormonitorPackage.eNS_URI) instanceof ActuatormonitorPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ActuatormonitorPackage.eNS_URI) : ActuatormonitorPackage.eINSTANCE);
    CrcchecksumPackageImpl theCrcchecksumPackage = (CrcchecksumPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(CrcchecksumPackage.eNS_URI) instanceof CrcchecksumPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(CrcchecksumPackage.eNS_URI) : CrcchecksumPackage.eINSTANCE);
    ComparisonPackageImpl theComparisonPackage = (ComparisonPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ComparisonPackage.eNS_URI) instanceof ComparisonPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ComparisonPackage.eNS_URI) : ComparisonPackage.eINSTANCE);
    ContextrangecheckPackageImpl theContextrangecheckPackage = (ContextrangecheckPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ContextrangecheckPackage.eNS_URI) instanceof ContextrangecheckPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ContextrangecheckPackage.eNS_URI) : ContextrangecheckPackage.eINSTANCE);
    CpuselftestPackageImpl theCpuselftestPackage = (CpuselftestPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(CpuselftestPackage.eNS_URI) instanceof CpuselftestPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(CpuselftestPackage.eNS_URI) : CpuselftestPackage.eINSTANCE);
    FilterPackageImpl theFilterPackage = (FilterPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(FilterPackage.eNS_URI) instanceof FilterPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(FilterPackage.eNS_URI) : FilterPackage.eINSTANCE);
    GradientcheckPackageImpl theGradientcheckPackage = (GradientcheckPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(GradientcheckPackage.eNS_URI) instanceof GradientcheckPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(GradientcheckPackage.eNS_URI) : GradientcheckPackage.eINSTANCE);
    HealthmonitorPackageImpl theHealthmonitorPackage = (HealthmonitorPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(HealthmonitorPackage.eNS_URI) instanceof HealthmonitorPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(HealthmonitorPackage.eNS_URI) : HealthmonitorPackage.eINSTANCE);
    HeartbeatPackageImpl theHeartbeatPackage = (HeartbeatPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(HeartbeatPackage.eNS_URI) instanceof HeartbeatPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(HeartbeatPackage.eNS_URI) : HeartbeatPackage.eINSTANCE);
    MemoryselftestPackageImpl theMemoryselftestPackage = (MemoryselftestPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(MemoryselftestPackage.eNS_URI) instanceof MemoryselftestPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(MemoryselftestPackage.eNS_URI) : MemoryselftestPackage.eINSTANCE);
    VotingPackageImpl theVotingPackage = (VotingPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(VotingPackage.eNS_URI) instanceof VotingPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(VotingPackage.eNS_URI) : VotingPackage.eINSTANCE);
    safe10.classmodel.software.configuration.impl.ConfigurationPackageImpl theConfigurationPackage_1 = (safe10.classmodel.software.configuration.impl.ConfigurationPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(safe10.classmodel.software.configuration.ConfigurationPackage.eNS_URI) instanceof safe10.classmodel.software.configuration.impl.ConfigurationPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(safe10.classmodel.software.configuration.ConfigurationPackage.eNS_URI) : safe10.classmodel.software.configuration.ConfigurationPackage.eINSTANCE);

    // Create package meta-data objects
    theToplevelPackage.createPackageContents();
    theDatatypesPackage.createPackageContents();
    theFormulaexpressionPackage.createPackageContents();
    theReferencesPackage.createPackageContents();
    theChromosomereferencesPackage.createPackageContents();
    theSafetyextensionsPackage.createPackageContents();
    theSoftwaresafetyextensionPackage.createPackageContents();
    theTechnicalsafetyextensionPackage.createPackageContents();
    theConfigurationPackage.createPackageContents();
    theErrormodelPackage.createPackageContents();
    the_instancerefPackage.createPackageContents();
    theErrorbehaviorPackage.createPackageContents();
    theErrormodeltypePackage.createPackageContents();
    theMalfunctionPackage.createPackageContents();
    theFailureformulaPackage.createPackageContents();
    theFailurePackage.createPackageContents();
    theFailurepartPackage.createPackageContents();
    theHwquantitativemeasurePackage.createPackageContents();
    theHwarchitecturalmetricsPackage.createPackageContents();
    theProbabilisticmethodsPackage.createPackageContents();
    theHazardsPackage.createPackageContents();
    theRequirementsPackage_1.createPackageContents();
    theSoftwaresafetyrequirementsPackage.createPackageContents();
    theAlivenessmonitorPackage.createPackageContents();
    theActuatormonitorPackage.createPackageContents();
    theCrcchecksumPackage.createPackageContents();
    theComparisonPackage.createPackageContents();
    theContextrangecheckPackage.createPackageContents();
    theCpuselftestPackage.createPackageContents();
    theFilterPackage.createPackageContents();
    theGradientcheckPackage.createPackageContents();
    theHealthmonitorPackage.createPackageContents();
    theHeartbeatPackage.createPackageContents();
    theMemoryselftestPackage.createPackageContents();
    theVotingPackage.createPackageContents();
    theConfigurationPackage_1.createPackageContents();

    // Initialize created meta-data
    theToplevelPackage.initializePackageContents();
    theDatatypesPackage.initializePackageContents();
    theFormulaexpressionPackage.initializePackageContents();
    theReferencesPackage.initializePackageContents();
    theChromosomereferencesPackage.initializePackageContents();
    theSafetyextensionsPackage.initializePackageContents();
    theSoftwaresafetyextensionPackage.initializePackageContents();
    theTechnicalsafetyextensionPackage.initializePackageContents();
    theConfigurationPackage.initializePackageContents();
    theErrormodelPackage.initializePackageContents();
    the_instancerefPackage.initializePackageContents();
    theErrorbehaviorPackage.initializePackageContents();
    theErrormodeltypePackage.initializePackageContents();
    theMalfunctionPackage.initializePackageContents();
    theFailureformulaPackage.initializePackageContents();
    theFailurePackage.initializePackageContents();
    theFailurepartPackage.initializePackageContents();
    theHwquantitativemeasurePackage.initializePackageContents();
    theHwarchitecturalmetricsPackage.initializePackageContents();
    theProbabilisticmethodsPackage.initializePackageContents();
    theHazardsPackage.initializePackageContents();
    theRequirementsPackage_1.initializePackageContents();
    theSoftwaresafetyrequirementsPackage.initializePackageContents();
    theAlivenessmonitorPackage.initializePackageContents();
    theActuatormonitorPackage.initializePackageContents();
    theCrcchecksumPackage.initializePackageContents();
    theComparisonPackage.initializePackageContents();
    theContextrangecheckPackage.initializePackageContents();
    theCpuselftestPackage.initializePackageContents();
    theFilterPackage.initializePackageContents();
    theGradientcheckPackage.initializePackageContents();
    theHealthmonitorPackage.initializePackageContents();
    theHeartbeatPackage.initializePackageContents();
    theMemoryselftestPackage.initializePackageContents();
    theVotingPackage.initializePackageContents();
    theConfigurationPackage_1.initializePackageContents();

    // Mark meta-data to indicate it can't be changed
    theToplevelPackage.freeze();

  
    // Update the registry and return the package
    EPackage.Registry.INSTANCE.put(ToplevelPackage.eNS_URI, theToplevelPackage);
    return theToplevelPackage;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getPackageableElement()
  {
    return packageableElementEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getReferrable()
  {
    return referrableEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getReferrable_ShortName()
  {
    return (EAttribute)referrableEClass.getEStructuralFeatures().get(0);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getSAFE()
  {
    return safeEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getSAFE_TopLevelPackage()
  {
    return (EReference)safeEClass.getEStructuralFeatures().get(0);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getSAFEElement()
  {
    return safeElementEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getSAFEElement_Name()
  {
    return (EAttribute)safeElementEClass.getEStructuralFeatures().get(0);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getSAFEPackage()
  {
    return safePackageEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getSAFEPackage_Element()
  {
    return (EReference)safePackageEClass.getEStructuralFeatures().get(0);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getSAFEPackage_SubPackage()
  {
    return (EReference)safePackageEClass.getEStructuralFeatures().get(1);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getSafetyCaseExpression()
  {
    return safetyCaseExpressionEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getSafetyCaseExpression_ElementType()
  {
    return (EAttribute)safetyCaseExpressionEClass.getEStructuralFeatures().get(0);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getSafetyCaseExpression_SupportedBy()
  {
    return (EReference)safetyCaseExpressionEClass.getEStructuralFeatures().get(1);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getSafetyCaseExpression_InContextOf()
  {
    return (EReference)safetyCaseExpressionEClass.getEStructuralFeatures().get(2);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getIdentifiable()
  {
    return identifiableEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getIdentifiable_Category()
  {
    return (EAttribute)identifiableEClass.getEStructuralFeatures().get(0);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getIdentifiable_Uuid()
  {
    return (EAttribute)identifiableEClass.getEStructuralFeatures().get(1);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public ToplevelFactory getToplevelFactory()
  {
    return (ToplevelFactory)getEFactoryInstance();
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private boolean isCreated = false;

  /**
   * Creates the meta-model objects for the package.  This method is
   * guarded to have no affect on any invocation but its first.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void createPackageContents()
  {
    if (isCreated) return;
    isCreated = true;

    // Create classes and their features
    packageableElementEClass = createEClass(PACKAGEABLE_ELEMENT);

    referrableEClass = createEClass(REFERRABLE);
    createEAttribute(referrableEClass, REFERRABLE__SHORT_NAME);

    safeEClass = createEClass(SAFE);
    createEReference(safeEClass, SAFE__TOP_LEVEL_PACKAGE);

    safeElementEClass = createEClass(SAFE_ELEMENT);
    createEAttribute(safeElementEClass, SAFE_ELEMENT__NAME);

    safePackageEClass = createEClass(SAFE_PACKAGE);
    createEReference(safePackageEClass, SAFE_PACKAGE__ELEMENT);
    createEReference(safePackageEClass, SAFE_PACKAGE__SUB_PACKAGE);

    safetyCaseExpressionEClass = createEClass(SAFETY_CASE_EXPRESSION);
    createEAttribute(safetyCaseExpressionEClass, SAFETY_CASE_EXPRESSION__ELEMENT_TYPE);
    createEReference(safetyCaseExpressionEClass, SAFETY_CASE_EXPRESSION__SUPPORTED_BY);
    createEReference(safetyCaseExpressionEClass, SAFETY_CASE_EXPRESSION__IN_CONTEXT_OF);

    identifiableEClass = createEClass(IDENTIFIABLE);
    createEAttribute(identifiableEClass, IDENTIFIABLE__CATEGORY);
    createEAttribute(identifiableEClass, IDENTIFIABLE__UUID);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private boolean isInitialized = false;

  /**
   * Complete the initialization of the package and its meta-model.  This
   * method is guarded to have no affect on any invocation but its first.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void initializePackageContents()
  {
    if (isInitialized) return;
    isInitialized = true;

    // Initialize package
    setName(eNAME);
    setNsPrefix(eNS_PREFIX);
    setNsURI(eNS_URI);

    // Obtain other dependent packages
    DatatypesPackage theDatatypesPackage = (DatatypesPackage)EPackage.Registry.INSTANCE.getEPackage(DatatypesPackage.eNS_URI);

    // Create type parameters

    // Set bounds for type parameters

    // Add supertypes to classes
    packageableElementEClass.getESuperTypes().add(this.getIdentifiable());
    safeElementEClass.getESuperTypes().add(this.getPackageableElement());
    safePackageEClass.getESuperTypes().add(this.getIdentifiable());
    safetyCaseExpressionEClass.getESuperTypes().add(this.getSAFEElement());
    identifiableEClass.getESuperTypes().add(this.getReferrable());

    // Initialize classes and features; add operations and parameters
    initEClass(packageableElementEClass, PackageableElement.class, "PackageableElement", IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(referrableEClass, Referrable.class, "Referrable", IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
    initEAttribute(getReferrable_ShortName(), theDatatypesPackage.getIdentifier(), "shortName", "", 1, 1, Referrable.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

    initEClass(safeEClass, safe10.classmodel.commonstructure.toplevel.SAFE.class, "SAFE", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
    initEReference(getSAFE_TopLevelPackage(), this.getSAFEPackage(), null, "topLevelPackage", null, 0, -1, safe10.classmodel.commonstructure.toplevel.SAFE.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

    initEClass(safeElementEClass, SAFEElement.class, "SAFEElement", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
    initEAttribute(getSAFEElement_Name(), theDatatypesPackage.getString(), "name", "", 1, 1, SAFEElement.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

    initEClass(safePackageEClass, SAFEPackage.class, "SAFEPackage", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
    initEReference(getSAFEPackage_Element(), this.getPackageableElement(), null, "element", null, 0, -1, SAFEPackage.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEReference(getSAFEPackage_SubPackage(), this.getSAFEPackage(), null, "subPackage", null, 0, -1, SAFEPackage.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

    initEClass(safetyCaseExpressionEClass, SafetyCaseExpression.class, "SafetyCaseExpression", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
    initEAttribute(getSafetyCaseExpression_ElementType(), theDatatypesPackage.getSafeElementType(), "elementType", "UNKNOWN", 1, 1, SafetyCaseExpression.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEReference(getSafetyCaseExpression_SupportedBy(), this.getSafetyCaseExpression(), null, "supportedBy", null, 0, -1, SafetyCaseExpression.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEReference(getSafetyCaseExpression_InContextOf(), this.getSafetyCaseExpression(), null, "inContextOf", null, 0, -1, SafetyCaseExpression.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

    initEClass(identifiableEClass, Identifiable.class, "Identifiable", IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
    initEAttribute(getIdentifiable_Category(), theDatatypesPackage.getIdentifier(), "category", "", 0, 1, Identifiable.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getIdentifiable_Uuid(), theDatatypesPackage.getString(), "uuid", "", 0, 1, Identifiable.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

    // Create resource
    createResource(eNS_URI);

    // Create annotations
    // MetaData
    createMetaDataAnnotations();
    // TaggedValues
    createTaggedValuesAnnotations();
    // EAAdapter
    createEAAdapterAnnotations();
    // Stereotype
    createStereotypeAnnotations();
  }

  /**
   * Initializes the annotations for <b>MetaData</b>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected void createMetaDataAnnotations()
  {
    String source = "MetaData";		
    addAnnotation
      (this, 
       source, 
       new String[] 
       {
       "guid", "{9E30C6B1-0182-4260-A9F3-CF5D129F053E}",
       "id", "21",
       "EA name", "TopLevel"
       });				
    addAnnotation
      (packageableElementEClass, 
       source, 
       new String[] 
       {
       "guid", "{866ADF59-BF0C-4fcc-AB0D-0FE6CDE9C2AF}",
       "id", "-1020127446",
       "EA name", "PackageableElement"
       });					
    addAnnotation
      (referrableEClass, 
       source, 
       new String[] 
       {
       "guid", "{78DEF345-578B-4b6e-B223-49595FDAEDC6}",
       "id", "1199595462",
       "EA name", "Referrable"
       });					
    addAnnotation
      (getReferrable_ShortName(), 
       source, 
       new String[] 
       {
       "guid", "{B77CBE04-7027-439d-9187-9AD278BA4410}",
       "id", "2065480143",
       "EA name", "shortName"
       });					
    addAnnotation
      (safeEClass, 
       source, 
       new String[] 
       {
       "guid", "{9ED17410-B7EA-496b-A530-5A6565D6F5B4}",
       "id", "150777749",
       "EA name", "SAFE"
       });					
    addAnnotation
      (getSAFE_TopLevelPackage(), 
       source, 
       new String[] 
       {
       "guid", "{7E03A7E3-0379-427c-92E7-E5F29016812B}",
       "id", "363959370",
       "EA name", ""
       });					
    addAnnotation
      (safeElementEClass, 
       source, 
       new String[] 
       {
       "guid", "{CFB77729-E305-4ee4-AC2F-F6398AACB2C4}",
       "id", "104",
       "EA name", "SAFEElement"
       });					
    addAnnotation
      (getSAFEElement_Name(), 
       source, 
       new String[] 
       {
       "guid", "{D35F201C-76B9-47e1-8983-9B0FA093C7FF}",
       "id", "403506661",
       "EA name", "name"
       });					
    addAnnotation
      (safePackageEClass, 
       source, 
       new String[] 
       {
       "guid", "{4AC74F0F-7022-4ecb-ACC0-ADC0FC347B96}",
       "id", "-1635944548",
       "EA name", "SAFEPackage"
       });					
    addAnnotation
      (getSAFEPackage_Element(), 
       source, 
       new String[] 
       {
       "guid", "{A303F1EC-A98B-4745-A115-888FF086A898}",
       "id", "-1027629468",
       "EA name", ""
       });					
    addAnnotation
      (getSAFEPackage_SubPackage(), 
       source, 
       new String[] 
       {
       "guid", "{B581827D-8518-4b64-BAD7-3C656DEB9276}",
       "id", "2076739137",
       "EA name", ""
       });					
    addAnnotation
      (safetyCaseExpressionEClass, 
       source, 
       new String[] 
       {
       "guid", "{EE8AA2E1-D1EB-49bd-B1C6-F075EED52532}",
       "id", "1354021919",
       "EA name", "SafetyCaseExpression"
       });					
    addAnnotation
      (getSafetyCaseExpression_ElementType(), 
       source, 
       new String[] 
       {
       "guid", "{592FB376-2B61-4ea9-8DB7-9DBFD21C3FA3}",
       "id", "1838914405",
       "EA name", "elementType"
       });				
    addAnnotation
      (getSafetyCaseExpression_SupportedBy(), 
       source, 
       new String[] 
       {
       "guid", "{C091AC21-F1F8-4c5f-B420-86CE5C0BE21F}",
       "id", "-145007936",
       "EA name", ""
       });				
    addAnnotation
      (getSafetyCaseExpression_InContextOf(), 
       source, 
       new String[] 
       {
       "guid", "{74952A9F-C344-457a-A948-D1FF51BF519C}",
       "id", "829416475",
       "EA name", ""
       });				
    addAnnotation
      (identifiableEClass, 
       source, 
       new String[] 
       {
       "guid", "{87D366F9-A7B3-4c79-87B4-DB7CE21908D9}",
       "id", "1295823645",
       "EA name", "Identifiable"
       });					
    addAnnotation
      (getIdentifiable_Category(), 
       source, 
       new String[] 
       {
       "guid", "{B1F75047-321F-4734-8346-D361C32B569B}",
       "id", "316115482",
       "EA name", "category"
       });					
    addAnnotation
      (getIdentifiable_Uuid(), 
       source, 
       new String[] 
       {
       "guid", "{DDE508D4-4954-46c7-868C-5B1D07AE4E2A}",
       "id", "581608920",
       "EA name", "uuid"
       });			
  }

  /**
   * Initializes the annotations for <b>TaggedValues</b>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected void createTaggedValuesAnnotations()
  {
    String source = "TaggedValues";			
    addAnnotation
      (this, 
       source, 
       new String[] 
       {
       "xml.name", "TOPLEVEL",
       "xml.namePlural", "TOPLEVELS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });					
    addAnnotation
      (packageableElementEClass, 
       source, 
       new String[] 
       {
       "xml.name", "PACKAGEABLE-ELEMENT",
       "xml.namePlural", "PACKAGEABLE-ELEMENTS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });					
    addAnnotation
      (referrableEClass, 
       source, 
       new String[] 
       {
       "xml.name", "REFERRABLE",
       "xml.namePlural", "REFERRABLES",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });					
    addAnnotation
      (getReferrable_ShortName(), 
       source, 
       new String[] 
       {
       "xml.enforceMinMultiplicity", "true",
       "xml.sequenceOffset", "-100",
       "xml.name", "SHORT-NAME",
       "xml.namePlural", "SHORT-NAMES",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });					
    addAnnotation
      (safeEClass, 
       source, 
       new String[] 
       {
       "admin.documentVersion", "2012-11-xx draft",
       "safe.documentVersion", "0.1",
       "xml.globalElement", "true",
       "xml.name", "SAFE",
       "xml.namePlural", "SAFES",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });					
    addAnnotation
      (getSAFE_TopLevelPackage(), 
       source, 
       new String[] 
       {
       "xml.name", "TOP-LEVEL-PACKAGE",
       "xml.namePlural", "TOP-LEVEL-PACKAGES",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "false",
       "xml.roleWrapperElement", "true",
       "xml.typeElement", "true",
       "xml.typeWrapperElement", "false"
       });					
    addAnnotation
      (safeElementEClass, 
       source, 
       new String[] 
       {
       "xml.name", "SAFE-ELEMENT",
       "xml.namePlural", "SAFE-ELEMENTS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });					
    addAnnotation
      (getSAFEElement_Name(), 
       source, 
       new String[] 
       {
       "xml.name", "NAME",
       "xml.namePlural", "NAMES",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });					
    addAnnotation
      (safePackageEClass, 
       source, 
       new String[] 
       {
       "xml.name", "SAFE-PACKAGE",
       "xml.namePlural", "SAFE-PACKAGES",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });					
    addAnnotation
      (getSAFEPackage_Element(), 
       source, 
       new String[] 
       {
       "xml.name", "ELEMENT",
       "xml.namePlural", "ELEMENTS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "false",
       "xml.roleWrapperElement", "true",
       "xml.typeElement", "true",
       "xml.typeWrapperElement", "false"
       });					
    addAnnotation
      (getSAFEPackage_SubPackage(), 
       source, 
       new String[] 
       {
       "xml.name", "SUB-PACKAGE",
       "xml.namePlural", "SUB-PACKAGES",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "false",
       "xml.roleWrapperElement", "true",
       "xml.typeElement", "true",
       "xml.typeWrapperElement", "false"
       });					
    addAnnotation
      (safetyCaseExpressionEClass, 
       source, 
       new String[] 
       {
       "xml.name", "SAFETY-CASE-EXPRESSION",
       "xml.namePlural", "SAFETY-CASE-EXPRESSIONS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });				
    addAnnotation
      (getSafetyCaseExpression_ElementType(), 
       source, 
       new String[] 
       {
       "xml.name", "ELEMENT-TYPE",
       "xml.namePlural", "ELEMENT-TYPES",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });				
    addAnnotation
      (getSafetyCaseExpression_SupportedBy(), 
       source, 
       new String[] 
       {
       "xml.name", "SUPPORTED-BY-REF",
       "xml.namePlural", "SUPPORTED-BY-REFS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "true",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });				
    addAnnotation
      (getSafetyCaseExpression_InContextOf(), 
       source, 
       new String[] 
       {
       "xml.name", "IN-CONTEXT-OF-REF",
       "xml.namePlural", "IN-CONTEXT-OF-REFS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "true",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });					
    addAnnotation
      (identifiableEClass, 
       source, 
       new String[] 
       {
       "xml.name", "IDENTIFIABLE",
       "xml.namePlural", "IDENTIFIABLES",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });					
    addAnnotation
      (getIdentifiable_Category(), 
       source, 
       new String[] 
       {
       "xml.sequenceOffset", "-50",
       "xml.name", "CATEGORY",
       "xml.namePlural", "CATEGORYS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });					
    addAnnotation
      (getIdentifiable_Uuid(), 
       source, 
       new String[] 
       {
       "xml.attribute", "true",
       "xml.name", "UUID",
       "xml.namePlural", "UUIDS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });	
  }

  /**
   * Initializes the annotations for <b>EAAdapter</b>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected void createEAAdapterAnnotations()
  {
    String source = "EAAdapter";				
    addAnnotation
      (this, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (packageableElementEClass, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (referrableEClass, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (getReferrable_ShortName(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (safeEClass, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (getSAFE_TopLevelPackage(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (safeElementEClass, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (getSAFEElement_Name(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (safePackageEClass, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (getSAFEPackage_Element(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (getSAFEPackage_SubPackage(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (safetyCaseExpressionEClass, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getSafetyCaseExpression_ElementType(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getSafetyCaseExpression_SupportedBy(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getSafetyCaseExpression_InContextOf(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (identifiableEClass, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (getIdentifiable_Category(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (getIdentifiable_Uuid(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });
  }

  /**
   * Initializes the annotations for <b>Stereotype</b>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected void createStereotypeAnnotations()
  {
    String source = "Stereotype";																						
    addAnnotation
      (getSAFE_TopLevelPackage(), 
       source, 
       new String[] 
       {
       "Stereotype", "splittable"
       });																	
    addAnnotation
      (getSAFEPackage_Element(), 
       source, 
       new String[] 
       {
       "Stereotype", "splittable"
       });					
    addAnnotation
      (getSAFEPackage_SubPackage(), 
       source, 
       new String[] 
       {
       "Stereotype", "splittable"
       });																											
  }

} //ToplevelPackageImpl
