/**
 */
package safe10.classmodel.configuration;

import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

import safe10.classmodel.commonstructure.toplevel.ToplevelPackage;

/**
 * <!-- begin-user-doc -->
 * The <b>Package</b> for the model.
 * It contains accessors for the meta objects to represent
 * <ul>
 *   <li>each class,</li>
 *   <li>each feature of each class,</li>
 *   <li>each enum,</li>
 *   <li>and each data type</li>
 * </ul>
 * <!-- end-user-doc -->
 * @see safe10.classmodel.configuration.ConfigurationFactory
 * @model kind="package"
 *        annotation="MetaData guid='{DE432CB0-9D8F-4396-B39F-33C7A83E6055}' id='1354118402' EA\040name='Configuration'"
 *        annotation="TaggedValues xml.name='CONFIGURATION' xml.namePlural='CONFIGURATIONS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public interface ConfigurationPackage extends EPackage
{
  /**
   * The package name.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNAME = "configuration";

  /**
   * The package namespace URI.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNS_URI = "http://safe-project.eu/1.0.1/safe10/classmodel/configuration";

  /**
   * The package namespace name.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNS_PREFIX = "";

  /**
   * The singleton instance of the package.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  ConfigurationPackage eINSTANCE = safe10.classmodel.configuration.impl.ConfigurationPackageImpl.init();

  /**
   * The meta object id for the '{@link safe10.classmodel.configuration.impl.RestrictableImpl <em>Restrictable</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.configuration.impl.RestrictableImpl
   * @see safe10.classmodel.configuration.impl.ConfigurationPackageImpl#getRestrictable()
   * @generated
   */
  int RESTRICTABLE = 0;

  /**
   * The feature id for the '<em><b>Short Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int RESTRICTABLE__SHORT_NAME = ToplevelPackage.PACKAGEABLE_ELEMENT__SHORT_NAME;

  /**
   * The feature id for the '<em><b>Category</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int RESTRICTABLE__CATEGORY = ToplevelPackage.PACKAGEABLE_ELEMENT__CATEGORY;

  /**
   * The feature id for the '<em><b>Uuid</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int RESTRICTABLE__UUID = ToplevelPackage.PACKAGEABLE_ELEMENT__UUID;

  /**
   * The feature id for the '<em><b>Variable Element</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int RESTRICTABLE__VARIABLE_ELEMENT = ToplevelPackage.PACKAGEABLE_ELEMENT_FEATURE_COUNT + 0;

  /**
   * The feature id for the '<em><b>Res Set</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int RESTRICTABLE__RES_SET = ToplevelPackage.PACKAGEABLE_ELEMENT_FEATURE_COUNT + 1;

  /**
   * The number of structural features of the '<em>Restrictable</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int RESTRICTABLE_FEATURE_COUNT = ToplevelPackage.PACKAGEABLE_ELEMENT_FEATURE_COUNT + 2;

  /**
   * The meta object id for the '{@link safe10.classmodel.configuration.impl.RestrictionImpl <em>Restriction</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.configuration.impl.RestrictionImpl
   * @see safe10.classmodel.configuration.impl.ConfigurationPackageImpl#getRestriction()
   * @generated
   */
  int RESTRICTION = 1;

  /**
   * The feature id for the '<em><b>Expression</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int RESTRICTION__EXPRESSION = 0;

  /**
   * The number of structural features of the '<em>Restriction</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int RESTRICTION_FEATURE_COUNT = 1;


  /**
   * Returns the meta object for class '{@link safe10.classmodel.configuration.Restrictable <em>Restrictable</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Restrictable</em>'.
   * @see safe10.classmodel.configuration.Restrictable
   * @generated
   */
  EClass getRestrictable();

  /**
   * Returns the meta object for the reference '{@link safe10.classmodel.configuration.Restrictable#getVariableElement <em>Variable Element</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the reference '<em>Variable Element</em>'.
   * @see safe10.classmodel.configuration.Restrictable#getVariableElement()
   * @see #getRestrictable()
   * @generated
   */
  EReference getRestrictable_VariableElement();

  /**
   * Returns the meta object for the containment reference list '{@link safe10.classmodel.configuration.Restrictable#getResSet <em>Res Set</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference list '<em>Res Set</em>'.
   * @see safe10.classmodel.configuration.Restrictable#getResSet()
   * @see #getRestrictable()
   * @generated
   */
  EReference getRestrictable_ResSet();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.configuration.Restriction <em>Restriction</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Restriction</em>'.
   * @see safe10.classmodel.configuration.Restriction
   * @generated
   */
  EClass getRestriction();

  /**
   * Returns the meta object for the attribute '{@link safe10.classmodel.configuration.Restriction#getExpression <em>Expression</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Expression</em>'.
   * @see safe10.classmodel.configuration.Restriction#getExpression()
   * @see #getRestriction()
   * @generated
   */
  EAttribute getRestriction_Expression();

  /**
   * Returns the factory that creates the instances of the model.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the factory that creates the instances of the model.
   * @generated
   */
  ConfigurationFactory getConfigurationFactory();

  /**
   * <!-- begin-user-doc -->
   * Defines literals for the meta objects that represent
   * <ul>
   *   <li>each class,</li>
   *   <li>each feature of each class,</li>
   *   <li>each enum,</li>
   *   <li>and each data type</li>
   * </ul>
   * <!-- end-user-doc -->
   * @generated
   */
  interface Literals
  {
    /**
     * The meta object literal for the '{@link safe10.classmodel.configuration.impl.RestrictableImpl <em>Restrictable</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.configuration.impl.RestrictableImpl
     * @see safe10.classmodel.configuration.impl.ConfigurationPackageImpl#getRestrictable()
     * @generated
     */
    EClass RESTRICTABLE = eINSTANCE.getRestrictable();

    /**
     * The meta object literal for the '<em><b>Variable Element</b></em>' reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference RESTRICTABLE__VARIABLE_ELEMENT = eINSTANCE.getRestrictable_VariableElement();

    /**
     * The meta object literal for the '<em><b>Res Set</b></em>' containment reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference RESTRICTABLE__RES_SET = eINSTANCE.getRestrictable_ResSet();

    /**
     * The meta object literal for the '{@link safe10.classmodel.configuration.impl.RestrictionImpl <em>Restriction</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.configuration.impl.RestrictionImpl
     * @see safe10.classmodel.configuration.impl.ConfigurationPackageImpl#getRestriction()
     * @generated
     */
    EClass RESTRICTION = eINSTANCE.getRestriction();

    /**
     * The meta object literal for the '<em><b>Expression</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute RESTRICTION__EXPRESSION = eINSTANCE.getRestriction_Expression();

  }

} //ConfigurationPackage
