/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package safe10.classmodel.configuration;

import org.eclipse.emf.common.util.EList;

import safe10.classmodel.commonstructure.toplevel.Identifiable;
import safe10.classmodel.commonstructure.toplevel.PackageableElement;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Restrictable</b></em>'.
 * <!-- end-user-doc -->
 *
 * <!-- begin-model-doc -->
 * A RestrictableElement allows connecting SAFE model elements with variant information.
 * 
 * The identified element, pointed to by  VariableElement of the class RestrictableElement, is part of a variant if at least one of the defined restrictions evaluate to true.
 * <!-- end-model-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link safe10.classmodel.configuration.Restrictable#getVariableElement <em>Variable Element</em>}</li>
 *   <li>{@link safe10.classmodel.configuration.Restrictable#getResSet <em>Res Set</em>}</li>
 * </ul>
 * </p>
 *
 * @see safe10.classmodel.configuration.ConfigurationPackage#getRestrictable()
 * @model annotation="MetaData guid='{9E0EEB68-FDDD-47b4-A23D-7E93B53E5E9D}' id='218098432' EA\040name='Restrictable'"
 *        annotation="TaggedValues xml.name='RESTRICTABLE' xml.namePlural='RESTRICTABLES' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public interface Restrictable extends PackageableElement
{
  /**
   * Returns the value of the '<em><b>Variable Element</b></em>' reference.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Variable Element</em>' reference isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Variable Element</em>' reference.
   * @see #setVariableElement(Identifiable)
   * @see safe10.classmodel.configuration.ConfigurationPackage#getRestrictable_VariableElement()
   * @model required="true"
   *        annotation="MetaData guid='{093FE626-E7E4-41de-8B61-CCAA756A9B8E}' id='-593614770' EA\040name=''"
   *        annotation="TaggedValues xml.name='VARIABLE-ELEMENT-REF' xml.namePlural='VARIABLE-ELEMENT-REFS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  Identifiable getVariableElement();

  /**
   * Sets the value of the '{@link safe10.classmodel.configuration.Restrictable#getVariableElement <em>Variable Element</em>}' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Variable Element</em>' reference.
   * @see #getVariableElement()
   * @generated
   */
  void setVariableElement(Identifiable value);

  /**
   * Returns the value of the '<em><b>Res Set</b></em>' containment reference list.
   * The list contents are of type {@link safe10.classmodel.configuration.Restriction}.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Res Set</em>' containment reference list isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Res Set</em>' containment reference list.
   * @see safe10.classmodel.configuration.ConfigurationPackage#getRestrictable_ResSet()
   * @model containment="true"
   *        annotation="MetaData guid='{6449FF76-7630-435f-9CC6-84897D4C0626}' id='1718619590' EA\040name=''"
   *        annotation="TaggedValues xml.name='RES-SET' xml.namePlural='RES-SETS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='false' xml.roleWrapperElement='true' xml.typeElement='true' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  EList<Restriction> getResSet();

} // Restrictable
