/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package safe10.classmodel.errormodel;

import org.eclipse.emf.common.util.EList;

import safe10.classmodel.commonstructure.toplevel.Identifiable;

import safe10.classmodel.errormodel.errorbehavior.AbstractErrorBehavior;

import safe10.classmodel.errormodel.errormodeltype.ErrorModelType;

import safe10.classmodel.errormodel.malfunction.MalfunctionType;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Error Model</b></em>'.
 * <!-- end-user-doc -->
 *
 * <!-- begin-model-doc -->
 * The error model is a container for all artifacts, which are needed to describe the error model of an architectural element: malfunctions, error types and error behaviors
 * <!-- end-model-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link safe10.classmodel.errormodel.ErrorModel#getMapping <em>Mapping</em>}</li>
 *   <li>{@link safe10.classmodel.errormodel.ErrorModel#getBehavior <em>Behavior</em>}</li>
 *   <li>{@link safe10.classmodel.errormodel.ErrorModel#getType <em>Type</em>}</li>
 *   <li>{@link safe10.classmodel.errormodel.ErrorModel#getMalfunction <em>Malfunction</em>}</li>
 * </ul>
 * </p>
 *
 * @see safe10.classmodel.errormodel.ErrormodelPackage#getErrorModel()
 * @model annotation="MetaData guid='{E938A295-E9F5-4d3a-9DEF-0DE6B8EFE2F3}' id='2036383851' EA\040name='ErrorModel'"
 *        annotation="TaggedValues xml.name='ERROR-MODEL' xml.namePlural='ERROR-MODELS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public interface ErrorModel extends Identifiable
{
  /**
   * Returns the value of the '<em><b>Mapping</b></em>' containment reference list.
   * The list contents are of type {@link safe10.classmodel.errormodel.ErrorModelMapping}.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Mapping</em>' containment reference list isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Mapping</em>' containment reference list.
   * @see safe10.classmodel.errormodel.ErrormodelPackage#getErrorModel_Mapping()
   * @model containment="true"
   *        annotation="MetaData guid='{E08FC972-B0C1-440d-9BC6-3656677695C1}' id='-687267540' EA\040name=''"
   *        annotation="TaggedValues xml.name='MAPPING' xml.namePlural='MAPPINGS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='false' xml.roleWrapperElement='true' xml.typeElement='true' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  EList<ErrorModelMapping> getMapping();

  /**
   * Returns the value of the '<em><b>Behavior</b></em>' containment reference list.
   * The list contents are of type {@link safe10.classmodel.errormodel.errorbehavior.AbstractErrorBehavior}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * an arbitrary number of error behaviors
   * <!-- end-model-doc -->
   * @return the value of the '<em>Behavior</em>' containment reference list.
   * @see safe10.classmodel.errormodel.ErrormodelPackage#getErrorModel_Behavior()
   * @model containment="true"
   *        annotation="MetaData guid='{C00F236E-9E9F-4632-A9B1-356A9165F5F7}' id='520845224' EA\040name=''"
   *        annotation="TaggedValues xml.name='BEHAVIOR' xml.namePlural='BEHAVIORS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='false' xml.roleWrapperElement='true' xml.typeElement='true' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  EList<AbstractErrorBehavior> getBehavior();

  /**
   * Returns the value of the '<em><b>Type</b></em>' containment reference list.
   * The list contents are of type {@link safe10.classmodel.errormodel.errormodeltype.ErrorModelType}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * an arbitrary number of error model types
   * <!-- end-model-doc -->
   * @return the value of the '<em>Type</em>' containment reference list.
   * @see safe10.classmodel.errormodel.ErrormodelPackage#getErrorModel_Type()
   * @model containment="true"
   *        annotation="MetaData guid='{6415733C-18A5-4229-8FFC-9DAAEDE2C794}' id='1647259043' EA\040name=''"
   *        annotation="TaggedValues xml.name='TYPE' xml.namePlural='TYPES' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='false' xml.roleWrapperElement='true' xml.typeElement='true' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  EList<ErrorModelType> getType();

  /**
   * Returns the value of the '<em><b>Malfunction</b></em>' containment reference list.
   * The list contents are of type {@link safe10.classmodel.errormodel.malfunction.MalfunctionType}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * an arbitrary number of malfunction types
   * <!-- end-model-doc -->
   * @return the value of the '<em>Malfunction</em>' containment reference list.
   * @see safe10.classmodel.errormodel.ErrormodelPackage#getErrorModel_Malfunction()
   * @model containment="true"
   *        annotation="MetaData guid='{06C549EC-A157-42b0-9A79-57E10416507B}' id='1686435977' EA\040name=''"
   *        annotation="TaggedValues xml.name='MALFUNCTION' xml.namePlural='MALFUNCTIONS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='false' xml.roleWrapperElement='true' xml.typeElement='true' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  EList<MalfunctionType> getMalfunction();

} // ErrorModel
