/**
 */
package safe10.classmodel.errormodel;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

import safe10.classmodel.commonstructure.toplevel.ToplevelPackage;

/**
 * <!-- begin-user-doc -->
 * The <b>Package</b> for the model.
 * It contains accessors for the meta objects to represent
 * <ul>
 *   <li>each class,</li>
 *   <li>each feature of each class,</li>
 *   <li>each enum,</li>
 *   <li>and each data type</li>
 * </ul>
 * <!-- end-user-doc -->
 * @see safe10.classmodel.errormodel.ErrormodelFactory
 * @model kind="package"
 *        annotation="MetaData guid='{99055CFA-0645-4563-A3A5-68413F410500}' id='-466387023' EA\040name='ErrorModel'"
 *        annotation="TaggedValues xml.name='ERRORMODEL' xml.namePlural='ERRORMODELS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public interface ErrormodelPackage extends EPackage
{
  /**
   * The package name.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNAME = "errormodel";

  /**
   * The package namespace URI.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNS_URI = "http://safe-project.eu/1.0.1/safe10/classmodel/errormodel";

  /**
   * The package namespace name.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNS_PREFIX = "";

  /**
   * The singleton instance of the package.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  ErrormodelPackage eINSTANCE = safe10.classmodel.errormodel.impl.ErrormodelPackageImpl.init();

  /**
   * The meta object id for the '{@link safe10.classmodel.errormodel.impl.ErrorModelImpl <em>Error Model</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.errormodel.impl.ErrorModelImpl
   * @see safe10.classmodel.errormodel.impl.ErrormodelPackageImpl#getErrorModel()
   * @generated
   */
  int ERROR_MODEL = 0;

  /**
   * The feature id for the '<em><b>Short Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ERROR_MODEL__SHORT_NAME = ToplevelPackage.IDENTIFIABLE__SHORT_NAME;

  /**
   * The feature id for the '<em><b>Category</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ERROR_MODEL__CATEGORY = ToplevelPackage.IDENTIFIABLE__CATEGORY;

  /**
   * The feature id for the '<em><b>Uuid</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ERROR_MODEL__UUID = ToplevelPackage.IDENTIFIABLE__UUID;

  /**
   * The feature id for the '<em><b>Mapping</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ERROR_MODEL__MAPPING = ToplevelPackage.IDENTIFIABLE_FEATURE_COUNT + 0;

  /**
   * The feature id for the '<em><b>Behavior</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ERROR_MODEL__BEHAVIOR = ToplevelPackage.IDENTIFIABLE_FEATURE_COUNT + 1;

  /**
   * The feature id for the '<em><b>Type</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ERROR_MODEL__TYPE = ToplevelPackage.IDENTIFIABLE_FEATURE_COUNT + 2;

  /**
   * The feature id for the '<em><b>Malfunction</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ERROR_MODEL__MALFUNCTION = ToplevelPackage.IDENTIFIABLE_FEATURE_COUNT + 3;

  /**
   * The number of structural features of the '<em>Error Model</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ERROR_MODEL_FEATURE_COUNT = ToplevelPackage.IDENTIFIABLE_FEATURE_COUNT + 4;

  /**
   * The meta object id for the '{@link safe10.classmodel.errormodel.impl.ErrorModelMappingImpl <em>Error Model Mapping</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.errormodel.impl.ErrorModelMappingImpl
   * @see safe10.classmodel.errormodel.impl.ErrormodelPackageImpl#getErrorModelMapping()
   * @generated
   */
  int ERROR_MODEL_MAPPING = 1;

  /**
   * The feature id for the '<em><b>Origin</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ERROR_MODEL_MAPPING__ORIGIN = 0;

  /**
   * The feature id for the '<em><b>Target</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ERROR_MODEL_MAPPING__TARGET = 1;

  /**
   * The number of structural features of the '<em>Error Model Mapping</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ERROR_MODEL_MAPPING_FEATURE_COUNT = 2;


  /**
   * Returns the meta object for class '{@link safe10.classmodel.errormodel.ErrorModel <em>Error Model</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Error Model</em>'.
   * @see safe10.classmodel.errormodel.ErrorModel
   * @generated
   */
  EClass getErrorModel();

  /**
   * Returns the meta object for the containment reference list '{@link safe10.classmodel.errormodel.ErrorModel#getMapping <em>Mapping</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference list '<em>Mapping</em>'.
   * @see safe10.classmodel.errormodel.ErrorModel#getMapping()
   * @see #getErrorModel()
   * @generated
   */
  EReference getErrorModel_Mapping();

  /**
   * Returns the meta object for the containment reference list '{@link safe10.classmodel.errormodel.ErrorModel#getBehavior <em>Behavior</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference list '<em>Behavior</em>'.
   * @see safe10.classmodel.errormodel.ErrorModel#getBehavior()
   * @see #getErrorModel()
   * @generated
   */
  EReference getErrorModel_Behavior();

  /**
   * Returns the meta object for the containment reference list '{@link safe10.classmodel.errormodel.ErrorModel#getType <em>Type</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference list '<em>Type</em>'.
   * @see safe10.classmodel.errormodel.ErrorModel#getType()
   * @see #getErrorModel()
   * @generated
   */
  EReference getErrorModel_Type();

  /**
   * Returns the meta object for the containment reference list '{@link safe10.classmodel.errormodel.ErrorModel#getMalfunction <em>Malfunction</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference list '<em>Malfunction</em>'.
   * @see safe10.classmodel.errormodel.ErrorModel#getMalfunction()
   * @see #getErrorModel()
   * @generated
   */
  EReference getErrorModel_Malfunction();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.errormodel.ErrorModelMapping <em>Error Model Mapping</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Error Model Mapping</em>'.
   * @see safe10.classmodel.errormodel.ErrorModelMapping
   * @generated
   */
  EClass getErrorModelMapping();

  /**
   * Returns the meta object for the containment reference '{@link safe10.classmodel.errormodel.ErrorModelMapping#getOrigin <em>Origin</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Origin</em>'.
   * @see safe10.classmodel.errormodel.ErrorModelMapping#getOrigin()
   * @see #getErrorModelMapping()
   * @generated
   */
  EReference getErrorModelMapping_Origin();

  /**
   * Returns the meta object for the containment reference '{@link safe10.classmodel.errormodel.ErrorModelMapping#getTarget <em>Target</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Target</em>'.
   * @see safe10.classmodel.errormodel.ErrorModelMapping#getTarget()
   * @see #getErrorModelMapping()
   * @generated
   */
  EReference getErrorModelMapping_Target();

  /**
   * Returns the factory that creates the instances of the model.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the factory that creates the instances of the model.
   * @generated
   */
  ErrormodelFactory getErrormodelFactory();

  /**
   * <!-- begin-user-doc -->
   * Defines literals for the meta objects that represent
   * <ul>
   *   <li>each class,</li>
   *   <li>each feature of each class,</li>
   *   <li>each enum,</li>
   *   <li>and each data type</li>
   * </ul>
   * <!-- end-user-doc -->
   * @generated
   */
  interface Literals
  {
    /**
     * The meta object literal for the '{@link safe10.classmodel.errormodel.impl.ErrorModelImpl <em>Error Model</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.errormodel.impl.ErrorModelImpl
     * @see safe10.classmodel.errormodel.impl.ErrormodelPackageImpl#getErrorModel()
     * @generated
     */
    EClass ERROR_MODEL = eINSTANCE.getErrorModel();

    /**
     * The meta object literal for the '<em><b>Mapping</b></em>' containment reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference ERROR_MODEL__MAPPING = eINSTANCE.getErrorModel_Mapping();

    /**
     * The meta object literal for the '<em><b>Behavior</b></em>' containment reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference ERROR_MODEL__BEHAVIOR = eINSTANCE.getErrorModel_Behavior();

    /**
     * The meta object literal for the '<em><b>Type</b></em>' containment reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference ERROR_MODEL__TYPE = eINSTANCE.getErrorModel_Type();

    /**
     * The meta object literal for the '<em><b>Malfunction</b></em>' containment reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference ERROR_MODEL__MALFUNCTION = eINSTANCE.getErrorModel_Malfunction();

    /**
     * The meta object literal for the '{@link safe10.classmodel.errormodel.impl.ErrorModelMappingImpl <em>Error Model Mapping</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.errormodel.impl.ErrorModelMappingImpl
     * @see safe10.classmodel.errormodel.impl.ErrormodelPackageImpl#getErrorModelMapping()
     * @generated
     */
    EClass ERROR_MODEL_MAPPING = eINSTANCE.getErrorModelMapping();

    /**
     * The meta object literal for the '<em><b>Origin</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference ERROR_MODEL_MAPPING__ORIGIN = eINSTANCE.getErrorModelMapping_Origin();

    /**
     * The meta object literal for the '<em><b>Target</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference ERROR_MODEL_MAPPING__TARGET = eINSTANCE.getErrorModelMapping_Target();

  }

} //ErrormodelPackage
