/**
 */
package safe10.classmodel.errormodel.errorbehavior;

import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EEnum;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

import safe10.classmodel.commonstructure.formulaexpression.FormulaexpressionPackage;

import safe10.classmodel.commonstructure.toplevel.ToplevelPackage;

/**
 * <!-- begin-user-doc -->
 * The <b>Package</b> for the model.
 * It contains accessors for the meta objects to represent
 * <ul>
 *   <li>each class,</li>
 *   <li>each feature of each class,</li>
 *   <li>each enum,</li>
 *   <li>and each data type</li>
 * </ul>
 * <!-- end-user-doc -->
 * @see safe10.classmodel.errormodel.errorbehavior.ErrorbehaviorFactory
 * @model kind="package"
 *        annotation="MetaData guid='{67BC9FC8-7EFF-4276-8135-2466A7E67755}' id='1523728930' EA\040name='ErrorBehavior'"
 *        annotation="TaggedValues xml.name='ERRORBEHAVIOR' xml.namePlural='ERRORBEHAVIORS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public interface ErrorbehaviorPackage extends EPackage
{
  /**
   * The package name.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNAME = "errorbehavior";

  /**
   * The package namespace URI.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNS_URI = "http://safe-project.eu/1.0.1/safe10/classmodel/errormodel/errorbehavior";

  /**
   * The package namespace name.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNS_PREFIX = "";

  /**
   * The singleton instance of the package.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  ErrorbehaviorPackage eINSTANCE = safe10.classmodel.errormodel.errorbehavior.impl.ErrorbehaviorPackageImpl.init();

  /**
   * The meta object id for the '{@link safe10.classmodel.errormodel.errorbehavior.impl.AbstractErrorBehaviorImpl <em>Abstract Error Behavior</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.errormodel.errorbehavior.impl.AbstractErrorBehaviorImpl
   * @see safe10.classmodel.errormodel.errorbehavior.impl.ErrorbehaviorPackageImpl#getAbstractErrorBehavior()
   * @generated
   */
  int ABSTRACT_ERROR_BEHAVIOR = 0;

  /**
   * The feature id for the '<em><b>Short Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ABSTRACT_ERROR_BEHAVIOR__SHORT_NAME = ToplevelPackage.IDENTIFIABLE__SHORT_NAME;

  /**
   * The feature id for the '<em><b>Category</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ABSTRACT_ERROR_BEHAVIOR__CATEGORY = ToplevelPackage.IDENTIFIABLE__CATEGORY;

  /**
   * The feature id for the '<em><b>Uuid</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ABSTRACT_ERROR_BEHAVIOR__UUID = ToplevelPackage.IDENTIFIABLE__UUID;

  /**
   * The feature id for the '<em><b>Error Model</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ABSTRACT_ERROR_BEHAVIOR__ERROR_MODEL = ToplevelPackage.IDENTIFIABLE_FEATURE_COUNT + 0;

  /**
   * The feature id for the '<em><b>Process Fault</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ABSTRACT_ERROR_BEHAVIOR__PROCESS_FAULT = ToplevelPackage.IDENTIFIABLE_FEATURE_COUNT + 1;

  /**
   * The feature id for the '<em><b>Internal Fault</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ABSTRACT_ERROR_BEHAVIOR__INTERNAL_FAULT = ToplevelPackage.IDENTIFIABLE_FEATURE_COUNT + 2;

  /**
   * The number of structural features of the '<em>Abstract Error Behavior</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ABSTRACT_ERROR_BEHAVIOR_FEATURE_COUNT = ToplevelPackage.IDENTIFIABLE_FEATURE_COUNT + 3;

  /**
   * The meta object id for the '{@link safe10.classmodel.errormodel.errorbehavior.impl.EastADLErrorBehaviorImpl <em>East ADL Error Behavior</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.errormodel.errorbehavior.impl.EastADLErrorBehaviorImpl
   * @see safe10.classmodel.errormodel.errorbehavior.impl.ErrorbehaviorPackageImpl#getEastADLErrorBehavior()
   * @generated
   */
  int EAST_ADL_ERROR_BEHAVIOR = 1;

  /**
   * The feature id for the '<em><b>Short Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EAST_ADL_ERROR_BEHAVIOR__SHORT_NAME = ABSTRACT_ERROR_BEHAVIOR__SHORT_NAME;

  /**
   * The feature id for the '<em><b>Category</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EAST_ADL_ERROR_BEHAVIOR__CATEGORY = ABSTRACT_ERROR_BEHAVIOR__CATEGORY;

  /**
   * The feature id for the '<em><b>Uuid</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EAST_ADL_ERROR_BEHAVIOR__UUID = ABSTRACT_ERROR_BEHAVIOR__UUID;

  /**
   * The feature id for the '<em><b>Error Model</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EAST_ADL_ERROR_BEHAVIOR__ERROR_MODEL = ABSTRACT_ERROR_BEHAVIOR__ERROR_MODEL;

  /**
   * The feature id for the '<em><b>Process Fault</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EAST_ADL_ERROR_BEHAVIOR__PROCESS_FAULT = ABSTRACT_ERROR_BEHAVIOR__PROCESS_FAULT;

  /**
   * The feature id for the '<em><b>Internal Fault</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EAST_ADL_ERROR_BEHAVIOR__INTERNAL_FAULT = ABSTRACT_ERROR_BEHAVIOR__INTERNAL_FAULT;

  /**
   * The feature id for the '<em><b>Formula</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EAST_ADL_ERROR_BEHAVIOR__FORMULA = ABSTRACT_ERROR_BEHAVIOR_FEATURE_COUNT + 0;

  /**
   * The number of structural features of the '<em>East ADL Error Behavior</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EAST_ADL_ERROR_BEHAVIOR_FEATURE_COUNT = ABSTRACT_ERROR_BEHAVIOR_FEATURE_COUNT + 1;

  /**
   * The meta object id for the '{@link safe10.classmodel.errormodel.errorbehavior.impl.FailureLogicFormulaImpl <em>Failure Logic Formula</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.errormodel.errorbehavior.impl.FailureLogicFormulaImpl
   * @see safe10.classmodel.errormodel.errorbehavior.impl.ErrorbehaviorPackageImpl#getFailureLogicFormula()
   * @generated
   */
  int FAILURE_LOGIC_FORMULA = 2;

  /**
   * The feature id for the '<em><b>External Failure</b></em>' reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int FAILURE_LOGIC_FORMULA__EXTERNAL_FAILURE = FormulaexpressionPackage.ATP_FORMULA_EXPRESSION_STRING_FEATURE_COUNT + 0;

  /**
   * The feature id for the '<em><b>Process Fault</b></em>' reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int FAILURE_LOGIC_FORMULA__PROCESS_FAULT = FormulaexpressionPackage.ATP_FORMULA_EXPRESSION_STRING_FEATURE_COUNT + 1;

  /**
   * The feature id for the '<em><b>Internal Fault</b></em>' reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int FAILURE_LOGIC_FORMULA__INTERNAL_FAULT = FormulaexpressionPackage.ATP_FORMULA_EXPRESSION_STRING_FEATURE_COUNT + 2;

  /**
   * The feature id for the '<em><b>External Fault</b></em>' reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int FAILURE_LOGIC_FORMULA__EXTERNAL_FAULT = FormulaexpressionPackage.ATP_FORMULA_EXPRESSION_STRING_FEATURE_COUNT + 3;

  /**
   * The number of structural features of the '<em>Failure Logic Formula</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int FAILURE_LOGIC_FORMULA_FEATURE_COUNT = FormulaexpressionPackage.ATP_FORMULA_EXPRESSION_STRING_FEATURE_COUNT + 4;

  /**
   * The meta object id for the '{@link safe10.classmodel.errormodel.errorbehavior.impl.NativeErrorBehaviorImpl <em>Native Error Behavior</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.errormodel.errorbehavior.impl.NativeErrorBehaviorImpl
   * @see safe10.classmodel.errormodel.errorbehavior.impl.ErrorbehaviorPackageImpl#getNativeErrorBehavior()
   * @generated
   */
  int NATIVE_ERROR_BEHAVIOR = 3;

  /**
   * The feature id for the '<em><b>Short Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int NATIVE_ERROR_BEHAVIOR__SHORT_NAME = ABSTRACT_ERROR_BEHAVIOR__SHORT_NAME;

  /**
   * The feature id for the '<em><b>Category</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int NATIVE_ERROR_BEHAVIOR__CATEGORY = ABSTRACT_ERROR_BEHAVIOR__CATEGORY;

  /**
   * The feature id for the '<em><b>Uuid</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int NATIVE_ERROR_BEHAVIOR__UUID = ABSTRACT_ERROR_BEHAVIOR__UUID;

  /**
   * The feature id for the '<em><b>Error Model</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int NATIVE_ERROR_BEHAVIOR__ERROR_MODEL = ABSTRACT_ERROR_BEHAVIOR__ERROR_MODEL;

  /**
   * The feature id for the '<em><b>Process Fault</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int NATIVE_ERROR_BEHAVIOR__PROCESS_FAULT = ABSTRACT_ERROR_BEHAVIOR__PROCESS_FAULT;

  /**
   * The feature id for the '<em><b>Internal Fault</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int NATIVE_ERROR_BEHAVIOR__INTERNAL_FAULT = ABSTRACT_ERROR_BEHAVIOR__INTERNAL_FAULT;

  /**
   * The feature id for the '<em><b>Failure Logic</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int NATIVE_ERROR_BEHAVIOR__FAILURE_LOGIC = ABSTRACT_ERROR_BEHAVIOR_FEATURE_COUNT + 0;

  /**
   * The feature id for the '<em><b>Type</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int NATIVE_ERROR_BEHAVIOR__TYPE = ABSTRACT_ERROR_BEHAVIOR_FEATURE_COUNT + 1;

  /**
   * The feature id for the '<em><b>External Failure</b></em>' reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int NATIVE_ERROR_BEHAVIOR__EXTERNAL_FAILURE = ABSTRACT_ERROR_BEHAVIOR_FEATURE_COUNT + 2;

  /**
   * The feature id for the '<em><b>External Fault</b></em>' reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int NATIVE_ERROR_BEHAVIOR__EXTERNAL_FAULT = ABSTRACT_ERROR_BEHAVIOR_FEATURE_COUNT + 3;

  /**
   * The number of structural features of the '<em>Native Error Behavior</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int NATIVE_ERROR_BEHAVIOR_FEATURE_COUNT = ABSTRACT_ERROR_BEHAVIOR_FEATURE_COUNT + 4;

  /**
   * The meta object id for the '{@link safe10.classmodel.errormodel.errorbehavior.ErrorBehaviorKind <em>Error Behavior Kind</em>}' enum.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.errormodel.errorbehavior.ErrorBehaviorKind
   * @see safe10.classmodel.errormodel.errorbehavior.impl.ErrorbehaviorPackageImpl#getErrorBehaviorKind()
   * @generated
   */
  int ERROR_BEHAVIOR_KIND = 4;


  /**
   * Returns the meta object for class '{@link safe10.classmodel.errormodel.errorbehavior.AbstractErrorBehavior <em>Abstract Error Behavior</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Abstract Error Behavior</em>'.
   * @see safe10.classmodel.errormodel.errorbehavior.AbstractErrorBehavior
   * @generated
   */
  EClass getAbstractErrorBehavior();

  /**
   * Returns the meta object for the reference '{@link safe10.classmodel.errormodel.errorbehavior.AbstractErrorBehavior#getErrorModel <em>Error Model</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the reference '<em>Error Model</em>'.
   * @see safe10.classmodel.errormodel.errorbehavior.AbstractErrorBehavior#getErrorModel()
   * @see #getAbstractErrorBehavior()
   * @generated
   */
  EReference getAbstractErrorBehavior_ErrorModel();

  /**
   * Returns the meta object for the containment reference list '{@link safe10.classmodel.errormodel.errorbehavior.AbstractErrorBehavior#getProcessFault <em>Process Fault</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference list '<em>Process Fault</em>'.
   * @see safe10.classmodel.errormodel.errorbehavior.AbstractErrorBehavior#getProcessFault()
   * @see #getAbstractErrorBehavior()
   * @generated
   */
  EReference getAbstractErrorBehavior_ProcessFault();

  /**
   * Returns the meta object for the containment reference list '{@link safe10.classmodel.errormodel.errorbehavior.AbstractErrorBehavior#getInternalFault <em>Internal Fault</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference list '<em>Internal Fault</em>'.
   * @see safe10.classmodel.errormodel.errorbehavior.AbstractErrorBehavior#getInternalFault()
   * @see #getAbstractErrorBehavior()
   * @generated
   */
  EReference getAbstractErrorBehavior_InternalFault();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.errormodel.errorbehavior.EastADLErrorBehavior <em>East ADL Error Behavior</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>East ADL Error Behavior</em>'.
   * @see safe10.classmodel.errormodel.errorbehavior.EastADLErrorBehavior
   * @generated
   */
  EClass getEastADLErrorBehavior();

  /**
   * Returns the meta object for the containment reference '{@link safe10.classmodel.errormodel.errorbehavior.EastADLErrorBehavior#getFormula <em>Formula</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Formula</em>'.
   * @see safe10.classmodel.errormodel.errorbehavior.EastADLErrorBehavior#getFormula()
   * @see #getEastADLErrorBehavior()
   * @generated
   */
  EReference getEastADLErrorBehavior_Formula();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.errormodel.errorbehavior.FailureLogicFormula <em>Failure Logic Formula</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Failure Logic Formula</em>'.
   * @see safe10.classmodel.errormodel.errorbehavior.FailureLogicFormula
   * @generated
   */
  EClass getFailureLogicFormula();

  /**
   * Returns the meta object for the reference list '{@link safe10.classmodel.errormodel.errorbehavior.FailureLogicFormula#getExternalFailure <em>External Failure</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the reference list '<em>External Failure</em>'.
   * @see safe10.classmodel.errormodel.errorbehavior.FailureLogicFormula#getExternalFailure()
   * @see #getFailureLogicFormula()
   * @generated
   */
  EReference getFailureLogicFormula_ExternalFailure();

  /**
   * Returns the meta object for the reference list '{@link safe10.classmodel.errormodel.errorbehavior.FailureLogicFormula#getProcessFault <em>Process Fault</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the reference list '<em>Process Fault</em>'.
   * @see safe10.classmodel.errormodel.errorbehavior.FailureLogicFormula#getProcessFault()
   * @see #getFailureLogicFormula()
   * @generated
   */
  EReference getFailureLogicFormula_ProcessFault();

  /**
   * Returns the meta object for the reference list '{@link safe10.classmodel.errormodel.errorbehavior.FailureLogicFormula#getInternalFault <em>Internal Fault</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the reference list '<em>Internal Fault</em>'.
   * @see safe10.classmodel.errormodel.errorbehavior.FailureLogicFormula#getInternalFault()
   * @see #getFailureLogicFormula()
   * @generated
   */
  EReference getFailureLogicFormula_InternalFault();

  /**
   * Returns the meta object for the reference list '{@link safe10.classmodel.errormodel.errorbehavior.FailureLogicFormula#getExternalFault <em>External Fault</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the reference list '<em>External Fault</em>'.
   * @see safe10.classmodel.errormodel.errorbehavior.FailureLogicFormula#getExternalFault()
   * @see #getFailureLogicFormula()
   * @generated
   */
  EReference getFailureLogicFormula_ExternalFault();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.errormodel.errorbehavior.NativeErrorBehavior <em>Native Error Behavior</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Native Error Behavior</em>'.
   * @see safe10.classmodel.errormodel.errorbehavior.NativeErrorBehavior
   * @generated
   */
  EClass getNativeErrorBehavior();

  /**
   * Returns the meta object for the attribute '{@link safe10.classmodel.errormodel.errorbehavior.NativeErrorBehavior#getFailureLogic <em>Failure Logic</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Failure Logic</em>'.
   * @see safe10.classmodel.errormodel.errorbehavior.NativeErrorBehavior#getFailureLogic()
   * @see #getNativeErrorBehavior()
   * @generated
   */
  EAttribute getNativeErrorBehavior_FailureLogic();

  /**
   * Returns the meta object for the attribute '{@link safe10.classmodel.errormodel.errorbehavior.NativeErrorBehavior#getType <em>Type</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Type</em>'.
   * @see safe10.classmodel.errormodel.errorbehavior.NativeErrorBehavior#getType()
   * @see #getNativeErrorBehavior()
   * @generated
   */
  EAttribute getNativeErrorBehavior_Type();

  /**
   * Returns the meta object for the reference list '{@link safe10.classmodel.errormodel.errorbehavior.NativeErrorBehavior#getExternalFailure <em>External Failure</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the reference list '<em>External Failure</em>'.
   * @see safe10.classmodel.errormodel.errorbehavior.NativeErrorBehavior#getExternalFailure()
   * @see #getNativeErrorBehavior()
   * @generated
   */
  EReference getNativeErrorBehavior_ExternalFailure();

  /**
   * Returns the meta object for the reference list '{@link safe10.classmodel.errormodel.errorbehavior.NativeErrorBehavior#getExternalFault <em>External Fault</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the reference list '<em>External Fault</em>'.
   * @see safe10.classmodel.errormodel.errorbehavior.NativeErrorBehavior#getExternalFault()
   * @see #getNativeErrorBehavior()
   * @generated
   */
  EReference getNativeErrorBehavior_ExternalFault();

  /**
   * Returns the meta object for enum '{@link safe10.classmodel.errormodel.errorbehavior.ErrorBehaviorKind <em>Error Behavior Kind</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for enum '<em>Error Behavior Kind</em>'.
   * @see safe10.classmodel.errormodel.errorbehavior.ErrorBehaviorKind
   * @generated
   */
  EEnum getErrorBehaviorKind();

  /**
   * Returns the factory that creates the instances of the model.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the factory that creates the instances of the model.
   * @generated
   */
  ErrorbehaviorFactory getErrorbehaviorFactory();

  /**
   * <!-- begin-user-doc -->
   * Defines literals for the meta objects that represent
   * <ul>
   *   <li>each class,</li>
   *   <li>each feature of each class,</li>
   *   <li>each enum,</li>
   *   <li>and each data type</li>
   * </ul>
   * <!-- end-user-doc -->
   * @generated
   */
  interface Literals
  {
    /**
     * The meta object literal for the '{@link safe10.classmodel.errormodel.errorbehavior.impl.AbstractErrorBehaviorImpl <em>Abstract Error Behavior</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.errormodel.errorbehavior.impl.AbstractErrorBehaviorImpl
     * @see safe10.classmodel.errormodel.errorbehavior.impl.ErrorbehaviorPackageImpl#getAbstractErrorBehavior()
     * @generated
     */
    EClass ABSTRACT_ERROR_BEHAVIOR = eINSTANCE.getAbstractErrorBehavior();

    /**
     * The meta object literal for the '<em><b>Error Model</b></em>' reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference ABSTRACT_ERROR_BEHAVIOR__ERROR_MODEL = eINSTANCE.getAbstractErrorBehavior_ErrorModel();

    /**
     * The meta object literal for the '<em><b>Process Fault</b></em>' containment reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference ABSTRACT_ERROR_BEHAVIOR__PROCESS_FAULT = eINSTANCE.getAbstractErrorBehavior_ProcessFault();

    /**
     * The meta object literal for the '<em><b>Internal Fault</b></em>' containment reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference ABSTRACT_ERROR_BEHAVIOR__INTERNAL_FAULT = eINSTANCE.getAbstractErrorBehavior_InternalFault();

    /**
     * The meta object literal for the '{@link safe10.classmodel.errormodel.errorbehavior.impl.EastADLErrorBehaviorImpl <em>East ADL Error Behavior</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.errormodel.errorbehavior.impl.EastADLErrorBehaviorImpl
     * @see safe10.classmodel.errormodel.errorbehavior.impl.ErrorbehaviorPackageImpl#getEastADLErrorBehavior()
     * @generated
     */
    EClass EAST_ADL_ERROR_BEHAVIOR = eINSTANCE.getEastADLErrorBehavior();

    /**
     * The meta object literal for the '<em><b>Formula</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference EAST_ADL_ERROR_BEHAVIOR__FORMULA = eINSTANCE.getEastADLErrorBehavior_Formula();

    /**
     * The meta object literal for the '{@link safe10.classmodel.errormodel.errorbehavior.impl.FailureLogicFormulaImpl <em>Failure Logic Formula</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.errormodel.errorbehavior.impl.FailureLogicFormulaImpl
     * @see safe10.classmodel.errormodel.errorbehavior.impl.ErrorbehaviorPackageImpl#getFailureLogicFormula()
     * @generated
     */
    EClass FAILURE_LOGIC_FORMULA = eINSTANCE.getFailureLogicFormula();

    /**
     * The meta object literal for the '<em><b>External Failure</b></em>' reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference FAILURE_LOGIC_FORMULA__EXTERNAL_FAILURE = eINSTANCE.getFailureLogicFormula_ExternalFailure();

    /**
     * The meta object literal for the '<em><b>Process Fault</b></em>' reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference FAILURE_LOGIC_FORMULA__PROCESS_FAULT = eINSTANCE.getFailureLogicFormula_ProcessFault();

    /**
     * The meta object literal for the '<em><b>Internal Fault</b></em>' reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference FAILURE_LOGIC_FORMULA__INTERNAL_FAULT = eINSTANCE.getFailureLogicFormula_InternalFault();

    /**
     * The meta object literal for the '<em><b>External Fault</b></em>' reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference FAILURE_LOGIC_FORMULA__EXTERNAL_FAULT = eINSTANCE.getFailureLogicFormula_ExternalFault();

    /**
     * The meta object literal for the '{@link safe10.classmodel.errormodel.errorbehavior.impl.NativeErrorBehaviorImpl <em>Native Error Behavior</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.errormodel.errorbehavior.impl.NativeErrorBehaviorImpl
     * @see safe10.classmodel.errormodel.errorbehavior.impl.ErrorbehaviorPackageImpl#getNativeErrorBehavior()
     * @generated
     */
    EClass NATIVE_ERROR_BEHAVIOR = eINSTANCE.getNativeErrorBehavior();

    /**
     * The meta object literal for the '<em><b>Failure Logic</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute NATIVE_ERROR_BEHAVIOR__FAILURE_LOGIC = eINSTANCE.getNativeErrorBehavior_FailureLogic();

    /**
     * The meta object literal for the '<em><b>Type</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute NATIVE_ERROR_BEHAVIOR__TYPE = eINSTANCE.getNativeErrorBehavior_Type();

    /**
     * The meta object literal for the '<em><b>External Failure</b></em>' reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference NATIVE_ERROR_BEHAVIOR__EXTERNAL_FAILURE = eINSTANCE.getNativeErrorBehavior_ExternalFailure();

    /**
     * The meta object literal for the '<em><b>External Fault</b></em>' reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference NATIVE_ERROR_BEHAVIOR__EXTERNAL_FAULT = eINSTANCE.getNativeErrorBehavior_ExternalFault();

    /**
     * The meta object literal for the '{@link safe10.classmodel.errormodel.errorbehavior.ErrorBehaviorKind <em>Error Behavior Kind</em>}' enum.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.errormodel.errorbehavior.ErrorBehaviorKind
     * @see safe10.classmodel.errormodel.errorbehavior.impl.ErrorbehaviorPackageImpl#getErrorBehaviorKind()
     * @generated
     */
    EEnum ERROR_BEHAVIOR_KIND = eINSTANCE.getErrorBehaviorKind();

  }

} //ErrorbehaviorPackage
