/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package safe10.classmodel.errormodel.errorbehavior;

import org.eclipse.emf.common.util.EList;

import safe10.classmodel.errormodel.malfunction.MalfunctionPrototype;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Native Error Behavior</b></em>'.
 * <!-- end-user-doc -->
 *
 * <!-- begin-model-doc -->
 * NativeErrorBehavior represents the descriptions of failure logics or semantics that the architectural element associated by the ErrorModelType exhibits. 
 * 
 * Semantics: 
 * The NativeErrorBehavior is defined in the failureLogic string, either directly or as a url referencing an external specification. 
 * The failureLogic can be based on different formalisms, depending on the analysis techniques and tools available. This is indicated by its type:ErrorBehaviorKind attribute. The failureLogic attribute contains the actual failure propagation logic. 
 * 
 * Extension:
 * UML:Behavior
 * <!-- end-model-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link safe10.classmodel.errormodel.errorbehavior.NativeErrorBehavior#getFailureLogic <em>Failure Logic</em>}</li>
 *   <li>{@link safe10.classmodel.errormodel.errorbehavior.NativeErrorBehavior#getType <em>Type</em>}</li>
 *   <li>{@link safe10.classmodel.errormodel.errorbehavior.NativeErrorBehavior#getExternalFailure <em>External Failure</em>}</li>
 *   <li>{@link safe10.classmodel.errormodel.errorbehavior.NativeErrorBehavior#getExternalFault <em>External Fault</em>}</li>
 * </ul>
 * </p>
 *
 * @see safe10.classmodel.errormodel.errorbehavior.ErrorbehaviorPackage#getNativeErrorBehavior()
 * @model annotation="MetaData guid='{39B32206-50E2-4341-AB6F-EE435A39A44F}' id='1021324283' EA\040name='NativeErrorBehavior'"
 *        annotation="TaggedValues xml.name='NATIVE-ERROR-BEHAVIOR' xml.namePlural='NATIVE-ERROR-BEHAVIORS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public interface NativeErrorBehavior extends AbstractErrorBehavior
{
  /**
   * Returns the value of the '<em><b>Failure Logic</b></em>' attribute.
   * The default value is <code>""</code>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * The specification of error behavior based on an external formalism or the path to the file containing the external specification.
   * <!-- end-model-doc -->
   * @return the value of the '<em>Failure Logic</em>' attribute.
   * @see #isSetFailureLogic()
   * @see #unsetFailureLogic()
   * @see #setFailureLogic(String)
   * @see safe10.classmodel.errormodel.errorbehavior.ErrorbehaviorPackage#getNativeErrorBehavior_FailureLogic()
   * @model default="" unsettable="true" dataType="safe10.classmodel.commonstructure.datatypes.String"
   *        annotation="MetaData guid='{98A5FBBE-6B68-474e-8BCD-3220EF2EAC68}' id='1923824928' EA\040name='failureLogic'"
   *        annotation="TaggedValues xml.name='FAILURE-LOGIC' xml.namePlural='FAILURE-LOGICS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  String getFailureLogic();

  /**
   * Sets the value of the '{@link safe10.classmodel.errormodel.errorbehavior.NativeErrorBehavior#getFailureLogic <em>Failure Logic</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Failure Logic</em>' attribute.
   * @see #isSetFailureLogic()
   * @see #FailureLogic()
   * @see #getFailureLogic()
   * @generated
   */
  void setFailureLogic(String value);

  /**
   * Unsets the value of the '{@link safe10.classmodel.errormodel.errorbehavior.NativeErrorBehavior#getFailureLogic <em>Failure Logic</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #isSetFailureLogic()
   * @see #getFailureLogic()
   * @see #setFailureLogic(String)
   * @generated
   */
  void unsetFailureLogic();

  /**
   * Returns whether the value of the '{@link safe10.classmodel.errormodel.errorbehavior.NativeErrorBehavior#getFailureLogic <em>Failure Logic</em>}' attribute is set.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return whether the value of the '<em>Failure Logic</em>' attribute is set.
   * @see #FailureLogic()
   * @see #getFailureLogic()
   * @see #setFailureLogic(String)
   * @generated
   */
  boolean isSetFailureLogic();

  /**
   * Returns the value of the '<em><b>Type</b></em>' attribute.
   * The default value is <code>"HIP_HOPS"</code>.
   * The literals are from the enumeration {@link safe10.classmodel.errormodel.errorbehavior.ErrorBehaviorKind}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * The type of formalism applied for the error behavior description.
   * <!-- end-model-doc -->
   * @return the value of the '<em>Type</em>' attribute.
   * @see safe10.classmodel.errormodel.errorbehavior.ErrorBehaviorKind
   * @see #isSetType()
   * @see #unsetType()
   * @see #setType(ErrorBehaviorKind)
   * @see safe10.classmodel.errormodel.errorbehavior.ErrorbehaviorPackage#getNativeErrorBehavior_Type()
   * @model default="HIP_HOPS" unsettable="true" required="true"
   *        annotation="MetaData guid='{8616762C-C8C7-477a-B763-B54F302A54A9}' id='-1459323231' EA\040name='type'"
   *        annotation="TaggedValues xml.name='TYPE' xml.namePlural='TYPES' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  ErrorBehaviorKind getType();

  /**
   * Sets the value of the '{@link safe10.classmodel.errormodel.errorbehavior.NativeErrorBehavior#getType <em>Type</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Type</em>' attribute.
   * @see safe10.classmodel.errormodel.errorbehavior.ErrorBehaviorKind
   * @see #isSetType()
   * @see #Type()
   * @see #getType()
   * @generated
   */
  void setType(ErrorBehaviorKind value);

  /**
   * Unsets the value of the '{@link safe10.classmodel.errormodel.errorbehavior.NativeErrorBehavior#getType <em>Type</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #isSetType()
   * @see #getType()
   * @see #setType(ErrorBehaviorKind)
   * @generated
   */
  void unsetType();

  /**
   * Returns whether the value of the '{@link safe10.classmodel.errormodel.errorbehavior.NativeErrorBehavior#getType <em>Type</em>}' attribute is set.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return whether the value of the '<em>Type</em>' attribute is set.
   * @see #Type()
   * @see #getType()
   * @see #setType(ErrorBehaviorKind)
   * @generated
   */
  boolean isSetType();

  /**
   * Returns the value of the '<em><b>External Failure</b></em>' reference list.
   * The list contents are of type {@link safe10.classmodel.errormodel.malfunction.MalfunctionPrototype}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * external failures that may result from the ErrorBehavior
   * <!-- end-model-doc -->
   * @return the value of the '<em>External Failure</em>' reference list.
   * @see safe10.classmodel.errormodel.errorbehavior.ErrorbehaviorPackage#getNativeErrorBehavior_ExternalFailure()
   * @model required="true"
   *        annotation="MetaData guid='{CAD71ABB-8B0E-44e2-9842-EAB6ADB20B9E}' id='1217134799' EA\040name=''"
   *        annotation="TaggedValues xml.name='EXTERNAL-FAILURE-REF' xml.namePlural='EXTERNAL-FAILURE-REFS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='true' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  EList<MalfunctionPrototype> getExternalFailure();

  /**
   * Returns the value of the '<em><b>External Fault</b></em>' reference list.
   * The list contents are of type {@link safe10.classmodel.errormodel.malfunction.MalfunctionPrototype}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * external(incoming) faults that influence the errorBehavior.
   * <!-- end-model-doc -->
   * @return the value of the '<em>External Fault</em>' reference list.
   * @see safe10.classmodel.errormodel.errorbehavior.ErrorbehaviorPackage#getNativeErrorBehavior_ExternalFault()
   * @model annotation="MetaData guid='{4B90385F-EDC1-4205-8FE7-867780A9709D}' id='1374167750' EA\040name=''"
   *        annotation="TaggedValues xml.name='EXTERNAL-FAULT-REF' xml.namePlural='EXTERNAL-FAULT-REFS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='true' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  EList<MalfunctionPrototype> getExternalFault();

} // NativeErrorBehavior
