/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package safe10.classmodel.errormodel.errorbehavior.impl;

import java.util.Collection;

import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.common.notify.NotificationChain;

import org.eclipse.emf.common.util.EList;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.InternalEObject;

import org.eclipse.emf.ecore.impl.ENotificationImpl;

import org.eclipse.emf.ecore.util.EObjectContainmentEList;
import org.eclipse.emf.ecore.util.InternalEList;

import safe10.classmodel.commonstructure.toplevel.impl.IdentifiableImpl;

import safe10.classmodel.errormodel.errorbehavior.AbstractErrorBehavior;
import safe10.classmodel.errormodel.errorbehavior.ErrorbehaviorPackage;

import safe10.classmodel.errormodel.errormodeltype.ErrorModelType;

import safe10.classmodel.errormodel.malfunction.MalfunctionPrototype;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>Abstract Error Behavior</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link safe10.classmodel.errormodel.errorbehavior.impl.AbstractErrorBehaviorImpl#getErrorModel <em>Error Model</em>}</li>
 *   <li>{@link safe10.classmodel.errormodel.errorbehavior.impl.AbstractErrorBehaviorImpl#getProcessFault <em>Process Fault</em>}</li>
 *   <li>{@link safe10.classmodel.errormodel.errorbehavior.impl.AbstractErrorBehaviorImpl#getInternalFault <em>Internal Fault</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
public abstract class AbstractErrorBehaviorImpl extends IdentifiableImpl implements AbstractErrorBehavior
{
  /**
   * The cached value of the '{@link #getErrorModel() <em>Error Model</em>}' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getErrorModel()
   * @generated
   * @ordered
   */
  protected ErrorModelType errorModel;

  /**
   * The cached value of the '{@link #getProcessFault() <em>Process Fault</em>}' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getProcessFault()
   * @generated
   * @ordered
   */
  protected EList<MalfunctionPrototype> processFault;

  /**
   * The cached value of the '{@link #getInternalFault() <em>Internal Fault</em>}' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getInternalFault()
   * @generated
   * @ordered
   */
  protected EList<MalfunctionPrototype> internalFault;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected AbstractErrorBehaviorImpl()
  {
    super();
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  protected EClass eStaticClass()
  {
    return ErrorbehaviorPackage.Literals.ABSTRACT_ERROR_BEHAVIOR;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public ErrorModelType getErrorModel()
  {
    if (errorModel != null && errorModel.eIsProxy())
    {
      InternalEObject oldErrorModel = (InternalEObject)errorModel;
      errorModel = (ErrorModelType)eResolveProxy(oldErrorModel);
      if (errorModel != oldErrorModel)
      {
        if (eNotificationRequired())
          eNotify(new ENotificationImpl(this, Notification.RESOLVE, ErrorbehaviorPackage.ABSTRACT_ERROR_BEHAVIOR__ERROR_MODEL, oldErrorModel, errorModel));
      }
    }
    return errorModel;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public ErrorModelType basicGetErrorModel()
  {
    return errorModel;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setErrorModel(ErrorModelType newErrorModel)
  {
    ErrorModelType oldErrorModel = errorModel;
    errorModel = newErrorModel;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, ErrorbehaviorPackage.ABSTRACT_ERROR_BEHAVIOR__ERROR_MODEL, oldErrorModel, errorModel));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EList<MalfunctionPrototype> getProcessFault()
  {
    if (processFault == null)
    {
      processFault = new EObjectContainmentEList<MalfunctionPrototype>(MalfunctionPrototype.class, this, ErrorbehaviorPackage.ABSTRACT_ERROR_BEHAVIOR__PROCESS_FAULT);
    }
    return processFault;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EList<MalfunctionPrototype> getInternalFault()
  {
    if (internalFault == null)
    {
      internalFault = new EObjectContainmentEList<MalfunctionPrototype>(MalfunctionPrototype.class, this, ErrorbehaviorPackage.ABSTRACT_ERROR_BEHAVIOR__INTERNAL_FAULT);
    }
    return internalFault;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public NotificationChain eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)
  {
    switch (featureID)
    {
      case ErrorbehaviorPackage.ABSTRACT_ERROR_BEHAVIOR__PROCESS_FAULT:
        return ((InternalEList<?>)getProcessFault()).basicRemove(otherEnd, msgs);
      case ErrorbehaviorPackage.ABSTRACT_ERROR_BEHAVIOR__INTERNAL_FAULT:
        return ((InternalEList<?>)getInternalFault()).basicRemove(otherEnd, msgs);
    }
    return super.eInverseRemove(otherEnd, featureID, msgs);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Object eGet(int featureID, boolean resolve, boolean coreType)
  {
    switch (featureID)
    {
      case ErrorbehaviorPackage.ABSTRACT_ERROR_BEHAVIOR__ERROR_MODEL:
        if (resolve) return getErrorModel();
        return basicGetErrorModel();
      case ErrorbehaviorPackage.ABSTRACT_ERROR_BEHAVIOR__PROCESS_FAULT:
        return getProcessFault();
      case ErrorbehaviorPackage.ABSTRACT_ERROR_BEHAVIOR__INTERNAL_FAULT:
        return getInternalFault();
    }
    return super.eGet(featureID, resolve, coreType);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @SuppressWarnings("unchecked")
  @Override
  public void eSet(int featureID, Object newValue)
  {
    switch (featureID)
    {
      case ErrorbehaviorPackage.ABSTRACT_ERROR_BEHAVIOR__ERROR_MODEL:
   			setErrorModel((ErrorModelType)newValue);
        return;
      case ErrorbehaviorPackage.ABSTRACT_ERROR_BEHAVIOR__PROCESS_FAULT:
        getProcessFault().clear();
        getProcessFault().addAll((Collection<? extends MalfunctionPrototype>)newValue);
        return;
      case ErrorbehaviorPackage.ABSTRACT_ERROR_BEHAVIOR__INTERNAL_FAULT:
        getInternalFault().clear();
        getInternalFault().addAll((Collection<? extends MalfunctionPrototype>)newValue);
        return;
    }
    super.eSet(featureID, newValue);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public void eUnset(int featureID)
  {
    switch (featureID)
    {
      case ErrorbehaviorPackage.ABSTRACT_ERROR_BEHAVIOR__ERROR_MODEL:
        	setErrorModel((ErrorModelType)null);
        return;
      case ErrorbehaviorPackage.ABSTRACT_ERROR_BEHAVIOR__PROCESS_FAULT:
        getProcessFault().clear();
        return;
      case ErrorbehaviorPackage.ABSTRACT_ERROR_BEHAVIOR__INTERNAL_FAULT:
        getInternalFault().clear();
        return;
    }
    super.eUnset(featureID);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public boolean eIsSet(int featureID)
  {
    switch (featureID)
    {
      case ErrorbehaviorPackage.ABSTRACT_ERROR_BEHAVIOR__ERROR_MODEL:
        return errorModel != null;
      case ErrorbehaviorPackage.ABSTRACT_ERROR_BEHAVIOR__PROCESS_FAULT:
        return processFault != null && !processFault.isEmpty();
      case ErrorbehaviorPackage.ABSTRACT_ERROR_BEHAVIOR__INTERNAL_FAULT:
        return internalFault != null && !internalFault.isEmpty();
    }
    return super.eIsSet(featureID);
  }

} //AbstractErrorBehaviorImpl
