/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package safe10.classmodel.errormodel.errormodeltype;

import safe10.classmodel.commonstructure.toplevel.Identifiable;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Error Model Prototype</b></em>'.
 * <!-- end-user-doc -->
 *
 * <!-- begin-model-doc -->
 * The ErrorModelPrototype is used to define hierarchical error models allowing additional detail or structure to the error model of a particular target. A hierarchal structure can also be defined when several ErrorModels are integrated to a larger ErrorModel representing a system integrated from several targets. 
 * 
 * There are diffent  subtypes of ErrorModelPrototype specified, allowing to add additional information describe the context of the ErrorModelProtoype.
 * 
 * Semantics:
 * An ErrorModelPrototype represents an occurrence of the ErrorModelType that types it.
 * 
 * Extension:
 * (See ADLFunctionPrototype)
 * <!-- end-model-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link safe10.classmodel.errormodel.errormodeltype.ErrorModelPrototype#getType <em>Type</em>}</li>
 * </ul>
 * </p>
 *
 * @see safe10.classmodel.errormodel.errormodeltype.ErrormodeltypePackage#getErrorModelPrototype()
 * @model annotation="MetaData guid='{3F949A13-7BAD-4939-84C0-290C71CEBBC4}' id='-762025878' EA\040name='ErrorModelPrototype'"
 *        annotation="Stereotype Stereotype='atpPrototype'"
 *        annotation="TaggedValues xml.name='ERROR-MODEL-PROTOTYPE' xml.namePlural='ERROR-MODEL-PROTOTYPES' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public interface ErrorModelPrototype extends Identifiable
{
  /**
   * Returns the value of the '<em><b>Type</b></em>' reference.
   * It is bidirectional and its opposite is '{@link safe10.classmodel.errormodel.errormodeltype.ErrorModelType#getIsOfType <em>Is Of Type</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * The ErrorModelType that types the ErrorModelPrototype.
   * <!-- end-model-doc -->
   * @return the value of the '<em>Type</em>' reference.
   * @see #setType(ErrorModelType)
   * @see safe10.classmodel.errormodel.errormodeltype.ErrormodeltypePackage#getErrorModelPrototype_Type()
   * @see safe10.classmodel.errormodel.errormodeltype.ErrorModelType#getIsOfType
   * @model opposite="isOfType" required="true"
   *        annotation="MetaData guid='{247678FE-F43F-43d3-8225-406E00452B62}' id='-1736563620' EA\040name=''"
   *        annotation="TaggedValues xml.name='TYPE-REF' xml.namePlural='TYPE-REFS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  ErrorModelType getType();

  /**
   * Sets the value of the '{@link safe10.classmodel.errormodel.errormodeltype.ErrorModelPrototype#getType <em>Type</em>}' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Type</em>' reference.
   * @see #getType()
   * @generated
   */
  void setType(ErrorModelType value);

} // ErrorModelPrototype
