/**
 */
package safe10.classmodel.errormodel.errormodeltype;

import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

import safe10.classmodel.commonstructure.toplevel.ToplevelPackage;

import safe10.classmodel.requirements.RequirementsPackage;

/**
 * <!-- begin-user-doc -->
 * The <b>Package</b> for the model.
 * It contains accessors for the meta objects to represent
 * <ul>
 *   <li>each class,</li>
 *   <li>each feature of each class,</li>
 *   <li>each enum,</li>
 *   <li>and each data type</li>
 * </ul>
 * <!-- end-user-doc -->
 * @see safe10.classmodel.errormodel.errormodeltype.ErrormodeltypeFactory
 * @model kind="package"
 *        annotation="MetaData guid='{A0785903-8094-41e5-9816-F0F6B267D1C9}' id='-1419136794' EA\040name='ErrorModelType'"
 *        annotation="TaggedValues xml.name='ERRORMODELTYPE' xml.namePlural='ERRORMODELTYPES' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public interface ErrormodeltypePackage extends EPackage
{
  /**
   * The package name.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNAME = "errormodeltype";

  /**
   * The package namespace URI.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNS_URI = "http://safe-project.eu/1.0.1/safe10/classmodel/errormodel/errormodeltype";

  /**
   * The package namespace name.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNS_PREFIX = "";

  /**
   * The singleton instance of the package.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  ErrormodeltypePackage eINSTANCE = safe10.classmodel.errormodel.errormodeltype.impl.ErrormodeltypePackageImpl.init();

  /**
   * The meta object id for the '{@link safe10.classmodel.errormodel.errormodeltype.impl.ErrorModelPrototypeImpl <em>Error Model Prototype</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.errormodel.errormodeltype.impl.ErrorModelPrototypeImpl
   * @see safe10.classmodel.errormodel.errormodeltype.impl.ErrormodeltypePackageImpl#getErrorModelPrototype()
   * @generated
   */
  int ERROR_MODEL_PROTOTYPE = 9;

  /**
   * The feature id for the '<em><b>Short Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ERROR_MODEL_PROTOTYPE__SHORT_NAME = ToplevelPackage.IDENTIFIABLE__SHORT_NAME;

  /**
   * The feature id for the '<em><b>Category</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ERROR_MODEL_PROTOTYPE__CATEGORY = ToplevelPackage.IDENTIFIABLE__CATEGORY;

  /**
   * The feature id for the '<em><b>Uuid</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ERROR_MODEL_PROTOTYPE__UUID = ToplevelPackage.IDENTIFIABLE__UUID;

  /**
   * The feature id for the '<em><b>Type</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ERROR_MODEL_PROTOTYPE__TYPE = ToplevelPackage.IDENTIFIABLE_FEATURE_COUNT + 0;

  /**
   * The number of structural features of the '<em>Error Model Prototype</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ERROR_MODEL_PROTOTYPE_FEATURE_COUNT = ToplevelPackage.IDENTIFIABLE_FEATURE_COUNT + 1;

  /**
   * The meta object id for the '{@link safe10.classmodel.errormodel.errormodeltype.impl.EMPBswModuleImpl <em>EMP Bsw Module</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.errormodel.errormodeltype.impl.EMPBswModuleImpl
   * @see safe10.classmodel.errormodel.errormodeltype.impl.ErrormodeltypePackageImpl#getEMPBswModule()
   * @generated
   */
  int EMP_BSW_MODULE = 0;

  /**
   * The feature id for the '<em><b>Short Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EMP_BSW_MODULE__SHORT_NAME = ERROR_MODEL_PROTOTYPE__SHORT_NAME;

  /**
   * The feature id for the '<em><b>Category</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EMP_BSW_MODULE__CATEGORY = ERROR_MODEL_PROTOTYPE__CATEGORY;

  /**
   * The feature id for the '<em><b>Uuid</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EMP_BSW_MODULE__UUID = ERROR_MODEL_PROTOTYPE__UUID;

  /**
   * The feature id for the '<em><b>Type</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EMP_BSW_MODULE__TYPE = ERROR_MODEL_PROTOTYPE__TYPE;

  /**
   * The feature id for the '<em><b>Bsw Target</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EMP_BSW_MODULE__BSW_TARGET = ERROR_MODEL_PROTOTYPE_FEATURE_COUNT + 0;

  /**
   * The number of structural features of the '<em>EMP Bsw Module</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EMP_BSW_MODULE_FEATURE_COUNT = ERROR_MODEL_PROTOTYPE_FEATURE_COUNT + 1;

  /**
   * The meta object id for the '{@link safe10.classmodel.errormodel.errormodeltype.impl.EMPFunctionImpl <em>EMP Function</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.errormodel.errormodeltype.impl.EMPFunctionImpl
   * @see safe10.classmodel.errormodel.errormodeltype.impl.ErrormodeltypePackageImpl#getEMPFunction()
   * @generated
   */
  int EMP_FUNCTION = 1;

  /**
   * The feature id for the '<em><b>Short Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EMP_FUNCTION__SHORT_NAME = ERROR_MODEL_PROTOTYPE__SHORT_NAME;

  /**
   * The feature id for the '<em><b>Category</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EMP_FUNCTION__CATEGORY = ERROR_MODEL_PROTOTYPE__CATEGORY;

  /**
   * The feature id for the '<em><b>Uuid</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EMP_FUNCTION__UUID = ERROR_MODEL_PROTOTYPE__UUID;

  /**
   * The feature id for the '<em><b>Type</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EMP_FUNCTION__TYPE = ERROR_MODEL_PROTOTYPE__TYPE;

  /**
   * The feature id for the '<em><b>Function Target</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EMP_FUNCTION__FUNCTION_TARGET = ERROR_MODEL_PROTOTYPE_FEATURE_COUNT + 0;

  /**
   * The number of structural features of the '<em>EMP Function</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EMP_FUNCTION_FEATURE_COUNT = ERROR_MODEL_PROTOTYPE_FEATURE_COUNT + 1;

  /**
   * The meta object id for the '{@link safe10.classmodel.errormodel.errormodeltype.impl.EMPHwComponentImpl <em>EMP Hw Component</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.errormodel.errormodeltype.impl.EMPHwComponentImpl
   * @see safe10.classmodel.errormodel.errormodeltype.impl.ErrormodeltypePackageImpl#getEMPHwComponent()
   * @generated
   */
  int EMP_HW_COMPONENT = 2;

  /**
   * The feature id for the '<em><b>Short Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EMP_HW_COMPONENT__SHORT_NAME = ERROR_MODEL_PROTOTYPE__SHORT_NAME;

  /**
   * The feature id for the '<em><b>Category</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EMP_HW_COMPONENT__CATEGORY = ERROR_MODEL_PROTOTYPE__CATEGORY;

  /**
   * The feature id for the '<em><b>Uuid</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EMP_HW_COMPONENT__UUID = ERROR_MODEL_PROTOTYPE__UUID;

  /**
   * The feature id for the '<em><b>Type</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EMP_HW_COMPONENT__TYPE = ERROR_MODEL_PROTOTYPE__TYPE;

  /**
   * The feature id for the '<em><b>Hw Target</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EMP_HW_COMPONENT__HW_TARGET = ERROR_MODEL_PROTOTYPE_FEATURE_COUNT + 0;

  /**
   * The number of structural features of the '<em>EMP Hw Component</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EMP_HW_COMPONENT_FEATURE_COUNT = ERROR_MODEL_PROTOTYPE_FEATURE_COUNT + 1;

  /**
   * The meta object id for the '{@link safe10.classmodel.errormodel.errormodeltype.impl.EMPReferenceImpl <em>EMP Reference</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.errormodel.errormodeltype.impl.EMPReferenceImpl
   * @see safe10.classmodel.errormodel.errormodeltype.impl.ErrormodeltypePackageImpl#getEMPReference()
   * @generated
   */
  int EMP_REFERENCE = 3;

  /**
   * The number of structural features of the '<em>EMP Reference</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EMP_REFERENCE_FEATURE_COUNT = 0;

  /**
   * The meta object id for the '{@link safe10.classmodel.errormodel.errormodeltype.impl.EMPSwComponentImpl <em>EMP Sw Component</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.errormodel.errormodeltype.impl.EMPSwComponentImpl
   * @see safe10.classmodel.errormodel.errormodeltype.impl.ErrormodeltypePackageImpl#getEMPSwComponent()
   * @generated
   */
  int EMP_SW_COMPONENT = 4;

  /**
   * The feature id for the '<em><b>Short Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EMP_SW_COMPONENT__SHORT_NAME = ERROR_MODEL_PROTOTYPE__SHORT_NAME;

  /**
   * The feature id for the '<em><b>Category</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EMP_SW_COMPONENT__CATEGORY = ERROR_MODEL_PROTOTYPE__CATEGORY;

  /**
   * The feature id for the '<em><b>Uuid</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EMP_SW_COMPONENT__UUID = ERROR_MODEL_PROTOTYPE__UUID;

  /**
   * The feature id for the '<em><b>Type</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EMP_SW_COMPONENT__TYPE = ERROR_MODEL_PROTOTYPE__TYPE;

  /**
   * The feature id for the '<em><b>Swc Target</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EMP_SW_COMPONENT__SWC_TARGET = ERROR_MODEL_PROTOTYPE_FEATURE_COUNT + 0;

  /**
   * The number of structural features of the '<em>EMP Sw Component</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EMP_SW_COMPONENT_FEATURE_COUNT = ERROR_MODEL_PROTOTYPE_FEATURE_COUNT + 1;

  /**
   * The meta object id for the '{@link safe10.classmodel.errormodel.errormodeltype.impl.ErrorModelTypeImpl <em>Error Model Type</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.errormodel.errormodeltype.impl.ErrorModelTypeImpl
   * @see safe10.classmodel.errormodel.errormodeltype.impl.ErrormodeltypePackageImpl#getErrorModelType()
   * @generated
   */
  int ERROR_MODEL_TYPE = 10;

  /**
   * The feature id for the '<em><b>Short Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ERROR_MODEL_TYPE__SHORT_NAME = RequirementsPackage.TRACEABLE_SPECIFICATION__SHORT_NAME;

  /**
   * The feature id for the '<em><b>Category</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ERROR_MODEL_TYPE__CATEGORY = RequirementsPackage.TRACEABLE_SPECIFICATION__CATEGORY;

  /**
   * The feature id for the '<em><b>Uuid</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ERROR_MODEL_TYPE__UUID = RequirementsPackage.TRACEABLE_SPECIFICATION__UUID;

  /**
   * The feature id for the '<em><b>Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ERROR_MODEL_TYPE__NAME = RequirementsPackage.TRACEABLE_SPECIFICATION__NAME;

  /**
   * The feature id for the '<em><b>Formal</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ERROR_MODEL_TYPE__FORMAL = RequirementsPackage.TRACEABLE_SPECIFICATION__FORMAL;

  /**
   * The feature id for the '<em><b>Informal</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ERROR_MODEL_TYPE__INFORMAL = RequirementsPackage.TRACEABLE_SPECIFICATION__INFORMAL;

  /**
   * The feature id for the '<em><b>Stakeholder</b></em>' attribute list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ERROR_MODEL_TYPE__STAKEHOLDER = RequirementsPackage.TRACEABLE_SPECIFICATION__STAKEHOLDER;

  /**
   * The feature id for the '<em><b>Generic Description</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ERROR_MODEL_TYPE__GENERIC_DESCRIPTION = RequirementsPackage.TRACEABLE_SPECIFICATION_FEATURE_COUNT + 0;

  /**
   * The feature id for the '<em><b>Is Of Type</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ERROR_MODEL_TYPE__IS_OF_TYPE = RequirementsPackage.TRACEABLE_SPECIFICATION_FEATURE_COUNT + 1;

  /**
   * The feature id for the '<em><b>Fault Failure Connector</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ERROR_MODEL_TYPE__FAULT_FAILURE_CONNECTOR = RequirementsPackage.TRACEABLE_SPECIFICATION_FEATURE_COUNT + 2;

  /**
   * The feature id for the '<em><b>Part</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ERROR_MODEL_TYPE__PART = RequirementsPackage.TRACEABLE_SPECIFICATION_FEATURE_COUNT + 3;

  /**
   * The feature id for the '<em><b>External Fault</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ERROR_MODEL_TYPE__EXTERNAL_FAULT = RequirementsPackage.TRACEABLE_SPECIFICATION_FEATURE_COUNT + 4;

  /**
   * The feature id for the '<em><b>External Failure</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ERROR_MODEL_TYPE__EXTERNAL_FAILURE = RequirementsPackage.TRACEABLE_SPECIFICATION_FEATURE_COUNT + 5;

  /**
   * The number of structural features of the '<em>Error Model Type</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ERROR_MODEL_TYPE_FEATURE_COUNT = RequirementsPackage.TRACEABLE_SPECIFICATION_FEATURE_COUNT + 6;

  /**
   * The meta object id for the '{@link safe10.classmodel.errormodel.errormodeltype.impl.EMTypeBswModuleImpl <em>EM Type Bsw Module</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.errormodel.errormodeltype.impl.EMTypeBswModuleImpl
   * @see safe10.classmodel.errormodel.errormodeltype.impl.ErrormodeltypePackageImpl#getEMTypeBswModule()
   * @generated
   */
  int EM_TYPE_BSW_MODULE = 5;

  /**
   * The feature id for the '<em><b>Short Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EM_TYPE_BSW_MODULE__SHORT_NAME = ERROR_MODEL_TYPE__SHORT_NAME;

  /**
   * The feature id for the '<em><b>Category</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EM_TYPE_BSW_MODULE__CATEGORY = ERROR_MODEL_TYPE__CATEGORY;

  /**
   * The feature id for the '<em><b>Uuid</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EM_TYPE_BSW_MODULE__UUID = ERROR_MODEL_TYPE__UUID;

  /**
   * The feature id for the '<em><b>Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EM_TYPE_BSW_MODULE__NAME = ERROR_MODEL_TYPE__NAME;

  /**
   * The feature id for the '<em><b>Formal</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EM_TYPE_BSW_MODULE__FORMAL = ERROR_MODEL_TYPE__FORMAL;

  /**
   * The feature id for the '<em><b>Informal</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EM_TYPE_BSW_MODULE__INFORMAL = ERROR_MODEL_TYPE__INFORMAL;

  /**
   * The feature id for the '<em><b>Stakeholder</b></em>' attribute list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EM_TYPE_BSW_MODULE__STAKEHOLDER = ERROR_MODEL_TYPE__STAKEHOLDER;

  /**
   * The feature id for the '<em><b>Generic Description</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EM_TYPE_BSW_MODULE__GENERIC_DESCRIPTION = ERROR_MODEL_TYPE__GENERIC_DESCRIPTION;

  /**
   * The feature id for the '<em><b>Is Of Type</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EM_TYPE_BSW_MODULE__IS_OF_TYPE = ERROR_MODEL_TYPE__IS_OF_TYPE;

  /**
   * The feature id for the '<em><b>Fault Failure Connector</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EM_TYPE_BSW_MODULE__FAULT_FAILURE_CONNECTOR = ERROR_MODEL_TYPE__FAULT_FAILURE_CONNECTOR;

  /**
   * The feature id for the '<em><b>Part</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EM_TYPE_BSW_MODULE__PART = ERROR_MODEL_TYPE__PART;

  /**
   * The feature id for the '<em><b>External Fault</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EM_TYPE_BSW_MODULE__EXTERNAL_FAULT = ERROR_MODEL_TYPE__EXTERNAL_FAULT;

  /**
   * The feature id for the '<em><b>External Failure</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EM_TYPE_BSW_MODULE__EXTERNAL_FAILURE = ERROR_MODEL_TYPE__EXTERNAL_FAILURE;

  /**
   * The feature id for the '<em><b>Scope</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EM_TYPE_BSW_MODULE__SCOPE = ERROR_MODEL_TYPE_FEATURE_COUNT + 0;

  /**
   * The number of structural features of the '<em>EM Type Bsw Module</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EM_TYPE_BSW_MODULE_FEATURE_COUNT = ERROR_MODEL_TYPE_FEATURE_COUNT + 1;

  /**
   * The meta object id for the '{@link safe10.classmodel.errormodel.errormodeltype.impl.EMTypeFunctionImpl <em>EM Type Function</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.errormodel.errormodeltype.impl.EMTypeFunctionImpl
   * @see safe10.classmodel.errormodel.errormodeltype.impl.ErrormodeltypePackageImpl#getEMTypeFunction()
   * @generated
   */
  int EM_TYPE_FUNCTION = 6;

  /**
   * The feature id for the '<em><b>Short Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EM_TYPE_FUNCTION__SHORT_NAME = ERROR_MODEL_TYPE__SHORT_NAME;

  /**
   * The feature id for the '<em><b>Category</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EM_TYPE_FUNCTION__CATEGORY = ERROR_MODEL_TYPE__CATEGORY;

  /**
   * The feature id for the '<em><b>Uuid</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EM_TYPE_FUNCTION__UUID = ERROR_MODEL_TYPE__UUID;

  /**
   * The feature id for the '<em><b>Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EM_TYPE_FUNCTION__NAME = ERROR_MODEL_TYPE__NAME;

  /**
   * The feature id for the '<em><b>Formal</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EM_TYPE_FUNCTION__FORMAL = ERROR_MODEL_TYPE__FORMAL;

  /**
   * The feature id for the '<em><b>Informal</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EM_TYPE_FUNCTION__INFORMAL = ERROR_MODEL_TYPE__INFORMAL;

  /**
   * The feature id for the '<em><b>Stakeholder</b></em>' attribute list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EM_TYPE_FUNCTION__STAKEHOLDER = ERROR_MODEL_TYPE__STAKEHOLDER;

  /**
   * The feature id for the '<em><b>Generic Description</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EM_TYPE_FUNCTION__GENERIC_DESCRIPTION = ERROR_MODEL_TYPE__GENERIC_DESCRIPTION;

  /**
   * The feature id for the '<em><b>Is Of Type</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EM_TYPE_FUNCTION__IS_OF_TYPE = ERROR_MODEL_TYPE__IS_OF_TYPE;

  /**
   * The feature id for the '<em><b>Fault Failure Connector</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EM_TYPE_FUNCTION__FAULT_FAILURE_CONNECTOR = ERROR_MODEL_TYPE__FAULT_FAILURE_CONNECTOR;

  /**
   * The feature id for the '<em><b>Part</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EM_TYPE_FUNCTION__PART = ERROR_MODEL_TYPE__PART;

  /**
   * The feature id for the '<em><b>External Fault</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EM_TYPE_FUNCTION__EXTERNAL_FAULT = ERROR_MODEL_TYPE__EXTERNAL_FAULT;

  /**
   * The feature id for the '<em><b>External Failure</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EM_TYPE_FUNCTION__EXTERNAL_FAILURE = ERROR_MODEL_TYPE__EXTERNAL_FAILURE;

  /**
   * The number of structural features of the '<em>EM Type Function</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EM_TYPE_FUNCTION_FEATURE_COUNT = ERROR_MODEL_TYPE_FEATURE_COUNT + 0;

  /**
   * The meta object id for the '{@link safe10.classmodel.errormodel.errormodeltype.impl.EMTypeHwComponentImpl <em>EM Type Hw Component</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.errormodel.errormodeltype.impl.EMTypeHwComponentImpl
   * @see safe10.classmodel.errormodel.errormodeltype.impl.ErrormodeltypePackageImpl#getEMTypeHwComponent()
   * @generated
   */
  int EM_TYPE_HW_COMPONENT = 7;

  /**
   * The feature id for the '<em><b>Short Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EM_TYPE_HW_COMPONENT__SHORT_NAME = ERROR_MODEL_TYPE__SHORT_NAME;

  /**
   * The feature id for the '<em><b>Category</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EM_TYPE_HW_COMPONENT__CATEGORY = ERROR_MODEL_TYPE__CATEGORY;

  /**
   * The feature id for the '<em><b>Uuid</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EM_TYPE_HW_COMPONENT__UUID = ERROR_MODEL_TYPE__UUID;

  /**
   * The feature id for the '<em><b>Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EM_TYPE_HW_COMPONENT__NAME = ERROR_MODEL_TYPE__NAME;

  /**
   * The feature id for the '<em><b>Formal</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EM_TYPE_HW_COMPONENT__FORMAL = ERROR_MODEL_TYPE__FORMAL;

  /**
   * The feature id for the '<em><b>Informal</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EM_TYPE_HW_COMPONENT__INFORMAL = ERROR_MODEL_TYPE__INFORMAL;

  /**
   * The feature id for the '<em><b>Stakeholder</b></em>' attribute list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EM_TYPE_HW_COMPONENT__STAKEHOLDER = ERROR_MODEL_TYPE__STAKEHOLDER;

  /**
   * The feature id for the '<em><b>Generic Description</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EM_TYPE_HW_COMPONENT__GENERIC_DESCRIPTION = ERROR_MODEL_TYPE__GENERIC_DESCRIPTION;

  /**
   * The feature id for the '<em><b>Is Of Type</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EM_TYPE_HW_COMPONENT__IS_OF_TYPE = ERROR_MODEL_TYPE__IS_OF_TYPE;

  /**
   * The feature id for the '<em><b>Fault Failure Connector</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EM_TYPE_HW_COMPONENT__FAULT_FAILURE_CONNECTOR = ERROR_MODEL_TYPE__FAULT_FAILURE_CONNECTOR;

  /**
   * The feature id for the '<em><b>Part</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EM_TYPE_HW_COMPONENT__PART = ERROR_MODEL_TYPE__PART;

  /**
   * The feature id for the '<em><b>External Fault</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EM_TYPE_HW_COMPONENT__EXTERNAL_FAULT = ERROR_MODEL_TYPE__EXTERNAL_FAULT;

  /**
   * The feature id for the '<em><b>External Failure</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EM_TYPE_HW_COMPONENT__EXTERNAL_FAILURE = ERROR_MODEL_TYPE__EXTERNAL_FAILURE;

  /**
   * The feature id for the '<em><b>Scope</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EM_TYPE_HW_COMPONENT__SCOPE = ERROR_MODEL_TYPE_FEATURE_COUNT + 0;

  /**
   * The number of structural features of the '<em>EM Type Hw Component</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EM_TYPE_HW_COMPONENT_FEATURE_COUNT = ERROR_MODEL_TYPE_FEATURE_COUNT + 1;

  /**
   * The meta object id for the '{@link safe10.classmodel.errormodel.errormodeltype.impl.EMTypeSwComponentImpl <em>EM Type Sw Component</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.errormodel.errormodeltype.impl.EMTypeSwComponentImpl
   * @see safe10.classmodel.errormodel.errormodeltype.impl.ErrormodeltypePackageImpl#getEMTypeSwComponent()
   * @generated
   */
  int EM_TYPE_SW_COMPONENT = 8;

  /**
   * The feature id for the '<em><b>Short Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EM_TYPE_SW_COMPONENT__SHORT_NAME = ERROR_MODEL_TYPE__SHORT_NAME;

  /**
   * The feature id for the '<em><b>Category</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EM_TYPE_SW_COMPONENT__CATEGORY = ERROR_MODEL_TYPE__CATEGORY;

  /**
   * The feature id for the '<em><b>Uuid</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EM_TYPE_SW_COMPONENT__UUID = ERROR_MODEL_TYPE__UUID;

  /**
   * The feature id for the '<em><b>Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EM_TYPE_SW_COMPONENT__NAME = ERROR_MODEL_TYPE__NAME;

  /**
   * The feature id for the '<em><b>Formal</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EM_TYPE_SW_COMPONENT__FORMAL = ERROR_MODEL_TYPE__FORMAL;

  /**
   * The feature id for the '<em><b>Informal</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EM_TYPE_SW_COMPONENT__INFORMAL = ERROR_MODEL_TYPE__INFORMAL;

  /**
   * The feature id for the '<em><b>Stakeholder</b></em>' attribute list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EM_TYPE_SW_COMPONENT__STAKEHOLDER = ERROR_MODEL_TYPE__STAKEHOLDER;

  /**
   * The feature id for the '<em><b>Generic Description</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EM_TYPE_SW_COMPONENT__GENERIC_DESCRIPTION = ERROR_MODEL_TYPE__GENERIC_DESCRIPTION;

  /**
   * The feature id for the '<em><b>Is Of Type</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EM_TYPE_SW_COMPONENT__IS_OF_TYPE = ERROR_MODEL_TYPE__IS_OF_TYPE;

  /**
   * The feature id for the '<em><b>Fault Failure Connector</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EM_TYPE_SW_COMPONENT__FAULT_FAILURE_CONNECTOR = ERROR_MODEL_TYPE__FAULT_FAILURE_CONNECTOR;

  /**
   * The feature id for the '<em><b>Part</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EM_TYPE_SW_COMPONENT__PART = ERROR_MODEL_TYPE__PART;

  /**
   * The feature id for the '<em><b>External Fault</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EM_TYPE_SW_COMPONENT__EXTERNAL_FAULT = ERROR_MODEL_TYPE__EXTERNAL_FAULT;

  /**
   * The feature id for the '<em><b>External Failure</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EM_TYPE_SW_COMPONENT__EXTERNAL_FAILURE = ERROR_MODEL_TYPE__EXTERNAL_FAILURE;

  /**
   * The feature id for the '<em><b>Scope</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EM_TYPE_SW_COMPONENT__SCOPE = ERROR_MODEL_TYPE_FEATURE_COUNT + 0;

  /**
   * The number of structural features of the '<em>EM Type Sw Component</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EM_TYPE_SW_COMPONENT_FEATURE_COUNT = ERROR_MODEL_TYPE_FEATURE_COUNT + 1;

  /**
   * The meta object id for the '{@link safe10.classmodel.errormodel.errormodeltype.impl.FaultFailurePropagationLinkImpl <em>Fault Failure Propagation Link</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.errormodel.errormodeltype.impl.FaultFailurePropagationLinkImpl
   * @see safe10.classmodel.errormodel.errormodeltype.impl.ErrormodeltypePackageImpl#getFaultFailurePropagationLink()
   * @generated
   */
  int FAULT_FAILURE_PROPAGATION_LINK = 11;

  /**
   * The feature id for the '<em><b>Immediate Propagation</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int FAULT_FAILURE_PROPAGATION_LINK__IMMEDIATE_PROPAGATION = 0;

  /**
   * The feature id for the '<em><b>Effect</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int FAULT_FAILURE_PROPAGATION_LINK__EFFECT = 1;

  /**
   * The feature id for the '<em><b>Cause</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int FAULT_FAILURE_PROPAGATION_LINK__CAUSE = 2;

  /**
   * The number of structural features of the '<em>Fault Failure Propagation Link</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int FAULT_FAILURE_PROPAGATION_LINK_FEATURE_COUNT = 3;


  /**
   * Returns the meta object for class '{@link safe10.classmodel.errormodel.errormodeltype.EMPBswModule <em>EMP Bsw Module</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>EMP Bsw Module</em>'.
   * @see safe10.classmodel.errormodel.errormodeltype.EMPBswModule
   * @generated
   */
  EClass getEMPBswModule();

  /**
   * Returns the meta object for the containment reference '{@link safe10.classmodel.errormodel.errormodeltype.EMPBswModule#getBswTarget <em>Bsw Target</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Bsw Target</em>'.
   * @see safe10.classmodel.errormodel.errormodeltype.EMPBswModule#getBswTarget()
   * @see #getEMPBswModule()
   * @generated
   */
  EReference getEMPBswModule_BswTarget();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.errormodel.errormodeltype.EMPFunction <em>EMP Function</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>EMP Function</em>'.
   * @see safe10.classmodel.errormodel.errormodeltype.EMPFunction
   * @generated
   */
  EClass getEMPFunction();

  /**
   * Returns the meta object for the containment reference '{@link safe10.classmodel.errormodel.errormodeltype.EMPFunction#getFunctionTarget <em>Function Target</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Function Target</em>'.
   * @see safe10.classmodel.errormodel.errormodeltype.EMPFunction#getFunctionTarget()
   * @see #getEMPFunction()
   * @generated
   */
  EReference getEMPFunction_FunctionTarget();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.errormodel.errormodeltype.EMPHwComponent <em>EMP Hw Component</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>EMP Hw Component</em>'.
   * @see safe10.classmodel.errormodel.errormodeltype.EMPHwComponent
   * @generated
   */
  EClass getEMPHwComponent();

  /**
   * Returns the meta object for the containment reference list '{@link safe10.classmodel.errormodel.errormodeltype.EMPHwComponent#getHwTarget <em>Hw Target</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference list '<em>Hw Target</em>'.
   * @see safe10.classmodel.errormodel.errormodeltype.EMPHwComponent#getHwTarget()
   * @see #getEMPHwComponent()
   * @generated
   */
  EReference getEMPHwComponent_HwTarget();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.errormodel.errormodeltype.EMPReference <em>EMP Reference</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>EMP Reference</em>'.
   * @see safe10.classmodel.errormodel.errormodeltype.EMPReference
   * @generated
   */
  EClass getEMPReference();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.errormodel.errormodeltype.EMPSwComponent <em>EMP Sw Component</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>EMP Sw Component</em>'.
   * @see safe10.classmodel.errormodel.errormodeltype.EMPSwComponent
   * @generated
   */
  EClass getEMPSwComponent();

  /**
   * Returns the meta object for the containment reference '{@link safe10.classmodel.errormodel.errormodeltype.EMPSwComponent#getSwcTarget <em>Swc Target</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Swc Target</em>'.
   * @see safe10.classmodel.errormodel.errormodeltype.EMPSwComponent#getSwcTarget()
   * @see #getEMPSwComponent()
   * @generated
   */
  EReference getEMPSwComponent_SwcTarget();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.errormodel.errormodeltype.EMTypeBswModule <em>EM Type Bsw Module</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>EM Type Bsw Module</em>'.
   * @see safe10.classmodel.errormodel.errormodeltype.EMTypeBswModule
   * @generated
   */
  EClass getEMTypeBswModule();

  /**
   * Returns the meta object for the containment reference '{@link safe10.classmodel.errormodel.errormodeltype.EMTypeBswModule#getScope <em>Scope</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Scope</em>'.
   * @see safe10.classmodel.errormodel.errormodeltype.EMTypeBswModule#getScope()
   * @see #getEMTypeBswModule()
   * @generated
   */
  EReference getEMTypeBswModule_Scope();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.errormodel.errormodeltype.EMTypeFunction <em>EM Type Function</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>EM Type Function</em>'.
   * @see safe10.classmodel.errormodel.errormodeltype.EMTypeFunction
   * @generated
   */
  EClass getEMTypeFunction();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.errormodel.errormodeltype.EMTypeHwComponent <em>EM Type Hw Component</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>EM Type Hw Component</em>'.
   * @see safe10.classmodel.errormodel.errormodeltype.EMTypeHwComponent
   * @generated
   */
  EClass getEMTypeHwComponent();

  /**
   * Returns the meta object for the containment reference '{@link safe10.classmodel.errormodel.errormodeltype.EMTypeHwComponent#getScope <em>Scope</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Scope</em>'.
   * @see safe10.classmodel.errormodel.errormodeltype.EMTypeHwComponent#getScope()
   * @see #getEMTypeHwComponent()
   * @generated
   */
  EReference getEMTypeHwComponent_Scope();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.errormodel.errormodeltype.EMTypeSwComponent <em>EM Type Sw Component</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>EM Type Sw Component</em>'.
   * @see safe10.classmodel.errormodel.errormodeltype.EMTypeSwComponent
   * @generated
   */
  EClass getEMTypeSwComponent();

  /**
   * Returns the meta object for the containment reference '{@link safe10.classmodel.errormodel.errormodeltype.EMTypeSwComponent#getScope <em>Scope</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Scope</em>'.
   * @see safe10.classmodel.errormodel.errormodeltype.EMTypeSwComponent#getScope()
   * @see #getEMTypeSwComponent()
   * @generated
   */
  EReference getEMTypeSwComponent_Scope();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.errormodel.errormodeltype.ErrorModelPrototype <em>Error Model Prototype</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Error Model Prototype</em>'.
   * @see safe10.classmodel.errormodel.errormodeltype.ErrorModelPrototype
   * @generated
   */
  EClass getErrorModelPrototype();

  /**
   * Returns the meta object for the reference '{@link safe10.classmodel.errormodel.errormodeltype.ErrorModelPrototype#getType <em>Type</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the reference '<em>Type</em>'.
   * @see safe10.classmodel.errormodel.errormodeltype.ErrorModelPrototype#getType()
   * @see #getErrorModelPrototype()
   * @generated
   */
  EReference getErrorModelPrototype_Type();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.errormodel.errormodeltype.ErrorModelType <em>Error Model Type</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Error Model Type</em>'.
   * @see safe10.classmodel.errormodel.errormodeltype.ErrorModelType
   * @generated
   */
  EClass getErrorModelType();

  /**
   * Returns the meta object for the attribute '{@link safe10.classmodel.errormodel.errormodeltype.ErrorModelType#getGenericDescription <em>Generic Description</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Generic Description</em>'.
   * @see safe10.classmodel.errormodel.errormodeltype.ErrorModelType#getGenericDescription()
   * @see #getErrorModelType()
   * @generated
   */
  EAttribute getErrorModelType_GenericDescription();

  /**
   * Returns the meta object for the reference '{@link safe10.classmodel.errormodel.errormodeltype.ErrorModelType#getIsOfType <em>Is Of Type</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the reference '<em>Is Of Type</em>'.
   * @see safe10.classmodel.errormodel.errormodeltype.ErrorModelType#getIsOfType()
   * @see #getErrorModelType()
   * @generated
   */
  EReference getErrorModelType_IsOfType();

  /**
   * Returns the meta object for the containment reference list '{@link safe10.classmodel.errormodel.errormodeltype.ErrorModelType#getFaultFailureConnector <em>Fault Failure Connector</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference list '<em>Fault Failure Connector</em>'.
   * @see safe10.classmodel.errormodel.errormodeltype.ErrorModelType#getFaultFailureConnector()
   * @see #getErrorModelType()
   * @generated
   */
  EReference getErrorModelType_FaultFailureConnector();

  /**
   * Returns the meta object for the containment reference list '{@link safe10.classmodel.errormodel.errormodeltype.ErrorModelType#getPart <em>Part</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference list '<em>Part</em>'.
   * @see safe10.classmodel.errormodel.errormodeltype.ErrorModelType#getPart()
   * @see #getErrorModelType()
   * @generated
   */
  EReference getErrorModelType_Part();

  /**
   * Returns the meta object for the containment reference list '{@link safe10.classmodel.errormodel.errormodeltype.ErrorModelType#getExternalFault <em>External Fault</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference list '<em>External Fault</em>'.
   * @see safe10.classmodel.errormodel.errormodeltype.ErrorModelType#getExternalFault()
   * @see #getErrorModelType()
   * @generated
   */
  EReference getErrorModelType_ExternalFault();

  /**
   * Returns the meta object for the containment reference list '{@link safe10.classmodel.errormodel.errormodeltype.ErrorModelType#getExternalFailure <em>External Failure</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference list '<em>External Failure</em>'.
   * @see safe10.classmodel.errormodel.errormodeltype.ErrorModelType#getExternalFailure()
   * @see #getErrorModelType()
   * @generated
   */
  EReference getErrorModelType_ExternalFailure();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.errormodel.errormodeltype.FaultFailurePropagationLink <em>Fault Failure Propagation Link</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Fault Failure Propagation Link</em>'.
   * @see safe10.classmodel.errormodel.errormodeltype.FaultFailurePropagationLink
   * @generated
   */
  EClass getFaultFailurePropagationLink();

  /**
   * Returns the meta object for the attribute '{@link safe10.classmodel.errormodel.errormodeltype.FaultFailurePropagationLink#getImmediatePropagation <em>Immediate Propagation</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Immediate Propagation</em>'.
   * @see safe10.classmodel.errormodel.errormodeltype.FaultFailurePropagationLink#getImmediatePropagation()
   * @see #getFaultFailurePropagationLink()
   * @generated
   */
  EAttribute getFaultFailurePropagationLink_ImmediatePropagation();

  /**
   * Returns the meta object for the containment reference '{@link safe10.classmodel.errormodel.errormodeltype.FaultFailurePropagationLink#getEffect <em>Effect</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Effect</em>'.
   * @see safe10.classmodel.errormodel.errormodeltype.FaultFailurePropagationLink#getEffect()
   * @see #getFaultFailurePropagationLink()
   * @generated
   */
  EReference getFaultFailurePropagationLink_Effect();

  /**
   * Returns the meta object for the containment reference '{@link safe10.classmodel.errormodel.errormodeltype.FaultFailurePropagationLink#getCause <em>Cause</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Cause</em>'.
   * @see safe10.classmodel.errormodel.errormodeltype.FaultFailurePropagationLink#getCause()
   * @see #getFaultFailurePropagationLink()
   * @generated
   */
  EReference getFaultFailurePropagationLink_Cause();

  /**
   * Returns the factory that creates the instances of the model.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the factory that creates the instances of the model.
   * @generated
   */
  ErrormodeltypeFactory getErrormodeltypeFactory();

  /**
   * <!-- begin-user-doc -->
   * Defines literals for the meta objects that represent
   * <ul>
   *   <li>each class,</li>
   *   <li>each feature of each class,</li>
   *   <li>each enum,</li>
   *   <li>and each data type</li>
   * </ul>
   * <!-- end-user-doc -->
   * @generated
   */
  interface Literals
  {
    /**
     * The meta object literal for the '{@link safe10.classmodel.errormodel.errormodeltype.impl.EMPBswModuleImpl <em>EMP Bsw Module</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.errormodel.errormodeltype.impl.EMPBswModuleImpl
     * @see safe10.classmodel.errormodel.errormodeltype.impl.ErrormodeltypePackageImpl#getEMPBswModule()
     * @generated
     */
    EClass EMP_BSW_MODULE = eINSTANCE.getEMPBswModule();

    /**
     * The meta object literal for the '<em><b>Bsw Target</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference EMP_BSW_MODULE__BSW_TARGET = eINSTANCE.getEMPBswModule_BswTarget();

    /**
     * The meta object literal for the '{@link safe10.classmodel.errormodel.errormodeltype.impl.EMPFunctionImpl <em>EMP Function</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.errormodel.errormodeltype.impl.EMPFunctionImpl
     * @see safe10.classmodel.errormodel.errormodeltype.impl.ErrormodeltypePackageImpl#getEMPFunction()
     * @generated
     */
    EClass EMP_FUNCTION = eINSTANCE.getEMPFunction();

    /**
     * The meta object literal for the '<em><b>Function Target</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference EMP_FUNCTION__FUNCTION_TARGET = eINSTANCE.getEMPFunction_FunctionTarget();

    /**
     * The meta object literal for the '{@link safe10.classmodel.errormodel.errormodeltype.impl.EMPHwComponentImpl <em>EMP Hw Component</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.errormodel.errormodeltype.impl.EMPHwComponentImpl
     * @see safe10.classmodel.errormodel.errormodeltype.impl.ErrormodeltypePackageImpl#getEMPHwComponent()
     * @generated
     */
    EClass EMP_HW_COMPONENT = eINSTANCE.getEMPHwComponent();

    /**
     * The meta object literal for the '<em><b>Hw Target</b></em>' containment reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference EMP_HW_COMPONENT__HW_TARGET = eINSTANCE.getEMPHwComponent_HwTarget();

    /**
     * The meta object literal for the '{@link safe10.classmodel.errormodel.errormodeltype.impl.EMPReferenceImpl <em>EMP Reference</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.errormodel.errormodeltype.impl.EMPReferenceImpl
     * @see safe10.classmodel.errormodel.errormodeltype.impl.ErrormodeltypePackageImpl#getEMPReference()
     * @generated
     */
    EClass EMP_REFERENCE = eINSTANCE.getEMPReference();

    /**
     * The meta object literal for the '{@link safe10.classmodel.errormodel.errormodeltype.impl.EMPSwComponentImpl <em>EMP Sw Component</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.errormodel.errormodeltype.impl.EMPSwComponentImpl
     * @see safe10.classmodel.errormodel.errormodeltype.impl.ErrormodeltypePackageImpl#getEMPSwComponent()
     * @generated
     */
    EClass EMP_SW_COMPONENT = eINSTANCE.getEMPSwComponent();

    /**
     * The meta object literal for the '<em><b>Swc Target</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference EMP_SW_COMPONENT__SWC_TARGET = eINSTANCE.getEMPSwComponent_SwcTarget();

    /**
     * The meta object literal for the '{@link safe10.classmodel.errormodel.errormodeltype.impl.EMTypeBswModuleImpl <em>EM Type Bsw Module</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.errormodel.errormodeltype.impl.EMTypeBswModuleImpl
     * @see safe10.classmodel.errormodel.errormodeltype.impl.ErrormodeltypePackageImpl#getEMTypeBswModule()
     * @generated
     */
    EClass EM_TYPE_BSW_MODULE = eINSTANCE.getEMTypeBswModule();

    /**
     * The meta object literal for the '<em><b>Scope</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference EM_TYPE_BSW_MODULE__SCOPE = eINSTANCE.getEMTypeBswModule_Scope();

    /**
     * The meta object literal for the '{@link safe10.classmodel.errormodel.errormodeltype.impl.EMTypeFunctionImpl <em>EM Type Function</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.errormodel.errormodeltype.impl.EMTypeFunctionImpl
     * @see safe10.classmodel.errormodel.errormodeltype.impl.ErrormodeltypePackageImpl#getEMTypeFunction()
     * @generated
     */
    EClass EM_TYPE_FUNCTION = eINSTANCE.getEMTypeFunction();

    /**
     * The meta object literal for the '{@link safe10.classmodel.errormodel.errormodeltype.impl.EMTypeHwComponentImpl <em>EM Type Hw Component</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.errormodel.errormodeltype.impl.EMTypeHwComponentImpl
     * @see safe10.classmodel.errormodel.errormodeltype.impl.ErrormodeltypePackageImpl#getEMTypeHwComponent()
     * @generated
     */
    EClass EM_TYPE_HW_COMPONENT = eINSTANCE.getEMTypeHwComponent();

    /**
     * The meta object literal for the '<em><b>Scope</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference EM_TYPE_HW_COMPONENT__SCOPE = eINSTANCE.getEMTypeHwComponent_Scope();

    /**
     * The meta object literal for the '{@link safe10.classmodel.errormodel.errormodeltype.impl.EMTypeSwComponentImpl <em>EM Type Sw Component</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.errormodel.errormodeltype.impl.EMTypeSwComponentImpl
     * @see safe10.classmodel.errormodel.errormodeltype.impl.ErrormodeltypePackageImpl#getEMTypeSwComponent()
     * @generated
     */
    EClass EM_TYPE_SW_COMPONENT = eINSTANCE.getEMTypeSwComponent();

    /**
     * The meta object literal for the '<em><b>Scope</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference EM_TYPE_SW_COMPONENT__SCOPE = eINSTANCE.getEMTypeSwComponent_Scope();

    /**
     * The meta object literal for the '{@link safe10.classmodel.errormodel.errormodeltype.impl.ErrorModelPrototypeImpl <em>Error Model Prototype</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.errormodel.errormodeltype.impl.ErrorModelPrototypeImpl
     * @see safe10.classmodel.errormodel.errormodeltype.impl.ErrormodeltypePackageImpl#getErrorModelPrototype()
     * @generated
     */
    EClass ERROR_MODEL_PROTOTYPE = eINSTANCE.getErrorModelPrototype();

    /**
     * The meta object literal for the '<em><b>Type</b></em>' reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference ERROR_MODEL_PROTOTYPE__TYPE = eINSTANCE.getErrorModelPrototype_Type();

    /**
     * The meta object literal for the '{@link safe10.classmodel.errormodel.errormodeltype.impl.ErrorModelTypeImpl <em>Error Model Type</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.errormodel.errormodeltype.impl.ErrorModelTypeImpl
     * @see safe10.classmodel.errormodel.errormodeltype.impl.ErrormodeltypePackageImpl#getErrorModelType()
     * @generated
     */
    EClass ERROR_MODEL_TYPE = eINSTANCE.getErrorModelType();

    /**
     * The meta object literal for the '<em><b>Generic Description</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute ERROR_MODEL_TYPE__GENERIC_DESCRIPTION = eINSTANCE.getErrorModelType_GenericDescription();

    /**
     * The meta object literal for the '<em><b>Is Of Type</b></em>' reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference ERROR_MODEL_TYPE__IS_OF_TYPE = eINSTANCE.getErrorModelType_IsOfType();

    /**
     * The meta object literal for the '<em><b>Fault Failure Connector</b></em>' containment reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference ERROR_MODEL_TYPE__FAULT_FAILURE_CONNECTOR = eINSTANCE.getErrorModelType_FaultFailureConnector();

    /**
     * The meta object literal for the '<em><b>Part</b></em>' containment reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference ERROR_MODEL_TYPE__PART = eINSTANCE.getErrorModelType_Part();

    /**
     * The meta object literal for the '<em><b>External Fault</b></em>' containment reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference ERROR_MODEL_TYPE__EXTERNAL_FAULT = eINSTANCE.getErrorModelType_ExternalFault();

    /**
     * The meta object literal for the '<em><b>External Failure</b></em>' containment reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference ERROR_MODEL_TYPE__EXTERNAL_FAILURE = eINSTANCE.getErrorModelType_ExternalFailure();

    /**
     * The meta object literal for the '{@link safe10.classmodel.errormodel.errormodeltype.impl.FaultFailurePropagationLinkImpl <em>Fault Failure Propagation Link</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.errormodel.errormodeltype.impl.FaultFailurePropagationLinkImpl
     * @see safe10.classmodel.errormodel.errormodeltype.impl.ErrormodeltypePackageImpl#getFaultFailurePropagationLink()
     * @generated
     */
    EClass FAULT_FAILURE_PROPAGATION_LINK = eINSTANCE.getFaultFailurePropagationLink();

    /**
     * The meta object literal for the '<em><b>Immediate Propagation</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute FAULT_FAILURE_PROPAGATION_LINK__IMMEDIATE_PROPAGATION = eINSTANCE.getFaultFailurePropagationLink_ImmediatePropagation();

    /**
     * The meta object literal for the '<em><b>Effect</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference FAULT_FAILURE_PROPAGATION_LINK__EFFECT = eINSTANCE.getFaultFailurePropagationLink_Effect();

    /**
     * The meta object literal for the '<em><b>Cause</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference FAULT_FAILURE_PROPAGATION_LINK__CAUSE = eINSTANCE.getFaultFailurePropagationLink_Cause();

  }

} //ErrormodeltypePackage
