/**
 */
package safe10.classmodel.errormodel.errormodeltype.util;

import org.eclipse.emf.common.notify.Adapter;
import org.eclipse.emf.common.notify.Notifier;

import org.eclipse.emf.common.notify.impl.AdapterFactoryImpl;

import org.eclipse.emf.ecore.EObject;

import safe10.classmodel.commonstructure.toplevel.Identifiable;
import safe10.classmodel.commonstructure.toplevel.PackageableElement;
import safe10.classmodel.commonstructure.toplevel.Referrable;
import safe10.classmodel.commonstructure.toplevel.SAFEElement;

import safe10.classmodel.errormodel.errormodeltype.*;

import safe10.classmodel.requirements.TraceableSpecification;

/**
 * <!-- begin-user-doc -->
 * The <b>Adapter Factory</b> for the model.
 * It provides an adapter <code>createXXX</code> method for each class of the model.
 * <!-- end-user-doc -->
 * @see safe10.classmodel.errormodel.errormodeltype.ErrormodeltypePackage
 * @generated
 */
public class ErrormodeltypeAdapterFactory extends AdapterFactoryImpl
{
  /**
   * The cached model package.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected static ErrormodeltypePackage modelPackage;

  /**
   * Creates an instance of the adapter factory.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public ErrormodeltypeAdapterFactory()
  {
    if (modelPackage == null)
    {
      modelPackage = ErrormodeltypePackage.eINSTANCE;
    }
  }

  /**
   * Returns whether this factory is applicable for the type of the object.
   * <!-- begin-user-doc -->
   * This implementation returns <code>true</code> if the object is either the model's package or is an instance object of the model.
   * <!-- end-user-doc -->
   * @return whether this factory is applicable for the type of the object.
   * @generated
   */
  @Override
  public boolean isFactoryForType(Object object)
  {
    if (object == modelPackage)
    {
      return true;
    }
    if (object instanceof EObject)
    {
      return ((EObject)object).eClass().getEPackage() == modelPackage;
    }
    return false;
  }

  /**
   * The switch that delegates to the <code>createXXX</code> methods.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected ErrormodeltypeSwitch<Adapter> modelSwitch =
    new ErrormodeltypeSwitch<Adapter>()
    {
      @Override
      public Adapter caseEMPBswModule(EMPBswModule object)
      {
        return createEMPBswModuleAdapter();
      }
      @Override
      public Adapter caseEMPFunction(EMPFunction object)
      {
        return createEMPFunctionAdapter();
      }
      @Override
      public Adapter caseEMPHwComponent(EMPHwComponent object)
      {
        return createEMPHwComponentAdapter();
      }
      @Override
      public Adapter caseEMPReference(EMPReference object)
      {
        return createEMPReferenceAdapter();
      }
      @Override
      public Adapter caseEMPSwComponent(EMPSwComponent object)
      {
        return createEMPSwComponentAdapter();
      }
      @Override
      public Adapter caseEMTypeBswModule(EMTypeBswModule object)
      {
        return createEMTypeBswModuleAdapter();
      }
      @Override
      public Adapter caseEMTypeFunction(EMTypeFunction object)
      {
        return createEMTypeFunctionAdapter();
      }
      @Override
      public Adapter caseEMTypeHwComponent(EMTypeHwComponent object)
      {
        return createEMTypeHwComponentAdapter();
      }
      @Override
      public Adapter caseEMTypeSwComponent(EMTypeSwComponent object)
      {
        return createEMTypeSwComponentAdapter();
      }
      @Override
      public Adapter caseErrorModelPrototype(ErrorModelPrototype object)
      {
        return createErrorModelPrototypeAdapter();
      }
      @Override
      public Adapter caseErrorModelType(ErrorModelType object)
      {
        return createErrorModelTypeAdapter();
      }
      @Override
      public Adapter caseFaultFailurePropagationLink(FaultFailurePropagationLink object)
      {
        return createFaultFailurePropagationLinkAdapter();
      }
      @Override
      public Adapter caseReferrable(Referrable object)
      {
        return createReferrableAdapter();
      }
      @Override
      public Adapter caseIdentifiable(Identifiable object)
      {
        return createIdentifiableAdapter();
      }
      @Override
      public Adapter casePackageableElement(PackageableElement object)
      {
        return createPackageableElementAdapter();
      }
      @Override
      public Adapter caseSAFEElement(SAFEElement object)
      {
        return createSAFEElementAdapter();
      }
      @Override
      public Adapter caseTraceableSpecification(TraceableSpecification object)
      {
        return createTraceableSpecificationAdapter();
      }
      @Override
      public Adapter defaultCase(EObject object)
      {
        return createEObjectAdapter();
      }
    };

  /**
   * Creates an adapter for the <code>target</code>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param target the object to adapt.
   * @return the adapter for the <code>target</code>.
   * @generated
   */
  @Override
  public Adapter createAdapter(Notifier target)
  {
    return modelSwitch.doSwitch((EObject)target);
  }


  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.errormodel.errormodeltype.EMPBswModule <em>EMP Bsw Module</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.errormodel.errormodeltype.EMPBswModule
   * @generated
   */
  public Adapter createEMPBswModuleAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.errormodel.errormodeltype.EMPFunction <em>EMP Function</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.errormodel.errormodeltype.EMPFunction
   * @generated
   */
  public Adapter createEMPFunctionAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.errormodel.errormodeltype.EMPHwComponent <em>EMP Hw Component</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.errormodel.errormodeltype.EMPHwComponent
   * @generated
   */
  public Adapter createEMPHwComponentAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.errormodel.errormodeltype.EMPReference <em>EMP Reference</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.errormodel.errormodeltype.EMPReference
   * @generated
   */
  public Adapter createEMPReferenceAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.errormodel.errormodeltype.EMPSwComponent <em>EMP Sw Component</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.errormodel.errormodeltype.EMPSwComponent
   * @generated
   */
  public Adapter createEMPSwComponentAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.errormodel.errormodeltype.EMTypeBswModule <em>EM Type Bsw Module</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.errormodel.errormodeltype.EMTypeBswModule
   * @generated
   */
  public Adapter createEMTypeBswModuleAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.errormodel.errormodeltype.EMTypeFunction <em>EM Type Function</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.errormodel.errormodeltype.EMTypeFunction
   * @generated
   */
  public Adapter createEMTypeFunctionAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.errormodel.errormodeltype.EMTypeHwComponent <em>EM Type Hw Component</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.errormodel.errormodeltype.EMTypeHwComponent
   * @generated
   */
  public Adapter createEMTypeHwComponentAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.errormodel.errormodeltype.EMTypeSwComponent <em>EM Type Sw Component</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.errormodel.errormodeltype.EMTypeSwComponent
   * @generated
   */
  public Adapter createEMTypeSwComponentAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.errormodel.errormodeltype.ErrorModelPrototype <em>Error Model Prototype</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.errormodel.errormodeltype.ErrorModelPrototype
   * @generated
   */
  public Adapter createErrorModelPrototypeAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.errormodel.errormodeltype.ErrorModelType <em>Error Model Type</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.errormodel.errormodeltype.ErrorModelType
   * @generated
   */
  public Adapter createErrorModelTypeAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.errormodel.errormodeltype.FaultFailurePropagationLink <em>Fault Failure Propagation Link</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.errormodel.errormodeltype.FaultFailurePropagationLink
   * @generated
   */
  public Adapter createFaultFailurePropagationLinkAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.commonstructure.toplevel.Referrable <em>Referrable</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.commonstructure.toplevel.Referrable
   * @generated
   */
  public Adapter createReferrableAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.commonstructure.toplevel.Identifiable <em>Identifiable</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.commonstructure.toplevel.Identifiable
   * @generated
   */
  public Adapter createIdentifiableAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.commonstructure.toplevel.PackageableElement <em>Packageable Element</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.commonstructure.toplevel.PackageableElement
   * @generated
   */
  public Adapter createPackageableElementAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.commonstructure.toplevel.SAFEElement <em>SAFE Element</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.commonstructure.toplevel.SAFEElement
   * @generated
   */
  public Adapter createSAFEElementAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.requirements.TraceableSpecification <em>Traceable Specification</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.requirements.TraceableSpecification
   * @generated
   */
  public Adapter createTraceableSpecificationAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for the default case.
   * <!-- begin-user-doc -->
   * This default implementation returns null.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @generated
   */
  public Adapter createEObjectAdapter()
  {
    return null;
  }

} //ErrormodeltypeAdapterFactory
