/**
 */
package safe10.classmodel.errormodel.errormodeltype.util;

import java.util.List;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EObject;

import safe10.classmodel.commonstructure.toplevel.Identifiable;
import safe10.classmodel.commonstructure.toplevel.PackageableElement;
import safe10.classmodel.commonstructure.toplevel.Referrable;
import safe10.classmodel.commonstructure.toplevel.SAFEElement;

import safe10.classmodel.errormodel.errormodeltype.*;

import safe10.classmodel.requirements.TraceableSpecification;

/**
 * <!-- begin-user-doc -->
 * The <b>Switch</b> for the model's inheritance hierarchy.
 * It supports the call {@link #doSwitch(EObject) doSwitch(object)}
 * to invoke the <code>caseXXX</code> method for each class of the model,
 * starting with the actual class of the object
 * and proceeding up the inheritance hierarchy
 * until a non-null result is returned,
 * which is the result of the switch.
 * <!-- end-user-doc -->
 * @see safe10.classmodel.errormodel.errormodeltype.ErrormodeltypePackage
 * @generated
 */
public class ErrormodeltypeSwitch<T>
{
  /**
   * The cached model package
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected static ErrormodeltypePackage modelPackage;

  /**
   * Creates an instance of the switch.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public ErrormodeltypeSwitch()
  {
    if (modelPackage == null)
    {
      modelPackage = ErrormodeltypePackage.eINSTANCE;
    }
  }

  /**
   * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the first non-null result returned by a <code>caseXXX</code> call.
   * @generated
   */
  public T doSwitch(EObject theEObject)
  {
    return doSwitch(theEObject.eClass(), theEObject);
  }

  /**
   * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the first non-null result returned by a <code>caseXXX</code> call.
   * @generated
   */
  protected T doSwitch(EClass theEClass, EObject theEObject)
  {
    if (theEClass.eContainer() == modelPackage)
    {
      return doSwitch(theEClass.getClassifierID(), theEObject);
    }
    else
    {
      List<EClass> eSuperTypes = theEClass.getESuperTypes();
      return
        eSuperTypes.isEmpty() ?
          defaultCase(theEObject) :
          doSwitch(eSuperTypes.get(0), theEObject);
    }
  }

  /**
   * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the first non-null result returned by a <code>caseXXX</code> call.
   * @generated
   */
  protected T doSwitch(int classifierID, EObject theEObject)
  {
    switch (classifierID)
    {
      case ErrormodeltypePackage.EMP_BSW_MODULE:
      {
        EMPBswModule empBswModule = (EMPBswModule)theEObject;
        T result = caseEMPBswModule(empBswModule);
        if (result == null) result = caseErrorModelPrototype(empBswModule);
        if (result == null) result = caseIdentifiable(empBswModule);
        if (result == null) result = caseReferrable(empBswModule);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case ErrormodeltypePackage.EMP_FUNCTION:
      {
        EMPFunction empFunction = (EMPFunction)theEObject;
        T result = caseEMPFunction(empFunction);
        if (result == null) result = caseErrorModelPrototype(empFunction);
        if (result == null) result = caseIdentifiable(empFunction);
        if (result == null) result = caseReferrable(empFunction);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case ErrormodeltypePackage.EMP_HW_COMPONENT:
      {
        EMPHwComponent empHwComponent = (EMPHwComponent)theEObject;
        T result = caseEMPHwComponent(empHwComponent);
        if (result == null) result = caseErrorModelPrototype(empHwComponent);
        if (result == null) result = caseIdentifiable(empHwComponent);
        if (result == null) result = caseReferrable(empHwComponent);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case ErrormodeltypePackage.EMP_REFERENCE:
      {
        EMPReference empReference = (EMPReference)theEObject;
        T result = caseEMPReference(empReference);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case ErrormodeltypePackage.EMP_SW_COMPONENT:
      {
        EMPSwComponent empSwComponent = (EMPSwComponent)theEObject;
        T result = caseEMPSwComponent(empSwComponent);
        if (result == null) result = caseErrorModelPrototype(empSwComponent);
        if (result == null) result = caseIdentifiable(empSwComponent);
        if (result == null) result = caseReferrable(empSwComponent);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case ErrormodeltypePackage.EM_TYPE_BSW_MODULE:
      {
        EMTypeBswModule emTypeBswModule = (EMTypeBswModule)theEObject;
        T result = caseEMTypeBswModule(emTypeBswModule);
        if (result == null) result = caseErrorModelType(emTypeBswModule);
        if (result == null) result = caseTraceableSpecification(emTypeBswModule);
        if (result == null) result = caseSAFEElement(emTypeBswModule);
        if (result == null) result = casePackageableElement(emTypeBswModule);
        if (result == null) result = caseIdentifiable(emTypeBswModule);
        if (result == null) result = caseReferrable(emTypeBswModule);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case ErrormodeltypePackage.EM_TYPE_FUNCTION:
      {
        EMTypeFunction emTypeFunction = (EMTypeFunction)theEObject;
        T result = caseEMTypeFunction(emTypeFunction);
        if (result == null) result = caseErrorModelType(emTypeFunction);
        if (result == null) result = caseTraceableSpecification(emTypeFunction);
        if (result == null) result = caseSAFEElement(emTypeFunction);
        if (result == null) result = casePackageableElement(emTypeFunction);
        if (result == null) result = caseIdentifiable(emTypeFunction);
        if (result == null) result = caseReferrable(emTypeFunction);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case ErrormodeltypePackage.EM_TYPE_HW_COMPONENT:
      {
        EMTypeHwComponent emTypeHwComponent = (EMTypeHwComponent)theEObject;
        T result = caseEMTypeHwComponent(emTypeHwComponent);
        if (result == null) result = caseErrorModelType(emTypeHwComponent);
        if (result == null) result = caseTraceableSpecification(emTypeHwComponent);
        if (result == null) result = caseSAFEElement(emTypeHwComponent);
        if (result == null) result = casePackageableElement(emTypeHwComponent);
        if (result == null) result = caseIdentifiable(emTypeHwComponent);
        if (result == null) result = caseReferrable(emTypeHwComponent);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case ErrormodeltypePackage.EM_TYPE_SW_COMPONENT:
      {
        EMTypeSwComponent emTypeSwComponent = (EMTypeSwComponent)theEObject;
        T result = caseEMTypeSwComponent(emTypeSwComponent);
        if (result == null) result = caseErrorModelType(emTypeSwComponent);
        if (result == null) result = caseTraceableSpecification(emTypeSwComponent);
        if (result == null) result = caseSAFEElement(emTypeSwComponent);
        if (result == null) result = casePackageableElement(emTypeSwComponent);
        if (result == null) result = caseIdentifiable(emTypeSwComponent);
        if (result == null) result = caseReferrable(emTypeSwComponent);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case ErrormodeltypePackage.ERROR_MODEL_PROTOTYPE:
      {
        ErrorModelPrototype errorModelPrototype = (ErrorModelPrototype)theEObject;
        T result = caseErrorModelPrototype(errorModelPrototype);
        if (result == null) result = caseIdentifiable(errorModelPrototype);
        if (result == null) result = caseReferrable(errorModelPrototype);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case ErrormodeltypePackage.ERROR_MODEL_TYPE:
      {
        ErrorModelType errorModelType = (ErrorModelType)theEObject;
        T result = caseErrorModelType(errorModelType);
        if (result == null) result = caseTraceableSpecification(errorModelType);
        if (result == null) result = caseSAFEElement(errorModelType);
        if (result == null) result = casePackageableElement(errorModelType);
        if (result == null) result = caseIdentifiable(errorModelType);
        if (result == null) result = caseReferrable(errorModelType);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case ErrormodeltypePackage.FAULT_FAILURE_PROPAGATION_LINK:
      {
        FaultFailurePropagationLink faultFailurePropagationLink = (FaultFailurePropagationLink)theEObject;
        T result = caseFaultFailurePropagationLink(faultFailurePropagationLink);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      default: return defaultCase(theEObject);
    }
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>EMP Bsw Module</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>EMP Bsw Module</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseEMPBswModule(EMPBswModule object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>EMP Function</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>EMP Function</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseEMPFunction(EMPFunction object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>EMP Hw Component</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>EMP Hw Component</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseEMPHwComponent(EMPHwComponent object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>EMP Reference</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>EMP Reference</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseEMPReference(EMPReference object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>EMP Sw Component</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>EMP Sw Component</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseEMPSwComponent(EMPSwComponent object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>EM Type Bsw Module</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>EM Type Bsw Module</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseEMTypeBswModule(EMTypeBswModule object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>EM Type Function</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>EM Type Function</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseEMTypeFunction(EMTypeFunction object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>EM Type Hw Component</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>EM Type Hw Component</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseEMTypeHwComponent(EMTypeHwComponent object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>EM Type Sw Component</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>EM Type Sw Component</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseEMTypeSwComponent(EMTypeSwComponent object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Error Model Prototype</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Error Model Prototype</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseErrorModelPrototype(ErrorModelPrototype object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Error Model Type</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Error Model Type</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseErrorModelType(ErrorModelType object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Fault Failure Propagation Link</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Fault Failure Propagation Link</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseFaultFailurePropagationLink(FaultFailurePropagationLink object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Referrable</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Referrable</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseReferrable(Referrable object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Identifiable</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Identifiable</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseIdentifiable(Identifiable object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Packageable Element</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Packageable Element</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T casePackageableElement(PackageableElement object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>SAFE Element</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>SAFE Element</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseSAFEElement(SAFEElement object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Traceable Specification</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Traceable Specification</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseTraceableSpecification(TraceableSpecification object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>EObject</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch, but this is the last case anyway.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>EObject</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject)
   * @generated
   */
  public T defaultCase(EObject object)
  {
    return null;
  }

} //ErrormodeltypeSwitch
