/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package safe10.classmodel.errormodel.malfunction;

import safe10.classmodel.commonstructure.toplevel.Identifiable;

import safe10.classmodel.requirements.AllocationTarget;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Type</b></em>'.
 * <!-- end-user-doc -->
 *
 * <!-- begin-model-doc -->
 * A MalfunctionType describes how a malfunction becomes visible. Currently, it can either be a generic description of a malfunction or an enumeration of different "appearance" possibilities.
 * <!-- end-model-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link safe10.classmodel.errormodel.malfunction.MalfunctionType#getIsOfType <em>Is Of Type</em>}</li>
 * </ul>
 * </p>
 *
 * @see safe10.classmodel.errormodel.malfunction.MalfunctionPackage#getMalfunctionType()
 * @model abstract="true"
 *        annotation="MetaData guid='{AD177EAC-D3F1-4f0c-9F55-C2427674B4A4}' id='-586920297' EA\040name='MalfunctionType'"
 *        annotation="Stereotype Stereotype='atpType'"
 *        annotation="TaggedValues xml.name='MALFUNCTION-TYPE' xml.namePlural='MALFUNCTION-TYPES' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public interface MalfunctionType extends Identifiable, AllocationTarget
{
  /**
   * Returns the value of the '<em><b>Is Of Type</b></em>' reference.
   * It is bidirectional and its opposite is '{@link safe10.classmodel.errormodel.malfunction.MalfunctionPrototype#getMalfunction <em>Malfunction</em>}'.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Is Of Type</em>' reference isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Is Of Type</em>' reference.
   * @see #setIsOfType(MalfunctionPrototype)
   * @see safe10.classmodel.errormodel.malfunction.MalfunctionPackage#getMalfunctionType_IsOfType()
   * @see safe10.classmodel.errormodel.malfunction.MalfunctionPrototype#getMalfunction
   * @model opposite="malfunction"
   *        annotation="TaggedValues xml.name='IS-OF-TYPE-REF' xml.namePlural='IS-OF-TYPE-REFS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  MalfunctionPrototype getIsOfType();

  /**
   * Sets the value of the '{@link safe10.classmodel.errormodel.malfunction.MalfunctionType#getIsOfType <em>Is Of Type</em>}' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Is Of Type</em>' reference.
   * @see #getIsOfType()
   * @generated
   */
  void setIsOfType(MalfunctionPrototype value);

} // MalfunctionType
