/**
 */
package safe10.classmodel.errormodel.malfunction.util;

import org.eclipse.emf.common.notify.Adapter;
import org.eclipse.emf.common.notify.Notifier;

import org.eclipse.emf.common.notify.impl.AdapterFactoryImpl;

import org.eclipse.emf.ecore.EObject;

import safe10.classmodel.commonstructure.toplevel.Identifiable;
import safe10.classmodel.commonstructure.toplevel.Referrable;

import safe10.classmodel.errormodel.malfunction.*;

import safe10.classmodel.requirements.AllocationTarget;

/**
 * <!-- begin-user-doc -->
 * The <b>Adapter Factory</b> for the model.
 * It provides an adapter <code>createXXX</code> method for each class of the model.
 * <!-- end-user-doc -->
 * @see safe10.classmodel.errormodel.malfunction.MalfunctionPackage
 * @generated
 */
public class MalfunctionAdapterFactory extends AdapterFactoryImpl
{
  /**
   * The cached model package.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected static MalfunctionPackage modelPackage;

  /**
   * Creates an instance of the adapter factory.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public MalfunctionAdapterFactory()
  {
    if (modelPackage == null)
    {
      modelPackage = MalfunctionPackage.eINSTANCE;
    }
  }

  /**
   * Returns whether this factory is applicable for the type of the object.
   * <!-- begin-user-doc -->
   * This implementation returns <code>true</code> if the object is either the model's package or is an instance object of the model.
   * <!-- end-user-doc -->
   * @return whether this factory is applicable for the type of the object.
   * @generated
   */
  @Override
  public boolean isFactoryForType(Object object)
  {
    if (object == modelPackage)
    {
      return true;
    }
    if (object instanceof EObject)
    {
      return ((EObject)object).eClass().getEPackage() == modelPackage;
    }
    return false;
  }

  /**
   * The switch that delegates to the <code>createXXX</code> methods.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected MalfunctionSwitch<Adapter> modelSwitch =
    new MalfunctionSwitch<Adapter>()
    {
      @Override
      public Adapter caseMalfunctionPrototype(MalfunctionPrototype object)
      {
        return createMalfunctionPrototypeAdapter();
      }
      @Override
      public Adapter caseMalfunctionType(MalfunctionType object)
      {
        return createMalfunctionTypeAdapter();
      }
      @Override
      public Adapter caseMFPBswPort(MFPBswPort object)
      {
        return createMFPBswPortAdapter();
      }
      @Override
      public Adapter caseMFPFunctionPort(MFPFunctionPort object)
      {
        return createMFPFunctionPortAdapter();
      }
      @Override
      public Adapter caseMFPHardwarePin(MFPHardwarePin object)
      {
        return createMFPHardwarePinAdapter();
      }
      @Override
      public Adapter caseMFPOperation(MFPOperation object)
      {
        return createMFPOperationAdapter();
      }
      @Override
      public Adapter caseMFPSwcPort(MFPSwcPort object)
      {
        return createMFPSwcPortAdapter();
      }
      @Override
      public Adapter caseMFPVariable(MFPVariable object)
      {
        return createMFPVariableAdapter();
      }
      @Override
      public Adapter caseMTEnum(MTEnum object)
      {
        return createMTEnumAdapter();
      }
      @Override
      public Adapter caseMTEnumElement(MTEnumElement object)
      {
        return createMTEnumElementAdapter();
      }
      @Override
      public Adapter caseMTGeneral(MTGeneral object)
      {
        return createMTGeneralAdapter();
      }
      @Override
      public Adapter caseReferrable(Referrable object)
      {
        return createReferrableAdapter();
      }
      @Override
      public Adapter caseIdentifiable(Identifiable object)
      {
        return createIdentifiableAdapter();
      }
      @Override
      public Adapter caseAllocationTarget(AllocationTarget object)
      {
        return createAllocationTargetAdapter();
      }
      @Override
      public Adapter defaultCase(EObject object)
      {
        return createEObjectAdapter();
      }
    };

  /**
   * Creates an adapter for the <code>target</code>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param target the object to adapt.
   * @return the adapter for the <code>target</code>.
   * @generated
   */
  @Override
  public Adapter createAdapter(Notifier target)
  {
    return modelSwitch.doSwitch((EObject)target);
  }


  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.errormodel.malfunction.MalfunctionPrototype <em>Prototype</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.errormodel.malfunction.MalfunctionPrototype
   * @generated
   */
  public Adapter createMalfunctionPrototypeAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.errormodel.malfunction.MalfunctionType <em>Type</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.errormodel.malfunction.MalfunctionType
   * @generated
   */
  public Adapter createMalfunctionTypeAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.errormodel.malfunction.MFPBswPort <em>MFP Bsw Port</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.errormodel.malfunction.MFPBswPort
   * @generated
   */
  public Adapter createMFPBswPortAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.errormodel.malfunction.MFPFunctionPort <em>MFP Function Port</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.errormodel.malfunction.MFPFunctionPort
   * @generated
   */
  public Adapter createMFPFunctionPortAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.errormodel.malfunction.MFPHardwarePin <em>MFP Hardware Pin</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.errormodel.malfunction.MFPHardwarePin
   * @generated
   */
  public Adapter createMFPHardwarePinAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.errormodel.malfunction.MFPOperation <em>MFP Operation</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.errormodel.malfunction.MFPOperation
   * @generated
   */
  public Adapter createMFPOperationAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.errormodel.malfunction.MFPSwcPort <em>MFP Swc Port</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.errormodel.malfunction.MFPSwcPort
   * @generated
   */
  public Adapter createMFPSwcPortAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.errormodel.malfunction.MFPVariable <em>MFP Variable</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.errormodel.malfunction.MFPVariable
   * @generated
   */
  public Adapter createMFPVariableAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.errormodel.malfunction.MTEnum <em>MT Enum</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.errormodel.malfunction.MTEnum
   * @generated
   */
  public Adapter createMTEnumAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.errormodel.malfunction.MTEnumElement <em>MT Enum Element</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.errormodel.malfunction.MTEnumElement
   * @generated
   */
  public Adapter createMTEnumElementAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.errormodel.malfunction.MTGeneral <em>MT General</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.errormodel.malfunction.MTGeneral
   * @generated
   */
  public Adapter createMTGeneralAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.commonstructure.toplevel.Referrable <em>Referrable</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.commonstructure.toplevel.Referrable
   * @generated
   */
  public Adapter createReferrableAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.commonstructure.toplevel.Identifiable <em>Identifiable</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.commonstructure.toplevel.Identifiable
   * @generated
   */
  public Adapter createIdentifiableAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.requirements.AllocationTarget <em>Allocation Target</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.requirements.AllocationTarget
   * @generated
   */
  public Adapter createAllocationTargetAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for the default case.
   * <!-- begin-user-doc -->
   * This default implementation returns null.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @generated
   */
  public Adapter createEObjectAdapter()
  {
    return null;
  }

} //MalfunctionAdapterFactory
