/**
 */
package safe10.classmodel.hardware.failure;

import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EEnum;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

import safe10.classmodel.commonstructure.toplevel.ToplevelPackage;

/**
 * <!-- begin-user-doc -->
 * The <b>Package</b> for the model.
 * It contains accessors for the meta objects to represent
 * <ul>
 *   <li>each class,</li>
 *   <li>each feature of each class,</li>
 *   <li>each enum,</li>
 *   <li>and each data type</li>
 * </ul>
 * <!-- end-user-doc -->
 * <!-- begin-model-doc -->
 * This sub-package describes the failure model of the hardware as derived from the requirements of the ISO 26262.
 * <!-- end-model-doc -->
 * @see safe10.classmodel.hardware.failure.FailureFactory
 * @model kind="package"
 *        annotation="MetaData guid='{BC9AE78A-88EF-40cd-B8FF-88F304217074}' id='-755611955' EA\040name='Failure'"
 *        annotation="TaggedValues xml.name='FAILURE' xml.namePlural='FAILURES' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public interface FailurePackage extends EPackage
{
  /**
   * The package name.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNAME = "failure";

  /**
   * The package namespace URI.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNS_URI = "http://safe-project.eu/1.0.1/safe10/classmodel/hardware/failure";

  /**
   * The package namespace name.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNS_PREFIX = "";

  /**
   * The singleton instance of the package.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  FailurePackage eINSTANCE = safe10.classmodel.hardware.failure.impl.FailurePackageImpl.init();

  /**
   * The meta object id for the '{@link safe10.classmodel.hardware.failure.impl.HardwareFailureAnalysisImpl <em>Hardware Failure Analysis</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.hardware.failure.impl.HardwareFailureAnalysisImpl
   * @see safe10.classmodel.hardware.failure.impl.FailurePackageImpl#getHardwareFailureAnalysis()
   * @generated
   */
  int HARDWARE_FAILURE_ANALYSIS = 0;

  /**
   * The feature id for the '<em><b>Malfunction Analysis</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HARDWARE_FAILURE_ANALYSIS__MALFUNCTION_ANALYSIS = 0;

  /**
   * The feature id for the '<em><b>Name Was Not Set 1</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HARDWARE_FAILURE_ANALYSIS__NAME_WAS_NOT_SET_1 = 1;

  /**
   * The feature id for the '<em><b>Hardware Component Scope</b></em>' reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HARDWARE_FAILURE_ANALYSIS__HARDWARE_COMPONENT_SCOPE = 2;

  /**
   * The feature id for the '<em><b>Hardware Quantified Analysis</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HARDWARE_FAILURE_ANALYSIS__HARDWARE_QUANTIFIED_ANALYSIS = 3;

  /**
   * The number of structural features of the '<em>Hardware Failure Analysis</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HARDWARE_FAILURE_ANALYSIS_FEATURE_COUNT = 4;

  /**
   * The meta object id for the '{@link safe10.classmodel.hardware.failure.impl.HardwareComponentFailureImpl <em>Hardware Component Failure</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.hardware.failure.impl.HardwareComponentFailureImpl
   * @see safe10.classmodel.hardware.failure.impl.FailurePackageImpl#getHardwareComponentFailure()
   * @generated
   */
  int HARDWARE_COMPONENT_FAILURE = 1;

  /**
   * The feature id for the '<em><b>Name Was Not Set 2</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HARDWARE_COMPONENT_FAILURE__NAME_WAS_NOT_SET_2 = 0;

  /**
   * The feature id for the '<em><b>Hw Failure Rate</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HARDWARE_COMPONENT_FAILURE__HW_FAILURE_RATE = 1;

  /**
   * The feature id for the '<em><b>Hw Failure Mode</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HARDWARE_COMPONENT_FAILURE__HW_FAILURE_MODE = 2;

  /**
   * The number of structural features of the '<em>Hardware Component Failure</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HARDWARE_COMPONENT_FAILURE_FEATURE_COUNT = 3;

  /**
   * The meta object id for the '{@link safe10.classmodel.hardware.failure.impl.HWFailureRateImpl <em>HW Failure Rate</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.hardware.failure.impl.HWFailureRateImpl
   * @see safe10.classmodel.hardware.failure.impl.FailurePackageImpl#getHWFailureRate()
   * @generated
   */
  int HW_FAILURE_RATE = 2;

  /**
   * The feature id for the '<em><b>Short Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_FAILURE_RATE__SHORT_NAME = ToplevelPackage.REFERRABLE__SHORT_NAME;

  /**
   * The feature id for the '<em><b>Allocated Value</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_FAILURE_RATE__ALLOCATED_VALUE = ToplevelPackage.REFERRABLE_FEATURE_COUNT + 0;

  /**
   * The feature id for the '<em><b>Rationale Scaling Factor</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_FAILURE_RATE__RATIONALE_SCALING_FACTOR = ToplevelPackage.REFERRABLE_FEATURE_COUNT + 1;

  /**
   * The feature id for the '<em><b>Scaling Factor</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_FAILURE_RATE__SCALING_FACTOR = ToplevelPackage.REFERRABLE_FEATURE_COUNT + 2;

  /**
   * The feature id for the '<em><b>Source</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_FAILURE_RATE__SOURCE = ToplevelPackage.REFERRABLE_FEATURE_COUNT + 3;

  /**
   * The number of structural features of the '<em>HW Failure Rate</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_FAILURE_RATE_FEATURE_COUNT = ToplevelPackage.REFERRABLE_FEATURE_COUNT + 4;

  /**
   * The meta object id for the '{@link safe10.classmodel.hardware.failure.impl.HWFailureModeImpl <em>HW Failure Mode</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.hardware.failure.impl.HWFailureModeImpl
   * @see safe10.classmodel.hardware.failure.impl.FailurePackageImpl#getHWFailureMode()
   * @generated
   */
  int HW_FAILURE_MODE = 3;

  /**
   * The feature id for the '<em><b>Short Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_FAILURE_MODE__SHORT_NAME = ToplevelPackage.REFERRABLE__SHORT_NAME;

  /**
   * The feature id for the '<em><b>Category</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_FAILURE_MODE__CATEGORY = ToplevelPackage.REFERRABLE_FEATURE_COUNT + 0;

  /**
   * The feature id for the '<em><b>Uuid</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_FAILURE_MODE__UUID = ToplevelPackage.REFERRABLE_FEATURE_COUNT + 1;

  /**
   * The feature id for the '<em><b>Is Of Type</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_FAILURE_MODE__IS_OF_TYPE = ToplevelPackage.REFERRABLE_FEATURE_COUNT + 2;

  /**
   * The feature id for the '<em><b>Allocated Failure Rate Distribution</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_FAILURE_MODE__ALLOCATED_FAILURE_RATE_DISTRIBUTION = ToplevelPackage.REFERRABLE_FEATURE_COUNT + 3;

  /**
   * The feature id for the '<em><b>Failure Mode Type</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_FAILURE_MODE__FAILURE_MODE_TYPE = ToplevelPackage.REFERRABLE_FEATURE_COUNT + 4;

  /**
   * The feature id for the '<em><b>Potential Cause</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_FAILURE_MODE__POTENTIAL_CAUSE = ToplevelPackage.REFERRABLE_FEATURE_COUNT + 5;

  /**
   * The number of structural features of the '<em>HW Failure Mode</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_FAILURE_MODE_FEATURE_COUNT = ToplevelPackage.REFERRABLE_FEATURE_COUNT + 6;

  /**
   * The meta object id for the '{@link safe10.classmodel.hardware.failure.impl.HWFaultImpl <em>HW Fault</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.hardware.failure.impl.HWFaultImpl
   * @see safe10.classmodel.hardware.failure.impl.FailurePackageImpl#getHWFault()
   * @generated
   */
  int HW_FAULT = 4;

  /**
   * The feature id for the '<em><b>Short Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_FAULT__SHORT_NAME = ToplevelPackage.REFERRABLE__SHORT_NAME;

  /**
   * The feature id for the '<em><b>Hw Fault Type</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_FAULT__HW_FAULT_TYPE = ToplevelPackage.REFERRABLE_FEATURE_COUNT + 0;

  /**
   * The feature id for the '<em><b>Lambda Failure Mode Value</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_FAULT__LAMBDA_FAILURE_MODE_VALUE = ToplevelPackage.REFERRABLE_FEATURE_COUNT + 1;

  /**
   * The feature id for the '<em><b>Hw Failure Mode</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_FAULT__HW_FAILURE_MODE = ToplevelPackage.REFERRABLE_FEATURE_COUNT + 2;

  /**
   * The feature id for the '<em><b>Hw Failure Mode Single Contribution</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_FAULT__HW_FAILURE_MODE_SINGLE_CONTRIBUTION = ToplevelPackage.REFERRABLE_FEATURE_COUNT + 3;

  /**
   * The number of structural features of the '<em>HW Fault</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_FAULT_FEATURE_COUNT = ToplevelPackage.REFERRABLE_FEATURE_COUNT + 4;

  /**
   * The meta object id for the '{@link safe10.classmodel.hardware.failure.impl.HWComponentPrototypeScopeImpl <em>HW Component Prototype Scope</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.hardware.failure.impl.HWComponentPrototypeScopeImpl
   * @see safe10.classmodel.hardware.failure.impl.FailurePackageImpl#getHWComponentPrototypeScope()
   * @generated
   */
  int HW_COMPONENT_PROTOTYPE_SCOPE = 5;

  /**
   * The feature id for the '<em><b>Safety Related</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_COMPONENT_PROTOTYPE_SCOPE__SAFETY_RELATED = 0;

  /**
   * The feature id for the '<em><b>Name Was Not Set 3</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_COMPONENT_PROTOTYPE_SCOPE__NAME_WAS_NOT_SET_3 = 1;

  /**
   * The feature id for the '<em><b>Hw Fault Characterization</b></em>' reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_COMPONENT_PROTOTYPE_SCOPE__HW_FAULT_CHARACTERIZATION = 2;

  /**
   * The feature id for the '<em><b>Hw Component Scope Instance Ref Context</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_COMPONENT_PROTOTYPE_SCOPE__HW_COMPONENT_SCOPE_INSTANCE_REF_CONTEXT = 3;

  /**
   * The number of structural features of the '<em>HW Component Prototype Scope</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_COMPONENT_PROTOTYPE_SCOPE_FEATURE_COUNT = 4;

  /**
   * The meta object id for the '{@link safe10.classmodel.hardware.failure.impl.HwComponentScopeInstanceRefImpl <em>Hw Component Scope Instance Ref</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.hardware.failure.impl.HwComponentScopeInstanceRefImpl
   * @see safe10.classmodel.hardware.failure.impl.FailurePackageImpl#getHwComponentScopeInstanceRef()
   * @generated
   */
  int HW_COMPONENT_SCOPE_INSTANCE_REF = 6;

  /**
   * The feature id for the '<em><b>Name Was Not Set 4</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_COMPONENT_SCOPE_INSTANCE_REF__NAME_WAS_NOT_SET_4 = 0;

  /**
   * The feature id for the '<em><b>Base Hwcomponent Scope</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_COMPONENT_SCOPE_INSTANCE_REF__BASE_HWCOMPONENT_SCOPE = 1;

  /**
   * The feature id for the '<em><b>Context Hw Component Scope</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_COMPONENT_SCOPE_INSTANCE_REF__CONTEXT_HW_COMPONENT_SCOPE = 2;

  /**
   * The feature id for the '<em><b>Target Hw Component Scope</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_COMPONENT_SCOPE_INSTANCE_REF__TARGET_HW_COMPONENT_SCOPE = 3;

  /**
   * The number of structural features of the '<em>Hw Component Scope Instance Ref</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_COMPONENT_SCOPE_INSTANCE_REF_FEATURE_COUNT = 4;

  /**
   * The meta object id for the '{@link safe10.classmodel.hardware.failure.HWMultiplePointFaultEnum <em>HW Multiple Point Fault Enum</em>}' enum.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.hardware.failure.HWMultiplePointFaultEnum
   * @see safe10.classmodel.hardware.failure.impl.FailurePackageImpl#getHWMultiplePointFaultEnum()
   * @generated
   */
  int HW_MULTIPLE_POINT_FAULT_ENUM = 7;

  /**
   * The meta object id for the '{@link safe10.classmodel.hardware.failure.HWPointFaultEnum <em>HW Point Fault Enum</em>}' enum.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.hardware.failure.HWPointFaultEnum
   * @see safe10.classmodel.hardware.failure.impl.FailurePackageImpl#getHWPointFaultEnum()
   * @generated
   */
  int HW_POINT_FAULT_ENUM = 8;


  /**
   * Returns the meta object for class '{@link safe10.classmodel.hardware.failure.HardwareFailureAnalysis <em>Hardware Failure Analysis</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Hardware Failure Analysis</em>'.
   * @see safe10.classmodel.hardware.failure.HardwareFailureAnalysis
   * @generated
   */
  EClass getHardwareFailureAnalysis();

  /**
   * Returns the meta object for the reference '{@link safe10.classmodel.hardware.failure.HardwareFailureAnalysis#getMalfunctionAnalysis <em>Malfunction Analysis</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the reference '<em>Malfunction Analysis</em>'.
   * @see safe10.classmodel.hardware.failure.HardwareFailureAnalysis#getMalfunctionAnalysis()
   * @see #getHardwareFailureAnalysis()
   * @generated
   */
  EReference getHardwareFailureAnalysis_MalfunctionAnalysis();

  /**
   * Returns the meta object for the reference '{@link safe10.classmodel.hardware.failure.HardwareFailureAnalysis#getNameWasNotSet_1 <em>Name Was Not Set 1</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the reference '<em>Name Was Not Set 1</em>'.
   * @see safe10.classmodel.hardware.failure.HardwareFailureAnalysis#getNameWasNotSet_1()
   * @see #getHardwareFailureAnalysis()
   * @generated
   */
  EReference getHardwareFailureAnalysis_NameWasNotSet_1();

  /**
   * Returns the meta object for the reference list '{@link safe10.classmodel.hardware.failure.HardwareFailureAnalysis#getHardwareComponentScope <em>Hardware Component Scope</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the reference list '<em>Hardware Component Scope</em>'.
   * @see safe10.classmodel.hardware.failure.HardwareFailureAnalysis#getHardwareComponentScope()
   * @see #getHardwareFailureAnalysis()
   * @generated
   */
  EReference getHardwareFailureAnalysis_HardwareComponentScope();

  /**
   * Returns the meta object for the reference '{@link safe10.classmodel.hardware.failure.HardwareFailureAnalysis#getHardwareQuantifiedAnalysis <em>Hardware Quantified Analysis</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the reference '<em>Hardware Quantified Analysis</em>'.
   * @see safe10.classmodel.hardware.failure.HardwareFailureAnalysis#getHardwareQuantifiedAnalysis()
   * @see #getHardwareFailureAnalysis()
   * @generated
   */
  EReference getHardwareFailureAnalysis_HardwareQuantifiedAnalysis();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.hardware.failure.HardwareComponentFailure <em>Hardware Component Failure</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Hardware Component Failure</em>'.
   * @see safe10.classmodel.hardware.failure.HardwareComponentFailure
   * @generated
   */
  EClass getHardwareComponentFailure();

  /**
   * Returns the meta object for the reference '{@link safe10.classmodel.hardware.failure.HardwareComponentFailure#getNameWasNotSet_2 <em>Name Was Not Set 2</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the reference '<em>Name Was Not Set 2</em>'.
   * @see safe10.classmodel.hardware.failure.HardwareComponentFailure#getNameWasNotSet_2()
   * @see #getHardwareComponentFailure()
   * @generated
   */
  EReference getHardwareComponentFailure_NameWasNotSet_2();

  /**
   * Returns the meta object for the containment reference '{@link safe10.classmodel.hardware.failure.HardwareComponentFailure#getHwFailureRate <em>Hw Failure Rate</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Hw Failure Rate</em>'.
   * @see safe10.classmodel.hardware.failure.HardwareComponentFailure#getHwFailureRate()
   * @see #getHardwareComponentFailure()
   * @generated
   */
  EReference getHardwareComponentFailure_HwFailureRate();

  /**
   * Returns the meta object for the containment reference list '{@link safe10.classmodel.hardware.failure.HardwareComponentFailure#getHwFailureMode <em>Hw Failure Mode</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference list '<em>Hw Failure Mode</em>'.
   * @see safe10.classmodel.hardware.failure.HardwareComponentFailure#getHwFailureMode()
   * @see #getHardwareComponentFailure()
   * @generated
   */
  EReference getHardwareComponentFailure_HwFailureMode();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.hardware.failure.HWFailureRate <em>HW Failure Rate</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>HW Failure Rate</em>'.
   * @see safe10.classmodel.hardware.failure.HWFailureRate
   * @generated
   */
  EClass getHWFailureRate();

  /**
   * Returns the meta object for the attribute '{@link safe10.classmodel.hardware.failure.HWFailureRate#getAllocatedValue <em>Allocated Value</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Allocated Value</em>'.
   * @see safe10.classmodel.hardware.failure.HWFailureRate#getAllocatedValue()
   * @see #getHWFailureRate()
   * @generated
   */
  EAttribute getHWFailureRate_AllocatedValue();

  /**
   * Returns the meta object for the attribute '{@link safe10.classmodel.hardware.failure.HWFailureRate#getRationaleScalingFactor <em>Rationale Scaling Factor</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Rationale Scaling Factor</em>'.
   * @see safe10.classmodel.hardware.failure.HWFailureRate#getRationaleScalingFactor()
   * @see #getHWFailureRate()
   * @generated
   */
  EAttribute getHWFailureRate_RationaleScalingFactor();

  /**
   * Returns the meta object for the attribute '{@link safe10.classmodel.hardware.failure.HWFailureRate#getScalingFactor <em>Scaling Factor</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Scaling Factor</em>'.
   * @see safe10.classmodel.hardware.failure.HWFailureRate#getScalingFactor()
   * @see #getHWFailureRate()
   * @generated
   */
  EAttribute getHWFailureRate_ScalingFactor();

  /**
   * Returns the meta object for the attribute '{@link safe10.classmodel.hardware.failure.HWFailureRate#getSource <em>Source</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Source</em>'.
   * @see safe10.classmodel.hardware.failure.HWFailureRate#getSource()
   * @see #getHWFailureRate()
   * @generated
   */
  EAttribute getHWFailureRate_Source();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.hardware.failure.HWFailureMode <em>HW Failure Mode</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>HW Failure Mode</em>'.
   * @see safe10.classmodel.hardware.failure.HWFailureMode
   * @generated
   */
  EClass getHWFailureMode();

  /**
   * Returns the meta object for the attribute '{@link safe10.classmodel.hardware.failure.HWFailureMode#getAllocatedFailureRateDistribution <em>Allocated Failure Rate Distribution</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Allocated Failure Rate Distribution</em>'.
   * @see safe10.classmodel.hardware.failure.HWFailureMode#getAllocatedFailureRateDistribution()
   * @see #getHWFailureMode()
   * @generated
   */
  EAttribute getHWFailureMode_AllocatedFailureRateDistribution();

  /**
   * Returns the meta object for the attribute '{@link safe10.classmodel.hardware.failure.HWFailureMode#getFailureModeType <em>Failure Mode Type</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Failure Mode Type</em>'.
   * @see safe10.classmodel.hardware.failure.HWFailureMode#getFailureModeType()
   * @see #getHWFailureMode()
   * @generated
   */
  EAttribute getHWFailureMode_FailureModeType();

  /**
   * Returns the meta object for the attribute '{@link safe10.classmodel.hardware.failure.HWFailureMode#getPotentialCause <em>Potential Cause</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Potential Cause</em>'.
   * @see safe10.classmodel.hardware.failure.HWFailureMode#getPotentialCause()
   * @see #getHWFailureMode()
   * @generated
   */
  EAttribute getHWFailureMode_PotentialCause();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.hardware.failure.HWFault <em>HW Fault</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>HW Fault</em>'.
   * @see safe10.classmodel.hardware.failure.HWFault
   * @generated
   */
  EClass getHWFault();

  /**
   * Returns the meta object for the attribute '{@link safe10.classmodel.hardware.failure.HWFault#getHwFaultType <em>Hw Fault Type</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Hw Fault Type</em>'.
   * @see safe10.classmodel.hardware.failure.HWFault#getHwFaultType()
   * @see #getHWFault()
   * @generated
   */
  EAttribute getHWFault_HwFaultType();

  /**
   * Returns the meta object for the reference '{@link safe10.classmodel.hardware.failure.HWFault#getLambdaFailureModeValue <em>Lambda Failure Mode Value</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the reference '<em>Lambda Failure Mode Value</em>'.
   * @see safe10.classmodel.hardware.failure.HWFault#getLambdaFailureModeValue()
   * @see #getHWFault()
   * @generated
   */
  EReference getHWFault_LambdaFailureModeValue();

  /**
   * Returns the meta object for the reference '{@link safe10.classmodel.hardware.failure.HWFault#getHwFailureMode <em>Hw Failure Mode</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the reference '<em>Hw Failure Mode</em>'.
   * @see safe10.classmodel.hardware.failure.HWFault#getHwFailureMode()
   * @see #getHWFault()
   * @generated
   */
  EReference getHWFault_HwFailureMode();

  /**
   * Returns the meta object for the reference '{@link safe10.classmodel.hardware.failure.HWFault#getHwFailureModeSingleContribution <em>Hw Failure Mode Single Contribution</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the reference '<em>Hw Failure Mode Single Contribution</em>'.
   * @see safe10.classmodel.hardware.failure.HWFault#getHwFailureModeSingleContribution()
   * @see #getHWFault()
   * @generated
   */
  EReference getHWFault_HwFailureModeSingleContribution();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.hardware.failure.HWComponentPrototypeScope <em>HW Component Prototype Scope</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>HW Component Prototype Scope</em>'.
   * @see safe10.classmodel.hardware.failure.HWComponentPrototypeScope
   * @generated
   */
  EClass getHWComponentPrototypeScope();

  /**
   * Returns the meta object for the attribute '{@link safe10.classmodel.hardware.failure.HWComponentPrototypeScope#getSafetyRelated <em>Safety Related</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Safety Related</em>'.
   * @see safe10.classmodel.hardware.failure.HWComponentPrototypeScope#getSafetyRelated()
   * @see #getHWComponentPrototypeScope()
   * @generated
   */
  EAttribute getHWComponentPrototypeScope_SafetyRelated();

  /**
   * Returns the meta object for the reference '{@link safe10.classmodel.hardware.failure.HWComponentPrototypeScope#getNameWasNotSet_3 <em>Name Was Not Set 3</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the reference '<em>Name Was Not Set 3</em>'.
   * @see safe10.classmodel.hardware.failure.HWComponentPrototypeScope#getNameWasNotSet_3()
   * @see #getHWComponentPrototypeScope()
   * @generated
   */
  EReference getHWComponentPrototypeScope_NameWasNotSet_3();

  /**
   * Returns the meta object for the reference list '{@link safe10.classmodel.hardware.failure.HWComponentPrototypeScope#getHwFaultCharacterization <em>Hw Fault Characterization</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the reference list '<em>Hw Fault Characterization</em>'.
   * @see safe10.classmodel.hardware.failure.HWComponentPrototypeScope#getHwFaultCharacterization()
   * @see #getHWComponentPrototypeScope()
   * @generated
   */
  EReference getHWComponentPrototypeScope_HwFaultCharacterization();

  /**
   * Returns the meta object for the reference '{@link safe10.classmodel.hardware.failure.HWComponentPrototypeScope#getHwComponentScopeInstanceRefContext <em>Hw Component Scope Instance Ref Context</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the reference '<em>Hw Component Scope Instance Ref Context</em>'.
   * @see safe10.classmodel.hardware.failure.HWComponentPrototypeScope#getHwComponentScopeInstanceRefContext()
   * @see #getHWComponentPrototypeScope()
   * @generated
   */
  EReference getHWComponentPrototypeScope_HwComponentScopeInstanceRefContext();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.hardware.failure.HwComponentScopeInstanceRef <em>Hw Component Scope Instance Ref</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Hw Component Scope Instance Ref</em>'.
   * @see safe10.classmodel.hardware.failure.HwComponentScopeInstanceRef
   * @generated
   */
  EClass getHwComponentScopeInstanceRef();

  /**
   * Returns the meta object for the reference '{@link safe10.classmodel.hardware.failure.HwComponentScopeInstanceRef#getNameWasNotSet_4 <em>Name Was Not Set 4</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the reference '<em>Name Was Not Set 4</em>'.
   * @see safe10.classmodel.hardware.failure.HwComponentScopeInstanceRef#getNameWasNotSet_4()
   * @see #getHwComponentScopeInstanceRef()
   * @generated
   */
  EReference getHwComponentScopeInstanceRef_NameWasNotSet_4();

  /**
   * Returns the meta object for the reference '{@link safe10.classmodel.hardware.failure.HwComponentScopeInstanceRef#getBaseHwcomponentScope <em>Base Hwcomponent Scope</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the reference '<em>Base Hwcomponent Scope</em>'.
   * @see safe10.classmodel.hardware.failure.HwComponentScopeInstanceRef#getBaseHwcomponentScope()
   * @see #getHwComponentScopeInstanceRef()
   * @generated
   */
  EReference getHwComponentScopeInstanceRef_BaseHwcomponentScope();

  /**
   * Returns the meta object for the reference '{@link safe10.classmodel.hardware.failure.HwComponentScopeInstanceRef#getContextHwComponentScope <em>Context Hw Component Scope</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the reference '<em>Context Hw Component Scope</em>'.
   * @see safe10.classmodel.hardware.failure.HwComponentScopeInstanceRef#getContextHwComponentScope()
   * @see #getHwComponentScopeInstanceRef()
   * @generated
   */
  EReference getHwComponentScopeInstanceRef_ContextHwComponentScope();

  /**
   * Returns the meta object for the reference '{@link safe10.classmodel.hardware.failure.HwComponentScopeInstanceRef#getTargetHwComponentScope <em>Target Hw Component Scope</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the reference '<em>Target Hw Component Scope</em>'.
   * @see safe10.classmodel.hardware.failure.HwComponentScopeInstanceRef#getTargetHwComponentScope()
   * @see #getHwComponentScopeInstanceRef()
   * @generated
   */
  EReference getHwComponentScopeInstanceRef_TargetHwComponentScope();

  /**
   * Returns the meta object for enum '{@link safe10.classmodel.hardware.failure.HWMultiplePointFaultEnum <em>HW Multiple Point Fault Enum</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for enum '<em>HW Multiple Point Fault Enum</em>'.
   * @see safe10.classmodel.hardware.failure.HWMultiplePointFaultEnum
   * @generated
   */
  EEnum getHWMultiplePointFaultEnum();

  /**
   * Returns the meta object for enum '{@link safe10.classmodel.hardware.failure.HWPointFaultEnum <em>HW Point Fault Enum</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for enum '<em>HW Point Fault Enum</em>'.
   * @see safe10.classmodel.hardware.failure.HWPointFaultEnum
   * @generated
   */
  EEnum getHWPointFaultEnum();

  /**
   * Returns the factory that creates the instances of the model.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the factory that creates the instances of the model.
   * @generated
   */
  FailureFactory getFailureFactory();

  /**
   * <!-- begin-user-doc -->
   * Defines literals for the meta objects that represent
   * <ul>
   *   <li>each class,</li>
   *   <li>each feature of each class,</li>
   *   <li>each enum,</li>
   *   <li>and each data type</li>
   * </ul>
   * <!-- end-user-doc -->
   * @generated
   */
  interface Literals
  {
    /**
     * The meta object literal for the '{@link safe10.classmodel.hardware.failure.impl.HardwareFailureAnalysisImpl <em>Hardware Failure Analysis</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.hardware.failure.impl.HardwareFailureAnalysisImpl
     * @see safe10.classmodel.hardware.failure.impl.FailurePackageImpl#getHardwareFailureAnalysis()
     * @generated
     */
    EClass HARDWARE_FAILURE_ANALYSIS = eINSTANCE.getHardwareFailureAnalysis();

    /**
     * The meta object literal for the '<em><b>Malfunction Analysis</b></em>' reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference HARDWARE_FAILURE_ANALYSIS__MALFUNCTION_ANALYSIS = eINSTANCE.getHardwareFailureAnalysis_MalfunctionAnalysis();

    /**
     * The meta object literal for the '<em><b>Name Was Not Set 1</b></em>' reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference HARDWARE_FAILURE_ANALYSIS__NAME_WAS_NOT_SET_1 = eINSTANCE.getHardwareFailureAnalysis_NameWasNotSet_1();

    /**
     * The meta object literal for the '<em><b>Hardware Component Scope</b></em>' reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference HARDWARE_FAILURE_ANALYSIS__HARDWARE_COMPONENT_SCOPE = eINSTANCE.getHardwareFailureAnalysis_HardwareComponentScope();

    /**
     * The meta object literal for the '<em><b>Hardware Quantified Analysis</b></em>' reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference HARDWARE_FAILURE_ANALYSIS__HARDWARE_QUANTIFIED_ANALYSIS = eINSTANCE.getHardwareFailureAnalysis_HardwareQuantifiedAnalysis();

    /**
     * The meta object literal for the '{@link safe10.classmodel.hardware.failure.impl.HardwareComponentFailureImpl <em>Hardware Component Failure</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.hardware.failure.impl.HardwareComponentFailureImpl
     * @see safe10.classmodel.hardware.failure.impl.FailurePackageImpl#getHardwareComponentFailure()
     * @generated
     */
    EClass HARDWARE_COMPONENT_FAILURE = eINSTANCE.getHardwareComponentFailure();

    /**
     * The meta object literal for the '<em><b>Name Was Not Set 2</b></em>' reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference HARDWARE_COMPONENT_FAILURE__NAME_WAS_NOT_SET_2 = eINSTANCE.getHardwareComponentFailure_NameWasNotSet_2();

    /**
     * The meta object literal for the '<em><b>Hw Failure Rate</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference HARDWARE_COMPONENT_FAILURE__HW_FAILURE_RATE = eINSTANCE.getHardwareComponentFailure_HwFailureRate();

    /**
     * The meta object literal for the '<em><b>Hw Failure Mode</b></em>' containment reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference HARDWARE_COMPONENT_FAILURE__HW_FAILURE_MODE = eINSTANCE.getHardwareComponentFailure_HwFailureMode();

    /**
     * The meta object literal for the '{@link safe10.classmodel.hardware.failure.impl.HWFailureRateImpl <em>HW Failure Rate</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.hardware.failure.impl.HWFailureRateImpl
     * @see safe10.classmodel.hardware.failure.impl.FailurePackageImpl#getHWFailureRate()
     * @generated
     */
    EClass HW_FAILURE_RATE = eINSTANCE.getHWFailureRate();

    /**
     * The meta object literal for the '<em><b>Allocated Value</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute HW_FAILURE_RATE__ALLOCATED_VALUE = eINSTANCE.getHWFailureRate_AllocatedValue();

    /**
     * The meta object literal for the '<em><b>Rationale Scaling Factor</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute HW_FAILURE_RATE__RATIONALE_SCALING_FACTOR = eINSTANCE.getHWFailureRate_RationaleScalingFactor();

    /**
     * The meta object literal for the '<em><b>Scaling Factor</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute HW_FAILURE_RATE__SCALING_FACTOR = eINSTANCE.getHWFailureRate_ScalingFactor();

    /**
     * The meta object literal for the '<em><b>Source</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute HW_FAILURE_RATE__SOURCE = eINSTANCE.getHWFailureRate_Source();

    /**
     * The meta object literal for the '{@link safe10.classmodel.hardware.failure.impl.HWFailureModeImpl <em>HW Failure Mode</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.hardware.failure.impl.HWFailureModeImpl
     * @see safe10.classmodel.hardware.failure.impl.FailurePackageImpl#getHWFailureMode()
     * @generated
     */
    EClass HW_FAILURE_MODE = eINSTANCE.getHWFailureMode();

    /**
     * The meta object literal for the '<em><b>Allocated Failure Rate Distribution</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute HW_FAILURE_MODE__ALLOCATED_FAILURE_RATE_DISTRIBUTION = eINSTANCE.getHWFailureMode_AllocatedFailureRateDistribution();

    /**
     * The meta object literal for the '<em><b>Failure Mode Type</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute HW_FAILURE_MODE__FAILURE_MODE_TYPE = eINSTANCE.getHWFailureMode_FailureModeType();

    /**
     * The meta object literal for the '<em><b>Potential Cause</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute HW_FAILURE_MODE__POTENTIAL_CAUSE = eINSTANCE.getHWFailureMode_PotentialCause();

    /**
     * The meta object literal for the '{@link safe10.classmodel.hardware.failure.impl.HWFaultImpl <em>HW Fault</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.hardware.failure.impl.HWFaultImpl
     * @see safe10.classmodel.hardware.failure.impl.FailurePackageImpl#getHWFault()
     * @generated
     */
    EClass HW_FAULT = eINSTANCE.getHWFault();

    /**
     * The meta object literal for the '<em><b>Hw Fault Type</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute HW_FAULT__HW_FAULT_TYPE = eINSTANCE.getHWFault_HwFaultType();

    /**
     * The meta object literal for the '<em><b>Lambda Failure Mode Value</b></em>' reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference HW_FAULT__LAMBDA_FAILURE_MODE_VALUE = eINSTANCE.getHWFault_LambdaFailureModeValue();

    /**
     * The meta object literal for the '<em><b>Hw Failure Mode</b></em>' reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference HW_FAULT__HW_FAILURE_MODE = eINSTANCE.getHWFault_HwFailureMode();

    /**
     * The meta object literal for the '<em><b>Hw Failure Mode Single Contribution</b></em>' reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference HW_FAULT__HW_FAILURE_MODE_SINGLE_CONTRIBUTION = eINSTANCE.getHWFault_HwFailureModeSingleContribution();

    /**
     * The meta object literal for the '{@link safe10.classmodel.hardware.failure.impl.HWComponentPrototypeScopeImpl <em>HW Component Prototype Scope</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.hardware.failure.impl.HWComponentPrototypeScopeImpl
     * @see safe10.classmodel.hardware.failure.impl.FailurePackageImpl#getHWComponentPrototypeScope()
     * @generated
     */
    EClass HW_COMPONENT_PROTOTYPE_SCOPE = eINSTANCE.getHWComponentPrototypeScope();

    /**
     * The meta object literal for the '<em><b>Safety Related</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute HW_COMPONENT_PROTOTYPE_SCOPE__SAFETY_RELATED = eINSTANCE.getHWComponentPrototypeScope_SafetyRelated();

    /**
     * The meta object literal for the '<em><b>Name Was Not Set 3</b></em>' reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference HW_COMPONENT_PROTOTYPE_SCOPE__NAME_WAS_NOT_SET_3 = eINSTANCE.getHWComponentPrototypeScope_NameWasNotSet_3();

    /**
     * The meta object literal for the '<em><b>Hw Fault Characterization</b></em>' reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference HW_COMPONENT_PROTOTYPE_SCOPE__HW_FAULT_CHARACTERIZATION = eINSTANCE.getHWComponentPrototypeScope_HwFaultCharacterization();

    /**
     * The meta object literal for the '<em><b>Hw Component Scope Instance Ref Context</b></em>' reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference HW_COMPONENT_PROTOTYPE_SCOPE__HW_COMPONENT_SCOPE_INSTANCE_REF_CONTEXT = eINSTANCE.getHWComponentPrototypeScope_HwComponentScopeInstanceRefContext();

    /**
     * The meta object literal for the '{@link safe10.classmodel.hardware.failure.impl.HwComponentScopeInstanceRefImpl <em>Hw Component Scope Instance Ref</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.hardware.failure.impl.HwComponentScopeInstanceRefImpl
     * @see safe10.classmodel.hardware.failure.impl.FailurePackageImpl#getHwComponentScopeInstanceRef()
     * @generated
     */
    EClass HW_COMPONENT_SCOPE_INSTANCE_REF = eINSTANCE.getHwComponentScopeInstanceRef();

    /**
     * The meta object literal for the '<em><b>Name Was Not Set 4</b></em>' reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference HW_COMPONENT_SCOPE_INSTANCE_REF__NAME_WAS_NOT_SET_4 = eINSTANCE.getHwComponentScopeInstanceRef_NameWasNotSet_4();

    /**
     * The meta object literal for the '<em><b>Base Hwcomponent Scope</b></em>' reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference HW_COMPONENT_SCOPE_INSTANCE_REF__BASE_HWCOMPONENT_SCOPE = eINSTANCE.getHwComponentScopeInstanceRef_BaseHwcomponentScope();

    /**
     * The meta object literal for the '<em><b>Context Hw Component Scope</b></em>' reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference HW_COMPONENT_SCOPE_INSTANCE_REF__CONTEXT_HW_COMPONENT_SCOPE = eINSTANCE.getHwComponentScopeInstanceRef_ContextHwComponentScope();

    /**
     * The meta object literal for the '<em><b>Target Hw Component Scope</b></em>' reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference HW_COMPONENT_SCOPE_INSTANCE_REF__TARGET_HW_COMPONENT_SCOPE = eINSTANCE.getHwComponentScopeInstanceRef_TargetHwComponentScope();

    /**
     * The meta object literal for the '{@link safe10.classmodel.hardware.failure.HWMultiplePointFaultEnum <em>HW Multiple Point Fault Enum</em>}' enum.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.hardware.failure.HWMultiplePointFaultEnum
     * @see safe10.classmodel.hardware.failure.impl.FailurePackageImpl#getHWMultiplePointFaultEnum()
     * @generated
     */
    EEnum HW_MULTIPLE_POINT_FAULT_ENUM = eINSTANCE.getHWMultiplePointFaultEnum();

    /**
     * The meta object literal for the '{@link safe10.classmodel.hardware.failure.HWPointFaultEnum <em>HW Point Fault Enum</em>}' enum.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.hardware.failure.HWPointFaultEnum
     * @see safe10.classmodel.hardware.failure.impl.FailurePackageImpl#getHWPointFaultEnum()
     * @generated
     */
    EEnum HW_POINT_FAULT_ENUM = eINSTANCE.getHWPointFaultEnum();

  }

} //FailurePackage
