/**
 */
package safe10.classmodel.hardware.failure.impl;

import autosar40.bswmodule.bswinterfaces.BswinterfacesPackage;

import autosar40.bswmodule.bswoverview.BswoverviewPackage;

import autosar40.commonstructure.modedeclaration.ModedeclarationPackage;

import autosar40.ecuresource.EcuresourcePackage;

import autosar40.swcomponent.components.ComponentsPackage;

import autosar40.swcomponent.composition.CompositionPackage;

import autosar40.swcomponent.datatype.dataprototypes.DataprototypesPackage;

import autosar40.swcomponent.portinterface.PortinterfacePackage;

import autosar40.swcomponent.swcinternalbehavior.SwcinternalbehaviorPackage;

import autosar40.system.SystemPackage;

import eastadl21.east_adl.environment.EnvironmentPackage;

import eastadl21.east_adl.requirements.RequirementsPackage;

import eastadl21.east_adl.structure.featuremodeling.FeaturemodelingPackage;

import eastadl21.east_adl.structure.functionmodeling.FunctionmodelingPackage;

import eastadl21.east_adl.structure.hardwaremodeling.HardwaremodelingPackage;

import eastadl21.east_adl.structure.systemmodeling.SystemmodelingPackage;

import eastadl21.east_adl.structure.vehiclefeaturemodeling.VehiclefeaturemodelingPackage;

import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EEnum;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

import org.eclipse.emf.ecore.impl.EPackageImpl;

import safe10.classmodel.commonstructure.datatypes.DatatypesPackage;

import safe10.classmodel.commonstructure.datatypes.impl.DatatypesPackageImpl;

import safe10.classmodel.commonstructure.formulaexpression.FormulaexpressionPackage;

import safe10.classmodel.commonstructure.formulaexpression.impl.FormulaexpressionPackageImpl;

import safe10.classmodel.commonstructure.references.ReferencesPackage;

import safe10.classmodel.commonstructure.references.chromosomereferences.ChromosomereferencesPackage;

import safe10.classmodel.commonstructure.references.chromosomereferences.impl.ChromosomereferencesPackageImpl;

import safe10.classmodel.commonstructure.references.impl.ReferencesPackageImpl;

import safe10.classmodel.commonstructure.safetyextensions.SafetyextensionsPackage;

import safe10.classmodel.commonstructure.safetyextensions.impl.SafetyextensionsPackageImpl;

import safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.SoftwaresafetyextensionPackage;

import safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.impl.SoftwaresafetyextensionPackageImpl;

import safe10.classmodel.commonstructure.safetyextensions.technicalsafetyextension.TechnicalsafetyextensionPackage;

import safe10.classmodel.commonstructure.safetyextensions.technicalsafetyextension.impl.TechnicalsafetyextensionPackageImpl;

import safe10.classmodel.commonstructure.toplevel.ToplevelPackage;

import safe10.classmodel.commonstructure.toplevel.impl.ToplevelPackageImpl;

import safe10.classmodel.configuration.ConfigurationPackage;

import safe10.classmodel.configuration.impl.ConfigurationPackageImpl;

import safe10.classmodel.errormodel.ErrormodelPackage;

import safe10.classmodel.errormodel._instanceref._instancerefPackage;

import safe10.classmodel.errormodel._instanceref.impl._instancerefPackageImpl;

import safe10.classmodel.errormodel.errorbehavior.ErrorbehaviorPackage;

import safe10.classmodel.errormodel.errorbehavior.impl.ErrorbehaviorPackageImpl;

import safe10.classmodel.errormodel.errormodeltype.ErrormodeltypePackage;

import safe10.classmodel.errormodel.errormodeltype.impl.ErrormodeltypePackageImpl;

import safe10.classmodel.errormodel.impl.ErrormodelPackageImpl;

import safe10.classmodel.errormodel.malfunction.MalfunctionPackage;

import safe10.classmodel.errormodel.malfunction.impl.MalfunctionPackageImpl;

import safe10.classmodel.hardware.failure.FailureFactory;
import safe10.classmodel.hardware.failure.FailurePackage;
import safe10.classmodel.hardware.failure.HWComponentPrototypeScope;
import safe10.classmodel.hardware.failure.HWFailureMode;
import safe10.classmodel.hardware.failure.HWFailureRate;
import safe10.classmodel.hardware.failure.HWFault;
import safe10.classmodel.hardware.failure.HWMultiplePointFaultEnum;
import safe10.classmodel.hardware.failure.HWPointFaultEnum;
import safe10.classmodel.hardware.failure.HardwareComponentFailure;
import safe10.classmodel.hardware.failure.HardwareFailureAnalysis;
import safe10.classmodel.hardware.failure.HwComponentScopeInstanceRef;

import safe10.classmodel.hardware.failureformula.FailureformulaPackage;

import safe10.classmodel.hardware.failureformula.impl.FailureformulaPackageImpl;

import safe10.classmodel.hardware.failurepart.FailurepartPackage;

import safe10.classmodel.hardware.failurepart.impl.FailurepartPackageImpl;

import safe10.classmodel.hardware.hwarchitecturalmetrics.HwarchitecturalmetricsPackage;

import safe10.classmodel.hardware.hwarchitecturalmetrics.impl.HwarchitecturalmetricsPackageImpl;

import safe10.classmodel.hardware.hwquantitativemeasure.HwquantitativemeasurePackage;

import safe10.classmodel.hardware.hwquantitativemeasure.impl.HwquantitativemeasurePackageImpl;

import safe10.classmodel.hardware.probabilisticmethods.ProbabilisticmethodsPackage;

import safe10.classmodel.hardware.probabilisticmethods.impl.ProbabilisticmethodsPackageImpl;

import safe10.classmodel.hazards.HazardsPackage;

import safe10.classmodel.hazards.impl.HazardsPackageImpl;

import safe10.classmodel.requirements.impl.RequirementsPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.SoftwaresafetyrequirementsPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.actuatormonitor.ActuatormonitorPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.actuatormonitor.impl.ActuatormonitorPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.alivenessmonitor.AlivenessmonitorPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.alivenessmonitor.impl.AlivenessmonitorPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.comparison.ComparisonPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.comparison.impl.ComparisonPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.contextrangecheck.ContextrangecheckPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.contextrangecheck.impl.ContextrangecheckPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.cpuselftest.CpuselftestPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.cpuselftest.impl.CpuselftestPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.crcchecksum.CrcchecksumPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.crcchecksum.impl.CrcchecksumPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.filter.FilterPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.filter.impl.FilterPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.gradientcheck.GradientcheckPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.gradientcheck.impl.GradientcheckPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.healthmonitor.HealthmonitorPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.healthmonitor.impl.HealthmonitorPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.HeartbeatPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.impl.HeartbeatPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.impl.SoftwaresafetyrequirementsPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.memoryselftest.MemoryselftestPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.memoryselftest.impl.MemoryselftestPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.voting.VotingPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.voting.impl.VotingPackageImpl;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model <b>Package</b>.
 * <!-- end-user-doc -->
 * @generated
 */
public class FailurePackageImpl extends EPackageImpl implements FailurePackage
{
  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass hardwareFailureAnalysisEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass hardwareComponentFailureEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass hwFailureRateEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass hwFailureModeEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass hwFaultEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass hwComponentPrototypeScopeEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass hwComponentScopeInstanceRefEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EEnum hwMultiplePointFaultEnumEEnum = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EEnum hwPointFaultEnumEEnum = null;

  /**
   * Creates an instance of the model <b>Package</b>, registered with
   * {@link org.eclipse.emf.ecore.EPackage.Registry EPackage.Registry} by the package
   * package URI value.
   * <p>Note: the correct way to create the package is via the static
   * factory method {@link #init init()}, which also performs
   * initialization of the package, or returns the registered package,
   * if one already exists.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see org.eclipse.emf.ecore.EPackage.Registry
   * @see safe10.classmodel.hardware.failure.FailurePackage#eNS_URI
   * @see #init()
   * @generated
   */
  private FailurePackageImpl()
  {
    super(eNS_URI, FailureFactory.eINSTANCE);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private static boolean isInited = false;

  /**
   * Creates, registers, and initializes the <b>Package</b> for this model, and for any others upon which it depends.
   * 
   * <p>This method is used to initialize {@link FailurePackage#eINSTANCE} when that field is accessed.
   * Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #eNS_URI
   * @see #createPackageContents()
   * @see #initializePackageContents()
   * @generated
   */
  public static FailurePackage init()
  {
    if (isInited) return (FailurePackage)EPackage.Registry.INSTANCE.getEPackage(FailurePackage.eNS_URI);

    // Obtain or create and register package
    FailurePackageImpl theFailurePackage = (FailurePackageImpl)(EPackage.Registry.INSTANCE.get(eNS_URI) instanceof FailurePackageImpl ? EPackage.Registry.INSTANCE.get(eNS_URI) : new FailurePackageImpl());

    isInited = true;

    // Initialize simple dependencies
    SystemmodelingPackage.eINSTANCE.eClass();
    FeaturemodelingPackage.eINSTANCE.eClass();
    VehiclefeaturemodelingPackage.eINSTANCE.eClass();
    FunctionmodelingPackage.eINSTANCE.eClass();
    HardwaremodelingPackage.eINSTANCE.eClass();
    RequirementsPackage.eINSTANCE.eClass();
    EnvironmentPackage.eINSTANCE.eClass();
    EcuresourcePackage.eINSTANCE.eClass();
    ModedeclarationPackage.eINSTANCE.eClass();
    DataprototypesPackage.eINSTANCE.eClass();
    CompositionPackage.eINSTANCE.eClass();
    ComponentsPackage.eINSTANCE.eClass();
    PortinterfacePackage.eINSTANCE.eClass();
    SwcinternalbehaviorPackage.eINSTANCE.eClass();
    SystemPackage.eINSTANCE.eClass();
    BswoverviewPackage.eINSTANCE.eClass();
    BswinterfacesPackage.eINSTANCE.eClass();

    // Obtain or create and register interdependencies
    DatatypesPackageImpl theDatatypesPackage = (DatatypesPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(DatatypesPackage.eNS_URI) instanceof DatatypesPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(DatatypesPackage.eNS_URI) : DatatypesPackage.eINSTANCE);
    FormulaexpressionPackageImpl theFormulaexpressionPackage = (FormulaexpressionPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(FormulaexpressionPackage.eNS_URI) instanceof FormulaexpressionPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(FormulaexpressionPackage.eNS_URI) : FormulaexpressionPackage.eINSTANCE);
    ReferencesPackageImpl theReferencesPackage = (ReferencesPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ReferencesPackage.eNS_URI) instanceof ReferencesPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ReferencesPackage.eNS_URI) : ReferencesPackage.eINSTANCE);
    ChromosomereferencesPackageImpl theChromosomereferencesPackage = (ChromosomereferencesPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ChromosomereferencesPackage.eNS_URI) instanceof ChromosomereferencesPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ChromosomereferencesPackage.eNS_URI) : ChromosomereferencesPackage.eINSTANCE);
    SafetyextensionsPackageImpl theSafetyextensionsPackage = (SafetyextensionsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(SafetyextensionsPackage.eNS_URI) instanceof SafetyextensionsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(SafetyextensionsPackage.eNS_URI) : SafetyextensionsPackage.eINSTANCE);
    SoftwaresafetyextensionPackageImpl theSoftwaresafetyextensionPackage = (SoftwaresafetyextensionPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(SoftwaresafetyextensionPackage.eNS_URI) instanceof SoftwaresafetyextensionPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(SoftwaresafetyextensionPackage.eNS_URI) : SoftwaresafetyextensionPackage.eINSTANCE);
    TechnicalsafetyextensionPackageImpl theTechnicalsafetyextensionPackage = (TechnicalsafetyextensionPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(TechnicalsafetyextensionPackage.eNS_URI) instanceof TechnicalsafetyextensionPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(TechnicalsafetyextensionPackage.eNS_URI) : TechnicalsafetyextensionPackage.eINSTANCE);
    ToplevelPackageImpl theToplevelPackage = (ToplevelPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ToplevelPackage.eNS_URI) instanceof ToplevelPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ToplevelPackage.eNS_URI) : ToplevelPackage.eINSTANCE);
    ConfigurationPackageImpl theConfigurationPackage = (ConfigurationPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ConfigurationPackage.eNS_URI) instanceof ConfigurationPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ConfigurationPackage.eNS_URI) : ConfigurationPackage.eINSTANCE);
    ErrormodelPackageImpl theErrormodelPackage = (ErrormodelPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ErrormodelPackage.eNS_URI) instanceof ErrormodelPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ErrormodelPackage.eNS_URI) : ErrormodelPackage.eINSTANCE);
    _instancerefPackageImpl the_instancerefPackage = (_instancerefPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(_instancerefPackage.eNS_URI) instanceof _instancerefPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(_instancerefPackage.eNS_URI) : _instancerefPackage.eINSTANCE);
    ErrorbehaviorPackageImpl theErrorbehaviorPackage = (ErrorbehaviorPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ErrorbehaviorPackage.eNS_URI) instanceof ErrorbehaviorPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ErrorbehaviorPackage.eNS_URI) : ErrorbehaviorPackage.eINSTANCE);
    ErrormodeltypePackageImpl theErrormodeltypePackage = (ErrormodeltypePackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ErrormodeltypePackage.eNS_URI) instanceof ErrormodeltypePackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ErrormodeltypePackage.eNS_URI) : ErrormodeltypePackage.eINSTANCE);
    MalfunctionPackageImpl theMalfunctionPackage = (MalfunctionPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(MalfunctionPackage.eNS_URI) instanceof MalfunctionPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(MalfunctionPackage.eNS_URI) : MalfunctionPackage.eINSTANCE);
    FailureformulaPackageImpl theFailureformulaPackage = (FailureformulaPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(FailureformulaPackage.eNS_URI) instanceof FailureformulaPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(FailureformulaPackage.eNS_URI) : FailureformulaPackage.eINSTANCE);
    FailurepartPackageImpl theFailurepartPackage = (FailurepartPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(FailurepartPackage.eNS_URI) instanceof FailurepartPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(FailurepartPackage.eNS_URI) : FailurepartPackage.eINSTANCE);
    HwquantitativemeasurePackageImpl theHwquantitativemeasurePackage = (HwquantitativemeasurePackageImpl)(EPackage.Registry.INSTANCE.getEPackage(HwquantitativemeasurePackage.eNS_URI) instanceof HwquantitativemeasurePackageImpl ? EPackage.Registry.INSTANCE.getEPackage(HwquantitativemeasurePackage.eNS_URI) : HwquantitativemeasurePackage.eINSTANCE);
    HwarchitecturalmetricsPackageImpl theHwarchitecturalmetricsPackage = (HwarchitecturalmetricsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(HwarchitecturalmetricsPackage.eNS_URI) instanceof HwarchitecturalmetricsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(HwarchitecturalmetricsPackage.eNS_URI) : HwarchitecturalmetricsPackage.eINSTANCE);
    ProbabilisticmethodsPackageImpl theProbabilisticmethodsPackage = (ProbabilisticmethodsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ProbabilisticmethodsPackage.eNS_URI) instanceof ProbabilisticmethodsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ProbabilisticmethodsPackage.eNS_URI) : ProbabilisticmethodsPackage.eINSTANCE);
    HazardsPackageImpl theHazardsPackage = (HazardsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(HazardsPackage.eNS_URI) instanceof HazardsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(HazardsPackage.eNS_URI) : HazardsPackage.eINSTANCE);
    RequirementsPackageImpl theRequirementsPackage_1 = (RequirementsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(safe10.classmodel.requirements.RequirementsPackage.eNS_URI) instanceof RequirementsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(safe10.classmodel.requirements.RequirementsPackage.eNS_URI) : safe10.classmodel.requirements.RequirementsPackage.eINSTANCE);
    SoftwaresafetyrequirementsPackageImpl theSoftwaresafetyrequirementsPackage = (SoftwaresafetyrequirementsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(SoftwaresafetyrequirementsPackage.eNS_URI) instanceof SoftwaresafetyrequirementsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(SoftwaresafetyrequirementsPackage.eNS_URI) : SoftwaresafetyrequirementsPackage.eINSTANCE);
    AlivenessmonitorPackageImpl theAlivenessmonitorPackage = (AlivenessmonitorPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(AlivenessmonitorPackage.eNS_URI) instanceof AlivenessmonitorPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(AlivenessmonitorPackage.eNS_URI) : AlivenessmonitorPackage.eINSTANCE);
    ActuatormonitorPackageImpl theActuatormonitorPackage = (ActuatormonitorPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ActuatormonitorPackage.eNS_URI) instanceof ActuatormonitorPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ActuatormonitorPackage.eNS_URI) : ActuatormonitorPackage.eINSTANCE);
    CrcchecksumPackageImpl theCrcchecksumPackage = (CrcchecksumPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(CrcchecksumPackage.eNS_URI) instanceof CrcchecksumPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(CrcchecksumPackage.eNS_URI) : CrcchecksumPackage.eINSTANCE);
    ComparisonPackageImpl theComparisonPackage = (ComparisonPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ComparisonPackage.eNS_URI) instanceof ComparisonPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ComparisonPackage.eNS_URI) : ComparisonPackage.eINSTANCE);
    ContextrangecheckPackageImpl theContextrangecheckPackage = (ContextrangecheckPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ContextrangecheckPackage.eNS_URI) instanceof ContextrangecheckPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ContextrangecheckPackage.eNS_URI) : ContextrangecheckPackage.eINSTANCE);
    CpuselftestPackageImpl theCpuselftestPackage = (CpuselftestPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(CpuselftestPackage.eNS_URI) instanceof CpuselftestPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(CpuselftestPackage.eNS_URI) : CpuselftestPackage.eINSTANCE);
    FilterPackageImpl theFilterPackage = (FilterPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(FilterPackage.eNS_URI) instanceof FilterPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(FilterPackage.eNS_URI) : FilterPackage.eINSTANCE);
    GradientcheckPackageImpl theGradientcheckPackage = (GradientcheckPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(GradientcheckPackage.eNS_URI) instanceof GradientcheckPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(GradientcheckPackage.eNS_URI) : GradientcheckPackage.eINSTANCE);
    HealthmonitorPackageImpl theHealthmonitorPackage = (HealthmonitorPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(HealthmonitorPackage.eNS_URI) instanceof HealthmonitorPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(HealthmonitorPackage.eNS_URI) : HealthmonitorPackage.eINSTANCE);
    HeartbeatPackageImpl theHeartbeatPackage = (HeartbeatPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(HeartbeatPackage.eNS_URI) instanceof HeartbeatPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(HeartbeatPackage.eNS_URI) : HeartbeatPackage.eINSTANCE);
    MemoryselftestPackageImpl theMemoryselftestPackage = (MemoryselftestPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(MemoryselftestPackage.eNS_URI) instanceof MemoryselftestPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(MemoryselftestPackage.eNS_URI) : MemoryselftestPackage.eINSTANCE);
    VotingPackageImpl theVotingPackage = (VotingPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(VotingPackage.eNS_URI) instanceof VotingPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(VotingPackage.eNS_URI) : VotingPackage.eINSTANCE);
    safe10.classmodel.software.configuration.impl.ConfigurationPackageImpl theConfigurationPackage_1 = (safe10.classmodel.software.configuration.impl.ConfigurationPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(safe10.classmodel.software.configuration.ConfigurationPackage.eNS_URI) instanceof safe10.classmodel.software.configuration.impl.ConfigurationPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(safe10.classmodel.software.configuration.ConfigurationPackage.eNS_URI) : safe10.classmodel.software.configuration.ConfigurationPackage.eINSTANCE);

    // Create package meta-data objects
    theFailurePackage.createPackageContents();
    theDatatypesPackage.createPackageContents();
    theFormulaexpressionPackage.createPackageContents();
    theReferencesPackage.createPackageContents();
    theChromosomereferencesPackage.createPackageContents();
    theSafetyextensionsPackage.createPackageContents();
    theSoftwaresafetyextensionPackage.createPackageContents();
    theTechnicalsafetyextensionPackage.createPackageContents();
    theToplevelPackage.createPackageContents();
    theConfigurationPackage.createPackageContents();
    theErrormodelPackage.createPackageContents();
    the_instancerefPackage.createPackageContents();
    theErrorbehaviorPackage.createPackageContents();
    theErrormodeltypePackage.createPackageContents();
    theMalfunctionPackage.createPackageContents();
    theFailureformulaPackage.createPackageContents();
    theFailurepartPackage.createPackageContents();
    theHwquantitativemeasurePackage.createPackageContents();
    theHwarchitecturalmetricsPackage.createPackageContents();
    theProbabilisticmethodsPackage.createPackageContents();
    theHazardsPackage.createPackageContents();
    theRequirementsPackage_1.createPackageContents();
    theSoftwaresafetyrequirementsPackage.createPackageContents();
    theAlivenessmonitorPackage.createPackageContents();
    theActuatormonitorPackage.createPackageContents();
    theCrcchecksumPackage.createPackageContents();
    theComparisonPackage.createPackageContents();
    theContextrangecheckPackage.createPackageContents();
    theCpuselftestPackage.createPackageContents();
    theFilterPackage.createPackageContents();
    theGradientcheckPackage.createPackageContents();
    theHealthmonitorPackage.createPackageContents();
    theHeartbeatPackage.createPackageContents();
    theMemoryselftestPackage.createPackageContents();
    theVotingPackage.createPackageContents();
    theConfigurationPackage_1.createPackageContents();

    // Initialize created meta-data
    theFailurePackage.initializePackageContents();
    theDatatypesPackage.initializePackageContents();
    theFormulaexpressionPackage.initializePackageContents();
    theReferencesPackage.initializePackageContents();
    theChromosomereferencesPackage.initializePackageContents();
    theSafetyextensionsPackage.initializePackageContents();
    theSoftwaresafetyextensionPackage.initializePackageContents();
    theTechnicalsafetyextensionPackage.initializePackageContents();
    theToplevelPackage.initializePackageContents();
    theConfigurationPackage.initializePackageContents();
    theErrormodelPackage.initializePackageContents();
    the_instancerefPackage.initializePackageContents();
    theErrorbehaviorPackage.initializePackageContents();
    theErrormodeltypePackage.initializePackageContents();
    theMalfunctionPackage.initializePackageContents();
    theFailureformulaPackage.initializePackageContents();
    theFailurepartPackage.initializePackageContents();
    theHwquantitativemeasurePackage.initializePackageContents();
    theHwarchitecturalmetricsPackage.initializePackageContents();
    theProbabilisticmethodsPackage.initializePackageContents();
    theHazardsPackage.initializePackageContents();
    theRequirementsPackage_1.initializePackageContents();
    theSoftwaresafetyrequirementsPackage.initializePackageContents();
    theAlivenessmonitorPackage.initializePackageContents();
    theActuatormonitorPackage.initializePackageContents();
    theCrcchecksumPackage.initializePackageContents();
    theComparisonPackage.initializePackageContents();
    theContextrangecheckPackage.initializePackageContents();
    theCpuselftestPackage.initializePackageContents();
    theFilterPackage.initializePackageContents();
    theGradientcheckPackage.initializePackageContents();
    theHealthmonitorPackage.initializePackageContents();
    theHeartbeatPackage.initializePackageContents();
    theMemoryselftestPackage.initializePackageContents();
    theVotingPackage.initializePackageContents();
    theConfigurationPackage_1.initializePackageContents();

    // Mark meta-data to indicate it can't be changed
    theFailurePackage.freeze();

  
    // Update the registry and return the package
    EPackage.Registry.INSTANCE.put(FailurePackage.eNS_URI, theFailurePackage);
    return theFailurePackage;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getHardwareFailureAnalysis()
  {
    return hardwareFailureAnalysisEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getHardwareFailureAnalysis_MalfunctionAnalysis()
  {
    return (EReference)hardwareFailureAnalysisEClass.getEStructuralFeatures().get(0);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getHardwareFailureAnalysis_NameWasNotSet_1()
  {
    return (EReference)hardwareFailureAnalysisEClass.getEStructuralFeatures().get(1);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getHardwareFailureAnalysis_HardwareComponentScope()
  {
    return (EReference)hardwareFailureAnalysisEClass.getEStructuralFeatures().get(2);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getHardwareFailureAnalysis_HardwareQuantifiedAnalysis()
  {
    return (EReference)hardwareFailureAnalysisEClass.getEStructuralFeatures().get(3);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getHardwareComponentFailure()
  {
    return hardwareComponentFailureEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getHardwareComponentFailure_NameWasNotSet_2()
  {
    return (EReference)hardwareComponentFailureEClass.getEStructuralFeatures().get(0);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getHardwareComponentFailure_HwFailureRate()
  {
    return (EReference)hardwareComponentFailureEClass.getEStructuralFeatures().get(1);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getHardwareComponentFailure_HwFailureMode()
  {
    return (EReference)hardwareComponentFailureEClass.getEStructuralFeatures().get(2);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getHWFailureRate()
  {
    return hwFailureRateEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getHWFailureRate_AllocatedValue()
  {
    return (EAttribute)hwFailureRateEClass.getEStructuralFeatures().get(0);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getHWFailureRate_RationaleScalingFactor()
  {
    return (EAttribute)hwFailureRateEClass.getEStructuralFeatures().get(1);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getHWFailureRate_ScalingFactor()
  {
    return (EAttribute)hwFailureRateEClass.getEStructuralFeatures().get(2);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getHWFailureRate_Source()
  {
    return (EAttribute)hwFailureRateEClass.getEStructuralFeatures().get(3);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getHWFailureMode()
  {
    return hwFailureModeEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getHWFailureMode_AllocatedFailureRateDistribution()
  {
    return (EAttribute)hwFailureModeEClass.getEStructuralFeatures().get(0);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getHWFailureMode_FailureModeType()
  {
    return (EAttribute)hwFailureModeEClass.getEStructuralFeatures().get(1);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getHWFailureMode_PotentialCause()
  {
    return (EAttribute)hwFailureModeEClass.getEStructuralFeatures().get(2);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getHWFault()
  {
    return hwFaultEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getHWFault_HwFaultType()
  {
    return (EAttribute)hwFaultEClass.getEStructuralFeatures().get(0);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getHWFault_LambdaFailureModeValue()
  {
    return (EReference)hwFaultEClass.getEStructuralFeatures().get(1);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getHWFault_HwFailureMode()
  {
    return (EReference)hwFaultEClass.getEStructuralFeatures().get(2);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getHWFault_HwFailureModeSingleContribution()
  {
    return (EReference)hwFaultEClass.getEStructuralFeatures().get(3);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getHWComponentPrototypeScope()
  {
    return hwComponentPrototypeScopeEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getHWComponentPrototypeScope_SafetyRelated()
  {
    return (EAttribute)hwComponentPrototypeScopeEClass.getEStructuralFeatures().get(0);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getHWComponentPrototypeScope_NameWasNotSet_3()
  {
    return (EReference)hwComponentPrototypeScopeEClass.getEStructuralFeatures().get(1);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getHWComponentPrototypeScope_HwFaultCharacterization()
  {
    return (EReference)hwComponentPrototypeScopeEClass.getEStructuralFeatures().get(2);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getHWComponentPrototypeScope_HwComponentScopeInstanceRefContext()
  {
    return (EReference)hwComponentPrototypeScopeEClass.getEStructuralFeatures().get(3);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getHwComponentScopeInstanceRef()
  {
    return hwComponentScopeInstanceRefEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getHwComponentScopeInstanceRef_NameWasNotSet_4()
  {
    return (EReference)hwComponentScopeInstanceRefEClass.getEStructuralFeatures().get(0);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getHwComponentScopeInstanceRef_BaseHwcomponentScope()
  {
    return (EReference)hwComponentScopeInstanceRefEClass.getEStructuralFeatures().get(1);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getHwComponentScopeInstanceRef_ContextHwComponentScope()
  {
    return (EReference)hwComponentScopeInstanceRefEClass.getEStructuralFeatures().get(2);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getHwComponentScopeInstanceRef_TargetHwComponentScope()
  {
    return (EReference)hwComponentScopeInstanceRefEClass.getEStructuralFeatures().get(3);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EEnum getHWMultiplePointFaultEnum()
  {
    return hwMultiplePointFaultEnumEEnum;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EEnum getHWPointFaultEnum()
  {
    return hwPointFaultEnumEEnum;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public FailureFactory getFailureFactory()
  {
    return (FailureFactory)getEFactoryInstance();
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private boolean isCreated = false;

  /**
   * Creates the meta-model objects for the package.  This method is
   * guarded to have no affect on any invocation but its first.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void createPackageContents()
  {
    if (isCreated) return;
    isCreated = true;

    // Create classes and their features
    hardwareFailureAnalysisEClass = createEClass(HARDWARE_FAILURE_ANALYSIS);
    createEReference(hardwareFailureAnalysisEClass, HARDWARE_FAILURE_ANALYSIS__MALFUNCTION_ANALYSIS);
    createEReference(hardwareFailureAnalysisEClass, HARDWARE_FAILURE_ANALYSIS__NAME_WAS_NOT_SET_1);
    createEReference(hardwareFailureAnalysisEClass, HARDWARE_FAILURE_ANALYSIS__HARDWARE_COMPONENT_SCOPE);
    createEReference(hardwareFailureAnalysisEClass, HARDWARE_FAILURE_ANALYSIS__HARDWARE_QUANTIFIED_ANALYSIS);

    hardwareComponentFailureEClass = createEClass(HARDWARE_COMPONENT_FAILURE);
    createEReference(hardwareComponentFailureEClass, HARDWARE_COMPONENT_FAILURE__NAME_WAS_NOT_SET_2);
    createEReference(hardwareComponentFailureEClass, HARDWARE_COMPONENT_FAILURE__HW_FAILURE_RATE);
    createEReference(hardwareComponentFailureEClass, HARDWARE_COMPONENT_FAILURE__HW_FAILURE_MODE);

    hwFailureRateEClass = createEClass(HW_FAILURE_RATE);
    createEAttribute(hwFailureRateEClass, HW_FAILURE_RATE__ALLOCATED_VALUE);
    createEAttribute(hwFailureRateEClass, HW_FAILURE_RATE__RATIONALE_SCALING_FACTOR);
    createEAttribute(hwFailureRateEClass, HW_FAILURE_RATE__SCALING_FACTOR);
    createEAttribute(hwFailureRateEClass, HW_FAILURE_RATE__SOURCE);

    hwFailureModeEClass = createEClass(HW_FAILURE_MODE);
    createEAttribute(hwFailureModeEClass, HW_FAILURE_MODE__ALLOCATED_FAILURE_RATE_DISTRIBUTION);
    createEAttribute(hwFailureModeEClass, HW_FAILURE_MODE__FAILURE_MODE_TYPE);
    createEAttribute(hwFailureModeEClass, HW_FAILURE_MODE__POTENTIAL_CAUSE);

    hwFaultEClass = createEClass(HW_FAULT);
    createEAttribute(hwFaultEClass, HW_FAULT__HW_FAULT_TYPE);
    createEReference(hwFaultEClass, HW_FAULT__LAMBDA_FAILURE_MODE_VALUE);
    createEReference(hwFaultEClass, HW_FAULT__HW_FAILURE_MODE);
    createEReference(hwFaultEClass, HW_FAULT__HW_FAILURE_MODE_SINGLE_CONTRIBUTION);

    hwComponentPrototypeScopeEClass = createEClass(HW_COMPONENT_PROTOTYPE_SCOPE);
    createEAttribute(hwComponentPrototypeScopeEClass, HW_COMPONENT_PROTOTYPE_SCOPE__SAFETY_RELATED);
    createEReference(hwComponentPrototypeScopeEClass, HW_COMPONENT_PROTOTYPE_SCOPE__NAME_WAS_NOT_SET_3);
    createEReference(hwComponentPrototypeScopeEClass, HW_COMPONENT_PROTOTYPE_SCOPE__HW_FAULT_CHARACTERIZATION);
    createEReference(hwComponentPrototypeScopeEClass, HW_COMPONENT_PROTOTYPE_SCOPE__HW_COMPONENT_SCOPE_INSTANCE_REF_CONTEXT);

    hwComponentScopeInstanceRefEClass = createEClass(HW_COMPONENT_SCOPE_INSTANCE_REF);
    createEReference(hwComponentScopeInstanceRefEClass, HW_COMPONENT_SCOPE_INSTANCE_REF__NAME_WAS_NOT_SET_4);
    createEReference(hwComponentScopeInstanceRefEClass, HW_COMPONENT_SCOPE_INSTANCE_REF__BASE_HWCOMPONENT_SCOPE);
    createEReference(hwComponentScopeInstanceRefEClass, HW_COMPONENT_SCOPE_INSTANCE_REF__CONTEXT_HW_COMPONENT_SCOPE);
    createEReference(hwComponentScopeInstanceRefEClass, HW_COMPONENT_SCOPE_INSTANCE_REF__TARGET_HW_COMPONENT_SCOPE);

    // Create enums
    hwMultiplePointFaultEnumEEnum = createEEnum(HW_MULTIPLE_POINT_FAULT_ENUM);
    hwPointFaultEnumEEnum = createEEnum(HW_POINT_FAULT_ENUM);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private boolean isInitialized = false;

  /**
   * Complete the initialization of the package and its meta-model.  This
   * method is guarded to have no affect on any invocation but its first.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void initializePackageContents()
  {
    if (isInitialized) return;
    isInitialized = true;

    // Initialize package
    setName(eNAME);
    setNsPrefix(eNS_PREFIX);
    setNsURI(eNS_URI);

    // Obtain other dependent packages
    MalfunctionPackage theMalfunctionPackage = (MalfunctionPackage)EPackage.Registry.INSTANCE.getEPackage(MalfunctionPackage.eNS_URI);
    TechnicalsafetyextensionPackage theTechnicalsafetyextensionPackage = (TechnicalsafetyextensionPackage)EPackage.Registry.INSTANCE.getEPackage(TechnicalsafetyextensionPackage.eNS_URI);
    HwquantitativemeasurePackage theHwquantitativemeasurePackage = (HwquantitativemeasurePackage)EPackage.Registry.INSTANCE.getEPackage(HwquantitativemeasurePackage.eNS_URI);
    ToplevelPackage theToplevelPackage = (ToplevelPackage)EPackage.Registry.INSTANCE.getEPackage(ToplevelPackage.eNS_URI);
    DatatypesPackage theDatatypesPackage = (DatatypesPackage)EPackage.Registry.INSTANCE.getEPackage(DatatypesPackage.eNS_URI);
    FailurepartPackage theFailurepartPackage = (FailurepartPackage)EPackage.Registry.INSTANCE.getEPackage(FailurepartPackage.eNS_URI);
    HardwaremodelingPackage theHardwaremodelingPackage = (HardwaremodelingPackage)EPackage.Registry.INSTANCE.getEPackage(HardwaremodelingPackage.eNS_URI);

    // Create type parameters

    // Set bounds for type parameters

    // Add supertypes to classes
    hwFailureRateEClass.getESuperTypes().add(theToplevelPackage.getReferrable());
    hwFailureModeEClass.getESuperTypes().add(theToplevelPackage.getReferrable());
    hwFailureModeEClass.getESuperTypes().add(theMalfunctionPackage.getMalfunctionType());
    hwFaultEClass.getESuperTypes().add(theToplevelPackage.getReferrable());

    // Initialize classes and features; add operations and parameters
    initEClass(hardwareFailureAnalysisEClass, HardwareFailureAnalysis.class, "HardwareFailureAnalysis", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
    initEReference(getHardwareFailureAnalysis_MalfunctionAnalysis(), theMalfunctionPackage.getMalfunctionPrototype(), null, "malfunctionAnalysis", null, 1, 1, HardwareFailureAnalysis.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEReference(getHardwareFailureAnalysis_NameWasNotSet_1(), theTechnicalsafetyextensionPackage.getHardwareSafetyDesign(), theTechnicalsafetyextensionPackage.getHardwareSafetyDesign_HarwdareSafetyAnalysis(), "NameWasNotSet_1", null, 0, 1, HardwareFailureAnalysis.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEReference(getHardwareFailureAnalysis_HardwareComponentScope(), this.getHWComponentPrototypeScope(), this.getHWComponentPrototypeScope_NameWasNotSet_3(), "hardwareComponentScope", null, 0, -1, HardwareFailureAnalysis.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEReference(getHardwareFailureAnalysis_HardwareQuantifiedAnalysis(), theHwquantitativemeasurePackage.getHWQuantitativeFailureAnalysis(), theHwquantitativemeasurePackage.getHWQuantitativeFailureAnalysis_NameWasNotSet_8(), "hardwareQuantifiedAnalysis", null, 0, 1, HardwareFailureAnalysis.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

    initEClass(hardwareComponentFailureEClass, HardwareComponentFailure.class, "HardwareComponentFailure", IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
    initEReference(getHardwareComponentFailure_NameWasNotSet_2(), theTechnicalsafetyextensionPackage.getHardwareSafetyDesign(), theTechnicalsafetyextensionPackage.getHardwareSafetyDesign_RandomHarwareFailure(), "NameWasNotSet_2", null, 0, 1, HardwareComponentFailure.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEReference(getHardwareComponentFailure_HwFailureRate(), this.getHWFailureRate(), null, "hwFailureRate", null, 1, 1, HardwareComponentFailure.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEReference(getHardwareComponentFailure_HwFailureMode(), this.getHWFailureMode(), null, "hwFailureMode", null, 1, -1, HardwareComponentFailure.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

    initEClass(hwFailureRateEClass, HWFailureRate.class, "HWFailureRate", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
    initEAttribute(getHWFailureRate_AllocatedValue(), theDatatypesPackage.getFloat(), "allocatedValue", "0.0", 1, 1, HWFailureRate.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getHWFailureRate_RationaleScalingFactor(), theDatatypesPackage.getString(), "rationaleScalingFactor", "", 1, 1, HWFailureRate.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getHWFailureRate_ScalingFactor(), theDatatypesPackage.getFloat(), "scalingFactor", "0.0", 1, 1, HWFailureRate.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getHWFailureRate_Source(), theDatatypesPackage.getString(), "source", "", 1, 1, HWFailureRate.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

    initEClass(hwFailureModeEClass, HWFailureMode.class, "HWFailureMode", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
    initEAttribute(getHWFailureMode_AllocatedFailureRateDistribution(), theDatatypesPackage.getFloat(), "allocatedFailureRateDistribution", "0.0", 1, 1, HWFailureMode.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getHWFailureMode_FailureModeType(), theDatatypesPackage.getString(), "failureModeType", "", 1, 1, HWFailureMode.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getHWFailureMode_PotentialCause(), theDatatypesPackage.getString(), "potentialCause", "", 1, 1, HWFailureMode.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

    initEClass(hwFaultEClass, HWFault.class, "HWFault", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
    initEAttribute(getHWFault_HwFaultType(), this.getHWPointFaultEnum(), "hwFaultType", "SAFEFAULT", 1, 1, HWFault.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEReference(getHWFault_LambdaFailureModeValue(), theFailurepartPackage.getHWComponentQuantifiedFMFromPart(), null, "lambdaFailureModeValue", null, 0, 1, HWFault.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEReference(getHWFault_HwFailureMode(), this.getHWFailureMode(), null, "hwFailureMode", null, 1, 1, HWFault.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEReference(getHWFault_HwFailureModeSingleContribution(), theHwquantitativemeasurePackage.getHWFMSingleContribution(), theHwquantitativemeasurePackage.getHWFMSingleContribution_NameWasNotSet_7(), "hwFailureModeSingleContribution", null, 0, 1, HWFault.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

    initEClass(hwComponentPrototypeScopeEClass, HWComponentPrototypeScope.class, "HWComponentPrototypeScope", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
    initEAttribute(getHWComponentPrototypeScope_SafetyRelated(), theDatatypesPackage.getBoolean(), "safetyRelated", "false", 1, 1, HWComponentPrototypeScope.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEReference(getHWComponentPrototypeScope_NameWasNotSet_3(), this.getHardwareFailureAnalysis(), this.getHardwareFailureAnalysis_HardwareComponentScope(), "NameWasNotSet_3", null, 0, 1, HWComponentPrototypeScope.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEReference(getHWComponentPrototypeScope_HwFaultCharacterization(), this.getHWFault(), null, "hwFaultCharacterization", null, 0, -1, HWComponentPrototypeScope.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEReference(getHWComponentPrototypeScope_HwComponentScopeInstanceRefContext(), this.getHwComponentScopeInstanceRef(), this.getHwComponentScopeInstanceRef_NameWasNotSet_4(), "hwComponentScopeInstanceRefContext", null, 1, 1, HWComponentPrototypeScope.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

    initEClass(hwComponentScopeInstanceRefEClass, HwComponentScopeInstanceRef.class, "HwComponentScopeInstanceRef", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
    initEReference(getHwComponentScopeInstanceRef_NameWasNotSet_4(), this.getHWComponentPrototypeScope(), this.getHWComponentPrototypeScope_HwComponentScopeInstanceRefContext(), "NameWasNotSet_4", null, 0, 1, HwComponentScopeInstanceRef.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEReference(getHwComponentScopeInstanceRef_BaseHwcomponentScope(), theHardwaremodelingPackage.getHardwareComponentType(), null, "baseHwcomponentScope", null, 0, 1, HwComponentScopeInstanceRef.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEReference(getHwComponentScopeInstanceRef_ContextHwComponentScope(), theHardwaremodelingPackage.getHardwareComponentPrototype(), null, "contextHwComponentScope", null, 0, 1, HwComponentScopeInstanceRef.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEReference(getHwComponentScopeInstanceRef_TargetHwComponentScope(), theHardwaremodelingPackage.getHardwareComponentPrototype(), null, "targetHwComponentScope", null, 0, 1, HwComponentScopeInstanceRef.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

    // Initialize enums and add enum literals
    initEEnum(hwMultiplePointFaultEnumEEnum, HWMultiplePointFaultEnum.class, "HWMultiplePointFaultEnum");
    addEEnumLiteral(hwMultiplePointFaultEnumEEnum, HWMultiplePointFaultEnum.NO_MULTIPLE_POINT_FAULT);
    addEEnumLiteral(hwMultiplePointFaultEnumEEnum, HWMultiplePointFaultEnum.DUAL_POINT_FAULT);
    addEEnumLiteral(hwMultiplePointFaultEnumEEnum, HWMultiplePointFaultEnum.TRIPLE_POINT_FAULT);
    addEEnumLiteral(hwMultiplePointFaultEnumEEnum, HWMultiplePointFaultEnum.OTHERS_ORDER_POINT_FAULT);

    initEEnum(hwPointFaultEnumEEnum, HWPointFaultEnum.class, "HWPointFaultEnum");
    addEEnumLiteral(hwPointFaultEnumEEnum, HWPointFaultEnum.SAFE_FAULT);
    addEEnumLiteral(hwPointFaultEnumEEnum, HWPointFaultEnum.SINGLE_POINT_FAULT);
    addEEnumLiteral(hwPointFaultEnumEEnum, HWPointFaultEnum.DUAL_POINT_FAULT);
    addEEnumLiteral(hwPointFaultEnumEEnum, HWPointFaultEnum.OTHERS_POINT_FAULT);

    // Create resource
    createResource(eNS_URI);

    // Create annotations
    // MetaData
    createMetaDataAnnotations();
    // TaggedValues
    createTaggedValuesAnnotations();
    // EAAdapter
    createEAAdapterAnnotations();
    // Stereotype
    createStereotypeAnnotations();
  }

  /**
   * Initializes the annotations for <b>MetaData</b>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected void createMetaDataAnnotations()
  {
    String source = "MetaData";		
    addAnnotation
      (this, 
       source, 
       new String[] 
       {
       "guid", "{BC9AE78A-88EF-40cd-B8FF-88F304217074}",
       "id", "-755611955",
       "EA name", "Failure"
       });					
    addAnnotation
      (hardwareFailureAnalysisEClass, 
       source, 
       new String[] 
       {
       "guid", "{9F535868-C076-4004-ABEA-A6662698FABE}",
       "id", "1420910910",
       "EA name", "HardwareFailureAnalysis"
       });					
    addAnnotation
      (getHardwareFailureAnalysis_MalfunctionAnalysis(), 
       source, 
       new String[] 
       {
       "guid", "{8F2CE73F-FD6F-4b59-B2DC-37350E265FEC}",
       "id", "-1150462117",
       "EA name", ""
       });				
    addAnnotation
      (getHardwareFailureAnalysis_NameWasNotSet_1(), 
       source, 
       new String[] 
       {
       "guid", "{89B31C05-09CD-42c2-A73E-E7489E2B78C6}",
       "id", "527913069",
       "EA name", ""
       });								
    addAnnotation
      (hardwareComponentFailureEClass, 
       source, 
       new String[] 
       {
       "guid", "{9F96702C-C7D8-49bb-9E7C-81C924EDD135}",
       "id", "215288450",
       "EA name", "HardwareComponentFailure"
       });					
    addAnnotation
      (getHardwareComponentFailure_NameWasNotSet_2(), 
       source, 
       new String[] 
       {
       "guid", "{6A6853A2-D3ED-4bf6-B9B2-B45FC4754708}",
       "id", "-1926490893",
       "EA name", ""
       });				
    addAnnotation
      (getHardwareComponentFailure_HwFailureRate(), 
       source, 
       new String[] 
       {
       "guid", "{FF71106F-D23B-4a8d-AE46-ECA3E9266614}",
       "id", "1879369852",
       "EA name", ""
       });				
    addAnnotation
      (getHardwareComponentFailure_HwFailureMode(), 
       source, 
       new String[] 
       {
       "guid", "{66DDDE36-8FDC-4031-89B8-C240A3D9D617}",
       "id", "165135646",
       "EA name", ""
       });				
    addAnnotation
      (hwFailureRateEClass, 
       source, 
       new String[] 
       {
       "guid", "{32FD7A40-EF7C-4c4e-9747-3F8F4E8587AA}",
       "id", "-1735479682",
       "EA name", "HWFailureRate"
       });					
    addAnnotation
      (getHWFailureRate_AllocatedValue(), 
       source, 
       new String[] 
       {
       "guid", "{6DEB2656-2372-4178-B326-3B4ED0C210A4}",
       "id", "-1420173273",
       "EA name", "allocatedValue"
       });					
    addAnnotation
      (getHWFailureRate_RationaleScalingFactor(), 
       source, 
       new String[] 
       {
       "guid", "{DE9B2BAE-5201-4424-A30F-B36EAB793D24}",
       "id", "-931365203",
       "EA name", "rationaleScalingFactor"
       });					
    addAnnotation
      (getHWFailureRate_ScalingFactor(), 
       source, 
       new String[] 
       {
       "guid", "{55472D52-3337-4a70-A2EB-B0B45057AF44}",
       "id", "569487978",
       "EA name", "scalingFactor"
       });					
    addAnnotation
      (getHWFailureRate_Source(), 
       source, 
       new String[] 
       {
       "guid", "{760FC84F-6A5B-4071-881F-2D94D1BAF7E7}",
       "id", "642226339",
       "EA name", "source"
       });					
    addAnnotation
      (hwFailureModeEClass, 
       source, 
       new String[] 
       {
       "guid", "{B27C36BE-7BD0-43c3-A023-C33DD8C8C225}",
       "id", "1199064744",
       "EA name", "HWFailureMode"
       });					
    addAnnotation
      (getHWFailureMode_AllocatedFailureRateDistribution(), 
       source, 
       new String[] 
       {
       "guid", "{B0626B41-8707-4d73-A559-6115ADF3E629}",
       "id", "27220873",
       "EA name", "allocatedFailureRateDistribution"
       });					
    addAnnotation
      (getHWFailureMode_FailureModeType(), 
       source, 
       new String[] 
       {
       "guid", "{0DA419D7-ADDF-41c3-9900-162D8F88F00F}",
       "id", "948547807",
       "EA name", "failureModeType"
       });					
    addAnnotation
      (getHWFailureMode_PotentialCause(), 
       source, 
       new String[] 
       {
       "guid", "{21663CD2-41C9-41b0-8AF3-5A6E7020E913}",
       "id", "-1042517708",
       "EA name", "potentialCause"
       });					
    addAnnotation
      (hwFaultEClass, 
       source, 
       new String[] 
       {
       "guid", "{36272151-D9B6-4c56-9EDE-442D02B473CE}",
       "id", "-784997424",
       "EA name", "HWFault"
       });					
    addAnnotation
      (getHWFault_HwFaultType(), 
       source, 
       new String[] 
       {
       "guid", "{C4C8E94B-25DE-4300-806D-EDFC2A8FF6D8}",
       "id", "354806673",
       "EA name", "hwFaultType"
       });					
    addAnnotation
      (getHWFault_LambdaFailureModeValue(), 
       source, 
       new String[] 
       {
       "guid", "{E82580F3-517B-4936-BC3A-D2D18E78F33D}",
       "id", "-2037698283",
       "EA name", ""
       });				
    addAnnotation
      (getHWFault_HwFailureMode(), 
       source, 
       new String[] 
       {
       "guid", "{D78C03A5-5EE4-463c-AE4C-D44B5F808386}",
       "id", "1443787530",
       "EA name", ""
       });						
    addAnnotation
      (hwComponentPrototypeScopeEClass, 
       source, 
       new String[] 
       {
       "guid", "{709647B8-E848-4c09-BDB8-F795F37CCCF3}",
       "id", "-1009160888",
       "EA name", "HWComponentPrototypeScope"
       });					
    addAnnotation
      (getHWComponentPrototypeScope_SafetyRelated(), 
       source, 
       new String[] 
       {
       "guid", "{FEB31D72-DE3F-481a-8EE7-26122D3D744F}",
       "id", "-1352211031",
       "EA name", "safetyRelated"
       });					
    addAnnotation
      (getHWComponentPrototypeScope_NameWasNotSet_3(), 
       source, 
       new String[] 
       {
       "guid", "{C4502C23-225F-47d5-8FD2-A94884AEE8BE}",
       "id", "-1053431883",
       "EA name", ""
       });				
    addAnnotation
      (getHWComponentPrototypeScope_HwFaultCharacterization(), 
       source, 
       new String[] 
       {
       "guid", "{82DC3EBF-A42F-4198-AC5D-1DC91DF75805}",
       "id", "1225952639",
       "EA name", ""
       });						
    addAnnotation
      (hwMultiplePointFaultEnumEEnum, 
       source, 
       new String[] 
       {
       "guid", "{D0BA76C9-2832-45b7-A83F-38ABC0EBF210}",
       "id", "-11993698",
       "EA name", "HWMultiplePointFaultEnum"
       });													
    addAnnotation
      (hwPointFaultEnumEEnum, 
       source, 
       new String[] 
       {
       "guid", "{04DB7C21-1DE2-436f-8EFC-0CDF2058521C}",
       "id", "2139558478",
       "EA name", "HWPointFaultEnum"
       });														
    addAnnotation
      (hwComponentScopeInstanceRefEClass, 
       source, 
       new String[] 
       {
       "guid", "{2985040D-A695-42e6-87FA-98D5FF88A549}",
       "id", "1867991550",
       "EA name", "HwComponentScopeInstanceRef"
       });						
    addAnnotation
      (getHwComponentScopeInstanceRef_NameWasNotSet_4(), 
       source, 
       new String[] 
       {
       "guid", "{3326848E-818E-4837-B06F-3A1B7F29C486}",
       "id", "-1184401316",
       "EA name", ""
       });				
    addAnnotation
      (getHwComponentScopeInstanceRef_BaseHwcomponentScope(), 
       source, 
       new String[] 
       {
       "guid", "{288BDD73-1E0D-49ec-B54D-73ED0E745C89}",
       "id", "-1183828385",
       "EA name", ""
       });				
    addAnnotation
      (getHwComponentScopeInstanceRef_ContextHwComponentScope(), 
       source, 
       new String[] 
       {
       "guid", "{83E4ADBC-F389-4816-A58E-3AB026B30966}",
       "id", "71026216",
       "EA name", ""
       });					
    addAnnotation
      (getHwComponentScopeInstanceRef_TargetHwComponentScope(), 
       source, 
       new String[] 
       {
       "guid", "{FBBD81F2-0AEE-430d-BD91-D49DCFC832D6}",
       "id", "1473709546",
       "EA name", ""
       });			
  }

  /**
   * Initializes the annotations for <b>TaggedValues</b>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected void createTaggedValuesAnnotations()
  {
    String source = "TaggedValues";				
    addAnnotation
      (this, 
       source, 
       new String[] 
       {
       "xml.name", "FAILURE",
       "xml.namePlural", "FAILURES",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });					
    addAnnotation
      (hardwareFailureAnalysisEClass, 
       source, 
       new String[] 
       {
       "xml.name", "HARDWARE-FAILURE-ANALYSIS",
       "xml.namePlural", "HARDWARE-FAILURE-ANALYSISS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });				
    addAnnotation
      (getHardwareFailureAnalysis_MalfunctionAnalysis(), 
       source, 
       new String[] 
       {
       "xml.name", "MALFUNCTION-ANALYSIS-REF",
       "xml.namePlural", "MALFUNCTION-ANALYSIS-REFS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });				
    addAnnotation
      (getHardwareFailureAnalysis_NameWasNotSet_1(), 
       source, 
       new String[] 
       {
       "xml.name", "NAME-WAS-NOT-SET-1-REF",
       "xml.namePlural", "NAME-WAS-NOT-SET-1-REFS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });			
    addAnnotation
      (getHardwareFailureAnalysis_HardwareComponentScope(), 
       source, 
       new String[] 
       {
       "xml.name", "HARDWARE-COMPONENT-SCOPE-REF",
       "xml.namePlural", "HARDWARE-COMPONENT-SCOPE-REFS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "true",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });			
    addAnnotation
      (getHardwareFailureAnalysis_HardwareQuantifiedAnalysis(), 
       source, 
       new String[] 
       {
       "xml.name", "HARDWARE-QUANTIFIED-ANALYSIS-REF",
       "xml.namePlural", "HARDWARE-QUANTIFIED-ANALYSIS-REFS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });					
    addAnnotation
      (hardwareComponentFailureEClass, 
       source, 
       new String[] 
       {
       "xml.name", "HARDWARE-COMPONENT-FAILURE",
       "xml.namePlural", "HARDWARE-COMPONENT-FAILURES",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });				
    addAnnotation
      (getHardwareComponentFailure_NameWasNotSet_2(), 
       source, 
       new String[] 
       {
       "xml.name", "NAME-WAS-NOT-SET-2-REF",
       "xml.namePlural", "NAME-WAS-NOT-SET-2-REFS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });				
    addAnnotation
      (getHardwareComponentFailure_HwFailureRate(), 
       source, 
       new String[] 
       {
       "xml.name", "HW-FAILURE-RATE",
       "xml.namePlural", "HW-FAILURE-RATES",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });				
    addAnnotation
      (getHardwareComponentFailure_HwFailureMode(), 
       source, 
       new String[] 
       {
       "xml.name", "HW-FAILURE-MODE",
       "xml.namePlural", "HW-FAILURE-MODES",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "false",
       "xml.roleWrapperElement", "true",
       "xml.typeElement", "true",
       "xml.typeWrapperElement", "false"
       });					
    addAnnotation
      (hwFailureRateEClass, 
       source, 
       new String[] 
       {
       "xml.name", "HW-FAILURE-RATE",
       "xml.namePlural", "HW-FAILURE-RATES",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });					
    addAnnotation
      (getHWFailureRate_AllocatedValue(), 
       source, 
       new String[] 
       {
       "xml.name", "ALLOCATED-VALUE",
       "xml.namePlural", "ALLOCATED-VALUES",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });					
    addAnnotation
      (getHWFailureRate_RationaleScalingFactor(), 
       source, 
       new String[] 
       {
       "xml.name", "RATIONALE-SCALING-FACTOR",
       "xml.namePlural", "RATIONALE-SCALING-FACTORS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });					
    addAnnotation
      (getHWFailureRate_ScalingFactor(), 
       source, 
       new String[] 
       {
       "xml.name", "SCALING-FACTOR",
       "xml.namePlural", "SCALING-FACTORS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });					
    addAnnotation
      (getHWFailureRate_Source(), 
       source, 
       new String[] 
       {
       "xml.name", "SOURCE",
       "xml.namePlural", "SOURCES",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });					
    addAnnotation
      (hwFailureModeEClass, 
       source, 
       new String[] 
       {
       "xml.name", "HW-FAILURE-MODE",
       "xml.namePlural", "HW-FAILURE-MODES",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });					
    addAnnotation
      (getHWFailureMode_AllocatedFailureRateDistribution(), 
       source, 
       new String[] 
       {
       "xml.name", "ALLOCATED-FAILURE-RATE-DISTRIBUTION",
       "xml.namePlural", "ALLOCATED-FAILURE-RATE-DISTRIBUTIONS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });					
    addAnnotation
      (getHWFailureMode_FailureModeType(), 
       source, 
       new String[] 
       {
       "xml.name", "FAILURE-MODE-TYPE",
       "xml.namePlural", "FAILURE-MODE-TYPES",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });					
    addAnnotation
      (getHWFailureMode_PotentialCause(), 
       source, 
       new String[] 
       {
       "xml.name", "POTENTIAL-CAUSE",
       "xml.namePlural", "POTENTIAL-CAUSES",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });					
    addAnnotation
      (hwFaultEClass, 
       source, 
       new String[] 
       {
       "xml.name", "HW-FAULT",
       "xml.namePlural", "HW-FAULTS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });					
    addAnnotation
      (getHWFault_HwFaultType(), 
       source, 
       new String[] 
       {
       "xml.name", "HW-FAULT-TYPE",
       "xml.namePlural", "HW-FAULT-TYPES",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });				
    addAnnotation
      (getHWFault_LambdaFailureModeValue(), 
       source, 
       new String[] 
       {
       "xml.name", "LAMBDA-FAILURE-MODE-VALUE-REF",
       "xml.namePlural", "LAMBDA-FAILURE-MODE-VALUE-REFS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });				
    addAnnotation
      (getHWFault_HwFailureMode(), 
       source, 
       new String[] 
       {
       "xml.name", "HW-FAILURE-MODE-REF",
       "xml.namePlural", "HW-FAILURE-MODE-REFS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });			
    addAnnotation
      (getHWFault_HwFailureModeSingleContribution(), 
       source, 
       new String[] 
       {
       "xml.name", "HW-FAILURE-MODE-SINGLE-CONTRIBUTION-REF",
       "xml.namePlural", "HW-FAILURE-MODE-SINGLE-CONTRIBUTION-REFS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });					
    addAnnotation
      (hwComponentPrototypeScopeEClass, 
       source, 
       new String[] 
       {
       "xml.name", "HW-COMPONENT-PROTOTYPE-SCOPE",
       "xml.namePlural", "HW-COMPONENT-PROTOTYPE-SCOPES",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });					
    addAnnotation
      (getHWComponentPrototypeScope_SafetyRelated(), 
       source, 
       new String[] 
       {
       "xml.name", "SAFETY-RELATED",
       "xml.namePlural", "SAFETY-RELATEDS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });				
    addAnnotation
      (getHWComponentPrototypeScope_NameWasNotSet_3(), 
       source, 
       new String[] 
       {
       "xml.name", "NAME-WAS-NOT-SET-3-REF",
       "xml.namePlural", "NAME-WAS-NOT-SET-3-REFS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });				
    addAnnotation
      (getHWComponentPrototypeScope_HwFaultCharacterization(), 
       source, 
       new String[] 
       {
       "xml.name", "HW-FAULT-CHARACTERIZATION-REF",
       "xml.namePlural", "HW-FAULT-CHARACTERIZATION-REFS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "true",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });			
    addAnnotation
      (getHWComponentPrototypeScope_HwComponentScopeInstanceRefContext(), 
       source, 
       new String[] 
       {
       "xml.name", "HW-COMPONENT-SCOPE-INSTANCE-REF-CONTEXT-REF",
       "xml.namePlural", "HW-COMPONENT-SCOPE-INSTANCE-REF-CONTEXT-REFS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });					
    addAnnotation
      (hwMultiplePointFaultEnumEEnum, 
       source, 
       new String[] 
       {
       "xml.name", "HW-MULTIPLE-POINT-FAULT-ENUM",
       "xml.namePlural", "HW-MULTIPLE-POINT-FAULT-ENUMS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (hwMultiplePointFaultEnumEEnum.getELiterals().get(0), 
       source, 
       new String[] 
       {
       "xml.name", "NO-MULTIPLE-POINT-FAULT",
       "xml.namePlural", "NO-MULTIPLE-POINT-FAULTS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (hwMultiplePointFaultEnumEEnum.getELiterals().get(1), 
       source, 
       new String[] 
       {
       "xml.name", "DUAL-POINT-FAULT",
       "xml.namePlural", "DUAL-POINT-FAULTS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (hwMultiplePointFaultEnumEEnum.getELiterals().get(2), 
       source, 
       new String[] 
       {
       "xml.name", "TRIPLE-POINT-FAULT",
       "xml.namePlural", "TRIPLE-POINT-FAULTS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (hwMultiplePointFaultEnumEEnum.getELiterals().get(3), 
       source, 
       new String[] 
       {
       "xml.name", "OTHERS-ORDER-POINT-FAULT",
       "xml.namePlural", "OTHERS-ORDER-POINT-FAULTS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });						
    addAnnotation
      (hwPointFaultEnumEEnum, 
       source, 
       new String[] 
       {
       "xml.name", "HW-POINT-FAULT-ENUM",
       "xml.namePlural", "HW-POINT-FAULT-ENUMS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (hwPointFaultEnumEEnum.getELiterals().get(0), 
       source, 
       new String[] 
       {
       "xml.name", "SAFE-FAULT",
       "xml.namePlural", "SAFE-FAULTS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (hwPointFaultEnumEEnum.getELiterals().get(1), 
       source, 
       new String[] 
       {
       "xml.name", "SINGLE-POINT-FAULT",
       "xml.namePlural", "SINGLE-POINT-FAULTS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (hwPointFaultEnumEEnum.getELiterals().get(2), 
       source, 
       new String[] 
       {
       "xml.name", "DUAL-POINT-FAULT",
       "xml.namePlural", "DUAL-POINT-FAULTS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (hwPointFaultEnumEEnum.getELiterals().get(3), 
       source, 
       new String[] 
       {
       "xml.name", "OTHERS-POINT-FAULT",
       "xml.namePlural", "OTHERS-POINT-FAULTS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });						
    addAnnotation
      (hwComponentScopeInstanceRefEClass, 
       source, 
       new String[] 
       {
       "xml.name", "HW-COMPONENT-SCOPE-INSTANCE-REF",
       "xml.namePlural", "HW-COMPONENT-SCOPE-INSTANCE-REFS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });				
    addAnnotation
      (getHwComponentScopeInstanceRef_NameWasNotSet_4(), 
       source, 
       new String[] 
       {
       "xml.name", "NAME-WAS-NOT-SET-4-REF",
       "xml.namePlural", "NAME-WAS-NOT-SET-4-REFS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });				
    addAnnotation
      (getHwComponentScopeInstanceRef_BaseHwcomponentScope(), 
       source, 
       new String[] 
       {
       "xml.name", "BASE-HWCOMPONENT-SCOPE-REF",
       "xml.namePlural", "BASE-HWCOMPONENT-SCOPE-REFS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });					
    addAnnotation
      (getHwComponentScopeInstanceRef_ContextHwComponentScope(), 
       source, 
       new String[] 
       {
       "xml.name", "CONTEXT-HW-COMPONENT-SCOPE-REF",
       "xml.namePlural", "CONTEXT-HW-COMPONENT-SCOPE-REFS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });					
    addAnnotation
      (getHwComponentScopeInstanceRef_TargetHwComponentScope(), 
       source, 
       new String[] 
       {
       "xml.name", "TARGET-HW-COMPONENT-SCOPE-REF",
       "xml.namePlural", "TARGET-HW-COMPONENT-SCOPE-REFS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });	
  }

  /**
   * Initializes the annotations for <b>EAAdapter</b>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected void createEAAdapterAnnotations()
  {
    String source = "EAAdapter";					
    addAnnotation
      (this, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (hardwareFailureAnalysisEClass, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getHardwareFailureAnalysis_MalfunctionAnalysis(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getHardwareFailureAnalysis_NameWasNotSet_1(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (getHardwareFailureAnalysis_HardwareComponentScope(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (getHardwareFailureAnalysis_HardwareQuantifiedAnalysis(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (hardwareComponentFailureEClass, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getHardwareComponentFailure_NameWasNotSet_2(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getHardwareComponentFailure_HwFailureRate(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getHardwareComponentFailure_HwFailureMode(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (hwFailureRateEClass, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (getHWFailureRate_AllocatedValue(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (getHWFailureRate_RationaleScalingFactor(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (getHWFailureRate_ScalingFactor(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (getHWFailureRate_Source(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (hwFailureModeEClass, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (getHWFailureMode_AllocatedFailureRateDistribution(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (getHWFailureMode_FailureModeType(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (getHWFailureMode_PotentialCause(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (hwFaultEClass, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (getHWFault_HwFaultType(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getHWFault_LambdaFailureModeValue(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getHWFault_HwFailureMode(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (getHWFault_HwFailureModeSingleContribution(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (hwComponentPrototypeScopeEClass, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (getHWComponentPrototypeScope_SafetyRelated(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getHWComponentPrototypeScope_NameWasNotSet_3(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getHWComponentPrototypeScope_HwFaultCharacterization(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (getHWComponentPrototypeScope_HwComponentScopeInstanceRefContext(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (hwMultiplePointFaultEnumEEnum, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (hwMultiplePointFaultEnumEEnum.getELiterals().get(0), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (hwMultiplePointFaultEnumEEnum.getELiterals().get(1), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (hwMultiplePointFaultEnumEEnum.getELiterals().get(2), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (hwMultiplePointFaultEnumEEnum.getELiterals().get(3), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });						
    addAnnotation
      (hwPointFaultEnumEEnum, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (hwPointFaultEnumEEnum.getELiterals().get(0), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (hwPointFaultEnumEEnum.getELiterals().get(1), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (hwPointFaultEnumEEnum.getELiterals().get(2), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (hwPointFaultEnumEEnum.getELiterals().get(3), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });						
    addAnnotation
      (hwComponentScopeInstanceRefEClass, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getHwComponentScopeInstanceRef_NameWasNotSet_4(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getHwComponentScopeInstanceRef_BaseHwcomponentScope(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (getHwComponentScopeInstanceRef_ContextHwComponentScope(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (getHwComponentScopeInstanceRef_TargetHwComponentScope(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });
  }

  /**
   * Initializes the annotations for <b>Stereotype</b>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected void createStereotypeAnnotations()
  {
    String source = "Stereotype";																																																																																																						
    addAnnotation
      (hwMultiplePointFaultEnumEEnum, 
       source, 
       new String[] 
       {
       "Stereotype", "enumeration"
       });														
    addAnnotation
      (hwPointFaultEnumEEnum, 
       source, 
       new String[] 
       {
       "Stereotype", "enumeration"
       });														
    addAnnotation
      (hwComponentScopeInstanceRefEClass, 
       source, 
       new String[] 
       {
       "Stereotype", "InstanceRef"
       });											
    addAnnotation
      (getHwComponentScopeInstanceRef_ContextHwComponentScope(), 
       source, 
       new String[] 
       {
       "Stereotype", "instanceRef.context"
       });					
    addAnnotation
      (getHwComponentScopeInstanceRef_TargetHwComponentScope(), 
       source, 
       new String[] 
       {
       "Stereotype", "instanceRef.target"
       });		
  }

} //FailurePackageImpl
