/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package safe10.classmodel.hardware.failure.impl;

import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.common.notify.NotificationChain;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.InternalEObject;

import org.eclipse.emf.ecore.impl.ENotificationImpl;

import safe10.classmodel.commonstructure.toplevel.Identifiable;
import safe10.classmodel.commonstructure.toplevel.ToplevelPackage;

import safe10.classmodel.commonstructure.toplevel.impl.ReferrableImpl;

import safe10.classmodel.errormodel.malfunction.MalfunctionPackage;
import safe10.classmodel.errormodel.malfunction.MalfunctionPrototype;
import safe10.classmodel.errormodel.malfunction.MalfunctionType;

import safe10.classmodel.hardware.failure.FailurePackage;
import safe10.classmodel.hardware.failure.HWFailureMode;

import safe10.classmodel.requirements.AllocationTarget;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>HW Failure Mode</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link safe10.classmodel.hardware.failure.impl.HWFailureModeImpl#getCategory <em>Category</em>}</li>
 *   <li>{@link safe10.classmodel.hardware.failure.impl.HWFailureModeImpl#getUuid <em>Uuid</em>}</li>
 *   <li>{@link safe10.classmodel.hardware.failure.impl.HWFailureModeImpl#getIsOfType <em>Is Of Type</em>}</li>
 *   <li>{@link safe10.classmodel.hardware.failure.impl.HWFailureModeImpl#getAllocatedFailureRateDistribution <em>Allocated Failure Rate Distribution</em>}</li>
 *   <li>{@link safe10.classmodel.hardware.failure.impl.HWFailureModeImpl#getFailureModeType <em>Failure Mode Type</em>}</li>
 *   <li>{@link safe10.classmodel.hardware.failure.impl.HWFailureModeImpl#getPotentialCause <em>Potential Cause</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
public class HWFailureModeImpl extends ReferrableImpl implements HWFailureMode
{
  /**
   * The default value of the '{@link #getCategory() <em>Category</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getCategory()
   * @generated
   * @ordered
   */
  protected static final String CATEGORY_EDEFAULT = "";

  /**
   * The cached value of the '{@link #getCategory() <em>Category</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getCategory()
   * @generated
   * @ordered
   */
  protected String category = CATEGORY_EDEFAULT;

  /**
   * This is true if the Category attribute has been set.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  protected boolean categoryESet;

  /**
   * The default value of the '{@link #getUuid() <em>Uuid</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getUuid()
   * @generated
   * @ordered
   */
  protected static final String UUID_EDEFAULT = "";

  /**
   * The cached value of the '{@link #getUuid() <em>Uuid</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getUuid()
   * @generated
   * @ordered
   */
  protected String uuid = UUID_EDEFAULT;

  /**
   * This is true if the Uuid attribute has been set.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  protected boolean uuidESet;

  /**
   * The cached value of the '{@link #getIsOfType() <em>Is Of Type</em>}' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getIsOfType()
   * @generated
   * @ordered
   */
  protected MalfunctionPrototype isOfType;

  /**
   * The default value of the '{@link #getAllocatedFailureRateDistribution() <em>Allocated Failure Rate Distribution</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getAllocatedFailureRateDistribution()
   * @generated
   * @ordered
   */
  protected static final Double ALLOCATED_FAILURE_RATE_DISTRIBUTION_EDEFAULT = new Double(0.0);

  /**
   * The cached value of the '{@link #getAllocatedFailureRateDistribution() <em>Allocated Failure Rate Distribution</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getAllocatedFailureRateDistribution()
   * @generated
   * @ordered
   */
  protected Double allocatedFailureRateDistribution = ALLOCATED_FAILURE_RATE_DISTRIBUTION_EDEFAULT;

  /**
   * This is true if the Allocated Failure Rate Distribution attribute has been set.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  protected boolean allocatedFailureRateDistributionESet;

  /**
   * The default value of the '{@link #getFailureModeType() <em>Failure Mode Type</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getFailureModeType()
   * @generated
   * @ordered
   */
  protected static final String FAILURE_MODE_TYPE_EDEFAULT = "";

  /**
   * The cached value of the '{@link #getFailureModeType() <em>Failure Mode Type</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getFailureModeType()
   * @generated
   * @ordered
   */
  protected String failureModeType = FAILURE_MODE_TYPE_EDEFAULT;

  /**
   * This is true if the Failure Mode Type attribute has been set.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  protected boolean failureModeTypeESet;

  /**
   * The default value of the '{@link #getPotentialCause() <em>Potential Cause</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getPotentialCause()
   * @generated
   * @ordered
   */
  protected static final String POTENTIAL_CAUSE_EDEFAULT = "";

  /**
   * The cached value of the '{@link #getPotentialCause() <em>Potential Cause</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getPotentialCause()
   * @generated
   * @ordered
   */
  protected String potentialCause = POTENTIAL_CAUSE_EDEFAULT;

  /**
   * This is true if the Potential Cause attribute has been set.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  protected boolean potentialCauseESet;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected HWFailureModeImpl()
  {
    super();
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  protected EClass eStaticClass()
  {
    return FailurePackage.Literals.HW_FAILURE_MODE;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String getCategory()
  {
    return category;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setCategory(String newCategory)
  {
    String oldCategory = category;
    category = newCategory;
    boolean oldCategoryESet = categoryESet;
    categoryESet = true;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, FailurePackage.HW_FAILURE_MODE__CATEGORY, oldCategory, category, !oldCategoryESet));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void unsetCategory()
  {
    String oldCategory = category;
    boolean oldCategoryESet = categoryESet;
    category = CATEGORY_EDEFAULT;
    categoryESet = false;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.UNSET, FailurePackage.HW_FAILURE_MODE__CATEGORY, oldCategory, CATEGORY_EDEFAULT, oldCategoryESet));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public boolean isSetCategory()
  {
    return categoryESet;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String getUuid()
  {
    return uuid;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setUuid(String newUuid)
  {
    String oldUuid = uuid;
    uuid = newUuid;
    boolean oldUuidESet = uuidESet;
    uuidESet = true;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, FailurePackage.HW_FAILURE_MODE__UUID, oldUuid, uuid, !oldUuidESet));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void unsetUuid()
  {
    String oldUuid = uuid;
    boolean oldUuidESet = uuidESet;
    uuid = UUID_EDEFAULT;
    uuidESet = false;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.UNSET, FailurePackage.HW_FAILURE_MODE__UUID, oldUuid, UUID_EDEFAULT, oldUuidESet));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public boolean isSetUuid()
  {
    return uuidESet;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public MalfunctionPrototype getIsOfType()
  {
    if (isOfType != null && isOfType.eIsProxy())
    {
      InternalEObject oldIsOfType = (InternalEObject)isOfType;
      isOfType = (MalfunctionPrototype)eResolveProxy(oldIsOfType);
      if (isOfType != oldIsOfType)
      {
        if (eNotificationRequired())
          eNotify(new ENotificationImpl(this, Notification.RESOLVE, FailurePackage.HW_FAILURE_MODE__IS_OF_TYPE, oldIsOfType, isOfType));
      }
    }
    return isOfType;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public MalfunctionPrototype basicGetIsOfType()
  {
    return isOfType;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public NotificationChain basicSetIsOfType(MalfunctionPrototype newIsOfType, NotificationChain msgs)
  {
    MalfunctionPrototype oldIsOfType = isOfType;
    isOfType = newIsOfType;
    if (eNotificationRequired())
    {
      ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, FailurePackage.HW_FAILURE_MODE__IS_OF_TYPE, oldIsOfType, newIsOfType);
      if (msgs == null) msgs = notification; else msgs.add(notification);
    }
    return msgs;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setIsOfType(MalfunctionPrototype newIsOfType)
  {
    if (newIsOfType != isOfType)
    {
      NotificationChain msgs = null;
      if (isOfType != null)
        msgs = ((InternalEObject)isOfType).eInverseRemove(this, MalfunctionPackage.MALFUNCTION_PROTOTYPE__MALFUNCTION, MalfunctionPrototype.class, msgs);
      if (newIsOfType != null)
        msgs = ((InternalEObject)newIsOfType).eInverseAdd(this, MalfunctionPackage.MALFUNCTION_PROTOTYPE__MALFUNCTION, MalfunctionPrototype.class, msgs);
      msgs = basicSetIsOfType(newIsOfType, msgs);
      if (msgs != null) msgs.dispatch();
    }
    else if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, FailurePackage.HW_FAILURE_MODE__IS_OF_TYPE, newIsOfType, newIsOfType));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public Double getAllocatedFailureRateDistribution()
  {
    return allocatedFailureRateDistribution;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setAllocatedFailureRateDistribution(Double newAllocatedFailureRateDistribution)
  {
    Double oldAllocatedFailureRateDistribution = allocatedFailureRateDistribution;
    allocatedFailureRateDistribution = newAllocatedFailureRateDistribution;
    boolean oldAllocatedFailureRateDistributionESet = allocatedFailureRateDistributionESet;
    allocatedFailureRateDistributionESet = true;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, FailurePackage.HW_FAILURE_MODE__ALLOCATED_FAILURE_RATE_DISTRIBUTION, oldAllocatedFailureRateDistribution, allocatedFailureRateDistribution, !oldAllocatedFailureRateDistributionESet));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void unsetAllocatedFailureRateDistribution()
  {
    Double oldAllocatedFailureRateDistribution = allocatedFailureRateDistribution;
    boolean oldAllocatedFailureRateDistributionESet = allocatedFailureRateDistributionESet;
    allocatedFailureRateDistribution = ALLOCATED_FAILURE_RATE_DISTRIBUTION_EDEFAULT;
    allocatedFailureRateDistributionESet = false;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.UNSET, FailurePackage.HW_FAILURE_MODE__ALLOCATED_FAILURE_RATE_DISTRIBUTION, oldAllocatedFailureRateDistribution, ALLOCATED_FAILURE_RATE_DISTRIBUTION_EDEFAULT, oldAllocatedFailureRateDistributionESet));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public boolean isSetAllocatedFailureRateDistribution()
  {
    return allocatedFailureRateDistributionESet;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String getFailureModeType()
  {
    return failureModeType;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setFailureModeType(String newFailureModeType)
  {
    String oldFailureModeType = failureModeType;
    failureModeType = newFailureModeType;
    boolean oldFailureModeTypeESet = failureModeTypeESet;
    failureModeTypeESet = true;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, FailurePackage.HW_FAILURE_MODE__FAILURE_MODE_TYPE, oldFailureModeType, failureModeType, !oldFailureModeTypeESet));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void unsetFailureModeType()
  {
    String oldFailureModeType = failureModeType;
    boolean oldFailureModeTypeESet = failureModeTypeESet;
    failureModeType = FAILURE_MODE_TYPE_EDEFAULT;
    failureModeTypeESet = false;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.UNSET, FailurePackage.HW_FAILURE_MODE__FAILURE_MODE_TYPE, oldFailureModeType, FAILURE_MODE_TYPE_EDEFAULT, oldFailureModeTypeESet));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public boolean isSetFailureModeType()
  {
    return failureModeTypeESet;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String getPotentialCause()
  {
    return potentialCause;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setPotentialCause(String newPotentialCause)
  {
    String oldPotentialCause = potentialCause;
    potentialCause = newPotentialCause;
    boolean oldPotentialCauseESet = potentialCauseESet;
    potentialCauseESet = true;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, FailurePackage.HW_FAILURE_MODE__POTENTIAL_CAUSE, oldPotentialCause, potentialCause, !oldPotentialCauseESet));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void unsetPotentialCause()
  {
    String oldPotentialCause = potentialCause;
    boolean oldPotentialCauseESet = potentialCauseESet;
    potentialCause = POTENTIAL_CAUSE_EDEFAULT;
    potentialCauseESet = false;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.UNSET, FailurePackage.HW_FAILURE_MODE__POTENTIAL_CAUSE, oldPotentialCause, POTENTIAL_CAUSE_EDEFAULT, oldPotentialCauseESet));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public boolean isSetPotentialCause()
  {
    return potentialCauseESet;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public NotificationChain eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)
  {
    switch (featureID)
    {
      case FailurePackage.HW_FAILURE_MODE__IS_OF_TYPE:
        if (isOfType != null)
          msgs = ((InternalEObject)isOfType).eInverseRemove(this, MalfunctionPackage.MALFUNCTION_PROTOTYPE__MALFUNCTION, MalfunctionPrototype.class, msgs);
        return basicSetIsOfType((MalfunctionPrototype)otherEnd, msgs);
    }
    return super.eInverseAdd(otherEnd, featureID, msgs);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public NotificationChain eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)
  {
    switch (featureID)
    {
      case FailurePackage.HW_FAILURE_MODE__IS_OF_TYPE:
        return basicSetIsOfType(null, msgs);
    }
    return super.eInverseRemove(otherEnd, featureID, msgs);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Object eGet(int featureID, boolean resolve, boolean coreType)
  {
    switch (featureID)
    {
      case FailurePackage.HW_FAILURE_MODE__CATEGORY:
        return getCategory();
      case FailurePackage.HW_FAILURE_MODE__UUID:
        return getUuid();
      case FailurePackage.HW_FAILURE_MODE__IS_OF_TYPE:
        if (resolve) return getIsOfType();
        return basicGetIsOfType();
      case FailurePackage.HW_FAILURE_MODE__ALLOCATED_FAILURE_RATE_DISTRIBUTION:
        return getAllocatedFailureRateDistribution();
      case FailurePackage.HW_FAILURE_MODE__FAILURE_MODE_TYPE:
        return getFailureModeType();
      case FailurePackage.HW_FAILURE_MODE__POTENTIAL_CAUSE:
        return getPotentialCause();
    }
    return super.eGet(featureID, resolve, coreType);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public void eSet(int featureID, Object newValue)
  {
    switch (featureID)
    {
      case FailurePackage.HW_FAILURE_MODE__CATEGORY:
   			setCategory((String)newValue);
        return;
      case FailurePackage.HW_FAILURE_MODE__UUID:
   			setUuid((String)newValue);
        return;
      case FailurePackage.HW_FAILURE_MODE__IS_OF_TYPE:
   			setIsOfType((MalfunctionPrototype)newValue);
        return;
      case FailurePackage.HW_FAILURE_MODE__ALLOCATED_FAILURE_RATE_DISTRIBUTION:
   			setAllocatedFailureRateDistribution((Double)newValue);
        return;
      case FailurePackage.HW_FAILURE_MODE__FAILURE_MODE_TYPE:
   			setFailureModeType((String)newValue);
        return;
      case FailurePackage.HW_FAILURE_MODE__POTENTIAL_CAUSE:
   			setPotentialCause((String)newValue);
        return;
    }
    super.eSet(featureID, newValue);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public void eUnset(int featureID)
  {
    switch (featureID)
    {
      case FailurePackage.HW_FAILURE_MODE__CATEGORY:
        unsetCategory();
        return;
      case FailurePackage.HW_FAILURE_MODE__UUID:
        unsetUuid();
        return;
      case FailurePackage.HW_FAILURE_MODE__IS_OF_TYPE:
        	setIsOfType((MalfunctionPrototype)null);
        return;
      case FailurePackage.HW_FAILURE_MODE__ALLOCATED_FAILURE_RATE_DISTRIBUTION:
        unsetAllocatedFailureRateDistribution();
        return;
      case FailurePackage.HW_FAILURE_MODE__FAILURE_MODE_TYPE:
        unsetFailureModeType();
        return;
      case FailurePackage.HW_FAILURE_MODE__POTENTIAL_CAUSE:
        unsetPotentialCause();
        return;
    }
    super.eUnset(featureID);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public boolean eIsSet(int featureID)
  {
    switch (featureID)
    {
      case FailurePackage.HW_FAILURE_MODE__CATEGORY:
        return isSetCategory();
      case FailurePackage.HW_FAILURE_MODE__UUID:
        return isSetUuid();
      case FailurePackage.HW_FAILURE_MODE__IS_OF_TYPE:
        return isOfType != null;
      case FailurePackage.HW_FAILURE_MODE__ALLOCATED_FAILURE_RATE_DISTRIBUTION:
        return isSetAllocatedFailureRateDistribution();
      case FailurePackage.HW_FAILURE_MODE__FAILURE_MODE_TYPE:
        return isSetFailureModeType();
      case FailurePackage.HW_FAILURE_MODE__POTENTIAL_CAUSE:
        return isSetPotentialCause();
    }
    return super.eIsSet(featureID);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public int eBaseStructuralFeatureID(int derivedFeatureID, Class<?> baseClass)
  {
    if (baseClass == Identifiable.class)
    {
      switch (derivedFeatureID)
      {
        case FailurePackage.HW_FAILURE_MODE__CATEGORY: return ToplevelPackage.IDENTIFIABLE__CATEGORY;
        case FailurePackage.HW_FAILURE_MODE__UUID: return ToplevelPackage.IDENTIFIABLE__UUID;
        default: return -1;
      }
    }
    if (baseClass == AllocationTarget.class)
    {
      switch (derivedFeatureID)
      {
        default: return -1;
      }
    }
    if (baseClass == MalfunctionType.class)
    {
      switch (derivedFeatureID)
      {
        case FailurePackage.HW_FAILURE_MODE__IS_OF_TYPE: return MalfunctionPackage.MALFUNCTION_TYPE__IS_OF_TYPE;
        default: return -1;
      }
    }
    return super.eBaseStructuralFeatureID(derivedFeatureID, baseClass);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public int eDerivedStructuralFeatureID(int baseFeatureID, Class<?> baseClass)
  {
    if (baseClass == Identifiable.class)
    {
      switch (baseFeatureID)
      {
        case ToplevelPackage.IDENTIFIABLE__CATEGORY: return FailurePackage.HW_FAILURE_MODE__CATEGORY;
        case ToplevelPackage.IDENTIFIABLE__UUID: return FailurePackage.HW_FAILURE_MODE__UUID;
        default: return -1;
      }
    }
    if (baseClass == AllocationTarget.class)
    {
      switch (baseFeatureID)
      {
        default: return -1;
      }
    }
    if (baseClass == MalfunctionType.class)
    {
      switch (baseFeatureID)
      {
        case MalfunctionPackage.MALFUNCTION_TYPE__IS_OF_TYPE: return FailurePackage.HW_FAILURE_MODE__IS_OF_TYPE;
        default: return -1;
      }
    }
    return super.eDerivedStructuralFeatureID(baseFeatureID, baseClass);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public String toString()
  {
    if (eIsProxy()) return super.toString();

    StringBuffer result = new StringBuffer(super.toString());
    result.append(" (category: ");
    if (categoryESet) result.append(category); else result.append("<unset>");
    result.append(", uuid: ");
    if (uuidESet) result.append(uuid); else result.append("<unset>");
    result.append(", allocatedFailureRateDistribution: ");
    if (allocatedFailureRateDistributionESet) result.append(allocatedFailureRateDistribution); else result.append("<unset>");
    result.append(", failureModeType: ");
    if (failureModeTypeESet) result.append(failureModeType); else result.append("<unset>");
    result.append(", potentialCause: ");
    if (potentialCauseESet) result.append(potentialCause); else result.append("<unset>");
    result.append(')');
    return result.toString();
  }

} //HWFailureModeImpl
