/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package safe10.classmodel.hardware.failure.impl;

import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.common.notify.NotificationChain;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.InternalEObject;

import org.eclipse.emf.ecore.impl.ENotificationImpl;

import safe10.classmodel.commonstructure.toplevel.impl.ReferrableImpl;

import safe10.classmodel.hardware.failure.FailurePackage;
import safe10.classmodel.hardware.failure.HWFailureMode;
import safe10.classmodel.hardware.failure.HWFault;
import safe10.classmodel.hardware.failure.HWPointFaultEnum;

import safe10.classmodel.hardware.failurepart.HWComponentQuantifiedFMFromPart;

import safe10.classmodel.hardware.hwquantitativemeasure.HWFMSingleContribution;
import safe10.classmodel.hardware.hwquantitativemeasure.HwquantitativemeasurePackage;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>HW Fault</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link safe10.classmodel.hardware.failure.impl.HWFaultImpl#getHwFaultType <em>Hw Fault Type</em>}</li>
 *   <li>{@link safe10.classmodel.hardware.failure.impl.HWFaultImpl#getLambdaFailureModeValue <em>Lambda Failure Mode Value</em>}</li>
 *   <li>{@link safe10.classmodel.hardware.failure.impl.HWFaultImpl#getHwFailureMode <em>Hw Failure Mode</em>}</li>
 *   <li>{@link safe10.classmodel.hardware.failure.impl.HWFaultImpl#getHwFailureModeSingleContribution <em>Hw Failure Mode Single Contribution</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
public class HWFaultImpl extends ReferrableImpl implements HWFault
{
  /**
   * The default value of the '{@link #getHwFaultType() <em>Hw Fault Type</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getHwFaultType()
   * @generated
   * @ordered
   */
  protected static final HWPointFaultEnum HW_FAULT_TYPE_EDEFAULT = HWPointFaultEnum.SAFE_FAULT;

  /**
   * The cached value of the '{@link #getHwFaultType() <em>Hw Fault Type</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getHwFaultType()
   * @generated
   * @ordered
   */
  protected HWPointFaultEnum hwFaultType = HW_FAULT_TYPE_EDEFAULT;

  /**
   * This is true if the Hw Fault Type attribute has been set.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  protected boolean hwFaultTypeESet;

  /**
   * The cached value of the '{@link #getLambdaFailureModeValue() <em>Lambda Failure Mode Value</em>}' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getLambdaFailureModeValue()
   * @generated
   * @ordered
   */
  protected HWComponentQuantifiedFMFromPart lambdaFailureModeValue;

  /**
   * The cached value of the '{@link #getHwFailureMode() <em>Hw Failure Mode</em>}' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getHwFailureMode()
   * @generated
   * @ordered
   */
  protected HWFailureMode hwFailureMode;

  /**
   * The cached value of the '{@link #getHwFailureModeSingleContribution() <em>Hw Failure Mode Single Contribution</em>}' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getHwFailureModeSingleContribution()
   * @generated
   * @ordered
   */
  protected HWFMSingleContribution hwFailureModeSingleContribution;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected HWFaultImpl()
  {
    super();
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  protected EClass eStaticClass()
  {
    return FailurePackage.Literals.HW_FAULT;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public HWPointFaultEnum getHwFaultType()
  {
    return hwFaultType;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setHwFaultType(HWPointFaultEnum newHwFaultType)
  {
    HWPointFaultEnum oldHwFaultType = hwFaultType;
    hwFaultType = newHwFaultType == null ? HW_FAULT_TYPE_EDEFAULT : newHwFaultType;
    boolean oldHwFaultTypeESet = hwFaultTypeESet;
    hwFaultTypeESet = true;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, FailurePackage.HW_FAULT__HW_FAULT_TYPE, oldHwFaultType, hwFaultType, !oldHwFaultTypeESet));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void unsetHwFaultType()
  {
    HWPointFaultEnum oldHwFaultType = hwFaultType;
    boolean oldHwFaultTypeESet = hwFaultTypeESet;
    hwFaultType = HW_FAULT_TYPE_EDEFAULT;
    hwFaultTypeESet = false;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.UNSET, FailurePackage.HW_FAULT__HW_FAULT_TYPE, oldHwFaultType, HW_FAULT_TYPE_EDEFAULT, oldHwFaultTypeESet));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public boolean isSetHwFaultType()
  {
    return hwFaultTypeESet;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public HWComponentQuantifiedFMFromPart getLambdaFailureModeValue()
  {
    if (lambdaFailureModeValue != null && lambdaFailureModeValue.eIsProxy())
    {
      InternalEObject oldLambdaFailureModeValue = (InternalEObject)lambdaFailureModeValue;
      lambdaFailureModeValue = (HWComponentQuantifiedFMFromPart)eResolveProxy(oldLambdaFailureModeValue);
      if (lambdaFailureModeValue != oldLambdaFailureModeValue)
      {
        if (eNotificationRequired())
          eNotify(new ENotificationImpl(this, Notification.RESOLVE, FailurePackage.HW_FAULT__LAMBDA_FAILURE_MODE_VALUE, oldLambdaFailureModeValue, lambdaFailureModeValue));
      }
    }
    return lambdaFailureModeValue;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public HWComponentQuantifiedFMFromPart basicGetLambdaFailureModeValue()
  {
    return lambdaFailureModeValue;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setLambdaFailureModeValue(HWComponentQuantifiedFMFromPart newLambdaFailureModeValue)
  {
    HWComponentQuantifiedFMFromPart oldLambdaFailureModeValue = lambdaFailureModeValue;
    lambdaFailureModeValue = newLambdaFailureModeValue;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, FailurePackage.HW_FAULT__LAMBDA_FAILURE_MODE_VALUE, oldLambdaFailureModeValue, lambdaFailureModeValue));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public HWFailureMode getHwFailureMode()
  {
    if (hwFailureMode != null && hwFailureMode.eIsProxy())
    {
      InternalEObject oldHwFailureMode = (InternalEObject)hwFailureMode;
      hwFailureMode = (HWFailureMode)eResolveProxy(oldHwFailureMode);
      if (hwFailureMode != oldHwFailureMode)
      {
        if (eNotificationRequired())
          eNotify(new ENotificationImpl(this, Notification.RESOLVE, FailurePackage.HW_FAULT__HW_FAILURE_MODE, oldHwFailureMode, hwFailureMode));
      }
    }
    return hwFailureMode;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public HWFailureMode basicGetHwFailureMode()
  {
    return hwFailureMode;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setHwFailureMode(HWFailureMode newHwFailureMode)
  {
    HWFailureMode oldHwFailureMode = hwFailureMode;
    hwFailureMode = newHwFailureMode;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, FailurePackage.HW_FAULT__HW_FAILURE_MODE, oldHwFailureMode, hwFailureMode));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public HWFMSingleContribution getHwFailureModeSingleContribution()
  {
    if (hwFailureModeSingleContribution != null && hwFailureModeSingleContribution.eIsProxy())
    {
      InternalEObject oldHwFailureModeSingleContribution = (InternalEObject)hwFailureModeSingleContribution;
      hwFailureModeSingleContribution = (HWFMSingleContribution)eResolveProxy(oldHwFailureModeSingleContribution);
      if (hwFailureModeSingleContribution != oldHwFailureModeSingleContribution)
      {
        if (eNotificationRequired())
          eNotify(new ENotificationImpl(this, Notification.RESOLVE, FailurePackage.HW_FAULT__HW_FAILURE_MODE_SINGLE_CONTRIBUTION, oldHwFailureModeSingleContribution, hwFailureModeSingleContribution));
      }
    }
    return hwFailureModeSingleContribution;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public HWFMSingleContribution basicGetHwFailureModeSingleContribution()
  {
    return hwFailureModeSingleContribution;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public NotificationChain basicSetHwFailureModeSingleContribution(HWFMSingleContribution newHwFailureModeSingleContribution, NotificationChain msgs)
  {
    HWFMSingleContribution oldHwFailureModeSingleContribution = hwFailureModeSingleContribution;
    hwFailureModeSingleContribution = newHwFailureModeSingleContribution;
    if (eNotificationRequired())
    {
      ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, FailurePackage.HW_FAULT__HW_FAILURE_MODE_SINGLE_CONTRIBUTION, oldHwFailureModeSingleContribution, newHwFailureModeSingleContribution);
      if (msgs == null) msgs = notification; else msgs.add(notification);
    }
    return msgs;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setHwFailureModeSingleContribution(HWFMSingleContribution newHwFailureModeSingleContribution)
  {
    if (newHwFailureModeSingleContribution != hwFailureModeSingleContribution)
    {
      NotificationChain msgs = null;
      if (hwFailureModeSingleContribution != null)
        msgs = ((InternalEObject)hwFailureModeSingleContribution).eInverseRemove(this, HwquantitativemeasurePackage.HWFM_SINGLE_CONTRIBUTION__NAME_WAS_NOT_SET_7, HWFMSingleContribution.class, msgs);
      if (newHwFailureModeSingleContribution != null)
        msgs = ((InternalEObject)newHwFailureModeSingleContribution).eInverseAdd(this, HwquantitativemeasurePackage.HWFM_SINGLE_CONTRIBUTION__NAME_WAS_NOT_SET_7, HWFMSingleContribution.class, msgs);
      msgs = basicSetHwFailureModeSingleContribution(newHwFailureModeSingleContribution, msgs);
      if (msgs != null) msgs.dispatch();
    }
    else if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, FailurePackage.HW_FAULT__HW_FAILURE_MODE_SINGLE_CONTRIBUTION, newHwFailureModeSingleContribution, newHwFailureModeSingleContribution));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public NotificationChain eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)
  {
    switch (featureID)
    {
      case FailurePackage.HW_FAULT__HW_FAILURE_MODE_SINGLE_CONTRIBUTION:
        if (hwFailureModeSingleContribution != null)
          msgs = ((InternalEObject)hwFailureModeSingleContribution).eInverseRemove(this, HwquantitativemeasurePackage.HWFM_SINGLE_CONTRIBUTION__NAME_WAS_NOT_SET_7, HWFMSingleContribution.class, msgs);
        return basicSetHwFailureModeSingleContribution((HWFMSingleContribution)otherEnd, msgs);
    }
    return super.eInverseAdd(otherEnd, featureID, msgs);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public NotificationChain eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)
  {
    switch (featureID)
    {
      case FailurePackage.HW_FAULT__HW_FAILURE_MODE_SINGLE_CONTRIBUTION:
        return basicSetHwFailureModeSingleContribution(null, msgs);
    }
    return super.eInverseRemove(otherEnd, featureID, msgs);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Object eGet(int featureID, boolean resolve, boolean coreType)
  {
    switch (featureID)
    {
      case FailurePackage.HW_FAULT__HW_FAULT_TYPE:
        return getHwFaultType();
      case FailurePackage.HW_FAULT__LAMBDA_FAILURE_MODE_VALUE:
        if (resolve) return getLambdaFailureModeValue();
        return basicGetLambdaFailureModeValue();
      case FailurePackage.HW_FAULT__HW_FAILURE_MODE:
        if (resolve) return getHwFailureMode();
        return basicGetHwFailureMode();
      case FailurePackage.HW_FAULT__HW_FAILURE_MODE_SINGLE_CONTRIBUTION:
        if (resolve) return getHwFailureModeSingleContribution();
        return basicGetHwFailureModeSingleContribution();
    }
    return super.eGet(featureID, resolve, coreType);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public void eSet(int featureID, Object newValue)
  {
    switch (featureID)
    {
      case FailurePackage.HW_FAULT__HW_FAULT_TYPE:
   			setHwFaultType((HWPointFaultEnum)newValue);
        return;
      case FailurePackage.HW_FAULT__LAMBDA_FAILURE_MODE_VALUE:
   			setLambdaFailureModeValue((HWComponentQuantifiedFMFromPart)newValue);
        return;
      case FailurePackage.HW_FAULT__HW_FAILURE_MODE:
   			setHwFailureMode((HWFailureMode)newValue);
        return;
      case FailurePackage.HW_FAULT__HW_FAILURE_MODE_SINGLE_CONTRIBUTION:
   			setHwFailureModeSingleContribution((HWFMSingleContribution)newValue);
        return;
    }
    super.eSet(featureID, newValue);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public void eUnset(int featureID)
  {
    switch (featureID)
    {
      case FailurePackage.HW_FAULT__HW_FAULT_TYPE:
        unsetHwFaultType();
        return;
      case FailurePackage.HW_FAULT__LAMBDA_FAILURE_MODE_VALUE:
        	setLambdaFailureModeValue((HWComponentQuantifiedFMFromPart)null);
        return;
      case FailurePackage.HW_FAULT__HW_FAILURE_MODE:
        	setHwFailureMode((HWFailureMode)null);
        return;
      case FailurePackage.HW_FAULT__HW_FAILURE_MODE_SINGLE_CONTRIBUTION:
        	setHwFailureModeSingleContribution((HWFMSingleContribution)null);
        return;
    }
    super.eUnset(featureID);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public boolean eIsSet(int featureID)
  {
    switch (featureID)
    {
      case FailurePackage.HW_FAULT__HW_FAULT_TYPE:
        return isSetHwFaultType();
      case FailurePackage.HW_FAULT__LAMBDA_FAILURE_MODE_VALUE:
        return lambdaFailureModeValue != null;
      case FailurePackage.HW_FAULT__HW_FAILURE_MODE:
        return hwFailureMode != null;
      case FailurePackage.HW_FAULT__HW_FAILURE_MODE_SINGLE_CONTRIBUTION:
        return hwFailureModeSingleContribution != null;
    }
    return super.eIsSet(featureID);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public String toString()
  {
    if (eIsProxy()) return super.toString();

    StringBuffer result = new StringBuffer(super.toString());
    result.append(" (hwFaultType: ");
    if (hwFaultTypeESet) result.append(hwFaultType); else result.append("<unset>");
    result.append(')');
    return result.toString();
  }

} //HWFaultImpl
