/**
 */
package safe10.classmodel.hardware.failureformula;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

import safe10.classmodel.commonstructure.formulaexpression.FormulaexpressionPackage;

/**
 * <!-- begin-user-doc -->
 * The <b>Package</b> for the model.
 * It contains accessors for the meta objects to represent
 * <ul>
 *   <li>each class,</li>
 *   <li>each feature of each class,</li>
 *   <li>each enum,</li>
 *   <li>and each data type</li>
 * </ul>
 * <!-- end-user-doc -->
 * <!-- begin-model-doc -->
 * This sub-package contains all equations necessary for the evaluation of the hardware architecture.
 * <!-- end-model-doc -->
 * @see safe10.classmodel.hardware.failureformula.FailureformulaFactory
 * @model kind="package"
 *        annotation="MetaData guid='{A30F91F3-ADE8-477f-A4D4-22220391DF16}' id='379185749' EA\040name='FailureFormula'"
 *        annotation="TaggedValues xml.name='FAILUREFORMULA' xml.namePlural='FAILUREFORMULAS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public interface FailureformulaPackage extends EPackage
{
  /**
   * The package name.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNAME = "failureformula";

  /**
   * The package namespace URI.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNS_URI = "http://safe-project.eu/1.0.1/safe10/classmodel/hardware/failureformula";

  /**
   * The package namespace name.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNS_PREFIX = "";

  /**
   * The singleton instance of the package.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  FailureformulaPackage eINSTANCE = safe10.classmodel.hardware.failureformula.impl.FailureformulaPackageImpl.init();

  /**
   * The meta object id for the '{@link safe10.classmodel.hardware.failureformula.impl.HWFailureClassContributionFormulaImpl <em>HW Failure Class Contribution Formula</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.hardware.failureformula.impl.HWFailureClassContributionFormulaImpl
   * @see safe10.classmodel.hardware.failureformula.impl.FailureformulaPackageImpl#getHWFailureClassContributionFormula()
   * @generated
   */
  int HW_FAILURE_CLASS_CONTRIBUTION_FORMULA = 0;

  /**
   * The feature id for the '<em><b>Lambda Value</b></em>' reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_FAILURE_CLASS_CONTRIBUTION_FORMULA__LAMBDA_VALUE = FormulaexpressionPackage.ATP_FORMULA_EXPRESSION_STRING_FEATURE_COUNT + 0;

  /**
   * The number of structural features of the '<em>HW Failure Class Contribution Formula</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_FAILURE_CLASS_CONTRIBUTION_FORMULA_FEATURE_COUNT = FormulaexpressionPackage.ATP_FORMULA_EXPRESSION_STRING_FEATURE_COUNT + 1;

  /**
   * The meta object id for the '{@link safe10.classmodel.hardware.failureformula.impl.HWFMSingleContributionFormulaImpl <em>HWFM Single Contribution Formula</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.hardware.failureformula.impl.HWFMSingleContributionFormulaImpl
   * @see safe10.classmodel.hardware.failureformula.impl.FailureformulaPackageImpl#getHWFMSingleContributionFormula()
   * @generated
   */
  int HWFM_SINGLE_CONTRIBUTION_FORMULA = 1;

  /**
   * The feature id for the '<em><b>Failure Rate Distribution</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HWFM_SINGLE_CONTRIBUTION_FORMULA__FAILURE_RATE_DISTRIBUTION = FormulaexpressionPackage.ATP_FORMULA_EXPRESSION_STRING_FEATURE_COUNT + 0;

  /**
   * The feature id for the '<em><b>Hw Fault Type Value</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HWFM_SINGLE_CONTRIBUTION_FORMULA__HW_FAULT_TYPE_VALUE = FormulaexpressionPackage.ATP_FORMULA_EXPRESSION_STRING_FEATURE_COUNT + 1;

  /**
   * The feature id for the '<em><b>Hw Failure Rate Value</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HWFM_SINGLE_CONTRIBUTION_FORMULA__HW_FAILURE_RATE_VALUE = FormulaexpressionPackage.ATP_FORMULA_EXPRESSION_STRING_FEATURE_COUNT + 2;

  /**
   * The number of structural features of the '<em>HWFM Single Contribution Formula</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HWFM_SINGLE_CONTRIBUTION_FORMULA_FEATURE_COUNT = FormulaexpressionPackage.ATP_FORMULA_EXPRESSION_STRING_FEATURE_COUNT + 3;

  /**
   * The meta object id for the '{@link safe10.classmodel.hardware.failureformula.impl.HWLambdaPartFormulaImpl <em>HW Lambda Part Formula</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.hardware.failureformula.impl.HWLambdaPartFormulaImpl
   * @see safe10.classmodel.hardware.failureformula.impl.FailureformulaPackageImpl#getHWLambdaPartFormula()
   * @generated
   */
  int HW_LAMBDA_PART_FORMULA = 2;

  /**
   * The feature id for the '<em><b>Hw Part Failure Rate Value</b></em>' reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_LAMBDA_PART_FORMULA__HW_PART_FAILURE_RATE_VALUE = FormulaexpressionPackage.ATP_FORMULA_EXPRESSION_STRING_FEATURE_COUNT + 0;

  /**
   * The feature id for the '<em><b>Failure Rate Distribution Value</b></em>' reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_LAMBDA_PART_FORMULA__FAILURE_RATE_DISTRIBUTION_VALUE = FormulaexpressionPackage.ATP_FORMULA_EXPRESSION_STRING_FEATURE_COUNT + 1;

  /**
   * The number of structural features of the '<em>HW Lambda Part Formula</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_LAMBDA_PART_FORMULA_FEATURE_COUNT = FormulaexpressionPackage.ATP_FORMULA_EXPRESSION_STRING_FEATURE_COUNT + 2;

  /**
   * The meta object id for the '{@link safe10.classmodel.hardware.failureformula.impl.HWLatentFaultMetricFormulaImpl <em>HW Latent Fault Metric Formula</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.hardware.failureformula.impl.HWLatentFaultMetricFormulaImpl
   * @see safe10.classmodel.hardware.failureformula.impl.FailureformulaPackageImpl#getHWLatentFaultMetricFormula()
   * @generated
   */
  int HW_LATENT_FAULT_METRIC_FORMULA = 3;

  /**
   * The feature id for the '<em><b>Lambda Value</b></em>' reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_LATENT_FAULT_METRIC_FORMULA__LAMBDA_VALUE = FormulaexpressionPackage.ATP_FORMULA_EXPRESSION_STRING_FEATURE_COUNT + 0;

  /**
   * The number of structural features of the '<em>HW Latent Fault Metric Formula</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_LATENT_FAULT_METRIC_FORMULA_FEATURE_COUNT = FormulaexpressionPackage.ATP_FORMULA_EXPRESSION_STRING_FEATURE_COUNT + 1;

  /**
   * The meta object id for the '{@link safe10.classmodel.hardware.failureformula.impl.HWPMHFFormulaImpl <em>HWPMHF Formula</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.hardware.failureformula.impl.HWPMHFFormulaImpl
   * @see safe10.classmodel.hardware.failureformula.impl.FailureformulaPackageImpl#getHWPMHFFormula()
   * @generated
   */
  int HWPMHF_FORMULA = 4;

  /**
   * The feature id for the '<em><b>Lambda Value</b></em>' reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HWPMHF_FORMULA__LAMBDA_VALUE = FormulaexpressionPackage.ATP_FORMULA_EXPRESSION_STRING_FEATURE_COUNT + 0;

  /**
   * The number of structural features of the '<em>HWPMHF Formula</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HWPMHF_FORMULA_FEATURE_COUNT = FormulaexpressionPackage.ATP_FORMULA_EXPRESSION_STRING_FEATURE_COUNT + 1;

  /**
   * The meta object id for the '{@link safe10.classmodel.hardware.failureformula.impl.HWSinglePointFaultMetricFormulaImpl <em>HW Single Point Fault Metric Formula</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.hardware.failureformula.impl.HWSinglePointFaultMetricFormulaImpl
   * @see safe10.classmodel.hardware.failureformula.impl.FailureformulaPackageImpl#getHWSinglePointFaultMetricFormula()
   * @generated
   */
  int HW_SINGLE_POINT_FAULT_METRIC_FORMULA = 5;

  /**
   * The feature id for the '<em><b>Lambda Value</b></em>' reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_SINGLE_POINT_FAULT_METRIC_FORMULA__LAMBDA_VALUE = FormulaexpressionPackage.ATP_FORMULA_EXPRESSION_STRING_FEATURE_COUNT + 0;

  /**
   * The number of structural features of the '<em>HW Single Point Fault Metric Formula</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_SINGLE_POINT_FAULT_METRIC_FORMULA_FEATURE_COUNT = FormulaexpressionPackage.ATP_FORMULA_EXPRESSION_STRING_FEATURE_COUNT + 1;


  /**
   * Returns the meta object for class '{@link safe10.classmodel.hardware.failureformula.HWFailureClassContributionFormula <em>HW Failure Class Contribution Formula</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>HW Failure Class Contribution Formula</em>'.
   * @see safe10.classmodel.hardware.failureformula.HWFailureClassContributionFormula
   * @generated
   */
  EClass getHWFailureClassContributionFormula();

  /**
   * Returns the meta object for the reference list '{@link safe10.classmodel.hardware.failureformula.HWFailureClassContributionFormula#getLambdaValue <em>Lambda Value</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the reference list '<em>Lambda Value</em>'.
   * @see safe10.classmodel.hardware.failureformula.HWFailureClassContributionFormula#getLambdaValue()
   * @see #getHWFailureClassContributionFormula()
   * @generated
   */
  EReference getHWFailureClassContributionFormula_LambdaValue();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.hardware.failureformula.HWFMSingleContributionFormula <em>HWFM Single Contribution Formula</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>HWFM Single Contribution Formula</em>'.
   * @see safe10.classmodel.hardware.failureformula.HWFMSingleContributionFormula
   * @generated
   */
  EClass getHWFMSingleContributionFormula();

  /**
   * Returns the meta object for the reference '{@link safe10.classmodel.hardware.failureformula.HWFMSingleContributionFormula#getFailureRateDistribution <em>Failure Rate Distribution</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the reference '<em>Failure Rate Distribution</em>'.
   * @see safe10.classmodel.hardware.failureformula.HWFMSingleContributionFormula#getFailureRateDistribution()
   * @see #getHWFMSingleContributionFormula()
   * @generated
   */
  EReference getHWFMSingleContributionFormula_FailureRateDistribution();

  /**
   * Returns the meta object for the reference '{@link safe10.classmodel.hardware.failureformula.HWFMSingleContributionFormula#getHwFaultTypeValue <em>Hw Fault Type Value</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the reference '<em>Hw Fault Type Value</em>'.
   * @see safe10.classmodel.hardware.failureformula.HWFMSingleContributionFormula#getHwFaultTypeValue()
   * @see #getHWFMSingleContributionFormula()
   * @generated
   */
  EReference getHWFMSingleContributionFormula_HwFaultTypeValue();

  /**
   * Returns the meta object for the reference '{@link safe10.classmodel.hardware.failureformula.HWFMSingleContributionFormula#getHwFailureRateValue <em>Hw Failure Rate Value</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the reference '<em>Hw Failure Rate Value</em>'.
   * @see safe10.classmodel.hardware.failureformula.HWFMSingleContributionFormula#getHwFailureRateValue()
   * @see #getHWFMSingleContributionFormula()
   * @generated
   */
  EReference getHWFMSingleContributionFormula_HwFailureRateValue();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.hardware.failureformula.HWLambdaPartFormula <em>HW Lambda Part Formula</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>HW Lambda Part Formula</em>'.
   * @see safe10.classmodel.hardware.failureformula.HWLambdaPartFormula
   * @generated
   */
  EClass getHWLambdaPartFormula();

  /**
   * Returns the meta object for the reference list '{@link safe10.classmodel.hardware.failureformula.HWLambdaPartFormula#getHwPartFailureRateValue <em>Hw Part Failure Rate Value</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the reference list '<em>Hw Part Failure Rate Value</em>'.
   * @see safe10.classmodel.hardware.failureformula.HWLambdaPartFormula#getHwPartFailureRateValue()
   * @see #getHWLambdaPartFormula()
   * @generated
   */
  EReference getHWLambdaPartFormula_HwPartFailureRateValue();

  /**
   * Returns the meta object for the reference list '{@link safe10.classmodel.hardware.failureformula.HWLambdaPartFormula#getFailureRateDistributionValue <em>Failure Rate Distribution Value</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the reference list '<em>Failure Rate Distribution Value</em>'.
   * @see safe10.classmodel.hardware.failureformula.HWLambdaPartFormula#getFailureRateDistributionValue()
   * @see #getHWLambdaPartFormula()
   * @generated
   */
  EReference getHWLambdaPartFormula_FailureRateDistributionValue();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.hardware.failureformula.HWLatentFaultMetricFormula <em>HW Latent Fault Metric Formula</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>HW Latent Fault Metric Formula</em>'.
   * @see safe10.classmodel.hardware.failureformula.HWLatentFaultMetricFormula
   * @generated
   */
  EClass getHWLatentFaultMetricFormula();

  /**
   * Returns the meta object for the reference list '{@link safe10.classmodel.hardware.failureformula.HWLatentFaultMetricFormula#getLambdaValue <em>Lambda Value</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the reference list '<em>Lambda Value</em>'.
   * @see safe10.classmodel.hardware.failureformula.HWLatentFaultMetricFormula#getLambdaValue()
   * @see #getHWLatentFaultMetricFormula()
   * @generated
   */
  EReference getHWLatentFaultMetricFormula_LambdaValue();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.hardware.failureformula.HWPMHFFormula <em>HWPMHF Formula</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>HWPMHF Formula</em>'.
   * @see safe10.classmodel.hardware.failureformula.HWPMHFFormula
   * @generated
   */
  EClass getHWPMHFFormula();

  /**
   * Returns the meta object for the reference list '{@link safe10.classmodel.hardware.failureformula.HWPMHFFormula#getLambdaValue <em>Lambda Value</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the reference list '<em>Lambda Value</em>'.
   * @see safe10.classmodel.hardware.failureformula.HWPMHFFormula#getLambdaValue()
   * @see #getHWPMHFFormula()
   * @generated
   */
  EReference getHWPMHFFormula_LambdaValue();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.hardware.failureformula.HWSinglePointFaultMetricFormula <em>HW Single Point Fault Metric Formula</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>HW Single Point Fault Metric Formula</em>'.
   * @see safe10.classmodel.hardware.failureformula.HWSinglePointFaultMetricFormula
   * @generated
   */
  EClass getHWSinglePointFaultMetricFormula();

  /**
   * Returns the meta object for the reference list '{@link safe10.classmodel.hardware.failureformula.HWSinglePointFaultMetricFormula#getLambdaValue <em>Lambda Value</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the reference list '<em>Lambda Value</em>'.
   * @see safe10.classmodel.hardware.failureformula.HWSinglePointFaultMetricFormula#getLambdaValue()
   * @see #getHWSinglePointFaultMetricFormula()
   * @generated
   */
  EReference getHWSinglePointFaultMetricFormula_LambdaValue();

  /**
   * Returns the factory that creates the instances of the model.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the factory that creates the instances of the model.
   * @generated
   */
  FailureformulaFactory getFailureformulaFactory();

  /**
   * <!-- begin-user-doc -->
   * Defines literals for the meta objects that represent
   * <ul>
   *   <li>each class,</li>
   *   <li>each feature of each class,</li>
   *   <li>each enum,</li>
   *   <li>and each data type</li>
   * </ul>
   * <!-- end-user-doc -->
   * @generated
   */
  interface Literals
  {
    /**
     * The meta object literal for the '{@link safe10.classmodel.hardware.failureformula.impl.HWFailureClassContributionFormulaImpl <em>HW Failure Class Contribution Formula</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.hardware.failureformula.impl.HWFailureClassContributionFormulaImpl
     * @see safe10.classmodel.hardware.failureformula.impl.FailureformulaPackageImpl#getHWFailureClassContributionFormula()
     * @generated
     */
    EClass HW_FAILURE_CLASS_CONTRIBUTION_FORMULA = eINSTANCE.getHWFailureClassContributionFormula();

    /**
     * The meta object literal for the '<em><b>Lambda Value</b></em>' reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference HW_FAILURE_CLASS_CONTRIBUTION_FORMULA__LAMBDA_VALUE = eINSTANCE.getHWFailureClassContributionFormula_LambdaValue();

    /**
     * The meta object literal for the '{@link safe10.classmodel.hardware.failureformula.impl.HWFMSingleContributionFormulaImpl <em>HWFM Single Contribution Formula</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.hardware.failureformula.impl.HWFMSingleContributionFormulaImpl
     * @see safe10.classmodel.hardware.failureformula.impl.FailureformulaPackageImpl#getHWFMSingleContributionFormula()
     * @generated
     */
    EClass HWFM_SINGLE_CONTRIBUTION_FORMULA = eINSTANCE.getHWFMSingleContributionFormula();

    /**
     * The meta object literal for the '<em><b>Failure Rate Distribution</b></em>' reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference HWFM_SINGLE_CONTRIBUTION_FORMULA__FAILURE_RATE_DISTRIBUTION = eINSTANCE.getHWFMSingleContributionFormula_FailureRateDistribution();

    /**
     * The meta object literal for the '<em><b>Hw Fault Type Value</b></em>' reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference HWFM_SINGLE_CONTRIBUTION_FORMULA__HW_FAULT_TYPE_VALUE = eINSTANCE.getHWFMSingleContributionFormula_HwFaultTypeValue();

    /**
     * The meta object literal for the '<em><b>Hw Failure Rate Value</b></em>' reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference HWFM_SINGLE_CONTRIBUTION_FORMULA__HW_FAILURE_RATE_VALUE = eINSTANCE.getHWFMSingleContributionFormula_HwFailureRateValue();

    /**
     * The meta object literal for the '{@link safe10.classmodel.hardware.failureformula.impl.HWLambdaPartFormulaImpl <em>HW Lambda Part Formula</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.hardware.failureformula.impl.HWLambdaPartFormulaImpl
     * @see safe10.classmodel.hardware.failureformula.impl.FailureformulaPackageImpl#getHWLambdaPartFormula()
     * @generated
     */
    EClass HW_LAMBDA_PART_FORMULA = eINSTANCE.getHWLambdaPartFormula();

    /**
     * The meta object literal for the '<em><b>Hw Part Failure Rate Value</b></em>' reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference HW_LAMBDA_PART_FORMULA__HW_PART_FAILURE_RATE_VALUE = eINSTANCE.getHWLambdaPartFormula_HwPartFailureRateValue();

    /**
     * The meta object literal for the '<em><b>Failure Rate Distribution Value</b></em>' reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference HW_LAMBDA_PART_FORMULA__FAILURE_RATE_DISTRIBUTION_VALUE = eINSTANCE.getHWLambdaPartFormula_FailureRateDistributionValue();

    /**
     * The meta object literal for the '{@link safe10.classmodel.hardware.failureformula.impl.HWLatentFaultMetricFormulaImpl <em>HW Latent Fault Metric Formula</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.hardware.failureformula.impl.HWLatentFaultMetricFormulaImpl
     * @see safe10.classmodel.hardware.failureformula.impl.FailureformulaPackageImpl#getHWLatentFaultMetricFormula()
     * @generated
     */
    EClass HW_LATENT_FAULT_METRIC_FORMULA = eINSTANCE.getHWLatentFaultMetricFormula();

    /**
     * The meta object literal for the '<em><b>Lambda Value</b></em>' reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference HW_LATENT_FAULT_METRIC_FORMULA__LAMBDA_VALUE = eINSTANCE.getHWLatentFaultMetricFormula_LambdaValue();

    /**
     * The meta object literal for the '{@link safe10.classmodel.hardware.failureformula.impl.HWPMHFFormulaImpl <em>HWPMHF Formula</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.hardware.failureformula.impl.HWPMHFFormulaImpl
     * @see safe10.classmodel.hardware.failureformula.impl.FailureformulaPackageImpl#getHWPMHFFormula()
     * @generated
     */
    EClass HWPMHF_FORMULA = eINSTANCE.getHWPMHFFormula();

    /**
     * The meta object literal for the '<em><b>Lambda Value</b></em>' reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference HWPMHF_FORMULA__LAMBDA_VALUE = eINSTANCE.getHWPMHFFormula_LambdaValue();

    /**
     * The meta object literal for the '{@link safe10.classmodel.hardware.failureformula.impl.HWSinglePointFaultMetricFormulaImpl <em>HW Single Point Fault Metric Formula</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.hardware.failureformula.impl.HWSinglePointFaultMetricFormulaImpl
     * @see safe10.classmodel.hardware.failureformula.impl.FailureformulaPackageImpl#getHWSinglePointFaultMetricFormula()
     * @generated
     */
    EClass HW_SINGLE_POINT_FAULT_METRIC_FORMULA = eINSTANCE.getHWSinglePointFaultMetricFormula();

    /**
     * The meta object literal for the '<em><b>Lambda Value</b></em>' reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference HW_SINGLE_POINT_FAULT_METRIC_FORMULA__LAMBDA_VALUE = eINSTANCE.getHWSinglePointFaultMetricFormula_LambdaValue();

  }

} //FailureformulaPackage
