/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package safe10.classmodel.hardware.failureformula;

import org.eclipse.emf.common.util.EList;

import safe10.classmodel.commonstructure.formulaexpression.AtpFormulaExpressionString;

import safe10.classmodel.hardware.failurepart.HWPartFailureMode;
import safe10.classmodel.hardware.failurepart.HWPartFailureRate;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>HW Lambda Part Formula</b></em>'.
 * <!-- end-user-doc -->
 *
 * <!-- begin-model-doc -->
 * This class describes the lambda failure rate contribution of all HWPartFailureMode of HardwarePart to a dedicated HWFailureMode of a HWComponent.
 * 
 * The formula expression shall be for each HWFailureMode of a Safety Related HWComponent (related as parts of the Item) expressed from the different safety-related AUTOSAR HW Element (part of the item).
 * 
 * lambdaFailureMode = function all HWPartFailureMode [Value(HWPartFailureRate) * FailureRateDistribution(HWPartFailureMode), AutosarHWelement) 
 * <!-- end-model-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link safe10.classmodel.hardware.failureformula.HWLambdaPartFormula#getHwPartFailureRateValue <em>Hw Part Failure Rate Value</em>}</li>
 *   <li>{@link safe10.classmodel.hardware.failureformula.HWLambdaPartFormula#getFailureRateDistributionValue <em>Failure Rate Distribution Value</em>}</li>
 * </ul>
 * </p>
 *
 * @see safe10.classmodel.hardware.failureformula.FailureformulaPackage#getHWLambdaPartFormula()
 * @model annotation="MetaData guid='{1752423D-0586-457d-B2E1-7FCF559B6FE0}' id='826810910' EA\040name='HWLambdaPartFormula'"
 *        annotation="TaggedValues xml.name='HW-LAMBDA-PART-FORMULA' xml.namePlural='HW-LAMBDA-PART-FORMULAS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public interface HWLambdaPartFormula extends AtpFormulaExpressionString
{
  /**
   * Returns the value of the '<em><b>Hw Part Failure Rate Value</b></em>' reference list.
   * The list contents are of type {@link safe10.classmodel.hardware.failurepart.HWPartFailureRate}.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Hw Part Failure Rate Value</em>' reference list isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Hw Part Failure Rate Value</em>' reference list.
   * @see safe10.classmodel.hardware.failureformula.FailureformulaPackage#getHWLambdaPartFormula_HwPartFailureRateValue()
   * @model annotation="MetaData guid='{F99C612C-E195-4ddb-A583-96A8FE92127E}' id='-1863722578' EA\040name=''"
   *        annotation="TaggedValues xml.name='HW-PART-FAILURE-RATE-VALUE-REF' xml.namePlural='HW-PART-FAILURE-RATE-VALUE-REFS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='true' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  EList<HWPartFailureRate> getHwPartFailureRateValue();

  /**
   * Returns the value of the '<em><b>Failure Rate Distribution Value</b></em>' reference list.
   * The list contents are of type {@link safe10.classmodel.hardware.failurepart.HWPartFailureMode}.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Failure Rate Distribution Value</em>' reference list isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Failure Rate Distribution Value</em>' reference list.
   * @see safe10.classmodel.hardware.failureformula.FailureformulaPackage#getHWLambdaPartFormula_FailureRateDistributionValue()
   * @model annotation="MetaData guid='{0F0E95F6-0142-48f9-BFBB-58952BA0BDF5}' id='1643816832' EA\040name=''"
   *        annotation="TaggedValues xml.name='FAILURE-RATE-DISTRIBUTION-VALUE-REF' xml.namePlural='FAILURE-RATE-DISTRIBUTION-VALUE-REFS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='true' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  EList<HWPartFailureMode> getFailureRateDistributionValue();

} // HWLambdaPartFormula
