/**
 */
package safe10.classmodel.hardware.failureformula.util;

import org.eclipse.emf.common.notify.Adapter;
import org.eclipse.emf.common.notify.Notifier;

import org.eclipse.emf.common.notify.impl.AdapterFactoryImpl;

import org.eclipse.emf.ecore.EObject;

import safe10.classmodel.commonstructure.formulaexpression.AtpFormulaExpressionString;

import safe10.classmodel.hardware.failureformula.*;

/**
 * <!-- begin-user-doc -->
 * The <b>Adapter Factory</b> for the model.
 * It provides an adapter <code>createXXX</code> method for each class of the model.
 * <!-- end-user-doc -->
 * @see safe10.classmodel.hardware.failureformula.FailureformulaPackage
 * @generated
 */
public class FailureformulaAdapterFactory extends AdapterFactoryImpl
{
  /**
   * The cached model package.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected static FailureformulaPackage modelPackage;

  /**
   * Creates an instance of the adapter factory.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public FailureformulaAdapterFactory()
  {
    if (modelPackage == null)
    {
      modelPackage = FailureformulaPackage.eINSTANCE;
    }
  }

  /**
   * Returns whether this factory is applicable for the type of the object.
   * <!-- begin-user-doc -->
   * This implementation returns <code>true</code> if the object is either the model's package or is an instance object of the model.
   * <!-- end-user-doc -->
   * @return whether this factory is applicable for the type of the object.
   * @generated
   */
  @Override
  public boolean isFactoryForType(Object object)
  {
    if (object == modelPackage)
    {
      return true;
    }
    if (object instanceof EObject)
    {
      return ((EObject)object).eClass().getEPackage() == modelPackage;
    }
    return false;
  }

  /**
   * The switch that delegates to the <code>createXXX</code> methods.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected FailureformulaSwitch<Adapter> modelSwitch =
    new FailureformulaSwitch<Adapter>()
    {
      @Override
      public Adapter caseHWFailureClassContributionFormula(HWFailureClassContributionFormula object)
      {
        return createHWFailureClassContributionFormulaAdapter();
      }
      @Override
      public Adapter caseHWFMSingleContributionFormula(HWFMSingleContributionFormula object)
      {
        return createHWFMSingleContributionFormulaAdapter();
      }
      @Override
      public Adapter caseHWLambdaPartFormula(HWLambdaPartFormula object)
      {
        return createHWLambdaPartFormulaAdapter();
      }
      @Override
      public Adapter caseHWLatentFaultMetricFormula(HWLatentFaultMetricFormula object)
      {
        return createHWLatentFaultMetricFormulaAdapter();
      }
      @Override
      public Adapter caseHWPMHFFormula(HWPMHFFormula object)
      {
        return createHWPMHFFormulaAdapter();
      }
      @Override
      public Adapter caseHWSinglePointFaultMetricFormula(HWSinglePointFaultMetricFormula object)
      {
        return createHWSinglePointFaultMetricFormulaAdapter();
      }
      @Override
      public Adapter caseAtpFormulaExpressionString(AtpFormulaExpressionString object)
      {
        return createAtpFormulaExpressionStringAdapter();
      }
      @Override
      public Adapter defaultCase(EObject object)
      {
        return createEObjectAdapter();
      }
    };

  /**
   * Creates an adapter for the <code>target</code>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param target the object to adapt.
   * @return the adapter for the <code>target</code>.
   * @generated
   */
  @Override
  public Adapter createAdapter(Notifier target)
  {
    return modelSwitch.doSwitch((EObject)target);
  }


  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.hardware.failureformula.HWFailureClassContributionFormula <em>HW Failure Class Contribution Formula</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.hardware.failureformula.HWFailureClassContributionFormula
   * @generated
   */
  public Adapter createHWFailureClassContributionFormulaAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.hardware.failureformula.HWFMSingleContributionFormula <em>HWFM Single Contribution Formula</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.hardware.failureformula.HWFMSingleContributionFormula
   * @generated
   */
  public Adapter createHWFMSingleContributionFormulaAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.hardware.failureformula.HWLambdaPartFormula <em>HW Lambda Part Formula</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.hardware.failureformula.HWLambdaPartFormula
   * @generated
   */
  public Adapter createHWLambdaPartFormulaAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.hardware.failureformula.HWLatentFaultMetricFormula <em>HW Latent Fault Metric Formula</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.hardware.failureformula.HWLatentFaultMetricFormula
   * @generated
   */
  public Adapter createHWLatentFaultMetricFormulaAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.hardware.failureformula.HWPMHFFormula <em>HWPMHF Formula</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.hardware.failureformula.HWPMHFFormula
   * @generated
   */
  public Adapter createHWPMHFFormulaAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.hardware.failureformula.HWSinglePointFaultMetricFormula <em>HW Single Point Fault Metric Formula</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.hardware.failureformula.HWSinglePointFaultMetricFormula
   * @generated
   */
  public Adapter createHWSinglePointFaultMetricFormulaAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.commonstructure.formulaexpression.AtpFormulaExpressionString <em>Atp Formula Expression String</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.commonstructure.formulaexpression.AtpFormulaExpressionString
   * @generated
   */
  public Adapter createAtpFormulaExpressionStringAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for the default case.
   * <!-- begin-user-doc -->
   * This default implementation returns null.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @generated
   */
  public Adapter createEObjectAdapter()
  {
    return null;
  }

} //FailureformulaAdapterFactory
