/**
 */
package safe10.classmodel.hardware.failureformula.util;

import java.util.List;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EObject;

import safe10.classmodel.commonstructure.formulaexpression.AtpFormulaExpressionString;

import safe10.classmodel.hardware.failureformula.*;

/**
 * <!-- begin-user-doc -->
 * The <b>Switch</b> for the model's inheritance hierarchy.
 * It supports the call {@link #doSwitch(EObject) doSwitch(object)}
 * to invoke the <code>caseXXX</code> method for each class of the model,
 * starting with the actual class of the object
 * and proceeding up the inheritance hierarchy
 * until a non-null result is returned,
 * which is the result of the switch.
 * <!-- end-user-doc -->
 * @see safe10.classmodel.hardware.failureformula.FailureformulaPackage
 * @generated
 */
public class FailureformulaSwitch<T>
{
  /**
   * The cached model package
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected static FailureformulaPackage modelPackage;

  /**
   * Creates an instance of the switch.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public FailureformulaSwitch()
  {
    if (modelPackage == null)
    {
      modelPackage = FailureformulaPackage.eINSTANCE;
    }
  }

  /**
   * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the first non-null result returned by a <code>caseXXX</code> call.
   * @generated
   */
  public T doSwitch(EObject theEObject)
  {
    return doSwitch(theEObject.eClass(), theEObject);
  }

  /**
   * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the first non-null result returned by a <code>caseXXX</code> call.
   * @generated
   */
  protected T doSwitch(EClass theEClass, EObject theEObject)
  {
    if (theEClass.eContainer() == modelPackage)
    {
      return doSwitch(theEClass.getClassifierID(), theEObject);
    }
    else
    {
      List<EClass> eSuperTypes = theEClass.getESuperTypes();
      return
        eSuperTypes.isEmpty() ?
          defaultCase(theEObject) :
          doSwitch(eSuperTypes.get(0), theEObject);
    }
  }

  /**
   * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the first non-null result returned by a <code>caseXXX</code> call.
   * @generated
   */
  protected T doSwitch(int classifierID, EObject theEObject)
  {
    switch (classifierID)
    {
      case FailureformulaPackage.HW_FAILURE_CLASS_CONTRIBUTION_FORMULA:
      {
        HWFailureClassContributionFormula hwFailureClassContributionFormula = (HWFailureClassContributionFormula)theEObject;
        T result = caseHWFailureClassContributionFormula(hwFailureClassContributionFormula);
        if (result == null) result = caseAtpFormulaExpressionString(hwFailureClassContributionFormula);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case FailureformulaPackage.HWFM_SINGLE_CONTRIBUTION_FORMULA:
      {
        HWFMSingleContributionFormula hwfmSingleContributionFormula = (HWFMSingleContributionFormula)theEObject;
        T result = caseHWFMSingleContributionFormula(hwfmSingleContributionFormula);
        if (result == null) result = caseAtpFormulaExpressionString(hwfmSingleContributionFormula);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case FailureformulaPackage.HW_LAMBDA_PART_FORMULA:
      {
        HWLambdaPartFormula hwLambdaPartFormula = (HWLambdaPartFormula)theEObject;
        T result = caseHWLambdaPartFormula(hwLambdaPartFormula);
        if (result == null) result = caseAtpFormulaExpressionString(hwLambdaPartFormula);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case FailureformulaPackage.HW_LATENT_FAULT_METRIC_FORMULA:
      {
        HWLatentFaultMetricFormula hwLatentFaultMetricFormula = (HWLatentFaultMetricFormula)theEObject;
        T result = caseHWLatentFaultMetricFormula(hwLatentFaultMetricFormula);
        if (result == null) result = caseAtpFormulaExpressionString(hwLatentFaultMetricFormula);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case FailureformulaPackage.HWPMHF_FORMULA:
      {
        HWPMHFFormula hwpmhfFormula = (HWPMHFFormula)theEObject;
        T result = caseHWPMHFFormula(hwpmhfFormula);
        if (result == null) result = caseAtpFormulaExpressionString(hwpmhfFormula);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case FailureformulaPackage.HW_SINGLE_POINT_FAULT_METRIC_FORMULA:
      {
        HWSinglePointFaultMetricFormula hwSinglePointFaultMetricFormula = (HWSinglePointFaultMetricFormula)theEObject;
        T result = caseHWSinglePointFaultMetricFormula(hwSinglePointFaultMetricFormula);
        if (result == null) result = caseAtpFormulaExpressionString(hwSinglePointFaultMetricFormula);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      default: return defaultCase(theEObject);
    }
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>HW Failure Class Contribution Formula</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>HW Failure Class Contribution Formula</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseHWFailureClassContributionFormula(HWFailureClassContributionFormula object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>HWFM Single Contribution Formula</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>HWFM Single Contribution Formula</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseHWFMSingleContributionFormula(HWFMSingleContributionFormula object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>HW Lambda Part Formula</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>HW Lambda Part Formula</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseHWLambdaPartFormula(HWLambdaPartFormula object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>HW Latent Fault Metric Formula</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>HW Latent Fault Metric Formula</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseHWLatentFaultMetricFormula(HWLatentFaultMetricFormula object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>HWPMHF Formula</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>HWPMHF Formula</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseHWPMHFFormula(HWPMHFFormula object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>HW Single Point Fault Metric Formula</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>HW Single Point Fault Metric Formula</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseHWSinglePointFaultMetricFormula(HWSinglePointFaultMetricFormula object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Atp Formula Expression String</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Atp Formula Expression String</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseAtpFormulaExpressionString(AtpFormulaExpressionString object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>EObject</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch, but this is the last case anyway.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>EObject</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject)
   * @generated
   */
  public T defaultCase(EObject object)
  {
    return null;
  }

} //FailureformulaSwitch
