/**
 */
package safe10.classmodel.hardware.failurepart;

import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

import safe10.classmodel.commonstructure.toplevel.ToplevelPackage;

/**
 * <!-- begin-user-doc -->
 * The <b>Package</b> for the model.
 * It contains accessors for the meta objects to represent
 * <ul>
 *   <li>each class,</li>
 *   <li>each feature of each class,</li>
 *   <li>each enum,</li>
 *   <li>and each data type</li>
 * </ul>
 * <!-- end-user-doc -->
 * @see safe10.classmodel.hardware.failurepart.FailurepartFactory
 * @model kind="package"
 *        annotation="MetaData guid='{040713A6-0199-4fa0-B9DB-58C6543AB40D}' id='1366382536' EA\040name='FailurePart'"
 *        annotation="TaggedValues xml.name='FAILUREPART' xml.namePlural='FAILUREPARTS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public interface FailurepartPackage extends EPackage
{
  /**
   * The package name.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNAME = "failurepart";

  /**
   * The package namespace URI.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNS_URI = "http://safe-project.eu/1.0.1/safe10/classmodel/hardware/failurepart";

  /**
   * The package namespace name.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNS_PREFIX = "";

  /**
   * The singleton instance of the package.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  FailurepartPackage eINSTANCE = safe10.classmodel.hardware.failurepart.impl.FailurepartPackageImpl.init();

  /**
   * The meta object id for the '{@link safe10.classmodel.hardware.failurepart.impl.HWComponentQuantifiedFMFromPartImpl <em>HW Component Quantified FM From Part</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.hardware.failurepart.impl.HWComponentQuantifiedFMFromPartImpl
   * @see safe10.classmodel.hardware.failurepart.impl.FailurepartPackageImpl#getHWComponentQuantifiedFMFromPart()
   * @generated
   */
  int HW_COMPONENT_QUANTIFIED_FM_FROM_PART = 0;

  /**
   * The feature id for the '<em><b>Short Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_COMPONENT_QUANTIFIED_FM_FROM_PART__SHORT_NAME = ToplevelPackage.REFERRABLE__SHORT_NAME;

  /**
   * The feature id for the '<em><b>Lambda Failure Mode</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_COMPONENT_QUANTIFIED_FM_FROM_PART__LAMBDA_FAILURE_MODE = ToplevelPackage.REFERRABLE_FEATURE_COUNT + 0;

  /**
   * The feature id for the '<em><b>Hw CQF Mlambda Failure Mode Value</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_COMPONENT_QUANTIFIED_FM_FROM_PART__HW_CQF_MLAMBDA_FAILURE_MODE_VALUE = ToplevelPackage.REFERRABLE_FEATURE_COUNT + 1;

  /**
   * The number of structural features of the '<em>HW Component Quantified FM From Part</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_COMPONENT_QUANTIFIED_FM_FROM_PART_FEATURE_COUNT = ToplevelPackage.REFERRABLE_FEATURE_COUNT + 2;

  /**
   * The meta object id for the '{@link safe10.classmodel.hardware.failurepart.impl.HWElementPrototypeScopeImpl <em>HW Element Prototype Scope</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.hardware.failurepart.impl.HWElementPrototypeScopeImpl
   * @see safe10.classmodel.hardware.failurepart.impl.FailurepartPackageImpl#getHWElementPrototypeScope()
   * @generated
   */
  int HW_ELEMENT_PROTOTYPE_SCOPE = 1;

  /**
   * The feature id for the '<em><b>Safety Related</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_ELEMENT_PROTOTYPE_SCOPE__SAFETY_RELATED = 0;

  /**
   * The feature id for the '<em><b>Name Was Not Set 5</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_ELEMENT_PROTOTYPE_SCOPE__NAME_WAS_NOT_SET_5 = 1;

  /**
   * The feature id for the '<em><b>Hw Element Scope Instance Ref Context</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_ELEMENT_PROTOTYPE_SCOPE__HW_ELEMENT_SCOPE_INSTANCE_REF_CONTEXT = 2;

  /**
   * The number of structural features of the '<em>HW Element Prototype Scope</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_ELEMENT_PROTOTYPE_SCOPE_FEATURE_COUNT = 3;

  /**
   * The meta object id for the '{@link safe10.classmodel.hardware.failurepart.impl.HWPartFailureImpl <em>HW Part Failure</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.hardware.failurepart.impl.HWPartFailureImpl
   * @see safe10.classmodel.hardware.failurepart.impl.FailurepartPackageImpl#getHWPartFailure()
   * @generated
   */
  int HW_PART_FAILURE = 2;

  /**
   * The feature id for the '<em><b>Name Was Not Set 6</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_PART_FAILURE__NAME_WAS_NOT_SET_6 = 0;

  /**
   * The feature id for the '<em><b>Hw Part Failure Mode</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_PART_FAILURE__HW_PART_FAILURE_MODE = 1;

  /**
   * The feature id for the '<em><b>Hw Part Failure Rate</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_PART_FAILURE__HW_PART_FAILURE_RATE = 2;

  /**
   * The number of structural features of the '<em>HW Part Failure</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_PART_FAILURE_FEATURE_COUNT = 3;

  /**
   * The meta object id for the '{@link safe10.classmodel.hardware.failurepart.impl.HWPartFailureAnalysisImpl <em>HW Part Failure Analysis</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.hardware.failurepart.impl.HWPartFailureAnalysisImpl
   * @see safe10.classmodel.hardware.failurepart.impl.FailurepartPackageImpl#getHWPartFailureAnalysis()
   * @generated
   */
  int HW_PART_FAILURE_ANALYSIS = 3;

  /**
   * The feature id for the '<em><b>Hw Element Scope</b></em>' reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_PART_FAILURE_ANALYSIS__HW_ELEMENT_SCOPE = 0;

  /**
   * The feature id for the '<em><b>Malfunction Part Analysis</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_PART_FAILURE_ANALYSIS__MALFUNCTION_PART_ANALYSIS = 1;

  /**
   * The feature id for the '<em><b>Quantified Hardware FM From Part</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_PART_FAILURE_ANALYSIS__QUANTIFIED_HARDWARE_FM_FROM_PART = 2;

  /**
   * The number of structural features of the '<em>HW Part Failure Analysis</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_PART_FAILURE_ANALYSIS_FEATURE_COUNT = 3;

  /**
   * The meta object id for the '{@link safe10.classmodel.hardware.failurepart.impl.HWPartFailureModeImpl <em>HW Part Failure Mode</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.hardware.failurepart.impl.HWPartFailureModeImpl
   * @see safe10.classmodel.hardware.failurepart.impl.FailurepartPackageImpl#getHWPartFailureMode()
   * @generated
   */
  int HW_PART_FAILURE_MODE = 4;

  /**
   * The feature id for the '<em><b>Part Failure Mode Type</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_PART_FAILURE_MODE__PART_FAILURE_MODE_TYPE = 0;

  /**
   * The feature id for the '<em><b>Failure Rate Distribution</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_PART_FAILURE_MODE__FAILURE_RATE_DISTRIBUTION = 1;

  /**
   * The feature id for the '<em><b>Part Potential Cause</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_PART_FAILURE_MODE__PART_POTENTIAL_CAUSE = 2;

  /**
   * The number of structural features of the '<em>HW Part Failure Mode</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_PART_FAILURE_MODE_FEATURE_COUNT = 3;

  /**
   * The meta object id for the '{@link safe10.classmodel.hardware.failurepart.impl.HWPartFailureRateImpl <em>HW Part Failure Rate</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.hardware.failurepart.impl.HWPartFailureRateImpl
   * @see safe10.classmodel.hardware.failurepart.impl.FailurepartPackageImpl#getHWPartFailureRate()
   * @generated
   */
  int HW_PART_FAILURE_RATE = 5;

  /**
   * The feature id for the '<em><b>Rationale Scaling Factor</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_PART_FAILURE_RATE__RATIONALE_SCALING_FACTOR = 0;

  /**
   * The feature id for the '<em><b>Scaling Factor</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_PART_FAILURE_RATE__SCALING_FACTOR = 1;

  /**
   * The feature id for the '<em><b>Source</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_PART_FAILURE_RATE__SOURCE = 2;

  /**
   * The feature id for the '<em><b>Value</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_PART_FAILURE_RATE__VALUE = 3;

  /**
   * The number of structural features of the '<em>HW Part Failure Rate</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_PART_FAILURE_RATE_FEATURE_COUNT = 4;

  /**
   * The meta object id for the '{@link safe10.classmodel.hardware.failurepart.impl.HWElementScopeInstanceRefImpl <em>HW Element Scope Instance Ref</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.hardware.failurepart.impl.HWElementScopeInstanceRefImpl
   * @see safe10.classmodel.hardware.failurepart.impl.FailurepartPackageImpl#getHWElementScopeInstanceRef()
   * @generated
   */
  int HW_ELEMENT_SCOPE_INSTANCE_REF = 6;

  /**
   * The feature id for the '<em><b>Context Hw Element Scope</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_ELEMENT_SCOPE_INSTANCE_REF__CONTEXT_HW_ELEMENT_SCOPE = 0;

  /**
   * The feature id for the '<em><b>Base Hardware Element Scope</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_ELEMENT_SCOPE_INSTANCE_REF__BASE_HARDWARE_ELEMENT_SCOPE = 1;

  /**
   * The feature id for the '<em><b>Target Hw Element Scope</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_ELEMENT_SCOPE_INSTANCE_REF__TARGET_HW_ELEMENT_SCOPE = 2;

  /**
   * The number of structural features of the '<em>HW Element Scope Instance Ref</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_ELEMENT_SCOPE_INSTANCE_REF_FEATURE_COUNT = 3;


  /**
   * Returns the meta object for class '{@link safe10.classmodel.hardware.failurepart.HWComponentQuantifiedFMFromPart <em>HW Component Quantified FM From Part</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>HW Component Quantified FM From Part</em>'.
   * @see safe10.classmodel.hardware.failurepart.HWComponentQuantifiedFMFromPart
   * @generated
   */
  EClass getHWComponentQuantifiedFMFromPart();

  /**
   * Returns the meta object for the attribute '{@link safe10.classmodel.hardware.failurepart.HWComponentQuantifiedFMFromPart#getLambdaFailureMode <em>Lambda Failure Mode</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Lambda Failure Mode</em>'.
   * @see safe10.classmodel.hardware.failurepart.HWComponentQuantifiedFMFromPart#getLambdaFailureMode()
   * @see #getHWComponentQuantifiedFMFromPart()
   * @generated
   */
  EAttribute getHWComponentQuantifiedFMFromPart_LambdaFailureMode();

  /**
   * Returns the meta object for the containment reference '{@link safe10.classmodel.hardware.failurepart.HWComponentQuantifiedFMFromPart#getHwCQFMlambdaFailureModeValue <em>Hw CQF Mlambda Failure Mode Value</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Hw CQF Mlambda Failure Mode Value</em>'.
   * @see safe10.classmodel.hardware.failurepart.HWComponentQuantifiedFMFromPart#getHwCQFMlambdaFailureModeValue()
   * @see #getHWComponentQuantifiedFMFromPart()
   * @generated
   */
  EReference getHWComponentQuantifiedFMFromPart_HwCQFMlambdaFailureModeValue();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.hardware.failurepart.HWElementPrototypeScope <em>HW Element Prototype Scope</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>HW Element Prototype Scope</em>'.
   * @see safe10.classmodel.hardware.failurepart.HWElementPrototypeScope
   * @generated
   */
  EClass getHWElementPrototypeScope();

  /**
   * Returns the meta object for the attribute '{@link safe10.classmodel.hardware.failurepart.HWElementPrototypeScope#getSafetyRelated <em>Safety Related</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Safety Related</em>'.
   * @see safe10.classmodel.hardware.failurepart.HWElementPrototypeScope#getSafetyRelated()
   * @see #getHWElementPrototypeScope()
   * @generated
   */
  EAttribute getHWElementPrototypeScope_SafetyRelated();

  /**
   * Returns the meta object for the reference '{@link safe10.classmodel.hardware.failurepart.HWElementPrototypeScope#getNameWasNotSet_5 <em>Name Was Not Set 5</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the reference '<em>Name Was Not Set 5</em>'.
   * @see safe10.classmodel.hardware.failurepart.HWElementPrototypeScope#getNameWasNotSet_5()
   * @see #getHWElementPrototypeScope()
   * @generated
   */
  EReference getHWElementPrototypeScope_NameWasNotSet_5();

  /**
   * Returns the meta object for the reference '{@link safe10.classmodel.hardware.failurepart.HWElementPrototypeScope#getHwElementScopeInstanceRefContext <em>Hw Element Scope Instance Ref Context</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the reference '<em>Hw Element Scope Instance Ref Context</em>'.
   * @see safe10.classmodel.hardware.failurepart.HWElementPrototypeScope#getHwElementScopeInstanceRefContext()
   * @see #getHWElementPrototypeScope()
   * @generated
   */
  EReference getHWElementPrototypeScope_HwElementScopeInstanceRefContext();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.hardware.failurepart.HWPartFailure <em>HW Part Failure</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>HW Part Failure</em>'.
   * @see safe10.classmodel.hardware.failurepart.HWPartFailure
   * @generated
   */
  EClass getHWPartFailure();

  /**
   * Returns the meta object for the reference '{@link safe10.classmodel.hardware.failurepart.HWPartFailure#getNameWasNotSet_6 <em>Name Was Not Set 6</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the reference '<em>Name Was Not Set 6</em>'.
   * @see safe10.classmodel.hardware.failurepart.HWPartFailure#getNameWasNotSet_6()
   * @see #getHWPartFailure()
   * @generated
   */
  EReference getHWPartFailure_NameWasNotSet_6();

  /**
   * Returns the meta object for the containment reference list '{@link safe10.classmodel.hardware.failurepart.HWPartFailure#getHwPartFailureMode <em>Hw Part Failure Mode</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference list '<em>Hw Part Failure Mode</em>'.
   * @see safe10.classmodel.hardware.failurepart.HWPartFailure#getHwPartFailureMode()
   * @see #getHWPartFailure()
   * @generated
   */
  EReference getHWPartFailure_HwPartFailureMode();

  /**
   * Returns the meta object for the containment reference '{@link safe10.classmodel.hardware.failurepart.HWPartFailure#getHwPartFailureRate <em>Hw Part Failure Rate</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Hw Part Failure Rate</em>'.
   * @see safe10.classmodel.hardware.failurepart.HWPartFailure#getHwPartFailureRate()
   * @see #getHWPartFailure()
   * @generated
   */
  EReference getHWPartFailure_HwPartFailureRate();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.hardware.failurepart.HWPartFailureAnalysis <em>HW Part Failure Analysis</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>HW Part Failure Analysis</em>'.
   * @see safe10.classmodel.hardware.failurepart.HWPartFailureAnalysis
   * @generated
   */
  EClass getHWPartFailureAnalysis();

  /**
   * Returns the meta object for the reference list '{@link safe10.classmodel.hardware.failurepart.HWPartFailureAnalysis#getHwElementScope <em>Hw Element Scope</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the reference list '<em>Hw Element Scope</em>'.
   * @see safe10.classmodel.hardware.failurepart.HWPartFailureAnalysis#getHwElementScope()
   * @see #getHWPartFailureAnalysis()
   * @generated
   */
  EReference getHWPartFailureAnalysis_HwElementScope();

  /**
   * Returns the meta object for the reference '{@link safe10.classmodel.hardware.failurepart.HWPartFailureAnalysis#getMalfunctionPartAnalysis <em>Malfunction Part Analysis</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the reference '<em>Malfunction Part Analysis</em>'.
   * @see safe10.classmodel.hardware.failurepart.HWPartFailureAnalysis#getMalfunctionPartAnalysis()
   * @see #getHWPartFailureAnalysis()
   * @generated
   */
  EReference getHWPartFailureAnalysis_MalfunctionPartAnalysis();

  /**
   * Returns the meta object for the reference '{@link safe10.classmodel.hardware.failurepart.HWPartFailureAnalysis#getQuantifiedHardwareFMFromPart <em>Quantified Hardware FM From Part</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the reference '<em>Quantified Hardware FM From Part</em>'.
   * @see safe10.classmodel.hardware.failurepart.HWPartFailureAnalysis#getQuantifiedHardwareFMFromPart()
   * @see #getHWPartFailureAnalysis()
   * @generated
   */
  EReference getHWPartFailureAnalysis_QuantifiedHardwareFMFromPart();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.hardware.failurepart.HWPartFailureMode <em>HW Part Failure Mode</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>HW Part Failure Mode</em>'.
   * @see safe10.classmodel.hardware.failurepart.HWPartFailureMode
   * @generated
   */
  EClass getHWPartFailureMode();

  /**
   * Returns the meta object for the attribute '{@link safe10.classmodel.hardware.failurepart.HWPartFailureMode#getPartFailureModeType <em>Part Failure Mode Type</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Part Failure Mode Type</em>'.
   * @see safe10.classmodel.hardware.failurepart.HWPartFailureMode#getPartFailureModeType()
   * @see #getHWPartFailureMode()
   * @generated
   */
  EAttribute getHWPartFailureMode_PartFailureModeType();

  /**
   * Returns the meta object for the attribute '{@link safe10.classmodel.hardware.failurepart.HWPartFailureMode#getFailureRateDistribution <em>Failure Rate Distribution</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Failure Rate Distribution</em>'.
   * @see safe10.classmodel.hardware.failurepart.HWPartFailureMode#getFailureRateDistribution()
   * @see #getHWPartFailureMode()
   * @generated
   */
  EAttribute getHWPartFailureMode_FailureRateDistribution();

  /**
   * Returns the meta object for the attribute '{@link safe10.classmodel.hardware.failurepart.HWPartFailureMode#getPartPotentialCause <em>Part Potential Cause</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Part Potential Cause</em>'.
   * @see safe10.classmodel.hardware.failurepart.HWPartFailureMode#getPartPotentialCause()
   * @see #getHWPartFailureMode()
   * @generated
   */
  EAttribute getHWPartFailureMode_PartPotentialCause();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.hardware.failurepart.HWPartFailureRate <em>HW Part Failure Rate</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>HW Part Failure Rate</em>'.
   * @see safe10.classmodel.hardware.failurepart.HWPartFailureRate
   * @generated
   */
  EClass getHWPartFailureRate();

  /**
   * Returns the meta object for the attribute '{@link safe10.classmodel.hardware.failurepart.HWPartFailureRate#getRationaleScalingFactor <em>Rationale Scaling Factor</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Rationale Scaling Factor</em>'.
   * @see safe10.classmodel.hardware.failurepart.HWPartFailureRate#getRationaleScalingFactor()
   * @see #getHWPartFailureRate()
   * @generated
   */
  EAttribute getHWPartFailureRate_RationaleScalingFactor();

  /**
   * Returns the meta object for the attribute '{@link safe10.classmodel.hardware.failurepart.HWPartFailureRate#getScalingFactor <em>Scaling Factor</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Scaling Factor</em>'.
   * @see safe10.classmodel.hardware.failurepart.HWPartFailureRate#getScalingFactor()
   * @see #getHWPartFailureRate()
   * @generated
   */
  EAttribute getHWPartFailureRate_ScalingFactor();

  /**
   * Returns the meta object for the attribute '{@link safe10.classmodel.hardware.failurepart.HWPartFailureRate#getSource <em>Source</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Source</em>'.
   * @see safe10.classmodel.hardware.failurepart.HWPartFailureRate#getSource()
   * @see #getHWPartFailureRate()
   * @generated
   */
  EAttribute getHWPartFailureRate_Source();

  /**
   * Returns the meta object for the attribute '{@link safe10.classmodel.hardware.failurepart.HWPartFailureRate#getValue <em>Value</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Value</em>'.
   * @see safe10.classmodel.hardware.failurepart.HWPartFailureRate#getValue()
   * @see #getHWPartFailureRate()
   * @generated
   */
  EAttribute getHWPartFailureRate_Value();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.hardware.failurepart.HWElementScopeInstanceRef <em>HW Element Scope Instance Ref</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>HW Element Scope Instance Ref</em>'.
   * @see safe10.classmodel.hardware.failurepart.HWElementScopeInstanceRef
   * @generated
   */
  EClass getHWElementScopeInstanceRef();

  /**
   * Returns the meta object for the reference '{@link safe10.classmodel.hardware.failurepart.HWElementScopeInstanceRef#getContextHwElementScope <em>Context Hw Element Scope</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the reference '<em>Context Hw Element Scope</em>'.
   * @see safe10.classmodel.hardware.failurepart.HWElementScopeInstanceRef#getContextHwElementScope()
   * @see #getHWElementScopeInstanceRef()
   * @generated
   */
  EReference getHWElementScopeInstanceRef_ContextHwElementScope();

  /**
   * Returns the meta object for the reference '{@link safe10.classmodel.hardware.failurepart.HWElementScopeInstanceRef#getBaseHardwareElementScope <em>Base Hardware Element Scope</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the reference '<em>Base Hardware Element Scope</em>'.
   * @see safe10.classmodel.hardware.failurepart.HWElementScopeInstanceRef#getBaseHardwareElementScope()
   * @see #getHWElementScopeInstanceRef()
   * @generated
   */
  EReference getHWElementScopeInstanceRef_BaseHardwareElementScope();

  /**
   * Returns the meta object for the reference '{@link safe10.classmodel.hardware.failurepart.HWElementScopeInstanceRef#getTargetHwElementScope <em>Target Hw Element Scope</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the reference '<em>Target Hw Element Scope</em>'.
   * @see safe10.classmodel.hardware.failurepart.HWElementScopeInstanceRef#getTargetHwElementScope()
   * @see #getHWElementScopeInstanceRef()
   * @generated
   */
  EReference getHWElementScopeInstanceRef_TargetHwElementScope();

  /**
   * Returns the factory that creates the instances of the model.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the factory that creates the instances of the model.
   * @generated
   */
  FailurepartFactory getFailurepartFactory();

  /**
   * <!-- begin-user-doc -->
   * Defines literals for the meta objects that represent
   * <ul>
   *   <li>each class,</li>
   *   <li>each feature of each class,</li>
   *   <li>each enum,</li>
   *   <li>and each data type</li>
   * </ul>
   * <!-- end-user-doc -->
   * @generated
   */
  interface Literals
  {
    /**
     * The meta object literal for the '{@link safe10.classmodel.hardware.failurepart.impl.HWComponentQuantifiedFMFromPartImpl <em>HW Component Quantified FM From Part</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.hardware.failurepart.impl.HWComponentQuantifiedFMFromPartImpl
     * @see safe10.classmodel.hardware.failurepart.impl.FailurepartPackageImpl#getHWComponentQuantifiedFMFromPart()
     * @generated
     */
    EClass HW_COMPONENT_QUANTIFIED_FM_FROM_PART = eINSTANCE.getHWComponentQuantifiedFMFromPart();

    /**
     * The meta object literal for the '<em><b>Lambda Failure Mode</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute HW_COMPONENT_QUANTIFIED_FM_FROM_PART__LAMBDA_FAILURE_MODE = eINSTANCE.getHWComponentQuantifiedFMFromPart_LambdaFailureMode();

    /**
     * The meta object literal for the '<em><b>Hw CQF Mlambda Failure Mode Value</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference HW_COMPONENT_QUANTIFIED_FM_FROM_PART__HW_CQF_MLAMBDA_FAILURE_MODE_VALUE = eINSTANCE.getHWComponentQuantifiedFMFromPart_HwCQFMlambdaFailureModeValue();

    /**
     * The meta object literal for the '{@link safe10.classmodel.hardware.failurepart.impl.HWElementPrototypeScopeImpl <em>HW Element Prototype Scope</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.hardware.failurepart.impl.HWElementPrototypeScopeImpl
     * @see safe10.classmodel.hardware.failurepart.impl.FailurepartPackageImpl#getHWElementPrototypeScope()
     * @generated
     */
    EClass HW_ELEMENT_PROTOTYPE_SCOPE = eINSTANCE.getHWElementPrototypeScope();

    /**
     * The meta object literal for the '<em><b>Safety Related</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute HW_ELEMENT_PROTOTYPE_SCOPE__SAFETY_RELATED = eINSTANCE.getHWElementPrototypeScope_SafetyRelated();

    /**
     * The meta object literal for the '<em><b>Name Was Not Set 5</b></em>' reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference HW_ELEMENT_PROTOTYPE_SCOPE__NAME_WAS_NOT_SET_5 = eINSTANCE.getHWElementPrototypeScope_NameWasNotSet_5();

    /**
     * The meta object literal for the '<em><b>Hw Element Scope Instance Ref Context</b></em>' reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference HW_ELEMENT_PROTOTYPE_SCOPE__HW_ELEMENT_SCOPE_INSTANCE_REF_CONTEXT = eINSTANCE.getHWElementPrototypeScope_HwElementScopeInstanceRefContext();

    /**
     * The meta object literal for the '{@link safe10.classmodel.hardware.failurepart.impl.HWPartFailureImpl <em>HW Part Failure</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.hardware.failurepart.impl.HWPartFailureImpl
     * @see safe10.classmodel.hardware.failurepart.impl.FailurepartPackageImpl#getHWPartFailure()
     * @generated
     */
    EClass HW_PART_FAILURE = eINSTANCE.getHWPartFailure();

    /**
     * The meta object literal for the '<em><b>Name Was Not Set 6</b></em>' reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference HW_PART_FAILURE__NAME_WAS_NOT_SET_6 = eINSTANCE.getHWPartFailure_NameWasNotSet_6();

    /**
     * The meta object literal for the '<em><b>Hw Part Failure Mode</b></em>' containment reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference HW_PART_FAILURE__HW_PART_FAILURE_MODE = eINSTANCE.getHWPartFailure_HwPartFailureMode();

    /**
     * The meta object literal for the '<em><b>Hw Part Failure Rate</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference HW_PART_FAILURE__HW_PART_FAILURE_RATE = eINSTANCE.getHWPartFailure_HwPartFailureRate();

    /**
     * The meta object literal for the '{@link safe10.classmodel.hardware.failurepart.impl.HWPartFailureAnalysisImpl <em>HW Part Failure Analysis</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.hardware.failurepart.impl.HWPartFailureAnalysisImpl
     * @see safe10.classmodel.hardware.failurepart.impl.FailurepartPackageImpl#getHWPartFailureAnalysis()
     * @generated
     */
    EClass HW_PART_FAILURE_ANALYSIS = eINSTANCE.getHWPartFailureAnalysis();

    /**
     * The meta object literal for the '<em><b>Hw Element Scope</b></em>' reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference HW_PART_FAILURE_ANALYSIS__HW_ELEMENT_SCOPE = eINSTANCE.getHWPartFailureAnalysis_HwElementScope();

    /**
     * The meta object literal for the '<em><b>Malfunction Part Analysis</b></em>' reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference HW_PART_FAILURE_ANALYSIS__MALFUNCTION_PART_ANALYSIS = eINSTANCE.getHWPartFailureAnalysis_MalfunctionPartAnalysis();

    /**
     * The meta object literal for the '<em><b>Quantified Hardware FM From Part</b></em>' reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference HW_PART_FAILURE_ANALYSIS__QUANTIFIED_HARDWARE_FM_FROM_PART = eINSTANCE.getHWPartFailureAnalysis_QuantifiedHardwareFMFromPart();

    /**
     * The meta object literal for the '{@link safe10.classmodel.hardware.failurepart.impl.HWPartFailureModeImpl <em>HW Part Failure Mode</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.hardware.failurepart.impl.HWPartFailureModeImpl
     * @see safe10.classmodel.hardware.failurepart.impl.FailurepartPackageImpl#getHWPartFailureMode()
     * @generated
     */
    EClass HW_PART_FAILURE_MODE = eINSTANCE.getHWPartFailureMode();

    /**
     * The meta object literal for the '<em><b>Part Failure Mode Type</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute HW_PART_FAILURE_MODE__PART_FAILURE_MODE_TYPE = eINSTANCE.getHWPartFailureMode_PartFailureModeType();

    /**
     * The meta object literal for the '<em><b>Failure Rate Distribution</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute HW_PART_FAILURE_MODE__FAILURE_RATE_DISTRIBUTION = eINSTANCE.getHWPartFailureMode_FailureRateDistribution();

    /**
     * The meta object literal for the '<em><b>Part Potential Cause</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute HW_PART_FAILURE_MODE__PART_POTENTIAL_CAUSE = eINSTANCE.getHWPartFailureMode_PartPotentialCause();

    /**
     * The meta object literal for the '{@link safe10.classmodel.hardware.failurepart.impl.HWPartFailureRateImpl <em>HW Part Failure Rate</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.hardware.failurepart.impl.HWPartFailureRateImpl
     * @see safe10.classmodel.hardware.failurepart.impl.FailurepartPackageImpl#getHWPartFailureRate()
     * @generated
     */
    EClass HW_PART_FAILURE_RATE = eINSTANCE.getHWPartFailureRate();

    /**
     * The meta object literal for the '<em><b>Rationale Scaling Factor</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute HW_PART_FAILURE_RATE__RATIONALE_SCALING_FACTOR = eINSTANCE.getHWPartFailureRate_RationaleScalingFactor();

    /**
     * The meta object literal for the '<em><b>Scaling Factor</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute HW_PART_FAILURE_RATE__SCALING_FACTOR = eINSTANCE.getHWPartFailureRate_ScalingFactor();

    /**
     * The meta object literal for the '<em><b>Source</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute HW_PART_FAILURE_RATE__SOURCE = eINSTANCE.getHWPartFailureRate_Source();

    /**
     * The meta object literal for the '<em><b>Value</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute HW_PART_FAILURE_RATE__VALUE = eINSTANCE.getHWPartFailureRate_Value();

    /**
     * The meta object literal for the '{@link safe10.classmodel.hardware.failurepart.impl.HWElementScopeInstanceRefImpl <em>HW Element Scope Instance Ref</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.hardware.failurepart.impl.HWElementScopeInstanceRefImpl
     * @see safe10.classmodel.hardware.failurepart.impl.FailurepartPackageImpl#getHWElementScopeInstanceRef()
     * @generated
     */
    EClass HW_ELEMENT_SCOPE_INSTANCE_REF = eINSTANCE.getHWElementScopeInstanceRef();

    /**
     * The meta object literal for the '<em><b>Context Hw Element Scope</b></em>' reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference HW_ELEMENT_SCOPE_INSTANCE_REF__CONTEXT_HW_ELEMENT_SCOPE = eINSTANCE.getHWElementScopeInstanceRef_ContextHwElementScope();

    /**
     * The meta object literal for the '<em><b>Base Hardware Element Scope</b></em>' reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference HW_ELEMENT_SCOPE_INSTANCE_REF__BASE_HARDWARE_ELEMENT_SCOPE = eINSTANCE.getHWElementScopeInstanceRef_BaseHardwareElementScope();

    /**
     * The meta object literal for the '<em><b>Target Hw Element Scope</b></em>' reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference HW_ELEMENT_SCOPE_INSTANCE_REF__TARGET_HW_ELEMENT_SCOPE = eINSTANCE.getHWElementScopeInstanceRef_TargetHwElementScope();

  }

} //FailurepartPackage
