/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package safe10.classmodel.hardware.failurepart;

import safe10.classmodel.commonstructure.toplevel.Referrable;

import safe10.classmodel.hardware.failureformula.HWLambdaPartFormula;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>HW Component Quantified FM From Part</b></em>'.
 * <!-- end-user-doc -->
 *
 * <!-- begin-model-doc -->
 * This class describes the quantified failure rate of a failure mode of a HWComponent based on the contribution of each HWPartFailureMode of the related HWPart as AUTOSAR HW Element (calculated with the formula and stored in the attribute lambdaFailureMode).
 * 
 * The attribute SafetyComponentClassName is used to identify the HWComponent Class name  for further calculation of all failure mode to the same HWComponent.
 * 
 * A quantified HW ComponentFailureMode must identify the related HWFailureMode of the HWComponent.
 * 
 * During modeling a design rule must be ensured that AutosarHWElementType  used as BaseHwElement for the instanceRef relation is the same as the root hierarchy on the HwElement creation
 * <!-- end-model-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link safe10.classmodel.hardware.failurepart.HWComponentQuantifiedFMFromPart#getLambdaFailureMode <em>Lambda Failure Mode</em>}</li>
 *   <li>{@link safe10.classmodel.hardware.failurepart.HWComponentQuantifiedFMFromPart#getHwCQFMlambdaFailureModeValue <em>Hw CQF Mlambda Failure Mode Value</em>}</li>
 * </ul>
 * </p>
 *
 * @see safe10.classmodel.hardware.failurepart.FailurepartPackage#getHWComponentQuantifiedFMFromPart()
 * @model annotation="MetaData guid='{726B19DF-2C80-416c-B58E-DF85CEA7F3AA}' id='456355323' EA\040name='HWComponentQuantifiedFMFromPart'"
 *        annotation="TaggedValues xml.name='HW-COMPONENT-QUANTIFIED-FM-FROM-PART' xml.namePlural='HW-COMPONENT-QUANTIFIED-FM-FROM-PARTS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public interface HWComponentQuantifiedFMFromPart extends Referrable
{
  /**
   * Returns the value of the '<em><b>Lambda Failure Mode</b></em>' attribute.
   * The default value is <code>"0.0"</code>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * This attribute contains the quantified failure rate for the corresponding failure mode of the hardware component.
   * <!-- end-model-doc -->
   * @return the value of the '<em>Lambda Failure Mode</em>' attribute.
   * @see #isSetLambdaFailureMode()
   * @see #unsetLambdaFailureMode()
   * @see #setLambdaFailureMode(Double)
   * @see safe10.classmodel.hardware.failurepart.FailurepartPackage#getHWComponentQuantifiedFMFromPart_LambdaFailureMode()
   * @model default="0.0" unsettable="true" dataType="safe10.classmodel.commonstructure.datatypes.Float" required="true"
   *        annotation="MetaData guid='{C0259858-5320-4e3f-A944-45DBDFAC0828}' id='-728115424' EA\040name='lambdaFailureMode'"
   *        annotation="TaggedValues xml.name='LAMBDA-FAILURE-MODE' xml.namePlural='LAMBDA-FAILURE-MODES' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  Double getLambdaFailureMode();

  /**
   * Sets the value of the '{@link safe10.classmodel.hardware.failurepart.HWComponentQuantifiedFMFromPart#getLambdaFailureMode <em>Lambda Failure Mode</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Lambda Failure Mode</em>' attribute.
   * @see #isSetLambdaFailureMode()
   * @see #LambdaFailureMode()
   * @see #getLambdaFailureMode()
   * @generated
   */
  void setLambdaFailureMode(Double value);

  /**
   * Unsets the value of the '{@link safe10.classmodel.hardware.failurepart.HWComponentQuantifiedFMFromPart#getLambdaFailureMode <em>Lambda Failure Mode</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #isSetLambdaFailureMode()
   * @see #getLambdaFailureMode()
   * @see #setLambdaFailureMode(Double)
   * @generated
   */
  void unsetLambdaFailureMode();

  /**
   * Returns whether the value of the '{@link safe10.classmodel.hardware.failurepart.HWComponentQuantifiedFMFromPart#getLambdaFailureMode <em>Lambda Failure Mode</em>}' attribute is set.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return whether the value of the '<em>Lambda Failure Mode</em>' attribute is set.
   * @see #LambdaFailureMode()
   * @see #getLambdaFailureMode()
   * @see #setLambdaFailureMode(Double)
   * @generated
   */
  boolean isSetLambdaFailureMode();

  /**
   * Returns the value of the '<em><b>Hw CQF Mlambda Failure Mode Value</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Hw CQF Mlambda Failure Mode Value</em>' containment reference isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Hw CQF Mlambda Failure Mode Value</em>' containment reference.
   * @see #setHwCQFMlambdaFailureModeValue(HWLambdaPartFormula)
   * @see safe10.classmodel.hardware.failurepart.FailurepartPackage#getHWComponentQuantifiedFMFromPart_HwCQFMlambdaFailureModeValue()
   * @model containment="true" required="true"
   *        annotation="MetaData guid='{64AF4971-5CEE-4991-9DF0-4E265FB60A7E}' id='405641111' EA\040name=''"
   *        annotation="TaggedValues xml.name='HW-CQF-MLAMBDA-FAILURE-MODE-VALUE' xml.namePlural='HW-CQF-MLAMBDA-FAILURE-MODE-VALUES' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  HWLambdaPartFormula getHwCQFMlambdaFailureModeValue();

  /**
   * Sets the value of the '{@link safe10.classmodel.hardware.failurepart.HWComponentQuantifiedFMFromPart#getHwCQFMlambdaFailureModeValue <em>Hw CQF Mlambda Failure Mode Value</em>}' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Hw CQF Mlambda Failure Mode Value</em>' containment reference.
   * @see #getHwCQFMlambdaFailureModeValue()
   * @generated
   */
  void setHwCQFMlambdaFailureModeValue(HWLambdaPartFormula value);

} // HWComponentQuantifiedFMFromPart
