/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package safe10.classmodel.hardware.failurepart;

import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>HW Element Prototype Scope</b></em>'.
 * <!-- end-user-doc -->
 *
 * <!-- begin-model-doc -->
 * This class describes the context for the definition of a hardware Element. The attribute defines a results of the analysis if the Hardware Component is safety related means impacted by the contribution to the violation of the malfunction
 * 
 * During modeling a design rule must be ensured that HWElementType used as BaseHwComponent for the instanceRef relation is the same as the root hierarchy on the HwElementPrototypeScope creation
 * <!-- end-model-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link safe10.classmodel.hardware.failurepart.HWElementPrototypeScope#getSafetyRelated <em>Safety Related</em>}</li>
 *   <li>{@link safe10.classmodel.hardware.failurepart.HWElementPrototypeScope#getNameWasNotSet_5 <em>Name Was Not Set 5</em>}</li>
 *   <li>{@link safe10.classmodel.hardware.failurepart.HWElementPrototypeScope#getHwElementScopeInstanceRefContext <em>Hw Element Scope Instance Ref Context</em>}</li>
 * </ul>
 * </p>
 *
 * @see safe10.classmodel.hardware.failurepart.FailurepartPackage#getHWElementPrototypeScope()
 * @model annotation="MetaData guid='{56EFC5F4-FD04-49da-8632-7956D475CF7B}' id='-1763263864' EA\040name='HWElementPrototypeScope'"
 *        annotation="TaggedValues xml.name='HW-ELEMENT-PROTOTYPE-SCOPE' xml.namePlural='HW-ELEMENT-PROTOTYPE-SCOPES' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public interface HWElementPrototypeScope extends EObject
{
  /**
   * Returns the value of the '<em><b>Safety Related</b></em>' attribute.
   * The default value is <code>"false"</code>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * This attribute stores the contribution of the HWElement to a malfunction as a boolean information
   * <!-- end-model-doc -->
   * @return the value of the '<em>Safety Related</em>' attribute.
   * @see #isSetSafetyRelated()
   * @see #unsetSafetyRelated()
   * @see #setSafetyRelated(Boolean)
   * @see safe10.classmodel.hardware.failurepart.FailurepartPackage#getHWElementPrototypeScope_SafetyRelated()
   * @model default="false" unsettable="true" dataType="safe10.classmodel.commonstructure.datatypes.Boolean" required="true"
   *        annotation="MetaData guid='{DD9A0D1D-972D-4fe8-9C44-DCF3DBEBFC44}' id='-1786580556' EA\040name='safetyRelated'"
   *        annotation="TaggedValues xml.name='SAFETY-RELATED' xml.namePlural='SAFETY-RELATEDS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  Boolean getSafetyRelated();

  /**
   * Sets the value of the '{@link safe10.classmodel.hardware.failurepart.HWElementPrototypeScope#getSafetyRelated <em>Safety Related</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Safety Related</em>' attribute.
   * @see #isSetSafetyRelated()
   * @see #SafetyRelated()
   * @see #getSafetyRelated()
   * @generated
   */
  void setSafetyRelated(Boolean value);

  /**
   * Unsets the value of the '{@link safe10.classmodel.hardware.failurepart.HWElementPrototypeScope#getSafetyRelated <em>Safety Related</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #isSetSafetyRelated()
   * @see #getSafetyRelated()
   * @see #setSafetyRelated(Boolean)
   * @generated
   */
  void unsetSafetyRelated();

  /**
   * Returns whether the value of the '{@link safe10.classmodel.hardware.failurepart.HWElementPrototypeScope#getSafetyRelated <em>Safety Related</em>}' attribute is set.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return whether the value of the '<em>Safety Related</em>' attribute is set.
   * @see #SafetyRelated()
   * @see #getSafetyRelated()
   * @see #setSafetyRelated(Boolean)
   * @generated
   */
  boolean isSetSafetyRelated();

  /**
   * Returns the value of the '<em><b>Name Was Not Set 5</b></em>' reference.
   * It is bidirectional and its opposite is '{@link safe10.classmodel.hardware.failurepart.HWPartFailureAnalysis#getHwElementScope <em>Hw Element Scope</em>}'.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Name Was Not Set 5</em>' reference isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Name Was Not Set 5</em>' reference.
   * @see #setNameWasNotSet_5(HWPartFailureAnalysis)
   * @see safe10.classmodel.hardware.failurepart.FailurepartPackage#getHWElementPrototypeScope_NameWasNotSet_5()
   * @see safe10.classmodel.hardware.failurepart.HWPartFailureAnalysis#getHwElementScope
   * @model opposite="hwElementScope"
   *        annotation="MetaData guid='{8C9EDB06-1EA5-4626-9E6C-A4FC8B13C4C5}' id='-1562844396' EA\040name=''"
   *        annotation="TaggedValues xml.name='NAME-WAS-NOT-SET-5-REF' xml.namePlural='NAME-WAS-NOT-SET-5-REFS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  HWPartFailureAnalysis getNameWasNotSet_5();

  /**
   * Sets the value of the '{@link safe10.classmodel.hardware.failurepart.HWElementPrototypeScope#getNameWasNotSet_5 <em>Name Was Not Set 5</em>}' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Name Was Not Set 5</em>' reference.
   * @see #getNameWasNotSet_5()
   * @generated
   */
  void setNameWasNotSet_5(HWPartFailureAnalysis value);

  /**
   * Returns the value of the '<em><b>Hw Element Scope Instance Ref Context</b></em>' reference.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Hw Element Scope Instance Ref Context</em>' reference isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Hw Element Scope Instance Ref Context</em>' reference.
   * @see #setHwElementScopeInstanceRefContext(HWElementScopeInstanceRef)
   * @see safe10.classmodel.hardware.failurepart.FailurepartPackage#getHWElementPrototypeScope_HwElementScopeInstanceRefContext()
   * @model required="true"
   *        annotation="MetaData guid='{A64CAB43-407F-4661-96DD-6A87EA12E223}' id='1904714137' EA\040name=''"
   *        annotation="TaggedValues xml.name='HW-ELEMENT-SCOPE-INSTANCE-REF-CONTEXT-REF' xml.namePlural='HW-ELEMENT-SCOPE-INSTANCE-REF-CONTEXT-REFS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  HWElementScopeInstanceRef getHwElementScopeInstanceRefContext();

  /**
   * Sets the value of the '{@link safe10.classmodel.hardware.failurepart.HWElementPrototypeScope#getHwElementScopeInstanceRefContext <em>Hw Element Scope Instance Ref Context</em>}' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Hw Element Scope Instance Ref Context</em>' reference.
   * @see #getHwElementScopeInstanceRefContext()
   * @generated
   */
  void setHwElementScopeInstanceRefContext(HWElementScopeInstanceRef value);

} // HWElementPrototypeScope
