/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package safe10.classmodel.hardware.failurepart;

import org.eclipse.emf.common.util.EList;

import org.eclipse.emf.ecore.EObject;

import safe10.classmodel.commonstructure.safetyextensions.HardwareImplementationSafetyExtension;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>HW Part Failure</b></em>'.
 * <!-- end-user-doc -->
 *
 * <!-- begin-model-doc -->
 * This class describes the failure data extension for all HWPart elements, including part failure rate and part failure mode.
 * <!-- end-model-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link safe10.classmodel.hardware.failurepart.HWPartFailure#getNameWasNotSet_6 <em>Name Was Not Set 6</em>}</li>
 *   <li>{@link safe10.classmodel.hardware.failurepart.HWPartFailure#getHwPartFailureMode <em>Hw Part Failure Mode</em>}</li>
 *   <li>{@link safe10.classmodel.hardware.failurepart.HWPartFailure#getHwPartFailureRate <em>Hw Part Failure Rate</em>}</li>
 * </ul>
 * </p>
 *
 * @see safe10.classmodel.hardware.failurepart.FailurepartPackage#getHWPartFailure()
 * @model annotation="MetaData guid='{0AEB08CF-B1E5-45d4-BC94-281F8E6A39BE}' id='-1697592469' EA\040name='HWPartFailure'"
 *        annotation="TaggedValues xml.name='HW-PART-FAILURE' xml.namePlural='HW-PART-FAILURES' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public interface HWPartFailure extends EObject
{
  /**
   * Returns the value of the '<em><b>Name Was Not Set 6</b></em>' reference.
   * It is bidirectional and its opposite is '{@link safe10.classmodel.commonstructure.safetyextensions.HardwareImplementationSafetyExtension#getRamdomHardwarePartFailure <em>Ramdom Hardware Part Failure</em>}'.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Name Was Not Set 6</em>' reference isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Name Was Not Set 6</em>' reference.
   * @see #setNameWasNotSet_6(HardwareImplementationSafetyExtension)
   * @see safe10.classmodel.hardware.failurepart.FailurepartPackage#getHWPartFailure_NameWasNotSet_6()
   * @see safe10.classmodel.commonstructure.safetyextensions.HardwareImplementationSafetyExtension#getRamdomHardwarePartFailure
   * @model opposite="ramdomHardwarePartFailure"
   *        annotation="MetaData guid='{BD4D6686-7DD8-4a72-A20A-7BD0381B3E39}' id='-327469539' EA\040name=''"
   *        annotation="TaggedValues xml.name='NAME-WAS-NOT-SET-6-REF' xml.namePlural='NAME-WAS-NOT-SET-6-REFS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  HardwareImplementationSafetyExtension getNameWasNotSet_6();

  /**
   * Sets the value of the '{@link safe10.classmodel.hardware.failurepart.HWPartFailure#getNameWasNotSet_6 <em>Name Was Not Set 6</em>}' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Name Was Not Set 6</em>' reference.
   * @see #getNameWasNotSet_6()
   * @generated
   */
  void setNameWasNotSet_6(HardwareImplementationSafetyExtension value);

  /**
   * Returns the value of the '<em><b>Hw Part Failure Mode</b></em>' containment reference list.
   * The list contents are of type {@link safe10.classmodel.hardware.failurepart.HWPartFailureMode}.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Hw Part Failure Mode</em>' containment reference list isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Hw Part Failure Mode</em>' containment reference list.
   * @see safe10.classmodel.hardware.failurepart.FailurepartPackage#getHWPartFailure_HwPartFailureMode()
   * @model containment="true"
   *        annotation="MetaData guid='{D7C1FBA7-00D0-43ce-A3FF-D70872E1404C}' id='302887607' EA\040name=''"
   *        annotation="TaggedValues xml.name='HW-PART-FAILURE-MODE' xml.namePlural='HW-PART-FAILURE-MODES' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='false' xml.roleWrapperElement='true' xml.typeElement='true' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  EList<HWPartFailureMode> getHwPartFailureMode();

  /**
   * Returns the value of the '<em><b>Hw Part Failure Rate</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Hw Part Failure Rate</em>' containment reference isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Hw Part Failure Rate</em>' containment reference.
   * @see #setHwPartFailureRate(HWPartFailureRate)
   * @see safe10.classmodel.hardware.failurepart.FailurepartPackage#getHWPartFailure_HwPartFailureRate()
   * @model containment="true" required="true"
   *        annotation="MetaData guid='{E20101F2-231F-4f30-85C4-BBAEC1D992D3}' id='-917555274' EA\040name=''"
   *        annotation="TaggedValues xml.name='HW-PART-FAILURE-RATE' xml.namePlural='HW-PART-FAILURE-RATES' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  HWPartFailureRate getHwPartFailureRate();

  /**
   * Sets the value of the '{@link safe10.classmodel.hardware.failurepart.HWPartFailure#getHwPartFailureRate <em>Hw Part Failure Rate</em>}' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Hw Part Failure Rate</em>' containment reference.
   * @see #getHwPartFailureRate()
   * @generated
   */
  void setHwPartFailureRate(HWPartFailureRate value);

} // HWPartFailure
