/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package safe10.classmodel.hardware.failurepart;

import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>HW Part Failure Mode</b></em>'.
 * <!-- end-user-doc -->
 *
 * <!-- begin-model-doc -->
 * This class describes HWPartFailureModes of a HWPart as AUTOSAR HWElement. It aso captures the potential cause for a HWFailureMode as String (for documentation).
 * 
 * Each HWPartFailureMode of the Autosar HardwareElement must define a relation and contribution to a HWFailureMode of HardwareComponent (from hardware design level).
 * 
 * The HWFailureMode and HWFailureRateDistribution can be derived from e.g. Industry Source.
 * <!-- end-model-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link safe10.classmodel.hardware.failurepart.HWPartFailureMode#getPartFailureModeType <em>Part Failure Mode Type</em>}</li>
 *   <li>{@link safe10.classmodel.hardware.failurepart.HWPartFailureMode#getFailureRateDistribution <em>Failure Rate Distribution</em>}</li>
 *   <li>{@link safe10.classmodel.hardware.failurepart.HWPartFailureMode#getPartPotentialCause <em>Part Potential Cause</em>}</li>
 * </ul>
 * </p>
 *
 * @see safe10.classmodel.hardware.failurepart.FailurepartPackage#getHWPartFailureMode()
 * @model annotation="MetaData guid='{0A9E2147-2B2C-4c8c-9CB7-D6C6023CEA0B}' id='1226885119' EA\040name='HWPartFailureMode'"
 *        annotation="TaggedValues xml.name='HW-PART-FAILURE-MODE' xml.namePlural='HW-PART-FAILURE-MODES' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public interface HWPartFailureMode extends EObject
{
  /**
   * Returns the value of the '<em><b>Part Failure Mode Type</b></em>' attribute.
   * The default value is <code>""</code>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * This attribute textually describes the type of a failure mode of a HWPart element (e.g. "ShortCircuit" for a resistor).
   * <!-- end-model-doc -->
   * @return the value of the '<em>Part Failure Mode Type</em>' attribute.
   * @see #isSetPartFailureModeType()
   * @see #unsetPartFailureModeType()
   * @see #setPartFailureModeType(String)
   * @see safe10.classmodel.hardware.failurepart.FailurepartPackage#getHWPartFailureMode_PartFailureModeType()
   * @model default="" unsettable="true" dataType="safe10.classmodel.commonstructure.datatypes.String" required="true"
   *        annotation="MetaData guid='{0893FFFD-1237-4590-9760-C4F558DA2E9B}' id='1476004421' EA\040name='partFailureModeType'"
   *        annotation="TaggedValues xml.name='PART-FAILURE-MODE-TYPE' xml.namePlural='PART-FAILURE-MODE-TYPES' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  String getPartFailureModeType();

  /**
   * Sets the value of the '{@link safe10.classmodel.hardware.failurepart.HWPartFailureMode#getPartFailureModeType <em>Part Failure Mode Type</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Part Failure Mode Type</em>' attribute.
   * @see #isSetPartFailureModeType()
   * @see #PartFailureModeType()
   * @see #getPartFailureModeType()
   * @generated
   */
  void setPartFailureModeType(String value);

  /**
   * Unsets the value of the '{@link safe10.classmodel.hardware.failurepart.HWPartFailureMode#getPartFailureModeType <em>Part Failure Mode Type</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #isSetPartFailureModeType()
   * @see #getPartFailureModeType()
   * @see #setPartFailureModeType(String)
   * @generated
   */
  void unsetPartFailureModeType();

  /**
   * Returns whether the value of the '{@link safe10.classmodel.hardware.failurepart.HWPartFailureMode#getPartFailureModeType <em>Part Failure Mode Type</em>}' attribute is set.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return whether the value of the '<em>Part Failure Mode Type</em>' attribute is set.
   * @see #PartFailureModeType()
   * @see #getPartFailureModeType()
   * @see #setPartFailureModeType(String)
   * @generated
   */
  boolean isSetPartFailureModeType();

  /**
   * Returns the value of the '<em><b>Failure Rate Distribution</b></em>' attribute.
   * The default value is <code>"0"</code>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * This attribute describes the distribution of the failure rate of the HWPart element for the specific hardware part failure mode in percentage.
   * <!-- end-model-doc -->
   * @return the value of the '<em>Failure Rate Distribution</em>' attribute.
   * @see #isSetFailureRateDistribution()
   * @see #unsetFailureRateDistribution()
   * @see #setFailureRateDistribution(Integer)
   * @see safe10.classmodel.hardware.failurepart.FailurepartPackage#getHWPartFailureMode_FailureRateDistribution()
   * @model default="0" unsettable="true" dataType="safe10.classmodel.commonstructure.datatypes.Integer" required="true"
   *        annotation="MetaData guid='{8783BE94-14A7-4304-8386-2C7E2AB653AE}' id='-1825422892' EA\040name='FailureRateDistribution'"
   *        annotation="TaggedValues xml.name='FAILURE-RATE-DISTRIBUTION' xml.namePlural='FAILURE-RATE-DISTRIBUTIONS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  Integer getFailureRateDistribution();

  /**
   * Sets the value of the '{@link safe10.classmodel.hardware.failurepart.HWPartFailureMode#getFailureRateDistribution <em>Failure Rate Distribution</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Failure Rate Distribution</em>' attribute.
   * @see #isSetFailureRateDistribution()
   * @see #FailureRateDistribution()
   * @see #getFailureRateDistribution()
   * @generated
   */
  void setFailureRateDistribution(Integer value);

  /**
   * Unsets the value of the '{@link safe10.classmodel.hardware.failurepart.HWPartFailureMode#getFailureRateDistribution <em>Failure Rate Distribution</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #isSetFailureRateDistribution()
   * @see #getFailureRateDistribution()
   * @see #setFailureRateDistribution(Integer)
   * @generated
   */
  void unsetFailureRateDistribution();

  /**
   * Returns whether the value of the '{@link safe10.classmodel.hardware.failurepart.HWPartFailureMode#getFailureRateDistribution <em>Failure Rate Distribution</em>}' attribute is set.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return whether the value of the '<em>Failure Rate Distribution</em>' attribute is set.
   * @see #FailureRateDistribution()
   * @see #getFailureRateDistribution()
   * @see #setFailureRateDistribution(Integer)
   * @generated
   */
  boolean isSetFailureRateDistribution();

  /**
   * Returns the value of the '<em><b>Part Potential Cause</b></em>' attribute.
   * The default value is <code>""</code>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * This attribute allows the documentation of the potential cause of the HWPart failure mode (e.g. high temperature).
   * <!-- end-model-doc -->
   * @return the value of the '<em>Part Potential Cause</em>' attribute.
   * @see #isSetPartPotentialCause()
   * @see #unsetPartPotentialCause()
   * @see #setPartPotentialCause(String)
   * @see safe10.classmodel.hardware.failurepart.FailurepartPackage#getHWPartFailureMode_PartPotentialCause()
   * @model default="" unsettable="true" dataType="safe10.classmodel.commonstructure.datatypes.String" required="true"
   *        annotation="MetaData guid='{39B5E2BC-D226-46f6-BE22-D93B0495283D}' id='342740002' EA\040name='partPotentialCause'"
   *        annotation="TaggedValues xml.name='PART-POTENTIAL-CAUSE' xml.namePlural='PART-POTENTIAL-CAUSES' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  String getPartPotentialCause();

  /**
   * Sets the value of the '{@link safe10.classmodel.hardware.failurepart.HWPartFailureMode#getPartPotentialCause <em>Part Potential Cause</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Part Potential Cause</em>' attribute.
   * @see #isSetPartPotentialCause()
   * @see #PartPotentialCause()
   * @see #getPartPotentialCause()
   * @generated
   */
  void setPartPotentialCause(String value);

  /**
   * Unsets the value of the '{@link safe10.classmodel.hardware.failurepart.HWPartFailureMode#getPartPotentialCause <em>Part Potential Cause</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #isSetPartPotentialCause()
   * @see #getPartPotentialCause()
   * @see #setPartPotentialCause(String)
   * @generated
   */
  void unsetPartPotentialCause();

  /**
   * Returns whether the value of the '{@link safe10.classmodel.hardware.failurepart.HWPartFailureMode#getPartPotentialCause <em>Part Potential Cause</em>}' attribute is set.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return whether the value of the '<em>Part Potential Cause</em>' attribute is set.
   * @see #PartPotentialCause()
   * @see #getPartPotentialCause()
   * @see #setPartPotentialCause(String)
   * @generated
   */
  boolean isSetPartPotentialCause();

} // HWPartFailureMode
