/**
 */
package safe10.classmodel.hardware.hwarchitecturalmetrics;

import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EEnum;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

/**
 * <!-- begin-user-doc -->
 * The <b>Package</b> for the model.
 * It contains accessors for the meta objects to represent
 * <ul>
 *   <li>each class,</li>
 *   <li>each feature of each class,</li>
 *   <li>each enum,</li>
 *   <li>and each data type</li>
 * </ul>
 * <!-- end-user-doc -->
 * <!-- begin-model-doc -->
 * This sub-package describes the hardware architectural metrics as claimed by ISO 26262 Part 5 Clause 8. A detailed description of the architectural metrics can be found in ISO 26262 Part 5 Annex C.
 * <!-- end-model-doc -->
 * @see safe10.classmodel.hardware.hwarchitecturalmetrics.HwarchitecturalmetricsFactory
 * @model kind="package"
 *        annotation="MetaData guid='{5650CC37-39E8-44f7-B639-B29CE88674C3}' id='1045719878' EA\040name='HWArchitecturalMetrics'"
 *        annotation="TaggedValues xml.name='HWARCHITECTURALMETRICS' xml.namePlural='HWARCHITECTURALMETRICSS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public interface HwarchitecturalmetricsPackage extends EPackage
{
  /**
   * The package name.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNAME = "hwarchitecturalmetrics";

  /**
   * The package namespace URI.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNS_URI = "http://safe-project.eu/1.0.1/safe10/classmodel/hardware/hwarchitecturalmetrics";

  /**
   * The package namespace name.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNS_PREFIX = "";

  /**
   * The singleton instance of the package.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  HwarchitecturalmetricsPackage eINSTANCE = safe10.classmodel.hardware.hwarchitecturalmetrics.impl.HwarchitecturalmetricsPackageImpl.init();

  /**
   * The meta object id for the '{@link safe10.classmodel.hardware.hwarchitecturalmetrics.impl.HWLatentFaultMetricImpl <em>HW Latent Fault Metric</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.hardware.hwarchitecturalmetrics.impl.HWLatentFaultMetricImpl
   * @see safe10.classmodel.hardware.hwarchitecturalmetrics.impl.HwarchitecturalmetricsPackageImpl#getHWLatentFaultMetric()
   * @generated
   */
  int HW_LATENT_FAULT_METRIC = 0;

  /**
   * The feature id for the '<em><b>Calculated Value</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_LATENT_FAULT_METRIC__CALCULATED_VALUE = 0;

  /**
   * The feature id for the '<em><b>Lfm Calculated Value</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_LATENT_FAULT_METRIC__LFM_CALCULATED_VALUE = 1;

  /**
   * The number of structural features of the '<em>HW Latent Fault Metric</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_LATENT_FAULT_METRIC_FEATURE_COUNT = 2;

  /**
   * The meta object id for the '{@link safe10.classmodel.hardware.hwarchitecturalmetrics.impl.HWSinglePointFaultMetricImpl <em>HW Single Point Fault Metric</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.hardware.hwarchitecturalmetrics.impl.HWSinglePointFaultMetricImpl
   * @see safe10.classmodel.hardware.hwarchitecturalmetrics.impl.HwarchitecturalmetricsPackageImpl#getHWSinglePointFaultMetric()
   * @generated
   */
  int HW_SINGLE_POINT_FAULT_METRIC = 1;

  /**
   * The feature id for the '<em><b>Calculated Value</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_SINGLE_POINT_FAULT_METRIC__CALCULATED_VALUE = 0;

  /**
   * The feature id for the '<em><b>Spfm Calculated Value</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_SINGLE_POINT_FAULT_METRIC__SPFM_CALCULATED_VALUE = 1;

  /**
   * The number of structural features of the '<em>HW Single Point Fault Metric</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_SINGLE_POINT_FAULT_METRIC_FEATURE_COUNT = 2;

  /**
   * The meta object id for the '{@link safe10.classmodel.hardware.hwarchitecturalmetrics.TargetValuesLFMetricEnum <em>Target Values LF Metric Enum</em>}' enum.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.hardware.hwarchitecturalmetrics.TargetValuesLFMetricEnum
   * @see safe10.classmodel.hardware.hwarchitecturalmetrics.impl.HwarchitecturalmetricsPackageImpl#getTargetValuesLFMetricEnum()
   * @generated
   */
  int TARGET_VALUES_LF_METRIC_ENUM = 2;

  /**
   * The meta object id for the '{@link safe10.classmodel.hardware.hwarchitecturalmetrics.TargetValuesSPFMetricEnum <em>Target Values SPF Metric Enum</em>}' enum.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.hardware.hwarchitecturalmetrics.TargetValuesSPFMetricEnum
   * @see safe10.classmodel.hardware.hwarchitecturalmetrics.impl.HwarchitecturalmetricsPackageImpl#getTargetValuesSPFMetricEnum()
   * @generated
   */
  int TARGET_VALUES_SPF_METRIC_ENUM = 3;


  /**
   * Returns the meta object for class '{@link safe10.classmodel.hardware.hwarchitecturalmetrics.HWLatentFaultMetric <em>HW Latent Fault Metric</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>HW Latent Fault Metric</em>'.
   * @see safe10.classmodel.hardware.hwarchitecturalmetrics.HWLatentFaultMetric
   * @generated
   */
  EClass getHWLatentFaultMetric();

  /**
   * Returns the meta object for the attribute '{@link safe10.classmodel.hardware.hwarchitecturalmetrics.HWLatentFaultMetric#getCalculatedValue <em>Calculated Value</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Calculated Value</em>'.
   * @see safe10.classmodel.hardware.hwarchitecturalmetrics.HWLatentFaultMetric#getCalculatedValue()
   * @see #getHWLatentFaultMetric()
   * @generated
   */
  EAttribute getHWLatentFaultMetric_CalculatedValue();

  /**
   * Returns the meta object for the containment reference '{@link safe10.classmodel.hardware.hwarchitecturalmetrics.HWLatentFaultMetric#getLfmCalculatedValue <em>Lfm Calculated Value</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Lfm Calculated Value</em>'.
   * @see safe10.classmodel.hardware.hwarchitecturalmetrics.HWLatentFaultMetric#getLfmCalculatedValue()
   * @see #getHWLatentFaultMetric()
   * @generated
   */
  EReference getHWLatentFaultMetric_LfmCalculatedValue();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.hardware.hwarchitecturalmetrics.HWSinglePointFaultMetric <em>HW Single Point Fault Metric</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>HW Single Point Fault Metric</em>'.
   * @see safe10.classmodel.hardware.hwarchitecturalmetrics.HWSinglePointFaultMetric
   * @generated
   */
  EClass getHWSinglePointFaultMetric();

  /**
   * Returns the meta object for the attribute '{@link safe10.classmodel.hardware.hwarchitecturalmetrics.HWSinglePointFaultMetric#getCalculatedValue <em>Calculated Value</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Calculated Value</em>'.
   * @see safe10.classmodel.hardware.hwarchitecturalmetrics.HWSinglePointFaultMetric#getCalculatedValue()
   * @see #getHWSinglePointFaultMetric()
   * @generated
   */
  EAttribute getHWSinglePointFaultMetric_CalculatedValue();

  /**
   * Returns the meta object for the containment reference '{@link safe10.classmodel.hardware.hwarchitecturalmetrics.HWSinglePointFaultMetric#getSpfmCalculatedValue <em>Spfm Calculated Value</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Spfm Calculated Value</em>'.
   * @see safe10.classmodel.hardware.hwarchitecturalmetrics.HWSinglePointFaultMetric#getSpfmCalculatedValue()
   * @see #getHWSinglePointFaultMetric()
   * @generated
   */
  EReference getHWSinglePointFaultMetric_SpfmCalculatedValue();

  /**
   * Returns the meta object for enum '{@link safe10.classmodel.hardware.hwarchitecturalmetrics.TargetValuesLFMetricEnum <em>Target Values LF Metric Enum</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for enum '<em>Target Values LF Metric Enum</em>'.
   * @see safe10.classmodel.hardware.hwarchitecturalmetrics.TargetValuesLFMetricEnum
   * @generated
   */
  EEnum getTargetValuesLFMetricEnum();

  /**
   * Returns the meta object for enum '{@link safe10.classmodel.hardware.hwarchitecturalmetrics.TargetValuesSPFMetricEnum <em>Target Values SPF Metric Enum</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for enum '<em>Target Values SPF Metric Enum</em>'.
   * @see safe10.classmodel.hardware.hwarchitecturalmetrics.TargetValuesSPFMetricEnum
   * @generated
   */
  EEnum getTargetValuesSPFMetricEnum();

  /**
   * Returns the factory that creates the instances of the model.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the factory that creates the instances of the model.
   * @generated
   */
  HwarchitecturalmetricsFactory getHwarchitecturalmetricsFactory();

  /**
   * <!-- begin-user-doc -->
   * Defines literals for the meta objects that represent
   * <ul>
   *   <li>each class,</li>
   *   <li>each feature of each class,</li>
   *   <li>each enum,</li>
   *   <li>and each data type</li>
   * </ul>
   * <!-- end-user-doc -->
   * @generated
   */
  interface Literals
  {
    /**
     * The meta object literal for the '{@link safe10.classmodel.hardware.hwarchitecturalmetrics.impl.HWLatentFaultMetricImpl <em>HW Latent Fault Metric</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.hardware.hwarchitecturalmetrics.impl.HWLatentFaultMetricImpl
     * @see safe10.classmodel.hardware.hwarchitecturalmetrics.impl.HwarchitecturalmetricsPackageImpl#getHWLatentFaultMetric()
     * @generated
     */
    EClass HW_LATENT_FAULT_METRIC = eINSTANCE.getHWLatentFaultMetric();

    /**
     * The meta object literal for the '<em><b>Calculated Value</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute HW_LATENT_FAULT_METRIC__CALCULATED_VALUE = eINSTANCE.getHWLatentFaultMetric_CalculatedValue();

    /**
     * The meta object literal for the '<em><b>Lfm Calculated Value</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference HW_LATENT_FAULT_METRIC__LFM_CALCULATED_VALUE = eINSTANCE.getHWLatentFaultMetric_LfmCalculatedValue();

    /**
     * The meta object literal for the '{@link safe10.classmodel.hardware.hwarchitecturalmetrics.impl.HWSinglePointFaultMetricImpl <em>HW Single Point Fault Metric</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.hardware.hwarchitecturalmetrics.impl.HWSinglePointFaultMetricImpl
     * @see safe10.classmodel.hardware.hwarchitecturalmetrics.impl.HwarchitecturalmetricsPackageImpl#getHWSinglePointFaultMetric()
     * @generated
     */
    EClass HW_SINGLE_POINT_FAULT_METRIC = eINSTANCE.getHWSinglePointFaultMetric();

    /**
     * The meta object literal for the '<em><b>Calculated Value</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute HW_SINGLE_POINT_FAULT_METRIC__CALCULATED_VALUE = eINSTANCE.getHWSinglePointFaultMetric_CalculatedValue();

    /**
     * The meta object literal for the '<em><b>Spfm Calculated Value</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference HW_SINGLE_POINT_FAULT_METRIC__SPFM_CALCULATED_VALUE = eINSTANCE.getHWSinglePointFaultMetric_SpfmCalculatedValue();

    /**
     * The meta object literal for the '{@link safe10.classmodel.hardware.hwarchitecturalmetrics.TargetValuesLFMetricEnum <em>Target Values LF Metric Enum</em>}' enum.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.hardware.hwarchitecturalmetrics.TargetValuesLFMetricEnum
     * @see safe10.classmodel.hardware.hwarchitecturalmetrics.impl.HwarchitecturalmetricsPackageImpl#getTargetValuesLFMetricEnum()
     * @generated
     */
    EEnum TARGET_VALUES_LF_METRIC_ENUM = eINSTANCE.getTargetValuesLFMetricEnum();

    /**
     * The meta object literal for the '{@link safe10.classmodel.hardware.hwarchitecturalmetrics.TargetValuesSPFMetricEnum <em>Target Values SPF Metric Enum</em>}' enum.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.hardware.hwarchitecturalmetrics.TargetValuesSPFMetricEnum
     * @see safe10.classmodel.hardware.hwarchitecturalmetrics.impl.HwarchitecturalmetricsPackageImpl#getTargetValuesSPFMetricEnum()
     * @generated
     */
    EEnum TARGET_VALUES_SPF_METRIC_ENUM = eINSTANCE.getTargetValuesSPFMetricEnum();

  }

} //HwarchitecturalmetricsPackage
