/**
 */
package safe10.classmodel.hardware.hwarchitecturalmetrics;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;

import org.eclipse.emf.common.util.Enumerator;

/**
 * <!-- begin-user-doc -->
 * A representation of the literals of the enumeration '<em><b>Target Values SPF Metric Enum</b></em>',
 * and utility methods for working with them.
 * <!-- end-user-doc -->
 * <!-- begin-model-doc -->
 * Part 5-8.4.5 Table 4 (Possible source for the derivation of the target "single-point-fault-metric" value)
 * <!-- end-model-doc -->
 * @see safe10.classmodel.hardware.hwarchitecturalmetrics.HwarchitecturalmetricsPackage#getTargetValuesSPFMetricEnum()
 * @model annotation="MetaData guid='{B2DE7531-A1E5-4e24-8940-D10ADD2482EE}' id='763364227' EA\040name='TargetValuesSPFMetricEnum'"
 *        annotation="Stereotype Stereotype='enumeration'"
 *        annotation="TaggedValues xml.name='TARGET-VALUES-SPF-METRIC-ENUM' xml.namePlural='TARGET-VALUES-SPF-METRIC-ENUMS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public enum TargetValuesSPFMetricEnum implements Enumerator
{
  /**
   * The '<em><b>ASIL D</b></em>' literal object.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #ASIL_D_VALUE
   * @generated
   * @ordered
   */
  ASIL_D(0, "ASIL_D", "ASIL_D"),

  /**
   * The '<em><b>ASIL C</b></em>' literal object.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #ASIL_C_VALUE
   * @generated
   * @ordered
   */
  ASIL_C(1, "ASIL_C", "ASIL_C"),

  /**
   * The '<em><b>ASIL B</b></em>' literal object.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #ASIL_B_VALUE
   * @generated
   * @ordered
   */
  ASIL_B(2, "ASIL_B", "ASIL_B");

  /**
   * The '<em><b>ASIL D</b></em>' literal value.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of '<em><b>ASIL D</b></em>' literal object isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @see #ASIL_D
   * @model annotation="TaggedValues xml.name='ASIL-D' xml.namePlural='ASIL-DS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   * @ordered
   */
  public static final int ASIL_D_VALUE = 0;

  /**
   * The '<em><b>ASIL C</b></em>' literal value.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of '<em><b>ASIL C</b></em>' literal object isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @see #ASIL_C
   * @model annotation="TaggedValues xml.name='ASIL-C' xml.namePlural='ASIL-CS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   * @ordered
   */
  public static final int ASIL_C_VALUE = 1;

  /**
   * The '<em><b>ASIL B</b></em>' literal value.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of '<em><b>ASIL B</b></em>' literal object isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @see #ASIL_B
   * @model annotation="TaggedValues xml.name='ASIL-B' xml.namePlural='ASIL-BS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   * @ordered
   */
  public static final int ASIL_B_VALUE = 2;

  /**
   * An array of all the '<em><b>Target Values SPF Metric Enum</b></em>' enumerators.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private static final TargetValuesSPFMetricEnum[] VALUES_ARRAY =
    new TargetValuesSPFMetricEnum[]
    {
      ASIL_D,
      ASIL_C,
      ASIL_B,
    };

  /**
   * A public read-only list of all the '<em><b>Target Values SPF Metric Enum</b></em>' enumerators.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public static final List<TargetValuesSPFMetricEnum> VALUES = Collections.unmodifiableList(Arrays.asList(VALUES_ARRAY));

  /**
   * Returns the '<em><b>Target Values SPF Metric Enum</b></em>' literal with the specified literal value.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public static TargetValuesSPFMetricEnum get(String literal)
  {
    for (int i = 0; i < VALUES_ARRAY.length; ++i)
    {
      TargetValuesSPFMetricEnum result = VALUES_ARRAY[i];
      if (result.toString().equals(literal))
      {
        return result;
      }
    }
    return null;
  }

  /**
   * Returns the '<em><b>Target Values SPF Metric Enum</b></em>' literal with the specified name.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public static TargetValuesSPFMetricEnum getByName(String name)
  {
    for (int i = 0; i < VALUES_ARRAY.length; ++i)
    {
      TargetValuesSPFMetricEnum result = VALUES_ARRAY[i];
      if (result.getName().equals(name))
      {
        return result;
      }
    }
    return null;
  }

  /**
   * Returns the '<em><b>Target Values SPF Metric Enum</b></em>' literal with the specified integer value.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public static TargetValuesSPFMetricEnum get(int value)
  {
    switch (value)
    {
      case ASIL_D_VALUE: return ASIL_D;
      case ASIL_C_VALUE: return ASIL_C;
      case ASIL_B_VALUE: return ASIL_B;
    }
    return null;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private final int value;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private final String name;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private final String literal;

  /**
   * Only this class can construct instances.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private TargetValuesSPFMetricEnum(int value, String name, String literal)
  {
    this.value = value;
    this.name = name;
    this.literal = literal;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public int getValue()
  {
    return value;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String getName()
  {
    return name;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String getLiteral()
  {
    return literal;
  }

  /**
   * Returns the literal value of the enumerator, which is its string representation.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public String toString()
  {
    return literal;
  }
  
} //TargetValuesSPFMetricEnum
