/**
 */
package safe10.classmodel.hardware.hwquantitativemeasure;

import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

/**
 * <!-- begin-user-doc -->
 * The <b>Package</b> for the model.
 * It contains accessors for the meta objects to represent
 * <ul>
 *   <li>each class,</li>
 *   <li>each feature of each class,</li>
 *   <li>each enum,</li>
 *   <li>and each data type</li>
 * </ul>
 * <!-- end-user-doc -->
 * <!-- begin-model-doc -->
 * This sub-package contains the storage and classification of the safety evaluation. In addition it includes the single failure mode contribution as basis for the concrete evaluation.
 * <!-- end-model-doc -->
 * @see safe10.classmodel.hardware.hwquantitativemeasure.HwquantitativemeasureFactory
 * @model kind="package"
 *        annotation="MetaData guid='{1C4B4EE4-795F-4fcc-969F-403C524FB933}' id='1063494875' EA\040name='HWQuantitativeMeasure'"
 *        annotation="TaggedValues xml.name='HWQUANTITATIVEMEASURE' xml.namePlural='HWQUANTITATIVEMEASURES' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public interface HwquantitativemeasurePackage extends EPackage
{
  /**
   * The package name.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNAME = "hwquantitativemeasure";

  /**
   * The package namespace URI.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNS_URI = "http://safe-project.eu/1.0.1/safe10/classmodel/hardware/hwquantitativemeasure";

  /**
   * The package namespace name.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNS_PREFIX = "";

  /**
   * The singleton instance of the package.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  HwquantitativemeasurePackage eINSTANCE = safe10.classmodel.hardware.hwquantitativemeasure.impl.HwquantitativemeasurePackageImpl.init();

  /**
   * The meta object id for the '{@link safe10.classmodel.hardware.hwquantitativemeasure.impl.HWArchitecturalMetricsImpl <em>HW Architectural Metrics</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.hardware.hwquantitativemeasure.impl.HWArchitecturalMetricsImpl
   * @see safe10.classmodel.hardware.hwquantitativemeasure.impl.HwquantitativemeasurePackageImpl#getHWArchitecturalMetrics()
   * @generated
   */
  int HW_ARCHITECTURAL_METRICS = 0;

  /**
   * The feature id for the '<em><b>Hw Lantent Fault Metric</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_ARCHITECTURAL_METRICS__HW_LANTENT_FAULT_METRIC = 0;

  /**
   * The feature id for the '<em><b>Hw Single Point Fault Metric</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_ARCHITECTURAL_METRICS__HW_SINGLE_POINT_FAULT_METRIC = 1;

  /**
   * The number of structural features of the '<em>HW Architectural Metrics</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_ARCHITECTURAL_METRICS_FEATURE_COUNT = 2;

  /**
   * The meta object id for the '{@link safe10.classmodel.hardware.hwquantitativemeasure.impl.HWFMSingleContributionImpl <em>HWFM Single Contribution</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.hardware.hwquantitativemeasure.impl.HWFMSingleContributionImpl
   * @see safe10.classmodel.hardware.hwquantitativemeasure.impl.HwquantitativemeasurePackageImpl#getHWFMSingleContribution()
   * @generated
   */
  int HWFM_SINGLE_CONTRIBUTION = 1;

  /**
   * The feature id for the '<em><b>Lambda Multiple Point Fault Latent</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HWFM_SINGLE_CONTRIBUTION__LAMBDA_MULTIPLE_POINT_FAULT_LATENT = 0;

  /**
   * The feature id for the '<em><b>Lambda Residual Fault</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HWFM_SINGLE_CONTRIBUTION__LAMBDA_RESIDUAL_FAULT = 1;

  /**
   * The feature id for the '<em><b>Lambda Safe Fault</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HWFM_SINGLE_CONTRIBUTION__LAMBDA_SAFE_FAULT = 2;

  /**
   * The feature id for the '<em><b>Lambda Safety Component</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HWFM_SINGLE_CONTRIBUTION__LAMBDA_SAFETY_COMPONENT = 3;

  /**
   * The feature id for the '<em><b>Lambda Single Point Fault</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HWFM_SINGLE_CONTRIBUTION__LAMBDA_SINGLE_POINT_FAULT = 4;

  /**
   * The feature id for the '<em><b>Safety Component Class Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HWFM_SINGLE_CONTRIBUTION__SAFETY_COMPONENT_CLASS_NAME = 5;

  /**
   * The feature id for the '<em><b>Hw FMSC Lambda Value</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HWFM_SINGLE_CONTRIBUTION__HW_FMSC_LAMBDA_VALUE = 6;

  /**
   * The feature id for the '<em><b>Name Was Not Set 7</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HWFM_SINGLE_CONTRIBUTION__NAME_WAS_NOT_SET_7 = 7;

  /**
   * The number of structural features of the '<em>HWFM Single Contribution</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HWFM_SINGLE_CONTRIBUTION_FEATURE_COUNT = 8;

  /**
   * The meta object id for the '{@link safe10.classmodel.hardware.hwquantitativemeasure.impl.HWProbabilisticValueImpl <em>HW Probabilistic Value</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.hardware.hwquantitativemeasure.impl.HWProbabilisticValueImpl
   * @see safe10.classmodel.hardware.hwquantitativemeasure.impl.HwquantitativemeasurePackageImpl#getHWProbabilisticValue()
   * @generated
   */
  int HW_PROBABILISTIC_VALUE = 2;

  /**
   * The feature id for the '<em><b>Hw Failure Class Container</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_PROBABILISTIC_VALUE__HW_FAILURE_CLASS_CONTAINER = 0;

  /**
   * The feature id for the '<em><b>Hw PMHF</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_PROBABILISTIC_VALUE__HW_PMHF = 1;

  /**
   * The number of structural features of the '<em>HW Probabilistic Value</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_PROBABILISTIC_VALUE_FEATURE_COUNT = 2;

  /**
   * The meta object id for the '{@link safe10.classmodel.hardware.hwquantitativemeasure.impl.HWQuantitativeFailureAnalysisImpl <em>HW Quantitative Failure Analysis</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.hardware.hwquantitativemeasure.impl.HWQuantitativeFailureAnalysisImpl
   * @see safe10.classmodel.hardware.hwquantitativemeasure.impl.HwquantitativemeasurePackageImpl#getHWQuantitativeFailureAnalysis()
   * @generated
   */
  int HW_QUANTITATIVE_FAILURE_ANALYSIS = 3;

  /**
   * The feature id for the '<em><b>Hw Architectural Metrics</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_QUANTITATIVE_FAILURE_ANALYSIS__HW_ARCHITECTURAL_METRICS = 0;

  /**
   * The feature id for the '<em><b>Hw Probalistic Value</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_QUANTITATIVE_FAILURE_ANALYSIS__HW_PROBALISTIC_VALUE = 1;

  /**
   * The feature id for the '<em><b>Name Was Not Set 8</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_QUANTITATIVE_FAILURE_ANALYSIS__NAME_WAS_NOT_SET_8 = 2;

  /**
   * The number of structural features of the '<em>HW Quantitative Failure Analysis</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HW_QUANTITATIVE_FAILURE_ANALYSIS_FEATURE_COUNT = 3;


  /**
   * Returns the meta object for class '{@link safe10.classmodel.hardware.hwquantitativemeasure.HWArchitecturalMetrics <em>HW Architectural Metrics</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>HW Architectural Metrics</em>'.
   * @see safe10.classmodel.hardware.hwquantitativemeasure.HWArchitecturalMetrics
   * @generated
   */
  EClass getHWArchitecturalMetrics();

  /**
   * Returns the meta object for the containment reference '{@link safe10.classmodel.hardware.hwquantitativemeasure.HWArchitecturalMetrics#getHwLantentFaultMetric <em>Hw Lantent Fault Metric</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Hw Lantent Fault Metric</em>'.
   * @see safe10.classmodel.hardware.hwquantitativemeasure.HWArchitecturalMetrics#getHwLantentFaultMetric()
   * @see #getHWArchitecturalMetrics()
   * @generated
   */
  EReference getHWArchitecturalMetrics_HwLantentFaultMetric();

  /**
   * Returns the meta object for the containment reference '{@link safe10.classmodel.hardware.hwquantitativemeasure.HWArchitecturalMetrics#getHwSinglePointFaultMetric <em>Hw Single Point Fault Metric</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Hw Single Point Fault Metric</em>'.
   * @see safe10.classmodel.hardware.hwquantitativemeasure.HWArchitecturalMetrics#getHwSinglePointFaultMetric()
   * @see #getHWArchitecturalMetrics()
   * @generated
   */
  EReference getHWArchitecturalMetrics_HwSinglePointFaultMetric();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.hardware.hwquantitativemeasure.HWFMSingleContribution <em>HWFM Single Contribution</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>HWFM Single Contribution</em>'.
   * @see safe10.classmodel.hardware.hwquantitativemeasure.HWFMSingleContribution
   * @generated
   */
  EClass getHWFMSingleContribution();

  /**
   * Returns the meta object for the attribute '{@link safe10.classmodel.hardware.hwquantitativemeasure.HWFMSingleContribution#getLambdaMultiplePointFaultLatent <em>Lambda Multiple Point Fault Latent</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Lambda Multiple Point Fault Latent</em>'.
   * @see safe10.classmodel.hardware.hwquantitativemeasure.HWFMSingleContribution#getLambdaMultiplePointFaultLatent()
   * @see #getHWFMSingleContribution()
   * @generated
   */
  EAttribute getHWFMSingleContribution_LambdaMultiplePointFaultLatent();

  /**
   * Returns the meta object for the attribute '{@link safe10.classmodel.hardware.hwquantitativemeasure.HWFMSingleContribution#getLambdaResidualFault <em>Lambda Residual Fault</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Lambda Residual Fault</em>'.
   * @see safe10.classmodel.hardware.hwquantitativemeasure.HWFMSingleContribution#getLambdaResidualFault()
   * @see #getHWFMSingleContribution()
   * @generated
   */
  EAttribute getHWFMSingleContribution_LambdaResidualFault();

  /**
   * Returns the meta object for the attribute '{@link safe10.classmodel.hardware.hwquantitativemeasure.HWFMSingleContribution#getLambdaSafeFault <em>Lambda Safe Fault</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Lambda Safe Fault</em>'.
   * @see safe10.classmodel.hardware.hwquantitativemeasure.HWFMSingleContribution#getLambdaSafeFault()
   * @see #getHWFMSingleContribution()
   * @generated
   */
  EAttribute getHWFMSingleContribution_LambdaSafeFault();

  /**
   * Returns the meta object for the attribute '{@link safe10.classmodel.hardware.hwquantitativemeasure.HWFMSingleContribution#getLambdaSafetyComponent <em>Lambda Safety Component</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Lambda Safety Component</em>'.
   * @see safe10.classmodel.hardware.hwquantitativemeasure.HWFMSingleContribution#getLambdaSafetyComponent()
   * @see #getHWFMSingleContribution()
   * @generated
   */
  EAttribute getHWFMSingleContribution_LambdaSafetyComponent();

  /**
   * Returns the meta object for the attribute '{@link safe10.classmodel.hardware.hwquantitativemeasure.HWFMSingleContribution#getLambdaSinglePointFault <em>Lambda Single Point Fault</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Lambda Single Point Fault</em>'.
   * @see safe10.classmodel.hardware.hwquantitativemeasure.HWFMSingleContribution#getLambdaSinglePointFault()
   * @see #getHWFMSingleContribution()
   * @generated
   */
  EAttribute getHWFMSingleContribution_LambdaSinglePointFault();

  /**
   * Returns the meta object for the attribute '{@link safe10.classmodel.hardware.hwquantitativemeasure.HWFMSingleContribution#getSafetyComponentClassName <em>Safety Component Class Name</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Safety Component Class Name</em>'.
   * @see safe10.classmodel.hardware.hwquantitativemeasure.HWFMSingleContribution#getSafetyComponentClassName()
   * @see #getHWFMSingleContribution()
   * @generated
   */
  EAttribute getHWFMSingleContribution_SafetyComponentClassName();

  /**
   * Returns the meta object for the containment reference '{@link safe10.classmodel.hardware.hwquantitativemeasure.HWFMSingleContribution#getHwFMSCLambdaValue <em>Hw FMSC Lambda Value</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Hw FMSC Lambda Value</em>'.
   * @see safe10.classmodel.hardware.hwquantitativemeasure.HWFMSingleContribution#getHwFMSCLambdaValue()
   * @see #getHWFMSingleContribution()
   * @generated
   */
  EReference getHWFMSingleContribution_HwFMSCLambdaValue();

  /**
   * Returns the meta object for the reference '{@link safe10.classmodel.hardware.hwquantitativemeasure.HWFMSingleContribution#getNameWasNotSet_7 <em>Name Was Not Set 7</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the reference '<em>Name Was Not Set 7</em>'.
   * @see safe10.classmodel.hardware.hwquantitativemeasure.HWFMSingleContribution#getNameWasNotSet_7()
   * @see #getHWFMSingleContribution()
   * @generated
   */
  EReference getHWFMSingleContribution_NameWasNotSet_7();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.hardware.hwquantitativemeasure.HWProbabilisticValue <em>HW Probabilistic Value</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>HW Probabilistic Value</em>'.
   * @see safe10.classmodel.hardware.hwquantitativemeasure.HWProbabilisticValue
   * @generated
   */
  EClass getHWProbabilisticValue();

  /**
   * Returns the meta object for the containment reference '{@link safe10.classmodel.hardware.hwquantitativemeasure.HWProbabilisticValue#getHwFailureClassContainer <em>Hw Failure Class Container</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Hw Failure Class Container</em>'.
   * @see safe10.classmodel.hardware.hwquantitativemeasure.HWProbabilisticValue#getHwFailureClassContainer()
   * @see #getHWProbabilisticValue()
   * @generated
   */
  EReference getHWProbabilisticValue_HwFailureClassContainer();

  /**
   * Returns the meta object for the containment reference '{@link safe10.classmodel.hardware.hwquantitativemeasure.HWProbabilisticValue#getHwPMHF <em>Hw PMHF</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Hw PMHF</em>'.
   * @see safe10.classmodel.hardware.hwquantitativemeasure.HWProbabilisticValue#getHwPMHF()
   * @see #getHWProbabilisticValue()
   * @generated
   */
  EReference getHWProbabilisticValue_HwPMHF();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.hardware.hwquantitativemeasure.HWQuantitativeFailureAnalysis <em>HW Quantitative Failure Analysis</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>HW Quantitative Failure Analysis</em>'.
   * @see safe10.classmodel.hardware.hwquantitativemeasure.HWQuantitativeFailureAnalysis
   * @generated
   */
  EClass getHWQuantitativeFailureAnalysis();

  /**
   * Returns the meta object for the containment reference '{@link safe10.classmodel.hardware.hwquantitativemeasure.HWQuantitativeFailureAnalysis#getHwArchitecturalMetrics <em>Hw Architectural Metrics</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Hw Architectural Metrics</em>'.
   * @see safe10.classmodel.hardware.hwquantitativemeasure.HWQuantitativeFailureAnalysis#getHwArchitecturalMetrics()
   * @see #getHWQuantitativeFailureAnalysis()
   * @generated
   */
  EReference getHWQuantitativeFailureAnalysis_HwArchitecturalMetrics();

  /**
   * Returns the meta object for the containment reference '{@link safe10.classmodel.hardware.hwquantitativemeasure.HWQuantitativeFailureAnalysis#getHwProbalisticValue <em>Hw Probalistic Value</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Hw Probalistic Value</em>'.
   * @see safe10.classmodel.hardware.hwquantitativemeasure.HWQuantitativeFailureAnalysis#getHwProbalisticValue()
   * @see #getHWQuantitativeFailureAnalysis()
   * @generated
   */
  EReference getHWQuantitativeFailureAnalysis_HwProbalisticValue();

  /**
   * Returns the meta object for the reference '{@link safe10.classmodel.hardware.hwquantitativemeasure.HWQuantitativeFailureAnalysis#getNameWasNotSet_8 <em>Name Was Not Set 8</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the reference '<em>Name Was Not Set 8</em>'.
   * @see safe10.classmodel.hardware.hwquantitativemeasure.HWQuantitativeFailureAnalysis#getNameWasNotSet_8()
   * @see #getHWQuantitativeFailureAnalysis()
   * @generated
   */
  EReference getHWQuantitativeFailureAnalysis_NameWasNotSet_8();

  /**
   * Returns the factory that creates the instances of the model.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the factory that creates the instances of the model.
   * @generated
   */
  HwquantitativemeasureFactory getHwquantitativemeasureFactory();

  /**
   * <!-- begin-user-doc -->
   * Defines literals for the meta objects that represent
   * <ul>
   *   <li>each class,</li>
   *   <li>each feature of each class,</li>
   *   <li>each enum,</li>
   *   <li>and each data type</li>
   * </ul>
   * <!-- end-user-doc -->
   * @generated
   */
  interface Literals
  {
    /**
     * The meta object literal for the '{@link safe10.classmodel.hardware.hwquantitativemeasure.impl.HWArchitecturalMetricsImpl <em>HW Architectural Metrics</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.hardware.hwquantitativemeasure.impl.HWArchitecturalMetricsImpl
     * @see safe10.classmodel.hardware.hwquantitativemeasure.impl.HwquantitativemeasurePackageImpl#getHWArchitecturalMetrics()
     * @generated
     */
    EClass HW_ARCHITECTURAL_METRICS = eINSTANCE.getHWArchitecturalMetrics();

    /**
     * The meta object literal for the '<em><b>Hw Lantent Fault Metric</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference HW_ARCHITECTURAL_METRICS__HW_LANTENT_FAULT_METRIC = eINSTANCE.getHWArchitecturalMetrics_HwLantentFaultMetric();

    /**
     * The meta object literal for the '<em><b>Hw Single Point Fault Metric</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference HW_ARCHITECTURAL_METRICS__HW_SINGLE_POINT_FAULT_METRIC = eINSTANCE.getHWArchitecturalMetrics_HwSinglePointFaultMetric();

    /**
     * The meta object literal for the '{@link safe10.classmodel.hardware.hwquantitativemeasure.impl.HWFMSingleContributionImpl <em>HWFM Single Contribution</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.hardware.hwquantitativemeasure.impl.HWFMSingleContributionImpl
     * @see safe10.classmodel.hardware.hwquantitativemeasure.impl.HwquantitativemeasurePackageImpl#getHWFMSingleContribution()
     * @generated
     */
    EClass HWFM_SINGLE_CONTRIBUTION = eINSTANCE.getHWFMSingleContribution();

    /**
     * The meta object literal for the '<em><b>Lambda Multiple Point Fault Latent</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute HWFM_SINGLE_CONTRIBUTION__LAMBDA_MULTIPLE_POINT_FAULT_LATENT = eINSTANCE.getHWFMSingleContribution_LambdaMultiplePointFaultLatent();

    /**
     * The meta object literal for the '<em><b>Lambda Residual Fault</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute HWFM_SINGLE_CONTRIBUTION__LAMBDA_RESIDUAL_FAULT = eINSTANCE.getHWFMSingleContribution_LambdaResidualFault();

    /**
     * The meta object literal for the '<em><b>Lambda Safe Fault</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute HWFM_SINGLE_CONTRIBUTION__LAMBDA_SAFE_FAULT = eINSTANCE.getHWFMSingleContribution_LambdaSafeFault();

    /**
     * The meta object literal for the '<em><b>Lambda Safety Component</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute HWFM_SINGLE_CONTRIBUTION__LAMBDA_SAFETY_COMPONENT = eINSTANCE.getHWFMSingleContribution_LambdaSafetyComponent();

    /**
     * The meta object literal for the '<em><b>Lambda Single Point Fault</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute HWFM_SINGLE_CONTRIBUTION__LAMBDA_SINGLE_POINT_FAULT = eINSTANCE.getHWFMSingleContribution_LambdaSinglePointFault();

    /**
     * The meta object literal for the '<em><b>Safety Component Class Name</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute HWFM_SINGLE_CONTRIBUTION__SAFETY_COMPONENT_CLASS_NAME = eINSTANCE.getHWFMSingleContribution_SafetyComponentClassName();

    /**
     * The meta object literal for the '<em><b>Hw FMSC Lambda Value</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference HWFM_SINGLE_CONTRIBUTION__HW_FMSC_LAMBDA_VALUE = eINSTANCE.getHWFMSingleContribution_HwFMSCLambdaValue();

    /**
     * The meta object literal for the '<em><b>Name Was Not Set 7</b></em>' reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference HWFM_SINGLE_CONTRIBUTION__NAME_WAS_NOT_SET_7 = eINSTANCE.getHWFMSingleContribution_NameWasNotSet_7();

    /**
     * The meta object literal for the '{@link safe10.classmodel.hardware.hwquantitativemeasure.impl.HWProbabilisticValueImpl <em>HW Probabilistic Value</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.hardware.hwquantitativemeasure.impl.HWProbabilisticValueImpl
     * @see safe10.classmodel.hardware.hwquantitativemeasure.impl.HwquantitativemeasurePackageImpl#getHWProbabilisticValue()
     * @generated
     */
    EClass HW_PROBABILISTIC_VALUE = eINSTANCE.getHWProbabilisticValue();

    /**
     * The meta object literal for the '<em><b>Hw Failure Class Container</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference HW_PROBABILISTIC_VALUE__HW_FAILURE_CLASS_CONTAINER = eINSTANCE.getHWProbabilisticValue_HwFailureClassContainer();

    /**
     * The meta object literal for the '<em><b>Hw PMHF</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference HW_PROBABILISTIC_VALUE__HW_PMHF = eINSTANCE.getHWProbabilisticValue_HwPMHF();

    /**
     * The meta object literal for the '{@link safe10.classmodel.hardware.hwquantitativemeasure.impl.HWQuantitativeFailureAnalysisImpl <em>HW Quantitative Failure Analysis</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.hardware.hwquantitativemeasure.impl.HWQuantitativeFailureAnalysisImpl
     * @see safe10.classmodel.hardware.hwquantitativemeasure.impl.HwquantitativemeasurePackageImpl#getHWQuantitativeFailureAnalysis()
     * @generated
     */
    EClass HW_QUANTITATIVE_FAILURE_ANALYSIS = eINSTANCE.getHWQuantitativeFailureAnalysis();

    /**
     * The meta object literal for the '<em><b>Hw Architectural Metrics</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference HW_QUANTITATIVE_FAILURE_ANALYSIS__HW_ARCHITECTURAL_METRICS = eINSTANCE.getHWQuantitativeFailureAnalysis_HwArchitecturalMetrics();

    /**
     * The meta object literal for the '<em><b>Hw Probalistic Value</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference HW_QUANTITATIVE_FAILURE_ANALYSIS__HW_PROBALISTIC_VALUE = eINSTANCE.getHWQuantitativeFailureAnalysis_HwProbalisticValue();

    /**
     * The meta object literal for the '<em><b>Name Was Not Set 8</b></em>' reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference HW_QUANTITATIVE_FAILURE_ANALYSIS__NAME_WAS_NOT_SET_8 = eINSTANCE.getHWQuantitativeFailureAnalysis_NameWasNotSet_8();

  }

} //HwquantitativemeasurePackage
