/**
 */
package safe10.classmodel.hardware.hwquantitativemeasure.impl;

import autosar40.bswmodule.bswinterfaces.BswinterfacesPackage;

import autosar40.bswmodule.bswoverview.BswoverviewPackage;

import autosar40.commonstructure.modedeclaration.ModedeclarationPackage;

import autosar40.ecuresource.EcuresourcePackage;

import autosar40.swcomponent.components.ComponentsPackage;

import autosar40.swcomponent.composition.CompositionPackage;

import autosar40.swcomponent.datatype.dataprototypes.DataprototypesPackage;

import autosar40.swcomponent.portinterface.PortinterfacePackage;

import autosar40.swcomponent.swcinternalbehavior.SwcinternalbehaviorPackage;

import autosar40.system.SystemPackage;

import eastadl21.east_adl.environment.EnvironmentPackage;

import eastadl21.east_adl.requirements.RequirementsPackage;

import eastadl21.east_adl.structure.featuremodeling.FeaturemodelingPackage;

import eastadl21.east_adl.structure.functionmodeling.FunctionmodelingPackage;

import eastadl21.east_adl.structure.hardwaremodeling.HardwaremodelingPackage;

import eastadl21.east_adl.structure.systemmodeling.SystemmodelingPackage;

import eastadl21.east_adl.structure.vehiclefeaturemodeling.VehiclefeaturemodelingPackage;

import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

import org.eclipse.emf.ecore.impl.EPackageImpl;

import safe10.classmodel.commonstructure.datatypes.DatatypesPackage;

import safe10.classmodel.commonstructure.datatypes.impl.DatatypesPackageImpl;

import safe10.classmodel.commonstructure.formulaexpression.FormulaexpressionPackage;

import safe10.classmodel.commonstructure.formulaexpression.impl.FormulaexpressionPackageImpl;

import safe10.classmodel.commonstructure.references.ReferencesPackage;

import safe10.classmodel.commonstructure.references.chromosomereferences.ChromosomereferencesPackage;

import safe10.classmodel.commonstructure.references.chromosomereferences.impl.ChromosomereferencesPackageImpl;

import safe10.classmodel.commonstructure.references.impl.ReferencesPackageImpl;

import safe10.classmodel.commonstructure.safetyextensions.SafetyextensionsPackage;

import safe10.classmodel.commonstructure.safetyextensions.impl.SafetyextensionsPackageImpl;

import safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.SoftwaresafetyextensionPackage;

import safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.impl.SoftwaresafetyextensionPackageImpl;

import safe10.classmodel.commonstructure.safetyextensions.technicalsafetyextension.TechnicalsafetyextensionPackage;

import safe10.classmodel.commonstructure.safetyextensions.technicalsafetyextension.impl.TechnicalsafetyextensionPackageImpl;

import safe10.classmodel.commonstructure.toplevel.ToplevelPackage;

import safe10.classmodel.commonstructure.toplevel.impl.ToplevelPackageImpl;

import safe10.classmodel.configuration.ConfigurationPackage;

import safe10.classmodel.configuration.impl.ConfigurationPackageImpl;

import safe10.classmodel.errormodel.ErrormodelPackage;

import safe10.classmodel.errormodel._instanceref._instancerefPackage;

import safe10.classmodel.errormodel._instanceref.impl._instancerefPackageImpl;

import safe10.classmodel.errormodel.errorbehavior.ErrorbehaviorPackage;

import safe10.classmodel.errormodel.errorbehavior.impl.ErrorbehaviorPackageImpl;

import safe10.classmodel.errormodel.errormodeltype.ErrormodeltypePackage;

import safe10.classmodel.errormodel.errormodeltype.impl.ErrormodeltypePackageImpl;

import safe10.classmodel.errormodel.impl.ErrormodelPackageImpl;

import safe10.classmodel.errormodel.malfunction.MalfunctionPackage;

import safe10.classmodel.errormodel.malfunction.impl.MalfunctionPackageImpl;

import safe10.classmodel.hardware.failure.FailurePackage;

import safe10.classmodel.hardware.failure.impl.FailurePackageImpl;

import safe10.classmodel.hardware.failureformula.FailureformulaPackage;

import safe10.classmodel.hardware.failureformula.impl.FailureformulaPackageImpl;

import safe10.classmodel.hardware.failurepart.FailurepartPackage;

import safe10.classmodel.hardware.failurepart.impl.FailurepartPackageImpl;

import safe10.classmodel.hardware.hwarchitecturalmetrics.HwarchitecturalmetricsPackage;

import safe10.classmodel.hardware.hwarchitecturalmetrics.impl.HwarchitecturalmetricsPackageImpl;

import safe10.classmodel.hardware.hwquantitativemeasure.HWArchitecturalMetrics;
import safe10.classmodel.hardware.hwquantitativemeasure.HWFMSingleContribution;
import safe10.classmodel.hardware.hwquantitativemeasure.HWProbabilisticValue;
import safe10.classmodel.hardware.hwquantitativemeasure.HWQuantitativeFailureAnalysis;
import safe10.classmodel.hardware.hwquantitativemeasure.HwquantitativemeasureFactory;
import safe10.classmodel.hardware.hwquantitativemeasure.HwquantitativemeasurePackage;

import safe10.classmodel.hardware.probabilisticmethods.ProbabilisticmethodsPackage;

import safe10.classmodel.hardware.probabilisticmethods.impl.ProbabilisticmethodsPackageImpl;

import safe10.classmodel.hazards.HazardsPackage;

import safe10.classmodel.hazards.impl.HazardsPackageImpl;

import safe10.classmodel.requirements.impl.RequirementsPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.SoftwaresafetyrequirementsPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.actuatormonitor.ActuatormonitorPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.actuatormonitor.impl.ActuatormonitorPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.alivenessmonitor.AlivenessmonitorPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.alivenessmonitor.impl.AlivenessmonitorPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.comparison.ComparisonPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.comparison.impl.ComparisonPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.contextrangecheck.ContextrangecheckPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.contextrangecheck.impl.ContextrangecheckPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.cpuselftest.CpuselftestPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.cpuselftest.impl.CpuselftestPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.crcchecksum.CrcchecksumPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.crcchecksum.impl.CrcchecksumPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.filter.FilterPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.filter.impl.FilterPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.gradientcheck.GradientcheckPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.gradientcheck.impl.GradientcheckPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.healthmonitor.HealthmonitorPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.healthmonitor.impl.HealthmonitorPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.HeartbeatPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.impl.HeartbeatPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.impl.SoftwaresafetyrequirementsPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.memoryselftest.MemoryselftestPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.memoryselftest.impl.MemoryselftestPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.voting.VotingPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.voting.impl.VotingPackageImpl;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model <b>Package</b>.
 * <!-- end-user-doc -->
 * @generated
 */
public class HwquantitativemeasurePackageImpl extends EPackageImpl implements HwquantitativemeasurePackage
{
  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass hwArchitecturalMetricsEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass hwfmSingleContributionEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass hwProbabilisticValueEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass hwQuantitativeFailureAnalysisEClass = null;

  /**
   * Creates an instance of the model <b>Package</b>, registered with
   * {@link org.eclipse.emf.ecore.EPackage.Registry EPackage.Registry} by the package
   * package URI value.
   * <p>Note: the correct way to create the package is via the static
   * factory method {@link #init init()}, which also performs
   * initialization of the package, or returns the registered package,
   * if one already exists.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see org.eclipse.emf.ecore.EPackage.Registry
   * @see safe10.classmodel.hardware.hwquantitativemeasure.HwquantitativemeasurePackage#eNS_URI
   * @see #init()
   * @generated
   */
  private HwquantitativemeasurePackageImpl()
  {
    super(eNS_URI, HwquantitativemeasureFactory.eINSTANCE);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private static boolean isInited = false;

  /**
   * Creates, registers, and initializes the <b>Package</b> for this model, and for any others upon which it depends.
   * 
   * <p>This method is used to initialize {@link HwquantitativemeasurePackage#eINSTANCE} when that field is accessed.
   * Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #eNS_URI
   * @see #createPackageContents()
   * @see #initializePackageContents()
   * @generated
   */
  public static HwquantitativemeasurePackage init()
  {
    if (isInited) return (HwquantitativemeasurePackage)EPackage.Registry.INSTANCE.getEPackage(HwquantitativemeasurePackage.eNS_URI);

    // Obtain or create and register package
    HwquantitativemeasurePackageImpl theHwquantitativemeasurePackage = (HwquantitativemeasurePackageImpl)(EPackage.Registry.INSTANCE.get(eNS_URI) instanceof HwquantitativemeasurePackageImpl ? EPackage.Registry.INSTANCE.get(eNS_URI) : new HwquantitativemeasurePackageImpl());

    isInited = true;

    // Initialize simple dependencies
    SystemmodelingPackage.eINSTANCE.eClass();
    FeaturemodelingPackage.eINSTANCE.eClass();
    VehiclefeaturemodelingPackage.eINSTANCE.eClass();
    FunctionmodelingPackage.eINSTANCE.eClass();
    HardwaremodelingPackage.eINSTANCE.eClass();
    RequirementsPackage.eINSTANCE.eClass();
    EnvironmentPackage.eINSTANCE.eClass();
    EcuresourcePackage.eINSTANCE.eClass();
    ModedeclarationPackage.eINSTANCE.eClass();
    DataprototypesPackage.eINSTANCE.eClass();
    CompositionPackage.eINSTANCE.eClass();
    ComponentsPackage.eINSTANCE.eClass();
    PortinterfacePackage.eINSTANCE.eClass();
    SwcinternalbehaviorPackage.eINSTANCE.eClass();
    SystemPackage.eINSTANCE.eClass();
    BswoverviewPackage.eINSTANCE.eClass();
    BswinterfacesPackage.eINSTANCE.eClass();

    // Obtain or create and register interdependencies
    DatatypesPackageImpl theDatatypesPackage = (DatatypesPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(DatatypesPackage.eNS_URI) instanceof DatatypesPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(DatatypesPackage.eNS_URI) : DatatypesPackage.eINSTANCE);
    FormulaexpressionPackageImpl theFormulaexpressionPackage = (FormulaexpressionPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(FormulaexpressionPackage.eNS_URI) instanceof FormulaexpressionPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(FormulaexpressionPackage.eNS_URI) : FormulaexpressionPackage.eINSTANCE);
    ReferencesPackageImpl theReferencesPackage = (ReferencesPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ReferencesPackage.eNS_URI) instanceof ReferencesPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ReferencesPackage.eNS_URI) : ReferencesPackage.eINSTANCE);
    ChromosomereferencesPackageImpl theChromosomereferencesPackage = (ChromosomereferencesPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ChromosomereferencesPackage.eNS_URI) instanceof ChromosomereferencesPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ChromosomereferencesPackage.eNS_URI) : ChromosomereferencesPackage.eINSTANCE);
    SafetyextensionsPackageImpl theSafetyextensionsPackage = (SafetyextensionsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(SafetyextensionsPackage.eNS_URI) instanceof SafetyextensionsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(SafetyextensionsPackage.eNS_URI) : SafetyextensionsPackage.eINSTANCE);
    SoftwaresafetyextensionPackageImpl theSoftwaresafetyextensionPackage = (SoftwaresafetyextensionPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(SoftwaresafetyextensionPackage.eNS_URI) instanceof SoftwaresafetyextensionPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(SoftwaresafetyextensionPackage.eNS_URI) : SoftwaresafetyextensionPackage.eINSTANCE);
    TechnicalsafetyextensionPackageImpl theTechnicalsafetyextensionPackage = (TechnicalsafetyextensionPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(TechnicalsafetyextensionPackage.eNS_URI) instanceof TechnicalsafetyextensionPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(TechnicalsafetyextensionPackage.eNS_URI) : TechnicalsafetyextensionPackage.eINSTANCE);
    ToplevelPackageImpl theToplevelPackage = (ToplevelPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ToplevelPackage.eNS_URI) instanceof ToplevelPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ToplevelPackage.eNS_URI) : ToplevelPackage.eINSTANCE);
    ConfigurationPackageImpl theConfigurationPackage = (ConfigurationPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ConfigurationPackage.eNS_URI) instanceof ConfigurationPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ConfigurationPackage.eNS_URI) : ConfigurationPackage.eINSTANCE);
    ErrormodelPackageImpl theErrormodelPackage = (ErrormodelPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ErrormodelPackage.eNS_URI) instanceof ErrormodelPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ErrormodelPackage.eNS_URI) : ErrormodelPackage.eINSTANCE);
    _instancerefPackageImpl the_instancerefPackage = (_instancerefPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(_instancerefPackage.eNS_URI) instanceof _instancerefPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(_instancerefPackage.eNS_URI) : _instancerefPackage.eINSTANCE);
    ErrorbehaviorPackageImpl theErrorbehaviorPackage = (ErrorbehaviorPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ErrorbehaviorPackage.eNS_URI) instanceof ErrorbehaviorPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ErrorbehaviorPackage.eNS_URI) : ErrorbehaviorPackage.eINSTANCE);
    ErrormodeltypePackageImpl theErrormodeltypePackage = (ErrormodeltypePackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ErrormodeltypePackage.eNS_URI) instanceof ErrormodeltypePackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ErrormodeltypePackage.eNS_URI) : ErrormodeltypePackage.eINSTANCE);
    MalfunctionPackageImpl theMalfunctionPackage = (MalfunctionPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(MalfunctionPackage.eNS_URI) instanceof MalfunctionPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(MalfunctionPackage.eNS_URI) : MalfunctionPackage.eINSTANCE);
    FailureformulaPackageImpl theFailureformulaPackage = (FailureformulaPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(FailureformulaPackage.eNS_URI) instanceof FailureformulaPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(FailureformulaPackage.eNS_URI) : FailureformulaPackage.eINSTANCE);
    FailurePackageImpl theFailurePackage = (FailurePackageImpl)(EPackage.Registry.INSTANCE.getEPackage(FailurePackage.eNS_URI) instanceof FailurePackageImpl ? EPackage.Registry.INSTANCE.getEPackage(FailurePackage.eNS_URI) : FailurePackage.eINSTANCE);
    FailurepartPackageImpl theFailurepartPackage = (FailurepartPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(FailurepartPackage.eNS_URI) instanceof FailurepartPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(FailurepartPackage.eNS_URI) : FailurepartPackage.eINSTANCE);
    HwarchitecturalmetricsPackageImpl theHwarchitecturalmetricsPackage = (HwarchitecturalmetricsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(HwarchitecturalmetricsPackage.eNS_URI) instanceof HwarchitecturalmetricsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(HwarchitecturalmetricsPackage.eNS_URI) : HwarchitecturalmetricsPackage.eINSTANCE);
    ProbabilisticmethodsPackageImpl theProbabilisticmethodsPackage = (ProbabilisticmethodsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ProbabilisticmethodsPackage.eNS_URI) instanceof ProbabilisticmethodsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ProbabilisticmethodsPackage.eNS_URI) : ProbabilisticmethodsPackage.eINSTANCE);
    HazardsPackageImpl theHazardsPackage = (HazardsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(HazardsPackage.eNS_URI) instanceof HazardsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(HazardsPackage.eNS_URI) : HazardsPackage.eINSTANCE);
    RequirementsPackageImpl theRequirementsPackage_1 = (RequirementsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(safe10.classmodel.requirements.RequirementsPackage.eNS_URI) instanceof RequirementsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(safe10.classmodel.requirements.RequirementsPackage.eNS_URI) : safe10.classmodel.requirements.RequirementsPackage.eINSTANCE);
    SoftwaresafetyrequirementsPackageImpl theSoftwaresafetyrequirementsPackage = (SoftwaresafetyrequirementsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(SoftwaresafetyrequirementsPackage.eNS_URI) instanceof SoftwaresafetyrequirementsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(SoftwaresafetyrequirementsPackage.eNS_URI) : SoftwaresafetyrequirementsPackage.eINSTANCE);
    AlivenessmonitorPackageImpl theAlivenessmonitorPackage = (AlivenessmonitorPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(AlivenessmonitorPackage.eNS_URI) instanceof AlivenessmonitorPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(AlivenessmonitorPackage.eNS_URI) : AlivenessmonitorPackage.eINSTANCE);
    ActuatormonitorPackageImpl theActuatormonitorPackage = (ActuatormonitorPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ActuatormonitorPackage.eNS_URI) instanceof ActuatormonitorPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ActuatormonitorPackage.eNS_URI) : ActuatormonitorPackage.eINSTANCE);
    CrcchecksumPackageImpl theCrcchecksumPackage = (CrcchecksumPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(CrcchecksumPackage.eNS_URI) instanceof CrcchecksumPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(CrcchecksumPackage.eNS_URI) : CrcchecksumPackage.eINSTANCE);
    ComparisonPackageImpl theComparisonPackage = (ComparisonPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ComparisonPackage.eNS_URI) instanceof ComparisonPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ComparisonPackage.eNS_URI) : ComparisonPackage.eINSTANCE);
    ContextrangecheckPackageImpl theContextrangecheckPackage = (ContextrangecheckPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ContextrangecheckPackage.eNS_URI) instanceof ContextrangecheckPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ContextrangecheckPackage.eNS_URI) : ContextrangecheckPackage.eINSTANCE);
    CpuselftestPackageImpl theCpuselftestPackage = (CpuselftestPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(CpuselftestPackage.eNS_URI) instanceof CpuselftestPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(CpuselftestPackage.eNS_URI) : CpuselftestPackage.eINSTANCE);
    FilterPackageImpl theFilterPackage = (FilterPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(FilterPackage.eNS_URI) instanceof FilterPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(FilterPackage.eNS_URI) : FilterPackage.eINSTANCE);
    GradientcheckPackageImpl theGradientcheckPackage = (GradientcheckPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(GradientcheckPackage.eNS_URI) instanceof GradientcheckPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(GradientcheckPackage.eNS_URI) : GradientcheckPackage.eINSTANCE);
    HealthmonitorPackageImpl theHealthmonitorPackage = (HealthmonitorPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(HealthmonitorPackage.eNS_URI) instanceof HealthmonitorPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(HealthmonitorPackage.eNS_URI) : HealthmonitorPackage.eINSTANCE);
    HeartbeatPackageImpl theHeartbeatPackage = (HeartbeatPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(HeartbeatPackage.eNS_URI) instanceof HeartbeatPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(HeartbeatPackage.eNS_URI) : HeartbeatPackage.eINSTANCE);
    MemoryselftestPackageImpl theMemoryselftestPackage = (MemoryselftestPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(MemoryselftestPackage.eNS_URI) instanceof MemoryselftestPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(MemoryselftestPackage.eNS_URI) : MemoryselftestPackage.eINSTANCE);
    VotingPackageImpl theVotingPackage = (VotingPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(VotingPackage.eNS_URI) instanceof VotingPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(VotingPackage.eNS_URI) : VotingPackage.eINSTANCE);
    safe10.classmodel.software.configuration.impl.ConfigurationPackageImpl theConfigurationPackage_1 = (safe10.classmodel.software.configuration.impl.ConfigurationPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(safe10.classmodel.software.configuration.ConfigurationPackage.eNS_URI) instanceof safe10.classmodel.software.configuration.impl.ConfigurationPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(safe10.classmodel.software.configuration.ConfigurationPackage.eNS_URI) : safe10.classmodel.software.configuration.ConfigurationPackage.eINSTANCE);

    // Create package meta-data objects
    theHwquantitativemeasurePackage.createPackageContents();
    theDatatypesPackage.createPackageContents();
    theFormulaexpressionPackage.createPackageContents();
    theReferencesPackage.createPackageContents();
    theChromosomereferencesPackage.createPackageContents();
    theSafetyextensionsPackage.createPackageContents();
    theSoftwaresafetyextensionPackage.createPackageContents();
    theTechnicalsafetyextensionPackage.createPackageContents();
    theToplevelPackage.createPackageContents();
    theConfigurationPackage.createPackageContents();
    theErrormodelPackage.createPackageContents();
    the_instancerefPackage.createPackageContents();
    theErrorbehaviorPackage.createPackageContents();
    theErrormodeltypePackage.createPackageContents();
    theMalfunctionPackage.createPackageContents();
    theFailureformulaPackage.createPackageContents();
    theFailurePackage.createPackageContents();
    theFailurepartPackage.createPackageContents();
    theHwarchitecturalmetricsPackage.createPackageContents();
    theProbabilisticmethodsPackage.createPackageContents();
    theHazardsPackage.createPackageContents();
    theRequirementsPackage_1.createPackageContents();
    theSoftwaresafetyrequirementsPackage.createPackageContents();
    theAlivenessmonitorPackage.createPackageContents();
    theActuatormonitorPackage.createPackageContents();
    theCrcchecksumPackage.createPackageContents();
    theComparisonPackage.createPackageContents();
    theContextrangecheckPackage.createPackageContents();
    theCpuselftestPackage.createPackageContents();
    theFilterPackage.createPackageContents();
    theGradientcheckPackage.createPackageContents();
    theHealthmonitorPackage.createPackageContents();
    theHeartbeatPackage.createPackageContents();
    theMemoryselftestPackage.createPackageContents();
    theVotingPackage.createPackageContents();
    theConfigurationPackage_1.createPackageContents();

    // Initialize created meta-data
    theHwquantitativemeasurePackage.initializePackageContents();
    theDatatypesPackage.initializePackageContents();
    theFormulaexpressionPackage.initializePackageContents();
    theReferencesPackage.initializePackageContents();
    theChromosomereferencesPackage.initializePackageContents();
    theSafetyextensionsPackage.initializePackageContents();
    theSoftwaresafetyextensionPackage.initializePackageContents();
    theTechnicalsafetyextensionPackage.initializePackageContents();
    theToplevelPackage.initializePackageContents();
    theConfigurationPackage.initializePackageContents();
    theErrormodelPackage.initializePackageContents();
    the_instancerefPackage.initializePackageContents();
    theErrorbehaviorPackage.initializePackageContents();
    theErrormodeltypePackage.initializePackageContents();
    theMalfunctionPackage.initializePackageContents();
    theFailureformulaPackage.initializePackageContents();
    theFailurePackage.initializePackageContents();
    theFailurepartPackage.initializePackageContents();
    theHwarchitecturalmetricsPackage.initializePackageContents();
    theProbabilisticmethodsPackage.initializePackageContents();
    theHazardsPackage.initializePackageContents();
    theRequirementsPackage_1.initializePackageContents();
    theSoftwaresafetyrequirementsPackage.initializePackageContents();
    theAlivenessmonitorPackage.initializePackageContents();
    theActuatormonitorPackage.initializePackageContents();
    theCrcchecksumPackage.initializePackageContents();
    theComparisonPackage.initializePackageContents();
    theContextrangecheckPackage.initializePackageContents();
    theCpuselftestPackage.initializePackageContents();
    theFilterPackage.initializePackageContents();
    theGradientcheckPackage.initializePackageContents();
    theHealthmonitorPackage.initializePackageContents();
    theHeartbeatPackage.initializePackageContents();
    theMemoryselftestPackage.initializePackageContents();
    theVotingPackage.initializePackageContents();
    theConfigurationPackage_1.initializePackageContents();

    // Mark meta-data to indicate it can't be changed
    theHwquantitativemeasurePackage.freeze();

  
    // Update the registry and return the package
    EPackage.Registry.INSTANCE.put(HwquantitativemeasurePackage.eNS_URI, theHwquantitativemeasurePackage);
    return theHwquantitativemeasurePackage;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getHWArchitecturalMetrics()
  {
    return hwArchitecturalMetricsEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getHWArchitecturalMetrics_HwLantentFaultMetric()
  {
    return (EReference)hwArchitecturalMetricsEClass.getEStructuralFeatures().get(0);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getHWArchitecturalMetrics_HwSinglePointFaultMetric()
  {
    return (EReference)hwArchitecturalMetricsEClass.getEStructuralFeatures().get(1);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getHWFMSingleContribution()
  {
    return hwfmSingleContributionEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getHWFMSingleContribution_LambdaMultiplePointFaultLatent()
  {
    return (EAttribute)hwfmSingleContributionEClass.getEStructuralFeatures().get(0);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getHWFMSingleContribution_LambdaResidualFault()
  {
    return (EAttribute)hwfmSingleContributionEClass.getEStructuralFeatures().get(1);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getHWFMSingleContribution_LambdaSafeFault()
  {
    return (EAttribute)hwfmSingleContributionEClass.getEStructuralFeatures().get(2);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getHWFMSingleContribution_LambdaSafetyComponent()
  {
    return (EAttribute)hwfmSingleContributionEClass.getEStructuralFeatures().get(3);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getHWFMSingleContribution_LambdaSinglePointFault()
  {
    return (EAttribute)hwfmSingleContributionEClass.getEStructuralFeatures().get(4);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getHWFMSingleContribution_SafetyComponentClassName()
  {
    return (EAttribute)hwfmSingleContributionEClass.getEStructuralFeatures().get(5);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getHWFMSingleContribution_HwFMSCLambdaValue()
  {
    return (EReference)hwfmSingleContributionEClass.getEStructuralFeatures().get(6);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getHWFMSingleContribution_NameWasNotSet_7()
  {
    return (EReference)hwfmSingleContributionEClass.getEStructuralFeatures().get(7);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getHWProbabilisticValue()
  {
    return hwProbabilisticValueEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getHWProbabilisticValue_HwFailureClassContainer()
  {
    return (EReference)hwProbabilisticValueEClass.getEStructuralFeatures().get(0);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getHWProbabilisticValue_HwPMHF()
  {
    return (EReference)hwProbabilisticValueEClass.getEStructuralFeatures().get(1);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getHWQuantitativeFailureAnalysis()
  {
    return hwQuantitativeFailureAnalysisEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getHWQuantitativeFailureAnalysis_HwArchitecturalMetrics()
  {
    return (EReference)hwQuantitativeFailureAnalysisEClass.getEStructuralFeatures().get(0);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getHWQuantitativeFailureAnalysis_HwProbalisticValue()
  {
    return (EReference)hwQuantitativeFailureAnalysisEClass.getEStructuralFeatures().get(1);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getHWQuantitativeFailureAnalysis_NameWasNotSet_8()
  {
    return (EReference)hwQuantitativeFailureAnalysisEClass.getEStructuralFeatures().get(2);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public HwquantitativemeasureFactory getHwquantitativemeasureFactory()
  {
    return (HwquantitativemeasureFactory)getEFactoryInstance();
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private boolean isCreated = false;

  /**
   * Creates the meta-model objects for the package.  This method is
   * guarded to have no affect on any invocation but its first.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void createPackageContents()
  {
    if (isCreated) return;
    isCreated = true;

    // Create classes and their features
    hwArchitecturalMetricsEClass = createEClass(HW_ARCHITECTURAL_METRICS);
    createEReference(hwArchitecturalMetricsEClass, HW_ARCHITECTURAL_METRICS__HW_LANTENT_FAULT_METRIC);
    createEReference(hwArchitecturalMetricsEClass, HW_ARCHITECTURAL_METRICS__HW_SINGLE_POINT_FAULT_METRIC);

    hwfmSingleContributionEClass = createEClass(HWFM_SINGLE_CONTRIBUTION);
    createEAttribute(hwfmSingleContributionEClass, HWFM_SINGLE_CONTRIBUTION__LAMBDA_MULTIPLE_POINT_FAULT_LATENT);
    createEAttribute(hwfmSingleContributionEClass, HWFM_SINGLE_CONTRIBUTION__LAMBDA_RESIDUAL_FAULT);
    createEAttribute(hwfmSingleContributionEClass, HWFM_SINGLE_CONTRIBUTION__LAMBDA_SAFE_FAULT);
    createEAttribute(hwfmSingleContributionEClass, HWFM_SINGLE_CONTRIBUTION__LAMBDA_SAFETY_COMPONENT);
    createEAttribute(hwfmSingleContributionEClass, HWFM_SINGLE_CONTRIBUTION__LAMBDA_SINGLE_POINT_FAULT);
    createEAttribute(hwfmSingleContributionEClass, HWFM_SINGLE_CONTRIBUTION__SAFETY_COMPONENT_CLASS_NAME);
    createEReference(hwfmSingleContributionEClass, HWFM_SINGLE_CONTRIBUTION__HW_FMSC_LAMBDA_VALUE);
    createEReference(hwfmSingleContributionEClass, HWFM_SINGLE_CONTRIBUTION__NAME_WAS_NOT_SET_7);

    hwProbabilisticValueEClass = createEClass(HW_PROBABILISTIC_VALUE);
    createEReference(hwProbabilisticValueEClass, HW_PROBABILISTIC_VALUE__HW_FAILURE_CLASS_CONTAINER);
    createEReference(hwProbabilisticValueEClass, HW_PROBABILISTIC_VALUE__HW_PMHF);

    hwQuantitativeFailureAnalysisEClass = createEClass(HW_QUANTITATIVE_FAILURE_ANALYSIS);
    createEReference(hwQuantitativeFailureAnalysisEClass, HW_QUANTITATIVE_FAILURE_ANALYSIS__HW_ARCHITECTURAL_METRICS);
    createEReference(hwQuantitativeFailureAnalysisEClass, HW_QUANTITATIVE_FAILURE_ANALYSIS__HW_PROBALISTIC_VALUE);
    createEReference(hwQuantitativeFailureAnalysisEClass, HW_QUANTITATIVE_FAILURE_ANALYSIS__NAME_WAS_NOT_SET_8);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private boolean isInitialized = false;

  /**
   * Complete the initialization of the package and its meta-model.  This
   * method is guarded to have no affect on any invocation but its first.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void initializePackageContents()
  {
    if (isInitialized) return;
    isInitialized = true;

    // Initialize package
    setName(eNAME);
    setNsPrefix(eNS_PREFIX);
    setNsURI(eNS_URI);

    // Obtain other dependent packages
    HwarchitecturalmetricsPackage theHwarchitecturalmetricsPackage = (HwarchitecturalmetricsPackage)EPackage.Registry.INSTANCE.getEPackage(HwarchitecturalmetricsPackage.eNS_URI);
    DatatypesPackage theDatatypesPackage = (DatatypesPackage)EPackage.Registry.INSTANCE.getEPackage(DatatypesPackage.eNS_URI);
    FailureformulaPackage theFailureformulaPackage = (FailureformulaPackage)EPackage.Registry.INSTANCE.getEPackage(FailureformulaPackage.eNS_URI);
    FailurePackage theFailurePackage = (FailurePackage)EPackage.Registry.INSTANCE.getEPackage(FailurePackage.eNS_URI);
    ProbabilisticmethodsPackage theProbabilisticmethodsPackage = (ProbabilisticmethodsPackage)EPackage.Registry.INSTANCE.getEPackage(ProbabilisticmethodsPackage.eNS_URI);

    // Create type parameters

    // Set bounds for type parameters

    // Add supertypes to classes

    // Initialize classes and features; add operations and parameters
    initEClass(hwArchitecturalMetricsEClass, HWArchitecturalMetrics.class, "HWArchitecturalMetrics", IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
    initEReference(getHWArchitecturalMetrics_HwLantentFaultMetric(), theHwarchitecturalmetricsPackage.getHWLatentFaultMetric(), null, "hwLantentFaultMetric", null, 1, 1, HWArchitecturalMetrics.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEReference(getHWArchitecturalMetrics_HwSinglePointFaultMetric(), theHwarchitecturalmetricsPackage.getHWSinglePointFaultMetric(), null, "hwSinglePointFaultMetric", null, 1, 1, HWArchitecturalMetrics.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

    initEClass(hwfmSingleContributionEClass, HWFMSingleContribution.class, "HWFMSingleContribution", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
    initEAttribute(getHWFMSingleContribution_LambdaMultiplePointFaultLatent(), theDatatypesPackage.getFloat(), "lambdaMultiplePointFaultLatent", "0.0", 1, 1, HWFMSingleContribution.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getHWFMSingleContribution_LambdaResidualFault(), theDatatypesPackage.getFloat(), "lambdaResidualFault", "0.0", 1, 1, HWFMSingleContribution.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getHWFMSingleContribution_LambdaSafeFault(), theDatatypesPackage.getFloat(), "lambdaSafeFault", "0.0", 1, 1, HWFMSingleContribution.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getHWFMSingleContribution_LambdaSafetyComponent(), theDatatypesPackage.getFloat(), "lambdaSafetyComponent", "0.0", 1, 1, HWFMSingleContribution.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getHWFMSingleContribution_LambdaSinglePointFault(), theDatatypesPackage.getFloat(), "lambdaSinglePointFault", "0.0", 1, 1, HWFMSingleContribution.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getHWFMSingleContribution_SafetyComponentClassName(), theDatatypesPackage.getIdentifier(), "safetyComponentClassName", "", 1, 1, HWFMSingleContribution.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEReference(getHWFMSingleContribution_HwFMSCLambdaValue(), theFailureformulaPackage.getHWFMSingleContributionFormula(), null, "hwFMSCLambdaValue", null, 1, 1, HWFMSingleContribution.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEReference(getHWFMSingleContribution_NameWasNotSet_7(), theFailurePackage.getHWFault(), theFailurePackage.getHWFault_HwFailureModeSingleContribution(), "NameWasNotSet_7", null, 0, 1, HWFMSingleContribution.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

    initEClass(hwProbabilisticValueEClass, HWProbabilisticValue.class, "HWProbabilisticValue", IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
    initEReference(getHWProbabilisticValue_HwFailureClassContainer(), theProbabilisticmethodsPackage.getHWFailureClassContainer(), null, "hwFailureClassContainer", null, 0, 1, HWProbabilisticValue.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEReference(getHWProbabilisticValue_HwPMHF(), theProbabilisticmethodsPackage.getHWPMHF(), null, "hwPMHF", null, 0, 1, HWProbabilisticValue.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

    initEClass(hwQuantitativeFailureAnalysisEClass, HWQuantitativeFailureAnalysis.class, "HWQuantitativeFailureAnalysis", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
    initEReference(getHWQuantitativeFailureAnalysis_HwArchitecturalMetrics(), this.getHWArchitecturalMetrics(), null, "hwArchitecturalMetrics", null, 1, 1, HWQuantitativeFailureAnalysis.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEReference(getHWQuantitativeFailureAnalysis_HwProbalisticValue(), this.getHWProbabilisticValue(), null, "hwProbalisticValue", null, 1, 1, HWQuantitativeFailureAnalysis.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEReference(getHWQuantitativeFailureAnalysis_NameWasNotSet_8(), theFailurePackage.getHardwareFailureAnalysis(), theFailurePackage.getHardwareFailureAnalysis_HardwareQuantifiedAnalysis(), "NameWasNotSet_8", null, 0, 1, HWQuantitativeFailureAnalysis.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

    // Create resource
    createResource(eNS_URI);

    // Create annotations
    // MetaData
    createMetaDataAnnotations();
    // TaggedValues
    createTaggedValuesAnnotations();
    // EAAdapter
    createEAAdapterAnnotations();
  }

  /**
   * Initializes the annotations for <b>MetaData</b>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected void createMetaDataAnnotations()
  {
    String source = "MetaData";		
    addAnnotation
      (this, 
       source, 
       new String[] 
       {
       "guid", "{1C4B4EE4-795F-4fcc-969F-403C524FB933}",
       "id", "1063494875",
       "EA name", "HWQuantitativeMeasure"
       });					
    addAnnotation
      (hwArchitecturalMetricsEClass, 
       source, 
       new String[] 
       {
       "guid", "{D019A521-C90A-4cc3-8EED-AD582084AF69}",
       "id", "779220654",
       "EA name", "HWArchitecturalMetrics"
       });					
    addAnnotation
      (getHWArchitecturalMetrics_HwLantentFaultMetric(), 
       source, 
       new String[] 
       {
       "guid", "{F9184928-D679-4154-9D31-4EC09F62AAEC}",
       "id", "513706188",
       "EA name", ""
       });				
    addAnnotation
      (getHWArchitecturalMetrics_HwSinglePointFaultMetric(), 
       source, 
       new String[] 
       {
       "guid", "{0478FEA3-D223-401a-9BF4-F57D9DF9BF32}",
       "id", "130372573",
       "EA name", ""
       });				
    addAnnotation
      (hwfmSingleContributionEClass, 
       source, 
       new String[] 
       {
       "guid", "{04B167DE-DD23-41f1-962F-C8628E3574F7}",
       "id", "1395175575",
       "EA name", "HWFMSingleContribution"
       });					
    addAnnotation
      (getHWFMSingleContribution_LambdaMultiplePointFaultLatent(), 
       source, 
       new String[] 
       {
       "guid", "{A7319F57-5D21-44d5-84AA-7DFEC00ABA66}",
       "id", "-1618037620",
       "EA name", "lambdaMultiplePointFaultLatent"
       });					
    addAnnotation
      (getHWFMSingleContribution_LambdaResidualFault(), 
       source, 
       new String[] 
       {
       "guid", "{8EA7A7FC-971C-4214-9A95-830CD4AC44F1}",
       "id", "-1454668643",
       "EA name", "lambdaResidualFault"
       });					
    addAnnotation
      (getHWFMSingleContribution_LambdaSafeFault(), 
       source, 
       new String[] 
       {
       "guid", "{91E80393-5C03-4c48-963C-62D3FE124810}",
       "id", "1907056026",
       "EA name", "lambdaSafeFault"
       });					
    addAnnotation
      (getHWFMSingleContribution_LambdaSafetyComponent(), 
       source, 
       new String[] 
       {
       "guid", "{A5B3A8DC-56BB-491d-983F-EB8C56E0324F}",
       "id", "-709373933",
       "EA name", "lambdaSafetyComponent"
       });					
    addAnnotation
      (getHWFMSingleContribution_LambdaSinglePointFault(), 
       source, 
       new String[] 
       {
       "guid", "{6BB87DC1-C4D4-4324-9314-832D2E8F689F}",
       "id", "-1677679272",
       "EA name", "lambdaSinglePointFault"
       });					
    addAnnotation
      (getHWFMSingleContribution_SafetyComponentClassName(), 
       source, 
       new String[] 
       {
       "guid", "{9457CFF5-5CFE-499d-BCE9-BBFDAA85058F}",
       "id", "-1633017735",
       "EA name", "safetyComponentClassName"
       });					
    addAnnotation
      (getHWFMSingleContribution_HwFMSCLambdaValue(), 
       source, 
       new String[] 
       {
       "guid", "{706A6B8C-0C28-4d22-AF9F-5E31624193E4}",
       "id", "-979063756",
       "EA name", ""
       });				
    addAnnotation
      (getHWFMSingleContribution_NameWasNotSet_7(), 
       source, 
       new String[] 
       {
       "guid", "{6DC2DD82-EFA9-4fec-84CF-C40C94FB337F}",
       "id", "-929536506",
       "EA name", ""
       });				
    addAnnotation
      (hwProbabilisticValueEClass, 
       source, 
       new String[] 
       {
       "guid", "{65103584-DF55-4b7e-B8EB-EBF6A0DE90F2}",
       "id", "-631194496",
       "EA name", "HWProbabilisticValue"
       });					
    addAnnotation
      (getHWProbabilisticValue_HwFailureClassContainer(), 
       source, 
       new String[] 
       {
       "guid", "{DA80471E-2B3D-407a-9471-93C6CA7609F1}",
       "id", "1395722581",
       "EA name", ""
       });				
    addAnnotation
      (getHWProbabilisticValue_HwPMHF(), 
       source, 
       new String[] 
       {
       "guid", "{089F8924-9732-4664-9BBD-4AAAAE7B39C0}",
       "id", "-1238288604",
       "EA name", ""
       });				
    addAnnotation
      (hwQuantitativeFailureAnalysisEClass, 
       source, 
       new String[] 
       {
       "guid", "{27C9F4D1-6DF3-4010-98F5-532862230C97}",
       "id", "-329506175",
       "EA name", "HWQuantitativeFailureAnalysis"
       });					
    addAnnotation
      (getHWQuantitativeFailureAnalysis_HwArchitecturalMetrics(), 
       source, 
       new String[] 
       {
       "guid", "{7C813744-BCB3-44d7-98BE-9C355198EB60}",
       "id", "437796248",
       "EA name", ""
       });				
    addAnnotation
      (getHWQuantitativeFailureAnalysis_HwProbalisticValue(), 
       source, 
       new String[] 
       {
       "guid", "{FC725FC3-9AAB-4157-8EA1-1DEC2D55003A}",
       "id", "-1429291642",
       "EA name", ""
       });				
    addAnnotation
      (getHWQuantitativeFailureAnalysis_NameWasNotSet_8(), 
       source, 
       new String[] 
       {
       "guid", "{4B7F9C9D-A743-4ee8-9E95-E5298B110864}",
       "id", "-520403363",
       "EA name", ""
       });		
  }

  /**
   * Initializes the annotations for <b>TaggedValues</b>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected void createTaggedValuesAnnotations()
  {
    String source = "TaggedValues";				
    addAnnotation
      (this, 
       source, 
       new String[] 
       {
       "xml.name", "HWQUANTITATIVEMEASURE",
       "xml.namePlural", "HWQUANTITATIVEMEASURES",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });					
    addAnnotation
      (hwArchitecturalMetricsEClass, 
       source, 
       new String[] 
       {
       "xml.name", "HW-ARCHITECTURAL-METRICS",
       "xml.namePlural", "HW-ARCHITECTURAL-METRICSS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });				
    addAnnotation
      (getHWArchitecturalMetrics_HwLantentFaultMetric(), 
       source, 
       new String[] 
       {
       "xml.name", "HW-LANTENT-FAULT-METRIC",
       "xml.namePlural", "HW-LANTENT-FAULT-METRICS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });				
    addAnnotation
      (getHWArchitecturalMetrics_HwSinglePointFaultMetric(), 
       source, 
       new String[] 
       {
       "xml.name", "HW-SINGLE-POINT-FAULT-METRIC",
       "xml.namePlural", "HW-SINGLE-POINT-FAULT-METRICS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });					
    addAnnotation
      (hwfmSingleContributionEClass, 
       source, 
       new String[] 
       {
       "xml.name", "HWFM-SINGLE-CONTRIBUTION",
       "xml.namePlural", "HWFM-SINGLE-CONTRIBUTIONS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });					
    addAnnotation
      (getHWFMSingleContribution_LambdaMultiplePointFaultLatent(), 
       source, 
       new String[] 
       {
       "xml.name", "LAMBDA-MULTIPLE-POINT-FAULT-LATENT",
       "xml.namePlural", "LAMBDA-MULTIPLE-POINT-FAULT-LATENTS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });					
    addAnnotation
      (getHWFMSingleContribution_LambdaResidualFault(), 
       source, 
       new String[] 
       {
       "xml.name", "LAMBDA-RESIDUAL-FAULT",
       "xml.namePlural", "LAMBDA-RESIDUAL-FAULTS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });					
    addAnnotation
      (getHWFMSingleContribution_LambdaSafeFault(), 
       source, 
       new String[] 
       {
       "xml.name", "LAMBDA-SAFE-FAULT",
       "xml.namePlural", "LAMBDA-SAFE-FAULTS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });					
    addAnnotation
      (getHWFMSingleContribution_LambdaSafetyComponent(), 
       source, 
       new String[] 
       {
       "xml.name", "LAMBDA-SAFETY-COMPONENT",
       "xml.namePlural", "LAMBDA-SAFETY-COMPONENTS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });					
    addAnnotation
      (getHWFMSingleContribution_LambdaSinglePointFault(), 
       source, 
       new String[] 
       {
       "xml.name", "LAMBDA-SINGLE-POINT-FAULT",
       "xml.namePlural", "LAMBDA-SINGLE-POINT-FAULTS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });					
    addAnnotation
      (getHWFMSingleContribution_SafetyComponentClassName(), 
       source, 
       new String[] 
       {
       "xml.name", "SAFETY-COMPONENT-CLASS-NAME",
       "xml.namePlural", "SAFETY-COMPONENT-CLASS-NAMES",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });				
    addAnnotation
      (getHWFMSingleContribution_HwFMSCLambdaValue(), 
       source, 
       new String[] 
       {
       "xml.name", "HW-FMSC-LAMBDA-VALUE",
       "xml.namePlural", "HW-FMSC-LAMBDA-VALUES",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });				
    addAnnotation
      (getHWFMSingleContribution_NameWasNotSet_7(), 
       source, 
       new String[] 
       {
       "xml.name", "NAME-WAS-NOT-SET-7-REF",
       "xml.namePlural", "NAME-WAS-NOT-SET-7-REFS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });					
    addAnnotation
      (hwProbabilisticValueEClass, 
       source, 
       new String[] 
       {
       "xml.name", "HW-PROBABILISTIC-VALUE",
       "xml.namePlural", "HW-PROBABILISTIC-VALUES",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });				
    addAnnotation
      (getHWProbabilisticValue_HwFailureClassContainer(), 
       source, 
       new String[] 
       {
       "xml.name", "HW-FAILURE-CLASS-CONTAINER",
       "xml.namePlural", "HW-FAILURE-CLASS-CONTAINERS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });				
    addAnnotation
      (getHWProbabilisticValue_HwPMHF(), 
       source, 
       new String[] 
       {
       "xml.name", "HW-PMHF",
       "xml.namePlural", "HW-PMHFS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });					
    addAnnotation
      (hwQuantitativeFailureAnalysisEClass, 
       source, 
       new String[] 
       {
       "xml.name", "HW-QUANTITATIVE-FAILURE-ANALYSIS",
       "xml.namePlural", "HW-QUANTITATIVE-FAILURE-ANALYSISS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });				
    addAnnotation
      (getHWQuantitativeFailureAnalysis_HwArchitecturalMetrics(), 
       source, 
       new String[] 
       {
       "xml.name", "HW-ARCHITECTURAL-METRICS",
       "xml.namePlural", "HW-ARCHITECTURAL-METRICSS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });				
    addAnnotation
      (getHWQuantitativeFailureAnalysis_HwProbalisticValue(), 
       source, 
       new String[] 
       {
       "xml.name", "HW-PROBALISTIC-VALUE",
       "xml.namePlural", "HW-PROBALISTIC-VALUES",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });				
    addAnnotation
      (getHWQuantitativeFailureAnalysis_NameWasNotSet_8(), 
       source, 
       new String[] 
       {
       "xml.name", "NAME-WAS-NOT-SET-8-REF",
       "xml.namePlural", "NAME-WAS-NOT-SET-8-REFS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });	
  }

  /**
   * Initializes the annotations for <b>EAAdapter</b>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected void createEAAdapterAnnotations()
  {
    String source = "EAAdapter";					
    addAnnotation
      (this, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (hwArchitecturalMetricsEClass, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getHWArchitecturalMetrics_HwLantentFaultMetric(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getHWArchitecturalMetrics_HwSinglePointFaultMetric(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (hwfmSingleContributionEClass, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (getHWFMSingleContribution_LambdaMultiplePointFaultLatent(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (getHWFMSingleContribution_LambdaResidualFault(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (getHWFMSingleContribution_LambdaSafeFault(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (getHWFMSingleContribution_LambdaSafetyComponent(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (getHWFMSingleContribution_LambdaSinglePointFault(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (getHWFMSingleContribution_SafetyComponentClassName(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getHWFMSingleContribution_HwFMSCLambdaValue(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getHWFMSingleContribution_NameWasNotSet_7(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (hwProbabilisticValueEClass, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getHWProbabilisticValue_HwFailureClassContainer(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getHWProbabilisticValue_HwPMHF(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (hwQuantitativeFailureAnalysisEClass, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getHWQuantitativeFailureAnalysis_HwArchitecturalMetrics(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getHWQuantitativeFailureAnalysis_HwProbalisticValue(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getHWQuantitativeFailureAnalysis_NameWasNotSet_8(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });
  }

} //HwquantitativemeasurePackageImpl
