/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package safe10.classmodel.hardware.probabilisticmethods;

import org.eclipse.emf.common.util.EList;

import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>HW Failure Class Container</b></em>'.
 * <!-- end-user-doc -->
 *
 * <!-- begin-model-doc -->
 * This class is container to store all HW element  failure class results and associated assumptions taken (number of cut-set as typical).
 * <!-- end-model-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link safe10.classmodel.hardware.probabilisticmethods.HWFailureClassContainer#getRationaleCutSet <em>Rationale Cut Set</em>}</li>
 *   <li>{@link safe10.classmodel.hardware.probabilisticmethods.HWFailureClassContainer#getRelevantCutSet <em>Relevant Cut Set</em>}</li>
 *   <li>{@link safe10.classmodel.hardware.probabilisticmethods.HWFailureClassContainer#getHwelementFailureRateClass <em>Hwelement Failure Rate Class</em>}</li>
 * </ul>
 * </p>
 *
 * @see safe10.classmodel.hardware.probabilisticmethods.ProbabilisticmethodsPackage#getHWFailureClassContainer()
 * @model annotation="MetaData guid='{A54D428D-647C-4921-B8F5-A79C668CD8D7}' id='1254805652' EA\040name='HWFailureClassContainer'"
 *        annotation="TaggedValues xml.name='HW-FAILURE-CLASS-CONTAINER' xml.namePlural='HW-FAILURE-CLASS-CONTAINERS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public interface HWFailureClassContainer extends EObject
{
  /**
   * Returns the value of the '<em><b>Rationale Cut Set</b></em>' attribute.
   * The default value is <code>""</code>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * This attribute provides a textual rationale for the number of relevant cut-sets.
   * <!-- end-model-doc -->
   * @return the value of the '<em>Rationale Cut Set</em>' attribute.
   * @see #isSetRationaleCutSet()
   * @see #unsetRationaleCutSet()
   * @see #setRationaleCutSet(String)
   * @see safe10.classmodel.hardware.probabilisticmethods.ProbabilisticmethodsPackage#getHWFailureClassContainer_RationaleCutSet()
   * @model default="" unsettable="true" dataType="safe10.classmodel.commonstructure.datatypes.String" required="true"
   *        annotation="MetaData guid='{1B56954B-DE3D-40b0-9B8E-8BEF0F0F74CA}' id='-1643404795' EA\040name='rationaleCutSet'"
   *        annotation="TaggedValues xml.name='RATIONALE-CUT-SET' xml.namePlural='RATIONALE-CUT-SETS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  String getRationaleCutSet();

  /**
   * Sets the value of the '{@link safe10.classmodel.hardware.probabilisticmethods.HWFailureClassContainer#getRationaleCutSet <em>Rationale Cut Set</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Rationale Cut Set</em>' attribute.
   * @see #isSetRationaleCutSet()
   * @see #RationaleCutSet()
   * @see #getRationaleCutSet()
   * @generated
   */
  void setRationaleCutSet(String value);

  /**
   * Unsets the value of the '{@link safe10.classmodel.hardware.probabilisticmethods.HWFailureClassContainer#getRationaleCutSet <em>Rationale Cut Set</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #isSetRationaleCutSet()
   * @see #getRationaleCutSet()
   * @see #setRationaleCutSet(String)
   * @generated
   */
  void unsetRationaleCutSet();

  /**
   * Returns whether the value of the '{@link safe10.classmodel.hardware.probabilisticmethods.HWFailureClassContainer#getRationaleCutSet <em>Rationale Cut Set</em>}' attribute is set.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return whether the value of the '<em>Rationale Cut Set</em>' attribute is set.
   * @see #RationaleCutSet()
   * @see #getRationaleCutSet()
   * @see #setRationaleCutSet(String)
   * @generated
   */
  boolean isSetRationaleCutSet();

  /**
   * Returns the value of the '<em><b>Relevant Cut Set</b></em>' attribute.
   * The default value is <code>"0"</code>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * This attributes stores the number of relevant cut sets.
   * <!-- end-model-doc -->
   * @return the value of the '<em>Relevant Cut Set</em>' attribute.
   * @see #isSetRelevantCutSet()
   * @see #unsetRelevantCutSet()
   * @see #setRelevantCutSet(Integer)
   * @see safe10.classmodel.hardware.probabilisticmethods.ProbabilisticmethodsPackage#getHWFailureClassContainer_RelevantCutSet()
   * @model default="0" unsettable="true" dataType="safe10.classmodel.commonstructure.datatypes.Integer" required="true"
   *        annotation="MetaData guid='{C617DE8D-E4B0-493e-A2CB-9124B55FC233}' id='1675360482' EA\040name='relevantCutSet'"
   *        annotation="TaggedValues xml.name='RELEVANT-CUT-SET' xml.namePlural='RELEVANT-CUT-SETS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  Integer getRelevantCutSet();

  /**
   * Sets the value of the '{@link safe10.classmodel.hardware.probabilisticmethods.HWFailureClassContainer#getRelevantCutSet <em>Relevant Cut Set</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Relevant Cut Set</em>' attribute.
   * @see #isSetRelevantCutSet()
   * @see #RelevantCutSet()
   * @see #getRelevantCutSet()
   * @generated
   */
  void setRelevantCutSet(Integer value);

  /**
   * Unsets the value of the '{@link safe10.classmodel.hardware.probabilisticmethods.HWFailureClassContainer#getRelevantCutSet <em>Relevant Cut Set</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #isSetRelevantCutSet()
   * @see #getRelevantCutSet()
   * @see #setRelevantCutSet(Integer)
   * @generated
   */
  void unsetRelevantCutSet();

  /**
   * Returns whether the value of the '{@link safe10.classmodel.hardware.probabilisticmethods.HWFailureClassContainer#getRelevantCutSet <em>Relevant Cut Set</em>}' attribute is set.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return whether the value of the '<em>Relevant Cut Set</em>' attribute is set.
   * @see #RelevantCutSet()
   * @see #getRelevantCutSet()
   * @see #setRelevantCutSet(Integer)
   * @generated
   */
  boolean isSetRelevantCutSet();

  /**
   * Returns the value of the '<em><b>Hwelement Failure Rate Class</b></em>' containment reference list.
   * The list contents are of type {@link safe10.classmodel.hardware.probabilisticmethods.HWElementFailureRateClass}.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Hwelement Failure Rate Class</em>' containment reference list isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Hwelement Failure Rate Class</em>' containment reference list.
   * @see safe10.classmodel.hardware.probabilisticmethods.ProbabilisticmethodsPackage#getHWFailureClassContainer_HwelementFailureRateClass()
   * @model containment="true"
   *        annotation="MetaData guid='{4F4FFD8B-64A0-4d6f-A9A6-3FADA7A9CCFF}' id='1678853477' EA\040name=''"
   *        annotation="TaggedValues xml.name='HWELEMENT-FAILURE-RATE-CLASS' xml.namePlural='HWELEMENT-FAILURE-RATE-CLASSS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='false' xml.roleWrapperElement='true' xml.typeElement='true' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  EList<HWElementFailureRateClass> getHwelementFailureRateClass();

} // HWFailureClassContainer
