/**
 */
package safe10.classmodel.hardware.probabilisticmethods;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;

import org.eclipse.emf.common.util.Enumerator;

/**
 * <!-- begin-user-doc -->
 * A representation of the literals of the enumeration '<em><b>HWSPF Target Failure Rate Class Enum</b></em>',
 * and utility methods for working with them.
 * <!-- end-user-doc -->
 * <!-- begin-model-doc -->
 * ISO 26262 Part 5 9.4.3.5 -Table 7 (Targets of failure rate classes of hardware parts regarding single-point faults)
 * 
 * DM: Dedicated measures
 * 
 * Additionally, OUT-OF-SCOPE was added.
 * <!-- end-model-doc -->
 * @see safe10.classmodel.hardware.probabilisticmethods.ProbabilisticmethodsPackage#getHWSPFTargetFailureRateClassEnum()
 * @model annotation="MetaData guid='{D10B6EC2-A430-4a0b-B9F7-DBF7B74E7173}' id='742660401' EA\040name='HWSPFTargetFailureRateClassEnum'"
 *        annotation="Stereotype Stereotype='enumeration'"
 *        annotation="TaggedValues xml.name='HWSPF-TARGET-FAILURE-RATE-CLASS-ENUM' xml.namePlural='HWSPF-TARGET-FAILURE-RATE-CLASS-ENUMS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public enum HWSPFTargetFailureRateClassEnum implements Enumerator
{
  /**
   * The '<em><b>Out Of Scope</b></em>' literal object.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #OUT_OF_SCOPE_VALUE
   * @generated
   * @ordered
   */
  OUT_OF_SCOPE(0, "OutOfScope", "OUTOFSCOPE"),

  /**
   * The '<em><b>ASIL D</b></em>' literal object.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #ASIL_D_VALUE
   * @generated
   * @ordered
   */
  ASIL_D(1, "ASIL_D", "ASIL_D"),

  /**
   * The '<em><b>ASIL C</b></em>' literal object.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #ASIL_C_VALUE
   * @generated
   * @ordered
   */
  ASIL_C(2, "ASIL_C", "ASIL_C"),

  /**
   * The '<em><b>ASIL B</b></em>' literal object.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #ASIL_B_VALUE
   * @generated
   * @ordered
   */
  ASIL_B(3, "ASIL_B", "ASIL_B");

  /**
   * The '<em><b>Out Of Scope</b></em>' literal value.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of '<em><b>Out Of Scope</b></em>' literal object isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @see #OUT_OF_SCOPE
   * @model name="OutOfScope" literal="OUTOFSCOPE"
   *        annotation="TaggedValues xml.name='OUT-OF-SCOPE' xml.namePlural='OUT-OF-SCOPES' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   * @ordered
   */
  public static final int OUT_OF_SCOPE_VALUE = 0;

  /**
   * The '<em><b>ASIL D</b></em>' literal value.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of '<em><b>ASIL D</b></em>' literal object isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @see #ASIL_D
   * @model annotation="TaggedValues xml.name='ASIL-D' xml.namePlural='ASIL-DS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   * @ordered
   */
  public static final int ASIL_D_VALUE = 1;

  /**
   * The '<em><b>ASIL C</b></em>' literal value.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of '<em><b>ASIL C</b></em>' literal object isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @see #ASIL_C
   * @model annotation="TaggedValues xml.name='ASIL-C' xml.namePlural='ASIL-CS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   * @ordered
   */
  public static final int ASIL_C_VALUE = 2;

  /**
   * The '<em><b>ASIL B</b></em>' literal value.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of '<em><b>ASIL B</b></em>' literal object isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @see #ASIL_B
   * @model annotation="TaggedValues xml.name='ASIL-B' xml.namePlural='ASIL-BS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   * @ordered
   */
  public static final int ASIL_B_VALUE = 3;

  /**
   * An array of all the '<em><b>HWSPF Target Failure Rate Class Enum</b></em>' enumerators.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private static final HWSPFTargetFailureRateClassEnum[] VALUES_ARRAY =
    new HWSPFTargetFailureRateClassEnum[]
    {
      OUT_OF_SCOPE,
      ASIL_D,
      ASIL_C,
      ASIL_B,
    };

  /**
   * A public read-only list of all the '<em><b>HWSPF Target Failure Rate Class Enum</b></em>' enumerators.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public static final List<HWSPFTargetFailureRateClassEnum> VALUES = Collections.unmodifiableList(Arrays.asList(VALUES_ARRAY));

  /**
   * Returns the '<em><b>HWSPF Target Failure Rate Class Enum</b></em>' literal with the specified literal value.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public static HWSPFTargetFailureRateClassEnum get(String literal)
  {
    for (int i = 0; i < VALUES_ARRAY.length; ++i)
    {
      HWSPFTargetFailureRateClassEnum result = VALUES_ARRAY[i];
      if (result.toString().equals(literal))
      {
        return result;
      }
    }
    return null;
  }

  /**
   * Returns the '<em><b>HWSPF Target Failure Rate Class Enum</b></em>' literal with the specified name.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public static HWSPFTargetFailureRateClassEnum getByName(String name)
  {
    for (int i = 0; i < VALUES_ARRAY.length; ++i)
    {
      HWSPFTargetFailureRateClassEnum result = VALUES_ARRAY[i];
      if (result.getName().equals(name))
      {
        return result;
      }
    }
    return null;
  }

  /**
   * Returns the '<em><b>HWSPF Target Failure Rate Class Enum</b></em>' literal with the specified integer value.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public static HWSPFTargetFailureRateClassEnum get(int value)
  {
    switch (value)
    {
      case OUT_OF_SCOPE_VALUE: return OUT_OF_SCOPE;
      case ASIL_D_VALUE: return ASIL_D;
      case ASIL_C_VALUE: return ASIL_C;
      case ASIL_B_VALUE: return ASIL_B;
    }
    return null;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private final int value;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private final String name;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private final String literal;

  /**
   * Only this class can construct instances.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private HWSPFTargetFailureRateClassEnum(int value, String name, String literal)
  {
    this.value = value;
    this.name = name;
    this.literal = literal;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public int getValue()
  {
    return value;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String getName()
  {
    return name;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String getLiteral()
  {
    return literal;
  }

  /**
   * Returns the literal value of the enumerator, which is its string representation.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public String toString()
  {
    return literal;
  }
  
} //HWSPFTargetFailureRateClassEnum
