/**
 */
package safe10.classmodel.hardware.probabilisticmethods.impl;

import autosar40.bswmodule.bswinterfaces.BswinterfacesPackage;

import autosar40.bswmodule.bswoverview.BswoverviewPackage;

import autosar40.commonstructure.modedeclaration.ModedeclarationPackage;

import autosar40.ecuresource.EcuresourcePackage;

import autosar40.swcomponent.components.ComponentsPackage;

import autosar40.swcomponent.composition.CompositionPackage;

import autosar40.swcomponent.datatype.dataprototypes.DataprototypesPackage;

import autosar40.swcomponent.portinterface.PortinterfacePackage;

import autosar40.swcomponent.swcinternalbehavior.SwcinternalbehaviorPackage;

import autosar40.system.SystemPackage;

import eastadl21.east_adl.environment.EnvironmentPackage;

import eastadl21.east_adl.requirements.RequirementsPackage;

import eastadl21.east_adl.structure.featuremodeling.FeaturemodelingPackage;

import eastadl21.east_adl.structure.functionmodeling.FunctionmodelingPackage;

import eastadl21.east_adl.structure.hardwaremodeling.HardwaremodelingPackage;

import eastadl21.east_adl.structure.systemmodeling.SystemmodelingPackage;

import eastadl21.east_adl.structure.vehiclefeaturemodeling.VehiclefeaturemodelingPackage;

import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EEnum;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

import org.eclipse.emf.ecore.impl.EPackageImpl;

import safe10.classmodel.commonstructure.datatypes.DatatypesPackage;

import safe10.classmodel.commonstructure.datatypes.impl.DatatypesPackageImpl;

import safe10.classmodel.commonstructure.formulaexpression.FormulaexpressionPackage;

import safe10.classmodel.commonstructure.formulaexpression.impl.FormulaexpressionPackageImpl;

import safe10.classmodel.commonstructure.references.ReferencesPackage;

import safe10.classmodel.commonstructure.references.chromosomereferences.ChromosomereferencesPackage;

import safe10.classmodel.commonstructure.references.chromosomereferences.impl.ChromosomereferencesPackageImpl;

import safe10.classmodel.commonstructure.references.impl.ReferencesPackageImpl;

import safe10.classmodel.commonstructure.safetyextensions.SafetyextensionsPackage;

import safe10.classmodel.commonstructure.safetyextensions.impl.SafetyextensionsPackageImpl;

import safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.SoftwaresafetyextensionPackage;

import safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.impl.SoftwaresafetyextensionPackageImpl;

import safe10.classmodel.commonstructure.safetyextensions.technicalsafetyextension.TechnicalsafetyextensionPackage;

import safe10.classmodel.commonstructure.safetyextensions.technicalsafetyextension.impl.TechnicalsafetyextensionPackageImpl;

import safe10.classmodel.commonstructure.toplevel.ToplevelPackage;

import safe10.classmodel.commonstructure.toplevel.impl.ToplevelPackageImpl;

import safe10.classmodel.configuration.ConfigurationPackage;

import safe10.classmodel.configuration.impl.ConfigurationPackageImpl;

import safe10.classmodel.errormodel.ErrormodelPackage;

import safe10.classmodel.errormodel._instanceref._instancerefPackage;

import safe10.classmodel.errormodel._instanceref.impl._instancerefPackageImpl;

import safe10.classmodel.errormodel.errorbehavior.ErrorbehaviorPackage;

import safe10.classmodel.errormodel.errorbehavior.impl.ErrorbehaviorPackageImpl;

import safe10.classmodel.errormodel.errormodeltype.ErrormodeltypePackage;

import safe10.classmodel.errormodel.errormodeltype.impl.ErrormodeltypePackageImpl;

import safe10.classmodel.errormodel.impl.ErrormodelPackageImpl;

import safe10.classmodel.errormodel.malfunction.MalfunctionPackage;

import safe10.classmodel.errormodel.malfunction.impl.MalfunctionPackageImpl;

import safe10.classmodel.hardware.failure.FailurePackage;

import safe10.classmodel.hardware.failure.impl.FailurePackageImpl;

import safe10.classmodel.hardware.failureformula.FailureformulaPackage;

import safe10.classmodel.hardware.failureformula.impl.FailureformulaPackageImpl;

import safe10.classmodel.hardware.failurepart.FailurepartPackage;

import safe10.classmodel.hardware.failurepart.impl.FailurepartPackageImpl;

import safe10.classmodel.hardware.hwarchitecturalmetrics.HwarchitecturalmetricsPackage;

import safe10.classmodel.hardware.hwarchitecturalmetrics.impl.HwarchitecturalmetricsPackageImpl;

import safe10.classmodel.hardware.hwquantitativemeasure.HwquantitativemeasurePackage;

import safe10.classmodel.hardware.hwquantitativemeasure.impl.HwquantitativemeasurePackageImpl;

import safe10.classmodel.hardware.probabilisticmethods.HWElementFailureRateClass;
import safe10.classmodel.hardware.probabilisticmethods.HWFailureClassContainer;
import safe10.classmodel.hardware.probabilisticmethods.HWLFTargetFailureRateClassEnum;
import safe10.classmodel.hardware.probabilisticmethods.HWRFTargetFailureRateClassEnum;
import safe10.classmodel.hardware.probabilisticmethods.HWSPFTargetFailureRateClassEnum;
import safe10.classmodel.hardware.probabilisticmethods.HWTargetValuesPMHFEnum;
import safe10.classmodel.hardware.probabilisticmethods.HWValuesFailureRateClassEnum;
import safe10.classmodel.hardware.probabilisticmethods.ProbabilisticmethodsFactory;
import safe10.classmodel.hardware.probabilisticmethods.ProbabilisticmethodsPackage;

import safe10.classmodel.hazards.HazardsPackage;

import safe10.classmodel.hazards.impl.HazardsPackageImpl;

import safe10.classmodel.requirements.impl.RequirementsPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.SoftwaresafetyrequirementsPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.actuatormonitor.ActuatormonitorPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.actuatormonitor.impl.ActuatormonitorPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.alivenessmonitor.AlivenessmonitorPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.alivenessmonitor.impl.AlivenessmonitorPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.comparison.ComparisonPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.comparison.impl.ComparisonPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.contextrangecheck.ContextrangecheckPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.contextrangecheck.impl.ContextrangecheckPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.cpuselftest.CpuselftestPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.cpuselftest.impl.CpuselftestPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.crcchecksum.CrcchecksumPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.crcchecksum.impl.CrcchecksumPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.filter.FilterPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.filter.impl.FilterPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.gradientcheck.GradientcheckPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.gradientcheck.impl.GradientcheckPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.healthmonitor.HealthmonitorPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.healthmonitor.impl.HealthmonitorPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.HeartbeatPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.impl.HeartbeatPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.impl.SoftwaresafetyrequirementsPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.memoryselftest.MemoryselftestPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.memoryselftest.impl.MemoryselftestPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.voting.VotingPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.voting.impl.VotingPackageImpl;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model <b>Package</b>.
 * <!-- end-user-doc -->
 * @generated
 */
public class ProbabilisticmethodsPackageImpl extends EPackageImpl implements ProbabilisticmethodsPackage
{
  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass hwElementFailureRateClassEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass hwFailureClassContainerEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass hwpmhfEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EEnum hwlfTargetFailureRateClassEnumEEnum = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EEnum hwrfTargetFailureRateClassEnumEEnum = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EEnum hwspfTargetFailureRateClassEnumEEnum = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EEnum hwTargetValuesPMHFEnumEEnum = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EEnum hwValuesFailureRateClassEnumEEnum = null;

  /**
   * Creates an instance of the model <b>Package</b>, registered with
   * {@link org.eclipse.emf.ecore.EPackage.Registry EPackage.Registry} by the package
   * package URI value.
   * <p>Note: the correct way to create the package is via the static
   * factory method {@link #init init()}, which also performs
   * initialization of the package, or returns the registered package,
   * if one already exists.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see org.eclipse.emf.ecore.EPackage.Registry
   * @see safe10.classmodel.hardware.probabilisticmethods.ProbabilisticmethodsPackage#eNS_URI
   * @see #init()
   * @generated
   */
  private ProbabilisticmethodsPackageImpl()
  {
    super(eNS_URI, ProbabilisticmethodsFactory.eINSTANCE);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private static boolean isInited = false;

  /**
   * Creates, registers, and initializes the <b>Package</b> for this model, and for any others upon which it depends.
   * 
   * <p>This method is used to initialize {@link ProbabilisticmethodsPackage#eINSTANCE} when that field is accessed.
   * Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #eNS_URI
   * @see #createPackageContents()
   * @see #initializePackageContents()
   * @generated
   */
  public static ProbabilisticmethodsPackage init()
  {
    if (isInited) return (ProbabilisticmethodsPackage)EPackage.Registry.INSTANCE.getEPackage(ProbabilisticmethodsPackage.eNS_URI);

    // Obtain or create and register package
    ProbabilisticmethodsPackageImpl theProbabilisticmethodsPackage = (ProbabilisticmethodsPackageImpl)(EPackage.Registry.INSTANCE.get(eNS_URI) instanceof ProbabilisticmethodsPackageImpl ? EPackage.Registry.INSTANCE.get(eNS_URI) : new ProbabilisticmethodsPackageImpl());

    isInited = true;

    // Initialize simple dependencies
    SystemmodelingPackage.eINSTANCE.eClass();
    FeaturemodelingPackage.eINSTANCE.eClass();
    VehiclefeaturemodelingPackage.eINSTANCE.eClass();
    FunctionmodelingPackage.eINSTANCE.eClass();
    HardwaremodelingPackage.eINSTANCE.eClass();
    RequirementsPackage.eINSTANCE.eClass();
    EnvironmentPackage.eINSTANCE.eClass();
    EcuresourcePackage.eINSTANCE.eClass();
    ModedeclarationPackage.eINSTANCE.eClass();
    DataprototypesPackage.eINSTANCE.eClass();
    CompositionPackage.eINSTANCE.eClass();
    ComponentsPackage.eINSTANCE.eClass();
    PortinterfacePackage.eINSTANCE.eClass();
    SwcinternalbehaviorPackage.eINSTANCE.eClass();
    SystemPackage.eINSTANCE.eClass();
    BswoverviewPackage.eINSTANCE.eClass();
    BswinterfacesPackage.eINSTANCE.eClass();

    // Obtain or create and register interdependencies
    DatatypesPackageImpl theDatatypesPackage = (DatatypesPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(DatatypesPackage.eNS_URI) instanceof DatatypesPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(DatatypesPackage.eNS_URI) : DatatypesPackage.eINSTANCE);
    FormulaexpressionPackageImpl theFormulaexpressionPackage = (FormulaexpressionPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(FormulaexpressionPackage.eNS_URI) instanceof FormulaexpressionPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(FormulaexpressionPackage.eNS_URI) : FormulaexpressionPackage.eINSTANCE);
    ReferencesPackageImpl theReferencesPackage = (ReferencesPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ReferencesPackage.eNS_URI) instanceof ReferencesPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ReferencesPackage.eNS_URI) : ReferencesPackage.eINSTANCE);
    ChromosomereferencesPackageImpl theChromosomereferencesPackage = (ChromosomereferencesPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ChromosomereferencesPackage.eNS_URI) instanceof ChromosomereferencesPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ChromosomereferencesPackage.eNS_URI) : ChromosomereferencesPackage.eINSTANCE);
    SafetyextensionsPackageImpl theSafetyextensionsPackage = (SafetyextensionsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(SafetyextensionsPackage.eNS_URI) instanceof SafetyextensionsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(SafetyextensionsPackage.eNS_URI) : SafetyextensionsPackage.eINSTANCE);
    SoftwaresafetyextensionPackageImpl theSoftwaresafetyextensionPackage = (SoftwaresafetyextensionPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(SoftwaresafetyextensionPackage.eNS_URI) instanceof SoftwaresafetyextensionPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(SoftwaresafetyextensionPackage.eNS_URI) : SoftwaresafetyextensionPackage.eINSTANCE);
    TechnicalsafetyextensionPackageImpl theTechnicalsafetyextensionPackage = (TechnicalsafetyextensionPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(TechnicalsafetyextensionPackage.eNS_URI) instanceof TechnicalsafetyextensionPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(TechnicalsafetyextensionPackage.eNS_URI) : TechnicalsafetyextensionPackage.eINSTANCE);
    ToplevelPackageImpl theToplevelPackage = (ToplevelPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ToplevelPackage.eNS_URI) instanceof ToplevelPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ToplevelPackage.eNS_URI) : ToplevelPackage.eINSTANCE);
    ConfigurationPackageImpl theConfigurationPackage = (ConfigurationPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ConfigurationPackage.eNS_URI) instanceof ConfigurationPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ConfigurationPackage.eNS_URI) : ConfigurationPackage.eINSTANCE);
    ErrormodelPackageImpl theErrormodelPackage = (ErrormodelPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ErrormodelPackage.eNS_URI) instanceof ErrormodelPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ErrormodelPackage.eNS_URI) : ErrormodelPackage.eINSTANCE);
    _instancerefPackageImpl the_instancerefPackage = (_instancerefPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(_instancerefPackage.eNS_URI) instanceof _instancerefPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(_instancerefPackage.eNS_URI) : _instancerefPackage.eINSTANCE);
    ErrorbehaviorPackageImpl theErrorbehaviorPackage = (ErrorbehaviorPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ErrorbehaviorPackage.eNS_URI) instanceof ErrorbehaviorPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ErrorbehaviorPackage.eNS_URI) : ErrorbehaviorPackage.eINSTANCE);
    ErrormodeltypePackageImpl theErrormodeltypePackage = (ErrormodeltypePackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ErrormodeltypePackage.eNS_URI) instanceof ErrormodeltypePackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ErrormodeltypePackage.eNS_URI) : ErrormodeltypePackage.eINSTANCE);
    MalfunctionPackageImpl theMalfunctionPackage = (MalfunctionPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(MalfunctionPackage.eNS_URI) instanceof MalfunctionPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(MalfunctionPackage.eNS_URI) : MalfunctionPackage.eINSTANCE);
    FailureformulaPackageImpl theFailureformulaPackage = (FailureformulaPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(FailureformulaPackage.eNS_URI) instanceof FailureformulaPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(FailureformulaPackage.eNS_URI) : FailureformulaPackage.eINSTANCE);
    FailurePackageImpl theFailurePackage = (FailurePackageImpl)(EPackage.Registry.INSTANCE.getEPackage(FailurePackage.eNS_URI) instanceof FailurePackageImpl ? EPackage.Registry.INSTANCE.getEPackage(FailurePackage.eNS_URI) : FailurePackage.eINSTANCE);
    FailurepartPackageImpl theFailurepartPackage = (FailurepartPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(FailurepartPackage.eNS_URI) instanceof FailurepartPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(FailurepartPackage.eNS_URI) : FailurepartPackage.eINSTANCE);
    HwquantitativemeasurePackageImpl theHwquantitativemeasurePackage = (HwquantitativemeasurePackageImpl)(EPackage.Registry.INSTANCE.getEPackage(HwquantitativemeasurePackage.eNS_URI) instanceof HwquantitativemeasurePackageImpl ? EPackage.Registry.INSTANCE.getEPackage(HwquantitativemeasurePackage.eNS_URI) : HwquantitativemeasurePackage.eINSTANCE);
    HwarchitecturalmetricsPackageImpl theHwarchitecturalmetricsPackage = (HwarchitecturalmetricsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(HwarchitecturalmetricsPackage.eNS_URI) instanceof HwarchitecturalmetricsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(HwarchitecturalmetricsPackage.eNS_URI) : HwarchitecturalmetricsPackage.eINSTANCE);
    HazardsPackageImpl theHazardsPackage = (HazardsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(HazardsPackage.eNS_URI) instanceof HazardsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(HazardsPackage.eNS_URI) : HazardsPackage.eINSTANCE);
    RequirementsPackageImpl theRequirementsPackage_1 = (RequirementsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(safe10.classmodel.requirements.RequirementsPackage.eNS_URI) instanceof RequirementsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(safe10.classmodel.requirements.RequirementsPackage.eNS_URI) : safe10.classmodel.requirements.RequirementsPackage.eINSTANCE);
    SoftwaresafetyrequirementsPackageImpl theSoftwaresafetyrequirementsPackage = (SoftwaresafetyrequirementsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(SoftwaresafetyrequirementsPackage.eNS_URI) instanceof SoftwaresafetyrequirementsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(SoftwaresafetyrequirementsPackage.eNS_URI) : SoftwaresafetyrequirementsPackage.eINSTANCE);
    AlivenessmonitorPackageImpl theAlivenessmonitorPackage = (AlivenessmonitorPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(AlivenessmonitorPackage.eNS_URI) instanceof AlivenessmonitorPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(AlivenessmonitorPackage.eNS_URI) : AlivenessmonitorPackage.eINSTANCE);
    ActuatormonitorPackageImpl theActuatormonitorPackage = (ActuatormonitorPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ActuatormonitorPackage.eNS_URI) instanceof ActuatormonitorPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ActuatormonitorPackage.eNS_URI) : ActuatormonitorPackage.eINSTANCE);
    CrcchecksumPackageImpl theCrcchecksumPackage = (CrcchecksumPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(CrcchecksumPackage.eNS_URI) instanceof CrcchecksumPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(CrcchecksumPackage.eNS_URI) : CrcchecksumPackage.eINSTANCE);
    ComparisonPackageImpl theComparisonPackage = (ComparisonPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ComparisonPackage.eNS_URI) instanceof ComparisonPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ComparisonPackage.eNS_URI) : ComparisonPackage.eINSTANCE);
    ContextrangecheckPackageImpl theContextrangecheckPackage = (ContextrangecheckPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ContextrangecheckPackage.eNS_URI) instanceof ContextrangecheckPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ContextrangecheckPackage.eNS_URI) : ContextrangecheckPackage.eINSTANCE);
    CpuselftestPackageImpl theCpuselftestPackage = (CpuselftestPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(CpuselftestPackage.eNS_URI) instanceof CpuselftestPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(CpuselftestPackage.eNS_URI) : CpuselftestPackage.eINSTANCE);
    FilterPackageImpl theFilterPackage = (FilterPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(FilterPackage.eNS_URI) instanceof FilterPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(FilterPackage.eNS_URI) : FilterPackage.eINSTANCE);
    GradientcheckPackageImpl theGradientcheckPackage = (GradientcheckPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(GradientcheckPackage.eNS_URI) instanceof GradientcheckPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(GradientcheckPackage.eNS_URI) : GradientcheckPackage.eINSTANCE);
    HealthmonitorPackageImpl theHealthmonitorPackage = (HealthmonitorPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(HealthmonitorPackage.eNS_URI) instanceof HealthmonitorPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(HealthmonitorPackage.eNS_URI) : HealthmonitorPackage.eINSTANCE);
    HeartbeatPackageImpl theHeartbeatPackage = (HeartbeatPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(HeartbeatPackage.eNS_URI) instanceof HeartbeatPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(HeartbeatPackage.eNS_URI) : HeartbeatPackage.eINSTANCE);
    MemoryselftestPackageImpl theMemoryselftestPackage = (MemoryselftestPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(MemoryselftestPackage.eNS_URI) instanceof MemoryselftestPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(MemoryselftestPackage.eNS_URI) : MemoryselftestPackage.eINSTANCE);
    VotingPackageImpl theVotingPackage = (VotingPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(VotingPackage.eNS_URI) instanceof VotingPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(VotingPackage.eNS_URI) : VotingPackage.eINSTANCE);
    safe10.classmodel.software.configuration.impl.ConfigurationPackageImpl theConfigurationPackage_1 = (safe10.classmodel.software.configuration.impl.ConfigurationPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(safe10.classmodel.software.configuration.ConfigurationPackage.eNS_URI) instanceof safe10.classmodel.software.configuration.impl.ConfigurationPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(safe10.classmodel.software.configuration.ConfigurationPackage.eNS_URI) : safe10.classmodel.software.configuration.ConfigurationPackage.eINSTANCE);

    // Create package meta-data objects
    theProbabilisticmethodsPackage.createPackageContents();
    theDatatypesPackage.createPackageContents();
    theFormulaexpressionPackage.createPackageContents();
    theReferencesPackage.createPackageContents();
    theChromosomereferencesPackage.createPackageContents();
    theSafetyextensionsPackage.createPackageContents();
    theSoftwaresafetyextensionPackage.createPackageContents();
    theTechnicalsafetyextensionPackage.createPackageContents();
    theToplevelPackage.createPackageContents();
    theConfigurationPackage.createPackageContents();
    theErrormodelPackage.createPackageContents();
    the_instancerefPackage.createPackageContents();
    theErrorbehaviorPackage.createPackageContents();
    theErrormodeltypePackage.createPackageContents();
    theMalfunctionPackage.createPackageContents();
    theFailureformulaPackage.createPackageContents();
    theFailurePackage.createPackageContents();
    theFailurepartPackage.createPackageContents();
    theHwquantitativemeasurePackage.createPackageContents();
    theHwarchitecturalmetricsPackage.createPackageContents();
    theHazardsPackage.createPackageContents();
    theRequirementsPackage_1.createPackageContents();
    theSoftwaresafetyrequirementsPackage.createPackageContents();
    theAlivenessmonitorPackage.createPackageContents();
    theActuatormonitorPackage.createPackageContents();
    theCrcchecksumPackage.createPackageContents();
    theComparisonPackage.createPackageContents();
    theContextrangecheckPackage.createPackageContents();
    theCpuselftestPackage.createPackageContents();
    theFilterPackage.createPackageContents();
    theGradientcheckPackage.createPackageContents();
    theHealthmonitorPackage.createPackageContents();
    theHeartbeatPackage.createPackageContents();
    theMemoryselftestPackage.createPackageContents();
    theVotingPackage.createPackageContents();
    theConfigurationPackage_1.createPackageContents();

    // Initialize created meta-data
    theProbabilisticmethodsPackage.initializePackageContents();
    theDatatypesPackage.initializePackageContents();
    theFormulaexpressionPackage.initializePackageContents();
    theReferencesPackage.initializePackageContents();
    theChromosomereferencesPackage.initializePackageContents();
    theSafetyextensionsPackage.initializePackageContents();
    theSoftwaresafetyextensionPackage.initializePackageContents();
    theTechnicalsafetyextensionPackage.initializePackageContents();
    theToplevelPackage.initializePackageContents();
    theConfigurationPackage.initializePackageContents();
    theErrormodelPackage.initializePackageContents();
    the_instancerefPackage.initializePackageContents();
    theErrorbehaviorPackage.initializePackageContents();
    theErrormodeltypePackage.initializePackageContents();
    theMalfunctionPackage.initializePackageContents();
    theFailureformulaPackage.initializePackageContents();
    theFailurePackage.initializePackageContents();
    theFailurepartPackage.initializePackageContents();
    theHwquantitativemeasurePackage.initializePackageContents();
    theHwarchitecturalmetricsPackage.initializePackageContents();
    theHazardsPackage.initializePackageContents();
    theRequirementsPackage_1.initializePackageContents();
    theSoftwaresafetyrequirementsPackage.initializePackageContents();
    theAlivenessmonitorPackage.initializePackageContents();
    theActuatormonitorPackage.initializePackageContents();
    theCrcchecksumPackage.initializePackageContents();
    theComparisonPackage.initializePackageContents();
    theContextrangecheckPackage.initializePackageContents();
    theCpuselftestPackage.initializePackageContents();
    theFilterPackage.initializePackageContents();
    theGradientcheckPackage.initializePackageContents();
    theHealthmonitorPackage.initializePackageContents();
    theHeartbeatPackage.initializePackageContents();
    theMemoryselftestPackage.initializePackageContents();
    theVotingPackage.initializePackageContents();
    theConfigurationPackage_1.initializePackageContents();

    // Mark meta-data to indicate it can't be changed
    theProbabilisticmethodsPackage.freeze();

  
    // Update the registry and return the package
    EPackage.Registry.INSTANCE.put(ProbabilisticmethodsPackage.eNS_URI, theProbabilisticmethodsPackage);
    return theProbabilisticmethodsPackage;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getHWElementFailureRateClass()
  {
    return hwElementFailureRateClassEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getHWElementFailureRateClass_HwElementFailureClass()
  {
    return (EAttribute)hwElementFailureRateClassEClass.getEStructuralFeatures().get(0);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getHWElementFailureRateClass_HwElementLatentDiagnosisCoverage()
  {
    return (EAttribute)hwElementFailureRateClassEClass.getEStructuralFeatures().get(1);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getHWElementFailureRateClass_HwElementResidualDiagnosisCoverage()
  {
    return (EAttribute)hwElementFailureRateClassEClass.getEStructuralFeatures().get(2);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getHWElementFailureRateClass_LFTargetFailureRateClass()
  {
    return (EAttribute)hwElementFailureRateClassEClass.getEStructuralFeatures().get(3);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getHWElementFailureRateClass_RationaleDedicatedMeasures()
  {
    return (EAttribute)hwElementFailureRateClassEClass.getEStructuralFeatures().get(4);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getHWElementFailureRateClass_RationaleFailureRateClass()
  {
    return (EAttribute)hwElementFailureRateClassEClass.getEStructuralFeatures().get(5);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getHWElementFailureRateClass_RFTargetFailureRateClass()
  {
    return (EAttribute)hwElementFailureRateClassEClass.getEStructuralFeatures().get(6);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getHWElementFailureRateClass_SPFTargetFailureRateClass()
  {
    return (EAttribute)hwElementFailureRateClassEClass.getEStructuralFeatures().get(7);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getHWElementFailureRateClass_HwEFRChwElementValue()
  {
    return (EReference)hwElementFailureRateClassEClass.getEStructuralFeatures().get(8);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getHWFailureClassContainer()
  {
    return hwFailureClassContainerEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getHWFailureClassContainer_RationaleCutSet()
  {
    return (EAttribute)hwFailureClassContainerEClass.getEStructuralFeatures().get(0);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getHWFailureClassContainer_RelevantCutSet()
  {
    return (EAttribute)hwFailureClassContainerEClass.getEStructuralFeatures().get(1);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getHWFailureClassContainer_HwelementFailureRateClass()
  {
    return (EReference)hwFailureClassContainerEClass.getEStructuralFeatures().get(2);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getHWPMHF()
  {
    return hwpmhfEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getHWPMHF_CalculatedValue()
  {
    return (EAttribute)hwpmhfEClass.getEStructuralFeatures().get(0);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getHWPMHF_RationaleDedicatedMeasures()
  {
    return (EAttribute)hwpmhfEClass.getEStructuralFeatures().get(1);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getHWPMHF_ExposureTime()
  {
    return (EAttribute)hwpmhfEClass.getEStructuralFeatures().get(2);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getHWPMHF_RationaleExposureTime()
  {
    return (EAttribute)hwpmhfEClass.getEStructuralFeatures().get(3);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getHWPMHF_HwPMHFCalculatedValue()
  {
    return (EReference)hwpmhfEClass.getEStructuralFeatures().get(4);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EEnum getHWLFTargetFailureRateClassEnum()
  {
    return hwlfTargetFailureRateClassEnumEEnum;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EEnum getHWRFTargetFailureRateClassEnum()
  {
    return hwrfTargetFailureRateClassEnumEEnum;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EEnum getHWSPFTargetFailureRateClassEnum()
  {
    return hwspfTargetFailureRateClassEnumEEnum;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EEnum getHWTargetValuesPMHFEnum()
  {
    return hwTargetValuesPMHFEnumEEnum;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EEnum getHWValuesFailureRateClassEnum()
  {
    return hwValuesFailureRateClassEnumEEnum;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public ProbabilisticmethodsFactory getProbabilisticmethodsFactory()
  {
    return (ProbabilisticmethodsFactory)getEFactoryInstance();
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private boolean isCreated = false;

  /**
   * Creates the meta-model objects for the package.  This method is
   * guarded to have no affect on any invocation but its first.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void createPackageContents()
  {
    if (isCreated) return;
    isCreated = true;

    // Create classes and their features
    hwElementFailureRateClassEClass = createEClass(HW_ELEMENT_FAILURE_RATE_CLASS);
    createEAttribute(hwElementFailureRateClassEClass, HW_ELEMENT_FAILURE_RATE_CLASS__HW_ELEMENT_FAILURE_CLASS);
    createEAttribute(hwElementFailureRateClassEClass, HW_ELEMENT_FAILURE_RATE_CLASS__HW_ELEMENT_LATENT_DIAGNOSIS_COVERAGE);
    createEAttribute(hwElementFailureRateClassEClass, HW_ELEMENT_FAILURE_RATE_CLASS__HW_ELEMENT_RESIDUAL_DIAGNOSIS_COVERAGE);
    createEAttribute(hwElementFailureRateClassEClass, HW_ELEMENT_FAILURE_RATE_CLASS__LF_TARGET_FAILURE_RATE_CLASS);
    createEAttribute(hwElementFailureRateClassEClass, HW_ELEMENT_FAILURE_RATE_CLASS__RATIONALE_DEDICATED_MEASURES);
    createEAttribute(hwElementFailureRateClassEClass, HW_ELEMENT_FAILURE_RATE_CLASS__RATIONALE_FAILURE_RATE_CLASS);
    createEAttribute(hwElementFailureRateClassEClass, HW_ELEMENT_FAILURE_RATE_CLASS__RF_TARGET_FAILURE_RATE_CLASS);
    createEAttribute(hwElementFailureRateClassEClass, HW_ELEMENT_FAILURE_RATE_CLASS__SPF_TARGET_FAILURE_RATE_CLASS);
    createEReference(hwElementFailureRateClassEClass, HW_ELEMENT_FAILURE_RATE_CLASS__HW_EFR_CHW_ELEMENT_VALUE);

    hwFailureClassContainerEClass = createEClass(HW_FAILURE_CLASS_CONTAINER);
    createEAttribute(hwFailureClassContainerEClass, HW_FAILURE_CLASS_CONTAINER__RATIONALE_CUT_SET);
    createEAttribute(hwFailureClassContainerEClass, HW_FAILURE_CLASS_CONTAINER__RELEVANT_CUT_SET);
    createEReference(hwFailureClassContainerEClass, HW_FAILURE_CLASS_CONTAINER__HWELEMENT_FAILURE_RATE_CLASS);

    hwpmhfEClass = createEClass(HWPMHF);
    createEAttribute(hwpmhfEClass, HWPMHF__CALCULATED_VALUE);
    createEAttribute(hwpmhfEClass, HWPMHF__RATIONALE_DEDICATED_MEASURES);
    createEAttribute(hwpmhfEClass, HWPMHF__EXPOSURE_TIME);
    createEAttribute(hwpmhfEClass, HWPMHF__RATIONALE_EXPOSURE_TIME);
    createEReference(hwpmhfEClass, HWPMHF__HW_PMHF_CALCULATED_VALUE);

    // Create enums
    hwlfTargetFailureRateClassEnumEEnum = createEEnum(HWLF_TARGET_FAILURE_RATE_CLASS_ENUM);
    hwrfTargetFailureRateClassEnumEEnum = createEEnum(HWRF_TARGET_FAILURE_RATE_CLASS_ENUM);
    hwspfTargetFailureRateClassEnumEEnum = createEEnum(HWSPF_TARGET_FAILURE_RATE_CLASS_ENUM);
    hwTargetValuesPMHFEnumEEnum = createEEnum(HW_TARGET_VALUES_PMHF_ENUM);
    hwValuesFailureRateClassEnumEEnum = createEEnum(HW_VALUES_FAILURE_RATE_CLASS_ENUM);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private boolean isInitialized = false;

  /**
   * Complete the initialization of the package and its meta-model.  This
   * method is guarded to have no affect on any invocation but its first.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void initializePackageContents()
  {
    if (isInitialized) return;
    isInitialized = true;

    // Initialize package
    setName(eNAME);
    setNsPrefix(eNS_PREFIX);
    setNsURI(eNS_URI);

    // Obtain other dependent packages
    DatatypesPackage theDatatypesPackage = (DatatypesPackage)EPackage.Registry.INSTANCE.getEPackage(DatatypesPackage.eNS_URI);
    FailureformulaPackage theFailureformulaPackage = (FailureformulaPackage)EPackage.Registry.INSTANCE.getEPackage(FailureformulaPackage.eNS_URI);

    // Create type parameters

    // Set bounds for type parameters

    // Add supertypes to classes

    // Initialize classes and features; add operations and parameters
    initEClass(hwElementFailureRateClassEClass, HWElementFailureRateClass.class, "HWElementFailureRateClass", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
    initEAttribute(getHWElementFailureRateClass_HwElementFailureClass(), this.getHWValuesFailureRateClassEnum(), "hwElementFailureClass", "FAILURERATECLASS1", 1, 1, HWElementFailureRateClass.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getHWElementFailureRateClass_HwElementLatentDiagnosisCoverage(), theDatatypesPackage.getFloat(), "hwElementLatentDiagnosisCoverage", "0.0", 1, 1, HWElementFailureRateClass.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getHWElementFailureRateClass_HwElementResidualDiagnosisCoverage(), theDatatypesPackage.getFloat(), "hwElementResidualDiagnosisCoverage", "0.0", 1, 1, HWElementFailureRateClass.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getHWElementFailureRateClass_LFTargetFailureRateClass(), this.getHWLFTargetFailureRateClassEnum(), "LFTargetFailureRateClass", "OUTOFSCOPE", 1, 1, HWElementFailureRateClass.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getHWElementFailureRateClass_RationaleDedicatedMeasures(), theDatatypesPackage.getString(), "rationaleDedicatedMeasures", "", 1, 1, HWElementFailureRateClass.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getHWElementFailureRateClass_RationaleFailureRateClass(), theDatatypesPackage.getString(), "rationaleFailureRateClass", "", 1, 1, HWElementFailureRateClass.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getHWElementFailureRateClass_RFTargetFailureRateClass(), this.getHWRFTargetFailureRateClassEnum(), "RFTargetFailureRateClass", "OUTOFSCOPE", 1, 1, HWElementFailureRateClass.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getHWElementFailureRateClass_SPFTargetFailureRateClass(), this.getHWSPFTargetFailureRateClassEnum(), "SPFTargetFailureRateClass", "OUTOFSCOPE", 1, 1, HWElementFailureRateClass.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEReference(getHWElementFailureRateClass_HwEFRChwElementValue(), theFailureformulaPackage.getHWFailureClassContributionFormula(), null, "hwEFRChwElementValue", null, 1, 1, HWElementFailureRateClass.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

    initEClass(hwFailureClassContainerEClass, HWFailureClassContainer.class, "HWFailureClassContainer", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
    initEAttribute(getHWFailureClassContainer_RationaleCutSet(), theDatatypesPackage.getString(), "rationaleCutSet", "", 1, 1, HWFailureClassContainer.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getHWFailureClassContainer_RelevantCutSet(), theDatatypesPackage.getInteger(), "relevantCutSet", "0", 1, 1, HWFailureClassContainer.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEReference(getHWFailureClassContainer_HwelementFailureRateClass(), this.getHWElementFailureRateClass(), null, "hwelementFailureRateClass", null, 0, -1, HWFailureClassContainer.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

    initEClass(hwpmhfEClass, safe10.classmodel.hardware.probabilisticmethods.HWPMHF.class, "HWPMHF", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
    initEAttribute(getHWPMHF_CalculatedValue(), theDatatypesPackage.getFloat(), "calculatedValue", "0.0", 1, 1, safe10.classmodel.hardware.probabilisticmethods.HWPMHF.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getHWPMHF_RationaleDedicatedMeasures(), theDatatypesPackage.getString(), "rationaleDedicatedMeasures", "", 1, 1, safe10.classmodel.hardware.probabilisticmethods.HWPMHF.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getHWPMHF_ExposureTime(), theDatatypesPackage.getFloat(), "exposureTime", "0.0", 1, 1, safe10.classmodel.hardware.probabilisticmethods.HWPMHF.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getHWPMHF_RationaleExposureTime(), theDatatypesPackage.getString(), "rationaleExposureTime", "", 1, 1, safe10.classmodel.hardware.probabilisticmethods.HWPMHF.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEReference(getHWPMHF_HwPMHFCalculatedValue(), theFailureformulaPackage.getHWPMHFFormula(), null, "hwPMHFCalculatedValue", null, 1, 1, safe10.classmodel.hardware.probabilisticmethods.HWPMHF.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

    // Initialize enums and add enum literals
    initEEnum(hwlfTargetFailureRateClassEnumEEnum, HWLFTargetFailureRateClassEnum.class, "HWLFTargetFailureRateClassEnum");
    addEEnumLiteral(hwlfTargetFailureRateClassEnumEEnum, HWLFTargetFailureRateClassEnum.OUT_OF_SCOPE);
    addEEnumLiteral(hwlfTargetFailureRateClassEnumEEnum, HWLFTargetFailureRateClassEnum.ASIL_DAND_LDC_GTEQ_99PCT);
    addEEnumLiteral(hwlfTargetFailureRateClassEnumEEnum, HWLFTargetFailureRateClassEnum.ASIL_DAND_LDC_GTEQ_90PCT);
    addEEnumLiteral(hwlfTargetFailureRateClassEnumEEnum, HWLFTargetFailureRateClassEnum.ASIL_DAND_LDC_LT_90PCT);
    addEEnumLiteral(hwlfTargetFailureRateClassEnumEEnum, HWLFTargetFailureRateClassEnum.ASIL_CAND_LDC_GTEQ_99PCT);
    addEEnumLiteral(hwlfTargetFailureRateClassEnumEEnum, HWLFTargetFailureRateClassEnum.ASIL_CAND_LDC_GTEQ_90PCT);
    addEEnumLiteral(hwlfTargetFailureRateClassEnumEEnum, HWLFTargetFailureRateClassEnum.ASIL_CAND_LDC_GTEQ_80PCT);
    addEEnumLiteral(hwlfTargetFailureRateClassEnumEEnum, HWLFTargetFailureRateClassEnum.ASIL_CAND_LDC_GT_80PCT);

    initEEnum(hwrfTargetFailureRateClassEnumEEnum, HWRFTargetFailureRateClassEnum.class, "HWRFTargetFailureRateClassEnum");
    addEEnumLiteral(hwrfTargetFailureRateClassEnumEEnum, HWRFTargetFailureRateClassEnum.OUT_OF_SCOPE);
    addEEnumLiteral(hwrfTargetFailureRateClassEnumEEnum, HWRFTargetFailureRateClassEnum.ASIL_DAND_RDC_GTEQ_99_DOT_99PCT);
    addEEnumLiteral(hwrfTargetFailureRateClassEnumEEnum, HWRFTargetFailureRateClassEnum.ASIL_DAND_RDC_GTEQ_99_DOT_9PCT);
    addEEnumLiteral(hwrfTargetFailureRateClassEnumEEnum, HWRFTargetFailureRateClassEnum.ASIL_DAND_RDC_GTEQ_99PCT);
    addEEnumLiteral(hwrfTargetFailureRateClassEnumEEnum, HWRFTargetFailureRateClassEnum.ASIL_DAND_RDC_GTEQ_90PCT);
    addEEnumLiteral(hwrfTargetFailureRateClassEnumEEnum, HWRFTargetFailureRateClassEnum.ASIL_DAND_RDC_LT_90PCT);
    addEEnumLiteral(hwrfTargetFailureRateClassEnumEEnum, HWRFTargetFailureRateClassEnum.ASIL_CAND_RDC_GTEQ_99_DOT_9PCT);
    addEEnumLiteral(hwrfTargetFailureRateClassEnumEEnum, HWRFTargetFailureRateClassEnum.ASIL_CAND_RDC_GTEQ_99PCT);
    addEEnumLiteral(hwrfTargetFailureRateClassEnumEEnum, HWRFTargetFailureRateClassEnum.ASIL_CAND_RDC_GTEQ_90PCT);
    addEEnumLiteral(hwrfTargetFailureRateClassEnumEEnum, HWRFTargetFailureRateClassEnum.ASIL_CAND_RDC_LT_90PCT);
    addEEnumLiteral(hwrfTargetFailureRateClassEnumEEnum, HWRFTargetFailureRateClassEnum.ASIL_BAND_RDC_GTEQ_99_DOT_9PCT);
    addEEnumLiteral(hwrfTargetFailureRateClassEnumEEnum, HWRFTargetFailureRateClassEnum.ASIL_BAND_RDC_GTEQ_99PCT);
    addEEnumLiteral(hwrfTargetFailureRateClassEnumEEnum, HWRFTargetFailureRateClassEnum.ASIL_BAND_RDC_GTEQ_90PCT);
    addEEnumLiteral(hwrfTargetFailureRateClassEnumEEnum, HWRFTargetFailureRateClassEnum.ASIL_BAND_RDC_LT_90PCT);

    initEEnum(hwspfTargetFailureRateClassEnumEEnum, HWSPFTargetFailureRateClassEnum.class, "HWSPFTargetFailureRateClassEnum");
    addEEnumLiteral(hwspfTargetFailureRateClassEnumEEnum, HWSPFTargetFailureRateClassEnum.OUT_OF_SCOPE);
    addEEnumLiteral(hwspfTargetFailureRateClassEnumEEnum, HWSPFTargetFailureRateClassEnum.ASIL_D);
    addEEnumLiteral(hwspfTargetFailureRateClassEnumEEnum, HWSPFTargetFailureRateClassEnum.ASIL_C);
    addEEnumLiteral(hwspfTargetFailureRateClassEnumEEnum, HWSPFTargetFailureRateClassEnum.ASIL_B);

    initEEnum(hwTargetValuesPMHFEnumEEnum, HWTargetValuesPMHFEnum.class, "HWTargetValuesPMHFEnum");
    addEEnumLiteral(hwTargetValuesPMHFEnumEEnum, HWTargetValuesPMHFEnum.ASIL_D);
    addEEnumLiteral(hwTargetValuesPMHFEnumEEnum, HWTargetValuesPMHFEnum.ASIL_C);
    addEEnumLiteral(hwTargetValuesPMHFEnumEEnum, HWTargetValuesPMHFEnum.ASIL_B);

    initEEnum(hwValuesFailureRateClassEnumEEnum, HWValuesFailureRateClassEnum.class, "HWValuesFailureRateClassEnum");
    addEEnumLiteral(hwValuesFailureRateClassEnumEEnum, HWValuesFailureRateClassEnum.FAILURE_RATE_CLASS1);
    addEEnumLiteral(hwValuesFailureRateClassEnumEEnum, HWValuesFailureRateClassEnum.FAILURE_RATE_CLASS2);
    addEEnumLiteral(hwValuesFailureRateClassEnumEEnum, HWValuesFailureRateClassEnum.FAILURE_RATE_CLASS3);
    addEEnumLiteral(hwValuesFailureRateClassEnumEEnum, HWValuesFailureRateClassEnum.FAILURE_RATE_CLASS4);
    addEEnumLiteral(hwValuesFailureRateClassEnumEEnum, HWValuesFailureRateClassEnum.FAILURE_RATE_CLASS5);

    // Create resource
    createResource(eNS_URI);

    // Create annotations
    // MetaData
    createMetaDataAnnotations();
    // TaggedValues
    createTaggedValuesAnnotations();
    // EAAdapter
    createEAAdapterAnnotations();
    // Stereotype
    createStereotypeAnnotations();
  }

  /**
   * Initializes the annotations for <b>MetaData</b>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected void createMetaDataAnnotations()
  {
    String source = "MetaData";		
    addAnnotation
      (this, 
       source, 
       new String[] 
       {
       "guid", "{A67217FA-6454-4217-B5A3-4B874AC8FE86}",
       "id", "-1433040449",
       "EA name", "ProbabilisticMethods"
       });					
    addAnnotation
      (hwElementFailureRateClassEClass, 
       source, 
       new String[] 
       {
       "guid", "{236B1260-994E-420c-871F-2F39A1649694}",
       "id", "1701386264",
       "EA name", "HWElementFailureRateClass"
       });					
    addAnnotation
      (getHWElementFailureRateClass_HwElementFailureClass(), 
       source, 
       new String[] 
       {
       "guid", "{860324C4-363D-4538-A120-34033E656501}",
       "id", "-853619655",
       "EA name", "hwElementFailureClass"
       });					
    addAnnotation
      (getHWElementFailureRateClass_HwElementLatentDiagnosisCoverage(), 
       source, 
       new String[] 
       {
       "guid", "{3DA0E041-A7FD-4bd2-8A40-F060E25BF82A}",
       "id", "1797594118",
       "EA name", "hwElementLatentDiagnosisCoverage"
       });					
    addAnnotation
      (getHWElementFailureRateClass_HwElementResidualDiagnosisCoverage(), 
       source, 
       new String[] 
       {
       "guid", "{E6936D04-5F14-4c09-9999-A8947E16047C}",
       "id", "-1875685105",
       "EA name", "hwElementResidualDiagnosisCoverage"
       });					
    addAnnotation
      (getHWElementFailureRateClass_LFTargetFailureRateClass(), 
       source, 
       new String[] 
       {
       "guid", "{49A4436F-F708-441c-AE3D-4F0D1417F521}",
       "id", "-1399277148",
       "EA name", "LFTargetFailureRateClass"
       });					
    addAnnotation
      (getHWElementFailureRateClass_RationaleDedicatedMeasures(), 
       source, 
       new String[] 
       {
       "guid", "{FC2B73AA-2858-45de-88B0-D80F3FB6B1C9}",
       "id", "-1029572139",
       "EA name", "rationaleDedicatedMeasures"
       });					
    addAnnotation
      (getHWElementFailureRateClass_RationaleFailureRateClass(), 
       source, 
       new String[] 
       {
       "guid", "{A2DDA5A6-E56C-46c0-A1B1-31B99B572DE6}",
       "id", "-919713678",
       "EA name", "rationaleFailureRateClass"
       });					
    addAnnotation
      (getHWElementFailureRateClass_RFTargetFailureRateClass(), 
       source, 
       new String[] 
       {
       "guid", "{DF535B12-2D50-4e0c-AC1C-E3D79521BD76}",
       "id", "1421420555",
       "EA name", "RFTargetFailureRateClass"
       });					
    addAnnotation
      (getHWElementFailureRateClass_SPFTargetFailureRateClass(), 
       source, 
       new String[] 
       {
       "guid", "{68399B96-FB31-4ee0-B463-5BB43E7309B3}",
       "id", "1246096368",
       "EA name", "SPFTargetFailureRateClass"
       });					
    addAnnotation
      (getHWElementFailureRateClass_HwEFRChwElementValue(), 
       source, 
       new String[] 
       {
       "guid", "{883078D8-C396-4e97-8075-A2866A2C70C3}",
       "id", "1128727914",
       "EA name", ""
       });				
    addAnnotation
      (hwFailureClassContainerEClass, 
       source, 
       new String[] 
       {
       "guid", "{A54D428D-647C-4921-B8F5-A79C668CD8D7}",
       "id", "1254805652",
       "EA name", "HWFailureClassContainer"
       });					
    addAnnotation
      (getHWFailureClassContainer_RationaleCutSet(), 
       source, 
       new String[] 
       {
       "guid", "{1B56954B-DE3D-40b0-9B8E-8BEF0F0F74CA}",
       "id", "-1643404795",
       "EA name", "rationaleCutSet"
       });					
    addAnnotation
      (getHWFailureClassContainer_RelevantCutSet(), 
       source, 
       new String[] 
       {
       "guid", "{C617DE8D-E4B0-493e-A2CB-9124B55FC233}",
       "id", "1675360482",
       "EA name", "relevantCutSet"
       });					
    addAnnotation
      (getHWFailureClassContainer_HwelementFailureRateClass(), 
       source, 
       new String[] 
       {
       "guid", "{4F4FFD8B-64A0-4d6f-A9A6-3FADA7A9CCFF}",
       "id", "1678853477",
       "EA name", ""
       });				
    addAnnotation
      (hwlfTargetFailureRateClassEnumEEnum, 
       source, 
       new String[] 
       {
       "guid", "{E076A852-DE80-46fb-B158-65DEB60BE814}",
       "id", "2110114747",
       "EA name", "HWLFTargetFailureRateClassEnum"
       });																						
    addAnnotation
      (hwpmhfEClass, 
       source, 
       new String[] 
       {
       "guid", "{F5507EF8-B579-4626-B169-2832A4914A0A}",
       "id", "-1322629448",
       "EA name", "HWPMHF"
       });					
    addAnnotation
      (getHWPMHF_CalculatedValue(), 
       source, 
       new String[] 
       {
       "guid", "{62631271-8F83-4624-9591-F582D270FC4F}",
       "id", "905428569",
       "EA name", "calculatedValue"
       });					
    addAnnotation
      (getHWPMHF_RationaleDedicatedMeasures(), 
       source, 
       new String[] 
       {
       "guid", "{E539AAD5-252D-4335-95F9-4C0FADAE8B15}",
       "id", "1926893615",
       "EA name", "rationaleDedicatedMeasures"
       });					
    addAnnotation
      (getHWPMHF_ExposureTime(), 
       source, 
       new String[] 
       {
       "guid", "{7AF37B91-804F-4c84-ADEE-41492CD1AF9A}",
       "id", "-1429181530",
       "EA name", "exposureTime"
       });					
    addAnnotation
      (getHWPMHF_RationaleExposureTime(), 
       source, 
       new String[] 
       {
       "guid", "{3AAE42FE-CC99-4273-9D5A-793FAF4A9322}",
       "id", "2074022468",
       "EA name", "rationaleExposureTime"
       });					
    addAnnotation
      (getHWPMHF_HwPMHFCalculatedValue(), 
       source, 
       new String[] 
       {
       "guid", "{9242DB34-6508-4b70-99B5-9EB8AD1DAA35}",
       "id", "1110729735",
       "EA name", ""
       });				
    addAnnotation
      (hwrfTargetFailureRateClassEnumEEnum, 
       source, 
       new String[] 
       {
       "guid", "{1B09D4CD-4BD6-4212-B782-913B78A1FDD2}",
       "id", "-552938990",
       "EA name", "HWRFTargetFailureRateClassEnum"
       });																																		
    addAnnotation
      (hwspfTargetFailureRateClassEnumEEnum, 
       source, 
       new String[] 
       {
       "guid", "{D10B6EC2-A430-4a0b-B9F7-DBF7B74E7173}",
       "id", "742660401",
       "EA name", "HWSPFTargetFailureRateClassEnum"
       });														
    addAnnotation
      (hwTargetValuesPMHFEnumEEnum, 
       source, 
       new String[] 
       {
       "guid", "{409C9ECB-FDFA-4b7a-8908-C87FAEE5C7B1}",
       "id", "2016876005",
       "EA name", "HWTargetValuesPMHFEnum"
       });												
    addAnnotation
      (hwValuesFailureRateClassEnumEEnum, 
       source, 
       new String[] 
       {
       "guid", "{B3EB9102-7152-4c9c-ADB8-7C1D9119E39B}",
       "id", "1932760641",
       "EA name", "HWValuesFailureRateClassEnum"
       });														
  }

  /**
   * Initializes the annotations for <b>TaggedValues</b>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected void createTaggedValuesAnnotations()
  {
    String source = "TaggedValues";				
    addAnnotation
      (this, 
       source, 
       new String[] 
       {
       "xml.name", "PROBABILISTICMETHODS",
       "xml.namePlural", "PROBABILISTICMETHODSS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });					
    addAnnotation
      (hwElementFailureRateClassEClass, 
       source, 
       new String[] 
       {
       "xml.name", "HW-ELEMENT-FAILURE-RATE-CLASS",
       "xml.namePlural", "HW-ELEMENT-FAILURE-RATE-CLASSS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });					
    addAnnotation
      (getHWElementFailureRateClass_HwElementFailureClass(), 
       source, 
       new String[] 
       {
       "xml.name", "HW-ELEMENT-FAILURE-CLASS",
       "xml.namePlural", "HW-ELEMENT-FAILURE-CLASSS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });					
    addAnnotation
      (getHWElementFailureRateClass_HwElementLatentDiagnosisCoverage(), 
       source, 
       new String[] 
       {
       "xml.name", "HW-ELEMENT-LATENT-DIAGNOSIS-COVERAGE",
       "xml.namePlural", "HW-ELEMENT-LATENT-DIAGNOSIS-COVERAGES",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });					
    addAnnotation
      (getHWElementFailureRateClass_HwElementResidualDiagnosisCoverage(), 
       source, 
       new String[] 
       {
       "xml.name", "HW-ELEMENT-RESIDUAL-DIAGNOSIS-COVERAGE",
       "xml.namePlural", "HW-ELEMENT-RESIDUAL-DIAGNOSIS-COVERAGES",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });					
    addAnnotation
      (getHWElementFailureRateClass_LFTargetFailureRateClass(), 
       source, 
       new String[] 
       {
       "xml.name", "LF-TARGET-FAILURE-RATE-CLASS",
       "xml.namePlural", "LF-TARGET-FAILURE-RATE-CLASSS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });					
    addAnnotation
      (getHWElementFailureRateClass_RationaleDedicatedMeasures(), 
       source, 
       new String[] 
       {
       "xml.name", "RATIONALE-DEDICATED-MEASURES",
       "xml.namePlural", "RATIONALE-DEDICATED-MEASURESS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });					
    addAnnotation
      (getHWElementFailureRateClass_RationaleFailureRateClass(), 
       source, 
       new String[] 
       {
       "xml.name", "RATIONALE-FAILURE-RATE-CLASS",
       "xml.namePlural", "RATIONALE-FAILURE-RATE-CLASSS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });					
    addAnnotation
      (getHWElementFailureRateClass_RFTargetFailureRateClass(), 
       source, 
       new String[] 
       {
       "xml.name", "RF-TARGET-FAILURE-RATE-CLASS",
       "xml.namePlural", "RF-TARGET-FAILURE-RATE-CLASSS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });					
    addAnnotation
      (getHWElementFailureRateClass_SPFTargetFailureRateClass(), 
       source, 
       new String[] 
       {
       "xml.name", "SPF-TARGET-FAILURE-RATE-CLASS",
       "xml.namePlural", "SPF-TARGET-FAILURE-RATE-CLASSS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });				
    addAnnotation
      (getHWElementFailureRateClass_HwEFRChwElementValue(), 
       source, 
       new String[] 
       {
       "xml.name", "HW-EFR-CHW-ELEMENT-VALUE",
       "xml.namePlural", "HW-EFR-CHW-ELEMENT-VALUES",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });					
    addAnnotation
      (hwFailureClassContainerEClass, 
       source, 
       new String[] 
       {
       "xml.name", "HW-FAILURE-CLASS-CONTAINER",
       "xml.namePlural", "HW-FAILURE-CLASS-CONTAINERS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });					
    addAnnotation
      (getHWFailureClassContainer_RationaleCutSet(), 
       source, 
       new String[] 
       {
       "xml.name", "RATIONALE-CUT-SET",
       "xml.namePlural", "RATIONALE-CUT-SETS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });					
    addAnnotation
      (getHWFailureClassContainer_RelevantCutSet(), 
       source, 
       new String[] 
       {
       "xml.name", "RELEVANT-CUT-SET",
       "xml.namePlural", "RELEVANT-CUT-SETS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });				
    addAnnotation
      (getHWFailureClassContainer_HwelementFailureRateClass(), 
       source, 
       new String[] 
       {
       "xml.name", "HWELEMENT-FAILURE-RATE-CLASS",
       "xml.namePlural", "HWELEMENT-FAILURE-RATE-CLASSS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "false",
       "xml.roleWrapperElement", "true",
       "xml.typeElement", "true",
       "xml.typeWrapperElement", "false"
       });						
    addAnnotation
      (hwlfTargetFailureRateClassEnumEEnum, 
       source, 
       new String[] 
       {
       "xml.name", "HWLF-TARGET-FAILURE-RATE-CLASS-ENUM",
       "xml.namePlural", "HWLF-TARGET-FAILURE-RATE-CLASS-ENUMS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (hwlfTargetFailureRateClassEnumEEnum.getELiterals().get(0), 
       source, 
       new String[] 
       {
       "xml.name", "OUT-OF-SCOPE",
       "xml.namePlural", "OUT-OF-SCOPES",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (hwlfTargetFailureRateClassEnumEEnum.getELiterals().get(1), 
       source, 
       new String[] 
       {
       "xml.name", "ASIL-D-AND-LDC-GTEQ-99-PCT",
       "xml.namePlural", "ASIL-D-AND-LDC-GTEQ-99-PCTS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (hwlfTargetFailureRateClassEnumEEnum.getELiterals().get(2), 
       source, 
       new String[] 
       {
       "xml.name", "ASIL-D-AND-LDC-GTEQ-90-PCT",
       "xml.namePlural", "ASIL-D-AND-LDC-GTEQ-90-PCTS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (hwlfTargetFailureRateClassEnumEEnum.getELiterals().get(3), 
       source, 
       new String[] 
       {
       "xml.name", "ASIL-D-AND-LDC-LT-90-PCT",
       "xml.namePlural", "ASIL-D-AND-LDC-LT-90-PCTS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (hwlfTargetFailureRateClassEnumEEnum.getELiterals().get(4), 
       source, 
       new String[] 
       {
       "xml.name", "ASIL-C-AND-LDC-GTEQ-99-PCT",
       "xml.namePlural", "ASIL-C-AND-LDC-GTEQ-99-PCTS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (hwlfTargetFailureRateClassEnumEEnum.getELiterals().get(5), 
       source, 
       new String[] 
       {
       "xml.name", "ASIL-C-AND-LDC-GTEQ-90-PCT",
       "xml.namePlural", "ASIL-C-AND-LDC-GTEQ-90-PCTS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (hwlfTargetFailureRateClassEnumEEnum.getELiterals().get(6), 
       source, 
       new String[] 
       {
       "xml.name", "ASIL-C-AND-LDC-GTEQ-80-PCT",
       "xml.namePlural", "ASIL-C-AND-LDC-GTEQ-80-PCTS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (hwlfTargetFailureRateClassEnumEEnum.getELiterals().get(7), 
       source, 
       new String[] 
       {
       "xml.name", "ASIL-C-AND-LDC-GT-80-PCT",
       "xml.namePlural", "ASIL-C-AND-LDC-GT-80-PCTS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });					
    addAnnotation
      (hwpmhfEClass, 
       source, 
       new String[] 
       {
       "xml.name", "HWPMHF",
       "xml.namePlural", "HWPMHFS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });					
    addAnnotation
      (getHWPMHF_CalculatedValue(), 
       source, 
       new String[] 
       {
       "xml.name", "CALCULATED-VALUE",
       "xml.namePlural", "CALCULATED-VALUES",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });					
    addAnnotation
      (getHWPMHF_RationaleDedicatedMeasures(), 
       source, 
       new String[] 
       {
       "xml.name", "RATIONALE-DEDICATED-MEASURES",
       "xml.namePlural", "RATIONALE-DEDICATED-MEASURESS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });					
    addAnnotation
      (getHWPMHF_ExposureTime(), 
       source, 
       new String[] 
       {
       "xml.name", "EXPOSURE-TIME",
       "xml.namePlural", "EXPOSURE-TIMES",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });					
    addAnnotation
      (getHWPMHF_RationaleExposureTime(), 
       source, 
       new String[] 
       {
       "xml.name", "RATIONALE-EXPOSURE-TIME",
       "xml.namePlural", "RATIONALE-EXPOSURE-TIMES",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });				
    addAnnotation
      (getHWPMHF_HwPMHFCalculatedValue(), 
       source, 
       new String[] 
       {
       "xml.name", "HW-PMHF-CALCULATED-VALUE",
       "xml.namePlural", "HW-PMHF-CALCULATED-VALUES",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });						
    addAnnotation
      (hwrfTargetFailureRateClassEnumEEnum, 
       source, 
       new String[] 
       {
       "xml.name", "HWRF-TARGET-FAILURE-RATE-CLASS-ENUM",
       "xml.namePlural", "HWRF-TARGET-FAILURE-RATE-CLASS-ENUMS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (hwrfTargetFailureRateClassEnumEEnum.getELiterals().get(0), 
       source, 
       new String[] 
       {
       "xml.name", "OUT-OF-SCOPE",
       "xml.namePlural", "OUT-OF-SCOPES",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (hwrfTargetFailureRateClassEnumEEnum.getELiterals().get(1), 
       source, 
       new String[] 
       {
       "xml.name", "ASIL-D-AND-RDC-GTEQ-99-DOT-99-PCT",
       "xml.namePlural", "ASIL-D-AND-RDC-GTEQ-99-DOT-99-PCTS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (hwrfTargetFailureRateClassEnumEEnum.getELiterals().get(2), 
       source, 
       new String[] 
       {
       "xml.name", "ASIL-D-AND-RDC-GTEQ-99-DOT-9-PCT",
       "xml.namePlural", "ASIL-D-AND-RDC-GTEQ-99-DOT-9-PCTS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (hwrfTargetFailureRateClassEnumEEnum.getELiterals().get(3), 
       source, 
       new String[] 
       {
       "xml.name", "ASIL-D-AND-RDC-GTEQ-99-PCT",
       "xml.namePlural", "ASIL-D-AND-RDC-GTEQ-99-PCTS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (hwrfTargetFailureRateClassEnumEEnum.getELiterals().get(4), 
       source, 
       new String[] 
       {
       "xml.name", "ASIL-D-AND-RDC-GTEQ-90-PCT",
       "xml.namePlural", "ASIL-D-AND-RDC-GTEQ-90-PCTS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (hwrfTargetFailureRateClassEnumEEnum.getELiterals().get(5), 
       source, 
       new String[] 
       {
       "xml.name", "ASIL-D-AND-RDC-LT-90-PCT",
       "xml.namePlural", "ASIL-D-AND-RDC-LT-90-PCTS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (hwrfTargetFailureRateClassEnumEEnum.getELiterals().get(6), 
       source, 
       new String[] 
       {
       "xml.name", "ASIL-C-AND-RDC-GTEQ-99-DOT-9-PCT",
       "xml.namePlural", "ASIL-C-AND-RDC-GTEQ-99-DOT-9-PCTS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (hwrfTargetFailureRateClassEnumEEnum.getELiterals().get(7), 
       source, 
       new String[] 
       {
       "xml.name", "ASIL-C-AND-RDC-GTEQ-99-PCT",
       "xml.namePlural", "ASIL-C-AND-RDC-GTEQ-99-PCTS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (hwrfTargetFailureRateClassEnumEEnum.getELiterals().get(8), 
       source, 
       new String[] 
       {
       "xml.name", "ASIL-C-AND-RDC-GTEQ-90-PCT",
       "xml.namePlural", "ASIL-C-AND-RDC-GTEQ-90-PCTS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (hwrfTargetFailureRateClassEnumEEnum.getELiterals().get(9), 
       source, 
       new String[] 
       {
       "xml.name", "ASIL-C-AND-RDC-LT-90-PCT",
       "xml.namePlural", "ASIL-C-AND-RDC-LT-90-PCTS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (hwrfTargetFailureRateClassEnumEEnum.getELiterals().get(10), 
       source, 
       new String[] 
       {
       "xml.name", "ASIL-B-AND-RDC-GTEQ-99-DOT-9-PCT",
       "xml.namePlural", "ASIL-B-AND-RDC-GTEQ-99-DOT-9-PCTS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (hwrfTargetFailureRateClassEnumEEnum.getELiterals().get(11), 
       source, 
       new String[] 
       {
       "xml.name", "ASIL-B-AND-RDC-GTEQ-99-PCT",
       "xml.namePlural", "ASIL-B-AND-RDC-GTEQ-99-PCTS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (hwrfTargetFailureRateClassEnumEEnum.getELiterals().get(12), 
       source, 
       new String[] 
       {
       "xml.name", "ASIL-B-AND-RDC-GTEQ-90-PCT",
       "xml.namePlural", "ASIL-B-AND-RDC-GTEQ-90-PCTS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (hwrfTargetFailureRateClassEnumEEnum.getELiterals().get(13), 
       source, 
       new String[] 
       {
       "xml.name", "ASIL-B-AND-RDC-LT-90-PCT",
       "xml.namePlural", "ASIL-B-AND-RDC-LT-90-PCTS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });						
    addAnnotation
      (hwspfTargetFailureRateClassEnumEEnum, 
       source, 
       new String[] 
       {
       "xml.name", "HWSPF-TARGET-FAILURE-RATE-CLASS-ENUM",
       "xml.namePlural", "HWSPF-TARGET-FAILURE-RATE-CLASS-ENUMS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (hwspfTargetFailureRateClassEnumEEnum.getELiterals().get(0), 
       source, 
       new String[] 
       {
       "xml.name", "OUT-OF-SCOPE",
       "xml.namePlural", "OUT-OF-SCOPES",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (hwspfTargetFailureRateClassEnumEEnum.getELiterals().get(1), 
       source, 
       new String[] 
       {
       "xml.name", "ASIL-D",
       "xml.namePlural", "ASIL-DS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (hwspfTargetFailureRateClassEnumEEnum.getELiterals().get(2), 
       source, 
       new String[] 
       {
       "xml.name", "ASIL-C",
       "xml.namePlural", "ASIL-CS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (hwspfTargetFailureRateClassEnumEEnum.getELiterals().get(3), 
       source, 
       new String[] 
       {
       "xml.name", "ASIL-B",
       "xml.namePlural", "ASIL-BS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });						
    addAnnotation
      (hwTargetValuesPMHFEnumEEnum, 
       source, 
       new String[] 
       {
       "xml.name", "HW-TARGET-VALUES-PMHF-ENUM",
       "xml.namePlural", "HW-TARGET-VALUES-PMHF-ENUMS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (hwTargetValuesPMHFEnumEEnum.getELiterals().get(0), 
       source, 
       new String[] 
       {
       "xml.name", "ASIL-D",
       "xml.namePlural", "ASIL-DS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (hwTargetValuesPMHFEnumEEnum.getELiterals().get(1), 
       source, 
       new String[] 
       {
       "xml.name", "ASIL-C",
       "xml.namePlural", "ASIL-CS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (hwTargetValuesPMHFEnumEEnum.getELiterals().get(2), 
       source, 
       new String[] 
       {
       "xml.name", "ASIL-B",
       "xml.namePlural", "ASIL-BS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });						
    addAnnotation
      (hwValuesFailureRateClassEnumEEnum, 
       source, 
       new String[] 
       {
       "xml.name", "HW-VALUES-FAILURE-RATE-CLASS-ENUM",
       "xml.namePlural", "HW-VALUES-FAILURE-RATE-CLASS-ENUMS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (hwValuesFailureRateClassEnumEEnum.getELiterals().get(0), 
       source, 
       new String[] 
       {
       "xml.name", "FAILURE-RATE-CLASS-1",
       "xml.namePlural", "FAILURE-RATE-CLASS-1S",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (hwValuesFailureRateClassEnumEEnum.getELiterals().get(1), 
       source, 
       new String[] 
       {
       "xml.name", "FAILURE-RATE-CLASS-2",
       "xml.namePlural", "FAILURE-RATE-CLASS-2S",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (hwValuesFailureRateClassEnumEEnum.getELiterals().get(2), 
       source, 
       new String[] 
       {
       "xml.name", "FAILURE-RATE-CLASS-3",
       "xml.namePlural", "FAILURE-RATE-CLASS-3S",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (hwValuesFailureRateClassEnumEEnum.getELiterals().get(3), 
       source, 
       new String[] 
       {
       "xml.name", "FAILURE-RATE-CLASS-4",
       "xml.namePlural", "FAILURE-RATE-CLASS-4S",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (hwValuesFailureRateClassEnumEEnum.getELiterals().get(4), 
       source, 
       new String[] 
       {
       "xml.name", "FAILURE-RATE-CLASS-5",
       "xml.namePlural", "FAILURE-RATE-CLASS-5S",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });	
  }

  /**
   * Initializes the annotations for <b>EAAdapter</b>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected void createEAAdapterAnnotations()
  {
    String source = "EAAdapter";					
    addAnnotation
      (this, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (hwElementFailureRateClassEClass, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (getHWElementFailureRateClass_HwElementFailureClass(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (getHWElementFailureRateClass_HwElementLatentDiagnosisCoverage(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (getHWElementFailureRateClass_HwElementResidualDiagnosisCoverage(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (getHWElementFailureRateClass_LFTargetFailureRateClass(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (getHWElementFailureRateClass_RationaleDedicatedMeasures(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (getHWElementFailureRateClass_RationaleFailureRateClass(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (getHWElementFailureRateClass_RFTargetFailureRateClass(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (getHWElementFailureRateClass_SPFTargetFailureRateClass(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getHWElementFailureRateClass_HwEFRChwElementValue(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (hwFailureClassContainerEClass, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (getHWFailureClassContainer_RationaleCutSet(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (getHWFailureClassContainer_RelevantCutSet(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getHWFailureClassContainer_HwelementFailureRateClass(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });						
    addAnnotation
      (hwlfTargetFailureRateClassEnumEEnum, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (hwlfTargetFailureRateClassEnumEEnum.getELiterals().get(0), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (hwlfTargetFailureRateClassEnumEEnum.getELiterals().get(1), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (hwlfTargetFailureRateClassEnumEEnum.getELiterals().get(2), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (hwlfTargetFailureRateClassEnumEEnum.getELiterals().get(3), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (hwlfTargetFailureRateClassEnumEEnum.getELiterals().get(4), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (hwlfTargetFailureRateClassEnumEEnum.getELiterals().get(5), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (hwlfTargetFailureRateClassEnumEEnum.getELiterals().get(6), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (hwlfTargetFailureRateClassEnumEEnum.getELiterals().get(7), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (hwpmhfEClass, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (getHWPMHF_CalculatedValue(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (getHWPMHF_RationaleDedicatedMeasures(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (getHWPMHF_ExposureTime(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (getHWPMHF_RationaleExposureTime(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getHWPMHF_HwPMHFCalculatedValue(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });						
    addAnnotation
      (hwrfTargetFailureRateClassEnumEEnum, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (hwrfTargetFailureRateClassEnumEEnum.getELiterals().get(0), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (hwrfTargetFailureRateClassEnumEEnum.getELiterals().get(1), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (hwrfTargetFailureRateClassEnumEEnum.getELiterals().get(2), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (hwrfTargetFailureRateClassEnumEEnum.getELiterals().get(3), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (hwrfTargetFailureRateClassEnumEEnum.getELiterals().get(4), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (hwrfTargetFailureRateClassEnumEEnum.getELiterals().get(5), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (hwrfTargetFailureRateClassEnumEEnum.getELiterals().get(6), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (hwrfTargetFailureRateClassEnumEEnum.getELiterals().get(7), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (hwrfTargetFailureRateClassEnumEEnum.getELiterals().get(8), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (hwrfTargetFailureRateClassEnumEEnum.getELiterals().get(9), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (hwrfTargetFailureRateClassEnumEEnum.getELiterals().get(10), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (hwrfTargetFailureRateClassEnumEEnum.getELiterals().get(11), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (hwrfTargetFailureRateClassEnumEEnum.getELiterals().get(12), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (hwrfTargetFailureRateClassEnumEEnum.getELiterals().get(13), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });						
    addAnnotation
      (hwspfTargetFailureRateClassEnumEEnum, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (hwspfTargetFailureRateClassEnumEEnum.getELiterals().get(0), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (hwspfTargetFailureRateClassEnumEEnum.getELiterals().get(1), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (hwspfTargetFailureRateClassEnumEEnum.getELiterals().get(2), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (hwspfTargetFailureRateClassEnumEEnum.getELiterals().get(3), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });						
    addAnnotation
      (hwTargetValuesPMHFEnumEEnum, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (hwTargetValuesPMHFEnumEEnum.getELiterals().get(0), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (hwTargetValuesPMHFEnumEEnum.getELiterals().get(1), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (hwTargetValuesPMHFEnumEEnum.getELiterals().get(2), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });						
    addAnnotation
      (hwValuesFailureRateClassEnumEEnum, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (hwValuesFailureRateClassEnumEEnum.getELiterals().get(0), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (hwValuesFailureRateClassEnumEEnum.getELiterals().get(1), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (hwValuesFailureRateClassEnumEEnum.getELiterals().get(2), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (hwValuesFailureRateClassEnumEEnum.getELiterals().get(3), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (hwValuesFailureRateClassEnumEEnum.getELiterals().get(4), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });
  }

  /**
   * Initializes the annotations for <b>Stereotype</b>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected void createStereotypeAnnotations()
  {
    String source = "Stereotype";																																																														
    addAnnotation
      (hwlfTargetFailureRateClassEnumEEnum, 
       source, 
       new String[] 
       {
       "Stereotype", "enumeration"
       });																																													
    addAnnotation
      (hwrfTargetFailureRateClassEnumEEnum, 
       source, 
       new String[] 
       {
       "Stereotype", "enumeration"
       });																																		
    addAnnotation
      (hwspfTargetFailureRateClassEnumEEnum, 
       source, 
       new String[] 
       {
       "Stereotype", "enumeration"
       });														
    addAnnotation
      (hwTargetValuesPMHFEnumEEnum, 
       source, 
       new String[] 
       {
       "Stereotype", "enumeration"
       });												
    addAnnotation
      (hwValuesFailureRateClassEnumEEnum, 
       source, 
       new String[] 
       {
       "Stereotype", "enumeration"
       });												
  }

} //ProbabilisticmethodsPackageImpl
