/**
 */
package safe10.classmodel.hazards;

import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EEnum;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

import safe10.classmodel.commonstructure.toplevel.ToplevelPackage;

import safe10.classmodel.requirements.RequirementsPackage;

/**
 * <!-- begin-user-doc -->
 * The <b>Package</b> for the model.
 * It contains accessors for the meta objects to represent
 * <ul>
 *   <li>each class,</li>
 *   <li>each feature of each class,</li>
 *   <li>each enum,</li>
 *   <li>and each data type</li>
 * </ul>
 * <!-- end-user-doc -->
 * @see safe10.classmodel.hazards.HazardsFactory
 * @model kind="package"
 *        annotation="MetaData guid='{8522B1E8-4F0B-416f-9BF4-547220561A06}' id='-750323440' EA\040name='Hazards'"
 *        annotation="TaggedValues xml.name='HAZARDS' xml.namePlural='HAZARDSS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public interface HazardsPackage extends EPackage
{
  /**
   * The package name.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNAME = "hazards";

  /**
   * The package namespace URI.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNS_URI = "http://safe-project.eu/1.0.1/safe10/classmodel/hazards";

  /**
   * The package namespace name.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNS_PREFIX = "";

  /**
   * The singleton instance of the package.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  HazardsPackage eINSTANCE = safe10.classmodel.hazards.impl.HazardsPackageImpl.init();

  /**
   * The meta object id for the '{@link safe10.classmodel.hazards.impl.ActorImpl <em>Actor</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.hazards.impl.ActorImpl
   * @see safe10.classmodel.hazards.impl.HazardsPackageImpl#getActor()
   * @generated
   */
  int ACTOR = 0;

  /**
   * The feature id for the '<em><b>Short Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ACTOR__SHORT_NAME = ToplevelPackage.IDENTIFIABLE__SHORT_NAME;

  /**
   * The feature id for the '<em><b>Category</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ACTOR__CATEGORY = ToplevelPackage.IDENTIFIABLE__CATEGORY;

  /**
   * The feature id for the '<em><b>Uuid</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ACTOR__UUID = ToplevelPackage.IDENTIFIABLE__UUID;

  /**
   * The feature id for the '<em><b>Informal</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ACTOR__INFORMAL = ToplevelPackage.IDENTIFIABLE_FEATURE_COUNT + 0;

  /**
   * The feature id for the '<em><b>Formal</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ACTOR__FORMAL = ToplevelPackage.IDENTIFIABLE_FEATURE_COUNT + 1;

  /**
   * The feature id for the '<em><b>Operational Actor</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ACTOR__OPERATIONAL_ACTOR = ToplevelPackage.IDENTIFIABLE_FEATURE_COUNT + 2;

  /**
   * The feature id for the '<em><b>Operational Condition</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ACTOR__OPERATIONAL_CONDITION = ToplevelPackage.IDENTIFIABLE_FEATURE_COUNT + 3;

  /**
   * The number of structural features of the '<em>Actor</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ACTOR_FEATURE_COUNT = ToplevelPackage.IDENTIFIABLE_FEATURE_COUNT + 4;

  /**
   * The meta object id for the '{@link safe10.classmodel.hazards.impl.OperationalConditionImpl <em>Operational Condition</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.hazards.impl.OperationalConditionImpl
   * @see safe10.classmodel.hazards.impl.HazardsPackageImpl#getOperationalCondition()
   * @generated
   */
  int OPERATIONAL_CONDITION = 8;

  /**
   * The number of structural features of the '<em>Operational Condition</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int OPERATIONAL_CONDITION_FEATURE_COUNT = 0;

  /**
   * The meta object id for the '{@link safe10.classmodel.hazards.impl.AtomicConditionImpl <em>Atomic Condition</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.hazards.impl.AtomicConditionImpl
   * @see safe10.classmodel.hazards.impl.HazardsPackageImpl#getAtomicCondition()
   * @generated
   */
  int ATOMIC_CONDITION = 1;

  /**
   * The feature id for the '<em><b>Property</b></em>' reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ATOMIC_CONDITION__PROPERTY = OPERATIONAL_CONDITION_FEATURE_COUNT + 0;

  /**
   * The number of structural features of the '<em>Atomic Condition</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ATOMIC_CONDITION_FEATURE_COUNT = OPERATIONAL_CONDITION_FEATURE_COUNT + 1;

  /**
   * The meta object id for the '{@link safe10.classmodel.hazards.impl.CompositeConditionImpl <em>Composite Condition</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.hazards.impl.CompositeConditionImpl
   * @see safe10.classmodel.hazards.impl.HazardsPackageImpl#getCompositeCondition()
   * @generated
   */
  int COMPOSITE_CONDITION = 2;

  /**
   * The feature id for the '<em><b>Operator</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int COMPOSITE_CONDITION__OPERATOR = OPERATIONAL_CONDITION_FEATURE_COUNT + 0;

  /**
   * The feature id for the '<em><b>Operand</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int COMPOSITE_CONDITION__OPERAND = OPERATIONAL_CONDITION_FEATURE_COUNT + 1;

  /**
   * The number of structural features of the '<em>Composite Condition</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int COMPOSITE_CONDITION_FEATURE_COUNT = OPERATIONAL_CONDITION_FEATURE_COUNT + 2;

  /**
   * The meta object id for the '{@link safe10.classmodel.hazards.impl.ControllabilityReferenceImpl <em>Controllability Reference</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.hazards.impl.ControllabilityReferenceImpl
   * @see safe10.classmodel.hazards.impl.HazardsPackageImpl#getControllabilityReference()
   * @generated
   */
  int CONTROLLABILITY_REFERENCE = 3;

  /**
   * The feature id for the '<em><b>Short Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CONTROLLABILITY_REFERENCE__SHORT_NAME = ToplevelPackage.IDENTIFIABLE__SHORT_NAME;

  /**
   * The feature id for the '<em><b>Category</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CONTROLLABILITY_REFERENCE__CATEGORY = ToplevelPackage.IDENTIFIABLE__CATEGORY;

  /**
   * The feature id for the '<em><b>Uuid</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CONTROLLABILITY_REFERENCE__UUID = ToplevelPackage.IDENTIFIABLE__UUID;

  /**
   * The feature id for the '<em><b>Table Of Values</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CONTROLLABILITY_REFERENCE__TABLE_OF_VALUES = ToplevelPackage.IDENTIFIABLE_FEATURE_COUNT + 0;

  /**
   * The feature id for the '<em><b>Function</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CONTROLLABILITY_REFERENCE__FUNCTION = ToplevelPackage.IDENTIFIABLE_FEATURE_COUNT + 1;

  /**
   * The feature id for the '<em><b>Classification</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CONTROLLABILITY_REFERENCE__CLASSIFICATION = ToplevelPackage.IDENTIFIABLE_FEATURE_COUNT + 2;

  /**
   * The number of structural features of the '<em>Controllability Reference</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CONTROLLABILITY_REFERENCE_FEATURE_COUNT = ToplevelPackage.IDENTIFIABLE_FEATURE_COUNT + 3;

  /**
   * The meta object id for the '{@link safe10.classmodel.hazards.impl.HazardImpl <em>Hazard</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.hazards.impl.HazardImpl
   * @see safe10.classmodel.hazards.impl.HazardsPackageImpl#getHazard()
   * @generated
   */
  int HAZARD = 4;

  /**
   * The feature id for the '<em><b>Short Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HAZARD__SHORT_NAME = ToplevelPackage.IDENTIFIABLE__SHORT_NAME;

  /**
   * The feature id for the '<em><b>Category</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HAZARD__CATEGORY = ToplevelPackage.IDENTIFIABLE__CATEGORY;

  /**
   * The feature id for the '<em><b>Uuid</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HAZARD__UUID = ToplevelPackage.IDENTIFIABLE__UUID;

  /**
   * The feature id for the '<em><b>Formal</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HAZARD__FORMAL = ToplevelPackage.IDENTIFIABLE_FEATURE_COUNT + 0;

  /**
   * The feature id for the '<em><b>Informal</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HAZARD__INFORMAL = ToplevelPackage.IDENTIFIABLE_FEATURE_COUNT + 1;

  /**
   * The feature id for the '<em><b>Malfunction</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HAZARD__MALFUNCTION = ToplevelPackage.IDENTIFIABLE_FEATURE_COUNT + 2;

  /**
   * The number of structural features of the '<em>Hazard</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HAZARD_FEATURE_COUNT = ToplevelPackage.IDENTIFIABLE_FEATURE_COUNT + 3;

  /**
   * The meta object id for the '{@link safe10.classmodel.hazards.impl.HazardousEventImpl <em>Hazardous Event</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.hazards.impl.HazardousEventImpl
   * @see safe10.classmodel.hazards.impl.HazardsPackageImpl#getHazardousEvent()
   * @generated
   */
  int HAZARDOUS_EVENT = 5;

  /**
   * The feature id for the '<em><b>Short Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HAZARDOUS_EVENT__SHORT_NAME = ToplevelPackage.IDENTIFIABLE__SHORT_NAME;

  /**
   * The feature id for the '<em><b>Category</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HAZARDOUS_EVENT__CATEGORY = ToplevelPackage.IDENTIFIABLE__CATEGORY;

  /**
   * The feature id for the '<em><b>Uuid</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HAZARDOUS_EVENT__UUID = ToplevelPackage.IDENTIFIABLE__UUID;

  /**
   * The feature id for the '<em><b>Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HAZARDOUS_EVENT__NAME = ToplevelPackage.IDENTIFIABLE_FEATURE_COUNT + 0;

  /**
   * The feature id for the '<em><b>Formal</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HAZARDOUS_EVENT__FORMAL = ToplevelPackage.IDENTIFIABLE_FEATURE_COUNT + 1;

  /**
   * The feature id for the '<em><b>Informal</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HAZARDOUS_EVENT__INFORMAL = ToplevelPackage.IDENTIFIABLE_FEATURE_COUNT + 2;

  /**
   * The feature id for the '<em><b>Stakeholder</b></em>' attribute list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HAZARDOUS_EVENT__STAKEHOLDER = ToplevelPackage.IDENTIFIABLE_FEATURE_COUNT + 3;

  /**
   * The feature id for the '<em><b>Consequences</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HAZARDOUS_EVENT__CONSEQUENCES = ToplevelPackage.IDENTIFIABLE_FEATURE_COUNT + 4;

  /**
   * The feature id for the '<em><b>Hazard Classification</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HAZARDOUS_EVENT__HAZARD_CLASSIFICATION = ToplevelPackage.IDENTIFIABLE_FEATURE_COUNT + 5;

  /**
   * The feature id for the '<em><b>Exposure</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HAZARDOUS_EVENT__EXPOSURE = ToplevelPackage.IDENTIFIABLE_FEATURE_COUNT + 6;

  /**
   * The feature id for the '<em><b>Severity</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HAZARDOUS_EVENT__SEVERITY = ToplevelPackage.IDENTIFIABLE_FEATURE_COUNT + 7;

  /**
   * The feature id for the '<em><b>Controllability</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HAZARDOUS_EVENT__CONTROLLABILITY = ToplevelPackage.IDENTIFIABLE_FEATURE_COUNT + 8;

  /**
   * The feature id for the '<em><b>Safety Goal</b></em>' reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HAZARDOUS_EVENT__SAFETY_GOAL = ToplevelPackage.IDENTIFIABLE_FEATURE_COUNT + 9;

  /**
   * The feature id for the '<em><b>Environment</b></em>' reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HAZARDOUS_EVENT__ENVIRONMENT = ToplevelPackage.IDENTIFIABLE_FEATURE_COUNT + 10;

  /**
   * The feature id for the '<em><b>Operational Situation</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HAZARDOUS_EVENT__OPERATIONAL_SITUATION = ToplevelPackage.IDENTIFIABLE_FEATURE_COUNT + 11;

  /**
   * The feature id for the '<em><b>Traffic</b></em>' reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HAZARDOUS_EVENT__TRAFFIC = ToplevelPackage.IDENTIFIABLE_FEATURE_COUNT + 12;

  /**
   * The feature id for the '<em><b>Controllability2</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HAZARDOUS_EVENT__CONTROLLABILITY2 = ToplevelPackage.IDENTIFIABLE_FEATURE_COUNT + 13;

  /**
   * The feature id for the '<em><b>Hazard</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HAZARDOUS_EVENT__HAZARD = ToplevelPackage.IDENTIFIABLE_FEATURE_COUNT + 14;

  /**
   * The number of structural features of the '<em>Hazardous Event</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HAZARDOUS_EVENT_FEATURE_COUNT = ToplevelPackage.IDENTIFIABLE_FEATURE_COUNT + 15;

  /**
   * The meta object id for the '{@link safe10.classmodel.hazards.impl.OperatingModeImpl <em>Operating Mode</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.hazards.impl.OperatingModeImpl
   * @see safe10.classmodel.hazards.impl.HazardsPackageImpl#getOperatingMode()
   * @generated
   */
  int OPERATING_MODE = 6;

  /**
   * The feature id for the '<em><b>Safety Related</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int OPERATING_MODE__SAFETY_RELATED = 0;

  /**
   * The feature id for the '<em><b>Safe State</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int OPERATING_MODE__SAFE_STATE = 1;

  /**
   * The number of structural features of the '<em>Operating Mode</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int OPERATING_MODE_FEATURE_COUNT = 2;

  /**
   * The meta object id for the '{@link safe10.classmodel.hazards.impl.OperationalActorImpl <em>Operational Actor</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.hazards.impl.OperationalActorImpl
   * @see safe10.classmodel.hazards.impl.HazardsPackageImpl#getOperationalActor()
   * @generated
   */
  int OPERATIONAL_ACTOR = 7;

  /**
   * The feature id for the '<em><b>Property</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int OPERATIONAL_ACTOR__PROPERTY = 0;

  /**
   * The number of structural features of the '<em>Operational Actor</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int OPERATIONAL_ACTOR_FEATURE_COUNT = 1;

  /**
   * The meta object id for the '{@link safe10.classmodel.hazards.impl.OperationalSituationImpl <em>Operational Situation</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.hazards.impl.OperationalSituationImpl
   * @see safe10.classmodel.hazards.impl.HazardsPackageImpl#getOperationalSituation()
   * @generated
   */
  int OPERATIONAL_SITUATION = 9;

  /**
   * The feature id for the '<em><b>Short Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int OPERATIONAL_SITUATION__SHORT_NAME = RequirementsPackage.TRACEABLE_SPECIFICATION__SHORT_NAME;

  /**
   * The feature id for the '<em><b>Category</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int OPERATIONAL_SITUATION__CATEGORY = RequirementsPackage.TRACEABLE_SPECIFICATION__CATEGORY;

  /**
   * The feature id for the '<em><b>Uuid</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int OPERATIONAL_SITUATION__UUID = RequirementsPackage.TRACEABLE_SPECIFICATION__UUID;

  /**
   * The feature id for the '<em><b>Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int OPERATIONAL_SITUATION__NAME = RequirementsPackage.TRACEABLE_SPECIFICATION__NAME;

  /**
   * The feature id for the '<em><b>Formal</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int OPERATIONAL_SITUATION__FORMAL = RequirementsPackage.TRACEABLE_SPECIFICATION__FORMAL;

  /**
   * The feature id for the '<em><b>Informal</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int OPERATIONAL_SITUATION__INFORMAL = RequirementsPackage.TRACEABLE_SPECIFICATION__INFORMAL;

  /**
   * The feature id for the '<em><b>Stakeholder</b></em>' attribute list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int OPERATIONAL_SITUATION__STAKEHOLDER = RequirementsPackage.TRACEABLE_SPECIFICATION__STAKEHOLDER;

  /**
   * The feature id for the '<em><b>Other Subjects</b></em>' reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int OPERATIONAL_SITUATION__OTHER_SUBJECTS = RequirementsPackage.TRACEABLE_SPECIFICATION_FEATURE_COUNT + 0;

  /**
   * The feature id for the '<em><b>Environment</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int OPERATIONAL_SITUATION__ENVIRONMENT = RequirementsPackage.TRACEABLE_SPECIFICATION_FEATURE_COUNT + 1;

  /**
   * The feature id for the '<em><b>Driver</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int OPERATIONAL_SITUATION__DRIVER = RequirementsPackage.TRACEABLE_SPECIFICATION_FEATURE_COUNT + 2;

  /**
   * The feature id for the '<em><b>External Hardware</b></em>' reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int OPERATIONAL_SITUATION__EXTERNAL_HARDWARE = RequirementsPackage.TRACEABLE_SPECIFICATION_FEATURE_COUNT + 3;

  /**
   * The feature id for the '<em><b>Other Participants</b></em>' reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int OPERATIONAL_SITUATION__OTHER_PARTICIPANTS = RequirementsPackage.TRACEABLE_SPECIFICATION_FEATURE_COUNT + 4;

  /**
   * The number of structural features of the '<em>Operational Situation</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int OPERATIONAL_SITUATION_FEATURE_COUNT = RequirementsPackage.TRACEABLE_SPECIFICATION_FEATURE_COUNT + 5;

  /**
   * The meta object id for the '{@link safe10.classmodel.hazards.impl.PropertyImpl <em>Property</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.hazards.impl.PropertyImpl
   * @see safe10.classmodel.hazards.impl.HazardsPackageImpl#getProperty()
   * @generated
   */
  int PROPERTY = 10;

  /**
   * The number of structural features of the '<em>Property</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int PROPERTY_FEATURE_COUNT = 0;

  /**
   * The meta object id for the '{@link safe10.classmodel.hazards.impl.RiskDescriptionImpl <em>Risk Description</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.hazards.impl.RiskDescriptionImpl
   * @see safe10.classmodel.hazards.impl.HazardsPackageImpl#getRiskDescription()
   * @generated
   */
  int RISK_DESCRIPTION = 11;

  /**
   * The feature id for the '<em><b>Short Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int RISK_DESCRIPTION__SHORT_NAME = HAZARDOUS_EVENT__SHORT_NAME;

  /**
   * The feature id for the '<em><b>Category</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int RISK_DESCRIPTION__CATEGORY = HAZARDOUS_EVENT__CATEGORY;

  /**
   * The feature id for the '<em><b>Uuid</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int RISK_DESCRIPTION__UUID = HAZARDOUS_EVENT__UUID;

  /**
   * The feature id for the '<em><b>Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int RISK_DESCRIPTION__NAME = HAZARDOUS_EVENT__NAME;

  /**
   * The feature id for the '<em><b>Formal</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int RISK_DESCRIPTION__FORMAL = HAZARDOUS_EVENT__FORMAL;

  /**
   * The feature id for the '<em><b>Informal</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int RISK_DESCRIPTION__INFORMAL = HAZARDOUS_EVENT__INFORMAL;

  /**
   * The feature id for the '<em><b>Stakeholder</b></em>' attribute list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int RISK_DESCRIPTION__STAKEHOLDER = HAZARDOUS_EVENT__STAKEHOLDER;

  /**
   * The feature id for the '<em><b>Consequences</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int RISK_DESCRIPTION__CONSEQUENCES = HAZARDOUS_EVENT__CONSEQUENCES;

  /**
   * The feature id for the '<em><b>Hazard Classification</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int RISK_DESCRIPTION__HAZARD_CLASSIFICATION = HAZARDOUS_EVENT__HAZARD_CLASSIFICATION;

  /**
   * The feature id for the '<em><b>Exposure</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int RISK_DESCRIPTION__EXPOSURE = HAZARDOUS_EVENT__EXPOSURE;

  /**
   * The feature id for the '<em><b>Severity</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int RISK_DESCRIPTION__SEVERITY = HAZARDOUS_EVENT__SEVERITY;

  /**
   * The feature id for the '<em><b>Controllability</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int RISK_DESCRIPTION__CONTROLLABILITY = HAZARDOUS_EVENT__CONTROLLABILITY;

  /**
   * The feature id for the '<em><b>Safety Goal</b></em>' reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int RISK_DESCRIPTION__SAFETY_GOAL = HAZARDOUS_EVENT__SAFETY_GOAL;

  /**
   * The feature id for the '<em><b>Environment</b></em>' reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int RISK_DESCRIPTION__ENVIRONMENT = HAZARDOUS_EVENT__ENVIRONMENT;

  /**
   * The feature id for the '<em><b>Operational Situation</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int RISK_DESCRIPTION__OPERATIONAL_SITUATION = HAZARDOUS_EVENT__OPERATIONAL_SITUATION;

  /**
   * The feature id for the '<em><b>Traffic</b></em>' reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int RISK_DESCRIPTION__TRAFFIC = HAZARDOUS_EVENT__TRAFFIC;

  /**
   * The feature id for the '<em><b>Controllability2</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int RISK_DESCRIPTION__CONTROLLABILITY2 = HAZARDOUS_EVENT__CONTROLLABILITY2;

  /**
   * The feature id for the '<em><b>Hazard</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int RISK_DESCRIPTION__HAZARD = HAZARDOUS_EVENT__HAZARD;

  /**
   * The number of structural features of the '<em>Risk Description</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int RISK_DESCRIPTION_FEATURE_COUNT = HAZARDOUS_EVENT_FEATURE_COUNT + 0;

  /**
   * The meta object id for the '{@link safe10.classmodel.hazards.impl.SafeStateImpl <em>Safe State</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.hazards.impl.SafeStateImpl
   * @see safe10.classmodel.hazards.impl.HazardsPackageImpl#getSafeState()
   * @generated
   */
  int SAFE_STATE = 12;

  /**
   * The number of structural features of the '<em>Safe State</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int SAFE_STATE_FEATURE_COUNT = 0;

  /**
   * The meta object id for the '{@link safe10.classmodel.hazards.CompositeConditionOperator <em>Composite Condition Operator</em>}' enum.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.hazards.CompositeConditionOperator
   * @see safe10.classmodel.hazards.impl.HazardsPackageImpl#getCompositeConditionOperator()
   * @generated
   */
  int COMPOSITE_CONDITION_OPERATOR = 13;

  /**
   * The meta object id for the '{@link safe10.classmodel.hazards.ControllabilityClassKind <em>Controllability Class Kind</em>}' enum.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.hazards.ControllabilityClassKind
   * @see safe10.classmodel.hazards.impl.HazardsPackageImpl#getControllabilityClassKind()
   * @generated
   */
  int CONTROLLABILITY_CLASS_KIND = 14;

  /**
   * The meta object id for the '{@link safe10.classmodel.hazards.ExposureClassKind <em>Exposure Class Kind</em>}' enum.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.hazards.ExposureClassKind
   * @see safe10.classmodel.hazards.impl.HazardsPackageImpl#getExposureClassKind()
   * @generated
   */
  int EXPOSURE_CLASS_KIND = 15;

  /**
   * The meta object id for the '{@link safe10.classmodel.hazards.SeverityClassKind <em>Severity Class Kind</em>}' enum.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.hazards.SeverityClassKind
   * @see safe10.classmodel.hazards.impl.HazardsPackageImpl#getSeverityClassKind()
   * @generated
   */
  int SEVERITY_CLASS_KIND = 16;


  /**
   * Returns the meta object for class '{@link safe10.classmodel.hazards.Actor <em>Actor</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Actor</em>'.
   * @see safe10.classmodel.hazards.Actor
   * @generated
   */
  EClass getActor();

  /**
   * Returns the meta object for the attribute '{@link safe10.classmodel.hazards.Actor#getInformal <em>Informal</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Informal</em>'.
   * @see safe10.classmodel.hazards.Actor#getInformal()
   * @see #getActor()
   * @generated
   */
  EAttribute getActor_Informal();

  /**
   * Returns the meta object for the attribute '{@link safe10.classmodel.hazards.Actor#getFormal <em>Formal</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Formal</em>'.
   * @see safe10.classmodel.hazards.Actor#getFormal()
   * @see #getActor()
   * @generated
   */
  EAttribute getActor_Formal();

  /**
   * Returns the meta object for the reference '{@link safe10.classmodel.hazards.Actor#getOperationalActor <em>Operational Actor</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the reference '<em>Operational Actor</em>'.
   * @see safe10.classmodel.hazards.Actor#getOperationalActor()
   * @see #getActor()
   * @generated
   */
  EReference getActor_OperationalActor();

  /**
   * Returns the meta object for the containment reference '{@link safe10.classmodel.hazards.Actor#getOperationalCondition <em>Operational Condition</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Operational Condition</em>'.
   * @see safe10.classmodel.hazards.Actor#getOperationalCondition()
   * @see #getActor()
   * @generated
   */
  EReference getActor_OperationalCondition();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.hazards.AtomicCondition <em>Atomic Condition</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Atomic Condition</em>'.
   * @see safe10.classmodel.hazards.AtomicCondition
   * @generated
   */
  EClass getAtomicCondition();

  /**
   * Returns the meta object for the reference list '{@link safe10.classmodel.hazards.AtomicCondition#getProperty <em>Property</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the reference list '<em>Property</em>'.
   * @see safe10.classmodel.hazards.AtomicCondition#getProperty()
   * @see #getAtomicCondition()
   * @generated
   */
  EReference getAtomicCondition_Property();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.hazards.CompositeCondition <em>Composite Condition</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Composite Condition</em>'.
   * @see safe10.classmodel.hazards.CompositeCondition
   * @generated
   */
  EClass getCompositeCondition();

  /**
   * Returns the meta object for the attribute '{@link safe10.classmodel.hazards.CompositeCondition#getOperator <em>Operator</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Operator</em>'.
   * @see safe10.classmodel.hazards.CompositeCondition#getOperator()
   * @see #getCompositeCondition()
   * @generated
   */
  EAttribute getCompositeCondition_Operator();

  /**
   * Returns the meta object for the containment reference list '{@link safe10.classmodel.hazards.CompositeCondition#getOperand <em>Operand</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference list '<em>Operand</em>'.
   * @see safe10.classmodel.hazards.CompositeCondition#getOperand()
   * @see #getCompositeCondition()
   * @generated
   */
  EReference getCompositeCondition_Operand();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.hazards.ControllabilityReference <em>Controllability Reference</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Controllability Reference</em>'.
   * @see safe10.classmodel.hazards.ControllabilityReference
   * @generated
   */
  EClass getControllabilityReference();

  /**
   * Returns the meta object for the attribute '{@link safe10.classmodel.hazards.ControllabilityReference#getTableOfValues <em>Table Of Values</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Table Of Values</em>'.
   * @see safe10.classmodel.hazards.ControllabilityReference#getTableOfValues()
   * @see #getControllabilityReference()
   * @generated
   */
  EAttribute getControllabilityReference_TableOfValues();

  /**
   * Returns the meta object for the attribute '{@link safe10.classmodel.hazards.ControllabilityReference#getFunction <em>Function</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Function</em>'.
   * @see safe10.classmodel.hazards.ControllabilityReference#getFunction()
   * @see #getControllabilityReference()
   * @generated
   */
  EAttribute getControllabilityReference_Function();

  /**
   * Returns the meta object for the attribute '{@link safe10.classmodel.hazards.ControllabilityReference#getClassification <em>Classification</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Classification</em>'.
   * @see safe10.classmodel.hazards.ControllabilityReference#getClassification()
   * @see #getControllabilityReference()
   * @generated
   */
  EAttribute getControllabilityReference_Classification();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.hazards.Hazard <em>Hazard</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Hazard</em>'.
   * @see safe10.classmodel.hazards.Hazard
   * @generated
   */
  EClass getHazard();

  /**
   * Returns the meta object for the attribute '{@link safe10.classmodel.hazards.Hazard#getFormal <em>Formal</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Formal</em>'.
   * @see safe10.classmodel.hazards.Hazard#getFormal()
   * @see #getHazard()
   * @generated
   */
  EAttribute getHazard_Formal();

  /**
   * Returns the meta object for the attribute '{@link safe10.classmodel.hazards.Hazard#getInformal <em>Informal</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Informal</em>'.
   * @see safe10.classmodel.hazards.Hazard#getInformal()
   * @see #getHazard()
   * @generated
   */
  EAttribute getHazard_Informal();

  /**
   * Returns the meta object for the reference '{@link safe10.classmodel.hazards.Hazard#getMalfunction <em>Malfunction</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the reference '<em>Malfunction</em>'.
   * @see safe10.classmodel.hazards.Hazard#getMalfunction()
   * @see #getHazard()
   * @generated
   */
  EReference getHazard_Malfunction();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.hazards.HazardousEvent <em>Hazardous Event</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Hazardous Event</em>'.
   * @see safe10.classmodel.hazards.HazardousEvent
   * @generated
   */
  EClass getHazardousEvent();

  /**
   * Returns the meta object for the attribute '{@link safe10.classmodel.hazards.HazardousEvent#getConsequences <em>Consequences</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Consequences</em>'.
   * @see safe10.classmodel.hazards.HazardousEvent#getConsequences()
   * @see #getHazardousEvent()
   * @generated
   */
  EAttribute getHazardousEvent_Consequences();

  /**
   * Returns the meta object for the attribute '{@link safe10.classmodel.hazards.HazardousEvent#getHazardClassification <em>Hazard Classification</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Hazard Classification</em>'.
   * @see safe10.classmodel.hazards.HazardousEvent#getHazardClassification()
   * @see #getHazardousEvent()
   * @generated
   */
  EAttribute getHazardousEvent_HazardClassification();

  /**
   * Returns the meta object for the attribute '{@link safe10.classmodel.hazards.HazardousEvent#getExposure <em>Exposure</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Exposure</em>'.
   * @see safe10.classmodel.hazards.HazardousEvent#getExposure()
   * @see #getHazardousEvent()
   * @generated
   */
  EAttribute getHazardousEvent_Exposure();

  /**
   * Returns the meta object for the attribute '{@link safe10.classmodel.hazards.HazardousEvent#getSeverity <em>Severity</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Severity</em>'.
   * @see safe10.classmodel.hazards.HazardousEvent#getSeverity()
   * @see #getHazardousEvent()
   * @generated
   */
  EAttribute getHazardousEvent_Severity();

  /**
   * Returns the meta object for the attribute '{@link safe10.classmodel.hazards.HazardousEvent#getControllability <em>Controllability</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Controllability</em>'.
   * @see safe10.classmodel.hazards.HazardousEvent#getControllability()
   * @see #getHazardousEvent()
   * @generated
   */
  EAttribute getHazardousEvent_Controllability();

  /**
   * Returns the meta object for the reference list '{@link safe10.classmodel.hazards.HazardousEvent#getSafetyGoal <em>Safety Goal</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the reference list '<em>Safety Goal</em>'.
   * @see safe10.classmodel.hazards.HazardousEvent#getSafetyGoal()
   * @see #getHazardousEvent()
   * @generated
   */
  EReference getHazardousEvent_SafetyGoal();

  /**
   * Returns the meta object for the reference list '{@link safe10.classmodel.hazards.HazardousEvent#getEnvironment <em>Environment</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the reference list '<em>Environment</em>'.
   * @see safe10.classmodel.hazards.HazardousEvent#getEnvironment()
   * @see #getHazardousEvent()
   * @generated
   */
  EReference getHazardousEvent_Environment();

  /**
   * Returns the meta object for the reference '{@link safe10.classmodel.hazards.HazardousEvent#getOperationalSituation <em>Operational Situation</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the reference '<em>Operational Situation</em>'.
   * @see safe10.classmodel.hazards.HazardousEvent#getOperationalSituation()
   * @see #getHazardousEvent()
   * @generated
   */
  EReference getHazardousEvent_OperationalSituation();

  /**
   * Returns the meta object for the reference list '{@link safe10.classmodel.hazards.HazardousEvent#getTraffic <em>Traffic</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the reference list '<em>Traffic</em>'.
   * @see safe10.classmodel.hazards.HazardousEvent#getTraffic()
   * @see #getHazardousEvent()
   * @generated
   */
  EReference getHazardousEvent_Traffic();

  /**
   * Returns the meta object for the reference '{@link safe10.classmodel.hazards.HazardousEvent#getControllability2 <em>Controllability2</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the reference '<em>Controllability2</em>'.
   * @see safe10.classmodel.hazards.HazardousEvent#getControllability2()
   * @see #getHazardousEvent()
   * @generated
   */
  EReference getHazardousEvent_Controllability2();

  /**
   * Returns the meta object for the reference '{@link safe10.classmodel.hazards.HazardousEvent#getHazard <em>Hazard</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the reference '<em>Hazard</em>'.
   * @see safe10.classmodel.hazards.HazardousEvent#getHazard()
   * @see #getHazardousEvent()
   * @generated
   */
  EReference getHazardousEvent_Hazard();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.hazards.OperatingMode <em>Operating Mode</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Operating Mode</em>'.
   * @see safe10.classmodel.hazards.OperatingMode
   * @generated
   */
  EClass getOperatingMode();

  /**
   * Returns the meta object for the attribute '{@link safe10.classmodel.hazards.OperatingMode#getSafetyRelated <em>Safety Related</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Safety Related</em>'.
   * @see safe10.classmodel.hazards.OperatingMode#getSafetyRelated()
   * @see #getOperatingMode()
   * @generated
   */
  EAttribute getOperatingMode_SafetyRelated();

  /**
   * Returns the meta object for the reference '{@link safe10.classmodel.hazards.OperatingMode#getSafeState <em>Safe State</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the reference '<em>Safe State</em>'.
   * @see safe10.classmodel.hazards.OperatingMode#getSafeState()
   * @see #getOperatingMode()
   * @generated
   */
  EReference getOperatingMode_SafeState();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.hazards.OperationalActor <em>Operational Actor</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Operational Actor</em>'.
   * @see safe10.classmodel.hazards.OperationalActor
   * @generated
   */
  EClass getOperationalActor();

  /**
   * Returns the meta object for the containment reference list '{@link safe10.classmodel.hazards.OperationalActor#getProperty <em>Property</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference list '<em>Property</em>'.
   * @see safe10.classmodel.hazards.OperationalActor#getProperty()
   * @see #getOperationalActor()
   * @generated
   */
  EReference getOperationalActor_Property();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.hazards.OperationalCondition <em>Operational Condition</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Operational Condition</em>'.
   * @see safe10.classmodel.hazards.OperationalCondition
   * @generated
   */
  EClass getOperationalCondition();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.hazards.OperationalSituation <em>Operational Situation</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Operational Situation</em>'.
   * @see safe10.classmodel.hazards.OperationalSituation
   * @generated
   */
  EClass getOperationalSituation();

  /**
   * Returns the meta object for the reference list '{@link safe10.classmodel.hazards.OperationalSituation#getOtherSubjects <em>Other Subjects</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the reference list '<em>Other Subjects</em>'.
   * @see safe10.classmodel.hazards.OperationalSituation#getOtherSubjects()
   * @see #getOperationalSituation()
   * @generated
   */
  EReference getOperationalSituation_OtherSubjects();

  /**
   * Returns the meta object for the reference '{@link safe10.classmodel.hazards.OperationalSituation#getEnvironment <em>Environment</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the reference '<em>Environment</em>'.
   * @see safe10.classmodel.hazards.OperationalSituation#getEnvironment()
   * @see #getOperationalSituation()
   * @generated
   */
  EReference getOperationalSituation_Environment();

  /**
   * Returns the meta object for the reference '{@link safe10.classmodel.hazards.OperationalSituation#getDriver <em>Driver</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the reference '<em>Driver</em>'.
   * @see safe10.classmodel.hazards.OperationalSituation#getDriver()
   * @see #getOperationalSituation()
   * @generated
   */
  EReference getOperationalSituation_Driver();

  /**
   * Returns the meta object for the reference list '{@link safe10.classmodel.hazards.OperationalSituation#getExternalHardware <em>External Hardware</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the reference list '<em>External Hardware</em>'.
   * @see safe10.classmodel.hazards.OperationalSituation#getExternalHardware()
   * @see #getOperationalSituation()
   * @generated
   */
  EReference getOperationalSituation_ExternalHardware();

  /**
   * Returns the meta object for the reference list '{@link safe10.classmodel.hazards.OperationalSituation#getOtherParticipants <em>Other Participants</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the reference list '<em>Other Participants</em>'.
   * @see safe10.classmodel.hazards.OperationalSituation#getOtherParticipants()
   * @see #getOperationalSituation()
   * @generated
   */
  EReference getOperationalSituation_OtherParticipants();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.hazards.Property <em>Property</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Property</em>'.
   * @see safe10.classmodel.hazards.Property
   * @generated
   */
  EClass getProperty();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.hazards.RiskDescription <em>Risk Description</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Risk Description</em>'.
   * @see safe10.classmodel.hazards.RiskDescription
   * @generated
   */
  EClass getRiskDescription();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.hazards.SafeState <em>Safe State</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Safe State</em>'.
   * @see safe10.classmodel.hazards.SafeState
   * @generated
   */
  EClass getSafeState();

  /**
   * Returns the meta object for enum '{@link safe10.classmodel.hazards.CompositeConditionOperator <em>Composite Condition Operator</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for enum '<em>Composite Condition Operator</em>'.
   * @see safe10.classmodel.hazards.CompositeConditionOperator
   * @generated
   */
  EEnum getCompositeConditionOperator();

  /**
   * Returns the meta object for enum '{@link safe10.classmodel.hazards.ControllabilityClassKind <em>Controllability Class Kind</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for enum '<em>Controllability Class Kind</em>'.
   * @see safe10.classmodel.hazards.ControllabilityClassKind
   * @generated
   */
  EEnum getControllabilityClassKind();

  /**
   * Returns the meta object for enum '{@link safe10.classmodel.hazards.ExposureClassKind <em>Exposure Class Kind</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for enum '<em>Exposure Class Kind</em>'.
   * @see safe10.classmodel.hazards.ExposureClassKind
   * @generated
   */
  EEnum getExposureClassKind();

  /**
   * Returns the meta object for enum '{@link safe10.classmodel.hazards.SeverityClassKind <em>Severity Class Kind</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for enum '<em>Severity Class Kind</em>'.
   * @see safe10.classmodel.hazards.SeverityClassKind
   * @generated
   */
  EEnum getSeverityClassKind();

  /**
   * Returns the factory that creates the instances of the model.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the factory that creates the instances of the model.
   * @generated
   */
  HazardsFactory getHazardsFactory();

  /**
   * <!-- begin-user-doc -->
   * Defines literals for the meta objects that represent
   * <ul>
   *   <li>each class,</li>
   *   <li>each feature of each class,</li>
   *   <li>each enum,</li>
   *   <li>and each data type</li>
   * </ul>
   * <!-- end-user-doc -->
   * @generated
   */
  interface Literals
  {
    /**
     * The meta object literal for the '{@link safe10.classmodel.hazards.impl.ActorImpl <em>Actor</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.hazards.impl.ActorImpl
     * @see safe10.classmodel.hazards.impl.HazardsPackageImpl#getActor()
     * @generated
     */
    EClass ACTOR = eINSTANCE.getActor();

    /**
     * The meta object literal for the '<em><b>Informal</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute ACTOR__INFORMAL = eINSTANCE.getActor_Informal();

    /**
     * The meta object literal for the '<em><b>Formal</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute ACTOR__FORMAL = eINSTANCE.getActor_Formal();

    /**
     * The meta object literal for the '<em><b>Operational Actor</b></em>' reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference ACTOR__OPERATIONAL_ACTOR = eINSTANCE.getActor_OperationalActor();

    /**
     * The meta object literal for the '<em><b>Operational Condition</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference ACTOR__OPERATIONAL_CONDITION = eINSTANCE.getActor_OperationalCondition();

    /**
     * The meta object literal for the '{@link safe10.classmodel.hazards.impl.AtomicConditionImpl <em>Atomic Condition</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.hazards.impl.AtomicConditionImpl
     * @see safe10.classmodel.hazards.impl.HazardsPackageImpl#getAtomicCondition()
     * @generated
     */
    EClass ATOMIC_CONDITION = eINSTANCE.getAtomicCondition();

    /**
     * The meta object literal for the '<em><b>Property</b></em>' reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference ATOMIC_CONDITION__PROPERTY = eINSTANCE.getAtomicCondition_Property();

    /**
     * The meta object literal for the '{@link safe10.classmodel.hazards.impl.CompositeConditionImpl <em>Composite Condition</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.hazards.impl.CompositeConditionImpl
     * @see safe10.classmodel.hazards.impl.HazardsPackageImpl#getCompositeCondition()
     * @generated
     */
    EClass COMPOSITE_CONDITION = eINSTANCE.getCompositeCondition();

    /**
     * The meta object literal for the '<em><b>Operator</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute COMPOSITE_CONDITION__OPERATOR = eINSTANCE.getCompositeCondition_Operator();

    /**
     * The meta object literal for the '<em><b>Operand</b></em>' containment reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference COMPOSITE_CONDITION__OPERAND = eINSTANCE.getCompositeCondition_Operand();

    /**
     * The meta object literal for the '{@link safe10.classmodel.hazards.impl.ControllabilityReferenceImpl <em>Controllability Reference</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.hazards.impl.ControllabilityReferenceImpl
     * @see safe10.classmodel.hazards.impl.HazardsPackageImpl#getControllabilityReference()
     * @generated
     */
    EClass CONTROLLABILITY_REFERENCE = eINSTANCE.getControllabilityReference();

    /**
     * The meta object literal for the '<em><b>Table Of Values</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute CONTROLLABILITY_REFERENCE__TABLE_OF_VALUES = eINSTANCE.getControllabilityReference_TableOfValues();

    /**
     * The meta object literal for the '<em><b>Function</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute CONTROLLABILITY_REFERENCE__FUNCTION = eINSTANCE.getControllabilityReference_Function();

    /**
     * The meta object literal for the '<em><b>Classification</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute CONTROLLABILITY_REFERENCE__CLASSIFICATION = eINSTANCE.getControllabilityReference_Classification();

    /**
     * The meta object literal for the '{@link safe10.classmodel.hazards.impl.HazardImpl <em>Hazard</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.hazards.impl.HazardImpl
     * @see safe10.classmodel.hazards.impl.HazardsPackageImpl#getHazard()
     * @generated
     */
    EClass HAZARD = eINSTANCE.getHazard();

    /**
     * The meta object literal for the '<em><b>Formal</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute HAZARD__FORMAL = eINSTANCE.getHazard_Formal();

    /**
     * The meta object literal for the '<em><b>Informal</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute HAZARD__INFORMAL = eINSTANCE.getHazard_Informal();

    /**
     * The meta object literal for the '<em><b>Malfunction</b></em>' reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference HAZARD__MALFUNCTION = eINSTANCE.getHazard_Malfunction();

    /**
     * The meta object literal for the '{@link safe10.classmodel.hazards.impl.HazardousEventImpl <em>Hazardous Event</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.hazards.impl.HazardousEventImpl
     * @see safe10.classmodel.hazards.impl.HazardsPackageImpl#getHazardousEvent()
     * @generated
     */
    EClass HAZARDOUS_EVENT = eINSTANCE.getHazardousEvent();

    /**
     * The meta object literal for the '<em><b>Consequences</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute HAZARDOUS_EVENT__CONSEQUENCES = eINSTANCE.getHazardousEvent_Consequences();

    /**
     * The meta object literal for the '<em><b>Hazard Classification</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute HAZARDOUS_EVENT__HAZARD_CLASSIFICATION = eINSTANCE.getHazardousEvent_HazardClassification();

    /**
     * The meta object literal for the '<em><b>Exposure</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute HAZARDOUS_EVENT__EXPOSURE = eINSTANCE.getHazardousEvent_Exposure();

    /**
     * The meta object literal for the '<em><b>Severity</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute HAZARDOUS_EVENT__SEVERITY = eINSTANCE.getHazardousEvent_Severity();

    /**
     * The meta object literal for the '<em><b>Controllability</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute HAZARDOUS_EVENT__CONTROLLABILITY = eINSTANCE.getHazardousEvent_Controllability();

    /**
     * The meta object literal for the '<em><b>Safety Goal</b></em>' reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference HAZARDOUS_EVENT__SAFETY_GOAL = eINSTANCE.getHazardousEvent_SafetyGoal();

    /**
     * The meta object literal for the '<em><b>Environment</b></em>' reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference HAZARDOUS_EVENT__ENVIRONMENT = eINSTANCE.getHazardousEvent_Environment();

    /**
     * The meta object literal for the '<em><b>Operational Situation</b></em>' reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference HAZARDOUS_EVENT__OPERATIONAL_SITUATION = eINSTANCE.getHazardousEvent_OperationalSituation();

    /**
     * The meta object literal for the '<em><b>Traffic</b></em>' reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference HAZARDOUS_EVENT__TRAFFIC = eINSTANCE.getHazardousEvent_Traffic();

    /**
     * The meta object literal for the '<em><b>Controllability2</b></em>' reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference HAZARDOUS_EVENT__CONTROLLABILITY2 = eINSTANCE.getHazardousEvent_Controllability2();

    /**
     * The meta object literal for the '<em><b>Hazard</b></em>' reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference HAZARDOUS_EVENT__HAZARD = eINSTANCE.getHazardousEvent_Hazard();

    /**
     * The meta object literal for the '{@link safe10.classmodel.hazards.impl.OperatingModeImpl <em>Operating Mode</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.hazards.impl.OperatingModeImpl
     * @see safe10.classmodel.hazards.impl.HazardsPackageImpl#getOperatingMode()
     * @generated
     */
    EClass OPERATING_MODE = eINSTANCE.getOperatingMode();

    /**
     * The meta object literal for the '<em><b>Safety Related</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute OPERATING_MODE__SAFETY_RELATED = eINSTANCE.getOperatingMode_SafetyRelated();

    /**
     * The meta object literal for the '<em><b>Safe State</b></em>' reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference OPERATING_MODE__SAFE_STATE = eINSTANCE.getOperatingMode_SafeState();

    /**
     * The meta object literal for the '{@link safe10.classmodel.hazards.impl.OperationalActorImpl <em>Operational Actor</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.hazards.impl.OperationalActorImpl
     * @see safe10.classmodel.hazards.impl.HazardsPackageImpl#getOperationalActor()
     * @generated
     */
    EClass OPERATIONAL_ACTOR = eINSTANCE.getOperationalActor();

    /**
     * The meta object literal for the '<em><b>Property</b></em>' containment reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference OPERATIONAL_ACTOR__PROPERTY = eINSTANCE.getOperationalActor_Property();

    /**
     * The meta object literal for the '{@link safe10.classmodel.hazards.impl.OperationalConditionImpl <em>Operational Condition</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.hazards.impl.OperationalConditionImpl
     * @see safe10.classmodel.hazards.impl.HazardsPackageImpl#getOperationalCondition()
     * @generated
     */
    EClass OPERATIONAL_CONDITION = eINSTANCE.getOperationalCondition();

    /**
     * The meta object literal for the '{@link safe10.classmodel.hazards.impl.OperationalSituationImpl <em>Operational Situation</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.hazards.impl.OperationalSituationImpl
     * @see safe10.classmodel.hazards.impl.HazardsPackageImpl#getOperationalSituation()
     * @generated
     */
    EClass OPERATIONAL_SITUATION = eINSTANCE.getOperationalSituation();

    /**
     * The meta object literal for the '<em><b>Other Subjects</b></em>' reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference OPERATIONAL_SITUATION__OTHER_SUBJECTS = eINSTANCE.getOperationalSituation_OtherSubjects();

    /**
     * The meta object literal for the '<em><b>Environment</b></em>' reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference OPERATIONAL_SITUATION__ENVIRONMENT = eINSTANCE.getOperationalSituation_Environment();

    /**
     * The meta object literal for the '<em><b>Driver</b></em>' reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference OPERATIONAL_SITUATION__DRIVER = eINSTANCE.getOperationalSituation_Driver();

    /**
     * The meta object literal for the '<em><b>External Hardware</b></em>' reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference OPERATIONAL_SITUATION__EXTERNAL_HARDWARE = eINSTANCE.getOperationalSituation_ExternalHardware();

    /**
     * The meta object literal for the '<em><b>Other Participants</b></em>' reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference OPERATIONAL_SITUATION__OTHER_PARTICIPANTS = eINSTANCE.getOperationalSituation_OtherParticipants();

    /**
     * The meta object literal for the '{@link safe10.classmodel.hazards.impl.PropertyImpl <em>Property</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.hazards.impl.PropertyImpl
     * @see safe10.classmodel.hazards.impl.HazardsPackageImpl#getProperty()
     * @generated
     */
    EClass PROPERTY = eINSTANCE.getProperty();

    /**
     * The meta object literal for the '{@link safe10.classmodel.hazards.impl.RiskDescriptionImpl <em>Risk Description</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.hazards.impl.RiskDescriptionImpl
     * @see safe10.classmodel.hazards.impl.HazardsPackageImpl#getRiskDescription()
     * @generated
     */
    EClass RISK_DESCRIPTION = eINSTANCE.getRiskDescription();

    /**
     * The meta object literal for the '{@link safe10.classmodel.hazards.impl.SafeStateImpl <em>Safe State</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.hazards.impl.SafeStateImpl
     * @see safe10.classmodel.hazards.impl.HazardsPackageImpl#getSafeState()
     * @generated
     */
    EClass SAFE_STATE = eINSTANCE.getSafeState();

    /**
     * The meta object literal for the '{@link safe10.classmodel.hazards.CompositeConditionOperator <em>Composite Condition Operator</em>}' enum.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.hazards.CompositeConditionOperator
     * @see safe10.classmodel.hazards.impl.HazardsPackageImpl#getCompositeConditionOperator()
     * @generated
     */
    EEnum COMPOSITE_CONDITION_OPERATOR = eINSTANCE.getCompositeConditionOperator();

    /**
     * The meta object literal for the '{@link safe10.classmodel.hazards.ControllabilityClassKind <em>Controllability Class Kind</em>}' enum.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.hazards.ControllabilityClassKind
     * @see safe10.classmodel.hazards.impl.HazardsPackageImpl#getControllabilityClassKind()
     * @generated
     */
    EEnum CONTROLLABILITY_CLASS_KIND = eINSTANCE.getControllabilityClassKind();

    /**
     * The meta object literal for the '{@link safe10.classmodel.hazards.ExposureClassKind <em>Exposure Class Kind</em>}' enum.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.hazards.ExposureClassKind
     * @see safe10.classmodel.hazards.impl.HazardsPackageImpl#getExposureClassKind()
     * @generated
     */
    EEnum EXPOSURE_CLASS_KIND = eINSTANCE.getExposureClassKind();

    /**
     * The meta object literal for the '{@link safe10.classmodel.hazards.SeverityClassKind <em>Severity Class Kind</em>}' enum.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.hazards.SeverityClassKind
     * @see safe10.classmodel.hazards.impl.HazardsPackageImpl#getSeverityClassKind()
     * @generated
     */
    EEnum SEVERITY_CLASS_KIND = eINSTANCE.getSeverityClassKind();

  }

} //HazardsPackage
