/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package safe10.classmodel.hazards;

import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Operating Mode</b></em>'.
 * <!-- end-user-doc -->
 *
 * <!-- begin-model-doc -->
 * The Operating Mode is, according to ISO 26262, a perceivable functional state of an item or element. Therefore, it is associated with the item. Moreover, it is associated with the risk description since it describes a state of the item.
 * 
 * <i><u>Reference:</u></i>
 * ISO26262-1-1-81
 * <!-- end-model-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link safe10.classmodel.hazards.OperatingMode#getSafetyRelated <em>Safety Related</em>}</li>
 *   <li>{@link safe10.classmodel.hazards.OperatingMode#getSafeState <em>Safe State</em>}</li>
 * </ul>
 * </p>
 *
 * @see safe10.classmodel.hazards.HazardsPackage#getOperatingMode()
 * @model annotation="MetaData guid='{10219929-E2B9-4b52-A06A-91EE2C2AB8C7}' id='542677297' EA\040name='OperatingMode'"
 *        annotation="TaggedValues xml.name='OPERATING-MODE' xml.namePlural='OPERATING-MODES' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public interface OperatingMode extends EObject
{
  /**
   * Returns the value of the '<em><b>Safety Related</b></em>' attribute.
   * The default value is <code>"false"</code>.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Safety Related</em>' attribute isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Safety Related</em>' attribute.
   * @see #isSetSafetyRelated()
   * @see #unsetSafetyRelated()
   * @see #setSafetyRelated(Boolean)
   * @see safe10.classmodel.hazards.HazardsPackage#getOperatingMode_SafetyRelated()
   * @model default="false" unsettable="true" dataType="safe10.classmodel.commonstructure.datatypes.Boolean" required="true"
   *        annotation="MetaData guid='{E98C43EC-6E6A-42a5-A891-2C9CC671ECBA}' id='1151314092' EA\040name='safetyRelated'"
   *        annotation="TaggedValues xml.name='SAFETY-RELATED' xml.namePlural='SAFETY-RELATEDS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  Boolean getSafetyRelated();

  /**
   * Sets the value of the '{@link safe10.classmodel.hazards.OperatingMode#getSafetyRelated <em>Safety Related</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Safety Related</em>' attribute.
   * @see #isSetSafetyRelated()
   * @see #SafetyRelated()
   * @see #getSafetyRelated()
   * @generated
   */
  void setSafetyRelated(Boolean value);

  /**
   * Unsets the value of the '{@link safe10.classmodel.hazards.OperatingMode#getSafetyRelated <em>Safety Related</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #isSetSafetyRelated()
   * @see #getSafetyRelated()
   * @see #setSafetyRelated(Boolean)
   * @generated
   */
  void unsetSafetyRelated();

  /**
   * Returns whether the value of the '{@link safe10.classmodel.hazards.OperatingMode#getSafetyRelated <em>Safety Related</em>}' attribute is set.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return whether the value of the '<em>Safety Related</em>' attribute is set.
   * @see #SafetyRelated()
   * @see #getSafetyRelated()
   * @see #setSafetyRelated(Boolean)
   * @generated
   */
  boolean isSetSafetyRelated();

  /**
   * Returns the value of the '<em><b>Safe State</b></em>' reference.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Safe State</em>' reference isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Safe State</em>' reference.
   * @see #setSafeState(SafeState)
   * @see safe10.classmodel.hazards.HazardsPackage#getOperatingMode_SafeState()
   * @model required="true"
   *        annotation="MetaData guid='{29D91C90-1996-4e1e-8261-A811F5CF53D8}' id='-1651837908' EA\040name=''"
   *        annotation="TaggedValues xml.name='SAFE-STATE-REF' xml.namePlural='SAFE-STATE-REFS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  SafeState getSafeState();

  /**
   * Sets the value of the '{@link safe10.classmodel.hazards.OperatingMode#getSafeState <em>Safe State</em>}' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Safe State</em>' reference.
   * @see #getSafeState()
   * @generated
   */
  void setSafeState(SafeState value);

} // OperatingMode
