/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package safe10.classmodel.hazards.impl;

import java.util.Collection;

import org.eclipse.emf.common.notify.Notification;

import org.eclipse.emf.common.util.EList;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.InternalEObject;

import org.eclipse.emf.ecore.impl.ENotificationImpl;

import org.eclipse.emf.ecore.util.EDataTypeUniqueEList;
import org.eclipse.emf.ecore.util.EObjectResolvingEList;
import org.eclipse.emf.ecore.util.InternalEList;

import safe10.classmodel.commonstructure.datatypes.ASILEnum;

import safe10.classmodel.commonstructure.toplevel.PackageableElement;
import safe10.classmodel.commonstructure.toplevel.SAFEElement;
import safe10.classmodel.commonstructure.toplevel.ToplevelPackage;

import safe10.classmodel.commonstructure.toplevel.impl.IdentifiableImpl;

import safe10.classmodel.hazards.ControllabilityClassKind;
import safe10.classmodel.hazards.ControllabilityReference;
import safe10.classmodel.hazards.ExposureClassKind;
import safe10.classmodel.hazards.Hazard;
import safe10.classmodel.hazards.HazardousEvent;
import safe10.classmodel.hazards.HazardsPackage;
import safe10.classmodel.hazards.OperationalSituation;
import safe10.classmodel.hazards.SeverityClassKind;

import safe10.classmodel.requirements.FunctionalSafetyRequirement;
import safe10.classmodel.requirements.RequirementsPackage;
import safe10.classmodel.requirements.TraceableSpecification;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>Hazardous Event</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link safe10.classmodel.hazards.impl.HazardousEventImpl#getName <em>Name</em>}</li>
 *   <li>{@link safe10.classmodel.hazards.impl.HazardousEventImpl#getFormal <em>Formal</em>}</li>
 *   <li>{@link safe10.classmodel.hazards.impl.HazardousEventImpl#getInformal <em>Informal</em>}</li>
 *   <li>{@link safe10.classmodel.hazards.impl.HazardousEventImpl#getStakeholder <em>Stakeholder</em>}</li>
 *   <li>{@link safe10.classmodel.hazards.impl.HazardousEventImpl#getConsequences <em>Consequences</em>}</li>
 *   <li>{@link safe10.classmodel.hazards.impl.HazardousEventImpl#getHazardClassification <em>Hazard Classification</em>}</li>
 *   <li>{@link safe10.classmodel.hazards.impl.HazardousEventImpl#getExposure <em>Exposure</em>}</li>
 *   <li>{@link safe10.classmodel.hazards.impl.HazardousEventImpl#getSeverity <em>Severity</em>}</li>
 *   <li>{@link safe10.classmodel.hazards.impl.HazardousEventImpl#getControllability <em>Controllability</em>}</li>
 *   <li>{@link safe10.classmodel.hazards.impl.HazardousEventImpl#getSafetyGoal <em>Safety Goal</em>}</li>
 *   <li>{@link safe10.classmodel.hazards.impl.HazardousEventImpl#getEnvironment <em>Environment</em>}</li>
 *   <li>{@link safe10.classmodel.hazards.impl.HazardousEventImpl#getOperationalSituation <em>Operational Situation</em>}</li>
 *   <li>{@link safe10.classmodel.hazards.impl.HazardousEventImpl#getTraffic <em>Traffic</em>}</li>
 *   <li>{@link safe10.classmodel.hazards.impl.HazardousEventImpl#getControllability2 <em>Controllability2</em>}</li>
 *   <li>{@link safe10.classmodel.hazards.impl.HazardousEventImpl#getHazard <em>Hazard</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
public class HazardousEventImpl extends IdentifiableImpl implements HazardousEvent
{
  /**
   * The default value of the '{@link #getName() <em>Name</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getName()
   * @generated
   * @ordered
   */
  protected static final String NAME_EDEFAULT = "";

  /**
   * The cached value of the '{@link #getName() <em>Name</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getName()
   * @generated
   * @ordered
   */
  protected String name = NAME_EDEFAULT;

  /**
   * This is true if the Name attribute has been set.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  protected boolean nameESet;

  /**
   * The default value of the '{@link #getFormal() <em>Formal</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getFormal()
   * @generated
   * @ordered
   */
  protected static final String FORMAL_EDEFAULT = "";

  /**
   * The cached value of the '{@link #getFormal() <em>Formal</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getFormal()
   * @generated
   * @ordered
   */
  protected String formal = FORMAL_EDEFAULT;

  /**
   * This is true if the Formal attribute has been set.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  protected boolean formalESet;

  /**
   * The default value of the '{@link #getInformal() <em>Informal</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getInformal()
   * @generated
   * @ordered
   */
  protected static final String INFORMAL_EDEFAULT = "";

  /**
   * The cached value of the '{@link #getInformal() <em>Informal</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getInformal()
   * @generated
   * @ordered
   */
  protected String informal = INFORMAL_EDEFAULT;

  /**
   * This is true if the Informal attribute has been set.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  protected boolean informalESet;

  /**
   * The cached value of the '{@link #getStakeholder() <em>Stakeholder</em>}' attribute list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getStakeholder()
   * @generated
   * @ordered
   */
  protected EList<String> stakeholder;

  /**
   * The default value of the '{@link #getConsequences() <em>Consequences</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getConsequences()
   * @generated
   * @ordered
   */
  protected static final String CONSEQUENCES_EDEFAULT = "";

  /**
   * The cached value of the '{@link #getConsequences() <em>Consequences</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getConsequences()
   * @generated
   * @ordered
   */
  protected String consequences = CONSEQUENCES_EDEFAULT;

  /**
   * This is true if the Consequences attribute has been set.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  protected boolean consequencesESet;

  /**
   * The default value of the '{@link #getHazardClassification() <em>Hazard Classification</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getHazardClassification()
   * @generated
   * @ordered
   */
  protected static final ASILEnum HAZARD_CLASSIFICATION_EDEFAULT = ASILEnum.ASIL_A;

  /**
   * The cached value of the '{@link #getHazardClassification() <em>Hazard Classification</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getHazardClassification()
   * @generated
   * @ordered
   */
  protected ASILEnum hazardClassification = HAZARD_CLASSIFICATION_EDEFAULT;

  /**
   * This is true if the Hazard Classification attribute has been set.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  protected boolean hazardClassificationESet;

  /**
   * The default value of the '{@link #getExposure() <em>Exposure</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getExposure()
   * @generated
   * @ordered
   */
  protected static final ExposureClassKind EXPOSURE_EDEFAULT = ExposureClassKind.E1;

  /**
   * The cached value of the '{@link #getExposure() <em>Exposure</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getExposure()
   * @generated
   * @ordered
   */
  protected ExposureClassKind exposure = EXPOSURE_EDEFAULT;

  /**
   * This is true if the Exposure attribute has been set.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  protected boolean exposureESet;

  /**
   * The default value of the '{@link #getSeverity() <em>Severity</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getSeverity()
   * @generated
   * @ordered
   */
  protected static final SeverityClassKind SEVERITY_EDEFAULT = SeverityClassKind.S0;

  /**
   * The cached value of the '{@link #getSeverity() <em>Severity</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getSeverity()
   * @generated
   * @ordered
   */
  protected SeverityClassKind severity = SEVERITY_EDEFAULT;

  /**
   * This is true if the Severity attribute has been set.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  protected boolean severityESet;

  /**
   * The default value of the '{@link #getControllability() <em>Controllability</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getControllability()
   * @generated
   * @ordered
   */
  protected static final ControllabilityClassKind CONTROLLABILITY_EDEFAULT = ControllabilityClassKind.C0;

  /**
   * The cached value of the '{@link #getControllability() <em>Controllability</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getControllability()
   * @generated
   * @ordered
   */
  protected ControllabilityClassKind controllability = CONTROLLABILITY_EDEFAULT;

  /**
   * This is true if the Controllability attribute has been set.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  protected boolean controllabilityESet;

  /**
   * The cached value of the '{@link #getSafetyGoal() <em>Safety Goal</em>}' reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getSafetyGoal()
   * @generated
   * @ordered
   */
  protected EList<FunctionalSafetyRequirement> safetyGoal;

  /**
   * The cached value of the '{@link #getEnvironment() <em>Environment</em>}' reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getEnvironment()
   * @generated
   * @ordered
   */
  protected EList<OperationalSituation> environment;

  /**
   * The cached value of the '{@link #getOperationalSituation() <em>Operational Situation</em>}' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getOperationalSituation()
   * @generated
   * @ordered
   */
  protected OperationalSituation operationalSituation;

  /**
   * The cached value of the '{@link #getTraffic() <em>Traffic</em>}' reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getTraffic()
   * @generated
   * @ordered
   */
  protected EList<OperationalSituation> traffic;

  /**
   * The cached value of the '{@link #getControllability2() <em>Controllability2</em>}' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getControllability2()
   * @generated
   * @ordered
   */
  protected ControllabilityReference controllability2;

  /**
   * The cached value of the '{@link #getHazard() <em>Hazard</em>}' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getHazard()
   * @generated
   * @ordered
   */
  protected Hazard hazard;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected HazardousEventImpl()
  {
    super();
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  protected EClass eStaticClass()
  {
    return HazardsPackage.Literals.HAZARDOUS_EVENT;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String getName()
  {
    return name;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setName(String newName)
  {
    String oldName = name;
    name = newName;
    boolean oldNameESet = nameESet;
    nameESet = true;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, HazardsPackage.HAZARDOUS_EVENT__NAME, oldName, name, !oldNameESet));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void unsetName()
  {
    String oldName = name;
    boolean oldNameESet = nameESet;
    name = NAME_EDEFAULT;
    nameESet = false;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.UNSET, HazardsPackage.HAZARDOUS_EVENT__NAME, oldName, NAME_EDEFAULT, oldNameESet));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public boolean isSetName()
  {
    return nameESet;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String getFormal()
  {
    return formal;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setFormal(String newFormal)
  {
    String oldFormal = formal;
    formal = newFormal;
    boolean oldFormalESet = formalESet;
    formalESet = true;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, HazardsPackage.HAZARDOUS_EVENT__FORMAL, oldFormal, formal, !oldFormalESet));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void unsetFormal()
  {
    String oldFormal = formal;
    boolean oldFormalESet = formalESet;
    formal = FORMAL_EDEFAULT;
    formalESet = false;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.UNSET, HazardsPackage.HAZARDOUS_EVENT__FORMAL, oldFormal, FORMAL_EDEFAULT, oldFormalESet));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public boolean isSetFormal()
  {
    return formalESet;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String getInformal()
  {
    return informal;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setInformal(String newInformal)
  {
    String oldInformal = informal;
    informal = newInformal;
    boolean oldInformalESet = informalESet;
    informalESet = true;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, HazardsPackage.HAZARDOUS_EVENT__INFORMAL, oldInformal, informal, !oldInformalESet));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void unsetInformal()
  {
    String oldInformal = informal;
    boolean oldInformalESet = informalESet;
    informal = INFORMAL_EDEFAULT;
    informalESet = false;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.UNSET, HazardsPackage.HAZARDOUS_EVENT__INFORMAL, oldInformal, INFORMAL_EDEFAULT, oldInformalESet));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public boolean isSetInformal()
  {
    return informalESet;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EList<String> getStakeholder()
  {
    if (stakeholder == null)
    {
      stakeholder = new EDataTypeUniqueEList.Unsettable<String>(String.class, this, HazardsPackage.HAZARDOUS_EVENT__STAKEHOLDER);
    }
    return stakeholder;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void unsetStakeholder()
  {
    if (stakeholder != null) ((InternalEList.Unsettable<?>)stakeholder).unset();
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public boolean isSetStakeholder()
  {
    return stakeholder != null && ((InternalEList.Unsettable<?>)stakeholder).isSet();
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String getConsequences()
  {
    return consequences;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setConsequences(String newConsequences)
  {
    String oldConsequences = consequences;
    consequences = newConsequences;
    boolean oldConsequencesESet = consequencesESet;
    consequencesESet = true;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, HazardsPackage.HAZARDOUS_EVENT__CONSEQUENCES, oldConsequences, consequences, !oldConsequencesESet));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void unsetConsequences()
  {
    String oldConsequences = consequences;
    boolean oldConsequencesESet = consequencesESet;
    consequences = CONSEQUENCES_EDEFAULT;
    consequencesESet = false;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.UNSET, HazardsPackage.HAZARDOUS_EVENT__CONSEQUENCES, oldConsequences, CONSEQUENCES_EDEFAULT, oldConsequencesESet));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public boolean isSetConsequences()
  {
    return consequencesESet;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public ASILEnum getHazardClassification()
  {
    return hazardClassification;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setHazardClassification(ASILEnum newHazardClassification)
  {
    ASILEnum oldHazardClassification = hazardClassification;
    hazardClassification = newHazardClassification == null ? HAZARD_CLASSIFICATION_EDEFAULT : newHazardClassification;
    boolean oldHazardClassificationESet = hazardClassificationESet;
    hazardClassificationESet = true;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, HazardsPackage.HAZARDOUS_EVENT__HAZARD_CLASSIFICATION, oldHazardClassification, hazardClassification, !oldHazardClassificationESet));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void unsetHazardClassification()
  {
    ASILEnum oldHazardClassification = hazardClassification;
    boolean oldHazardClassificationESet = hazardClassificationESet;
    hazardClassification = HAZARD_CLASSIFICATION_EDEFAULT;
    hazardClassificationESet = false;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.UNSET, HazardsPackage.HAZARDOUS_EVENT__HAZARD_CLASSIFICATION, oldHazardClassification, HAZARD_CLASSIFICATION_EDEFAULT, oldHazardClassificationESet));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public boolean isSetHazardClassification()
  {
    return hazardClassificationESet;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public ExposureClassKind getExposure()
  {
    return exposure;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setExposure(ExposureClassKind newExposure)
  {
    ExposureClassKind oldExposure = exposure;
    exposure = newExposure == null ? EXPOSURE_EDEFAULT : newExposure;
    boolean oldExposureESet = exposureESet;
    exposureESet = true;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, HazardsPackage.HAZARDOUS_EVENT__EXPOSURE, oldExposure, exposure, !oldExposureESet));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void unsetExposure()
  {
    ExposureClassKind oldExposure = exposure;
    boolean oldExposureESet = exposureESet;
    exposure = EXPOSURE_EDEFAULT;
    exposureESet = false;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.UNSET, HazardsPackage.HAZARDOUS_EVENT__EXPOSURE, oldExposure, EXPOSURE_EDEFAULT, oldExposureESet));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public boolean isSetExposure()
  {
    return exposureESet;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public SeverityClassKind getSeverity()
  {
    return severity;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setSeverity(SeverityClassKind newSeverity)
  {
    SeverityClassKind oldSeverity = severity;
    severity = newSeverity == null ? SEVERITY_EDEFAULT : newSeverity;
    boolean oldSeverityESet = severityESet;
    severityESet = true;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, HazardsPackage.HAZARDOUS_EVENT__SEVERITY, oldSeverity, severity, !oldSeverityESet));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void unsetSeverity()
  {
    SeverityClassKind oldSeverity = severity;
    boolean oldSeverityESet = severityESet;
    severity = SEVERITY_EDEFAULT;
    severityESet = false;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.UNSET, HazardsPackage.HAZARDOUS_EVENT__SEVERITY, oldSeverity, SEVERITY_EDEFAULT, oldSeverityESet));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public boolean isSetSeverity()
  {
    return severityESet;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public ControllabilityClassKind getControllability()
  {
    return controllability;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setControllability(ControllabilityClassKind newControllability)
  {
    ControllabilityClassKind oldControllability = controllability;
    controllability = newControllability == null ? CONTROLLABILITY_EDEFAULT : newControllability;
    boolean oldControllabilityESet = controllabilityESet;
    controllabilityESet = true;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, HazardsPackage.HAZARDOUS_EVENT__CONTROLLABILITY, oldControllability, controllability, !oldControllabilityESet));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void unsetControllability()
  {
    ControllabilityClassKind oldControllability = controllability;
    boolean oldControllabilityESet = controllabilityESet;
    controllability = CONTROLLABILITY_EDEFAULT;
    controllabilityESet = false;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.UNSET, HazardsPackage.HAZARDOUS_EVENT__CONTROLLABILITY, oldControllability, CONTROLLABILITY_EDEFAULT, oldControllabilityESet));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public boolean isSetControllability()
  {
    return controllabilityESet;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EList<FunctionalSafetyRequirement> getSafetyGoal()
  {
    if (safetyGoal == null)
    {
      safetyGoal = new EObjectResolvingEList<FunctionalSafetyRequirement>(FunctionalSafetyRequirement.class, this, HazardsPackage.HAZARDOUS_EVENT__SAFETY_GOAL);
    }
    return safetyGoal;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EList<OperationalSituation> getEnvironment()
  {
    if (environment == null)
    {
      environment = new EObjectResolvingEList<OperationalSituation>(OperationalSituation.class, this, HazardsPackage.HAZARDOUS_EVENT__ENVIRONMENT);
    }
    return environment;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public OperationalSituation getOperationalSituation()
  {
    if (operationalSituation != null && operationalSituation.eIsProxy())
    {
      InternalEObject oldOperationalSituation = (InternalEObject)operationalSituation;
      operationalSituation = (OperationalSituation)eResolveProxy(oldOperationalSituation);
      if (operationalSituation != oldOperationalSituation)
      {
        if (eNotificationRequired())
          eNotify(new ENotificationImpl(this, Notification.RESOLVE, HazardsPackage.HAZARDOUS_EVENT__OPERATIONAL_SITUATION, oldOperationalSituation, operationalSituation));
      }
    }
    return operationalSituation;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public OperationalSituation basicGetOperationalSituation()
  {
    return operationalSituation;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setOperationalSituation(OperationalSituation newOperationalSituation)
  {
    OperationalSituation oldOperationalSituation = operationalSituation;
    operationalSituation = newOperationalSituation;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, HazardsPackage.HAZARDOUS_EVENT__OPERATIONAL_SITUATION, oldOperationalSituation, operationalSituation));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EList<OperationalSituation> getTraffic()
  {
    if (traffic == null)
    {
      traffic = new EObjectResolvingEList<OperationalSituation>(OperationalSituation.class, this, HazardsPackage.HAZARDOUS_EVENT__TRAFFIC);
    }
    return traffic;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public ControllabilityReference getControllability2()
  {
    if (controllability2 != null && controllability2.eIsProxy())
    {
      InternalEObject oldControllability2 = (InternalEObject)controllability2;
      controllability2 = (ControllabilityReference)eResolveProxy(oldControllability2);
      if (controllability2 != oldControllability2)
      {
        if (eNotificationRequired())
          eNotify(new ENotificationImpl(this, Notification.RESOLVE, HazardsPackage.HAZARDOUS_EVENT__CONTROLLABILITY2, oldControllability2, controllability2));
      }
    }
    return controllability2;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public ControllabilityReference basicGetControllability2()
  {
    return controllability2;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setControllability2(ControllabilityReference newControllability2)
  {
    ControllabilityReference oldControllability2 = controllability2;
    controllability2 = newControllability2;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, HazardsPackage.HAZARDOUS_EVENT__CONTROLLABILITY2, oldControllability2, controllability2));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public Hazard getHazard()
  {
    if (hazard != null && hazard.eIsProxy())
    {
      InternalEObject oldHazard = (InternalEObject)hazard;
      hazard = (Hazard)eResolveProxy(oldHazard);
      if (hazard != oldHazard)
      {
        if (eNotificationRequired())
          eNotify(new ENotificationImpl(this, Notification.RESOLVE, HazardsPackage.HAZARDOUS_EVENT__HAZARD, oldHazard, hazard));
      }
    }
    return hazard;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public Hazard basicGetHazard()
  {
    return hazard;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setHazard(Hazard newHazard)
  {
    Hazard oldHazard = hazard;
    hazard = newHazard;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, HazardsPackage.HAZARDOUS_EVENT__HAZARD, oldHazard, hazard));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Object eGet(int featureID, boolean resolve, boolean coreType)
  {
    switch (featureID)
    {
      case HazardsPackage.HAZARDOUS_EVENT__NAME:
        return getName();
      case HazardsPackage.HAZARDOUS_EVENT__FORMAL:
        return getFormal();
      case HazardsPackage.HAZARDOUS_EVENT__INFORMAL:
        return getInformal();
      case HazardsPackage.HAZARDOUS_EVENT__STAKEHOLDER:
        return getStakeholder();
      case HazardsPackage.HAZARDOUS_EVENT__CONSEQUENCES:
        return getConsequences();
      case HazardsPackage.HAZARDOUS_EVENT__HAZARD_CLASSIFICATION:
        return getHazardClassification();
      case HazardsPackage.HAZARDOUS_EVENT__EXPOSURE:
        return getExposure();
      case HazardsPackage.HAZARDOUS_EVENT__SEVERITY:
        return getSeverity();
      case HazardsPackage.HAZARDOUS_EVENT__CONTROLLABILITY:
        return getControllability();
      case HazardsPackage.HAZARDOUS_EVENT__SAFETY_GOAL:
        return getSafetyGoal();
      case HazardsPackage.HAZARDOUS_EVENT__ENVIRONMENT:
        return getEnvironment();
      case HazardsPackage.HAZARDOUS_EVENT__OPERATIONAL_SITUATION:
        if (resolve) return getOperationalSituation();
        return basicGetOperationalSituation();
      case HazardsPackage.HAZARDOUS_EVENT__TRAFFIC:
        return getTraffic();
      case HazardsPackage.HAZARDOUS_EVENT__CONTROLLABILITY2:
        if (resolve) return getControllability2();
        return basicGetControllability2();
      case HazardsPackage.HAZARDOUS_EVENT__HAZARD:
        if (resolve) return getHazard();
        return basicGetHazard();
    }
    return super.eGet(featureID, resolve, coreType);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @SuppressWarnings("unchecked")
  @Override
  public void eSet(int featureID, Object newValue)
  {
    switch (featureID)
    {
      case HazardsPackage.HAZARDOUS_EVENT__NAME:
   			setName((String)newValue);
        return;
      case HazardsPackage.HAZARDOUS_EVENT__FORMAL:
   			setFormal((String)newValue);
        return;
      case HazardsPackage.HAZARDOUS_EVENT__INFORMAL:
   			setInformal((String)newValue);
        return;
      case HazardsPackage.HAZARDOUS_EVENT__STAKEHOLDER:
        getStakeholder().clear();
        getStakeholder().addAll((Collection<? extends String>)newValue);
        return;
      case HazardsPackage.HAZARDOUS_EVENT__CONSEQUENCES:
   			setConsequences((String)newValue);
        return;
      case HazardsPackage.HAZARDOUS_EVENT__HAZARD_CLASSIFICATION:
   			setHazardClassification((ASILEnum)newValue);
        return;
      case HazardsPackage.HAZARDOUS_EVENT__EXPOSURE:
   			setExposure((ExposureClassKind)newValue);
        return;
      case HazardsPackage.HAZARDOUS_EVENT__SEVERITY:
   			setSeverity((SeverityClassKind)newValue);
        return;
      case HazardsPackage.HAZARDOUS_EVENT__CONTROLLABILITY:
   			setControllability((ControllabilityClassKind)newValue);
        return;
      case HazardsPackage.HAZARDOUS_EVENT__SAFETY_GOAL:
        getSafetyGoal().clear();
        getSafetyGoal().addAll((Collection<? extends FunctionalSafetyRequirement>)newValue);
        return;
      case HazardsPackage.HAZARDOUS_EVENT__ENVIRONMENT:
        getEnvironment().clear();
        getEnvironment().addAll((Collection<? extends OperationalSituation>)newValue);
        return;
      case HazardsPackage.HAZARDOUS_EVENT__OPERATIONAL_SITUATION:
   			setOperationalSituation((OperationalSituation)newValue);
        return;
      case HazardsPackage.HAZARDOUS_EVENT__TRAFFIC:
        getTraffic().clear();
        getTraffic().addAll((Collection<? extends OperationalSituation>)newValue);
        return;
      case HazardsPackage.HAZARDOUS_EVENT__CONTROLLABILITY2:
   			setControllability2((ControllabilityReference)newValue);
        return;
      case HazardsPackage.HAZARDOUS_EVENT__HAZARD:
   			setHazard((Hazard)newValue);
        return;
    }
    super.eSet(featureID, newValue);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public void eUnset(int featureID)
  {
    switch (featureID)
    {
      case HazardsPackage.HAZARDOUS_EVENT__NAME:
        unsetName();
        return;
      case HazardsPackage.HAZARDOUS_EVENT__FORMAL:
        unsetFormal();
        return;
      case HazardsPackage.HAZARDOUS_EVENT__INFORMAL:
        unsetInformal();
        return;
      case HazardsPackage.HAZARDOUS_EVENT__STAKEHOLDER:
        unsetStakeholder();
        return;
      case HazardsPackage.HAZARDOUS_EVENT__CONSEQUENCES:
        unsetConsequences();
        return;
      case HazardsPackage.HAZARDOUS_EVENT__HAZARD_CLASSIFICATION:
        unsetHazardClassification();
        return;
      case HazardsPackage.HAZARDOUS_EVENT__EXPOSURE:
        unsetExposure();
        return;
      case HazardsPackage.HAZARDOUS_EVENT__SEVERITY:
        unsetSeverity();
        return;
      case HazardsPackage.HAZARDOUS_EVENT__CONTROLLABILITY:
        unsetControllability();
        return;
      case HazardsPackage.HAZARDOUS_EVENT__SAFETY_GOAL:
        getSafetyGoal().clear();
        return;
      case HazardsPackage.HAZARDOUS_EVENT__ENVIRONMENT:
        getEnvironment().clear();
        return;
      case HazardsPackage.HAZARDOUS_EVENT__OPERATIONAL_SITUATION:
        	setOperationalSituation((OperationalSituation)null);
        return;
      case HazardsPackage.HAZARDOUS_EVENT__TRAFFIC:
        getTraffic().clear();
        return;
      case HazardsPackage.HAZARDOUS_EVENT__CONTROLLABILITY2:
        	setControllability2((ControllabilityReference)null);
        return;
      case HazardsPackage.HAZARDOUS_EVENT__HAZARD:
        	setHazard((Hazard)null);
        return;
    }
    super.eUnset(featureID);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public boolean eIsSet(int featureID)
  {
    switch (featureID)
    {
      case HazardsPackage.HAZARDOUS_EVENT__NAME:
        return isSetName();
      case HazardsPackage.HAZARDOUS_EVENT__FORMAL:
        return isSetFormal();
      case HazardsPackage.HAZARDOUS_EVENT__INFORMAL:
        return isSetInformal();
      case HazardsPackage.HAZARDOUS_EVENT__STAKEHOLDER:
        return isSetStakeholder();
      case HazardsPackage.HAZARDOUS_EVENT__CONSEQUENCES:
        return isSetConsequences();
      case HazardsPackage.HAZARDOUS_EVENT__HAZARD_CLASSIFICATION:
        return isSetHazardClassification();
      case HazardsPackage.HAZARDOUS_EVENT__EXPOSURE:
        return isSetExposure();
      case HazardsPackage.HAZARDOUS_EVENT__SEVERITY:
        return isSetSeverity();
      case HazardsPackage.HAZARDOUS_EVENT__CONTROLLABILITY:
        return isSetControllability();
      case HazardsPackage.HAZARDOUS_EVENT__SAFETY_GOAL:
        return safetyGoal != null && !safetyGoal.isEmpty();
      case HazardsPackage.HAZARDOUS_EVENT__ENVIRONMENT:
        return environment != null && !environment.isEmpty();
      case HazardsPackage.HAZARDOUS_EVENT__OPERATIONAL_SITUATION:
        return operationalSituation != null;
      case HazardsPackage.HAZARDOUS_EVENT__TRAFFIC:
        return traffic != null && !traffic.isEmpty();
      case HazardsPackage.HAZARDOUS_EVENT__CONTROLLABILITY2:
        return controllability2 != null;
      case HazardsPackage.HAZARDOUS_EVENT__HAZARD:
        return hazard != null;
    }
    return super.eIsSet(featureID);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public int eBaseStructuralFeatureID(int derivedFeatureID, Class<?> baseClass)
  {
    if (baseClass == PackageableElement.class)
    {
      switch (derivedFeatureID)
      {
        default: return -1;
      }
    }
    if (baseClass == SAFEElement.class)
    {
      switch (derivedFeatureID)
      {
        case HazardsPackage.HAZARDOUS_EVENT__NAME: return ToplevelPackage.SAFE_ELEMENT__NAME;
        default: return -1;
      }
    }
    if (baseClass == TraceableSpecification.class)
    {
      switch (derivedFeatureID)
      {
        case HazardsPackage.HAZARDOUS_EVENT__FORMAL: return RequirementsPackage.TRACEABLE_SPECIFICATION__FORMAL;
        case HazardsPackage.HAZARDOUS_EVENT__INFORMAL: return RequirementsPackage.TRACEABLE_SPECIFICATION__INFORMAL;
        case HazardsPackage.HAZARDOUS_EVENT__STAKEHOLDER: return RequirementsPackage.TRACEABLE_SPECIFICATION__STAKEHOLDER;
        default: return -1;
      }
    }
    return super.eBaseStructuralFeatureID(derivedFeatureID, baseClass);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public int eDerivedStructuralFeatureID(int baseFeatureID, Class<?> baseClass)
  {
    if (baseClass == PackageableElement.class)
    {
      switch (baseFeatureID)
      {
        default: return -1;
      }
    }
    if (baseClass == SAFEElement.class)
    {
      switch (baseFeatureID)
      {
        case ToplevelPackage.SAFE_ELEMENT__NAME: return HazardsPackage.HAZARDOUS_EVENT__NAME;
        default: return -1;
      }
    }
    if (baseClass == TraceableSpecification.class)
    {
      switch (baseFeatureID)
      {
        case RequirementsPackage.TRACEABLE_SPECIFICATION__FORMAL: return HazardsPackage.HAZARDOUS_EVENT__FORMAL;
        case RequirementsPackage.TRACEABLE_SPECIFICATION__INFORMAL: return HazardsPackage.HAZARDOUS_EVENT__INFORMAL;
        case RequirementsPackage.TRACEABLE_SPECIFICATION__STAKEHOLDER: return HazardsPackage.HAZARDOUS_EVENT__STAKEHOLDER;
        default: return -1;
      }
    }
    return super.eDerivedStructuralFeatureID(baseFeatureID, baseClass);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public String toString()
  {
    if (eIsProxy()) return super.toString();

    StringBuffer result = new StringBuffer(super.toString());
    result.append(" (name: ");
    if (nameESet) result.append(name); else result.append("<unset>");
    result.append(", formal: ");
    if (formalESet) result.append(formal); else result.append("<unset>");
    result.append(", informal: ");
    if (informalESet) result.append(informal); else result.append("<unset>");
    result.append(", stakeholder: ");
    result.append(stakeholder);
    result.append(", consequences: ");
    if (consequencesESet) result.append(consequences); else result.append("<unset>");
    result.append(", hazardClassification: ");
    if (hazardClassificationESet) result.append(hazardClassification); else result.append("<unset>");
    result.append(", exposure: ");
    if (exposureESet) result.append(exposure); else result.append("<unset>");
    result.append(", severity: ");
    if (severityESet) result.append(severity); else result.append("<unset>");
    result.append(", controllability: ");
    if (controllabilityESet) result.append(controllability); else result.append("<unset>");
    result.append(')');
    return result.toString();
  }

} //HazardousEventImpl
