/**
 */
package safe10.classmodel.hazards.impl;

import autosar40.bswmodule.bswinterfaces.BswinterfacesPackage;

import autosar40.bswmodule.bswoverview.BswoverviewPackage;

import autosar40.commonstructure.modedeclaration.ModedeclarationPackage;

import autosar40.ecuresource.EcuresourcePackage;

import autosar40.swcomponent.components.ComponentsPackage;

import autosar40.swcomponent.composition.CompositionPackage;

import autosar40.swcomponent.datatype.dataprototypes.DataprototypesPackage;

import autosar40.swcomponent.portinterface.PortinterfacePackage;

import autosar40.swcomponent.swcinternalbehavior.SwcinternalbehaviorPackage;

import autosar40.system.SystemPackage;

import eastadl21.east_adl.environment.EnvironmentPackage;

import eastadl21.east_adl.requirements.RequirementsPackage;

import eastadl21.east_adl.structure.featuremodeling.FeaturemodelingPackage;

import eastadl21.east_adl.structure.functionmodeling.FunctionmodelingPackage;

import eastadl21.east_adl.structure.hardwaremodeling.HardwaremodelingPackage;

import eastadl21.east_adl.structure.systemmodeling.SystemmodelingPackage;

import eastadl21.east_adl.structure.vehiclefeaturemodeling.VehiclefeaturemodelingPackage;

import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EEnum;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

import org.eclipse.emf.ecore.impl.EPackageImpl;

import safe10.classmodel.commonstructure.datatypes.DatatypesPackage;

import safe10.classmodel.commonstructure.datatypes.impl.DatatypesPackageImpl;

import safe10.classmodel.commonstructure.formulaexpression.FormulaexpressionPackage;

import safe10.classmodel.commonstructure.formulaexpression.impl.FormulaexpressionPackageImpl;

import safe10.classmodel.commonstructure.references.ReferencesPackage;

import safe10.classmodel.commonstructure.references.chromosomereferences.ChromosomereferencesPackage;

import safe10.classmodel.commonstructure.references.chromosomereferences.impl.ChromosomereferencesPackageImpl;

import safe10.classmodel.commonstructure.references.impl.ReferencesPackageImpl;

import safe10.classmodel.commonstructure.safetyextensions.SafetyextensionsPackage;

import safe10.classmodel.commonstructure.safetyextensions.impl.SafetyextensionsPackageImpl;

import safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.SoftwaresafetyextensionPackage;

import safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.impl.SoftwaresafetyextensionPackageImpl;

import safe10.classmodel.commonstructure.safetyextensions.technicalsafetyextension.TechnicalsafetyextensionPackage;

import safe10.classmodel.commonstructure.safetyextensions.technicalsafetyextension.impl.TechnicalsafetyextensionPackageImpl;

import safe10.classmodel.commonstructure.toplevel.ToplevelPackage;

import safe10.classmodel.commonstructure.toplevel.impl.ToplevelPackageImpl;

import safe10.classmodel.configuration.ConfigurationPackage;

import safe10.classmodel.configuration.impl.ConfigurationPackageImpl;

import safe10.classmodel.errormodel.ErrormodelPackage;

import safe10.classmodel.errormodel._instanceref._instancerefPackage;

import safe10.classmodel.errormodel._instanceref.impl._instancerefPackageImpl;

import safe10.classmodel.errormodel.errorbehavior.ErrorbehaviorPackage;

import safe10.classmodel.errormodel.errorbehavior.impl.ErrorbehaviorPackageImpl;

import safe10.classmodel.errormodel.errormodeltype.ErrormodeltypePackage;

import safe10.classmodel.errormodel.errormodeltype.impl.ErrormodeltypePackageImpl;

import safe10.classmodel.errormodel.impl.ErrormodelPackageImpl;

import safe10.classmodel.errormodel.malfunction.MalfunctionPackage;

import safe10.classmodel.errormodel.malfunction.impl.MalfunctionPackageImpl;

import safe10.classmodel.hardware.failure.FailurePackage;

import safe10.classmodel.hardware.failure.impl.FailurePackageImpl;

import safe10.classmodel.hardware.failureformula.FailureformulaPackage;

import safe10.classmodel.hardware.failureformula.impl.FailureformulaPackageImpl;

import safe10.classmodel.hardware.failurepart.FailurepartPackage;

import safe10.classmodel.hardware.failurepart.impl.FailurepartPackageImpl;

import safe10.classmodel.hardware.hwarchitecturalmetrics.HwarchitecturalmetricsPackage;

import safe10.classmodel.hardware.hwarchitecturalmetrics.impl.HwarchitecturalmetricsPackageImpl;

import safe10.classmodel.hardware.hwquantitativemeasure.HwquantitativemeasurePackage;

import safe10.classmodel.hardware.hwquantitativemeasure.impl.HwquantitativemeasurePackageImpl;

import safe10.classmodel.hardware.probabilisticmethods.ProbabilisticmethodsPackage;

import safe10.classmodel.hardware.probabilisticmethods.impl.ProbabilisticmethodsPackageImpl;

import safe10.classmodel.hazards.Actor;
import safe10.classmodel.hazards.AtomicCondition;
import safe10.classmodel.hazards.CompositeCondition;
import safe10.classmodel.hazards.CompositeConditionOperator;
import safe10.classmodel.hazards.ControllabilityClassKind;
import safe10.classmodel.hazards.ControllabilityReference;
import safe10.classmodel.hazards.ExposureClassKind;
import safe10.classmodel.hazards.Hazard;
import safe10.classmodel.hazards.HazardousEvent;
import safe10.classmodel.hazards.HazardsFactory;
import safe10.classmodel.hazards.HazardsPackage;
import safe10.classmodel.hazards.OperatingMode;
import safe10.classmodel.hazards.OperationalActor;
import safe10.classmodel.hazards.OperationalCondition;
import safe10.classmodel.hazards.OperationalSituation;
import safe10.classmodel.hazards.Property;
import safe10.classmodel.hazards.RiskDescription;
import safe10.classmodel.hazards.SafeState;
import safe10.classmodel.hazards.SeverityClassKind;

import safe10.classmodel.requirements.impl.RequirementsPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.SoftwaresafetyrequirementsPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.actuatormonitor.ActuatormonitorPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.actuatormonitor.impl.ActuatormonitorPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.alivenessmonitor.AlivenessmonitorPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.alivenessmonitor.impl.AlivenessmonitorPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.comparison.ComparisonPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.comparison.impl.ComparisonPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.contextrangecheck.ContextrangecheckPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.contextrangecheck.impl.ContextrangecheckPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.cpuselftest.CpuselftestPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.cpuselftest.impl.CpuselftestPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.crcchecksum.CrcchecksumPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.crcchecksum.impl.CrcchecksumPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.filter.FilterPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.filter.impl.FilterPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.gradientcheck.GradientcheckPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.gradientcheck.impl.GradientcheckPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.healthmonitor.HealthmonitorPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.healthmonitor.impl.HealthmonitorPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.HeartbeatPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.impl.HeartbeatPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.impl.SoftwaresafetyrequirementsPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.memoryselftest.MemoryselftestPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.memoryselftest.impl.MemoryselftestPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.voting.VotingPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.voting.impl.VotingPackageImpl;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model <b>Package</b>.
 * <!-- end-user-doc -->
 * @generated
 */
public class HazardsPackageImpl extends EPackageImpl implements HazardsPackage
{
  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass actorEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass atomicConditionEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass compositeConditionEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass controllabilityReferenceEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass hazardEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass hazardousEventEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass operatingModeEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass operationalActorEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass operationalConditionEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass operationalSituationEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass propertyEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass riskDescriptionEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass safeStateEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EEnum compositeConditionOperatorEEnum = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EEnum controllabilityClassKindEEnum = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EEnum exposureClassKindEEnum = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EEnum severityClassKindEEnum = null;

  /**
   * Creates an instance of the model <b>Package</b>, registered with
   * {@link org.eclipse.emf.ecore.EPackage.Registry EPackage.Registry} by the package
   * package URI value.
   * <p>Note: the correct way to create the package is via the static
   * factory method {@link #init init()}, which also performs
   * initialization of the package, or returns the registered package,
   * if one already exists.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see org.eclipse.emf.ecore.EPackage.Registry
   * @see safe10.classmodel.hazards.HazardsPackage#eNS_URI
   * @see #init()
   * @generated
   */
  private HazardsPackageImpl()
  {
    super(eNS_URI, HazardsFactory.eINSTANCE);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private static boolean isInited = false;

  /**
   * Creates, registers, and initializes the <b>Package</b> for this model, and for any others upon which it depends.
   * 
   * <p>This method is used to initialize {@link HazardsPackage#eINSTANCE} when that field is accessed.
   * Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #eNS_URI
   * @see #createPackageContents()
   * @see #initializePackageContents()
   * @generated
   */
  public static HazardsPackage init()
  {
    if (isInited) return (HazardsPackage)EPackage.Registry.INSTANCE.getEPackage(HazardsPackage.eNS_URI);

    // Obtain or create and register package
    HazardsPackageImpl theHazardsPackage = (HazardsPackageImpl)(EPackage.Registry.INSTANCE.get(eNS_URI) instanceof HazardsPackageImpl ? EPackage.Registry.INSTANCE.get(eNS_URI) : new HazardsPackageImpl());

    isInited = true;

    // Initialize simple dependencies
    SystemmodelingPackage.eINSTANCE.eClass();
    FeaturemodelingPackage.eINSTANCE.eClass();
    VehiclefeaturemodelingPackage.eINSTANCE.eClass();
    FunctionmodelingPackage.eINSTANCE.eClass();
    HardwaremodelingPackage.eINSTANCE.eClass();
    RequirementsPackage.eINSTANCE.eClass();
    EnvironmentPackage.eINSTANCE.eClass();
    EcuresourcePackage.eINSTANCE.eClass();
    ModedeclarationPackage.eINSTANCE.eClass();
    DataprototypesPackage.eINSTANCE.eClass();
    CompositionPackage.eINSTANCE.eClass();
    ComponentsPackage.eINSTANCE.eClass();
    PortinterfacePackage.eINSTANCE.eClass();
    SwcinternalbehaviorPackage.eINSTANCE.eClass();
    SystemPackage.eINSTANCE.eClass();
    BswoverviewPackage.eINSTANCE.eClass();
    BswinterfacesPackage.eINSTANCE.eClass();

    // Obtain or create and register interdependencies
    DatatypesPackageImpl theDatatypesPackage = (DatatypesPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(DatatypesPackage.eNS_URI) instanceof DatatypesPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(DatatypesPackage.eNS_URI) : DatatypesPackage.eINSTANCE);
    FormulaexpressionPackageImpl theFormulaexpressionPackage = (FormulaexpressionPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(FormulaexpressionPackage.eNS_URI) instanceof FormulaexpressionPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(FormulaexpressionPackage.eNS_URI) : FormulaexpressionPackage.eINSTANCE);
    ReferencesPackageImpl theReferencesPackage = (ReferencesPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ReferencesPackage.eNS_URI) instanceof ReferencesPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ReferencesPackage.eNS_URI) : ReferencesPackage.eINSTANCE);
    ChromosomereferencesPackageImpl theChromosomereferencesPackage = (ChromosomereferencesPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ChromosomereferencesPackage.eNS_URI) instanceof ChromosomereferencesPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ChromosomereferencesPackage.eNS_URI) : ChromosomereferencesPackage.eINSTANCE);
    SafetyextensionsPackageImpl theSafetyextensionsPackage = (SafetyextensionsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(SafetyextensionsPackage.eNS_URI) instanceof SafetyextensionsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(SafetyextensionsPackage.eNS_URI) : SafetyextensionsPackage.eINSTANCE);
    SoftwaresafetyextensionPackageImpl theSoftwaresafetyextensionPackage = (SoftwaresafetyextensionPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(SoftwaresafetyextensionPackage.eNS_URI) instanceof SoftwaresafetyextensionPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(SoftwaresafetyextensionPackage.eNS_URI) : SoftwaresafetyextensionPackage.eINSTANCE);
    TechnicalsafetyextensionPackageImpl theTechnicalsafetyextensionPackage = (TechnicalsafetyextensionPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(TechnicalsafetyextensionPackage.eNS_URI) instanceof TechnicalsafetyextensionPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(TechnicalsafetyextensionPackage.eNS_URI) : TechnicalsafetyextensionPackage.eINSTANCE);
    ToplevelPackageImpl theToplevelPackage = (ToplevelPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ToplevelPackage.eNS_URI) instanceof ToplevelPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ToplevelPackage.eNS_URI) : ToplevelPackage.eINSTANCE);
    ConfigurationPackageImpl theConfigurationPackage = (ConfigurationPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ConfigurationPackage.eNS_URI) instanceof ConfigurationPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ConfigurationPackage.eNS_URI) : ConfigurationPackage.eINSTANCE);
    ErrormodelPackageImpl theErrormodelPackage = (ErrormodelPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ErrormodelPackage.eNS_URI) instanceof ErrormodelPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ErrormodelPackage.eNS_URI) : ErrormodelPackage.eINSTANCE);
    _instancerefPackageImpl the_instancerefPackage = (_instancerefPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(_instancerefPackage.eNS_URI) instanceof _instancerefPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(_instancerefPackage.eNS_URI) : _instancerefPackage.eINSTANCE);
    ErrorbehaviorPackageImpl theErrorbehaviorPackage = (ErrorbehaviorPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ErrorbehaviorPackage.eNS_URI) instanceof ErrorbehaviorPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ErrorbehaviorPackage.eNS_URI) : ErrorbehaviorPackage.eINSTANCE);
    ErrormodeltypePackageImpl theErrormodeltypePackage = (ErrormodeltypePackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ErrormodeltypePackage.eNS_URI) instanceof ErrormodeltypePackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ErrormodeltypePackage.eNS_URI) : ErrormodeltypePackage.eINSTANCE);
    MalfunctionPackageImpl theMalfunctionPackage = (MalfunctionPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(MalfunctionPackage.eNS_URI) instanceof MalfunctionPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(MalfunctionPackage.eNS_URI) : MalfunctionPackage.eINSTANCE);
    FailureformulaPackageImpl theFailureformulaPackage = (FailureformulaPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(FailureformulaPackage.eNS_URI) instanceof FailureformulaPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(FailureformulaPackage.eNS_URI) : FailureformulaPackage.eINSTANCE);
    FailurePackageImpl theFailurePackage = (FailurePackageImpl)(EPackage.Registry.INSTANCE.getEPackage(FailurePackage.eNS_URI) instanceof FailurePackageImpl ? EPackage.Registry.INSTANCE.getEPackage(FailurePackage.eNS_URI) : FailurePackage.eINSTANCE);
    FailurepartPackageImpl theFailurepartPackage = (FailurepartPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(FailurepartPackage.eNS_URI) instanceof FailurepartPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(FailurepartPackage.eNS_URI) : FailurepartPackage.eINSTANCE);
    HwquantitativemeasurePackageImpl theHwquantitativemeasurePackage = (HwquantitativemeasurePackageImpl)(EPackage.Registry.INSTANCE.getEPackage(HwquantitativemeasurePackage.eNS_URI) instanceof HwquantitativemeasurePackageImpl ? EPackage.Registry.INSTANCE.getEPackage(HwquantitativemeasurePackage.eNS_URI) : HwquantitativemeasurePackage.eINSTANCE);
    HwarchitecturalmetricsPackageImpl theHwarchitecturalmetricsPackage = (HwarchitecturalmetricsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(HwarchitecturalmetricsPackage.eNS_URI) instanceof HwarchitecturalmetricsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(HwarchitecturalmetricsPackage.eNS_URI) : HwarchitecturalmetricsPackage.eINSTANCE);
    ProbabilisticmethodsPackageImpl theProbabilisticmethodsPackage = (ProbabilisticmethodsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ProbabilisticmethodsPackage.eNS_URI) instanceof ProbabilisticmethodsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ProbabilisticmethodsPackage.eNS_URI) : ProbabilisticmethodsPackage.eINSTANCE);
    RequirementsPackageImpl theRequirementsPackage_1 = (RequirementsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(safe10.classmodel.requirements.RequirementsPackage.eNS_URI) instanceof RequirementsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(safe10.classmodel.requirements.RequirementsPackage.eNS_URI) : safe10.classmodel.requirements.RequirementsPackage.eINSTANCE);
    SoftwaresafetyrequirementsPackageImpl theSoftwaresafetyrequirementsPackage = (SoftwaresafetyrequirementsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(SoftwaresafetyrequirementsPackage.eNS_URI) instanceof SoftwaresafetyrequirementsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(SoftwaresafetyrequirementsPackage.eNS_URI) : SoftwaresafetyrequirementsPackage.eINSTANCE);
    AlivenessmonitorPackageImpl theAlivenessmonitorPackage = (AlivenessmonitorPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(AlivenessmonitorPackage.eNS_URI) instanceof AlivenessmonitorPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(AlivenessmonitorPackage.eNS_URI) : AlivenessmonitorPackage.eINSTANCE);
    ActuatormonitorPackageImpl theActuatormonitorPackage = (ActuatormonitorPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ActuatormonitorPackage.eNS_URI) instanceof ActuatormonitorPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ActuatormonitorPackage.eNS_URI) : ActuatormonitorPackage.eINSTANCE);
    CrcchecksumPackageImpl theCrcchecksumPackage = (CrcchecksumPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(CrcchecksumPackage.eNS_URI) instanceof CrcchecksumPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(CrcchecksumPackage.eNS_URI) : CrcchecksumPackage.eINSTANCE);
    ComparisonPackageImpl theComparisonPackage = (ComparisonPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ComparisonPackage.eNS_URI) instanceof ComparisonPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ComparisonPackage.eNS_URI) : ComparisonPackage.eINSTANCE);
    ContextrangecheckPackageImpl theContextrangecheckPackage = (ContextrangecheckPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ContextrangecheckPackage.eNS_URI) instanceof ContextrangecheckPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ContextrangecheckPackage.eNS_URI) : ContextrangecheckPackage.eINSTANCE);
    CpuselftestPackageImpl theCpuselftestPackage = (CpuselftestPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(CpuselftestPackage.eNS_URI) instanceof CpuselftestPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(CpuselftestPackage.eNS_URI) : CpuselftestPackage.eINSTANCE);
    FilterPackageImpl theFilterPackage = (FilterPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(FilterPackage.eNS_URI) instanceof FilterPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(FilterPackage.eNS_URI) : FilterPackage.eINSTANCE);
    GradientcheckPackageImpl theGradientcheckPackage = (GradientcheckPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(GradientcheckPackage.eNS_URI) instanceof GradientcheckPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(GradientcheckPackage.eNS_URI) : GradientcheckPackage.eINSTANCE);
    HealthmonitorPackageImpl theHealthmonitorPackage = (HealthmonitorPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(HealthmonitorPackage.eNS_URI) instanceof HealthmonitorPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(HealthmonitorPackage.eNS_URI) : HealthmonitorPackage.eINSTANCE);
    HeartbeatPackageImpl theHeartbeatPackage = (HeartbeatPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(HeartbeatPackage.eNS_URI) instanceof HeartbeatPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(HeartbeatPackage.eNS_URI) : HeartbeatPackage.eINSTANCE);
    MemoryselftestPackageImpl theMemoryselftestPackage = (MemoryselftestPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(MemoryselftestPackage.eNS_URI) instanceof MemoryselftestPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(MemoryselftestPackage.eNS_URI) : MemoryselftestPackage.eINSTANCE);
    VotingPackageImpl theVotingPackage = (VotingPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(VotingPackage.eNS_URI) instanceof VotingPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(VotingPackage.eNS_URI) : VotingPackage.eINSTANCE);
    safe10.classmodel.software.configuration.impl.ConfigurationPackageImpl theConfigurationPackage_1 = (safe10.classmodel.software.configuration.impl.ConfigurationPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(safe10.classmodel.software.configuration.ConfigurationPackage.eNS_URI) instanceof safe10.classmodel.software.configuration.impl.ConfigurationPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(safe10.classmodel.software.configuration.ConfigurationPackage.eNS_URI) : safe10.classmodel.software.configuration.ConfigurationPackage.eINSTANCE);

    // Create package meta-data objects
    theHazardsPackage.createPackageContents();
    theDatatypesPackage.createPackageContents();
    theFormulaexpressionPackage.createPackageContents();
    theReferencesPackage.createPackageContents();
    theChromosomereferencesPackage.createPackageContents();
    theSafetyextensionsPackage.createPackageContents();
    theSoftwaresafetyextensionPackage.createPackageContents();
    theTechnicalsafetyextensionPackage.createPackageContents();
    theToplevelPackage.createPackageContents();
    theConfigurationPackage.createPackageContents();
    theErrormodelPackage.createPackageContents();
    the_instancerefPackage.createPackageContents();
    theErrorbehaviorPackage.createPackageContents();
    theErrormodeltypePackage.createPackageContents();
    theMalfunctionPackage.createPackageContents();
    theFailureformulaPackage.createPackageContents();
    theFailurePackage.createPackageContents();
    theFailurepartPackage.createPackageContents();
    theHwquantitativemeasurePackage.createPackageContents();
    theHwarchitecturalmetricsPackage.createPackageContents();
    theProbabilisticmethodsPackage.createPackageContents();
    theRequirementsPackage_1.createPackageContents();
    theSoftwaresafetyrequirementsPackage.createPackageContents();
    theAlivenessmonitorPackage.createPackageContents();
    theActuatormonitorPackage.createPackageContents();
    theCrcchecksumPackage.createPackageContents();
    theComparisonPackage.createPackageContents();
    theContextrangecheckPackage.createPackageContents();
    theCpuselftestPackage.createPackageContents();
    theFilterPackage.createPackageContents();
    theGradientcheckPackage.createPackageContents();
    theHealthmonitorPackage.createPackageContents();
    theHeartbeatPackage.createPackageContents();
    theMemoryselftestPackage.createPackageContents();
    theVotingPackage.createPackageContents();
    theConfigurationPackage_1.createPackageContents();

    // Initialize created meta-data
    theHazardsPackage.initializePackageContents();
    theDatatypesPackage.initializePackageContents();
    theFormulaexpressionPackage.initializePackageContents();
    theReferencesPackage.initializePackageContents();
    theChromosomereferencesPackage.initializePackageContents();
    theSafetyextensionsPackage.initializePackageContents();
    theSoftwaresafetyextensionPackage.initializePackageContents();
    theTechnicalsafetyextensionPackage.initializePackageContents();
    theToplevelPackage.initializePackageContents();
    theConfigurationPackage.initializePackageContents();
    theErrormodelPackage.initializePackageContents();
    the_instancerefPackage.initializePackageContents();
    theErrorbehaviorPackage.initializePackageContents();
    theErrormodeltypePackage.initializePackageContents();
    theMalfunctionPackage.initializePackageContents();
    theFailureformulaPackage.initializePackageContents();
    theFailurePackage.initializePackageContents();
    theFailurepartPackage.initializePackageContents();
    theHwquantitativemeasurePackage.initializePackageContents();
    theHwarchitecturalmetricsPackage.initializePackageContents();
    theProbabilisticmethodsPackage.initializePackageContents();
    theRequirementsPackage_1.initializePackageContents();
    theSoftwaresafetyrequirementsPackage.initializePackageContents();
    theAlivenessmonitorPackage.initializePackageContents();
    theActuatormonitorPackage.initializePackageContents();
    theCrcchecksumPackage.initializePackageContents();
    theComparisonPackage.initializePackageContents();
    theContextrangecheckPackage.initializePackageContents();
    theCpuselftestPackage.initializePackageContents();
    theFilterPackage.initializePackageContents();
    theGradientcheckPackage.initializePackageContents();
    theHealthmonitorPackage.initializePackageContents();
    theHeartbeatPackage.initializePackageContents();
    theMemoryselftestPackage.initializePackageContents();
    theVotingPackage.initializePackageContents();
    theConfigurationPackage_1.initializePackageContents();

    // Mark meta-data to indicate it can't be changed
    theHazardsPackage.freeze();

  
    // Update the registry and return the package
    EPackage.Registry.INSTANCE.put(HazardsPackage.eNS_URI, theHazardsPackage);
    return theHazardsPackage;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getActor()
  {
    return actorEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getActor_Informal()
  {
    return (EAttribute)actorEClass.getEStructuralFeatures().get(0);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getActor_Formal()
  {
    return (EAttribute)actorEClass.getEStructuralFeatures().get(1);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getActor_OperationalActor()
  {
    return (EReference)actorEClass.getEStructuralFeatures().get(2);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getActor_OperationalCondition()
  {
    return (EReference)actorEClass.getEStructuralFeatures().get(3);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAtomicCondition()
  {
    return atomicConditionEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getAtomicCondition_Property()
  {
    return (EReference)atomicConditionEClass.getEStructuralFeatures().get(0);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getCompositeCondition()
  {
    return compositeConditionEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getCompositeCondition_Operator()
  {
    return (EAttribute)compositeConditionEClass.getEStructuralFeatures().get(0);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getCompositeCondition_Operand()
  {
    return (EReference)compositeConditionEClass.getEStructuralFeatures().get(1);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getControllabilityReference()
  {
    return controllabilityReferenceEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getControllabilityReference_TableOfValues()
  {
    return (EAttribute)controllabilityReferenceEClass.getEStructuralFeatures().get(0);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getControllabilityReference_Function()
  {
    return (EAttribute)controllabilityReferenceEClass.getEStructuralFeatures().get(1);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getControllabilityReference_Classification()
  {
    return (EAttribute)controllabilityReferenceEClass.getEStructuralFeatures().get(2);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getHazard()
  {
    return hazardEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getHazard_Formal()
  {
    return (EAttribute)hazardEClass.getEStructuralFeatures().get(0);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getHazard_Informal()
  {
    return (EAttribute)hazardEClass.getEStructuralFeatures().get(1);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getHazard_Malfunction()
  {
    return (EReference)hazardEClass.getEStructuralFeatures().get(2);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getHazardousEvent()
  {
    return hazardousEventEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getHazardousEvent_Consequences()
  {
    return (EAttribute)hazardousEventEClass.getEStructuralFeatures().get(0);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getHazardousEvent_HazardClassification()
  {
    return (EAttribute)hazardousEventEClass.getEStructuralFeatures().get(1);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getHazardousEvent_Exposure()
  {
    return (EAttribute)hazardousEventEClass.getEStructuralFeatures().get(2);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getHazardousEvent_Severity()
  {
    return (EAttribute)hazardousEventEClass.getEStructuralFeatures().get(3);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getHazardousEvent_Controllability()
  {
    return (EAttribute)hazardousEventEClass.getEStructuralFeatures().get(4);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getHazardousEvent_SafetyGoal()
  {
    return (EReference)hazardousEventEClass.getEStructuralFeatures().get(5);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getHazardousEvent_Environment()
  {
    return (EReference)hazardousEventEClass.getEStructuralFeatures().get(6);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getHazardousEvent_OperationalSituation()
  {
    return (EReference)hazardousEventEClass.getEStructuralFeatures().get(7);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getHazardousEvent_Traffic()
  {
    return (EReference)hazardousEventEClass.getEStructuralFeatures().get(8);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getHazardousEvent_Controllability2()
  {
    return (EReference)hazardousEventEClass.getEStructuralFeatures().get(9);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getHazardousEvent_Hazard()
  {
    return (EReference)hazardousEventEClass.getEStructuralFeatures().get(10);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getOperatingMode()
  {
    return operatingModeEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getOperatingMode_SafetyRelated()
  {
    return (EAttribute)operatingModeEClass.getEStructuralFeatures().get(0);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getOperatingMode_SafeState()
  {
    return (EReference)operatingModeEClass.getEStructuralFeatures().get(1);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getOperationalActor()
  {
    return operationalActorEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getOperationalActor_Property()
  {
    return (EReference)operationalActorEClass.getEStructuralFeatures().get(0);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getOperationalCondition()
  {
    return operationalConditionEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getOperationalSituation()
  {
    return operationalSituationEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getOperationalSituation_OtherSubjects()
  {
    return (EReference)operationalSituationEClass.getEStructuralFeatures().get(0);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getOperationalSituation_Environment()
  {
    return (EReference)operationalSituationEClass.getEStructuralFeatures().get(1);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getOperationalSituation_Driver()
  {
    return (EReference)operationalSituationEClass.getEStructuralFeatures().get(2);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getOperationalSituation_ExternalHardware()
  {
    return (EReference)operationalSituationEClass.getEStructuralFeatures().get(3);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getOperationalSituation_OtherParticipants()
  {
    return (EReference)operationalSituationEClass.getEStructuralFeatures().get(4);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getProperty()
  {
    return propertyEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getRiskDescription()
  {
    return riskDescriptionEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getSafeState()
  {
    return safeStateEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EEnum getCompositeConditionOperator()
  {
    return compositeConditionOperatorEEnum;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EEnum getControllabilityClassKind()
  {
    return controllabilityClassKindEEnum;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EEnum getExposureClassKind()
  {
    return exposureClassKindEEnum;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EEnum getSeverityClassKind()
  {
    return severityClassKindEEnum;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public HazardsFactory getHazardsFactory()
  {
    return (HazardsFactory)getEFactoryInstance();
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private boolean isCreated = false;

  /**
   * Creates the meta-model objects for the package.  This method is
   * guarded to have no affect on any invocation but its first.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void createPackageContents()
  {
    if (isCreated) return;
    isCreated = true;

    // Create classes and their features
    actorEClass = createEClass(ACTOR);
    createEAttribute(actorEClass, ACTOR__INFORMAL);
    createEAttribute(actorEClass, ACTOR__FORMAL);
    createEReference(actorEClass, ACTOR__OPERATIONAL_ACTOR);
    createEReference(actorEClass, ACTOR__OPERATIONAL_CONDITION);

    atomicConditionEClass = createEClass(ATOMIC_CONDITION);
    createEReference(atomicConditionEClass, ATOMIC_CONDITION__PROPERTY);

    compositeConditionEClass = createEClass(COMPOSITE_CONDITION);
    createEAttribute(compositeConditionEClass, COMPOSITE_CONDITION__OPERATOR);
    createEReference(compositeConditionEClass, COMPOSITE_CONDITION__OPERAND);

    controllabilityReferenceEClass = createEClass(CONTROLLABILITY_REFERENCE);
    createEAttribute(controllabilityReferenceEClass, CONTROLLABILITY_REFERENCE__TABLE_OF_VALUES);
    createEAttribute(controllabilityReferenceEClass, CONTROLLABILITY_REFERENCE__FUNCTION);
    createEAttribute(controllabilityReferenceEClass, CONTROLLABILITY_REFERENCE__CLASSIFICATION);

    hazardEClass = createEClass(HAZARD);
    createEAttribute(hazardEClass, HAZARD__FORMAL);
    createEAttribute(hazardEClass, HAZARD__INFORMAL);
    createEReference(hazardEClass, HAZARD__MALFUNCTION);

    hazardousEventEClass = createEClass(HAZARDOUS_EVENT);
    createEAttribute(hazardousEventEClass, HAZARDOUS_EVENT__CONSEQUENCES);
    createEAttribute(hazardousEventEClass, HAZARDOUS_EVENT__HAZARD_CLASSIFICATION);
    createEAttribute(hazardousEventEClass, HAZARDOUS_EVENT__EXPOSURE);
    createEAttribute(hazardousEventEClass, HAZARDOUS_EVENT__SEVERITY);
    createEAttribute(hazardousEventEClass, HAZARDOUS_EVENT__CONTROLLABILITY);
    createEReference(hazardousEventEClass, HAZARDOUS_EVENT__SAFETY_GOAL);
    createEReference(hazardousEventEClass, HAZARDOUS_EVENT__ENVIRONMENT);
    createEReference(hazardousEventEClass, HAZARDOUS_EVENT__OPERATIONAL_SITUATION);
    createEReference(hazardousEventEClass, HAZARDOUS_EVENT__TRAFFIC);
    createEReference(hazardousEventEClass, HAZARDOUS_EVENT__CONTROLLABILITY2);
    createEReference(hazardousEventEClass, HAZARDOUS_EVENT__HAZARD);

    operatingModeEClass = createEClass(OPERATING_MODE);
    createEAttribute(operatingModeEClass, OPERATING_MODE__SAFETY_RELATED);
    createEReference(operatingModeEClass, OPERATING_MODE__SAFE_STATE);

    operationalActorEClass = createEClass(OPERATIONAL_ACTOR);
    createEReference(operationalActorEClass, OPERATIONAL_ACTOR__PROPERTY);

    operationalConditionEClass = createEClass(OPERATIONAL_CONDITION);

    operationalSituationEClass = createEClass(OPERATIONAL_SITUATION);
    createEReference(operationalSituationEClass, OPERATIONAL_SITUATION__OTHER_SUBJECTS);
    createEReference(operationalSituationEClass, OPERATIONAL_SITUATION__ENVIRONMENT);
    createEReference(operationalSituationEClass, OPERATIONAL_SITUATION__DRIVER);
    createEReference(operationalSituationEClass, OPERATIONAL_SITUATION__EXTERNAL_HARDWARE);
    createEReference(operationalSituationEClass, OPERATIONAL_SITUATION__OTHER_PARTICIPANTS);

    propertyEClass = createEClass(PROPERTY);

    riskDescriptionEClass = createEClass(RISK_DESCRIPTION);

    safeStateEClass = createEClass(SAFE_STATE);

    // Create enums
    compositeConditionOperatorEEnum = createEEnum(COMPOSITE_CONDITION_OPERATOR);
    controllabilityClassKindEEnum = createEEnum(CONTROLLABILITY_CLASS_KIND);
    exposureClassKindEEnum = createEEnum(EXPOSURE_CLASS_KIND);
    severityClassKindEEnum = createEEnum(SEVERITY_CLASS_KIND);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private boolean isInitialized = false;

  /**
   * Complete the initialization of the package and its meta-model.  This
   * method is guarded to have no affect on any invocation but its first.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void initializePackageContents()
  {
    if (isInitialized) return;
    isInitialized = true;

    // Initialize package
    setName(eNAME);
    setNsPrefix(eNS_PREFIX);
    setNsURI(eNS_URI);

    // Obtain other dependent packages
    ToplevelPackage theToplevelPackage = (ToplevelPackage)EPackage.Registry.INSTANCE.getEPackage(ToplevelPackage.eNS_URI);
    DatatypesPackage theDatatypesPackage = (DatatypesPackage)EPackage.Registry.INSTANCE.getEPackage(DatatypesPackage.eNS_URI);
    MalfunctionPackage theMalfunctionPackage = (MalfunctionPackage)EPackage.Registry.INSTANCE.getEPackage(MalfunctionPackage.eNS_URI);
    safe10.classmodel.requirements.RequirementsPackage theRequirementsPackage_1 = (safe10.classmodel.requirements.RequirementsPackage)EPackage.Registry.INSTANCE.getEPackage(safe10.classmodel.requirements.RequirementsPackage.eNS_URI);
    EnvironmentPackage theEnvironmentPackage = (EnvironmentPackage)EPackage.Registry.INSTANCE.getEPackage(EnvironmentPackage.eNS_URI);

    // Create type parameters

    // Set bounds for type parameters

    // Add supertypes to classes
    actorEClass.getESuperTypes().add(theToplevelPackage.getIdentifiable());
    atomicConditionEClass.getESuperTypes().add(this.getOperationalCondition());
    compositeConditionEClass.getESuperTypes().add(this.getOperationalCondition());
    controllabilityReferenceEClass.getESuperTypes().add(theToplevelPackage.getIdentifiable());
    hazardEClass.getESuperTypes().add(theToplevelPackage.getIdentifiable());
    hazardousEventEClass.getESuperTypes().add(theToplevelPackage.getIdentifiable());
    hazardousEventEClass.getESuperTypes().add(theRequirementsPackage_1.getTraceableSpecification());
    operationalSituationEClass.getESuperTypes().add(theRequirementsPackage_1.getTraceableSpecification());
    riskDescriptionEClass.getESuperTypes().add(this.getHazardousEvent());

    // Initialize classes and features; add operations and parameters
    initEClass(actorEClass, Actor.class, "Actor", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
    initEAttribute(getActor_Informal(), theDatatypesPackage.getString(), "informal", "", 0, 1, Actor.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getActor_Formal(), theDatatypesPackage.getString(), "formal", "", 1, 1, Actor.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEReference(getActor_OperationalActor(), this.getOperationalActor(), null, "operationalActor", null, 1, 1, Actor.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEReference(getActor_OperationalCondition(), this.getOperationalCondition(), null, "operationalCondition", null, 0, 1, Actor.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

    initEClass(atomicConditionEClass, AtomicCondition.class, "AtomicCondition", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
    initEReference(getAtomicCondition_Property(), this.getProperty(), null, "property", null, 0, -1, AtomicCondition.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

    initEClass(compositeConditionEClass, CompositeCondition.class, "CompositeCondition", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
    initEAttribute(getCompositeCondition_Operator(), this.getCompositeConditionOperator(), "operator", "AND", 1, 1, CompositeCondition.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEReference(getCompositeCondition_Operand(), this.getOperationalCondition(), null, "operand", null, 2, -1, CompositeCondition.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

    initEClass(controllabilityReferenceEClass, ControllabilityReference.class, "ControllabilityReference", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
    initEAttribute(getControllabilityReference_TableOfValues(), theDatatypesPackage.getString(), "tableOfValues", "", 0, 1, ControllabilityReference.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getControllabilityReference_Function(), theDatatypesPackage.getString(), "function", "", 1, 1, ControllabilityReference.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getControllabilityReference_Classification(), this.getControllabilityClassKind(), "classification", "C0", 1, 1, ControllabilityReference.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

    initEClass(hazardEClass, Hazard.class, "Hazard", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
    initEAttribute(getHazard_Formal(), theDatatypesPackage.getString(), "formal", "", 1, 1, Hazard.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getHazard_Informal(), theDatatypesPackage.getString(), "informal", "", 1, 1, Hazard.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEReference(getHazard_Malfunction(), theMalfunctionPackage.getMalfunctionPrototype(), null, "malfunction", null, 1, 1, Hazard.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

    initEClass(hazardousEventEClass, HazardousEvent.class, "HazardousEvent", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
    initEAttribute(getHazardousEvent_Consequences(), theDatatypesPackage.getString(), "consequences", "", 0, 1, HazardousEvent.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getHazardousEvent_HazardClassification(), theDatatypesPackage.getASILEnum(), "hazardClassification", "ASIL_A", 1, 1, HazardousEvent.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getHazardousEvent_Exposure(), this.getExposureClassKind(), "exposure", "E1", 1, 1, HazardousEvent.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getHazardousEvent_Severity(), this.getSeverityClassKind(), "severity", "S0", 1, 1, HazardousEvent.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getHazardousEvent_Controllability(), this.getControllabilityClassKind(), "controllability", "C0", 1, 1, HazardousEvent.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEReference(getHazardousEvent_SafetyGoal(), theRequirementsPackage_1.getFunctionalSafetyRequirement(), null, "safetyGoal", null, 1, -1, HazardousEvent.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEReference(getHazardousEvent_Environment(), this.getOperationalSituation(), null, "environment", null, 0, -1, HazardousEvent.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEReference(getHazardousEvent_OperationalSituation(), this.getOperationalSituation(), null, "operationalSituation", null, 1, 1, HazardousEvent.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEReference(getHazardousEvent_Traffic(), this.getOperationalSituation(), null, "traffic", null, 0, -1, HazardousEvent.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEReference(getHazardousEvent_Controllability2(), this.getControllabilityReference(), null, "controllability2", null, 1, 1, HazardousEvent.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEReference(getHazardousEvent_Hazard(), this.getHazard(), null, "hazard", null, 1, 1, HazardousEvent.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

    initEClass(operatingModeEClass, OperatingMode.class, "OperatingMode", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
    initEAttribute(getOperatingMode_SafetyRelated(), theDatatypesPackage.getBoolean(), "safetyRelated", "false", 1, 1, OperatingMode.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEReference(getOperatingMode_SafeState(), this.getSafeState(), null, "safeState", null, 1, 1, OperatingMode.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

    initEClass(operationalActorEClass, OperationalActor.class, "OperationalActor", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
    initEReference(getOperationalActor_Property(), this.getProperty(), null, "property", null, 0, -1, OperationalActor.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

    initEClass(operationalConditionEClass, OperationalCondition.class, "OperationalCondition", IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(operationalSituationEClass, OperationalSituation.class, "OperationalSituation", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
    initEReference(getOperationalSituation_OtherSubjects(), this.getActor(), null, "otherSubjects", null, 0, -1, OperationalSituation.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEReference(getOperationalSituation_Environment(), theEnvironmentPackage.getEnvironment(), null, "environment", null, 0, 1, OperationalSituation.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEReference(getOperationalSituation_Driver(), this.getActor(), null, "driver", null, 0, 1, OperationalSituation.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEReference(getOperationalSituation_ExternalHardware(), this.getActor(), null, "externalHardware", null, 0, -1, OperationalSituation.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEReference(getOperationalSituation_OtherParticipants(), this.getActor(), null, "otherParticipants", null, 0, -1, OperationalSituation.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

    initEClass(propertyEClass, Property.class, "Property", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(riskDescriptionEClass, RiskDescription.class, "RiskDescription", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(safeStateEClass, SafeState.class, "SafeState", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    // Initialize enums and add enum literals
    initEEnum(compositeConditionOperatorEEnum, CompositeConditionOperator.class, "CompositeConditionOperator");
    addEEnumLiteral(compositeConditionOperatorEEnum, CompositeConditionOperator.AND);
    addEEnumLiteral(compositeConditionOperatorEEnum, CompositeConditionOperator.OR);

    initEEnum(controllabilityClassKindEEnum, ControllabilityClassKind.class, "ControllabilityClassKind");
    addEEnumLiteral(controllabilityClassKindEEnum, ControllabilityClassKind.C0);
    addEEnumLiteral(controllabilityClassKindEEnum, ControllabilityClassKind.C1);
    addEEnumLiteral(controllabilityClassKindEEnum, ControllabilityClassKind.C3);
    addEEnumLiteral(controllabilityClassKindEEnum, ControllabilityClassKind.C4);

    initEEnum(exposureClassKindEEnum, ExposureClassKind.class, "ExposureClassKind");
    addEEnumLiteral(exposureClassKindEEnum, ExposureClassKind.E1);
    addEEnumLiteral(exposureClassKindEEnum, ExposureClassKind.E2);
    addEEnumLiteral(exposureClassKindEEnum, ExposureClassKind.E3);
    addEEnumLiteral(exposureClassKindEEnum, ExposureClassKind.E4);

    initEEnum(severityClassKindEEnum, SeverityClassKind.class, "SeverityClassKind");
    addEEnumLiteral(severityClassKindEEnum, SeverityClassKind.S0);
    addEEnumLiteral(severityClassKindEEnum, SeverityClassKind.S1);
    addEEnumLiteral(severityClassKindEEnum, SeverityClassKind.S2);
    addEEnumLiteral(severityClassKindEEnum, SeverityClassKind.S3);

    // Create resource
    createResource(eNS_URI);

    // Create annotations
    // MetaData
    createMetaDataAnnotations();
    // TaggedValues
    createTaggedValuesAnnotations();
    // EAAdapter
    createEAAdapterAnnotations();
    // Stereotype
    createStereotypeAnnotations();
  }

  /**
   * Initializes the annotations for <b>MetaData</b>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected void createMetaDataAnnotations()
  {
    String source = "MetaData";		
    addAnnotation
      (this, 
       source, 
       new String[] 
       {
       "guid", "{8522B1E8-4F0B-416f-9BF4-547220561A06}",
       "id", "-750323440",
       "EA name", "Hazards"
       });				
    addAnnotation
      (actorEClass, 
       source, 
       new String[] 
       {
       "guid", "{6BD046FA-A800-46db-83FA-138E3CF484CC}",
       "id", "-1412318172",
       "EA name", "Actor"
       });					
    addAnnotation
      (getActor_Informal(), 
       source, 
       new String[] 
       {
       "guid", "{D1D90C66-E6C7-491b-9630-959E5EEC02B3}",
       "id", "1128861426",
       "EA name", "informal"
       });					
    addAnnotation
      (getActor_Formal(), 
       source, 
       new String[] 
       {
       "guid", "{D1DB2CFF-10E0-467c-8944-1389B7422F03}",
       "id", "-135894443",
       "EA name", "formal"
       });					
    addAnnotation
      (getActor_OperationalActor(), 
       source, 
       new String[] 
       {
       "guid", "{9B30BD7B-09BC-48af-80E8-8628351A40B2}",
       "id", "1760327342",
       "EA name", ""
       });				
    addAnnotation
      (getActor_OperationalCondition(), 
       source, 
       new String[] 
       {
       "guid", "{06802F1C-B7CA-470d-89A0-ABB1D7995922}",
       "id", "1356748868",
       "EA name", ""
       });				
    addAnnotation
      (atomicConditionEClass, 
       source, 
       new String[] 
       {
       "guid", "{777F352C-782D-4471-AF63-3000CE322B93}",
       "id", "-1906262590",
       "EA name", "AtomicCondition"
       });				
    addAnnotation
      (getAtomicCondition_Property(), 
       source, 
       new String[] 
       {
       "guid", "{D7F1BF24-D876-4282-B6F2-B1CC53389273}",
       "id", "704489101",
       "EA name", ""
       });				
    addAnnotation
      (compositeConditionEClass, 
       source, 
       new String[] 
       {
       "guid", "{4CF08611-FAD2-4496-B95B-358AF9BB431B}",
       "id", "402499355",
       "EA name", "CompositeCondition"
       });				
    addAnnotation
      (getCompositeCondition_Operator(), 
       source, 
       new String[] 
       {
       "guid", "{309E98A2-5E33-40d7-AA18-95CFF5744551}",
       "id", "-1686593088",
       "EA name", "operator"
       });				
    addAnnotation
      (getCompositeCondition_Operand(), 
       source, 
       new String[] 
       {
       "guid", "{447263AF-0922-4b8a-8C36-0E168CE0508E}",
       "id", "-1218274315",
       "EA name", ""
       });				
    addAnnotation
      (compositeConditionOperatorEEnum, 
       source, 
       new String[] 
       {
       "guid", "{DEEFBD75-D3D5-4440-B94A-3EAE24C79658}",
       "id", "1447017898",
       "EA name", "CompositeConditionOperator"
       });									
    addAnnotation
      (controllabilityClassKindEEnum, 
       source, 
       new String[] 
       {
       "guid", "{74724924-10DE-47be-BA48-4A4478DDD8FA}",
       "id", "553206171",
       "EA name", "ControllabilityClassKind"
       });													
    addAnnotation
      (controllabilityReferenceEClass, 
       source, 
       new String[] 
       {
       "guid", "{F9B3E6C3-775A-447c-87A2-431526F0E23F}",
       "id", "-105606735",
       "EA name", "ControllabilityReference"
       });					
    addAnnotation
      (getControllabilityReference_TableOfValues(), 
       source, 
       new String[] 
       {
       "guid", "{FFA4C02C-9B0B-48de-9F43-83E0D77FF2D3}",
       "id", "-721587385",
       "EA name", "tableOfValues"
       });					
    addAnnotation
      (getControllabilityReference_Function(), 
       source, 
       new String[] 
       {
       "guid", "{33BB7727-BD24-410d-8EFB-A79515358B38}",
       "id", "-689790434",
       "EA name", "function"
       });					
    addAnnotation
      (getControllabilityReference_Classification(), 
       source, 
       new String[] 
       {
       "guid", "{5DA9440C-973D-4368-95B1-6F205271D991}",
       "id", "1552555596",
       "EA name", "classification"
       });				
    addAnnotation
      (exposureClassKindEEnum, 
       source, 
       new String[] 
       {
       "guid", "{4378BC0B-A4E3-4eca-A021-4116A0636155}",
       "id", "-1551718831",
       "EA name", "ExposureClassKind"
       });														
    addAnnotation
      (hazardEClass, 
       source, 
       new String[] 
       {
       "guid", "{FBE4CEFB-5060-484b-8AF1-EAA98AEE2514}",
       "id", "1125210707",
       "EA name", "Hazard"
       });					
    addAnnotation
      (getHazard_Formal(), 
       source, 
       new String[] 
       {
       "guid", "{3EBE641F-F519-4b36-A1CC-6262F0955155}",
       "id", "-1762430312",
       "EA name", "formal"
       });					
    addAnnotation
      (getHazard_Informal(), 
       source, 
       new String[] 
       {
       "guid", "{3FE97368-C875-4dfa-B2EA-0B3F56003C91}",
       "id", "-272649031",
       "EA name", "informal"
       });					
    addAnnotation
      (getHazard_Malfunction(), 
       source, 
       new String[] 
       {
       "guid", "{9972297D-33EF-49eb-A9B4-343579BB74C9}",
       "id", "-2080297029",
       "EA name", ""
       });				
    addAnnotation
      (hazardousEventEClass, 
       source, 
       new String[] 
       {
       "guid", "{40DDB7C0-40D7-4c0f-8468-6E63172A63D1}",
       "id", "1703341761",
       "EA name", "HazardousEvent"
       });					
    addAnnotation
      (getHazardousEvent_Consequences(), 
       source, 
       new String[] 
       {
       "guid", "{A18A751D-D8C3-4d64-B147-B3E32689104E}",
       "id", "-1099342354",
       "EA name", "consequences"
       });					
    addAnnotation
      (getHazardousEvent_HazardClassification(), 
       source, 
       new String[] 
       {
       "guid", "{0BDD06EE-0CE0-4436-907F-05680B1A7F28}",
       "id", "498683154",
       "EA name", "hazardClassification"
       });					
    addAnnotation
      (getHazardousEvent_Exposure(), 
       source, 
       new String[] 
       {
       "guid", "{DE320B56-F2CE-4e73-9451-4AF2ABFDBECF}",
       "id", "1920965469",
       "EA name", "exposure"
       });					
    addAnnotation
      (getHazardousEvent_Severity(), 
       source, 
       new String[] 
       {
       "guid", "{7A0BF924-CCB0-4450-97CC-4C0540A81C57}",
       "id", "-1941709478",
       "EA name", "severity"
       });					
    addAnnotation
      (getHazardousEvent_Controllability(), 
       source, 
       new String[] 
       {
       "guid", "{6BA0DDE8-FEA4-43ac-8BF4-47CA20A88B63}",
       "id", "-182794368",
       "EA name", "controllability"
       });					
    addAnnotation
      (getHazardousEvent_SafetyGoal(), 
       source, 
       new String[] 
       {
       "guid", "{19F6FFF6-1314-4b4f-9474-6A17DD953EC3}",
       "id", "-1858036243",
       "EA name", ""
       });				
    addAnnotation
      (getHazardousEvent_Environment(), 
       source, 
       new String[] 
       {
       "guid", "{4ABF1186-C556-491c-ADE3-9351441875F5}",
       "id", "-801870112",
       "EA name", ""
       });				
    addAnnotation
      (getHazardousEvent_OperationalSituation(), 
       source, 
       new String[] 
       {
       "guid", "{18564C90-A2B3-49ad-9114-EAF3C8998266}",
       "id", "134883410",
       "EA name", ""
       });				
    addAnnotation
      (getHazardousEvent_Traffic(), 
       source, 
       new String[] 
       {
       "guid", "{20A161DF-EA79-4113-B3A9-CA1DA39AD727}",
       "id", "215268705",
       "EA name", ""
       });				
    addAnnotation
      (getHazardousEvent_Controllability2(), 
       source, 
       new String[] 
       {
       "guid", "{F7017812-2B9A-42c3-B4E6-4DF6AB64898C}",
       "id", "1077115467",
       "EA name", ""
       });				
    addAnnotation
      (getHazardousEvent_Hazard(), 
       source, 
       new String[] 
       {
       "guid", "{5655A256-DC17-4b59-9D52-0A323F6A5011}",
       "id", "1740214805",
       "EA name", ""
       });				
    addAnnotation
      (operatingModeEClass, 
       source, 
       new String[] 
       {
       "guid", "{10219929-E2B9-4b52-A06A-91EE2C2AB8C7}",
       "id", "542677297",
       "EA name", "OperatingMode"
       });					
    addAnnotation
      (getOperatingMode_SafetyRelated(), 
       source, 
       new String[] 
       {
       "guid", "{E98C43EC-6E6A-42a5-A891-2C9CC671ECBA}",
       "id", "1151314092",
       "EA name", "safetyRelated"
       });				
    addAnnotation
      (getOperatingMode_SafeState(), 
       source, 
       new String[] 
       {
       "guid", "{29D91C90-1996-4e1e-8261-A811F5CF53D8}",
       "id", "-1651837908",
       "EA name", ""
       });				
    addAnnotation
      (operationalActorEClass, 
       source, 
       new String[] 
       {
       "guid", "{BB32A47B-33C0-4636-BDEE-F622DFD2220D}",
       "id", "-1666705808",
       "EA name", "OperationalActor"
       });				
    addAnnotation
      (getOperationalActor_Property(), 
       source, 
       new String[] 
       {
       "guid", "{0BD0CE66-0B5D-4878-996E-EEF0AD006A4D}",
       "id", "2028217563",
       "EA name", ""
       });				
    addAnnotation
      (operationalConditionEClass, 
       source, 
       new String[] 
       {
       "guid", "{5F5A4C73-63A6-47e9-8348-EBE2CC08383C}",
       "id", "1399398410",
       "EA name", "OperationalCondition"
       });				
    addAnnotation
      (operationalSituationEClass, 
       source, 
       new String[] 
       {
       "guid", "{FF0A044E-CF76-46f6-8E90-A8791083C522}",
       "id", "-1141085200",
       "EA name", "OperationalSituation"
       });					
    addAnnotation
      (getOperationalSituation_OtherSubjects(), 
       source, 
       new String[] 
       {
       "guid", "{2D262B62-EA66-487c-8A97-9A04FC01805A}",
       "id", "-1938993912",
       "EA name", ""
       });				
    addAnnotation
      (getOperationalSituation_Environment(), 
       source, 
       new String[] 
       {
       "guid", "{924D0175-53D0-4754-BDAF-48F91509F4B1}",
       "id", "-1694934980",
       "EA name", ""
       });				
    addAnnotation
      (getOperationalSituation_Driver(), 
       source, 
       new String[] 
       {
       "guid", "{64B412BC-A1D4-4742-AEFF-10B66BCA6497}",
       "id", "845963527",
       "EA name", ""
       });				
    addAnnotation
      (getOperationalSituation_ExternalHardware(), 
       source, 
       new String[] 
       {
       "guid", "{05885B18-6E67-46e1-860E-EB0161202715}",
       "id", "1252791427",
       "EA name", ""
       });				
    addAnnotation
      (getOperationalSituation_OtherParticipants(), 
       source, 
       new String[] 
       {
       "guid", "{FE5BE433-EC89-488f-9704-5F2F267A2028}",
       "id", "1686740702",
       "EA name", ""
       });				
    addAnnotation
      (propertyEClass, 
       source, 
       new String[] 
       {
       "guid", "{230C7502-F693-43f3-94A7-3BBDCC558769}",
       "id", "-745839191",
       "EA name", "Property"
       });				
    addAnnotation
      (riskDescriptionEClass, 
       source, 
       new String[] 
       {
       "guid", "{07F235C9-216A-4d9c-A37A-982AA062C087}",
       "id", "15910334",
       "EA name", "RiskDescription"
       });					
    addAnnotation
      (safeStateEClass, 
       source, 
       new String[] 
       {
       "guid", "{609881EF-E11F-40cb-8211-020AB73F01ED}",
       "id", "771901005",
       "EA name", "SafeState"
       });					
    addAnnotation
      (severityClassKindEEnum, 
       source, 
       new String[] 
       {
       "guid", "{46A82B49-396E-4984-A3B5-CCCB2956CD03}",
       "id", "1726864488",
       "EA name", "SeverityClassKind"
       });											
  }

  /**
   * Initializes the annotations for <b>TaggedValues</b>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected void createTaggedValuesAnnotations()
  {
    String source = "TaggedValues";			
    addAnnotation
      (this, 
       source, 
       new String[] 
       {
       "xml.name", "HAZARDS",
       "xml.namePlural", "HAZARDSS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });					
    addAnnotation
      (actorEClass, 
       source, 
       new String[] 
       {
       "xml.name", "ACTOR",
       "xml.namePlural", "ACTORS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });					
    addAnnotation
      (getActor_Informal(), 
       source, 
       new String[] 
       {
       "xml.name", "INFORMAL",
       "xml.namePlural", "INFORMALS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });					
    addAnnotation
      (getActor_Formal(), 
       source, 
       new String[] 
       {
       "xml.name", "FORMAL",
       "xml.namePlural", "FORMALS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });				
    addAnnotation
      (getActor_OperationalActor(), 
       source, 
       new String[] 
       {
       "xml.name", "OPERATIONAL-ACTOR-REF",
       "xml.namePlural", "OPERATIONAL-ACTOR-REFS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });				
    addAnnotation
      (getActor_OperationalCondition(), 
       source, 
       new String[] 
       {
       "xml.name", "OPERATIONAL-CONDITION",
       "xml.namePlural", "OPERATIONAL-CONDITIONS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "true",
       "xml.typeWrapperElement", "false"
       });				
    addAnnotation
      (atomicConditionEClass, 
       source, 
       new String[] 
       {
       "xml.name", "ATOMIC-CONDITION",
       "xml.namePlural", "ATOMIC-CONDITIONS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });				
    addAnnotation
      (getAtomicCondition_Property(), 
       source, 
       new String[] 
       {
       "xml.name", "PROPERTY-REF",
       "xml.namePlural", "PROPERTY-REFS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "true",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });				
    addAnnotation
      (compositeConditionEClass, 
       source, 
       new String[] 
       {
       "xml.name", "COMPOSITE-CONDITION",
       "xml.namePlural", "COMPOSITE-CONDITIONS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });				
    addAnnotation
      (getCompositeCondition_Operator(), 
       source, 
       new String[] 
       {
       "xml.name", "OPERATOR",
       "xml.namePlural", "OPERATORS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });				
    addAnnotation
      (getCompositeCondition_Operand(), 
       source, 
       new String[] 
       {
       "xml.name", "OPERAND",
       "xml.namePlural", "OPERANDS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "false",
       "xml.roleWrapperElement", "true",
       "xml.typeElement", "true",
       "xml.typeWrapperElement", "false"
       });					
    addAnnotation
      (compositeConditionOperatorEEnum, 
       source, 
       new String[] 
       {
       "xml.name", "COMPOSITE-CONDITION-OPERATOR",
       "xml.namePlural", "COMPOSITE-CONDITION-OPERATORS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (compositeConditionOperatorEEnum.getELiterals().get(0), 
       source, 
       new String[] 
       {
       "xml.name", "AND",
       "xml.namePlural", "ANDS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (compositeConditionOperatorEEnum.getELiterals().get(1), 
       source, 
       new String[] 
       {
       "xml.name", "OR",
       "xml.namePlural", "ORS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });					
    addAnnotation
      (controllabilityClassKindEEnum, 
       source, 
       new String[] 
       {
       "xml.name", "CONTROLLABILITY-CLASS-KIND",
       "xml.namePlural", "CONTROLLABILITY-CLASS-KINDS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (controllabilityClassKindEEnum.getELiterals().get(0), 
       source, 
       new String[] 
       {
       "xml.name", "C-0",
       "xml.namePlural", "C-0S",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (controllabilityClassKindEEnum.getELiterals().get(1), 
       source, 
       new String[] 
       {
       "xml.name", "C-1",
       "xml.namePlural", "C-1S",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (controllabilityClassKindEEnum.getELiterals().get(2), 
       source, 
       new String[] 
       {
       "xml.name", "C-3",
       "xml.namePlural", "C-3S",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (controllabilityClassKindEEnum.getELiterals().get(3), 
       source, 
       new String[] 
       {
       "xml.name", "C-4",
       "xml.namePlural", "C-4S",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });					
    addAnnotation
      (controllabilityReferenceEClass, 
       source, 
       new String[] 
       {
       "xml.name", "CONTROLLABILITY-REFERENCE",
       "xml.namePlural", "CONTROLLABILITY-REFERENCES",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });					
    addAnnotation
      (getControllabilityReference_TableOfValues(), 
       source, 
       new String[] 
       {
       "xml.name", "TABLE-OF-VALUES",
       "xml.namePlural", "TABLE-OF-VALUESS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });					
    addAnnotation
      (getControllabilityReference_Function(), 
       source, 
       new String[] 
       {
       "xml.name", "FUNCTION",
       "xml.namePlural", "FUNCTIONS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });				
    addAnnotation
      (getControllabilityReference_Classification(), 
       source, 
       new String[] 
       {
       "xml.name", "CLASSIFICATION",
       "xml.namePlural", "CLASSIFICATIONS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });						
    addAnnotation
      (exposureClassKindEEnum, 
       source, 
       new String[] 
       {
       "xml.name", "EXPOSURE-CLASS-KIND",
       "xml.namePlural", "EXPOSURE-CLASS-KINDS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (exposureClassKindEEnum.getELiterals().get(0), 
       source, 
       new String[] 
       {
       "xml.name", "E-1",
       "xml.namePlural", "E-1S",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (exposureClassKindEEnum.getELiterals().get(1), 
       source, 
       new String[] 
       {
       "xml.name", "E-2",
       "xml.namePlural", "E-2S",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (exposureClassKindEEnum.getELiterals().get(2), 
       source, 
       new String[] 
       {
       "xml.name", "E-3",
       "xml.namePlural", "E-3S",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (exposureClassKindEEnum.getELiterals().get(3), 
       source, 
       new String[] 
       {
       "xml.name", "E-4",
       "xml.namePlural", "E-4S",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });					
    addAnnotation
      (hazardEClass, 
       source, 
       new String[] 
       {
       "xml.name", "HAZARD",
       "xml.namePlural", "HAZARDS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });					
    addAnnotation
      (getHazard_Formal(), 
       source, 
       new String[] 
       {
       "xml.name", "FORMAL",
       "xml.namePlural", "FORMALS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });					
    addAnnotation
      (getHazard_Informal(), 
       source, 
       new String[] 
       {
       "xml.name", "INFORMAL",
       "xml.namePlural", "INFORMALS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });				
    addAnnotation
      (getHazard_Malfunction(), 
       source, 
       new String[] 
       {
       "xml.name", "MALFUNCTION-REF",
       "xml.namePlural", "MALFUNCTION-REFS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });					
    addAnnotation
      (hazardousEventEClass, 
       source, 
       new String[] 
       {
       "xml.name", "HAZARDOUS-EVENT",
       "xml.namePlural", "HAZARDOUS-EVENTS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });					
    addAnnotation
      (getHazardousEvent_Consequences(), 
       source, 
       new String[] 
       {
       "xml.name", "CONSEQUENCES",
       "xml.namePlural", "CONSEQUENCESS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });					
    addAnnotation
      (getHazardousEvent_HazardClassification(), 
       source, 
       new String[] 
       {
       "xml.name", "HAZARD-CLASSIFICATION",
       "xml.namePlural", "HAZARD-CLASSIFICATIONS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });					
    addAnnotation
      (getHazardousEvent_Exposure(), 
       source, 
       new String[] 
       {
       "xml.name", "EXPOSURE",
       "xml.namePlural", "EXPOSURES",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });					
    addAnnotation
      (getHazardousEvent_Severity(), 
       source, 
       new String[] 
       {
       "xml.name", "SEVERITY",
       "xml.namePlural", "SEVERITYS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });					
    addAnnotation
      (getHazardousEvent_Controllability(), 
       source, 
       new String[] 
       {
       "xml.name", "CONTROLLABILITY",
       "xml.namePlural", "CONTROLLABILITYS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });				
    addAnnotation
      (getHazardousEvent_SafetyGoal(), 
       source, 
       new String[] 
       {
       "xml.name", "SAFETY-GOAL-REF",
       "xml.namePlural", "SAFETY-GOAL-REFS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "true",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });				
    addAnnotation
      (getHazardousEvent_Environment(), 
       source, 
       new String[] 
       {
       "xml.name", "ENVIRONMENT-REF",
       "xml.namePlural", "ENVIRONMENT-REFS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "true",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });				
    addAnnotation
      (getHazardousEvent_OperationalSituation(), 
       source, 
       new String[] 
       {
       "xml.name", "OPERATIONAL-SITUATION-REF",
       "xml.namePlural", "OPERATIONAL-SITUATION-REFS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });				
    addAnnotation
      (getHazardousEvent_Traffic(), 
       source, 
       new String[] 
       {
       "xml.name", "TRAFFIC-REF",
       "xml.namePlural", "TRAFFIC-REFS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "true",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });				
    addAnnotation
      (getHazardousEvent_Controllability2(), 
       source, 
       new String[] 
       {
       "xml.name", "CONTROLLABILITY-2-REF",
       "xml.namePlural", "CONTROLLABILITY-2-REFS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });				
    addAnnotation
      (getHazardousEvent_Hazard(), 
       source, 
       new String[] 
       {
       "xml.name", "HAZARD-REF",
       "xml.namePlural", "HAZARD-REFS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });					
    addAnnotation
      (operatingModeEClass, 
       source, 
       new String[] 
       {
       "xml.name", "OPERATING-MODE",
       "xml.namePlural", "OPERATING-MODES",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });				
    addAnnotation
      (getOperatingMode_SafetyRelated(), 
       source, 
       new String[] 
       {
       "xml.name", "SAFETY-RELATED",
       "xml.namePlural", "SAFETY-RELATEDS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });				
    addAnnotation
      (getOperatingMode_SafeState(), 
       source, 
       new String[] 
       {
       "xml.name", "SAFE-STATE-REF",
       "xml.namePlural", "SAFE-STATE-REFS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });				
    addAnnotation
      (operationalActorEClass, 
       source, 
       new String[] 
       {
       "xml.name", "OPERATIONAL-ACTOR",
       "xml.namePlural", "OPERATIONAL-ACTORS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });				
    addAnnotation
      (getOperationalActor_Property(), 
       source, 
       new String[] 
       {
       "xml.name", "PROPERTY",
       "xml.namePlural", "PROPERTYS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "false",
       "xml.roleWrapperElement", "true",
       "xml.typeElement", "true",
       "xml.typeWrapperElement", "false"
       });				
    addAnnotation
      (operationalConditionEClass, 
       source, 
       new String[] 
       {
       "xml.name", "OPERATIONAL-CONDITION",
       "xml.namePlural", "OPERATIONAL-CONDITIONS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });					
    addAnnotation
      (operationalSituationEClass, 
       source, 
       new String[] 
       {
       "xml.name", "OPERATIONAL-SITUATION",
       "xml.namePlural", "OPERATIONAL-SITUATIONS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });				
    addAnnotation
      (getOperationalSituation_OtherSubjects(), 
       source, 
       new String[] 
       {
       "xml.name", "OTHER-SUBJECTS-REF",
       "xml.namePlural", "OTHER-SUBJECTS-REFS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "true",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });				
    addAnnotation
      (getOperationalSituation_Environment(), 
       source, 
       new String[] 
       {
       "xml.name", "ENVIRONMENT-REF",
       "xml.namePlural", "ENVIRONMENT-REFS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });				
    addAnnotation
      (getOperationalSituation_Driver(), 
       source, 
       new String[] 
       {
       "xml.name", "DRIVER-REF",
       "xml.namePlural", "DRIVER-REFS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });				
    addAnnotation
      (getOperationalSituation_ExternalHardware(), 
       source, 
       new String[] 
       {
       "xml.name", "EXTERNAL-HARDWARE-REF",
       "xml.namePlural", "EXTERNAL-HARDWARE-REFS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "true",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });				
    addAnnotation
      (getOperationalSituation_OtherParticipants(), 
       source, 
       new String[] 
       {
       "xml.name", "OTHER-PARTICIPANTS-REF",
       "xml.namePlural", "OTHER-PARTICIPANTS-REFS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "true",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });				
    addAnnotation
      (propertyEClass, 
       source, 
       new String[] 
       {
       "xml.name", "PROPERTY",
       "xml.namePlural", "PROPERTYS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });					
    addAnnotation
      (riskDescriptionEClass, 
       source, 
       new String[] 
       {
       "xml.name", "RISK-DESCRIPTION",
       "xml.namePlural", "RISK-DESCRIPTIONS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });					
    addAnnotation
      (safeStateEClass, 
       source, 
       new String[] 
       {
       "xml.name", "SAFE-STATE",
       "xml.namePlural", "SAFE-STATES",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });					
    addAnnotation
      (severityClassKindEEnum, 
       source, 
       new String[] 
       {
       "xml.name", "SEVERITY-CLASS-KIND",
       "xml.namePlural", "SEVERITY-CLASS-KINDS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (severityClassKindEEnum.getELiterals().get(0), 
       source, 
       new String[] 
       {
       "xml.name", "S-0",
       "xml.namePlural", "S-0S",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (severityClassKindEEnum.getELiterals().get(1), 
       source, 
       new String[] 
       {
       "xml.name", "S-1",
       "xml.namePlural", "S-1S",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (severityClassKindEEnum.getELiterals().get(2), 
       source, 
       new String[] 
       {
       "xml.name", "S-2",
       "xml.namePlural", "S-2S",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (severityClassKindEEnum.getELiterals().get(3), 
       source, 
       new String[] 
       {
       "xml.name", "S-3",
       "xml.namePlural", "S-3S",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });	
  }

  /**
   * Initializes the annotations for <b>EAAdapter</b>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected void createEAAdapterAnnotations()
  {
    String source = "EAAdapter";				
    addAnnotation
      (this, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (actorEClass, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (getActor_Informal(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (getActor_Formal(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getActor_OperationalActor(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getActor_OperationalCondition(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (atomicConditionEClass, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getAtomicCondition_Property(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (compositeConditionEClass, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getCompositeCondition_Operator(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getCompositeCondition_Operand(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (compositeConditionOperatorEEnum, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (compositeConditionOperatorEEnum.getELiterals().get(0), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (compositeConditionOperatorEEnum.getELiterals().get(1), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (controllabilityClassKindEEnum, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (controllabilityClassKindEEnum.getELiterals().get(0), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (controllabilityClassKindEEnum.getELiterals().get(1), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (controllabilityClassKindEEnum.getELiterals().get(2), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (controllabilityClassKindEEnum.getELiterals().get(3), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (controllabilityReferenceEClass, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (getControllabilityReference_TableOfValues(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (getControllabilityReference_Function(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getControllabilityReference_Classification(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });						
    addAnnotation
      (exposureClassKindEEnum, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (exposureClassKindEEnum.getELiterals().get(0), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (exposureClassKindEEnum.getELiterals().get(1), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (exposureClassKindEEnum.getELiterals().get(2), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (exposureClassKindEEnum.getELiterals().get(3), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (hazardEClass, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (getHazard_Formal(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (getHazard_Informal(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getHazard_Malfunction(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (hazardousEventEClass, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (getHazardousEvent_Consequences(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (getHazardousEvent_HazardClassification(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (getHazardousEvent_Exposure(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (getHazardousEvent_Severity(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (getHazardousEvent_Controllability(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getHazardousEvent_SafetyGoal(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getHazardousEvent_Environment(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getHazardousEvent_OperationalSituation(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getHazardousEvent_Traffic(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getHazardousEvent_Controllability2(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getHazardousEvent_Hazard(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (operatingModeEClass, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getOperatingMode_SafetyRelated(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getOperatingMode_SafeState(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (operationalActorEClass, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getOperationalActor_Property(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (operationalConditionEClass, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (operationalSituationEClass, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getOperationalSituation_OtherSubjects(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getOperationalSituation_Environment(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getOperationalSituation_Driver(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getOperationalSituation_ExternalHardware(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getOperationalSituation_OtherParticipants(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (propertyEClass, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (riskDescriptionEClass, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (safeStateEClass, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (severityClassKindEEnum, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (severityClassKindEEnum.getELiterals().get(0), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (severityClassKindEEnum.getELiterals().get(1), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (severityClassKindEEnum.getELiterals().get(2), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (severityClassKindEEnum.getELiterals().get(3), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });
  }

  /**
   * Initializes the annotations for <b>Stereotype</b>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected void createStereotypeAnnotations()
  {
    String source = "Stereotype";																																							
    addAnnotation
      (compositeConditionOperatorEEnum, 
       source, 
       new String[] 
       {
       "Stereotype", "enumeration"
       });									
    addAnnotation
      (controllabilityClassKindEEnum, 
       source, 
       new String[] 
       {
       "Stereotype", "enumeration"
       });																													
    addAnnotation
      (exposureClassKindEEnum, 
       source, 
       new String[] 
       {
       "Stereotype", "enumeration"
       });																																																																																																																							
    addAnnotation
      (severityClassKindEEnum, 
       source, 
       new String[] 
       {
       "Stereotype", "enumeration"
       });										
  }

} //HazardsPackageImpl
