/**
 */
package safe10.classmodel.requirements;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;

import org.eclipse.emf.common.util.Enumerator;

/**
 * <!-- begin-user-doc -->
 * A representation of the literals of the enumeration '<em><b>Requirement Kind</b></em>',
 * and utility methods for working with them.
 * <!-- end-user-doc -->
 * <!-- begin-model-doc -->
 * This enumeration specifies the kind of safety requirement
 * <!-- end-model-doc -->
 * @see safe10.classmodel.requirements.RequirementsPackage#getRequirementKind()
 * @model annotation="MetaData guid='{E060D65C-4303-4692-A1FA-F2CD62494EE7}' id='665157837' EA\040name='RequirementKind'"
 *        annotation="Stereotype Stereotype='enumeration'"
 *        annotation="TaggedValues xml.name='REQUIREMENT-KIND' xml.namePlural='REQUIREMENT-KINDS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public enum RequirementKind implements Enumerator
{
  /**
   * The '<em><b>Quantitative</b></em>' literal object.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #QUANTITATIVE_VALUE
   * @generated
   * @ordered
   */
  QUANTITATIVE(0, "Quantitative", "QUANTITATIVE"),

  /**
   * The '<em><b>Production</b></em>' literal object.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #PRODUCTION_VALUE
   * @generated
   * @ordered
   */
  PRODUCTION(1, "Production", "PRODUCTION"),

  /**
   * The '<em><b>Process</b></em>' literal object.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #PROCESS_VALUE
   * @generated
   * @ordered
   */
  PROCESS(2, "Process", "PROCESS"),

  /**
   * The '<em><b>Constraint</b></em>' literal object.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #CONSTRAINT_VALUE
   * @generated
   * @ordered
   */
  CONSTRAINT(3, "Constraint", "CONSTRAINT");

  /**
   * The '<em><b>Quantitative</b></em>' literal value.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of '<em><b>Quantitative</b></em>' literal object isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @see #QUANTITATIVE
   * @model name="Quantitative" literal="QUANTITATIVE"
   *        annotation="TaggedValues xml.name='QUANTITATIVE' xml.namePlural='QUANTITATIVES' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   * @ordered
   */
  public static final int QUANTITATIVE_VALUE = 0;

  /**
   * The '<em><b>Production</b></em>' literal value.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of '<em><b>Production</b></em>' literal object isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @see #PRODUCTION
   * @model name="Production" literal="PRODUCTION"
   *        annotation="TaggedValues xml.name='PRODUCTION' xml.namePlural='PRODUCTIONS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   * @ordered
   */
  public static final int PRODUCTION_VALUE = 1;

  /**
   * The '<em><b>Process</b></em>' literal value.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of '<em><b>Process</b></em>' literal object isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @see #PROCESS
   * @model name="Process" literal="PROCESS"
   *        annotation="TaggedValues xml.name='PROCESS' xml.namePlural='PROCESSS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   * @ordered
   */
  public static final int PROCESS_VALUE = 2;

  /**
   * The '<em><b>Constraint</b></em>' literal value.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of '<em><b>Constraint</b></em>' literal object isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @see #CONSTRAINT
   * @model name="Constraint" literal="CONSTRAINT"
   *        annotation="TaggedValues xml.name='CONSTRAINT' xml.namePlural='CONSTRAINTS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   * @ordered
   */
  public static final int CONSTRAINT_VALUE = 3;

  /**
   * An array of all the '<em><b>Requirement Kind</b></em>' enumerators.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private static final RequirementKind[] VALUES_ARRAY =
    new RequirementKind[]
    {
      QUANTITATIVE,
      PRODUCTION,
      PROCESS,
      CONSTRAINT,
    };

  /**
   * A public read-only list of all the '<em><b>Requirement Kind</b></em>' enumerators.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public static final List<RequirementKind> VALUES = Collections.unmodifiableList(Arrays.asList(VALUES_ARRAY));

  /**
   * Returns the '<em><b>Requirement Kind</b></em>' literal with the specified literal value.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public static RequirementKind get(String literal)
  {
    for (int i = 0; i < VALUES_ARRAY.length; ++i)
    {
      RequirementKind result = VALUES_ARRAY[i];
      if (result.toString().equals(literal))
      {
        return result;
      }
    }
    return null;
  }

  /**
   * Returns the '<em><b>Requirement Kind</b></em>' literal with the specified name.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public static RequirementKind getByName(String name)
  {
    for (int i = 0; i < VALUES_ARRAY.length; ++i)
    {
      RequirementKind result = VALUES_ARRAY[i];
      if (result.getName().equals(name))
      {
        return result;
      }
    }
    return null;
  }

  /**
   * Returns the '<em><b>Requirement Kind</b></em>' literal with the specified integer value.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public static RequirementKind get(int value)
  {
    switch (value)
    {
      case QUANTITATIVE_VALUE: return QUANTITATIVE;
      case PRODUCTION_VALUE: return PRODUCTION;
      case PROCESS_VALUE: return PROCESS;
      case CONSTRAINT_VALUE: return CONSTRAINT;
    }
    return null;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private final int value;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private final String name;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private final String literal;

  /**
   * Only this class can construct instances.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private RequirementKind(int value, String name, String literal)
  {
    this.value = value;
    this.name = name;
    this.literal = literal;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public int getValue()
  {
    return value;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String getName()
  {
    return name;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String getLiteral()
  {
    return literal;
  }

  /**
   * Returns the literal value of the enumerator, which is its string representation.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public String toString()
  {
    return literal;
  }
  
} //RequirementKind
