/**
 */
package safe10.classmodel.requirements;

import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EEnum;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

import safe10.classmodel.commonstructure.toplevel.ToplevelPackage;

/**
 * <!-- begin-user-doc -->
 * The <b>Package</b> for the model.
 * It contains accessors for the meta objects to represent
 * <ul>
 *   <li>each class,</li>
 *   <li>each feature of each class,</li>
 *   <li>each enum,</li>
 *   <li>and each data type</li>
 * </ul>
 * <!-- end-user-doc -->
 * @see safe10.classmodel.requirements.RequirementsFactory
 * @model kind="package"
 *        annotation="MetaData guid='{6DB44398-45BC-481b-848B-CE2A3CEBE2E9}' id='-545992033' EA\040name='Requirements'"
 *        annotation="TaggedValues xml.name='REQUIREMENTS' xml.namePlural='REQUIREMENTSS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public interface RequirementsPackage extends EPackage
{
  /**
   * The package name.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNAME = "requirements";

  /**
   * The package namespace URI.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNS_URI = "http://safe-project.eu/1.0.1/safe10/classmodel/requirements";

  /**
   * The package namespace name.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNS_PREFIX = "";

  /**
   * The singleton instance of the package.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  RequirementsPackage eINSTANCE = safe10.classmodel.requirements.impl.RequirementsPackageImpl.init();

  /**
   * The meta object id for the '{@link safe10.classmodel.requirements.impl.TraceableSpecificationImpl <em>Traceable Specification</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.requirements.impl.TraceableSpecificationImpl
   * @see safe10.classmodel.requirements.impl.RequirementsPackageImpl#getTraceableSpecification()
   * @generated
   */
  int TRACEABLE_SPECIFICATION = 12;

  /**
   * The feature id for the '<em><b>Short Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int TRACEABLE_SPECIFICATION__SHORT_NAME = ToplevelPackage.SAFE_ELEMENT__SHORT_NAME;

  /**
   * The feature id for the '<em><b>Category</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int TRACEABLE_SPECIFICATION__CATEGORY = ToplevelPackage.SAFE_ELEMENT__CATEGORY;

  /**
   * The feature id for the '<em><b>Uuid</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int TRACEABLE_SPECIFICATION__UUID = ToplevelPackage.SAFE_ELEMENT__UUID;

  /**
   * The feature id for the '<em><b>Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int TRACEABLE_SPECIFICATION__NAME = ToplevelPackage.SAFE_ELEMENT__NAME;

  /**
   * The feature id for the '<em><b>Formal</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int TRACEABLE_SPECIFICATION__FORMAL = ToplevelPackage.SAFE_ELEMENT_FEATURE_COUNT + 0;

  /**
   * The feature id for the '<em><b>Informal</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int TRACEABLE_SPECIFICATION__INFORMAL = ToplevelPackage.SAFE_ELEMENT_FEATURE_COUNT + 1;

  /**
   * The feature id for the '<em><b>Stakeholder</b></em>' attribute list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int TRACEABLE_SPECIFICATION__STAKEHOLDER = ToplevelPackage.SAFE_ELEMENT_FEATURE_COUNT + 2;

  /**
   * The number of structural features of the '<em>Traceable Specification</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int TRACEABLE_SPECIFICATION_FEATURE_COUNT = ToplevelPackage.SAFE_ELEMENT_FEATURE_COUNT + 3;

  /**
   * The meta object id for the '{@link safe10.classmodel.requirements.impl.AbstractSafetyRequirementImpl <em>Abstract Safety Requirement</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.requirements.impl.AbstractSafetyRequirementImpl
   * @see safe10.classmodel.requirements.impl.RequirementsPackageImpl#getAbstractSafetyRequirement()
   * @generated
   */
  int ABSTRACT_SAFETY_REQUIREMENT = 0;

  /**
   * The feature id for the '<em><b>Short Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ABSTRACT_SAFETY_REQUIREMENT__SHORT_NAME = TRACEABLE_SPECIFICATION__SHORT_NAME;

  /**
   * The feature id for the '<em><b>Category</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ABSTRACT_SAFETY_REQUIREMENT__CATEGORY = TRACEABLE_SPECIFICATION__CATEGORY;

  /**
   * The feature id for the '<em><b>Uuid</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ABSTRACT_SAFETY_REQUIREMENT__UUID = TRACEABLE_SPECIFICATION__UUID;

  /**
   * The feature id for the '<em><b>Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ABSTRACT_SAFETY_REQUIREMENT__NAME = TRACEABLE_SPECIFICATION__NAME;

  /**
   * The feature id for the '<em><b>Formal</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ABSTRACT_SAFETY_REQUIREMENT__FORMAL = TRACEABLE_SPECIFICATION__FORMAL;

  /**
   * The feature id for the '<em><b>Informal</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ABSTRACT_SAFETY_REQUIREMENT__INFORMAL = TRACEABLE_SPECIFICATION__INFORMAL;

  /**
   * The feature id for the '<em><b>Stakeholder</b></em>' attribute list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ABSTRACT_SAFETY_REQUIREMENT__STAKEHOLDER = TRACEABLE_SPECIFICATION__STAKEHOLDER;

  /**
   * The feature id for the '<em><b>Asil</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ABSTRACT_SAFETY_REQUIREMENT__ASIL = TRACEABLE_SPECIFICATION_FEATURE_COUNT + 0;

  /**
   * The feature id for the '<em><b>Requirement</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ABSTRACT_SAFETY_REQUIREMENT__REQUIREMENT = TRACEABLE_SPECIFICATION_FEATURE_COUNT + 1;

  /**
   * The feature id for the '<em><b>Requirement Links</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ABSTRACT_SAFETY_REQUIREMENT__REQUIREMENT_LINKS = TRACEABLE_SPECIFICATION_FEATURE_COUNT + 2;

  /**
   * The number of structural features of the '<em>Abstract Safety Requirement</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ABSTRACT_SAFETY_REQUIREMENT_FEATURE_COUNT = TRACEABLE_SPECIFICATION_FEATURE_COUNT + 3;

  /**
   * The meta object id for the '{@link safe10.classmodel.requirements.impl.AllocatableElementImpl <em>Allocatable Element</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.requirements.impl.AllocatableElementImpl
   * @see safe10.classmodel.requirements.impl.RequirementsPackageImpl#getAllocatableElement()
   * @generated
   */
  int ALLOCATABLE_ELEMENT = 1;

  /**
   * The number of structural features of the '<em>Allocatable Element</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ALLOCATABLE_ELEMENT_FEATURE_COUNT = 0;

  /**
   * The meta object id for the '{@link safe10.classmodel.requirements.impl.AllocationTargetImpl <em>Allocation Target</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.requirements.impl.AllocationTargetImpl
   * @see safe10.classmodel.requirements.impl.RequirementsPackageImpl#getAllocationTarget()
   * @generated
   */
  int ALLOCATION_TARGET = 2;

  /**
   * The number of structural features of the '<em>Allocation Target</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ALLOCATION_TARGET_FEATURE_COUNT = 0;

  /**
   * The meta object id for the '{@link safe10.classmodel.requirements.impl.HasAsilDecomposedImpl <em>Has Asil Decomposed</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.requirements.impl.HasAsilDecomposedImpl
   * @see safe10.classmodel.requirements.impl.RequirementsPackageImpl#getHasAsilDecomposed()
   * @generated
   */
  int HAS_ASIL_DECOMPOSED = 4;

  /**
   * The feature id for the '<em><b>Decomposed ASIL</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HAS_ASIL_DECOMPOSED__DECOMPOSED_ASIL = 0;

  /**
   * The number of structural features of the '<em>Has Asil Decomposed</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HAS_ASIL_DECOMPOSED_FEATURE_COUNT = 1;

  /**
   * The meta object id for the '{@link safe10.classmodel.requirements.impl.FunctionalSafetyRequirementImpl <em>Functional Safety Requirement</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.requirements.impl.FunctionalSafetyRequirementImpl
   * @see safe10.classmodel.requirements.impl.RequirementsPackageImpl#getFunctionalSafetyRequirement()
   * @generated
   */
  int FUNCTIONAL_SAFETY_REQUIREMENT = 3;

  /**
   * The feature id for the '<em><b>Decomposed ASIL</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int FUNCTIONAL_SAFETY_REQUIREMENT__DECOMPOSED_ASIL = HAS_ASIL_DECOMPOSED__DECOMPOSED_ASIL;

  /**
   * The feature id for the '<em><b>Short Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int FUNCTIONAL_SAFETY_REQUIREMENT__SHORT_NAME = HAS_ASIL_DECOMPOSED_FEATURE_COUNT + 0;

  /**
   * The feature id for the '<em><b>Category</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int FUNCTIONAL_SAFETY_REQUIREMENT__CATEGORY = HAS_ASIL_DECOMPOSED_FEATURE_COUNT + 1;

  /**
   * The feature id for the '<em><b>Uuid</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int FUNCTIONAL_SAFETY_REQUIREMENT__UUID = HAS_ASIL_DECOMPOSED_FEATURE_COUNT + 2;

  /**
   * The feature id for the '<em><b>Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int FUNCTIONAL_SAFETY_REQUIREMENT__NAME = HAS_ASIL_DECOMPOSED_FEATURE_COUNT + 3;

  /**
   * The feature id for the '<em><b>Formal</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int FUNCTIONAL_SAFETY_REQUIREMENT__FORMAL = HAS_ASIL_DECOMPOSED_FEATURE_COUNT + 4;

  /**
   * The feature id for the '<em><b>Informal</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int FUNCTIONAL_SAFETY_REQUIREMENT__INFORMAL = HAS_ASIL_DECOMPOSED_FEATURE_COUNT + 5;

  /**
   * The feature id for the '<em><b>Stakeholder</b></em>' attribute list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int FUNCTIONAL_SAFETY_REQUIREMENT__STAKEHOLDER = HAS_ASIL_DECOMPOSED_FEATURE_COUNT + 6;

  /**
   * The feature id for the '<em><b>Asil</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int FUNCTIONAL_SAFETY_REQUIREMENT__ASIL = HAS_ASIL_DECOMPOSED_FEATURE_COUNT + 7;

  /**
   * The feature id for the '<em><b>Requirement</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int FUNCTIONAL_SAFETY_REQUIREMENT__REQUIREMENT = HAS_ASIL_DECOMPOSED_FEATURE_COUNT + 8;

  /**
   * The feature id for the '<em><b>Requirement Links</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int FUNCTIONAL_SAFETY_REQUIREMENT__REQUIREMENT_LINKS = HAS_ASIL_DECOMPOSED_FEATURE_COUNT + 9;

  /**
   * The feature id for the '<em><b>Emergency Operation Time Interval</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int FUNCTIONAL_SAFETY_REQUIREMENT__EMERGENCY_OPERATION_TIME_INTERVAL = HAS_ASIL_DECOMPOSED_FEATURE_COUNT + 10;

  /**
   * The feature id for the '<em><b>Fault Tolerant Time Interval</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int FUNCTIONAL_SAFETY_REQUIREMENT__FAULT_TOLERANT_TIME_INTERVAL = HAS_ASIL_DECOMPOSED_FEATURE_COUNT + 11;

  /**
   * The feature id for the '<em><b>Requirement Kind</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int FUNCTIONAL_SAFETY_REQUIREMENT__REQUIREMENT_KIND = HAS_ASIL_DECOMPOSED_FEATURE_COUNT + 12;

  /**
   * The feature id for the '<em><b>Redundancy</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int FUNCTIONAL_SAFETY_REQUIREMENT__REDUNDANCY = HAS_ASIL_DECOMPOSED_FEATURE_COUNT + 13;

  /**
   * The feature id for the '<em><b>Is Safety Goal</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int FUNCTIONAL_SAFETY_REQUIREMENT__IS_SAFETY_GOAL = HAS_ASIL_DECOMPOSED_FEATURE_COUNT + 14;

  /**
   * The number of structural features of the '<em>Functional Safety Requirement</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int FUNCTIONAL_SAFETY_REQUIREMENT_FEATURE_COUNT = HAS_ASIL_DECOMPOSED_FEATURE_COUNT + 15;

  /**
   * The meta object id for the '{@link safe10.classmodel.requirements.impl.HasEmergencyOperationTimeIntervalImpl <em>Has Emergency Operation Time Interval</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.requirements.impl.HasEmergencyOperationTimeIntervalImpl
   * @see safe10.classmodel.requirements.impl.RequirementsPackageImpl#getHasEmergencyOperationTimeInterval()
   * @generated
   */
  int HAS_EMERGENCY_OPERATION_TIME_INTERVAL = 5;

  /**
   * The feature id for the '<em><b>Emergency Operation Time Interval</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HAS_EMERGENCY_OPERATION_TIME_INTERVAL__EMERGENCY_OPERATION_TIME_INTERVAL = 0;

  /**
   * The number of structural features of the '<em>Has Emergency Operation Time Interval</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HAS_EMERGENCY_OPERATION_TIME_INTERVAL_FEATURE_COUNT = 1;

  /**
   * The meta object id for the '{@link safe10.classmodel.requirements.impl.HasFaultTolerantTimeIntervalImpl <em>Has Fault Tolerant Time Interval</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.requirements.impl.HasFaultTolerantTimeIntervalImpl
   * @see safe10.classmodel.requirements.impl.RequirementsPackageImpl#getHasFaultTolerantTimeInterval()
   * @generated
   */
  int HAS_FAULT_TOLERANT_TIME_INTERVAL = 6;

  /**
   * The feature id for the '<em><b>Fault Tolerant Time Interval</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HAS_FAULT_TOLERANT_TIME_INTERVAL__FAULT_TOLERANT_TIME_INTERVAL = 0;

  /**
   * The number of structural features of the '<em>Has Fault Tolerant Time Interval</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HAS_FAULT_TOLERANT_TIME_INTERVAL_FEATURE_COUNT = 1;

  /**
   * The meta object id for the '{@link safe10.classmodel.requirements.impl.RequirementsLinkImpl <em>Link</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.requirements.impl.RequirementsLinkImpl
   * @see safe10.classmodel.requirements.impl.RequirementsPackageImpl#getRequirementsLink()
   * @generated
   */
  int REQUIREMENTS_LINK = 7;

  /**
   * The feature id for the '<em><b>Requirements Link Type</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int REQUIREMENTS_LINK__REQUIREMENTS_LINK_TYPE = 0;

  /**
   * The feature id for the '<em><b>Linked Requirement</b></em>' reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int REQUIREMENTS_LINK__LINKED_REQUIREMENT = 1;

  /**
   * The number of structural features of the '<em>Link</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int REQUIREMENTS_LINK_FEATURE_COUNT = 2;

  /**
   * The meta object id for the '{@link safe10.classmodel.requirements.impl.RequirementsReleationshipImpl <em>Releationship</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.requirements.impl.RequirementsReleationshipImpl
   * @see safe10.classmodel.requirements.impl.RequirementsPackageImpl#getRequirementsReleationship()
   * @generated
   */
  int REQUIREMENTS_RELEATIONSHIP = 8;

  /**
   * The number of structural features of the '<em>Releationship</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int REQUIREMENTS_RELEATIONSHIP_FEATURE_COUNT = 0;

  /**
   * The meta object id for the '{@link safe10.classmodel.requirements.impl.SatisfyImpl <em>Satisfy</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.requirements.impl.SatisfyImpl
   * @see safe10.classmodel.requirements.impl.RequirementsPackageImpl#getSatisfy()
   * @generated
   */
  int SATISFY = 9;

  /**
   * The feature id for the '<em><b>Satisfied Element</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int SATISFY__SATISFIED_ELEMENT = REQUIREMENTS_RELEATIONSHIP_FEATURE_COUNT + 0;

  /**
   * The feature id for the '<em><b>Satisfying Target</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int SATISFY__SATISFYING_TARGET = REQUIREMENTS_RELEATIONSHIP_FEATURE_COUNT + 1;

  /**
   * The number of structural features of the '<em>Satisfy</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int SATISFY_FEATURE_COUNT = REQUIREMENTS_RELEATIONSHIP_FEATURE_COUNT + 2;

  /**
   * The meta object id for the '{@link safe10.classmodel.requirements.impl.SoftwareSafetyRequirementImpl <em>Software Safety Requirement</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.requirements.impl.SoftwareSafetyRequirementImpl
   * @see safe10.classmodel.requirements.impl.RequirementsPackageImpl#getSoftwareSafetyRequirement()
   * @generated
   */
  int SOFTWARE_SAFETY_REQUIREMENT = 10;

  /**
   * The feature id for the '<em><b>Short Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int SOFTWARE_SAFETY_REQUIREMENT__SHORT_NAME = ABSTRACT_SAFETY_REQUIREMENT__SHORT_NAME;

  /**
   * The feature id for the '<em><b>Category</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int SOFTWARE_SAFETY_REQUIREMENT__CATEGORY = ABSTRACT_SAFETY_REQUIREMENT__CATEGORY;

  /**
   * The feature id for the '<em><b>Uuid</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int SOFTWARE_SAFETY_REQUIREMENT__UUID = ABSTRACT_SAFETY_REQUIREMENT__UUID;

  /**
   * The feature id for the '<em><b>Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int SOFTWARE_SAFETY_REQUIREMENT__NAME = ABSTRACT_SAFETY_REQUIREMENT__NAME;

  /**
   * The feature id for the '<em><b>Formal</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int SOFTWARE_SAFETY_REQUIREMENT__FORMAL = ABSTRACT_SAFETY_REQUIREMENT__FORMAL;

  /**
   * The feature id for the '<em><b>Informal</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int SOFTWARE_SAFETY_REQUIREMENT__INFORMAL = ABSTRACT_SAFETY_REQUIREMENT__INFORMAL;

  /**
   * The feature id for the '<em><b>Stakeholder</b></em>' attribute list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int SOFTWARE_SAFETY_REQUIREMENT__STAKEHOLDER = ABSTRACT_SAFETY_REQUIREMENT__STAKEHOLDER;

  /**
   * The feature id for the '<em><b>Asil</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int SOFTWARE_SAFETY_REQUIREMENT__ASIL = ABSTRACT_SAFETY_REQUIREMENT__ASIL;

  /**
   * The feature id for the '<em><b>Requirement</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int SOFTWARE_SAFETY_REQUIREMENT__REQUIREMENT = ABSTRACT_SAFETY_REQUIREMENT__REQUIREMENT;

  /**
   * The feature id for the '<em><b>Requirement Links</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int SOFTWARE_SAFETY_REQUIREMENT__REQUIREMENT_LINKS = ABSTRACT_SAFETY_REQUIREMENT__REQUIREMENT_LINKS;

  /**
   * The number of structural features of the '<em>Software Safety Requirement</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int SOFTWARE_SAFETY_REQUIREMENT_FEATURE_COUNT = ABSTRACT_SAFETY_REQUIREMENT_FEATURE_COUNT + 0;

  /**
   * The meta object id for the '{@link safe10.classmodel.requirements.impl.TechnicalSafetyRequirementImpl <em>Technical Safety Requirement</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.requirements.impl.TechnicalSafetyRequirementImpl
   * @see safe10.classmodel.requirements.impl.RequirementsPackageImpl#getTechnicalSafetyRequirement()
   * @generated
   */
  int TECHNICAL_SAFETY_REQUIREMENT = 11;

  /**
   * The feature id for the '<em><b>Fault Tolerant Time Interval</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int TECHNICAL_SAFETY_REQUIREMENT__FAULT_TOLERANT_TIME_INTERVAL = HAS_FAULT_TOLERANT_TIME_INTERVAL__FAULT_TOLERANT_TIME_INTERVAL;

  /**
   * The feature id for the '<em><b>Short Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int TECHNICAL_SAFETY_REQUIREMENT__SHORT_NAME = HAS_FAULT_TOLERANT_TIME_INTERVAL_FEATURE_COUNT + 0;

  /**
   * The feature id for the '<em><b>Category</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int TECHNICAL_SAFETY_REQUIREMENT__CATEGORY = HAS_FAULT_TOLERANT_TIME_INTERVAL_FEATURE_COUNT + 1;

  /**
   * The feature id for the '<em><b>Uuid</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int TECHNICAL_SAFETY_REQUIREMENT__UUID = HAS_FAULT_TOLERANT_TIME_INTERVAL_FEATURE_COUNT + 2;

  /**
   * The feature id for the '<em><b>Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int TECHNICAL_SAFETY_REQUIREMENT__NAME = HAS_FAULT_TOLERANT_TIME_INTERVAL_FEATURE_COUNT + 3;

  /**
   * The feature id for the '<em><b>Formal</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int TECHNICAL_SAFETY_REQUIREMENT__FORMAL = HAS_FAULT_TOLERANT_TIME_INTERVAL_FEATURE_COUNT + 4;

  /**
   * The feature id for the '<em><b>Informal</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int TECHNICAL_SAFETY_REQUIREMENT__INFORMAL = HAS_FAULT_TOLERANT_TIME_INTERVAL_FEATURE_COUNT + 5;

  /**
   * The feature id for the '<em><b>Stakeholder</b></em>' attribute list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int TECHNICAL_SAFETY_REQUIREMENT__STAKEHOLDER = HAS_FAULT_TOLERANT_TIME_INTERVAL_FEATURE_COUNT + 6;

  /**
   * The feature id for the '<em><b>Asil</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int TECHNICAL_SAFETY_REQUIREMENT__ASIL = HAS_FAULT_TOLERANT_TIME_INTERVAL_FEATURE_COUNT + 7;

  /**
   * The feature id for the '<em><b>Requirement</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int TECHNICAL_SAFETY_REQUIREMENT__REQUIREMENT = HAS_FAULT_TOLERANT_TIME_INTERVAL_FEATURE_COUNT + 8;

  /**
   * The feature id for the '<em><b>Requirement Links</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int TECHNICAL_SAFETY_REQUIREMENT__REQUIREMENT_LINKS = HAS_FAULT_TOLERANT_TIME_INTERVAL_FEATURE_COUNT + 9;

  /**
   * The feature id for the '<em><b>Emergency Operation Time Interval</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int TECHNICAL_SAFETY_REQUIREMENT__EMERGENCY_OPERATION_TIME_INTERVAL = HAS_FAULT_TOLERANT_TIME_INTERVAL_FEATURE_COUNT + 10;

  /**
   * The feature id for the '<em><b>Decomposed ASIL</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int TECHNICAL_SAFETY_REQUIREMENT__DECOMPOSED_ASIL = HAS_FAULT_TOLERANT_TIME_INTERVAL_FEATURE_COUNT + 11;

  /**
   * The feature id for the '<em><b>Requirement Kind</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int TECHNICAL_SAFETY_REQUIREMENT__REQUIREMENT_KIND = HAS_FAULT_TOLERANT_TIME_INTERVAL_FEATURE_COUNT + 12;

  /**
   * The feature id for the '<em><b>Redundancy</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int TECHNICAL_SAFETY_REQUIREMENT__REDUNDANCY = HAS_FAULT_TOLERANT_TIME_INTERVAL_FEATURE_COUNT + 13;

  /**
   * The feature id for the '<em><b>Codegenconfiguration</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int TECHNICAL_SAFETY_REQUIREMENT__CODEGENCONFIGURATION = HAS_FAULT_TOLERANT_TIME_INTERVAL_FEATURE_COUNT + 14;

  /**
   * The number of structural features of the '<em>Technical Safety Requirement</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int TECHNICAL_SAFETY_REQUIREMENT_FEATURE_COUNT = HAS_FAULT_TOLERANT_TIME_INTERVAL_FEATURE_COUNT + 15;

  /**
   * The meta object id for the '{@link safe10.classmodel.requirements.impl.VerifyImpl <em>Verify</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.requirements.impl.VerifyImpl
   * @see safe10.classmodel.requirements.impl.RequirementsPackageImpl#getVerify()
   * @generated
   */
  int VERIFY = 13;

  /**
   * The number of structural features of the '<em>Verify</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int VERIFY_FEATURE_COUNT = REQUIREMENTS_RELEATIONSHIP_FEATURE_COUNT + 0;

  /**
   * The meta object id for the '{@link safe10.classmodel.requirements.RequirementKind <em>Requirement Kind</em>}' enum.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.requirements.RequirementKind
   * @see safe10.classmodel.requirements.impl.RequirementsPackageImpl#getRequirementKind()
   * @generated
   */
  int REQUIREMENT_KIND = 14;

  /**
   * The meta object id for the '{@link safe10.classmodel.requirements.RequirementsLinkType <em>Link Type</em>}' enum.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.requirements.RequirementsLinkType
   * @see safe10.classmodel.requirements.impl.RequirementsPackageImpl#getRequirementsLinkType()
   * @generated
   */
  int REQUIREMENTS_LINK_TYPE = 15;


  /**
   * Returns the meta object for class '{@link safe10.classmodel.requirements.AbstractSafetyRequirement <em>Abstract Safety Requirement</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Abstract Safety Requirement</em>'.
   * @see safe10.classmodel.requirements.AbstractSafetyRequirement
   * @generated
   */
  EClass getAbstractSafetyRequirement();

  /**
   * Returns the meta object for the attribute '{@link safe10.classmodel.requirements.AbstractSafetyRequirement#getAsil <em>Asil</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Asil</em>'.
   * @see safe10.classmodel.requirements.AbstractSafetyRequirement#getAsil()
   * @see #getAbstractSafetyRequirement()
   * @generated
   */
  EAttribute getAbstractSafetyRequirement_Asil();

  /**
   * Returns the meta object for the reference '{@link safe10.classmodel.requirements.AbstractSafetyRequirement#getRequirement <em>Requirement</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the reference '<em>Requirement</em>'.
   * @see safe10.classmodel.requirements.AbstractSafetyRequirement#getRequirement()
   * @see #getAbstractSafetyRequirement()
   * @generated
   */
  EReference getAbstractSafetyRequirement_Requirement();

  /**
   * Returns the meta object for the containment reference list '{@link safe10.classmodel.requirements.AbstractSafetyRequirement#getRequirementLinks <em>Requirement Links</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference list '<em>Requirement Links</em>'.
   * @see safe10.classmodel.requirements.AbstractSafetyRequirement#getRequirementLinks()
   * @see #getAbstractSafetyRequirement()
   * @generated
   */
  EReference getAbstractSafetyRequirement_RequirementLinks();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.requirements.AllocatableElement <em>Allocatable Element</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Allocatable Element</em>'.
   * @see safe10.classmodel.requirements.AllocatableElement
   * @generated
   */
  EClass getAllocatableElement();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.requirements.AllocationTarget <em>Allocation Target</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Allocation Target</em>'.
   * @see safe10.classmodel.requirements.AllocationTarget
   * @generated
   */
  EClass getAllocationTarget();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.requirements.FunctionalSafetyRequirement <em>Functional Safety Requirement</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Functional Safety Requirement</em>'.
   * @see safe10.classmodel.requirements.FunctionalSafetyRequirement
   * @generated
   */
  EClass getFunctionalSafetyRequirement();

  /**
   * Returns the meta object for the attribute '{@link safe10.classmodel.requirements.FunctionalSafetyRequirement#getRequirementKind <em>Requirement Kind</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Requirement Kind</em>'.
   * @see safe10.classmodel.requirements.FunctionalSafetyRequirement#getRequirementKind()
   * @see #getFunctionalSafetyRequirement()
   * @generated
   */
  EAttribute getFunctionalSafetyRequirement_RequirementKind();

  /**
   * Returns the meta object for the attribute '{@link safe10.classmodel.requirements.FunctionalSafetyRequirement#getRedundancy <em>Redundancy</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Redundancy</em>'.
   * @see safe10.classmodel.requirements.FunctionalSafetyRequirement#getRedundancy()
   * @see #getFunctionalSafetyRequirement()
   * @generated
   */
  EAttribute getFunctionalSafetyRequirement_Redundancy();

  /**
   * Returns the meta object for the attribute '{@link safe10.classmodel.requirements.FunctionalSafetyRequirement#getIsSafetyGoal <em>Is Safety Goal</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Is Safety Goal</em>'.
   * @see safe10.classmodel.requirements.FunctionalSafetyRequirement#getIsSafetyGoal()
   * @see #getFunctionalSafetyRequirement()
   * @generated
   */
  EAttribute getFunctionalSafetyRequirement_IsSafetyGoal();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.requirements.HasAsilDecomposed <em>Has Asil Decomposed</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Has Asil Decomposed</em>'.
   * @see safe10.classmodel.requirements.HasAsilDecomposed
   * @generated
   */
  EClass getHasAsilDecomposed();

  /**
   * Returns the meta object for the attribute '{@link safe10.classmodel.requirements.HasAsilDecomposed#getDecomposedASIL <em>Decomposed ASIL</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Decomposed ASIL</em>'.
   * @see safe10.classmodel.requirements.HasAsilDecomposed#getDecomposedASIL()
   * @see #getHasAsilDecomposed()
   * @generated
   */
  EAttribute getHasAsilDecomposed_DecomposedASIL();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.requirements.HasEmergencyOperationTimeInterval <em>Has Emergency Operation Time Interval</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Has Emergency Operation Time Interval</em>'.
   * @see safe10.classmodel.requirements.HasEmergencyOperationTimeInterval
   * @generated
   */
  EClass getHasEmergencyOperationTimeInterval();

  /**
   * Returns the meta object for the attribute '{@link safe10.classmodel.requirements.HasEmergencyOperationTimeInterval#getEmergencyOperationTimeInterval <em>Emergency Operation Time Interval</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Emergency Operation Time Interval</em>'.
   * @see safe10.classmodel.requirements.HasEmergencyOperationTimeInterval#getEmergencyOperationTimeInterval()
   * @see #getHasEmergencyOperationTimeInterval()
   * @generated
   */
  EAttribute getHasEmergencyOperationTimeInterval_EmergencyOperationTimeInterval();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.requirements.HasFaultTolerantTimeInterval <em>Has Fault Tolerant Time Interval</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Has Fault Tolerant Time Interval</em>'.
   * @see safe10.classmodel.requirements.HasFaultTolerantTimeInterval
   * @generated
   */
  EClass getHasFaultTolerantTimeInterval();

  /**
   * Returns the meta object for the attribute '{@link safe10.classmodel.requirements.HasFaultTolerantTimeInterval#getFaultTolerantTimeInterval <em>Fault Tolerant Time Interval</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Fault Tolerant Time Interval</em>'.
   * @see safe10.classmodel.requirements.HasFaultTolerantTimeInterval#getFaultTolerantTimeInterval()
   * @see #getHasFaultTolerantTimeInterval()
   * @generated
   */
  EAttribute getHasFaultTolerantTimeInterval_FaultTolerantTimeInterval();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.requirements.RequirementsLink <em>Link</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Link</em>'.
   * @see safe10.classmodel.requirements.RequirementsLink
   * @generated
   */
  EClass getRequirementsLink();

  /**
   * Returns the meta object for the attribute '{@link safe10.classmodel.requirements.RequirementsLink#getRequirementsLinkType <em>Requirements Link Type</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Requirements Link Type</em>'.
   * @see safe10.classmodel.requirements.RequirementsLink#getRequirementsLinkType()
   * @see #getRequirementsLink()
   * @generated
   */
  EAttribute getRequirementsLink_RequirementsLinkType();

  /**
   * Returns the meta object for the reference list '{@link safe10.classmodel.requirements.RequirementsLink#getLinkedRequirement <em>Linked Requirement</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the reference list '<em>Linked Requirement</em>'.
   * @see safe10.classmodel.requirements.RequirementsLink#getLinkedRequirement()
   * @see #getRequirementsLink()
   * @generated
   */
  EReference getRequirementsLink_LinkedRequirement();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.requirements.RequirementsReleationship <em>Releationship</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Releationship</em>'.
   * @see safe10.classmodel.requirements.RequirementsReleationship
   * @generated
   */
  EClass getRequirementsReleationship();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.requirements.Satisfy <em>Satisfy</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Satisfy</em>'.
   * @see safe10.classmodel.requirements.Satisfy
   * @generated
   */
  EClass getSatisfy();

  /**
   * Returns the meta object for the containment reference list '{@link safe10.classmodel.requirements.Satisfy#getSatisfiedElement <em>Satisfied Element</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference list '<em>Satisfied Element</em>'.
   * @see safe10.classmodel.requirements.Satisfy#getSatisfiedElement()
   * @see #getSatisfy()
   * @generated
   */
  EReference getSatisfy_SatisfiedElement();

  /**
   * Returns the meta object for the containment reference list '{@link safe10.classmodel.requirements.Satisfy#getSatisfyingTarget <em>Satisfying Target</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference list '<em>Satisfying Target</em>'.
   * @see safe10.classmodel.requirements.Satisfy#getSatisfyingTarget()
   * @see #getSatisfy()
   * @generated
   */
  EReference getSatisfy_SatisfyingTarget();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.requirements.SoftwareSafetyRequirement <em>Software Safety Requirement</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Software Safety Requirement</em>'.
   * @see safe10.classmodel.requirements.SoftwareSafetyRequirement
   * @generated
   */
  EClass getSoftwareSafetyRequirement();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.requirements.TechnicalSafetyRequirement <em>Technical Safety Requirement</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Technical Safety Requirement</em>'.
   * @see safe10.classmodel.requirements.TechnicalSafetyRequirement
   * @generated
   */
  EClass getTechnicalSafetyRequirement();

  /**
   * Returns the meta object for the attribute '{@link safe10.classmodel.requirements.TechnicalSafetyRequirement#getRequirementKind <em>Requirement Kind</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Requirement Kind</em>'.
   * @see safe10.classmodel.requirements.TechnicalSafetyRequirement#getRequirementKind()
   * @see #getTechnicalSafetyRequirement()
   * @generated
   */
  EAttribute getTechnicalSafetyRequirement_RequirementKind();

  /**
   * Returns the meta object for the attribute '{@link safe10.classmodel.requirements.TechnicalSafetyRequirement#getRedundancy <em>Redundancy</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Redundancy</em>'.
   * @see safe10.classmodel.requirements.TechnicalSafetyRequirement#getRedundancy()
   * @see #getTechnicalSafetyRequirement()
   * @generated
   */
  EAttribute getTechnicalSafetyRequirement_Redundancy();

  /**
   * Returns the meta object for the containment reference list '{@link safe10.classmodel.requirements.TechnicalSafetyRequirement#getCodegenconfiguration <em>Codegenconfiguration</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference list '<em>Codegenconfiguration</em>'.
   * @see safe10.classmodel.requirements.TechnicalSafetyRequirement#getCodegenconfiguration()
   * @see #getTechnicalSafetyRequirement()
   * @generated
   */
  EReference getTechnicalSafetyRequirement_Codegenconfiguration();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.requirements.TraceableSpecification <em>Traceable Specification</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Traceable Specification</em>'.
   * @see safe10.classmodel.requirements.TraceableSpecification
   * @generated
   */
  EClass getTraceableSpecification();

  /**
   * Returns the meta object for the attribute '{@link safe10.classmodel.requirements.TraceableSpecification#getFormal <em>Formal</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Formal</em>'.
   * @see safe10.classmodel.requirements.TraceableSpecification#getFormal()
   * @see #getTraceableSpecification()
   * @generated
   */
  EAttribute getTraceableSpecification_Formal();

  /**
   * Returns the meta object for the attribute '{@link safe10.classmodel.requirements.TraceableSpecification#getInformal <em>Informal</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Informal</em>'.
   * @see safe10.classmodel.requirements.TraceableSpecification#getInformal()
   * @see #getTraceableSpecification()
   * @generated
   */
  EAttribute getTraceableSpecification_Informal();

  /**
   * Returns the meta object for the attribute list '{@link safe10.classmodel.requirements.TraceableSpecification#getStakeholder <em>Stakeholder</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute list '<em>Stakeholder</em>'.
   * @see safe10.classmodel.requirements.TraceableSpecification#getStakeholder()
   * @see #getTraceableSpecification()
   * @generated
   */
  EAttribute getTraceableSpecification_Stakeholder();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.requirements.Verify <em>Verify</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Verify</em>'.
   * @see safe10.classmodel.requirements.Verify
   * @generated
   */
  EClass getVerify();

  /**
   * Returns the meta object for enum '{@link safe10.classmodel.requirements.RequirementKind <em>Requirement Kind</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for enum '<em>Requirement Kind</em>'.
   * @see safe10.classmodel.requirements.RequirementKind
   * @generated
   */
  EEnum getRequirementKind();

  /**
   * Returns the meta object for enum '{@link safe10.classmodel.requirements.RequirementsLinkType <em>Link Type</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for enum '<em>Link Type</em>'.
   * @see safe10.classmodel.requirements.RequirementsLinkType
   * @generated
   */
  EEnum getRequirementsLinkType();

  /**
   * Returns the factory that creates the instances of the model.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the factory that creates the instances of the model.
   * @generated
   */
  RequirementsFactory getRequirementsFactory();

  /**
   * <!-- begin-user-doc -->
   * Defines literals for the meta objects that represent
   * <ul>
   *   <li>each class,</li>
   *   <li>each feature of each class,</li>
   *   <li>each enum,</li>
   *   <li>and each data type</li>
   * </ul>
   * <!-- end-user-doc -->
   * @generated
   */
  interface Literals
  {
    /**
     * The meta object literal for the '{@link safe10.classmodel.requirements.impl.AbstractSafetyRequirementImpl <em>Abstract Safety Requirement</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.requirements.impl.AbstractSafetyRequirementImpl
     * @see safe10.classmodel.requirements.impl.RequirementsPackageImpl#getAbstractSafetyRequirement()
     * @generated
     */
    EClass ABSTRACT_SAFETY_REQUIREMENT = eINSTANCE.getAbstractSafetyRequirement();

    /**
     * The meta object literal for the '<em><b>Asil</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute ABSTRACT_SAFETY_REQUIREMENT__ASIL = eINSTANCE.getAbstractSafetyRequirement_Asil();

    /**
     * The meta object literal for the '<em><b>Requirement</b></em>' reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference ABSTRACT_SAFETY_REQUIREMENT__REQUIREMENT = eINSTANCE.getAbstractSafetyRequirement_Requirement();

    /**
     * The meta object literal for the '<em><b>Requirement Links</b></em>' containment reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference ABSTRACT_SAFETY_REQUIREMENT__REQUIREMENT_LINKS = eINSTANCE.getAbstractSafetyRequirement_RequirementLinks();

    /**
     * The meta object literal for the '{@link safe10.classmodel.requirements.impl.AllocatableElementImpl <em>Allocatable Element</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.requirements.impl.AllocatableElementImpl
     * @see safe10.classmodel.requirements.impl.RequirementsPackageImpl#getAllocatableElement()
     * @generated
     */
    EClass ALLOCATABLE_ELEMENT = eINSTANCE.getAllocatableElement();

    /**
     * The meta object literal for the '{@link safe10.classmodel.requirements.impl.AllocationTargetImpl <em>Allocation Target</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.requirements.impl.AllocationTargetImpl
     * @see safe10.classmodel.requirements.impl.RequirementsPackageImpl#getAllocationTarget()
     * @generated
     */
    EClass ALLOCATION_TARGET = eINSTANCE.getAllocationTarget();

    /**
     * The meta object literal for the '{@link safe10.classmodel.requirements.impl.FunctionalSafetyRequirementImpl <em>Functional Safety Requirement</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.requirements.impl.FunctionalSafetyRequirementImpl
     * @see safe10.classmodel.requirements.impl.RequirementsPackageImpl#getFunctionalSafetyRequirement()
     * @generated
     */
    EClass FUNCTIONAL_SAFETY_REQUIREMENT = eINSTANCE.getFunctionalSafetyRequirement();

    /**
     * The meta object literal for the '<em><b>Requirement Kind</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute FUNCTIONAL_SAFETY_REQUIREMENT__REQUIREMENT_KIND = eINSTANCE.getFunctionalSafetyRequirement_RequirementKind();

    /**
     * The meta object literal for the '<em><b>Redundancy</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute FUNCTIONAL_SAFETY_REQUIREMENT__REDUNDANCY = eINSTANCE.getFunctionalSafetyRequirement_Redundancy();

    /**
     * The meta object literal for the '<em><b>Is Safety Goal</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute FUNCTIONAL_SAFETY_REQUIREMENT__IS_SAFETY_GOAL = eINSTANCE.getFunctionalSafetyRequirement_IsSafetyGoal();

    /**
     * The meta object literal for the '{@link safe10.classmodel.requirements.impl.HasAsilDecomposedImpl <em>Has Asil Decomposed</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.requirements.impl.HasAsilDecomposedImpl
     * @see safe10.classmodel.requirements.impl.RequirementsPackageImpl#getHasAsilDecomposed()
     * @generated
     */
    EClass HAS_ASIL_DECOMPOSED = eINSTANCE.getHasAsilDecomposed();

    /**
     * The meta object literal for the '<em><b>Decomposed ASIL</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute HAS_ASIL_DECOMPOSED__DECOMPOSED_ASIL = eINSTANCE.getHasAsilDecomposed_DecomposedASIL();

    /**
     * The meta object literal for the '{@link safe10.classmodel.requirements.impl.HasEmergencyOperationTimeIntervalImpl <em>Has Emergency Operation Time Interval</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.requirements.impl.HasEmergencyOperationTimeIntervalImpl
     * @see safe10.classmodel.requirements.impl.RequirementsPackageImpl#getHasEmergencyOperationTimeInterval()
     * @generated
     */
    EClass HAS_EMERGENCY_OPERATION_TIME_INTERVAL = eINSTANCE.getHasEmergencyOperationTimeInterval();

    /**
     * The meta object literal for the '<em><b>Emergency Operation Time Interval</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute HAS_EMERGENCY_OPERATION_TIME_INTERVAL__EMERGENCY_OPERATION_TIME_INTERVAL = eINSTANCE.getHasEmergencyOperationTimeInterval_EmergencyOperationTimeInterval();

    /**
     * The meta object literal for the '{@link safe10.classmodel.requirements.impl.HasFaultTolerantTimeIntervalImpl <em>Has Fault Tolerant Time Interval</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.requirements.impl.HasFaultTolerantTimeIntervalImpl
     * @see safe10.classmodel.requirements.impl.RequirementsPackageImpl#getHasFaultTolerantTimeInterval()
     * @generated
     */
    EClass HAS_FAULT_TOLERANT_TIME_INTERVAL = eINSTANCE.getHasFaultTolerantTimeInterval();

    /**
     * The meta object literal for the '<em><b>Fault Tolerant Time Interval</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute HAS_FAULT_TOLERANT_TIME_INTERVAL__FAULT_TOLERANT_TIME_INTERVAL = eINSTANCE.getHasFaultTolerantTimeInterval_FaultTolerantTimeInterval();

    /**
     * The meta object literal for the '{@link safe10.classmodel.requirements.impl.RequirementsLinkImpl <em>Link</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.requirements.impl.RequirementsLinkImpl
     * @see safe10.classmodel.requirements.impl.RequirementsPackageImpl#getRequirementsLink()
     * @generated
     */
    EClass REQUIREMENTS_LINK = eINSTANCE.getRequirementsLink();

    /**
     * The meta object literal for the '<em><b>Requirements Link Type</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute REQUIREMENTS_LINK__REQUIREMENTS_LINK_TYPE = eINSTANCE.getRequirementsLink_RequirementsLinkType();

    /**
     * The meta object literal for the '<em><b>Linked Requirement</b></em>' reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference REQUIREMENTS_LINK__LINKED_REQUIREMENT = eINSTANCE.getRequirementsLink_LinkedRequirement();

    /**
     * The meta object literal for the '{@link safe10.classmodel.requirements.impl.RequirementsReleationshipImpl <em>Releationship</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.requirements.impl.RequirementsReleationshipImpl
     * @see safe10.classmodel.requirements.impl.RequirementsPackageImpl#getRequirementsReleationship()
     * @generated
     */
    EClass REQUIREMENTS_RELEATIONSHIP = eINSTANCE.getRequirementsReleationship();

    /**
     * The meta object literal for the '{@link safe10.classmodel.requirements.impl.SatisfyImpl <em>Satisfy</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.requirements.impl.SatisfyImpl
     * @see safe10.classmodel.requirements.impl.RequirementsPackageImpl#getSatisfy()
     * @generated
     */
    EClass SATISFY = eINSTANCE.getSatisfy();

    /**
     * The meta object literal for the '<em><b>Satisfied Element</b></em>' containment reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference SATISFY__SATISFIED_ELEMENT = eINSTANCE.getSatisfy_SatisfiedElement();

    /**
     * The meta object literal for the '<em><b>Satisfying Target</b></em>' containment reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference SATISFY__SATISFYING_TARGET = eINSTANCE.getSatisfy_SatisfyingTarget();

    /**
     * The meta object literal for the '{@link safe10.classmodel.requirements.impl.SoftwareSafetyRequirementImpl <em>Software Safety Requirement</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.requirements.impl.SoftwareSafetyRequirementImpl
     * @see safe10.classmodel.requirements.impl.RequirementsPackageImpl#getSoftwareSafetyRequirement()
     * @generated
     */
    EClass SOFTWARE_SAFETY_REQUIREMENT = eINSTANCE.getSoftwareSafetyRequirement();

    /**
     * The meta object literal for the '{@link safe10.classmodel.requirements.impl.TechnicalSafetyRequirementImpl <em>Technical Safety Requirement</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.requirements.impl.TechnicalSafetyRequirementImpl
     * @see safe10.classmodel.requirements.impl.RequirementsPackageImpl#getTechnicalSafetyRequirement()
     * @generated
     */
    EClass TECHNICAL_SAFETY_REQUIREMENT = eINSTANCE.getTechnicalSafetyRequirement();

    /**
     * The meta object literal for the '<em><b>Requirement Kind</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute TECHNICAL_SAFETY_REQUIREMENT__REQUIREMENT_KIND = eINSTANCE.getTechnicalSafetyRequirement_RequirementKind();

    /**
     * The meta object literal for the '<em><b>Redundancy</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute TECHNICAL_SAFETY_REQUIREMENT__REDUNDANCY = eINSTANCE.getTechnicalSafetyRequirement_Redundancy();

    /**
     * The meta object literal for the '<em><b>Codegenconfiguration</b></em>' containment reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference TECHNICAL_SAFETY_REQUIREMENT__CODEGENCONFIGURATION = eINSTANCE.getTechnicalSafetyRequirement_Codegenconfiguration();

    /**
     * The meta object literal for the '{@link safe10.classmodel.requirements.impl.TraceableSpecificationImpl <em>Traceable Specification</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.requirements.impl.TraceableSpecificationImpl
     * @see safe10.classmodel.requirements.impl.RequirementsPackageImpl#getTraceableSpecification()
     * @generated
     */
    EClass TRACEABLE_SPECIFICATION = eINSTANCE.getTraceableSpecification();

    /**
     * The meta object literal for the '<em><b>Formal</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute TRACEABLE_SPECIFICATION__FORMAL = eINSTANCE.getTraceableSpecification_Formal();

    /**
     * The meta object literal for the '<em><b>Informal</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute TRACEABLE_SPECIFICATION__INFORMAL = eINSTANCE.getTraceableSpecification_Informal();

    /**
     * The meta object literal for the '<em><b>Stakeholder</b></em>' attribute list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute TRACEABLE_SPECIFICATION__STAKEHOLDER = eINSTANCE.getTraceableSpecification_Stakeholder();

    /**
     * The meta object literal for the '{@link safe10.classmodel.requirements.impl.VerifyImpl <em>Verify</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.requirements.impl.VerifyImpl
     * @see safe10.classmodel.requirements.impl.RequirementsPackageImpl#getVerify()
     * @generated
     */
    EClass VERIFY = eINSTANCE.getVerify();

    /**
     * The meta object literal for the '{@link safe10.classmodel.requirements.RequirementKind <em>Requirement Kind</em>}' enum.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.requirements.RequirementKind
     * @see safe10.classmodel.requirements.impl.RequirementsPackageImpl#getRequirementKind()
     * @generated
     */
    EEnum REQUIREMENT_KIND = eINSTANCE.getRequirementKind();

    /**
     * The meta object literal for the '{@link safe10.classmodel.requirements.RequirementsLinkType <em>Link Type</em>}' enum.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.requirements.RequirementsLinkType
     * @see safe10.classmodel.requirements.impl.RequirementsPackageImpl#getRequirementsLinkType()
     * @generated
     */
    EEnum REQUIREMENTS_LINK_TYPE = eINSTANCE.getRequirementsLinkType();

  }

} //RequirementsPackage
