/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package safe10.classmodel.requirements.impl;

import eastadl21.east_adl.requirements.Requirement;

import java.util.Collection;

import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.common.notify.NotificationChain;

import org.eclipse.emf.common.util.EList;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.InternalEObject;

import org.eclipse.emf.ecore.impl.ENotificationImpl;

import org.eclipse.emf.ecore.util.EObjectContainmentEList;
import org.eclipse.emf.ecore.util.InternalEList;

import safe10.classmodel.commonstructure.datatypes.ASILEnum;

import safe10.classmodel.requirements.AbstractSafetyRequirement;
import safe10.classmodel.requirements.RequirementsLink;
import safe10.classmodel.requirements.RequirementsPackage;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>Abstract Safety Requirement</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link safe10.classmodel.requirements.impl.AbstractSafetyRequirementImpl#getAsil <em>Asil</em>}</li>
 *   <li>{@link safe10.classmodel.requirements.impl.AbstractSafetyRequirementImpl#getRequirement <em>Requirement</em>}</li>
 *   <li>{@link safe10.classmodel.requirements.impl.AbstractSafetyRequirementImpl#getRequirementLinks <em>Requirement Links</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
public class AbstractSafetyRequirementImpl extends TraceableSpecificationImpl implements AbstractSafetyRequirement
{
  /**
   * The default value of the '{@link #getAsil() <em>Asil</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getAsil()
   * @generated
   * @ordered
   */
  protected static final ASILEnum ASIL_EDEFAULT = ASILEnum.ASIL_A;

  /**
   * The cached value of the '{@link #getAsil() <em>Asil</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getAsil()
   * @generated
   * @ordered
   */
  protected ASILEnum asil = ASIL_EDEFAULT;

  /**
   * This is true if the Asil attribute has been set.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  protected boolean asilESet;

  /**
   * The cached value of the '{@link #getRequirement() <em>Requirement</em>}' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getRequirement()
   * @generated
   * @ordered
   */
  protected Requirement requirement;

  /**
   * The cached value of the '{@link #getRequirementLinks() <em>Requirement Links</em>}' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getRequirementLinks()
   * @generated
   * @ordered
   */
  protected EList<RequirementsLink> requirementLinks;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected AbstractSafetyRequirementImpl()
  {
    super();
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  protected EClass eStaticClass()
  {
    return RequirementsPackage.Literals.ABSTRACT_SAFETY_REQUIREMENT;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public ASILEnum getAsil()
  {
    return asil;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setAsil(ASILEnum newAsil)
  {
    ASILEnum oldAsil = asil;
    asil = newAsil == null ? ASIL_EDEFAULT : newAsil;
    boolean oldAsilESet = asilESet;
    asilESet = true;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, RequirementsPackage.ABSTRACT_SAFETY_REQUIREMENT__ASIL, oldAsil, asil, !oldAsilESet));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void unsetAsil()
  {
    ASILEnum oldAsil = asil;
    boolean oldAsilESet = asilESet;
    asil = ASIL_EDEFAULT;
    asilESet = false;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.UNSET, RequirementsPackage.ABSTRACT_SAFETY_REQUIREMENT__ASIL, oldAsil, ASIL_EDEFAULT, oldAsilESet));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public boolean isSetAsil()
  {
    return asilESet;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public Requirement getRequirement()
  {
    if (requirement != null && requirement.eIsProxy())
    {
      InternalEObject oldRequirement = (InternalEObject)requirement;
      requirement = (Requirement)eResolveProxy(oldRequirement);
      if (requirement != oldRequirement)
      {
        if (eNotificationRequired())
          eNotify(new ENotificationImpl(this, Notification.RESOLVE, RequirementsPackage.ABSTRACT_SAFETY_REQUIREMENT__REQUIREMENT, oldRequirement, requirement));
      }
    }
    return requirement;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public Requirement basicGetRequirement()
  {
    return requirement;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setRequirement(Requirement newRequirement)
  {
    Requirement oldRequirement = requirement;
    requirement = newRequirement;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, RequirementsPackage.ABSTRACT_SAFETY_REQUIREMENT__REQUIREMENT, oldRequirement, requirement));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EList<RequirementsLink> getRequirementLinks()
  {
    if (requirementLinks == null)
    {
      requirementLinks = new EObjectContainmentEList<RequirementsLink>(RequirementsLink.class, this, RequirementsPackage.ABSTRACT_SAFETY_REQUIREMENT__REQUIREMENT_LINKS);
    }
    return requirementLinks;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public NotificationChain eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)
  {
    switch (featureID)
    {
      case RequirementsPackage.ABSTRACT_SAFETY_REQUIREMENT__REQUIREMENT_LINKS:
        return ((InternalEList<?>)getRequirementLinks()).basicRemove(otherEnd, msgs);
    }
    return super.eInverseRemove(otherEnd, featureID, msgs);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Object eGet(int featureID, boolean resolve, boolean coreType)
  {
    switch (featureID)
    {
      case RequirementsPackage.ABSTRACT_SAFETY_REQUIREMENT__ASIL:
        return getAsil();
      case RequirementsPackage.ABSTRACT_SAFETY_REQUIREMENT__REQUIREMENT:
        if (resolve) return getRequirement();
        return basicGetRequirement();
      case RequirementsPackage.ABSTRACT_SAFETY_REQUIREMENT__REQUIREMENT_LINKS:
        return getRequirementLinks();
    }
    return super.eGet(featureID, resolve, coreType);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @SuppressWarnings("unchecked")
  @Override
  public void eSet(int featureID, Object newValue)
  {
    switch (featureID)
    {
      case RequirementsPackage.ABSTRACT_SAFETY_REQUIREMENT__ASIL:
   			setAsil((ASILEnum)newValue);
        return;
      case RequirementsPackage.ABSTRACT_SAFETY_REQUIREMENT__REQUIREMENT:
   			setRequirement((Requirement)newValue);
        return;
      case RequirementsPackage.ABSTRACT_SAFETY_REQUIREMENT__REQUIREMENT_LINKS:
        getRequirementLinks().clear();
        getRequirementLinks().addAll((Collection<? extends RequirementsLink>)newValue);
        return;
    }
    super.eSet(featureID, newValue);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public void eUnset(int featureID)
  {
    switch (featureID)
    {
      case RequirementsPackage.ABSTRACT_SAFETY_REQUIREMENT__ASIL:
        unsetAsil();
        return;
      case RequirementsPackage.ABSTRACT_SAFETY_REQUIREMENT__REQUIREMENT:
        	setRequirement((Requirement)null);
        return;
      case RequirementsPackage.ABSTRACT_SAFETY_REQUIREMENT__REQUIREMENT_LINKS:
        getRequirementLinks().clear();
        return;
    }
    super.eUnset(featureID);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public boolean eIsSet(int featureID)
  {
    switch (featureID)
    {
      case RequirementsPackage.ABSTRACT_SAFETY_REQUIREMENT__ASIL:
        return isSetAsil();
      case RequirementsPackage.ABSTRACT_SAFETY_REQUIREMENT__REQUIREMENT:
        return requirement != null;
      case RequirementsPackage.ABSTRACT_SAFETY_REQUIREMENT__REQUIREMENT_LINKS:
        return requirementLinks != null && !requirementLinks.isEmpty();
    }
    return super.eIsSet(featureID);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public String toString()
  {
    if (eIsProxy()) return super.toString();

    StringBuffer result = new StringBuffer(super.toString());
    result.append(" (asil: ");
    if (asilESet) result.append(asil); else result.append("<unset>");
    result.append(')');
    return result.toString();
  }

} //AbstractSafetyRequirementImpl
