/**
 */
package safe10.classmodel.requirements.impl;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EDataType;
import org.eclipse.emf.ecore.EObject;
import org.eclipse.emf.ecore.EPackage;

import org.eclipse.emf.ecore.impl.EFactoryImpl;

import org.eclipse.emf.ecore.plugin.EcorePlugin;

import safe10.classmodel.requirements.*;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model <b>Factory</b>.
 * <!-- end-user-doc -->
 * @generated
 */
public class RequirementsFactoryImpl extends EFactoryImpl implements RequirementsFactory
{
  /**
   * Creates the default factory implementation.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public static RequirementsFactory init()
  {
    try
    {
      RequirementsFactory theRequirementsFactory = (RequirementsFactory)EPackage.Registry.INSTANCE.getEFactory("http://safe-project.eu/1.0.1/safe10/classmodel/requirements"); 
      if (theRequirementsFactory != null)
      {
        return theRequirementsFactory;
      }
    }
    catch (Exception exception)
    {
      EcorePlugin.INSTANCE.log(exception);
    }
    return new RequirementsFactoryImpl();
  }

  /**
   * Creates an instance of the factory.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public RequirementsFactoryImpl()
  {
    super();
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public EObject create(EClass eClass)
  {
    switch (eClass.getClassifierID())
    {
      case RequirementsPackage.ABSTRACT_SAFETY_REQUIREMENT: return createAbstractSafetyRequirement();
      case RequirementsPackage.FUNCTIONAL_SAFETY_REQUIREMENT: return createFunctionalSafetyRequirement();
      case RequirementsPackage.HAS_ASIL_DECOMPOSED: return createHasAsilDecomposed();
      case RequirementsPackage.HAS_EMERGENCY_OPERATION_TIME_INTERVAL: return createHasEmergencyOperationTimeInterval();
      case RequirementsPackage.HAS_FAULT_TOLERANT_TIME_INTERVAL: return createHasFaultTolerantTimeInterval();
      case RequirementsPackage.REQUIREMENTS_LINK: return createRequirementsLink();
      case RequirementsPackage.REQUIREMENTS_RELEATIONSHIP: return createRequirementsReleationship();
      case RequirementsPackage.SOFTWARE_SAFETY_REQUIREMENT: return createSoftwareSafetyRequirement();
      case RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT: return createTechnicalSafetyRequirement();
      case RequirementsPackage.VERIFY: return createVerify();
      default:
        throw new IllegalArgumentException("The class '" + eClass.getName() + "' is not a valid classifier");
    }
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Object createFromString(EDataType eDataType, String initialValue)
  {
    switch (eDataType.getClassifierID())
    {
      case RequirementsPackage.REQUIREMENT_KIND:
        return createRequirementKindFromString(eDataType, initialValue);
      case RequirementsPackage.REQUIREMENTS_LINK_TYPE:
        return createRequirementsLinkTypeFromString(eDataType, initialValue);
      default:
        throw new IllegalArgumentException("The datatype '" + eDataType.getName() + "' is not a valid classifier");
    }
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public String convertToString(EDataType eDataType, Object instanceValue)
  {
    switch (eDataType.getClassifierID())
    {
      case RequirementsPackage.REQUIREMENT_KIND:
        return convertRequirementKindToString(eDataType, instanceValue);
      case RequirementsPackage.REQUIREMENTS_LINK_TYPE:
        return convertRequirementsLinkTypeToString(eDataType, instanceValue);
      default:
        throw new IllegalArgumentException("The datatype '" + eDataType.getName() + "' is not a valid classifier");
    }
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public AbstractSafetyRequirement createAbstractSafetyRequirement()
  {
    AbstractSafetyRequirementImpl abstractSafetyRequirement = new AbstractSafetyRequirementImpl();
    return abstractSafetyRequirement;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public FunctionalSafetyRequirement createFunctionalSafetyRequirement()
  {
    FunctionalSafetyRequirementImpl functionalSafetyRequirement = new FunctionalSafetyRequirementImpl();
    return functionalSafetyRequirement;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public HasAsilDecomposed createHasAsilDecomposed()
  {
    HasAsilDecomposedImpl hasAsilDecomposed = new HasAsilDecomposedImpl();
    return hasAsilDecomposed;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public HasEmergencyOperationTimeInterval createHasEmergencyOperationTimeInterval()
  {
    HasEmergencyOperationTimeIntervalImpl hasEmergencyOperationTimeInterval = new HasEmergencyOperationTimeIntervalImpl();
    return hasEmergencyOperationTimeInterval;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public HasFaultTolerantTimeInterval createHasFaultTolerantTimeInterval()
  {
    HasFaultTolerantTimeIntervalImpl hasFaultTolerantTimeInterval = new HasFaultTolerantTimeIntervalImpl();
    return hasFaultTolerantTimeInterval;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public RequirementsLink createRequirementsLink()
  {
    RequirementsLinkImpl requirementsLink = new RequirementsLinkImpl();
    return requirementsLink;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public RequirementsReleationship createRequirementsReleationship()
  {
    RequirementsReleationshipImpl requirementsReleationship = new RequirementsReleationshipImpl();
    return requirementsReleationship;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public SoftwareSafetyRequirement createSoftwareSafetyRequirement()
  {
    SoftwareSafetyRequirementImpl softwareSafetyRequirement = new SoftwareSafetyRequirementImpl();
    return softwareSafetyRequirement;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public TechnicalSafetyRequirement createTechnicalSafetyRequirement()
  {
    TechnicalSafetyRequirementImpl technicalSafetyRequirement = new TechnicalSafetyRequirementImpl();
    return technicalSafetyRequirement;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public Verify createVerify()
  {
    VerifyImpl verify = new VerifyImpl();
    return verify;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public RequirementKind createRequirementKindFromString(EDataType eDataType, String initialValue)
  {
    RequirementKind result = RequirementKind.get(initialValue);
    if (result == null) throw new IllegalArgumentException("The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
    return result;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String convertRequirementKindToString(EDataType eDataType, Object instanceValue)
  {
    return instanceValue == null ? null : instanceValue.toString();
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public RequirementsLinkType createRequirementsLinkTypeFromString(EDataType eDataType, String initialValue)
  {
    RequirementsLinkType result = RequirementsLinkType.get(initialValue);
    if (result == null) throw new IllegalArgumentException("The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
    return result;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String convertRequirementsLinkTypeToString(EDataType eDataType, Object instanceValue)
  {
    return instanceValue == null ? null : instanceValue.toString();
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public RequirementsPackage getRequirementsPackage()
  {
    return (RequirementsPackage)getEPackage();
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @deprecated
   * @generated
   */
  @Deprecated
  public static RequirementsPackage getPackage()
  {
    return RequirementsPackage.eINSTANCE;
  }

} //RequirementsFactoryImpl
