/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package safe10.classmodel.requirements.impl;

import eastadl21.east_adl.requirements.Requirement;

import java.util.Collection;

import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.common.notify.NotificationChain;

import org.eclipse.emf.common.util.EList;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.InternalEObject;

import org.eclipse.emf.ecore.impl.ENotificationImpl;

import org.eclipse.emf.ecore.util.EDataTypeUniqueEList;
import org.eclipse.emf.ecore.util.EObjectContainmentEList;
import org.eclipse.emf.ecore.util.InternalEList;

import safe10.classmodel.commonstructure.datatypes.ASILDecomposedEnum;
import safe10.classmodel.commonstructure.datatypes.ASILEnum;

import safe10.classmodel.commonstructure.toplevel.Identifiable;
import safe10.classmodel.commonstructure.toplevel.PackageableElement;
import safe10.classmodel.commonstructure.toplevel.Referrable;
import safe10.classmodel.commonstructure.toplevel.SAFEElement;
import safe10.classmodel.commonstructure.toplevel.ToplevelPackage;

import safe10.classmodel.requirements.AbstractSafetyRequirement;
import safe10.classmodel.requirements.AllocatableElement;
import safe10.classmodel.requirements.HasAsilDecomposed;
import safe10.classmodel.requirements.HasEmergencyOperationTimeInterval;
import safe10.classmodel.requirements.RequirementKind;
import safe10.classmodel.requirements.RequirementsLink;
import safe10.classmodel.requirements.RequirementsPackage;
import safe10.classmodel.requirements.TechnicalSafetyRequirement;
import safe10.classmodel.requirements.TraceableSpecification;

import safe10.classmodel.software.configuration.CodeGenerationConfiguration;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>Technical Safety Requirement</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link safe10.classmodel.requirements.impl.TechnicalSafetyRequirementImpl#getShortName <em>Short Name</em>}</li>
 *   <li>{@link safe10.classmodel.requirements.impl.TechnicalSafetyRequirementImpl#getCategory <em>Category</em>}</li>
 *   <li>{@link safe10.classmodel.requirements.impl.TechnicalSafetyRequirementImpl#getUuid <em>Uuid</em>}</li>
 *   <li>{@link safe10.classmodel.requirements.impl.TechnicalSafetyRequirementImpl#getName <em>Name</em>}</li>
 *   <li>{@link safe10.classmodel.requirements.impl.TechnicalSafetyRequirementImpl#getFormal <em>Formal</em>}</li>
 *   <li>{@link safe10.classmodel.requirements.impl.TechnicalSafetyRequirementImpl#getInformal <em>Informal</em>}</li>
 *   <li>{@link safe10.classmodel.requirements.impl.TechnicalSafetyRequirementImpl#getStakeholder <em>Stakeholder</em>}</li>
 *   <li>{@link safe10.classmodel.requirements.impl.TechnicalSafetyRequirementImpl#getAsil <em>Asil</em>}</li>
 *   <li>{@link safe10.classmodel.requirements.impl.TechnicalSafetyRequirementImpl#getRequirement <em>Requirement</em>}</li>
 *   <li>{@link safe10.classmodel.requirements.impl.TechnicalSafetyRequirementImpl#getRequirementLinks <em>Requirement Links</em>}</li>
 *   <li>{@link safe10.classmodel.requirements.impl.TechnicalSafetyRequirementImpl#getEmergencyOperationTimeInterval <em>Emergency Operation Time Interval</em>}</li>
 *   <li>{@link safe10.classmodel.requirements.impl.TechnicalSafetyRequirementImpl#getDecomposedASIL <em>Decomposed ASIL</em>}</li>
 *   <li>{@link safe10.classmodel.requirements.impl.TechnicalSafetyRequirementImpl#getRequirementKind <em>Requirement Kind</em>}</li>
 *   <li>{@link safe10.classmodel.requirements.impl.TechnicalSafetyRequirementImpl#getRedundancy <em>Redundancy</em>}</li>
 *   <li>{@link safe10.classmodel.requirements.impl.TechnicalSafetyRequirementImpl#getCodegenconfiguration <em>Codegenconfiguration</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
public class TechnicalSafetyRequirementImpl extends HasFaultTolerantTimeIntervalImpl implements TechnicalSafetyRequirement
{
  /**
   * The default value of the '{@link #getShortName() <em>Short Name</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getShortName()
   * @generated
   * @ordered
   */
  protected static final String SHORT_NAME_EDEFAULT = "";

  /**
   * The cached value of the '{@link #getShortName() <em>Short Name</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getShortName()
   * @generated
   * @ordered
   */
  protected String shortName = SHORT_NAME_EDEFAULT;

  /**
   * This is true if the Short Name attribute has been set.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  protected boolean shortNameESet;

  /**
   * The default value of the '{@link #getCategory() <em>Category</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getCategory()
   * @generated
   * @ordered
   */
  protected static final String CATEGORY_EDEFAULT = "";

  /**
   * The cached value of the '{@link #getCategory() <em>Category</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getCategory()
   * @generated
   * @ordered
   */
  protected String category = CATEGORY_EDEFAULT;

  /**
   * This is true if the Category attribute has been set.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  protected boolean categoryESet;

  /**
   * The default value of the '{@link #getUuid() <em>Uuid</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getUuid()
   * @generated
   * @ordered
   */
  protected static final String UUID_EDEFAULT = "";

  /**
   * The cached value of the '{@link #getUuid() <em>Uuid</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getUuid()
   * @generated
   * @ordered
   */
  protected String uuid = UUID_EDEFAULT;

  /**
   * This is true if the Uuid attribute has been set.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  protected boolean uuidESet;

  /**
   * The default value of the '{@link #getName() <em>Name</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getName()
   * @generated
   * @ordered
   */
  protected static final String NAME_EDEFAULT = "";

  /**
   * The cached value of the '{@link #getName() <em>Name</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getName()
   * @generated
   * @ordered
   */
  protected String name = NAME_EDEFAULT;

  /**
   * This is true if the Name attribute has been set.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  protected boolean nameESet;

  /**
   * The default value of the '{@link #getFormal() <em>Formal</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getFormal()
   * @generated
   * @ordered
   */
  protected static final String FORMAL_EDEFAULT = "";

  /**
   * The cached value of the '{@link #getFormal() <em>Formal</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getFormal()
   * @generated
   * @ordered
   */
  protected String formal = FORMAL_EDEFAULT;

  /**
   * This is true if the Formal attribute has been set.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  protected boolean formalESet;

  /**
   * The default value of the '{@link #getInformal() <em>Informal</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getInformal()
   * @generated
   * @ordered
   */
  protected static final String INFORMAL_EDEFAULT = "";

  /**
   * The cached value of the '{@link #getInformal() <em>Informal</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getInformal()
   * @generated
   * @ordered
   */
  protected String informal = INFORMAL_EDEFAULT;

  /**
   * This is true if the Informal attribute has been set.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  protected boolean informalESet;

  /**
   * The cached value of the '{@link #getStakeholder() <em>Stakeholder</em>}' attribute list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getStakeholder()
   * @generated
   * @ordered
   */
  protected EList<String> stakeholder;

  /**
   * The default value of the '{@link #getAsil() <em>Asil</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getAsil()
   * @generated
   * @ordered
   */
  protected static final ASILEnum ASIL_EDEFAULT = ASILEnum.ASIL_A;

  /**
   * The cached value of the '{@link #getAsil() <em>Asil</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getAsil()
   * @generated
   * @ordered
   */
  protected ASILEnum asil = ASIL_EDEFAULT;

  /**
   * This is true if the Asil attribute has been set.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  protected boolean asilESet;

  /**
   * The cached value of the '{@link #getRequirement() <em>Requirement</em>}' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getRequirement()
   * @generated
   * @ordered
   */
  protected Requirement requirement;

  /**
   * The cached value of the '{@link #getRequirementLinks() <em>Requirement Links</em>}' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getRequirementLinks()
   * @generated
   * @ordered
   */
  protected EList<RequirementsLink> requirementLinks;

  /**
   * The default value of the '{@link #getEmergencyOperationTimeInterval() <em>Emergency Operation Time Interval</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getEmergencyOperationTimeInterval()
   * @generated
   * @ordered
   */
  protected static final Double EMERGENCY_OPERATION_TIME_INTERVAL_EDEFAULT = new Double(0.0);

  /**
   * The cached value of the '{@link #getEmergencyOperationTimeInterval() <em>Emergency Operation Time Interval</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getEmergencyOperationTimeInterval()
   * @generated
   * @ordered
   */
  protected Double emergencyOperationTimeInterval = EMERGENCY_OPERATION_TIME_INTERVAL_EDEFAULT;

  /**
   * This is true if the Emergency Operation Time Interval attribute has been set.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  protected boolean emergencyOperationTimeIntervalESet;

  /**
   * The default value of the '{@link #getDecomposedASIL() <em>Decomposed ASIL</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getDecomposedASIL()
   * @generated
   * @ordered
   */
  protected static final ASILDecomposedEnum DECOMPOSED_ASIL_EDEFAULT = ASILDecomposedEnum.ASIL_A;

  /**
   * The cached value of the '{@link #getDecomposedASIL() <em>Decomposed ASIL</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getDecomposedASIL()
   * @generated
   * @ordered
   */
  protected ASILDecomposedEnum decomposedASIL = DECOMPOSED_ASIL_EDEFAULT;

  /**
   * This is true if the Decomposed ASIL attribute has been set.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  protected boolean decomposedASILESet;

  /**
   * The default value of the '{@link #getRequirementKind() <em>Requirement Kind</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getRequirementKind()
   * @generated
   * @ordered
   */
  protected static final RequirementKind REQUIREMENT_KIND_EDEFAULT = RequirementKind.QUANTITATIVE;

  /**
   * The cached value of the '{@link #getRequirementKind() <em>Requirement Kind</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getRequirementKind()
   * @generated
   * @ordered
   */
  protected RequirementKind requirementKind = REQUIREMENT_KIND_EDEFAULT;

  /**
   * This is true if the Requirement Kind attribute has been set.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  protected boolean requirementKindESet;

  /**
   * The default value of the '{@link #getRedundancy() <em>Redundancy</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getRedundancy()
   * @generated
   * @ordered
   */
  protected static final Boolean REDUNDANCY_EDEFAULT = Boolean.FALSE;

  /**
   * The cached value of the '{@link #getRedundancy() <em>Redundancy</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getRedundancy()
   * @generated
   * @ordered
   */
  protected Boolean redundancy = REDUNDANCY_EDEFAULT;

  /**
   * This is true if the Redundancy attribute has been set.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  protected boolean redundancyESet;

  /**
   * The cached value of the '{@link #getCodegenconfiguration() <em>Codegenconfiguration</em>}' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getCodegenconfiguration()
   * @generated
   * @ordered
   */
  protected EList<CodeGenerationConfiguration> codegenconfiguration;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected TechnicalSafetyRequirementImpl()
  {
    super();
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  protected EClass eStaticClass()
  {
    return RequirementsPackage.Literals.TECHNICAL_SAFETY_REQUIREMENT;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String getShortName()
  {
    return shortName;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setShortName(String newShortName)
  {
    String oldShortName = shortName;
    shortName = newShortName;
    boolean oldShortNameESet = shortNameESet;
    shortNameESet = true;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__SHORT_NAME, oldShortName, shortName, !oldShortNameESet));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void unsetShortName()
  {
    String oldShortName = shortName;
    boolean oldShortNameESet = shortNameESet;
    shortName = SHORT_NAME_EDEFAULT;
    shortNameESet = false;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.UNSET, RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__SHORT_NAME, oldShortName, SHORT_NAME_EDEFAULT, oldShortNameESet));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public boolean isSetShortName()
  {
    return shortNameESet;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String getCategory()
  {
    return category;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setCategory(String newCategory)
  {
    String oldCategory = category;
    category = newCategory;
    boolean oldCategoryESet = categoryESet;
    categoryESet = true;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__CATEGORY, oldCategory, category, !oldCategoryESet));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void unsetCategory()
  {
    String oldCategory = category;
    boolean oldCategoryESet = categoryESet;
    category = CATEGORY_EDEFAULT;
    categoryESet = false;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.UNSET, RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__CATEGORY, oldCategory, CATEGORY_EDEFAULT, oldCategoryESet));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public boolean isSetCategory()
  {
    return categoryESet;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String getUuid()
  {
    return uuid;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setUuid(String newUuid)
  {
    String oldUuid = uuid;
    uuid = newUuid;
    boolean oldUuidESet = uuidESet;
    uuidESet = true;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__UUID, oldUuid, uuid, !oldUuidESet));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void unsetUuid()
  {
    String oldUuid = uuid;
    boolean oldUuidESet = uuidESet;
    uuid = UUID_EDEFAULT;
    uuidESet = false;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.UNSET, RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__UUID, oldUuid, UUID_EDEFAULT, oldUuidESet));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public boolean isSetUuid()
  {
    return uuidESet;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String getName()
  {
    return name;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setName(String newName)
  {
    String oldName = name;
    name = newName;
    boolean oldNameESet = nameESet;
    nameESet = true;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__NAME, oldName, name, !oldNameESet));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void unsetName()
  {
    String oldName = name;
    boolean oldNameESet = nameESet;
    name = NAME_EDEFAULT;
    nameESet = false;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.UNSET, RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__NAME, oldName, NAME_EDEFAULT, oldNameESet));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public boolean isSetName()
  {
    return nameESet;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String getFormal()
  {
    return formal;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setFormal(String newFormal)
  {
    String oldFormal = formal;
    formal = newFormal;
    boolean oldFormalESet = formalESet;
    formalESet = true;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__FORMAL, oldFormal, formal, !oldFormalESet));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void unsetFormal()
  {
    String oldFormal = formal;
    boolean oldFormalESet = formalESet;
    formal = FORMAL_EDEFAULT;
    formalESet = false;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.UNSET, RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__FORMAL, oldFormal, FORMAL_EDEFAULT, oldFormalESet));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public boolean isSetFormal()
  {
    return formalESet;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String getInformal()
  {
    return informal;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setInformal(String newInformal)
  {
    String oldInformal = informal;
    informal = newInformal;
    boolean oldInformalESet = informalESet;
    informalESet = true;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__INFORMAL, oldInformal, informal, !oldInformalESet));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void unsetInformal()
  {
    String oldInformal = informal;
    boolean oldInformalESet = informalESet;
    informal = INFORMAL_EDEFAULT;
    informalESet = false;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.UNSET, RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__INFORMAL, oldInformal, INFORMAL_EDEFAULT, oldInformalESet));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public boolean isSetInformal()
  {
    return informalESet;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EList<String> getStakeholder()
  {
    if (stakeholder == null)
    {
      stakeholder = new EDataTypeUniqueEList.Unsettable<String>(String.class, this, RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__STAKEHOLDER);
    }
    return stakeholder;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void unsetStakeholder()
  {
    if (stakeholder != null) ((InternalEList.Unsettable<?>)stakeholder).unset();
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public boolean isSetStakeholder()
  {
    return stakeholder != null && ((InternalEList.Unsettable<?>)stakeholder).isSet();
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public ASILEnum getAsil()
  {
    return asil;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setAsil(ASILEnum newAsil)
  {
    ASILEnum oldAsil = asil;
    asil = newAsil == null ? ASIL_EDEFAULT : newAsil;
    boolean oldAsilESet = asilESet;
    asilESet = true;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__ASIL, oldAsil, asil, !oldAsilESet));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void unsetAsil()
  {
    ASILEnum oldAsil = asil;
    boolean oldAsilESet = asilESet;
    asil = ASIL_EDEFAULT;
    asilESet = false;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.UNSET, RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__ASIL, oldAsil, ASIL_EDEFAULT, oldAsilESet));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public boolean isSetAsil()
  {
    return asilESet;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public Requirement getRequirement()
  {
    if (requirement != null && requirement.eIsProxy())
    {
      InternalEObject oldRequirement = (InternalEObject)requirement;
      requirement = (Requirement)eResolveProxy(oldRequirement);
      if (requirement != oldRequirement)
      {
        if (eNotificationRequired())
          eNotify(new ENotificationImpl(this, Notification.RESOLVE, RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__REQUIREMENT, oldRequirement, requirement));
      }
    }
    return requirement;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public Requirement basicGetRequirement()
  {
    return requirement;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setRequirement(Requirement newRequirement)
  {
    Requirement oldRequirement = requirement;
    requirement = newRequirement;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__REQUIREMENT, oldRequirement, requirement));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EList<RequirementsLink> getRequirementLinks()
  {
    if (requirementLinks == null)
    {
      requirementLinks = new EObjectContainmentEList<RequirementsLink>(RequirementsLink.class, this, RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__REQUIREMENT_LINKS);
    }
    return requirementLinks;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public Double getEmergencyOperationTimeInterval()
  {
    return emergencyOperationTimeInterval;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setEmergencyOperationTimeInterval(Double newEmergencyOperationTimeInterval)
  {
    Double oldEmergencyOperationTimeInterval = emergencyOperationTimeInterval;
    emergencyOperationTimeInterval = newEmergencyOperationTimeInterval;
    boolean oldEmergencyOperationTimeIntervalESet = emergencyOperationTimeIntervalESet;
    emergencyOperationTimeIntervalESet = true;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__EMERGENCY_OPERATION_TIME_INTERVAL, oldEmergencyOperationTimeInterval, emergencyOperationTimeInterval, !oldEmergencyOperationTimeIntervalESet));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void unsetEmergencyOperationTimeInterval()
  {
    Double oldEmergencyOperationTimeInterval = emergencyOperationTimeInterval;
    boolean oldEmergencyOperationTimeIntervalESet = emergencyOperationTimeIntervalESet;
    emergencyOperationTimeInterval = EMERGENCY_OPERATION_TIME_INTERVAL_EDEFAULT;
    emergencyOperationTimeIntervalESet = false;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.UNSET, RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__EMERGENCY_OPERATION_TIME_INTERVAL, oldEmergencyOperationTimeInterval, EMERGENCY_OPERATION_TIME_INTERVAL_EDEFAULT, oldEmergencyOperationTimeIntervalESet));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public boolean isSetEmergencyOperationTimeInterval()
  {
    return emergencyOperationTimeIntervalESet;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public ASILDecomposedEnum getDecomposedASIL()
  {
    return decomposedASIL;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setDecomposedASIL(ASILDecomposedEnum newDecomposedASIL)
  {
    ASILDecomposedEnum oldDecomposedASIL = decomposedASIL;
    decomposedASIL = newDecomposedASIL == null ? DECOMPOSED_ASIL_EDEFAULT : newDecomposedASIL;
    boolean oldDecomposedASILESet = decomposedASILESet;
    decomposedASILESet = true;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__DECOMPOSED_ASIL, oldDecomposedASIL, decomposedASIL, !oldDecomposedASILESet));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void unsetDecomposedASIL()
  {
    ASILDecomposedEnum oldDecomposedASIL = decomposedASIL;
    boolean oldDecomposedASILESet = decomposedASILESet;
    decomposedASIL = DECOMPOSED_ASIL_EDEFAULT;
    decomposedASILESet = false;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.UNSET, RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__DECOMPOSED_ASIL, oldDecomposedASIL, DECOMPOSED_ASIL_EDEFAULT, oldDecomposedASILESet));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public boolean isSetDecomposedASIL()
  {
    return decomposedASILESet;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public RequirementKind getRequirementKind()
  {
    return requirementKind;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setRequirementKind(RequirementKind newRequirementKind)
  {
    RequirementKind oldRequirementKind = requirementKind;
    requirementKind = newRequirementKind == null ? REQUIREMENT_KIND_EDEFAULT : newRequirementKind;
    boolean oldRequirementKindESet = requirementKindESet;
    requirementKindESet = true;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__REQUIREMENT_KIND, oldRequirementKind, requirementKind, !oldRequirementKindESet));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void unsetRequirementKind()
  {
    RequirementKind oldRequirementKind = requirementKind;
    boolean oldRequirementKindESet = requirementKindESet;
    requirementKind = REQUIREMENT_KIND_EDEFAULT;
    requirementKindESet = false;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.UNSET, RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__REQUIREMENT_KIND, oldRequirementKind, REQUIREMENT_KIND_EDEFAULT, oldRequirementKindESet));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public boolean isSetRequirementKind()
  {
    return requirementKindESet;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public Boolean getRedundancy()
  {
    return redundancy;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setRedundancy(Boolean newRedundancy)
  {
    Boolean oldRedundancy = redundancy;
    redundancy = newRedundancy;
    boolean oldRedundancyESet = redundancyESet;
    redundancyESet = true;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__REDUNDANCY, oldRedundancy, redundancy, !oldRedundancyESet));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void unsetRedundancy()
  {
    Boolean oldRedundancy = redundancy;
    boolean oldRedundancyESet = redundancyESet;
    redundancy = REDUNDANCY_EDEFAULT;
    redundancyESet = false;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.UNSET, RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__REDUNDANCY, oldRedundancy, REDUNDANCY_EDEFAULT, oldRedundancyESet));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public boolean isSetRedundancy()
  {
    return redundancyESet;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EList<CodeGenerationConfiguration> getCodegenconfiguration()
  {
    if (codegenconfiguration == null)
    {
      codegenconfiguration = new EObjectContainmentEList<CodeGenerationConfiguration>(CodeGenerationConfiguration.class, this, RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__CODEGENCONFIGURATION);
    }
    return codegenconfiguration;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public NotificationChain eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)
  {
    switch (featureID)
    {
      case RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__REQUIREMENT_LINKS:
        return ((InternalEList<?>)getRequirementLinks()).basicRemove(otherEnd, msgs);
      case RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__CODEGENCONFIGURATION:
        return ((InternalEList<?>)getCodegenconfiguration()).basicRemove(otherEnd, msgs);
    }
    return super.eInverseRemove(otherEnd, featureID, msgs);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Object eGet(int featureID, boolean resolve, boolean coreType)
  {
    switch (featureID)
    {
      case RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__SHORT_NAME:
        return getShortName();
      case RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__CATEGORY:
        return getCategory();
      case RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__UUID:
        return getUuid();
      case RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__NAME:
        return getName();
      case RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__FORMAL:
        return getFormal();
      case RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__INFORMAL:
        return getInformal();
      case RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__STAKEHOLDER:
        return getStakeholder();
      case RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__ASIL:
        return getAsil();
      case RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__REQUIREMENT:
        if (resolve) return getRequirement();
        return basicGetRequirement();
      case RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__REQUIREMENT_LINKS:
        return getRequirementLinks();
      case RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__EMERGENCY_OPERATION_TIME_INTERVAL:
        return getEmergencyOperationTimeInterval();
      case RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__DECOMPOSED_ASIL:
        return getDecomposedASIL();
      case RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__REQUIREMENT_KIND:
        return getRequirementKind();
      case RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__REDUNDANCY:
        return getRedundancy();
      case RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__CODEGENCONFIGURATION:
        return getCodegenconfiguration();
    }
    return super.eGet(featureID, resolve, coreType);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @SuppressWarnings("unchecked")
  @Override
  public void eSet(int featureID, Object newValue)
  {
    switch (featureID)
    {
      case RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__SHORT_NAME:
   			setShortName((String)newValue);
        return;
      case RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__CATEGORY:
   			setCategory((String)newValue);
        return;
      case RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__UUID:
   			setUuid((String)newValue);
        return;
      case RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__NAME:
   			setName((String)newValue);
        return;
      case RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__FORMAL:
   			setFormal((String)newValue);
        return;
      case RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__INFORMAL:
   			setInformal((String)newValue);
        return;
      case RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__STAKEHOLDER:
        getStakeholder().clear();
        getStakeholder().addAll((Collection<? extends String>)newValue);
        return;
      case RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__ASIL:
   			setAsil((ASILEnum)newValue);
        return;
      case RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__REQUIREMENT:
   			setRequirement((Requirement)newValue);
        return;
      case RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__REQUIREMENT_LINKS:
        getRequirementLinks().clear();
        getRequirementLinks().addAll((Collection<? extends RequirementsLink>)newValue);
        return;
      case RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__EMERGENCY_OPERATION_TIME_INTERVAL:
   			setEmergencyOperationTimeInterval((Double)newValue);
        return;
      case RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__DECOMPOSED_ASIL:
   			setDecomposedASIL((ASILDecomposedEnum)newValue);
        return;
      case RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__REQUIREMENT_KIND:
   			setRequirementKind((RequirementKind)newValue);
        return;
      case RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__REDUNDANCY:
   			setRedundancy((Boolean)newValue);
        return;
      case RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__CODEGENCONFIGURATION:
        getCodegenconfiguration().clear();
        getCodegenconfiguration().addAll((Collection<? extends CodeGenerationConfiguration>)newValue);
        return;
    }
    super.eSet(featureID, newValue);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public void eUnset(int featureID)
  {
    switch (featureID)
    {
      case RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__SHORT_NAME:
        unsetShortName();
        return;
      case RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__CATEGORY:
        unsetCategory();
        return;
      case RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__UUID:
        unsetUuid();
        return;
      case RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__NAME:
        unsetName();
        return;
      case RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__FORMAL:
        unsetFormal();
        return;
      case RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__INFORMAL:
        unsetInformal();
        return;
      case RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__STAKEHOLDER:
        unsetStakeholder();
        return;
      case RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__ASIL:
        unsetAsil();
        return;
      case RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__REQUIREMENT:
        	setRequirement((Requirement)null);
        return;
      case RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__REQUIREMENT_LINKS:
        getRequirementLinks().clear();
        return;
      case RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__EMERGENCY_OPERATION_TIME_INTERVAL:
        unsetEmergencyOperationTimeInterval();
        return;
      case RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__DECOMPOSED_ASIL:
        unsetDecomposedASIL();
        return;
      case RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__REQUIREMENT_KIND:
        unsetRequirementKind();
        return;
      case RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__REDUNDANCY:
        unsetRedundancy();
        return;
      case RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__CODEGENCONFIGURATION:
        getCodegenconfiguration().clear();
        return;
    }
    super.eUnset(featureID);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public boolean eIsSet(int featureID)
  {
    switch (featureID)
    {
      case RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__SHORT_NAME:
        return isSetShortName();
      case RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__CATEGORY:
        return isSetCategory();
      case RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__UUID:
        return isSetUuid();
      case RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__NAME:
        return isSetName();
      case RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__FORMAL:
        return isSetFormal();
      case RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__INFORMAL:
        return isSetInformal();
      case RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__STAKEHOLDER:
        return isSetStakeholder();
      case RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__ASIL:
        return isSetAsil();
      case RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__REQUIREMENT:
        return requirement != null;
      case RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__REQUIREMENT_LINKS:
        return requirementLinks != null && !requirementLinks.isEmpty();
      case RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__EMERGENCY_OPERATION_TIME_INTERVAL:
        return isSetEmergencyOperationTimeInterval();
      case RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__DECOMPOSED_ASIL:
        return isSetDecomposedASIL();
      case RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__REQUIREMENT_KIND:
        return isSetRequirementKind();
      case RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__REDUNDANCY:
        return isSetRedundancy();
      case RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__CODEGENCONFIGURATION:
        return codegenconfiguration != null && !codegenconfiguration.isEmpty();
    }
    return super.eIsSet(featureID);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public int eBaseStructuralFeatureID(int derivedFeatureID, Class<?> baseClass)
  {
    if (baseClass == Referrable.class)
    {
      switch (derivedFeatureID)
      {
        case RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__SHORT_NAME: return ToplevelPackage.REFERRABLE__SHORT_NAME;
        default: return -1;
      }
    }
    if (baseClass == Identifiable.class)
    {
      switch (derivedFeatureID)
      {
        case RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__CATEGORY: return ToplevelPackage.IDENTIFIABLE__CATEGORY;
        case RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__UUID: return ToplevelPackage.IDENTIFIABLE__UUID;
        default: return -1;
      }
    }
    if (baseClass == PackageableElement.class)
    {
      switch (derivedFeatureID)
      {
        default: return -1;
      }
    }
    if (baseClass == SAFEElement.class)
    {
      switch (derivedFeatureID)
      {
        case RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__NAME: return ToplevelPackage.SAFE_ELEMENT__NAME;
        default: return -1;
      }
    }
    if (baseClass == TraceableSpecification.class)
    {
      switch (derivedFeatureID)
      {
        case RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__FORMAL: return RequirementsPackage.TRACEABLE_SPECIFICATION__FORMAL;
        case RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__INFORMAL: return RequirementsPackage.TRACEABLE_SPECIFICATION__INFORMAL;
        case RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__STAKEHOLDER: return RequirementsPackage.TRACEABLE_SPECIFICATION__STAKEHOLDER;
        default: return -1;
      }
    }
    if (baseClass == AllocatableElement.class)
    {
      switch (derivedFeatureID)
      {
        default: return -1;
      }
    }
    if (baseClass == AbstractSafetyRequirement.class)
    {
      switch (derivedFeatureID)
      {
        case RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__ASIL: return RequirementsPackage.ABSTRACT_SAFETY_REQUIREMENT__ASIL;
        case RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__REQUIREMENT: return RequirementsPackage.ABSTRACT_SAFETY_REQUIREMENT__REQUIREMENT;
        case RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__REQUIREMENT_LINKS: return RequirementsPackage.ABSTRACT_SAFETY_REQUIREMENT__REQUIREMENT_LINKS;
        default: return -1;
      }
    }
    if (baseClass == HasEmergencyOperationTimeInterval.class)
    {
      switch (derivedFeatureID)
      {
        case RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__EMERGENCY_OPERATION_TIME_INTERVAL: return RequirementsPackage.HAS_EMERGENCY_OPERATION_TIME_INTERVAL__EMERGENCY_OPERATION_TIME_INTERVAL;
        default: return -1;
      }
    }
    if (baseClass == HasAsilDecomposed.class)
    {
      switch (derivedFeatureID)
      {
        case RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__DECOMPOSED_ASIL: return RequirementsPackage.HAS_ASIL_DECOMPOSED__DECOMPOSED_ASIL;
        default: return -1;
      }
    }
    return super.eBaseStructuralFeatureID(derivedFeatureID, baseClass);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public int eDerivedStructuralFeatureID(int baseFeatureID, Class<?> baseClass)
  {
    if (baseClass == Referrable.class)
    {
      switch (baseFeatureID)
      {
        case ToplevelPackage.REFERRABLE__SHORT_NAME: return RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__SHORT_NAME;
        default: return -1;
      }
    }
    if (baseClass == Identifiable.class)
    {
      switch (baseFeatureID)
      {
        case ToplevelPackage.IDENTIFIABLE__CATEGORY: return RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__CATEGORY;
        case ToplevelPackage.IDENTIFIABLE__UUID: return RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__UUID;
        default: return -1;
      }
    }
    if (baseClass == PackageableElement.class)
    {
      switch (baseFeatureID)
      {
        default: return -1;
      }
    }
    if (baseClass == SAFEElement.class)
    {
      switch (baseFeatureID)
      {
        case ToplevelPackage.SAFE_ELEMENT__NAME: return RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__NAME;
        default: return -1;
      }
    }
    if (baseClass == TraceableSpecification.class)
    {
      switch (baseFeatureID)
      {
        case RequirementsPackage.TRACEABLE_SPECIFICATION__FORMAL: return RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__FORMAL;
        case RequirementsPackage.TRACEABLE_SPECIFICATION__INFORMAL: return RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__INFORMAL;
        case RequirementsPackage.TRACEABLE_SPECIFICATION__STAKEHOLDER: return RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__STAKEHOLDER;
        default: return -1;
      }
    }
    if (baseClass == AllocatableElement.class)
    {
      switch (baseFeatureID)
      {
        default: return -1;
      }
    }
    if (baseClass == AbstractSafetyRequirement.class)
    {
      switch (baseFeatureID)
      {
        case RequirementsPackage.ABSTRACT_SAFETY_REQUIREMENT__ASIL: return RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__ASIL;
        case RequirementsPackage.ABSTRACT_SAFETY_REQUIREMENT__REQUIREMENT: return RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__REQUIREMENT;
        case RequirementsPackage.ABSTRACT_SAFETY_REQUIREMENT__REQUIREMENT_LINKS: return RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__REQUIREMENT_LINKS;
        default: return -1;
      }
    }
    if (baseClass == HasEmergencyOperationTimeInterval.class)
    {
      switch (baseFeatureID)
      {
        case RequirementsPackage.HAS_EMERGENCY_OPERATION_TIME_INTERVAL__EMERGENCY_OPERATION_TIME_INTERVAL: return RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__EMERGENCY_OPERATION_TIME_INTERVAL;
        default: return -1;
      }
    }
    if (baseClass == HasAsilDecomposed.class)
    {
      switch (baseFeatureID)
      {
        case RequirementsPackage.HAS_ASIL_DECOMPOSED__DECOMPOSED_ASIL: return RequirementsPackage.TECHNICAL_SAFETY_REQUIREMENT__DECOMPOSED_ASIL;
        default: return -1;
      }
    }
    return super.eDerivedStructuralFeatureID(baseFeatureID, baseClass);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public String toString()
  {
    if (eIsProxy()) return super.toString();

    StringBuffer result = new StringBuffer(super.toString());
    result.append(" (shortName: ");
    if (shortNameESet) result.append(shortName); else result.append("<unset>");
    result.append(", category: ");
    if (categoryESet) result.append(category); else result.append("<unset>");
    result.append(", uuid: ");
    if (uuidESet) result.append(uuid); else result.append("<unset>");
    result.append(", name: ");
    if (nameESet) result.append(name); else result.append("<unset>");
    result.append(", formal: ");
    if (formalESet) result.append(formal); else result.append("<unset>");
    result.append(", informal: ");
    if (informalESet) result.append(informal); else result.append("<unset>");
    result.append(", stakeholder: ");
    result.append(stakeholder);
    result.append(", asil: ");
    if (asilESet) result.append(asil); else result.append("<unset>");
    result.append(", emergencyOperationTimeInterval: ");
    if (emergencyOperationTimeIntervalESet) result.append(emergencyOperationTimeInterval); else result.append("<unset>");
    result.append(", decomposedASIL: ");
    if (decomposedASILESet) result.append(decomposedASIL); else result.append("<unset>");
    result.append(", requirementKind: ");
    if (requirementKindESet) result.append(requirementKind); else result.append("<unset>");
    result.append(", redundancy: ");
    if (redundancyESet) result.append(redundancy); else result.append("<unset>");
    result.append(')');
    return result.toString();
  }

} //TechnicalSafetyRequirementImpl
