/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package safe10.classmodel.requirements.softwaresafetyrequirements.actuatormonitor;

import org.eclipse.emf.common.util.EList;

import safe10.classmodel.requirements.softwaresafetyrequirements.ErrorDetectionSSR;
import safe10.classmodel.requirements.softwaresafetyrequirements.ErrorHandlerSSR;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Actuator Monitor</b></em>'.
 * <!-- end-user-doc -->
 *
 * <!-- begin-model-doc -->
 * This meta-class represents the actuator monitor requirement. It extends the meta-class SSR from SAFE meta model. 
 * 
 * To define an actuator monitor requirement the engineer has to reference the monitored actuator through the ActuatorMonitor attribute actuator and the inputs through which the monitoring occurs, using the attribute sensors. Furthermore, the engineer has to specify an evaluation function which maps input from sensors to the provided actuator output.
 * <!-- end-model-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link safe10.classmodel.requirements.softwaresafetyrequirements.actuatormonitor.ActuatorMonitor#getActuatorError <em>Actuator Error</em>}</li>
 *   <li>{@link safe10.classmodel.requirements.softwaresafetyrequirements.actuatormonitor.ActuatorMonitor#getFunc <em>Func</em>}</li>
 * </ul>
 * </p>
 *
 * @see safe10.classmodel.requirements.softwaresafetyrequirements.actuatormonitor.ActuatormonitorPackage#getActuatorMonitor()
 * @model annotation="MetaData guid='{92CB4092-AF3C-4439-8C66-4FAC6D07AAD2}' id='223' EA\040name='ActuatorMonitor'"
 *        annotation="TaggedValues xml.name='ACTUATOR-MONITOR' xml.namePlural='ACTUATOR-MONITORS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public interface ActuatorMonitor extends ErrorDetectionSSR
{
  /**
   * Returns the value of the '<em><b>Actuator Error</b></em>' reference list.
   * The list contents are of type {@link safe10.classmodel.requirements.softwaresafetyrequirements.ErrorHandlerSSR}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * The error handling SSR specification in case an actuator monitor error occurs.
   * <!-- end-model-doc -->
   * @return the value of the '<em>Actuator Error</em>' reference list.
   * @see safe10.classmodel.requirements.softwaresafetyrequirements.actuatormonitor.ActuatormonitorPackage#getActuatorMonitor_ActuatorError()
   * @model annotation="MetaData guid='{11509DC3-0359-4cf1-AA42-7D9398CC4DFF}' id='-1252026458' EA\040name=''"
   *        annotation="TaggedValues xml.name='ACTUATOR-ERROR-REF' xml.namePlural='ACTUATOR-ERROR-REFS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='true' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  EList<ErrorHandlerSSR> getActuatorError();

  /**
   * Returns the value of the '<em><b>Func</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * The function used to evaluate the actuator behavior.
   * <!-- end-model-doc -->
   * @return the value of the '<em>Func</em>' containment reference.
   * @see #setFunc(EvaluationFunction)
   * @see safe10.classmodel.requirements.softwaresafetyrequirements.actuatormonitor.ActuatormonitorPackage#getActuatorMonitor_Func()
   * @model containment="true" required="true"
   *        annotation="MetaData guid='{94144219-6D60-4711-8CEF-8028526E611A}' id='154971888' EA\040name=''"
   *        annotation="TaggedValues xml.name='FUNC' xml.namePlural='FUNCS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='true' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  EvaluationFunction getFunc();

  /**
   * Sets the value of the '{@link safe10.classmodel.requirements.softwaresafetyrequirements.actuatormonitor.ActuatorMonitor#getFunc <em>Func</em>}' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Func</em>' containment reference.
   * @see #getFunc()
   * @generated
   */
  void setFunc(EvaluationFunction value);

} // ActuatorMonitor
