/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package safe10.classmodel.requirements.softwaresafetyrequirements.alivenessmonitor;

import org.eclipse.emf.common.util.EList;

import safe10.classmodel.requirements.softwaresafetyrequirements.ErrorDetectionSSR;
import safe10.classmodel.requirements.softwaresafetyrequirements.ErrorHandlerSSR;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Aliveness Monitor</b></em>'.
 * <!-- end-user-doc -->
 *
 * <!-- begin-model-doc -->
 * The aliveness monitor contains the set of mapped checkpoint definitions to executable entities. The set of checkpoints contained in the mechanism defines the scope of a specific mechanism instance.
 * <!-- end-model-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link safe10.classmodel.requirements.softwaresafetyrequirements.alivenessmonitor.AlivenessMonitor#getTooEarly <em>Too Early</em>}</li>
 *   <li>{@link safe10.classmodel.requirements.softwaresafetyrequirements.alivenessmonitor.AlivenessMonitor#getTooLate <em>Too Late</em>}</li>
 *   <li>{@link safe10.classmodel.requirements.softwaresafetyrequirements.alivenessmonitor.AlivenessMonitor#getTooOften <em>Too Often</em>}</li>
 *   <li>{@link safe10.classmodel.requirements.softwaresafetyrequirements.alivenessmonitor.AlivenessMonitor#getCheckpoints <em>Checkpoints</em>}</li>
 * </ul>
 * </p>
 *
 * @see safe10.classmodel.requirements.softwaresafetyrequirements.alivenessmonitor.AlivenessmonitorPackage#getAlivenessMonitor()
 * @model annotation="MetaData guid='{77B7C8E7-73ED-4d7a-B327-A34FD93C0D77}' id='232' EA\040name='AlivenessMonitor'"
 *        annotation="TaggedValues xml.name='ALIVENESS-MONITOR' xml.namePlural='ALIVENESS-MONITORS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public interface AlivenessMonitor extends ErrorDetectionSSR
{
  /**
   * Returns the value of the '<em><b>Too Early</b></em>' reference list.
   * The list contents are of type {@link safe10.classmodel.requirements.softwaresafetyrequirements.ErrorHandlerSSR}.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Too Early</em>' reference list isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Too Early</em>' reference list.
   * @see safe10.classmodel.requirements.softwaresafetyrequirements.alivenessmonitor.AlivenessmonitorPackage#getAlivenessMonitor_TooEarly()
   * @model annotation="MetaData guid='{D28445EE-497F-4f37-B095-AA57C7C183C4}' id='-2110701193' EA\040name=''"
   *        annotation="TaggedValues xml.name='TOO-EARLY-REF' xml.namePlural='TOO-EARLY-REFS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='true' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  EList<ErrorHandlerSSR> getTooEarly();

  /**
   * Returns the value of the '<em><b>Too Late</b></em>' reference list.
   * The list contents are of type {@link safe10.classmodel.requirements.softwaresafetyrequirements.ErrorHandlerSSR}.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Too Late</em>' reference list isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Too Late</em>' reference list.
   * @see safe10.classmodel.requirements.softwaresafetyrequirements.alivenessmonitor.AlivenessmonitorPackage#getAlivenessMonitor_TooLate()
   * @model annotation="MetaData guid='{8A2AFC5D-169E-4ee4-BBF6-5D2B5C5CBEB3}' id='-1483393266' EA\040name=''"
   *        annotation="TaggedValues xml.name='TOO-LATE-REF' xml.namePlural='TOO-LATE-REFS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='true' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  EList<ErrorHandlerSSR> getTooLate();

  /**
   * Returns the value of the '<em><b>Too Often</b></em>' reference list.
   * The list contents are of type {@link safe10.classmodel.requirements.softwaresafetyrequirements.ErrorHandlerSSR}.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Too Often</em>' reference list isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Too Often</em>' reference list.
   * @see safe10.classmodel.requirements.softwaresafetyrequirements.alivenessmonitor.AlivenessmonitorPackage#getAlivenessMonitor_TooOften()
   * @model annotation="MetaData guid='{11897777-0715-423f-AA5A-6A3E41B66051}' id='1209151219' EA\040name=''"
   *        annotation="TaggedValues xml.name='TOO-OFTEN-REF' xml.namePlural='TOO-OFTEN-REFS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='true' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  EList<ErrorHandlerSSR> getTooOften();

  /**
   * Returns the value of the '<em><b>Checkpoints</b></em>' containment reference list.
   * The list contents are of type {@link safe10.classmodel.requirements.softwaresafetyrequirements.alivenessmonitor.CheckPoint}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * The set of checkpoints used to monitor aliveness of a runnable component.
   * <!-- end-model-doc -->
   * @return the value of the '<em>Checkpoints</em>' containment reference list.
   * @see safe10.classmodel.requirements.softwaresafetyrequirements.alivenessmonitor.AlivenessmonitorPackage#getAlivenessMonitor_Checkpoints()
   * @model containment="true" required="true"
   *        annotation="MetaData guid='{D86589CE-B88E-4386-AB23-46CEFCB3759F}' id='155' EA\040name=''"
   *        annotation="TaggedValues xml.name='CHECKPOINTS' xml.namePlural='CHECKPOINTSS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='false' xml.roleWrapperElement='true' xml.typeElement='true' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  EList<CheckPoint> getCheckpoints();

} // AlivenessMonitor
