/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package safe10.classmodel.requirements.softwaresafetyrequirements.alivenessmonitor;

import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Check Point</b></em>'.
 * <!-- end-user-doc -->
 *
 * <!-- begin-model-doc -->
 * A checkpoint provides the attributes necessary for checking if a given executable unity is being triggered correctly by the system.
 * <!-- end-model-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link safe10.classmodel.requirements.softwaresafetyrequirements.alivenessmonitor.CheckPoint#getLowerTolerance <em>Lower Tolerance</em>}</li>
 *   <li>{@link safe10.classmodel.requirements.softwaresafetyrequirements.alivenessmonitor.CheckPoint#getMaxReport <em>Max Report</em>}</li>
 *   <li>{@link safe10.classmodel.requirements.softwaresafetyrequirements.alivenessmonitor.CheckPoint#getUpperTolerance <em>Upper Tolerance</em>}</li>
 *   <li>{@link safe10.classmodel.requirements.softwaresafetyrequirements.alivenessmonitor.CheckPoint#getPeriod <em>Period</em>}</li>
 * </ul>
 * </p>
 *
 * @see safe10.classmodel.requirements.softwaresafetyrequirements.alivenessmonitor.AlivenessmonitorPackage#getCheckPoint()
 * @model annotation="MetaData guid='{4D5290A2-3233-45c3-887E-B6550FC91EE4}' id='226' EA\040name='CheckPoint'"
 *        annotation="TaggedValues xml.name='CHECK-POINT' xml.namePlural='CHECK-POINTS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public interface CheckPoint extends EObject
{
  /**
   * Returns the value of the '<em><b>Lower Tolerance</b></em>' attribute.
   * The default value is <code>"0.0"</code>.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Lower Tolerance</em>' attribute isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Lower Tolerance</em>' attribute.
   * @see #isSetLowerTolerance()
   * @see #unsetLowerTolerance()
   * @see #setLowerTolerance(Double)
   * @see safe10.classmodel.requirements.softwaresafetyrequirements.alivenessmonitor.AlivenessmonitorPackage#getCheckPoint_LowerTolerance()
   * @model default="0.0" unsettable="true" dataType="safe10.classmodel.commonstructure.datatypes.Float" required="true"
   *        annotation="MetaData guid='{E53A0EBF-7EE0-4c8d-94F9-CEAAD1CE8E61}' id='24' EA\040name='lowerTolerance'"
   *        annotation="TaggedValues xml.name='LOWER-TOLERANCE' xml.namePlural='LOWER-TOLERANCES' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  Double getLowerTolerance();

  /**
   * Sets the value of the '{@link safe10.classmodel.requirements.softwaresafetyrequirements.alivenessmonitor.CheckPoint#getLowerTolerance <em>Lower Tolerance</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Lower Tolerance</em>' attribute.
   * @see #isSetLowerTolerance()
   * @see #LowerTolerance()
   * @see #getLowerTolerance()
   * @generated
   */
  void setLowerTolerance(Double value);

  /**
   * Unsets the value of the '{@link safe10.classmodel.requirements.softwaresafetyrequirements.alivenessmonitor.CheckPoint#getLowerTolerance <em>Lower Tolerance</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #isSetLowerTolerance()
   * @see #getLowerTolerance()
   * @see #setLowerTolerance(Double)
   * @generated
   */
  void unsetLowerTolerance();

  /**
   * Returns whether the value of the '{@link safe10.classmodel.requirements.softwaresafetyrequirements.alivenessmonitor.CheckPoint#getLowerTolerance <em>Lower Tolerance</em>}' attribute is set.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return whether the value of the '<em>Lower Tolerance</em>' attribute is set.
   * @see #LowerTolerance()
   * @see #getLowerTolerance()
   * @see #setLowerTolerance(Double)
   * @generated
   */
  boolean isSetLowerTolerance();

  /**
   * Returns the value of the '<em><b>Max Report</b></em>' attribute.
   * The default value is <code>"0"</code>.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Max Report</em>' attribute isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Max Report</em>' attribute.
   * @see #isSetMaxReport()
   * @see #unsetMaxReport()
   * @see #setMaxReport(Integer)
   * @see safe10.classmodel.requirements.softwaresafetyrequirements.alivenessmonitor.AlivenessmonitorPackage#getCheckPoint_MaxReport()
   * @model default="0" unsettable="true" dataType="safe10.classmodel.commonstructure.datatypes.Integer" required="true"
   *        annotation="MetaData guid='{C28B421C-5F4F-4d35-83F4-8696314E5056}' id='25' EA\040name='maxReport'"
   *        annotation="TaggedValues xml.name='MAX-REPORT' xml.namePlural='MAX-REPORTS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  Integer getMaxReport();

  /**
   * Sets the value of the '{@link safe10.classmodel.requirements.softwaresafetyrequirements.alivenessmonitor.CheckPoint#getMaxReport <em>Max Report</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Max Report</em>' attribute.
   * @see #isSetMaxReport()
   * @see #MaxReport()
   * @see #getMaxReport()
   * @generated
   */
  void setMaxReport(Integer value);

  /**
   * Unsets the value of the '{@link safe10.classmodel.requirements.softwaresafetyrequirements.alivenessmonitor.CheckPoint#getMaxReport <em>Max Report</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #isSetMaxReport()
   * @see #getMaxReport()
   * @see #setMaxReport(Integer)
   * @generated
   */
  void unsetMaxReport();

  /**
   * Returns whether the value of the '{@link safe10.classmodel.requirements.softwaresafetyrequirements.alivenessmonitor.CheckPoint#getMaxReport <em>Max Report</em>}' attribute is set.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return whether the value of the '<em>Max Report</em>' attribute is set.
   * @see #MaxReport()
   * @see #getMaxReport()
   * @see #setMaxReport(Integer)
   * @generated
   */
  boolean isSetMaxReport();

  /**
   * Returns the value of the '<em><b>Upper Tolerance</b></em>' attribute.
   * The default value is <code>"0.0"</code>.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Upper Tolerance</em>' attribute isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Upper Tolerance</em>' attribute.
   * @see #isSetUpperTolerance()
   * @see #unsetUpperTolerance()
   * @see #setUpperTolerance(Double)
   * @see safe10.classmodel.requirements.softwaresafetyrequirements.alivenessmonitor.AlivenessmonitorPackage#getCheckPoint_UpperTolerance()
   * @model default="0.0" unsettable="true" dataType="safe10.classmodel.commonstructure.datatypes.Float" required="true"
   *        annotation="MetaData guid='{EB49A80B-E319-446e-99E0-74DF466761CA}' id='26' EA\040name='upperTolerance'"
   *        annotation="TaggedValues xml.name='UPPER-TOLERANCE' xml.namePlural='UPPER-TOLERANCES' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  Double getUpperTolerance();

  /**
   * Sets the value of the '{@link safe10.classmodel.requirements.softwaresafetyrequirements.alivenessmonitor.CheckPoint#getUpperTolerance <em>Upper Tolerance</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Upper Tolerance</em>' attribute.
   * @see #isSetUpperTolerance()
   * @see #UpperTolerance()
   * @see #getUpperTolerance()
   * @generated
   */
  void setUpperTolerance(Double value);

  /**
   * Unsets the value of the '{@link safe10.classmodel.requirements.softwaresafetyrequirements.alivenessmonitor.CheckPoint#getUpperTolerance <em>Upper Tolerance</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #isSetUpperTolerance()
   * @see #getUpperTolerance()
   * @see #setUpperTolerance(Double)
   * @generated
   */
  void unsetUpperTolerance();

  /**
   * Returns whether the value of the '{@link safe10.classmodel.requirements.softwaresafetyrequirements.alivenessmonitor.CheckPoint#getUpperTolerance <em>Upper Tolerance</em>}' attribute is set.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return whether the value of the '<em>Upper Tolerance</em>' attribute is set.
   * @see #UpperTolerance()
   * @see #getUpperTolerance()
   * @see #setUpperTolerance(Double)
   * @generated
   */
  boolean isSetUpperTolerance();

  /**
   * Returns the value of the '<em><b>Period</b></em>' attribute.
   * The default value is <code>"0"</code>.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Period</em>' attribute isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Period</em>' attribute.
   * @see #isSetPeriod()
   * @see #unsetPeriod()
   * @see #setPeriod(Integer)
   * @see safe10.classmodel.requirements.softwaresafetyrequirements.alivenessmonitor.AlivenessmonitorPackage#getCheckPoint_Period()
   * @model default="0" unsettable="true" dataType="safe10.classmodel.commonstructure.datatypes.Integer" required="true"
   *        annotation="MetaData guid='{C2892868-3685-4344-9C11-877E65A36695}' id='1354892504' EA\040name='period'"
   *        annotation="TaggedValues xml.name='PERIOD' xml.namePlural='PERIODS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  Integer getPeriod();

  /**
   * Sets the value of the '{@link safe10.classmodel.requirements.softwaresafetyrequirements.alivenessmonitor.CheckPoint#getPeriod <em>Period</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Period</em>' attribute.
   * @see #isSetPeriod()
   * @see #Period()
   * @see #getPeriod()
   * @generated
   */
  void setPeriod(Integer value);

  /**
   * Unsets the value of the '{@link safe10.classmodel.requirements.softwaresafetyrequirements.alivenessmonitor.CheckPoint#getPeriod <em>Period</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #isSetPeriod()
   * @see #getPeriod()
   * @see #setPeriod(Integer)
   * @generated
   */
  void unsetPeriod();

  /**
   * Returns whether the value of the '{@link safe10.classmodel.requirements.softwaresafetyrequirements.alivenessmonitor.CheckPoint#getPeriod <em>Period</em>}' attribute is set.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return whether the value of the '<em>Period</em>' attribute is set.
   * @see #Period()
   * @see #getPeriod()
   * @see #setPeriod(Integer)
   * @generated
   */
  boolean isSetPeriod();

} // CheckPoint
