/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package safe10.classmodel.requirements.softwaresafetyrequirements.contextrangecheck;

import autosar40.commonstructure.modedeclaration.ModeDeclaration;
import autosar40.commonstructure.modedeclaration.ModeDeclarationGroupPrototype;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Autosar Context</b></em>'.
 * <!-- end-user-doc -->
 *
 * <!-- begin-model-doc -->
 * AUTOSAR specific meta class for defining the context used by the range check SSR.
 * <!-- end-model-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link safe10.classmodel.requirements.softwaresafetyrequirements.contextrangecheck.AutosarContext#getModeDeclaration <em>Mode Declaration</em>}</li>
 *   <li>{@link safe10.classmodel.requirements.softwaresafetyrequirements.contextrangecheck.AutosarContext#getContext <em>Context</em>}</li>
 * </ul>
 * </p>
 *
 * @see safe10.classmodel.requirements.softwaresafetyrequirements.contextrangecheck.ContextrangecheckPackage#getAutosarContext()
 * @model annotation="MetaData guid='{CCCF3421-76BB-49ce-AE47-99971376AA9B}' id='245' EA\040name='AutosarContext'"
 *        annotation="TaggedValues xml.name='AUTOSAR-CONTEXT' xml.namePlural='AUTOSAR-CONTEXTS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public interface AutosarContext extends Context
{
  /**
   * Returns the value of the '<em><b>Mode Declaration</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * The mode used to define a context based range
   * <!-- end-model-doc -->
   * @return the value of the '<em>Mode Declaration</em>' containment reference.
   * @see #setModeDeclaration(ModeDeclaration)
   * @see safe10.classmodel.requirements.softwaresafetyrequirements.contextrangecheck.ContextrangecheckPackage#getAutosarContext_ModeDeclaration()
   * @model containment="true" required="true"
   *        annotation="MetaData guid='{834733C5-FDD7-4f6b-A7F7-B32BC2CDB927}' id='-1813749466' EA\040name=''"
   *        annotation="TaggedValues xml.name='MODE-DECLARATION' xml.namePlural='MODE-DECLARATIONS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  ModeDeclaration getModeDeclaration();

  /**
   * Sets the value of the '{@link safe10.classmodel.requirements.softwaresafetyrequirements.contextrangecheck.AutosarContext#getModeDeclaration <em>Mode Declaration</em>}' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Mode Declaration</em>' containment reference.
   * @see #getModeDeclaration()
   * @generated
   */
  void setModeDeclaration(ModeDeclaration value);

  /**
   * Returns the value of the '<em><b>Context</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * The instance of a mode group declaration whose modes are used to define a value range context
   * <!-- end-model-doc -->
   * @return the value of the '<em>Context</em>' containment reference.
   * @see #setContext(ModeDeclarationGroupPrototype)
   * @see safe10.classmodel.requirements.softwaresafetyrequirements.contextrangecheck.ContextrangecheckPackage#getAutosarContext_Context()
   * @model containment="true" required="true"
   *        annotation="MetaData guid='{CC8E5C28-C301-4898-B372-20CBAB3376DA}' id='-846731267' EA\040name=''"
   *        annotation="TaggedValues xml.name='CONTEXT' xml.namePlural='CONTEXTS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  ModeDeclarationGroupPrototype getContext();

  /**
   * Sets the value of the '{@link safe10.classmodel.requirements.softwaresafetyrequirements.contextrangecheck.AutosarContext#getContext <em>Context</em>}' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Context</em>' containment reference.
   * @see #getContext()
   * @generated
   */
  void setContext(ModeDeclarationGroupPrototype value);

} // AutosarContext
