/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package safe10.classmodel.requirements.softwaresafetyrequirements.cpuselftest;

import safe10.classmodel.requirements.softwaresafetyrequirements.ErrorDetectionSSR;
import safe10.classmodel.requirements.softwaresafetyrequirements.ErrorHandlerSSR;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Cpu Self Test</b></em>'.
 * <!-- end-user-doc -->
 *
 * <!-- begin-model-doc -->
 * This meta-class element defines a CPU self-test SSR. The entity implementing such an SSR is executed periodically according to its configuration, and may trigger error handlers in case of error detection.
 * <!-- end-model-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link safe10.classmodel.requirements.softwaresafetyrequirements.cpuselftest.CpuSelfTest#getTestFailed <em>Test Failed</em>}</li>
 *   <li>{@link safe10.classmodel.requirements.softwaresafetyrequirements.cpuselftest.CpuSelfTest#getConfig <em>Config</em>}</li>
 * </ul>
 * </p>
 *
 * @see safe10.classmodel.requirements.softwaresafetyrequirements.cpuselftest.CpuselftestPackage#getCpuSelfTest()
 * @model annotation="MetaData guid='{863A3105-4EC2-451b-9F55-142B478385EB}' id='114477809' EA\040name='CpuSelfTest'"
 *        annotation="TaggedValues xml.name='CPU-SELF-TEST' xml.namePlural='CPU-SELF-TESTS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public interface CpuSelfTest extends ErrorDetectionSSR
{
  /**
   * Returns the value of the '<em><b>Test Failed</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * The error handling SSR specification in case a CPU error occurs during the test execution.
   * <!-- end-model-doc -->
   * @return the value of the '<em>Test Failed</em>' reference.
   * @see #setTestFailed(ErrorHandlerSSR)
   * @see safe10.classmodel.requirements.softwaresafetyrequirements.cpuselftest.CpuselftestPackage#getCpuSelfTest_TestFailed()
   * @model required="true"
   *        annotation="MetaData guid='{7DFFEDB2-D05A-4980-95C5-802343E5BCEC}' id='1904259726' EA\040name=''"
   *        annotation="TaggedValues xml.name='TEST-FAILED-REF' xml.namePlural='TEST-FAILED-REFS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  ErrorHandlerSSR getTestFailed();

  /**
   * Sets the value of the '{@link safe10.classmodel.requirements.softwaresafetyrequirements.cpuselftest.CpuSelfTest#getTestFailed <em>Test Failed</em>}' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Test Failed</em>' reference.
   * @see #getTestFailed()
   * @generated
   */
  void setTestFailed(ErrorHandlerSSR value);

  /**
   * Returns the value of the '<em><b>Config</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * Configures the CpuSelfTest SSR with execution configuration and definition of a specific test to be executed.
   * <!-- end-model-doc -->
   * @return the value of the '<em>Config</em>' containment reference.
   * @see #setConfig(CpuSelfTestConfig)
   * @see safe10.classmodel.requirements.softwaresafetyrequirements.cpuselftest.CpuselftestPackage#getCpuSelfTest_Config()
   * @model containment="true" required="true"
   *        annotation="MetaData guid='{3DE64BFB-55E7-42af-8355-2C10E69F4D49}' id='1046924095' EA\040name=''"
   *        annotation="TaggedValues xml.name='CONFIG' xml.namePlural='CONFIGS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  CpuSelfTestConfig getConfig();

  /**
   * Sets the value of the '{@link safe10.classmodel.requirements.softwaresafetyrequirements.cpuselftest.CpuSelfTest#getConfig <em>Config</em>}' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Config</em>' containment reference.
   * @see #getConfig()
   * @generated
   */
  void setConfig(CpuSelfTestConfig value);

} // CpuSelfTest
