/**
 */
package safe10.classmodel.requirements.softwaresafetyrequirements.cpuselftest;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;

import org.eclipse.emf.common.util.Enumerator;

/**
 * <!-- begin-user-doc -->
 * A representation of the literals of the enumeration '<em><b>Cpu Test Algorithm</b></em>',
 * and utility methods for working with them.
 * <!-- end-user-doc -->
 * <!-- begin-model-doc -->
 * Defines possible CPU test algorithms.
 * <!-- end-model-doc -->
 * @see safe10.classmodel.requirements.softwaresafetyrequirements.cpuselftest.CpuselftestPackage#getCpuTestAlgorithm()
 * @model annotation="MetaData guid='{7A7CC28B-7783-44a0-B8BD-D9A824AF30B6}' id='250' EA\040name='CpuTestAlgorithm'"
 *        annotation="Stereotype Stereotype='enumeration'"
 *        annotation="TaggedValues xml.name='CPU-TEST-ALGORITHM' xml.namePlural='CPU-TEST-ALGORITHMS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public enum CpuTestAlgorithm implements Enumerator
{
  /**
   * The '<em><b>Limited Number Of Walking Patterns</b></em>' literal object.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #LIMITED_NUMBER_OF_WALKING_PATTERNS_VALUE
   * @generated
   * @ordered
   */
  LIMITED_NUMBER_OF_WALKING_PATTERNS(0, "LimitedNumberOfWalkingPatterns", "LIMITEDNUMBEROFWALKINGPATTERNS"),

  /**
   * The '<em><b>Walking Bit</b></em>' literal object.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #WALKING_BIT_VALUE
   * @generated
   * @ordered
   */
  WALKING_BIT(1, "WalkingBit", "WALKINGBIT"),

  /**
   * The '<em><b>Hardware Supported Test</b></em>' literal object.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #HARDWARE_SUPPORTED_TEST_VALUE
   * @generated
   * @ordered
   */
  HARDWARE_SUPPORTED_TEST(2, "HardwareSupportedTest", "HARDWARESUPPORTEDTEST");

  /**
   * The '<em><b>Limited Number Of Walking Patterns</b></em>' literal value.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of '<em><b>Limited Number Of Walking Patterns</b></em>' literal object isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @see #LIMITED_NUMBER_OF_WALKING_PATTERNS
   * @model name="LimitedNumberOfWalkingPatterns" literal="LIMITEDNUMBEROFWALKINGPATTERNS"
   *        annotation="TaggedValues xml.name='LIMITED-NUMBER-OF-WALKING-PATTERNS' xml.namePlural='LIMITED-NUMBER-OF-WALKING-PATTERNSS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   * @ordered
   */
  public static final int LIMITED_NUMBER_OF_WALKING_PATTERNS_VALUE = 0;

  /**
   * The '<em><b>Walking Bit</b></em>' literal value.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of '<em><b>Walking Bit</b></em>' literal object isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @see #WALKING_BIT
   * @model name="WalkingBit" literal="WALKINGBIT"
   *        annotation="TaggedValues xml.name='WALKING-BIT' xml.namePlural='WALKING-BITS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   * @ordered
   */
  public static final int WALKING_BIT_VALUE = 1;

  /**
   * The '<em><b>Hardware Supported Test</b></em>' literal value.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of '<em><b>Hardware Supported Test</b></em>' literal object isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @see #HARDWARE_SUPPORTED_TEST
   * @model name="HardwareSupportedTest" literal="HARDWARESUPPORTEDTEST"
   *        annotation="TaggedValues xml.name='HARDWARE-SUPPORTED-TEST' xml.namePlural='HARDWARE-SUPPORTED-TESTS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   * @ordered
   */
  public static final int HARDWARE_SUPPORTED_TEST_VALUE = 2;

  /**
   * An array of all the '<em><b>Cpu Test Algorithm</b></em>' enumerators.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private static final CpuTestAlgorithm[] VALUES_ARRAY =
    new CpuTestAlgorithm[]
    {
      LIMITED_NUMBER_OF_WALKING_PATTERNS,
      WALKING_BIT,
      HARDWARE_SUPPORTED_TEST,
    };

  /**
   * A public read-only list of all the '<em><b>Cpu Test Algorithm</b></em>' enumerators.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public static final List<CpuTestAlgorithm> VALUES = Collections.unmodifiableList(Arrays.asList(VALUES_ARRAY));

  /**
   * Returns the '<em><b>Cpu Test Algorithm</b></em>' literal with the specified literal value.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public static CpuTestAlgorithm get(String literal)
  {
    for (int i = 0; i < VALUES_ARRAY.length; ++i)
    {
      CpuTestAlgorithm result = VALUES_ARRAY[i];
      if (result.toString().equals(literal))
      {
        return result;
      }
    }
    return null;
  }

  /**
   * Returns the '<em><b>Cpu Test Algorithm</b></em>' literal with the specified name.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public static CpuTestAlgorithm getByName(String name)
  {
    for (int i = 0; i < VALUES_ARRAY.length; ++i)
    {
      CpuTestAlgorithm result = VALUES_ARRAY[i];
      if (result.getName().equals(name))
      {
        return result;
      }
    }
    return null;
  }

  /**
   * Returns the '<em><b>Cpu Test Algorithm</b></em>' literal with the specified integer value.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public static CpuTestAlgorithm get(int value)
  {
    switch (value)
    {
      case LIMITED_NUMBER_OF_WALKING_PATTERNS_VALUE: return LIMITED_NUMBER_OF_WALKING_PATTERNS;
      case WALKING_BIT_VALUE: return WALKING_BIT;
      case HARDWARE_SUPPORTED_TEST_VALUE: return HARDWARE_SUPPORTED_TEST;
    }
    return null;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private final int value;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private final String name;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private final String literal;

  /**
   * Only this class can construct instances.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private CpuTestAlgorithm(int value, String name, String literal)
  {
    this.value = value;
    this.name = name;
    this.literal = literal;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public int getValue()
  {
    return value;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String getName()
  {
    return name;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String getLiteral()
  {
    return literal;
  }

  /**
   * Returns the literal value of the enumerator, which is its string representation.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public String toString()
  {
    return literal;
  }
  
} //CpuTestAlgorithm
