/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package safe10.classmodel.requirements.softwaresafetyrequirements.crcchecksum;

import org.eclipse.emf.common.util.EList;

import safe10.classmodel.requirements.softwaresafetyrequirements.ErrorDetectionSSR;
import safe10.classmodel.requirements.softwaresafetyrequirements.ErrorHandlerSSR;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>CRC</b></em>'.
 * <!-- end-user-doc -->
 *
 * <!-- begin-model-doc -->
 * This meta-class represents the requirement cyclic-redundancy-check.
 * <!-- end-model-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link safe10.classmodel.requirements.softwaresafetyrequirements.crcchecksum.CRC#getCrcFailed <em>Crc Failed</em>}</li>
 *   <li>{@link safe10.classmodel.requirements.softwaresafetyrequirements.crcchecksum.CRC#getConfig <em>Config</em>}</li>
 * </ul>
 * </p>
 *
 * @see safe10.classmodel.requirements.softwaresafetyrequirements.crcchecksum.CrcchecksumPackage#getCRC()
 * @model annotation="MetaData guid='{58FF56CF-CDED-40dd-B0B7-26CA25AE20A4}' id='253' EA\040name='CRC'"
 *        annotation="TaggedValues xml.name='CRC' xml.namePlural='CRCS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public interface CRC extends ErrorDetectionSSR
{
  /**
   * Returns the value of the '<em><b>Crc Failed</b></em>' reference list.
   * The list contents are of type {@link safe10.classmodel.requirements.softwaresafetyrequirements.ErrorHandlerSSR}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * The error handling SSR specification in case a CRC error occurs.
   * <!-- end-model-doc -->
   * @return the value of the '<em>Crc Failed</em>' reference list.
   * @see safe10.classmodel.requirements.softwaresafetyrequirements.crcchecksum.CrcchecksumPackage#getCRC_CrcFailed()
   * @model annotation="MetaData guid='{D947B71C-A9D1-4800-997F-726EC2CB85AC}' id='-1102791150' EA\040name=''"
   *        annotation="TaggedValues xml.name='CRC-FAILED-REF' xml.namePlural='CRC-FAILED-REFS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='true' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  EList<ErrorHandlerSSR> getCrcFailed();

  /**
   * Returns the value of the '<em><b>Config</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * The configuration information for the CRC mechanism.
   * <!-- end-model-doc -->
   * @return the value of the '<em>Config</em>' reference.
   * @see #setConfig(CRCConfig)
   * @see safe10.classmodel.requirements.softwaresafetyrequirements.crcchecksum.CrcchecksumPackage#getCRC_Config()
   * @model required="true"
   *        annotation="MetaData guid='{85EF3F02-E750-404c-9D90-2A3411B8B451}' id='129' EA\040name=''"
   *        annotation="TaggedValues xml.name='CONFIG-REF' xml.namePlural='CONFIG-REFS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  CRCConfig getConfig();

  /**
   * Sets the value of the '{@link safe10.classmodel.requirements.softwaresafetyrequirements.crcchecksum.CRC#getConfig <em>Config</em>}' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Config</em>' reference.
   * @see #getConfig()
   * @generated
   */
  void setConfig(CRCConfig value);

} // CRC
