/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package safe10.classmodel.requirements.softwaresafetyrequirements.gradientcheck;

import org.eclipse.emf.common.util.EList;

import safe10.classmodel.requirements.softwaresafetyrequirements.ErrorDetectionSSR;
import safe10.classmodel.requirements.softwaresafetyrequirements.ErrorHandlerSSR;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Gradient Check</b></em>'.
 * <!-- end-user-doc -->
 *
 * <!-- begin-model-doc -->
 * This meta-class element defines a gradient check SSR. The limit and tolerance attributes are used to check if the values are varying within a valid range. The SSR is executed periodically according to its period attribute.
 * <!-- end-model-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link safe10.classmodel.requirements.softwaresafetyrequirements.gradientcheck.GradientCheck#getMaxLimit <em>Max Limit</em>}</li>
 *   <li>{@link safe10.classmodel.requirements.softwaresafetyrequirements.gradientcheck.GradientCheck#getTolerance <em>Tolerance</em>}</li>
 *   <li>{@link safe10.classmodel.requirements.softwaresafetyrequirements.gradientcheck.GradientCheck#getMinLimit <em>Min Limit</em>}</li>
 *   <li>{@link safe10.classmodel.requirements.softwaresafetyrequirements.gradientcheck.GradientCheck#getGradientTooHigh <em>Gradient Too High</em>}</li>
 *   <li>{@link safe10.classmodel.requirements.softwaresafetyrequirements.gradientcheck.GradientCheck#getGradientTooLow <em>Gradient Too Low</em>}</li>
 * </ul>
 * </p>
 *
 * @see safe10.classmodel.requirements.softwaresafetyrequirements.gradientcheck.GradientcheckPackage#getGradientCheck()
 * @model annotation="MetaData guid='{2DA03EEE-3ACD-4479-BA72-FF02AE8EF8C7}' id='258' EA\040name='GradientCheck'"
 *        annotation="TaggedValues xml.name='GRADIENT-CHECK' xml.namePlural='GRADIENT-CHECKS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public interface GradientCheck extends ErrorDetectionSSR
{
  /**
   * Returns the value of the '<em><b>Max Limit</b></em>' attribute.
   * The default value is <code>"0.0"</code>.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Max Limit</em>' attribute isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Max Limit</em>' attribute.
   * @see #isSetMaxLimit()
   * @see #unsetMaxLimit()
   * @see #setMaxLimit(Double)
   * @see safe10.classmodel.requirements.softwaresafetyrequirements.gradientcheck.GradientcheckPackage#getGradientCheck_MaxLimit()
   * @model default="0.0" unsettable="true" dataType="safe10.classmodel.commonstructure.datatypes.Float" required="true"
   *        annotation="MetaData guid='{D953F7F3-1420-4b37-8D04-0E3E863FD81C}' id='42' EA\040name='maxLimit'"
   *        annotation="TaggedValues xml.name='MAX-LIMIT' xml.namePlural='MAX-LIMITS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  Double getMaxLimit();

  /**
   * Sets the value of the '{@link safe10.classmodel.requirements.softwaresafetyrequirements.gradientcheck.GradientCheck#getMaxLimit <em>Max Limit</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Max Limit</em>' attribute.
   * @see #isSetMaxLimit()
   * @see #MaxLimit()
   * @see #getMaxLimit()
   * @generated
   */
  void setMaxLimit(Double value);

  /**
   * Unsets the value of the '{@link safe10.classmodel.requirements.softwaresafetyrequirements.gradientcheck.GradientCheck#getMaxLimit <em>Max Limit</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #isSetMaxLimit()
   * @see #getMaxLimit()
   * @see #setMaxLimit(Double)
   * @generated
   */
  void unsetMaxLimit();

  /**
   * Returns whether the value of the '{@link safe10.classmodel.requirements.softwaresafetyrequirements.gradientcheck.GradientCheck#getMaxLimit <em>Max Limit</em>}' attribute is set.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return whether the value of the '<em>Max Limit</em>' attribute is set.
   * @see #MaxLimit()
   * @see #getMaxLimit()
   * @see #setMaxLimit(Double)
   * @generated
   */
  boolean isSetMaxLimit();

  /**
   * Returns the value of the '<em><b>Tolerance</b></em>' attribute.
   * The default value is <code>"0.0"</code>.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Tolerance</em>' attribute isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Tolerance</em>' attribute.
   * @see #isSetTolerance()
   * @see #unsetTolerance()
   * @see #setTolerance(Double)
   * @see safe10.classmodel.requirements.softwaresafetyrequirements.gradientcheck.GradientcheckPackage#getGradientCheck_Tolerance()
   * @model default="0.0" unsettable="true" dataType="safe10.classmodel.commonstructure.datatypes.Float" required="true"
   *        annotation="MetaData guid='{29F04C1F-D89D-4f70-B666-4318A1099BCC}' id='44' EA\040name='tolerance'"
   *        annotation="TaggedValues xml.name='TOLERANCE' xml.namePlural='TOLERANCES' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  Double getTolerance();

  /**
   * Sets the value of the '{@link safe10.classmodel.requirements.softwaresafetyrequirements.gradientcheck.GradientCheck#getTolerance <em>Tolerance</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Tolerance</em>' attribute.
   * @see #isSetTolerance()
   * @see #Tolerance()
   * @see #getTolerance()
   * @generated
   */
  void setTolerance(Double value);

  /**
   * Unsets the value of the '{@link safe10.classmodel.requirements.softwaresafetyrequirements.gradientcheck.GradientCheck#getTolerance <em>Tolerance</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #isSetTolerance()
   * @see #getTolerance()
   * @see #setTolerance(Double)
   * @generated
   */
  void unsetTolerance();

  /**
   * Returns whether the value of the '{@link safe10.classmodel.requirements.softwaresafetyrequirements.gradientcheck.GradientCheck#getTolerance <em>Tolerance</em>}' attribute is set.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return whether the value of the '<em>Tolerance</em>' attribute is set.
   * @see #Tolerance()
   * @see #getTolerance()
   * @see #setTolerance(Double)
   * @generated
   */
  boolean isSetTolerance();

  /**
   * Returns the value of the '<em><b>Min Limit</b></em>' attribute.
   * The default value is <code>"0.0"</code>.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Min Limit</em>' attribute isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Min Limit</em>' attribute.
   * @see #isSetMinLimit()
   * @see #unsetMinLimit()
   * @see #setMinLimit(Double)
   * @see safe10.classmodel.requirements.softwaresafetyrequirements.gradientcheck.GradientcheckPackage#getGradientCheck_MinLimit()
   * @model default="0.0" unsettable="true" dataType="safe10.classmodel.commonstructure.datatypes.Float" required="true"
   *        annotation="MetaData guid='{6F2A2C68-7D16-49c1-A181-B8B53BCDB872}' id='43' EA\040name='minLimit'"
   *        annotation="TaggedValues xml.name='MIN-LIMIT' xml.namePlural='MIN-LIMITS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  Double getMinLimit();

  /**
   * Sets the value of the '{@link safe10.classmodel.requirements.softwaresafetyrequirements.gradientcheck.GradientCheck#getMinLimit <em>Min Limit</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Min Limit</em>' attribute.
   * @see #isSetMinLimit()
   * @see #MinLimit()
   * @see #getMinLimit()
   * @generated
   */
  void setMinLimit(Double value);

  /**
   * Unsets the value of the '{@link safe10.classmodel.requirements.softwaresafetyrequirements.gradientcheck.GradientCheck#getMinLimit <em>Min Limit</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #isSetMinLimit()
   * @see #getMinLimit()
   * @see #setMinLimit(Double)
   * @generated
   */
  void unsetMinLimit();

  /**
   * Returns whether the value of the '{@link safe10.classmodel.requirements.softwaresafetyrequirements.gradientcheck.GradientCheck#getMinLimit <em>Min Limit</em>}' attribute is set.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return whether the value of the '<em>Min Limit</em>' attribute is set.
   * @see #MinLimit()
   * @see #getMinLimit()
   * @see #setMinLimit(Double)
   * @generated
   */
  boolean isSetMinLimit();

  /**
   * Returns the value of the '<em><b>Gradient Too High</b></em>' reference list.
   * The list contents are of type {@link safe10.classmodel.requirements.softwaresafetyrequirements.ErrorHandlerSSR}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * The error handling SSR specification in case the gradient is too high
   * <!-- end-model-doc -->
   * @return the value of the '<em>Gradient Too High</em>' reference list.
   * @see safe10.classmodel.requirements.softwaresafetyrequirements.gradientcheck.GradientcheckPackage#getGradientCheck_GradientTooHigh()
   * @model annotation="MetaData guid='{69832FE6-DF08-4fa2-8980-7C8D5BCA4B05}' id='-2010312746' EA\040name=''"
   *        annotation="TaggedValues xml.name='GRADIENT-TOO-HIGH-REF' xml.namePlural='GRADIENT-TOO-HIGH-REFS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='true' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  EList<ErrorHandlerSSR> getGradientTooHigh();

  /**
   * Returns the value of the '<em><b>Gradient Too Low</b></em>' reference list.
   * The list contents are of type {@link safe10.classmodel.requirements.softwaresafetyrequirements.ErrorHandlerSSR}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * The error handling SSR specification in case the gradient is too low
   * <!-- end-model-doc -->
   * @return the value of the '<em>Gradient Too Low</em>' reference list.
   * @see safe10.classmodel.requirements.softwaresafetyrequirements.gradientcheck.GradientcheckPackage#getGradientCheck_GradientTooLow()
   * @model annotation="MetaData guid='{383B749B-1D38-408e-A149-5626F30119D5}' id='-1280963425' EA\040name=''"
   *        annotation="TaggedValues xml.name='GRADIENT-TOO-LOW-REF' xml.namePlural='GRADIENT-TOO-LOW-REFS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='true' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  EList<ErrorHandlerSSR> getGradientTooLow();

} // GradientCheck
