/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package safe10.classmodel.requirements.softwaresafetyrequirements.healthmonitor;

import safe10.classmodel.commonstructure.references.chromosomereferences.ComponentModeInstanceRef;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Chromosome Component Mode Condition</b></em>'.
 * <!-- end-user-doc -->
 *
 * <!-- begin-model-doc -->
 * A CHROMOSOME specific condition referencing a Mode of a certain CHROMOSOME  component instance. The condition is fired when the component is monitored by the Health Monitor and enters mode specified by triggeredBy relation.
 * <!-- end-model-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link safe10.classmodel.requirements.softwaresafetyrequirements.healthmonitor.ChromosomeComponentModeCondition#getTriggeredBy <em>Triggered By</em>}</li>
 * </ul>
 * </p>
 *
 * @see safe10.classmodel.requirements.softwaresafetyrequirements.healthmonitor.HealthmonitorPackage#getChromosomeComponentModeCondition()
 * @model annotation="MetaData guid='{1EF75B1F-2F89-4d03-835F-C0830F77FA5A}' id='-1754484081' EA\040name='ChromosomeComponentModeCondition'"
 *        annotation="TaggedValues xml.name='CHROMOSOME-COMPONENT-MODE-CONDITION' xml.namePlural='CHROMOSOME-COMPONENT-MODE-CONDITIONS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public interface ChromosomeComponentModeCondition extends ErrorCondition
{
  /**
   * Returns the value of the '<em><b>Triggered By</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * Specifies a set of modes of CHROMOSOME component instances, which triggers the component mode condition.
   * <!-- end-model-doc -->
   * @return the value of the '<em>Triggered By</em>' containment reference.
   * @see #setTriggeredBy(ComponentModeInstanceRef)
   * @see safe10.classmodel.requirements.softwaresafetyrequirements.healthmonitor.HealthmonitorPackage#getChromosomeComponentModeCondition_TriggeredBy()
   * @model containment="true" required="true"
   *        annotation="MetaData guid='{8A6E3BBA-3A3F-4541-8FF2-B07FE6546F3D}' id='-955829299' EA\040name=''"
   *        annotation="TaggedValues xml.name='TRIGGERED-BY' xml.namePlural='TRIGGERED-BYS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  ComponentModeInstanceRef getTriggeredBy();

  /**
   * Sets the value of the '{@link safe10.classmodel.requirements.softwaresafetyrequirements.healthmonitor.ChromosomeComponentModeCondition#getTriggeredBy <em>Triggered By</em>}' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Triggered By</em>' containment reference.
   * @see #getTriggeredBy()
   * @generated
   */
  void setTriggeredBy(ComponentModeInstanceRef value);

} // ChromosomeComponentModeCondition
