/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package safe10.classmodel.requirements.softwaresafetyrequirements.healthmonitor;

import safe10.classmodel.commonstructure.references.chromosomereferences.Topic;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Chromosome Error Event Condition</b></em>'.
 * <!-- end-user-doc -->
 *
 * <!-- begin-model-doc -->
 * A CHROMOSOME specific error condition, which is triggered by reception of a message via a predefined CHROMOSOME topic referenced by triggeredBy relation.
 * <!-- end-model-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link safe10.classmodel.requirements.softwaresafetyrequirements.healthmonitor.ChromosomeErrorEventCondition#getTriggeredBy <em>Triggered By</em>}</li>
 * </ul>
 * </p>
 *
 * @see safe10.classmodel.requirements.softwaresafetyrequirements.healthmonitor.HealthmonitorPackage#getChromosomeErrorEventCondition()
 * @model annotation="MetaData guid='{46954A52-8B59-47ac-83B4-C76621CBD821}' id='-1009278581' EA\040name='ChromosomeErrorEventCondition'"
 *        annotation="TaggedValues xml.name='CHROMOSOME-ERROR-EVENT-CONDITION' xml.namePlural='CHROMOSOME-ERROR-EVENT-CONDITIONS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public interface ChromosomeErrorEventCondition extends ErrorCondition
{
  /**
   * Returns the value of the '<em><b>Triggered By</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * Includes a reference to a CHROMOSOME topic used to transport error notifications from different componens / subsystems, and acting as a trigger for error condition.
   * <!-- end-model-doc -->
   * @return the value of the '<em>Triggered By</em>' containment reference.
   * @see #setTriggeredBy(Topic)
   * @see safe10.classmodel.requirements.softwaresafetyrequirements.healthmonitor.HealthmonitorPackage#getChromosomeErrorEventCondition_TriggeredBy()
   * @model containment="true" required="true"
   *        annotation="MetaData guid='{4D175ED4-0668-4277-A96C-66936718F44F}' id='655247626' EA\040name=''"
   *        annotation="TaggedValues xml.name='TRIGGERED-BY' xml.namePlural='TRIGGERED-BYS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  Topic getTriggeredBy();

  /**
   * Sets the value of the '{@link safe10.classmodel.requirements.softwaresafetyrequirements.healthmonitor.ChromosomeErrorEventCondition#getTriggeredBy <em>Triggered By</em>}' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Triggered By</em>' containment reference.
   * @see #getTriggeredBy()
   * @generated
   */
  void setTriggeredBy(Topic value);

} // ChromosomeErrorEventCondition
