/**
 */
package safe10.classmodel.requirements.softwaresafetyrequirements.healthmonitor.util;

import org.eclipse.emf.common.notify.Adapter;
import org.eclipse.emf.common.notify.Notifier;

import org.eclipse.emf.common.notify.impl.AdapterFactoryImpl;

import org.eclipse.emf.ecore.EObject;

import safe10.classmodel.commonstructure.toplevel.Identifiable;
import safe10.classmodel.commonstructure.toplevel.PackageableElement;
import safe10.classmodel.commonstructure.toplevel.Referrable;
import safe10.classmodel.commonstructure.toplevel.SAFEElement;

import safe10.classmodel.requirements.AbstractSafetyRequirement;
import safe10.classmodel.requirements.AllocatableElement;
import safe10.classmodel.requirements.SoftwareSafetyRequirement;
import safe10.classmodel.requirements.TraceableSpecification;

import safe10.classmodel.requirements.softwaresafetyrequirements.ErrorHandlerSSR;

import safe10.classmodel.requirements.softwaresafetyrequirements.healthmonitor.*;

/**
 * <!-- begin-user-doc -->
 * The <b>Adapter Factory</b> for the model.
 * It provides an adapter <code>createXXX</code> method for each class of the model.
 * <!-- end-user-doc -->
 * @see safe10.classmodel.requirements.softwaresafetyrequirements.healthmonitor.HealthmonitorPackage
 * @generated
 */
public class HealthmonitorAdapterFactory extends AdapterFactoryImpl
{
  /**
   * The cached model package.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected static HealthmonitorPackage modelPackage;

  /**
   * Creates an instance of the adapter factory.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public HealthmonitorAdapterFactory()
  {
    if (modelPackage == null)
    {
      modelPackage = HealthmonitorPackage.eINSTANCE;
    }
  }

  /**
   * Returns whether this factory is applicable for the type of the object.
   * <!-- begin-user-doc -->
   * This implementation returns <code>true</code> if the object is either the model's package or is an instance object of the model.
   * <!-- end-user-doc -->
   * @return whether this factory is applicable for the type of the object.
   * @generated
   */
  @Override
  public boolean isFactoryForType(Object object)
  {
    if (object == modelPackage)
    {
      return true;
    }
    if (object instanceof EObject)
    {
      return ((EObject)object).eClass().getEPackage() == modelPackage;
    }
    return false;
  }

  /**
   * The switch that delegates to the <code>createXXX</code> methods.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected HealthmonitorSwitch<Adapter> modelSwitch =
    new HealthmonitorSwitch<Adapter>()
    {
      @Override
      public Adapter caseChromosomeApplicationHealthMonitor(ChromosomeApplicationHealthMonitor object)
      {
        return createChromosomeApplicationHealthMonitorAdapter();
      }
      @Override
      public Adapter caseChromosomeComponentModeCondition(ChromosomeComponentModeCondition object)
      {
        return createChromosomeComponentModeConditionAdapter();
      }
      @Override
      public Adapter caseChromosomeErrorEventCondition(ChromosomeErrorEventCondition object)
      {
        return createChromosomeErrorEventConditionAdapter();
      }
      @Override
      public Adapter caseChromosomeErrorHandler(ChromosomeErrorHandler object)
      {
        return createChromosomeErrorHandlerAdapter();
      }
      @Override
      public Adapter caseChromosomeHealthMonitor(ChromosomeHealthMonitor object)
      {
        return createChromosomeHealthMonitorAdapter();
      }
      @Override
      public Adapter caseCHROMOSOMEHealthMonitorNotification(CHROMOSOMEHealthMonitorNotification object)
      {
        return createCHROMOSOMEHealthMonitorNotificationAdapter();
      }
      @Override
      public Adapter caseChromosomeNodeHealthMonitor(ChromosomeNodeHealthMonitor object)
      {
        return createChromosomeNodeHealthMonitorAdapter();
      }
      @Override
      public Adapter caseErrorCondition(ErrorCondition object)
      {
        return createErrorConditionAdapter();
      }
      @Override
      public Adapter caseHealthMonitor(HealthMonitor object)
      {
        return createHealthMonitorAdapter();
      }
      @Override
      public Adapter caseReferrable(Referrable object)
      {
        return createReferrableAdapter();
      }
      @Override
      public Adapter caseIdentifiable(Identifiable object)
      {
        return createIdentifiableAdapter();
      }
      @Override
      public Adapter casePackageableElement(PackageableElement object)
      {
        return createPackageableElementAdapter();
      }
      @Override
      public Adapter caseSAFEElement(SAFEElement object)
      {
        return createSAFEElementAdapter();
      }
      @Override
      public Adapter caseTraceableSpecification(TraceableSpecification object)
      {
        return createTraceableSpecificationAdapter();
      }
      @Override
      public Adapter caseAllocatableElement(AllocatableElement object)
      {
        return createAllocatableElementAdapter();
      }
      @Override
      public Adapter caseAbstractSafetyRequirement(AbstractSafetyRequirement object)
      {
        return createAbstractSafetyRequirementAdapter();
      }
      @Override
      public Adapter caseSoftwareSafetyRequirement(SoftwareSafetyRequirement object)
      {
        return createSoftwareSafetyRequirementAdapter();
      }
      @Override
      public Adapter caseErrorHandlerSSR(ErrorHandlerSSR object)
      {
        return createErrorHandlerSSRAdapter();
      }
      @Override
      public Adapter defaultCase(EObject object)
      {
        return createEObjectAdapter();
      }
    };

  /**
   * Creates an adapter for the <code>target</code>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param target the object to adapt.
   * @return the adapter for the <code>target</code>.
   * @generated
   */
  @Override
  public Adapter createAdapter(Notifier target)
  {
    return modelSwitch.doSwitch((EObject)target);
  }


  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.requirements.softwaresafetyrequirements.healthmonitor.ChromosomeApplicationHealthMonitor <em>Chromosome Application Health Monitor</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.requirements.softwaresafetyrequirements.healthmonitor.ChromosomeApplicationHealthMonitor
   * @generated
   */
  public Adapter createChromosomeApplicationHealthMonitorAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.requirements.softwaresafetyrequirements.healthmonitor.ChromosomeComponentModeCondition <em>Chromosome Component Mode Condition</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.requirements.softwaresafetyrequirements.healthmonitor.ChromosomeComponentModeCondition
   * @generated
   */
  public Adapter createChromosomeComponentModeConditionAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.requirements.softwaresafetyrequirements.healthmonitor.ChromosomeErrorEventCondition <em>Chromosome Error Event Condition</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.requirements.softwaresafetyrequirements.healthmonitor.ChromosomeErrorEventCondition
   * @generated
   */
  public Adapter createChromosomeErrorEventConditionAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.requirements.softwaresafetyrequirements.healthmonitor.ChromosomeErrorHandler <em>Chromosome Error Handler</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.requirements.softwaresafetyrequirements.healthmonitor.ChromosomeErrorHandler
   * @generated
   */
  public Adapter createChromosomeErrorHandlerAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.requirements.softwaresafetyrequirements.healthmonitor.ChromosomeHealthMonitor <em>Chromosome Health Monitor</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.requirements.softwaresafetyrequirements.healthmonitor.ChromosomeHealthMonitor
   * @generated
   */
  public Adapter createChromosomeHealthMonitorAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.requirements.softwaresafetyrequirements.healthmonitor.CHROMOSOMEHealthMonitorNotification <em>CHROMOSOME Health Monitor Notification</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.requirements.softwaresafetyrequirements.healthmonitor.CHROMOSOMEHealthMonitorNotification
   * @generated
   */
  public Adapter createCHROMOSOMEHealthMonitorNotificationAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.requirements.softwaresafetyrequirements.healthmonitor.ChromosomeNodeHealthMonitor <em>Chromosome Node Health Monitor</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.requirements.softwaresafetyrequirements.healthmonitor.ChromosomeNodeHealthMonitor
   * @generated
   */
  public Adapter createChromosomeNodeHealthMonitorAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.requirements.softwaresafetyrequirements.healthmonitor.ErrorCondition <em>Error Condition</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.requirements.softwaresafetyrequirements.healthmonitor.ErrorCondition
   * @generated
   */
  public Adapter createErrorConditionAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.requirements.softwaresafetyrequirements.healthmonitor.HealthMonitor <em>Health Monitor</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.requirements.softwaresafetyrequirements.healthmonitor.HealthMonitor
   * @generated
   */
  public Adapter createHealthMonitorAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.commonstructure.toplevel.Referrable <em>Referrable</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.commonstructure.toplevel.Referrable
   * @generated
   */
  public Adapter createReferrableAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.commonstructure.toplevel.Identifiable <em>Identifiable</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.commonstructure.toplevel.Identifiable
   * @generated
   */
  public Adapter createIdentifiableAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.commonstructure.toplevel.PackageableElement <em>Packageable Element</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.commonstructure.toplevel.PackageableElement
   * @generated
   */
  public Adapter createPackageableElementAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.commonstructure.toplevel.SAFEElement <em>SAFE Element</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.commonstructure.toplevel.SAFEElement
   * @generated
   */
  public Adapter createSAFEElementAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.requirements.TraceableSpecification <em>Traceable Specification</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.requirements.TraceableSpecification
   * @generated
   */
  public Adapter createTraceableSpecificationAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.requirements.AllocatableElement <em>Allocatable Element</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.requirements.AllocatableElement
   * @generated
   */
  public Adapter createAllocatableElementAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.requirements.AbstractSafetyRequirement <em>Abstract Safety Requirement</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.requirements.AbstractSafetyRequirement
   * @generated
   */
  public Adapter createAbstractSafetyRequirementAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.requirements.SoftwareSafetyRequirement <em>Software Safety Requirement</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.requirements.SoftwareSafetyRequirement
   * @generated
   */
  public Adapter createSoftwareSafetyRequirementAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link safe10.classmodel.requirements.softwaresafetyrequirements.ErrorHandlerSSR <em>Error Handler SSR</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see safe10.classmodel.requirements.softwaresafetyrequirements.ErrorHandlerSSR
   * @generated
   */
  public Adapter createErrorHandlerSSRAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for the default case.
   * <!-- begin-user-doc -->
   * This default implementation returns null.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @generated
   */
  public Adapter createEObjectAdapter()
  {
    return null;
  }

} //HealthmonitorAdapterFactory
