/**
 */
package safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat;

import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

import safe10.classmodel.requirements.RequirementsPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.SoftwaresafetyrequirementsPackage;

/**
 * <!-- begin-user-doc -->
 * The <b>Package</b> for the model.
 * It contains accessors for the meta objects to represent
 * <ul>
 *   <li>each class,</li>
 *   <li>each feature of each class,</li>
 *   <li>each enum,</li>
 *   <li>and each data type</li>
 * </ul>
 * <!-- end-user-doc -->
 * <!-- begin-model-doc -->
 * This package groups the elements related to the software safety mechanism Heartbeat.
 * <!-- end-model-doc -->
 * @see safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.HeartbeatFactory
 * @model kind="package"
 *        annotation="MetaData guid='{FD04F6E5-76FF-4c2d-A740-65D03B63928B}' id='43' EA\040name='Heartbeat'"
 *        annotation="TaggedValues xml.name='HEARTBEAT' xml.namePlural='HEARTBEATS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public interface HeartbeatPackage extends EPackage
{
  /**
   * The package name.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNAME = "heartbeat";

  /**
   * The package namespace URI.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNS_URI = "http://safe-project.eu/1.0.1/safe10/classmodel/requirements/softwaresafetyrequirements/heartbeat";

  /**
   * The package namespace name.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNS_PREFIX = "";

  /**
   * The singleton instance of the package.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  HeartbeatPackage eINSTANCE = safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.impl.HeartbeatPackageImpl.init();

  /**
   * The meta object id for the '{@link safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.impl.HeartbeatReceiverImpl <em>Receiver</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.impl.HeartbeatReceiverImpl
   * @see safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.impl.HeartbeatPackageImpl#getHeartbeatReceiver()
   * @generated
   */
  int HEARTBEAT_RECEIVER = 4;

  /**
   * The feature id for the '<em><b>Short Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HEARTBEAT_RECEIVER__SHORT_NAME = RequirementsPackage.SOFTWARE_SAFETY_REQUIREMENT__SHORT_NAME;

  /**
   * The feature id for the '<em><b>Category</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HEARTBEAT_RECEIVER__CATEGORY = RequirementsPackage.SOFTWARE_SAFETY_REQUIREMENT__CATEGORY;

  /**
   * The feature id for the '<em><b>Uuid</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HEARTBEAT_RECEIVER__UUID = RequirementsPackage.SOFTWARE_SAFETY_REQUIREMENT__UUID;

  /**
   * The feature id for the '<em><b>Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HEARTBEAT_RECEIVER__NAME = RequirementsPackage.SOFTWARE_SAFETY_REQUIREMENT__NAME;

  /**
   * The feature id for the '<em><b>Formal</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HEARTBEAT_RECEIVER__FORMAL = RequirementsPackage.SOFTWARE_SAFETY_REQUIREMENT__FORMAL;

  /**
   * The feature id for the '<em><b>Informal</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HEARTBEAT_RECEIVER__INFORMAL = RequirementsPackage.SOFTWARE_SAFETY_REQUIREMENT__INFORMAL;

  /**
   * The feature id for the '<em><b>Stakeholder</b></em>' attribute list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HEARTBEAT_RECEIVER__STAKEHOLDER = RequirementsPackage.SOFTWARE_SAFETY_REQUIREMENT__STAKEHOLDER;

  /**
   * The feature id for the '<em><b>Asil</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HEARTBEAT_RECEIVER__ASIL = RequirementsPackage.SOFTWARE_SAFETY_REQUIREMENT__ASIL;

  /**
   * The feature id for the '<em><b>Requirement</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HEARTBEAT_RECEIVER__REQUIREMENT = RequirementsPackage.SOFTWARE_SAFETY_REQUIREMENT__REQUIREMENT;

  /**
   * The feature id for the '<em><b>Requirement Links</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HEARTBEAT_RECEIVER__REQUIREMENT_LINKS = RequirementsPackage.SOFTWARE_SAFETY_REQUIREMENT__REQUIREMENT_LINKS;

  /**
   * The feature id for the '<em><b>Deadline Missed</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HEARTBEAT_RECEIVER__DEADLINE_MISSED = RequirementsPackage.SOFTWARE_SAFETY_REQUIREMENT_FEATURE_COUNT + 0;

  /**
   * The number of structural features of the '<em>Receiver</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HEARTBEAT_RECEIVER_FEATURE_COUNT = RequirementsPackage.SOFTWARE_SAFETY_REQUIREMENT_FEATURE_COUNT + 1;

  /**
   * The meta object id for the '{@link safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.impl.ChromosomeHeartbeatReceiverImpl <em>Chromosome Heartbeat Receiver</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.impl.ChromosomeHeartbeatReceiverImpl
   * @see safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.impl.HeartbeatPackageImpl#getChromosomeHeartbeatReceiver()
   * @generated
   */
  int CHROMOSOME_HEARTBEAT_RECEIVER = 0;

  /**
   * The feature id for the '<em><b>Short Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CHROMOSOME_HEARTBEAT_RECEIVER__SHORT_NAME = HEARTBEAT_RECEIVER__SHORT_NAME;

  /**
   * The feature id for the '<em><b>Category</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CHROMOSOME_HEARTBEAT_RECEIVER__CATEGORY = HEARTBEAT_RECEIVER__CATEGORY;

  /**
   * The feature id for the '<em><b>Uuid</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CHROMOSOME_HEARTBEAT_RECEIVER__UUID = HEARTBEAT_RECEIVER__UUID;

  /**
   * The feature id for the '<em><b>Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CHROMOSOME_HEARTBEAT_RECEIVER__NAME = HEARTBEAT_RECEIVER__NAME;

  /**
   * The feature id for the '<em><b>Formal</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CHROMOSOME_HEARTBEAT_RECEIVER__FORMAL = HEARTBEAT_RECEIVER__FORMAL;

  /**
   * The feature id for the '<em><b>Informal</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CHROMOSOME_HEARTBEAT_RECEIVER__INFORMAL = HEARTBEAT_RECEIVER__INFORMAL;

  /**
   * The feature id for the '<em><b>Stakeholder</b></em>' attribute list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CHROMOSOME_HEARTBEAT_RECEIVER__STAKEHOLDER = HEARTBEAT_RECEIVER__STAKEHOLDER;

  /**
   * The feature id for the '<em><b>Asil</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CHROMOSOME_HEARTBEAT_RECEIVER__ASIL = HEARTBEAT_RECEIVER__ASIL;

  /**
   * The feature id for the '<em><b>Requirement</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CHROMOSOME_HEARTBEAT_RECEIVER__REQUIREMENT = HEARTBEAT_RECEIVER__REQUIREMENT;

  /**
   * The feature id for the '<em><b>Requirement Links</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CHROMOSOME_HEARTBEAT_RECEIVER__REQUIREMENT_LINKS = HEARTBEAT_RECEIVER__REQUIREMENT_LINKS;

  /**
   * The feature id for the '<em><b>Deadline Missed</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CHROMOSOME_HEARTBEAT_RECEIVER__DEADLINE_MISSED = HEARTBEAT_RECEIVER__DEADLINE_MISSED;

  /**
   * The feature id for the '<em><b>Satisfied By</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CHROMOSOME_HEARTBEAT_RECEIVER__SATISFIED_BY = HEARTBEAT_RECEIVER_FEATURE_COUNT + 0;

  /**
   * The number of structural features of the '<em>Chromosome Heartbeat Receiver</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CHROMOSOME_HEARTBEAT_RECEIVER_FEATURE_COUNT = HEARTBEAT_RECEIVER_FEATURE_COUNT + 1;

  /**
   * The meta object id for the '{@link safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.impl.HeartbeatSenderImpl <em>Sender</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.impl.HeartbeatSenderImpl
   * @see safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.impl.HeartbeatPackageImpl#getHeartbeatSender()
   * @generated
   */
  int HEARTBEAT_SENDER = 5;

  /**
   * The feature id for the '<em><b>Short Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HEARTBEAT_SENDER__SHORT_NAME = RequirementsPackage.SOFTWARE_SAFETY_REQUIREMENT__SHORT_NAME;

  /**
   * The feature id for the '<em><b>Category</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HEARTBEAT_SENDER__CATEGORY = RequirementsPackage.SOFTWARE_SAFETY_REQUIREMENT__CATEGORY;

  /**
   * The feature id for the '<em><b>Uuid</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HEARTBEAT_SENDER__UUID = RequirementsPackage.SOFTWARE_SAFETY_REQUIREMENT__UUID;

  /**
   * The feature id for the '<em><b>Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HEARTBEAT_SENDER__NAME = RequirementsPackage.SOFTWARE_SAFETY_REQUIREMENT__NAME;

  /**
   * The feature id for the '<em><b>Formal</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HEARTBEAT_SENDER__FORMAL = RequirementsPackage.SOFTWARE_SAFETY_REQUIREMENT__FORMAL;

  /**
   * The feature id for the '<em><b>Informal</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HEARTBEAT_SENDER__INFORMAL = RequirementsPackage.SOFTWARE_SAFETY_REQUIREMENT__INFORMAL;

  /**
   * The feature id for the '<em><b>Stakeholder</b></em>' attribute list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HEARTBEAT_SENDER__STAKEHOLDER = RequirementsPackage.SOFTWARE_SAFETY_REQUIREMENT__STAKEHOLDER;

  /**
   * The feature id for the '<em><b>Asil</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HEARTBEAT_SENDER__ASIL = RequirementsPackage.SOFTWARE_SAFETY_REQUIREMENT__ASIL;

  /**
   * The feature id for the '<em><b>Requirement</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HEARTBEAT_SENDER__REQUIREMENT = RequirementsPackage.SOFTWARE_SAFETY_REQUIREMENT__REQUIREMENT;

  /**
   * The feature id for the '<em><b>Requirement Links</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HEARTBEAT_SENDER__REQUIREMENT_LINKS = RequirementsPackage.SOFTWARE_SAFETY_REQUIREMENT__REQUIREMENT_LINKS;

  /**
   * The number of structural features of the '<em>Sender</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HEARTBEAT_SENDER_FEATURE_COUNT = RequirementsPackage.SOFTWARE_SAFETY_REQUIREMENT_FEATURE_COUNT + 0;

  /**
   * The meta object id for the '{@link safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.impl.ChromosomeHeartbeatSenderImpl <em>Chromosome Heartbeat Sender</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.impl.ChromosomeHeartbeatSenderImpl
   * @see safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.impl.HeartbeatPackageImpl#getChromosomeHeartbeatSender()
   * @generated
   */
  int CHROMOSOME_HEARTBEAT_SENDER = 1;

  /**
   * The feature id for the '<em><b>Short Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CHROMOSOME_HEARTBEAT_SENDER__SHORT_NAME = HEARTBEAT_SENDER__SHORT_NAME;

  /**
   * The feature id for the '<em><b>Category</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CHROMOSOME_HEARTBEAT_SENDER__CATEGORY = HEARTBEAT_SENDER__CATEGORY;

  /**
   * The feature id for the '<em><b>Uuid</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CHROMOSOME_HEARTBEAT_SENDER__UUID = HEARTBEAT_SENDER__UUID;

  /**
   * The feature id for the '<em><b>Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CHROMOSOME_HEARTBEAT_SENDER__NAME = HEARTBEAT_SENDER__NAME;

  /**
   * The feature id for the '<em><b>Formal</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CHROMOSOME_HEARTBEAT_SENDER__FORMAL = HEARTBEAT_SENDER__FORMAL;

  /**
   * The feature id for the '<em><b>Informal</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CHROMOSOME_HEARTBEAT_SENDER__INFORMAL = HEARTBEAT_SENDER__INFORMAL;

  /**
   * The feature id for the '<em><b>Stakeholder</b></em>' attribute list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CHROMOSOME_HEARTBEAT_SENDER__STAKEHOLDER = HEARTBEAT_SENDER__STAKEHOLDER;

  /**
   * The feature id for the '<em><b>Asil</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CHROMOSOME_HEARTBEAT_SENDER__ASIL = HEARTBEAT_SENDER__ASIL;

  /**
   * The feature id for the '<em><b>Requirement</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CHROMOSOME_HEARTBEAT_SENDER__REQUIREMENT = HEARTBEAT_SENDER__REQUIREMENT;

  /**
   * The feature id for the '<em><b>Requirement Links</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CHROMOSOME_HEARTBEAT_SENDER__REQUIREMENT_LINKS = HEARTBEAT_SENDER__REQUIREMENT_LINKS;

  /**
   * The feature id for the '<em><b>Satisfied By</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CHROMOSOME_HEARTBEAT_SENDER__SATISFIED_BY = HEARTBEAT_SENDER_FEATURE_COUNT + 0;

  /**
   * The number of structural features of the '<em>Chromosome Heartbeat Sender</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CHROMOSOME_HEARTBEAT_SENDER_FEATURE_COUNT = HEARTBEAT_SENDER_FEATURE_COUNT + 1;

  /**
   * The meta object id for the '{@link safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.impl.HeartbeatImpl <em>Heartbeat</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.impl.HeartbeatImpl
   * @see safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.impl.HeartbeatPackageImpl#getHeartbeat()
   * @generated
   */
  int HEARTBEAT = 2;

  /**
   * The feature id for the '<em><b>Short Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HEARTBEAT__SHORT_NAME = SoftwaresafetyrequirementsPackage.ERROR_DETECTION_SSR__SHORT_NAME;

  /**
   * The feature id for the '<em><b>Category</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HEARTBEAT__CATEGORY = SoftwaresafetyrequirementsPackage.ERROR_DETECTION_SSR__CATEGORY;

  /**
   * The feature id for the '<em><b>Uuid</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HEARTBEAT__UUID = SoftwaresafetyrequirementsPackage.ERROR_DETECTION_SSR__UUID;

  /**
   * The feature id for the '<em><b>Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HEARTBEAT__NAME = SoftwaresafetyrequirementsPackage.ERROR_DETECTION_SSR__NAME;

  /**
   * The feature id for the '<em><b>Formal</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HEARTBEAT__FORMAL = SoftwaresafetyrequirementsPackage.ERROR_DETECTION_SSR__FORMAL;

  /**
   * The feature id for the '<em><b>Informal</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HEARTBEAT__INFORMAL = SoftwaresafetyrequirementsPackage.ERROR_DETECTION_SSR__INFORMAL;

  /**
   * The feature id for the '<em><b>Stakeholder</b></em>' attribute list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HEARTBEAT__STAKEHOLDER = SoftwaresafetyrequirementsPackage.ERROR_DETECTION_SSR__STAKEHOLDER;

  /**
   * The feature id for the '<em><b>Asil</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HEARTBEAT__ASIL = SoftwaresafetyrequirementsPackage.ERROR_DETECTION_SSR__ASIL;

  /**
   * The feature id for the '<em><b>Requirement</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HEARTBEAT__REQUIREMENT = SoftwaresafetyrequirementsPackage.ERROR_DETECTION_SSR__REQUIREMENT;

  /**
   * The feature id for the '<em><b>Requirement Links</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HEARTBEAT__REQUIREMENT_LINKS = SoftwaresafetyrequirementsPackage.ERROR_DETECTION_SSR__REQUIREMENT_LINKS;

  /**
   * The feature id for the '<em><b>Config</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HEARTBEAT__CONFIG = SoftwaresafetyrequirementsPackage.ERROR_DETECTION_SSR_FEATURE_COUNT + 0;

  /**
   * The feature id for the '<em><b>Receiver</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HEARTBEAT__RECEIVER = SoftwaresafetyrequirementsPackage.ERROR_DETECTION_SSR_FEATURE_COUNT + 1;

  /**
   * The feature id for the '<em><b>Sender</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HEARTBEAT__SENDER = SoftwaresafetyrequirementsPackage.ERROR_DETECTION_SSR_FEATURE_COUNT + 2;

  /**
   * The number of structural features of the '<em>Heartbeat</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HEARTBEAT_FEATURE_COUNT = SoftwaresafetyrequirementsPackage.ERROR_DETECTION_SSR_FEATURE_COUNT + 3;

  /**
   * The meta object id for the '{@link safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.impl.HeartbeatConfigImpl <em>Config</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.impl.HeartbeatConfigImpl
   * @see safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.impl.HeartbeatPackageImpl#getHeartbeatConfig()
   * @generated
   */
  int HEARTBEAT_CONFIG = 3;

  /**
   * The feature id for the '<em><b>Period Ms</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HEARTBEAT_CONFIG__PERIOD_MS = 0;

  /**
   * The feature id for the '<em><b>Deadline Ms</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HEARTBEAT_CONFIG__DEADLINE_MS = 1;

  /**
   * The number of structural features of the '<em>Config</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int HEARTBEAT_CONFIG_FEATURE_COUNT = 2;


  /**
   * Returns the meta object for class '{@link safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.ChromosomeHeartbeatReceiver <em>Chromosome Heartbeat Receiver</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Chromosome Heartbeat Receiver</em>'.
   * @see safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.ChromosomeHeartbeatReceiver
   * @generated
   */
  EClass getChromosomeHeartbeatReceiver();

  /**
   * Returns the meta object for the reference '{@link safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.ChromosomeHeartbeatReceiver#getSatisfiedBy <em>Satisfied By</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the reference '<em>Satisfied By</em>'.
   * @see safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.ChromosomeHeartbeatReceiver#getSatisfiedBy()
   * @see #getChromosomeHeartbeatReceiver()
   * @generated
   */
  EReference getChromosomeHeartbeatReceiver_SatisfiedBy();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.ChromosomeHeartbeatSender <em>Chromosome Heartbeat Sender</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Chromosome Heartbeat Sender</em>'.
   * @see safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.ChromosomeHeartbeatSender
   * @generated
   */
  EClass getChromosomeHeartbeatSender();

  /**
   * Returns the meta object for the reference '{@link safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.ChromosomeHeartbeatSender#getSatisfiedBy <em>Satisfied By</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the reference '<em>Satisfied By</em>'.
   * @see safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.ChromosomeHeartbeatSender#getSatisfiedBy()
   * @see #getChromosomeHeartbeatSender()
   * @generated
   */
  EReference getChromosomeHeartbeatSender_SatisfiedBy();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.Heartbeat <em>Heartbeat</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Heartbeat</em>'.
   * @see safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.Heartbeat
   * @generated
   */
  EClass getHeartbeat();

  /**
   * Returns the meta object for the containment reference '{@link safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.Heartbeat#getConfig <em>Config</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Config</em>'.
   * @see safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.Heartbeat#getConfig()
   * @see #getHeartbeat()
   * @generated
   */
  EReference getHeartbeat_Config();

  /**
   * Returns the meta object for the containment reference '{@link safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.Heartbeat#getReceiver <em>Receiver</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Receiver</em>'.
   * @see safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.Heartbeat#getReceiver()
   * @see #getHeartbeat()
   * @generated
   */
  EReference getHeartbeat_Receiver();

  /**
   * Returns the meta object for the containment reference '{@link safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.Heartbeat#getSender <em>Sender</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Sender</em>'.
   * @see safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.Heartbeat#getSender()
   * @see #getHeartbeat()
   * @generated
   */
  EReference getHeartbeat_Sender();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.HeartbeatConfig <em>Config</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Config</em>'.
   * @see safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.HeartbeatConfig
   * @generated
   */
  EClass getHeartbeatConfig();

  /**
   * Returns the meta object for the attribute '{@link safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.HeartbeatConfig#getPeriodMs <em>Period Ms</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Period Ms</em>'.
   * @see safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.HeartbeatConfig#getPeriodMs()
   * @see #getHeartbeatConfig()
   * @generated
   */
  EAttribute getHeartbeatConfig_PeriodMs();

  /**
   * Returns the meta object for the attribute '{@link safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.HeartbeatConfig#getDeadlineMs <em>Deadline Ms</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Deadline Ms</em>'.
   * @see safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.HeartbeatConfig#getDeadlineMs()
   * @see #getHeartbeatConfig()
   * @generated
   */
  EAttribute getHeartbeatConfig_DeadlineMs();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.HeartbeatReceiver <em>Receiver</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Receiver</em>'.
   * @see safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.HeartbeatReceiver
   * @generated
   */
  EClass getHeartbeatReceiver();

  /**
   * Returns the meta object for the reference '{@link safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.HeartbeatReceiver#getDeadlineMissed <em>Deadline Missed</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the reference '<em>Deadline Missed</em>'.
   * @see safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.HeartbeatReceiver#getDeadlineMissed()
   * @see #getHeartbeatReceiver()
   * @generated
   */
  EReference getHeartbeatReceiver_DeadlineMissed();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.HeartbeatSender <em>Sender</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Sender</em>'.
   * @see safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.HeartbeatSender
   * @generated
   */
  EClass getHeartbeatSender();

  /**
   * Returns the factory that creates the instances of the model.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the factory that creates the instances of the model.
   * @generated
   */
  HeartbeatFactory getHeartbeatFactory();

  /**
   * <!-- begin-user-doc -->
   * Defines literals for the meta objects that represent
   * <ul>
   *   <li>each class,</li>
   *   <li>each feature of each class,</li>
   *   <li>each enum,</li>
   *   <li>and each data type</li>
   * </ul>
   * <!-- end-user-doc -->
   * @generated
   */
  interface Literals
  {
    /**
     * The meta object literal for the '{@link safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.impl.ChromosomeHeartbeatReceiverImpl <em>Chromosome Heartbeat Receiver</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.impl.ChromosomeHeartbeatReceiverImpl
     * @see safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.impl.HeartbeatPackageImpl#getChromosomeHeartbeatReceiver()
     * @generated
     */
    EClass CHROMOSOME_HEARTBEAT_RECEIVER = eINSTANCE.getChromosomeHeartbeatReceiver();

    /**
     * The meta object literal for the '<em><b>Satisfied By</b></em>' reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference CHROMOSOME_HEARTBEAT_RECEIVER__SATISFIED_BY = eINSTANCE.getChromosomeHeartbeatReceiver_SatisfiedBy();

    /**
     * The meta object literal for the '{@link safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.impl.ChromosomeHeartbeatSenderImpl <em>Chromosome Heartbeat Sender</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.impl.ChromosomeHeartbeatSenderImpl
     * @see safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.impl.HeartbeatPackageImpl#getChromosomeHeartbeatSender()
     * @generated
     */
    EClass CHROMOSOME_HEARTBEAT_SENDER = eINSTANCE.getChromosomeHeartbeatSender();

    /**
     * The meta object literal for the '<em><b>Satisfied By</b></em>' reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference CHROMOSOME_HEARTBEAT_SENDER__SATISFIED_BY = eINSTANCE.getChromosomeHeartbeatSender_SatisfiedBy();

    /**
     * The meta object literal for the '{@link safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.impl.HeartbeatImpl <em>Heartbeat</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.impl.HeartbeatImpl
     * @see safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.impl.HeartbeatPackageImpl#getHeartbeat()
     * @generated
     */
    EClass HEARTBEAT = eINSTANCE.getHeartbeat();

    /**
     * The meta object literal for the '<em><b>Config</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference HEARTBEAT__CONFIG = eINSTANCE.getHeartbeat_Config();

    /**
     * The meta object literal for the '<em><b>Receiver</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference HEARTBEAT__RECEIVER = eINSTANCE.getHeartbeat_Receiver();

    /**
     * The meta object literal for the '<em><b>Sender</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference HEARTBEAT__SENDER = eINSTANCE.getHeartbeat_Sender();

    /**
     * The meta object literal for the '{@link safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.impl.HeartbeatConfigImpl <em>Config</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.impl.HeartbeatConfigImpl
     * @see safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.impl.HeartbeatPackageImpl#getHeartbeatConfig()
     * @generated
     */
    EClass HEARTBEAT_CONFIG = eINSTANCE.getHeartbeatConfig();

    /**
     * The meta object literal for the '<em><b>Period Ms</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute HEARTBEAT_CONFIG__PERIOD_MS = eINSTANCE.getHeartbeatConfig_PeriodMs();

    /**
     * The meta object literal for the '<em><b>Deadline Ms</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute HEARTBEAT_CONFIG__DEADLINE_MS = eINSTANCE.getHeartbeatConfig_DeadlineMs();

    /**
     * The meta object literal for the '{@link safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.impl.HeartbeatReceiverImpl <em>Receiver</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.impl.HeartbeatReceiverImpl
     * @see safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.impl.HeartbeatPackageImpl#getHeartbeatReceiver()
     * @generated
     */
    EClass HEARTBEAT_RECEIVER = eINSTANCE.getHeartbeatReceiver();

    /**
     * The meta object literal for the '<em><b>Deadline Missed</b></em>' reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference HEARTBEAT_RECEIVER__DEADLINE_MISSED = eINSTANCE.getHeartbeatReceiver_DeadlineMissed();

    /**
     * The meta object literal for the '{@link safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.impl.HeartbeatSenderImpl <em>Sender</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.impl.HeartbeatSenderImpl
     * @see safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.impl.HeartbeatPackageImpl#getHeartbeatSender()
     * @generated
     */
    EClass HEARTBEAT_SENDER = eINSTANCE.getHeartbeatSender();

  }

} //HeartbeatPackage
