/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat;

import safe10.classmodel.requirements.SoftwareSafetyRequirement;

import safe10.classmodel.requirements.softwaresafetyrequirements.ErrorHandlerSSR;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Receiver</b></em>'.
 * <!-- end-user-doc -->
 *
 * <!-- begin-model-doc -->
 * An SSR representing the receiver of the heartbeat signal.
 * <!-- end-model-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.HeartbeatReceiver#getDeadlineMissed <em>Deadline Missed</em>}</li>
 * </ul>
 * </p>
 *
 * @see safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.HeartbeatPackage#getHeartbeatReceiver()
 * @model annotation="MetaData guid='{79AE13E9-16B3-4646-ADB6-20B3C6D65EB2}' id='266' EA\040name='HeartbeatReceiver'"
 *        annotation="TaggedValues xml.name='HEARTBEAT-RECEIVER' xml.namePlural='HEARTBEAT-RECEIVERS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public interface HeartbeatReceiver extends SoftwareSafetyRequirement
{
  /**
   * Returns the value of the '<em><b>Deadline Missed</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * The error handling SSR specification in case a deadline has been missed and no input received at receiver side.
   * <!-- end-model-doc -->
   * @return the value of the '<em>Deadline Missed</em>' reference.
   * @see #setDeadlineMissed(ErrorHandlerSSR)
   * @see safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.HeartbeatPackage#getHeartbeatReceiver_DeadlineMissed()
   * @model required="true"
   *        annotation="MetaData guid='{E69F45A9-1337-4c66-BA8E-F5BF1D7F664F}' id='115' EA\040name=''"
   *        annotation="TaggedValues xml.name='DEADLINE-MISSED-REF' xml.namePlural='DEADLINE-MISSED-REFS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  ErrorHandlerSSR getDeadlineMissed();

  /**
   * Sets the value of the '{@link safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.HeartbeatReceiver#getDeadlineMissed <em>Deadline Missed</em>}' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Deadline Missed</em>' reference.
   * @see #getDeadlineMissed()
   * @generated
   */
  void setDeadlineMissed(ErrorHandlerSSR value);

} // HeartbeatReceiver
