/**
 */
package safe10.classmodel.requirements.softwaresafetyrequirements.voting;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;

import org.eclipse.emf.common.util.Enumerator;

/**
 * <!-- begin-user-doc -->
 * A representation of the literals of the enumeration '<em><b>Activation Scheme</b></em>',
 * and utility methods for working with them.
 * <!-- end-user-doc -->
 * <!-- begin-model-doc -->
 * Possible activation schemes for a Voting component.
 * <!-- end-model-doc -->
 * @see safe10.classmodel.requirements.softwaresafetyrequirements.voting.VotingPackage#getActivationScheme()
 * @model annotation="MetaData guid='{6CC92C65-A68C-477b-BB7D-6F759E45E2A8}' id='277' EA\040name='ActivationScheme'"
 *        annotation="Stereotype Stereotype='enumeration'"
 *        annotation="TaggedValues xml.name='ACTIVATION-SCHEME' xml.namePlural='ACTIVATION-SCHEMES' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public enum ActivationScheme implements Enumerator
{
  /**
   * The '<em><b>Event Triggered</b></em>' literal object.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #EVENT_TRIGGERED_VALUE
   * @generated
   * @ordered
   */
  EVENT_TRIGGERED(0, "EventTriggered", "EVENTTRIGGERED"),

  /**
   * The '<em><b>Time Triggered</b></em>' literal object.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #TIME_TRIGGERED_VALUE
   * @generated
   * @ordered
   */
  TIME_TRIGGERED(1, "TimeTriggered", "TIMETRIGGERED");

  /**
   * The '<em><b>Event Triggered</b></em>' literal value.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of '<em><b>Event Triggered</b></em>' literal object isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @see #EVENT_TRIGGERED
   * @model name="EventTriggered" literal="EVENTTRIGGERED"
   *        annotation="TaggedValues xml.name='EVENT-TRIGGERED' xml.namePlural='EVENT-TRIGGEREDS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   * @ordered
   */
  public static final int EVENT_TRIGGERED_VALUE = 0;

  /**
   * The '<em><b>Time Triggered</b></em>' literal value.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of '<em><b>Time Triggered</b></em>' literal object isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @see #TIME_TRIGGERED
   * @model name="TimeTriggered" literal="TIMETRIGGERED"
   *        annotation="TaggedValues xml.name='TIME-TRIGGERED' xml.namePlural='TIME-TRIGGEREDS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   * @ordered
   */
  public static final int TIME_TRIGGERED_VALUE = 1;

  /**
   * An array of all the '<em><b>Activation Scheme</b></em>' enumerators.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private static final ActivationScheme[] VALUES_ARRAY =
    new ActivationScheme[]
    {
      EVENT_TRIGGERED,
      TIME_TRIGGERED,
    };

  /**
   * A public read-only list of all the '<em><b>Activation Scheme</b></em>' enumerators.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public static final List<ActivationScheme> VALUES = Collections.unmodifiableList(Arrays.asList(VALUES_ARRAY));

  /**
   * Returns the '<em><b>Activation Scheme</b></em>' literal with the specified literal value.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public static ActivationScheme get(String literal)
  {
    for (int i = 0; i < VALUES_ARRAY.length; ++i)
    {
      ActivationScheme result = VALUES_ARRAY[i];
      if (result.toString().equals(literal))
      {
        return result;
      }
    }
    return null;
  }

  /**
   * Returns the '<em><b>Activation Scheme</b></em>' literal with the specified name.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public static ActivationScheme getByName(String name)
  {
    for (int i = 0; i < VALUES_ARRAY.length; ++i)
    {
      ActivationScheme result = VALUES_ARRAY[i];
      if (result.getName().equals(name))
      {
        return result;
      }
    }
    return null;
  }

  /**
   * Returns the '<em><b>Activation Scheme</b></em>' literal with the specified integer value.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public static ActivationScheme get(int value)
  {
    switch (value)
    {
      case EVENT_TRIGGERED_VALUE: return EVENT_TRIGGERED;
      case TIME_TRIGGERED_VALUE: return TIME_TRIGGERED;
    }
    return null;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private final int value;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private final String name;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private final String literal;

  /**
   * Only this class can construct instances.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private ActivationScheme(int value, String name, String literal)
  {
    this.value = value;
    this.name = name;
    this.literal = literal;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public int getValue()
  {
    return value;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String getName()
  {
    return name;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String getLiteral()
  {
    return literal;
  }

  /**
   * Returns the literal value of the enumerator, which is its string representation.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public String toString()
  {
    return literal;
  }
  
} //ActivationScheme
