/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package safe10.classmodel.requirements.softwaresafetyrequirements.voting;

import org.eclipse.emf.common.util.EList;

import safe10.classmodel.requirements.SoftwareSafetyRequirement;

import safe10.classmodel.requirements.softwaresafetyrequirements.ErrorHandlerSSR;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Voting</b></em>'.
 * <!-- end-user-doc -->
 *
 * <!-- begin-model-doc -->
 * A meta-class representing the Voting software safety requirement.
 * <!-- end-model-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link safe10.classmodel.requirements.softwaresafetyrequirements.voting.Voting#getNoConsensus <em>No Consensus</em>}</li>
 *   <li>{@link safe10.classmodel.requirements.softwaresafetyrequirements.voting.Voting#getValueMismatch <em>Value Mismatch</em>}</li>
 *   <li>{@link safe10.classmodel.requirements.softwaresafetyrequirements.voting.Voting#getConfig <em>Config</em>}</li>
 *   <li>{@link safe10.classmodel.requirements.softwaresafetyrequirements.voting.Voting#getResult <em>Result</em>}</li>
 *   <li>{@link safe10.classmodel.requirements.softwaresafetyrequirements.voting.Voting#getInputData <em>Input Data</em>}</li>
 * </ul>
 * </p>
 *
 * @see safe10.classmodel.requirements.softwaresafetyrequirements.voting.VotingPackage#getVoting()
 * @model annotation="MetaData guid='{C2BC1796-FBAA-4d87-8A92-02871AC94CC3}' id='278' EA\040name='Voting'"
 *        annotation="TaggedValues xml.name='VOTING' xml.namePlural='VOTINGS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public interface Voting extends SoftwareSafetyRequirement
{
  /**
   * Returns the value of the '<em><b>No Consensus</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * The error handling SSR specification in case one (or more) values demonstrate mismatch, and the consensus could not be found.
   * <!-- end-model-doc -->
   * @return the value of the '<em>No Consensus</em>' reference.
   * @see #setNoConsensus(ErrorHandlerSSR)
   * @see safe10.classmodel.requirements.softwaresafetyrequirements.voting.VotingPackage#getVoting_NoConsensus()
   * @model required="true"
   *        annotation="MetaData guid='{2B0CE458-2881-4ed8-B0AC-791E2ECC6585}' id='1354601882' EA\040name=''"
   *        annotation="TaggedValues xml.name='NO-CONSENSUS-REF' xml.namePlural='NO-CONSENSUS-REFS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  ErrorHandlerSSR getNoConsensus();

  /**
   * Sets the value of the '{@link safe10.classmodel.requirements.softwaresafetyrequirements.voting.Voting#getNoConsensus <em>No Consensus</em>}' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>No Consensus</em>' reference.
   * @see #getNoConsensus()
   * @generated
   */
  void setNoConsensus(ErrorHandlerSSR value);

  /**
   * Returns the value of the '<em><b>Value Mismatch</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * The error handling SSR specification in case one (or more) values demonstrate large mismatch, but the consensus still can be found.
   * <!-- end-model-doc -->
   * @return the value of the '<em>Value Mismatch</em>' reference.
   * @see #setValueMismatch(ErrorHandlerSSR)
   * @see safe10.classmodel.requirements.softwaresafetyrequirements.voting.VotingPackage#getVoting_ValueMismatch()
   * @model required="true"
   *        annotation="MetaData guid='{9C07F4B5-60AE-4305-8CDB-AA72290755F2}' id='1704439731' EA\040name=''"
   *        annotation="TaggedValues xml.name='VALUE-MISMATCH-REF' xml.namePlural='VALUE-MISMATCH-REFS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  ErrorHandlerSSR getValueMismatch();

  /**
   * Sets the value of the '{@link safe10.classmodel.requirements.softwaresafetyrequirements.voting.Voting#getValueMismatch <em>Value Mismatch</em>}' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Value Mismatch</em>' reference.
   * @see #getValueMismatch()
   * @generated
   */
  void setValueMismatch(ErrorHandlerSSR value);

  /**
   * Returns the value of the '<em><b>Config</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * Configuration of a Voting SSR
   * <!-- end-model-doc -->
   * @return the value of the '<em>Config</em>' containment reference.
   * @see #setConfig(VotingConfig)
   * @see safe10.classmodel.requirements.softwaresafetyrequirements.voting.VotingPackage#getVoting_Config()
   * @model containment="true" required="true"
   *        annotation="MetaData guid='{5DDB089B-A820-4383-B3B0-8558121F8E46}' id='520073644' EA\040name=''"
   *        annotation="TaggedValues xml.name='CONFIG' xml.namePlural='CONFIGS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  VotingConfig getConfig();

  /**
   * Sets the value of the '{@link safe10.classmodel.requirements.softwaresafetyrequirements.voting.Voting#getConfig <em>Config</em>}' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Config</em>' containment reference.
   * @see #getConfig()
   * @generated
   */
  void setConfig(VotingConfig value);

  /**
   * Returns the value of the '<em><b>Result</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * Voting result
   * <!-- end-model-doc -->
   * @return the value of the '<em>Result</em>' containment reference.
   * @see #setResult(VotingParameter)
   * @see safe10.classmodel.requirements.softwaresafetyrequirements.voting.VotingPackage#getVoting_Result()
   * @model containment="true" required="true"
   *        annotation="MetaData guid='{184A2A28-3E44-4b2e-89D7-08BFE4D2B84F}' id='-2102482348' EA\040name=''"
   *        annotation="TaggedValues xml.name='RESULT' xml.namePlural='RESULTS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='true' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  VotingParameter getResult();

  /**
   * Sets the value of the '{@link safe10.classmodel.requirements.softwaresafetyrequirements.voting.Voting#getResult <em>Result</em>}' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Result</em>' containment reference.
   * @see #getResult()
   * @generated
   */
  void setResult(VotingParameter value);

  /**
   * Returns the value of the '<em><b>Input Data</b></em>' containment reference list.
   * The list contents are of type {@link safe10.classmodel.requirements.softwaresafetyrequirements.voting.VotingParameter}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * Input data for voting.
   * <!-- end-model-doc -->
   * @return the value of the '<em>Input Data</em>' containment reference list.
   * @see safe10.classmodel.requirements.softwaresafetyrequirements.voting.VotingPackage#getVoting_InputData()
   * @model containment="true" required="true"
   *        annotation="MetaData guid='{8EB8A15B-B4A0-407b-9012-48D5250D11D3}' id='108' EA\040name=''"
   *        annotation="TaggedValues xml.name='INPUT-DATA' xml.namePlural='INPUT-DATAS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='false' xml.roleWrapperElement='true' xml.typeElement='true' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  EList<VotingParameter> getInputData();

} // Voting
