/**
 */
package safe10.classmodel.requirements.softwaresafetyrequirements.voting;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;

import org.eclipse.emf.common.util.Enumerator;

/**
 * <!-- begin-user-doc -->
 * A representation of the literals of the enumeration '<em><b>Algorithm</b></em>',
 * and utility methods for working with them.
 * <!-- end-user-doc -->
 * <!-- begin-model-doc -->
 * Possible voting algorithms: if the values are different, which one should be returned?
 * <!-- end-model-doc -->
 * @see safe10.classmodel.requirements.softwaresafetyrequirements.voting.VotingPackage#getVotingAlgorithm()
 * @model annotation="MetaData guid='{0BCADA20-7FE8-4f2a-9D5E-0174DF5ACD59}' id='280' EA\040name='VotingAlgorithm'"
 *        annotation="Stereotype Stereotype='enumeration'"
 *        annotation="TaggedValues xml.name='VOTING-ALGORITHM' xml.namePlural='VOTING-ALGORITHMS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public enum VotingAlgorithm implements Enumerator
{
  /**
   * The '<em><b>Median</b></em>' literal object.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #MEDIAN_VALUE
   * @generated
   * @ordered
   */
  MEDIAN(0, "Median", "MEDIAN"),

  /**
   * The '<em><b>Mean</b></em>' literal object.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #MEAN_VALUE
   * @generated
   * @ordered
   */
  MEAN(1, "Mean", "MEAN"),

  /**
   * The '<em><b>Maximum</b></em>' literal object.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #MAXIMUM_VALUE
   * @generated
   * @ordered
   */
  MAXIMUM(2, "Maximum", "MAXIMUM"),

  /**
   * The '<em><b>Minimum</b></em>' literal object.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #MINIMUM_VALUE
   * @generated
   * @ordered
   */
  MINIMUM(3, "Minimum", "MINIMUM");

  /**
   * The '<em><b>Median</b></em>' literal value.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of '<em><b>Median</b></em>' literal object isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @see #MEDIAN
   * @model name="Median" literal="MEDIAN"
   *        annotation="TaggedValues xml.name='MEDIAN' xml.namePlural='MEDIANS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   * @ordered
   */
  public static final int MEDIAN_VALUE = 0;

  /**
   * The '<em><b>Mean</b></em>' literal value.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of '<em><b>Mean</b></em>' literal object isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @see #MEAN
   * @model name="Mean" literal="MEAN"
   *        annotation="TaggedValues xml.name='MEAN' xml.namePlural='MEANS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   * @ordered
   */
  public static final int MEAN_VALUE = 1;

  /**
   * The '<em><b>Maximum</b></em>' literal value.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of '<em><b>Maximum</b></em>' literal object isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @see #MAXIMUM
   * @model name="Maximum" literal="MAXIMUM"
   *        annotation="TaggedValues xml.name='MAXIMUM' xml.namePlural='MAXIMUMS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   * @ordered
   */
  public static final int MAXIMUM_VALUE = 2;

  /**
   * The '<em><b>Minimum</b></em>' literal value.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of '<em><b>Minimum</b></em>' literal object isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @see #MINIMUM
   * @model name="Minimum" literal="MINIMUM"
   *        annotation="TaggedValues xml.name='MINIMUM' xml.namePlural='MINIMUMS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   * @ordered
   */
  public static final int MINIMUM_VALUE = 3;

  /**
   * An array of all the '<em><b>Algorithm</b></em>' enumerators.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private static final VotingAlgorithm[] VALUES_ARRAY =
    new VotingAlgorithm[]
    {
      MEDIAN,
      MEAN,
      MAXIMUM,
      MINIMUM,
    };

  /**
   * A public read-only list of all the '<em><b>Algorithm</b></em>' enumerators.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public static final List<VotingAlgorithm> VALUES = Collections.unmodifiableList(Arrays.asList(VALUES_ARRAY));

  /**
   * Returns the '<em><b>Algorithm</b></em>' literal with the specified literal value.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public static VotingAlgorithm get(String literal)
  {
    for (int i = 0; i < VALUES_ARRAY.length; ++i)
    {
      VotingAlgorithm result = VALUES_ARRAY[i];
      if (result.toString().equals(literal))
      {
        return result;
      }
    }
    return null;
  }

  /**
   * Returns the '<em><b>Algorithm</b></em>' literal with the specified name.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public static VotingAlgorithm getByName(String name)
  {
    for (int i = 0; i < VALUES_ARRAY.length; ++i)
    {
      VotingAlgorithm result = VALUES_ARRAY[i];
      if (result.getName().equals(name))
      {
        return result;
      }
    }
    return null;
  }

  /**
   * Returns the '<em><b>Algorithm</b></em>' literal with the specified integer value.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public static VotingAlgorithm get(int value)
  {
    switch (value)
    {
      case MEDIAN_VALUE: return MEDIAN;
      case MEAN_VALUE: return MEAN;
      case MAXIMUM_VALUE: return MAXIMUM;
      case MINIMUM_VALUE: return MINIMUM;
    }
    return null;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private final int value;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private final String name;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private final String literal;

  /**
   * Only this class can construct instances.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private VotingAlgorithm(int value, String name, String literal)
  {
    this.value = value;
    this.name = name;
    this.literal = literal;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public int getValue()
  {
    return value;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String getName()
  {
    return name;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String getLiteral()
  {
    return literal;
  }

  /**
   * Returns the literal value of the enumerator, which is its string representation.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public String toString()
  {
    return literal;
  }
  
} //VotingAlgorithm
