/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package safe10.classmodel.software.configuration;

import org.eclipse.emf.common.util.EList;

import org.eclipse.emf.ecore.EObject;

import safe10.classmodel.requirements.SoftwareSafetyRequirement;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Code Generation Configuration</b></em>'.
 * <!-- end-user-doc -->
 *
 * <!-- begin-model-doc -->
 * An SSMConfiguration defines the parameters needed by specific code generators. It provides a set of name/value pairs which contain additional information not defined within the software safety mechanism.
 * <!-- end-model-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link safe10.classmodel.software.configuration.CodeGenerationConfiguration#getFromRequirement <em>From Requirement</em>}</li>
 *   <li>{@link safe10.classmodel.software.configuration.CodeGenerationConfiguration#getParams <em>Params</em>}</li>
 * </ul>
 * </p>
 *
 * @see safe10.classmodel.software.configuration.ConfigurationPackage#getCodeGenerationConfiguration()
 * @model annotation="MetaData guid='{22B97EDE-B737-4896-AAE9-C4F264B4A520}' id='206' EA\040name='CodeGenerationConfiguration'"
 *        annotation="TaggedValues xml.name='CODE-GENERATION-CONFIGURATION' xml.namePlural='CODE-GENERATION-CONFIGURATIONS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public interface CodeGenerationConfiguration extends EObject
{
  /**
   * Returns the value of the '<em><b>From Requirement</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * The mechanism configured by the SSMConfiguration element
   * <!-- end-model-doc -->
   * @return the value of the '<em>From Requirement</em>' reference.
   * @see #setFromRequirement(SoftwareSafetyRequirement)
   * @see safe10.classmodel.software.configuration.ConfigurationPackage#getCodeGenerationConfiguration_FromRequirement()
   * @model required="true"
   *        annotation="MetaData guid='{E9ECC986-9719-421c-9E22-D9F342D002C2}' id='184' EA\040name=''"
   *        annotation="TaggedValues xml.name='FROM-REQUIREMENT-REF' xml.namePlural='FROM-REQUIREMENT-REFS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='true' xml.roleWrapperElement='false' xml.typeElement='false' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  SoftwareSafetyRequirement getFromRequirement();

  /**
   * Sets the value of the '{@link safe10.classmodel.software.configuration.CodeGenerationConfiguration#getFromRequirement <em>From Requirement</em>}' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>From Requirement</em>' reference.
   * @see #getFromRequirement()
   * @generated
   */
  void setFromRequirement(SoftwareSafetyRequirement value);

  /**
   * Returns the value of the '<em><b>Params</b></em>' containment reference list.
   * The list contents are of type {@link safe10.classmodel.software.configuration.ConfigParameter}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * <!-- begin-model-doc -->
   * Parameters necessary for the configuration of a safety mechanism.
   * <!-- end-model-doc -->
   * @return the value of the '<em>Params</em>' containment reference list.
   * @see safe10.classmodel.software.configuration.ConfigurationPackage#getCodeGenerationConfiguration_Params()
   * @model containment="true" required="true"
   *        annotation="MetaData guid='{9D729FCF-935D-4c19-859B-C1FED36544D7}' id='173' EA\040name=''"
   *        annotation="TaggedValues xml.name='PARAMS' xml.namePlural='PARAMSS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1' xml.roleElement='false' xml.roleWrapperElement='true' xml.typeElement='true' xml.typeWrapperElement='false'"
   *        annotation="EAAdapter metaModelType='SAFE'"
   * @generated
   */
  EList<ConfigParameter> getParams();

} // CodeGenerationConfiguration
