/**
 */
package safe10.classmodel.software.configuration;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

/**
 * <!-- begin-user-doc -->
 * The <b>Package</b> for the model.
 * It contains accessors for the meta objects to represent
 * <ul>
 *   <li>each class,</li>
 *   <li>each feature of each class,</li>
 *   <li>each enum,</li>
 *   <li>and each data type</li>
 * </ul>
 * <!-- end-user-doc -->
 * @see safe10.classmodel.software.configuration.ConfigurationFactory
 * @model kind="package"
 *        annotation="MetaData guid='{587A77FE-3B0D-400e-8C82-A9E5AF0AEBFF}' id='2120326639' EA\040name='Configuration'"
 *        annotation="TaggedValues xml.name='CONFIGURATION' xml.namePlural='CONFIGURATIONS' xml.nsPrefix='EA' xml.nsUri='http://safe-project.eu/1.0.1'"
 *        annotation="EAAdapter metaModelType='SAFE'"
 * @generated
 */
public interface ConfigurationPackage extends EPackage
{
  /**
   * The package name.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNAME = "configuration";

  /**
   * The package namespace URI.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNS_URI = "http://safe-project.eu/1.0.1/safe10/classmodel/software/configuration";

  /**
   * The package namespace name.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNS_PREFIX = "";

  /**
   * The singleton instance of the package.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  ConfigurationPackage eINSTANCE = safe10.classmodel.software.configuration.impl.ConfigurationPackageImpl.init();

  /**
   * The meta object id for the '{@link safe10.classmodel.software.configuration.impl.ConfigParameterValueImpl <em>Config Parameter Value</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.software.configuration.impl.ConfigParameterValueImpl
   * @see safe10.classmodel.software.configuration.impl.ConfigurationPackageImpl#getConfigParameterValue()
   * @generated
   */
  int CONFIG_PARAMETER_VALUE = 3;

  /**
   * The number of structural features of the '<em>Config Parameter Value</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CONFIG_PARAMETER_VALUE_FEATURE_COUNT = 0;

  /**
   * The meta object id for the '{@link safe10.classmodel.software.configuration.impl.BooleanConfigParameterValueImpl <em>Boolean Config Parameter Value</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.software.configuration.impl.BooleanConfigParameterValueImpl
   * @see safe10.classmodel.software.configuration.impl.ConfigurationPackageImpl#getBooleanConfigParameterValue()
   * @generated
   */
  int BOOLEAN_CONFIG_PARAMETER_VALUE = 0;

  /**
   * The number of structural features of the '<em>Boolean Config Parameter Value</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int BOOLEAN_CONFIG_PARAMETER_VALUE_FEATURE_COUNT = CONFIG_PARAMETER_VALUE_FEATURE_COUNT + 0;

  /**
   * The meta object id for the '{@link safe10.classmodel.software.configuration.impl.CodeGenerationConfigurationImpl <em>Code Generation Configuration</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.software.configuration.impl.CodeGenerationConfigurationImpl
   * @see safe10.classmodel.software.configuration.impl.ConfigurationPackageImpl#getCodeGenerationConfiguration()
   * @generated
   */
  int CODE_GENERATION_CONFIGURATION = 1;

  /**
   * The feature id for the '<em><b>From Requirement</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CODE_GENERATION_CONFIGURATION__FROM_REQUIREMENT = 0;

  /**
   * The feature id for the '<em><b>Params</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CODE_GENERATION_CONFIGURATION__PARAMS = 1;

  /**
   * The number of structural features of the '<em>Code Generation Configuration</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CODE_GENERATION_CONFIGURATION_FEATURE_COUNT = 2;

  /**
   * The meta object id for the '{@link safe10.classmodel.software.configuration.impl.ConfigParameterImpl <em>Config Parameter</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.software.configuration.impl.ConfigParameterImpl
   * @see safe10.classmodel.software.configuration.impl.ConfigurationPackageImpl#getConfigParameter()
   * @generated
   */
  int CONFIG_PARAMETER = 2;

  /**
   * The feature id for the '<em><b>Value</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CONFIG_PARAMETER__VALUE = 0;

  /**
   * The number of structural features of the '<em>Config Parameter</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CONFIG_PARAMETER_FEATURE_COUNT = 1;

  /**
   * The meta object id for the '{@link safe10.classmodel.software.configuration.impl.FloatConfigParameterValueImpl <em>Float Config Parameter Value</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.software.configuration.impl.FloatConfigParameterValueImpl
   * @see safe10.classmodel.software.configuration.impl.ConfigurationPackageImpl#getFloatConfigParameterValue()
   * @generated
   */
  int FLOAT_CONFIG_PARAMETER_VALUE = 4;

  /**
   * The number of structural features of the '<em>Float Config Parameter Value</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int FLOAT_CONFIG_PARAMETER_VALUE_FEATURE_COUNT = CONFIG_PARAMETER_VALUE_FEATURE_COUNT + 0;

  /**
   * The meta object id for the '{@link safe10.classmodel.software.configuration.impl.IdentifierConfigParameterValueImpl <em>Identifier Config Parameter Value</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.software.configuration.impl.IdentifierConfigParameterValueImpl
   * @see safe10.classmodel.software.configuration.impl.ConfigurationPackageImpl#getIdentifierConfigParameterValue()
   * @generated
   */
  int IDENTIFIER_CONFIG_PARAMETER_VALUE = 5;

  /**
   * The number of structural features of the '<em>Identifier Config Parameter Value</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int IDENTIFIER_CONFIG_PARAMETER_VALUE_FEATURE_COUNT = CONFIG_PARAMETER_VALUE_FEATURE_COUNT + 0;

  /**
   * The meta object id for the '{@link safe10.classmodel.software.configuration.impl.IntegerConfigParameterValueImpl <em>Integer Config Parameter Value</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.software.configuration.impl.IntegerConfigParameterValueImpl
   * @see safe10.classmodel.software.configuration.impl.ConfigurationPackageImpl#getIntegerConfigParameterValue()
   * @generated
   */
  int INTEGER_CONFIG_PARAMETER_VALUE = 6;

  /**
   * The number of structural features of the '<em>Integer Config Parameter Value</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int INTEGER_CONFIG_PARAMETER_VALUE_FEATURE_COUNT = CONFIG_PARAMETER_VALUE_FEATURE_COUNT + 0;

  /**
   * The meta object id for the '{@link safe10.classmodel.software.configuration.impl.StringConfigParameterValueImpl <em>String Config Parameter Value</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see safe10.classmodel.software.configuration.impl.StringConfigParameterValueImpl
   * @see safe10.classmodel.software.configuration.impl.ConfigurationPackageImpl#getStringConfigParameterValue()
   * @generated
   */
  int STRING_CONFIG_PARAMETER_VALUE = 7;

  /**
   * The number of structural features of the '<em>String Config Parameter Value</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int STRING_CONFIG_PARAMETER_VALUE_FEATURE_COUNT = CONFIG_PARAMETER_VALUE_FEATURE_COUNT + 0;


  /**
   * Returns the meta object for class '{@link safe10.classmodel.software.configuration.BooleanConfigParameterValue <em>Boolean Config Parameter Value</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Boolean Config Parameter Value</em>'.
   * @see safe10.classmodel.software.configuration.BooleanConfigParameterValue
   * @generated
   */
  EClass getBooleanConfigParameterValue();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.software.configuration.CodeGenerationConfiguration <em>Code Generation Configuration</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Code Generation Configuration</em>'.
   * @see safe10.classmodel.software.configuration.CodeGenerationConfiguration
   * @generated
   */
  EClass getCodeGenerationConfiguration();

  /**
   * Returns the meta object for the reference '{@link safe10.classmodel.software.configuration.CodeGenerationConfiguration#getFromRequirement <em>From Requirement</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the reference '<em>From Requirement</em>'.
   * @see safe10.classmodel.software.configuration.CodeGenerationConfiguration#getFromRequirement()
   * @see #getCodeGenerationConfiguration()
   * @generated
   */
  EReference getCodeGenerationConfiguration_FromRequirement();

  /**
   * Returns the meta object for the containment reference list '{@link safe10.classmodel.software.configuration.CodeGenerationConfiguration#getParams <em>Params</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference list '<em>Params</em>'.
   * @see safe10.classmodel.software.configuration.CodeGenerationConfiguration#getParams()
   * @see #getCodeGenerationConfiguration()
   * @generated
   */
  EReference getCodeGenerationConfiguration_Params();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.software.configuration.ConfigParameter <em>Config Parameter</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Config Parameter</em>'.
   * @see safe10.classmodel.software.configuration.ConfigParameter
   * @generated
   */
  EClass getConfigParameter();

  /**
   * Returns the meta object for the containment reference '{@link safe10.classmodel.software.configuration.ConfigParameter#getValue <em>Value</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Value</em>'.
   * @see safe10.classmodel.software.configuration.ConfigParameter#getValue()
   * @see #getConfigParameter()
   * @generated
   */
  EReference getConfigParameter_Value();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.software.configuration.ConfigParameterValue <em>Config Parameter Value</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Config Parameter Value</em>'.
   * @see safe10.classmodel.software.configuration.ConfigParameterValue
   * @generated
   */
  EClass getConfigParameterValue();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.software.configuration.FloatConfigParameterValue <em>Float Config Parameter Value</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Float Config Parameter Value</em>'.
   * @see safe10.classmodel.software.configuration.FloatConfigParameterValue
   * @generated
   */
  EClass getFloatConfigParameterValue();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.software.configuration.IdentifierConfigParameterValue <em>Identifier Config Parameter Value</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Identifier Config Parameter Value</em>'.
   * @see safe10.classmodel.software.configuration.IdentifierConfigParameterValue
   * @generated
   */
  EClass getIdentifierConfigParameterValue();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.software.configuration.IntegerConfigParameterValue <em>Integer Config Parameter Value</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Integer Config Parameter Value</em>'.
   * @see safe10.classmodel.software.configuration.IntegerConfigParameterValue
   * @generated
   */
  EClass getIntegerConfigParameterValue();

  /**
   * Returns the meta object for class '{@link safe10.classmodel.software.configuration.StringConfigParameterValue <em>String Config Parameter Value</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>String Config Parameter Value</em>'.
   * @see safe10.classmodel.software.configuration.StringConfigParameterValue
   * @generated
   */
  EClass getStringConfigParameterValue();

  /**
   * Returns the factory that creates the instances of the model.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the factory that creates the instances of the model.
   * @generated
   */
  ConfigurationFactory getConfigurationFactory();

  /**
   * <!-- begin-user-doc -->
   * Defines literals for the meta objects that represent
   * <ul>
   *   <li>each class,</li>
   *   <li>each feature of each class,</li>
   *   <li>each enum,</li>
   *   <li>and each data type</li>
   * </ul>
   * <!-- end-user-doc -->
   * @generated
   */
  interface Literals
  {
    /**
     * The meta object literal for the '{@link safe10.classmodel.software.configuration.impl.BooleanConfigParameterValueImpl <em>Boolean Config Parameter Value</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.software.configuration.impl.BooleanConfigParameterValueImpl
     * @see safe10.classmodel.software.configuration.impl.ConfigurationPackageImpl#getBooleanConfigParameterValue()
     * @generated
     */
    EClass BOOLEAN_CONFIG_PARAMETER_VALUE = eINSTANCE.getBooleanConfigParameterValue();

    /**
     * The meta object literal for the '{@link safe10.classmodel.software.configuration.impl.CodeGenerationConfigurationImpl <em>Code Generation Configuration</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.software.configuration.impl.CodeGenerationConfigurationImpl
     * @see safe10.classmodel.software.configuration.impl.ConfigurationPackageImpl#getCodeGenerationConfiguration()
     * @generated
     */
    EClass CODE_GENERATION_CONFIGURATION = eINSTANCE.getCodeGenerationConfiguration();

    /**
     * The meta object literal for the '<em><b>From Requirement</b></em>' reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference CODE_GENERATION_CONFIGURATION__FROM_REQUIREMENT = eINSTANCE.getCodeGenerationConfiguration_FromRequirement();

    /**
     * The meta object literal for the '<em><b>Params</b></em>' containment reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference CODE_GENERATION_CONFIGURATION__PARAMS = eINSTANCE.getCodeGenerationConfiguration_Params();

    /**
     * The meta object literal for the '{@link safe10.classmodel.software.configuration.impl.ConfigParameterImpl <em>Config Parameter</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.software.configuration.impl.ConfigParameterImpl
     * @see safe10.classmodel.software.configuration.impl.ConfigurationPackageImpl#getConfigParameter()
     * @generated
     */
    EClass CONFIG_PARAMETER = eINSTANCE.getConfigParameter();

    /**
     * The meta object literal for the '<em><b>Value</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference CONFIG_PARAMETER__VALUE = eINSTANCE.getConfigParameter_Value();

    /**
     * The meta object literal for the '{@link safe10.classmodel.software.configuration.impl.ConfigParameterValueImpl <em>Config Parameter Value</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.software.configuration.impl.ConfigParameterValueImpl
     * @see safe10.classmodel.software.configuration.impl.ConfigurationPackageImpl#getConfigParameterValue()
     * @generated
     */
    EClass CONFIG_PARAMETER_VALUE = eINSTANCE.getConfigParameterValue();

    /**
     * The meta object literal for the '{@link safe10.classmodel.software.configuration.impl.FloatConfigParameterValueImpl <em>Float Config Parameter Value</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.software.configuration.impl.FloatConfigParameterValueImpl
     * @see safe10.classmodel.software.configuration.impl.ConfigurationPackageImpl#getFloatConfigParameterValue()
     * @generated
     */
    EClass FLOAT_CONFIG_PARAMETER_VALUE = eINSTANCE.getFloatConfigParameterValue();

    /**
     * The meta object literal for the '{@link safe10.classmodel.software.configuration.impl.IdentifierConfigParameterValueImpl <em>Identifier Config Parameter Value</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.software.configuration.impl.IdentifierConfigParameterValueImpl
     * @see safe10.classmodel.software.configuration.impl.ConfigurationPackageImpl#getIdentifierConfigParameterValue()
     * @generated
     */
    EClass IDENTIFIER_CONFIG_PARAMETER_VALUE = eINSTANCE.getIdentifierConfigParameterValue();

    /**
     * The meta object literal for the '{@link safe10.classmodel.software.configuration.impl.IntegerConfigParameterValueImpl <em>Integer Config Parameter Value</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.software.configuration.impl.IntegerConfigParameterValueImpl
     * @see safe10.classmodel.software.configuration.impl.ConfigurationPackageImpl#getIntegerConfigParameterValue()
     * @generated
     */
    EClass INTEGER_CONFIG_PARAMETER_VALUE = eINSTANCE.getIntegerConfigParameterValue();

    /**
     * The meta object literal for the '{@link safe10.classmodel.software.configuration.impl.StringConfigParameterValueImpl <em>String Config Parameter Value</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see safe10.classmodel.software.configuration.impl.StringConfigParameterValueImpl
     * @see safe10.classmodel.software.configuration.impl.ConfigurationPackageImpl#getStringConfigParameterValue()
     * @generated
     */
    EClass STRING_CONFIG_PARAMETER_VALUE = eINSTANCE.getStringConfigParameterValue();

  }

} //ConfigurationPackage
