/**
 */
package safe10.classmodel.software.configuration.util;

import java.util.List;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EObject;

import safe10.classmodel.software.configuration.*;

/**
 * <!-- begin-user-doc -->
 * The <b>Switch</b> for the model's inheritance hierarchy.
 * It supports the call {@link #doSwitch(EObject) doSwitch(object)}
 * to invoke the <code>caseXXX</code> method for each class of the model,
 * starting with the actual class of the object
 * and proceeding up the inheritance hierarchy
 * until a non-null result is returned,
 * which is the result of the switch.
 * <!-- end-user-doc -->
 * @see safe10.classmodel.software.configuration.ConfigurationPackage
 * @generated
 */
public class ConfigurationSwitch<T>
{
  /**
   * The cached model package
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected static ConfigurationPackage modelPackage;

  /**
   * Creates an instance of the switch.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public ConfigurationSwitch()
  {
    if (modelPackage == null)
    {
      modelPackage = ConfigurationPackage.eINSTANCE;
    }
  }

  /**
   * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the first non-null result returned by a <code>caseXXX</code> call.
   * @generated
   */
  public T doSwitch(EObject theEObject)
  {
    return doSwitch(theEObject.eClass(), theEObject);
  }

  /**
   * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the first non-null result returned by a <code>caseXXX</code> call.
   * @generated
   */
  protected T doSwitch(EClass theEClass, EObject theEObject)
  {
    if (theEClass.eContainer() == modelPackage)
    {
      return doSwitch(theEClass.getClassifierID(), theEObject);
    }
    else
    {
      List<EClass> eSuperTypes = theEClass.getESuperTypes();
      return
        eSuperTypes.isEmpty() ?
          defaultCase(theEObject) :
          doSwitch(eSuperTypes.get(0), theEObject);
    }
  }

  /**
   * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the first non-null result returned by a <code>caseXXX</code> call.
   * @generated
   */
  protected T doSwitch(int classifierID, EObject theEObject)
  {
    switch (classifierID)
    {
      case ConfigurationPackage.BOOLEAN_CONFIG_PARAMETER_VALUE:
      {
        BooleanConfigParameterValue booleanConfigParameterValue = (BooleanConfigParameterValue)theEObject;
        T result = caseBooleanConfigParameterValue(booleanConfigParameterValue);
        if (result == null) result = caseConfigParameterValue(booleanConfigParameterValue);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case ConfigurationPackage.CODE_GENERATION_CONFIGURATION:
      {
        CodeGenerationConfiguration codeGenerationConfiguration = (CodeGenerationConfiguration)theEObject;
        T result = caseCodeGenerationConfiguration(codeGenerationConfiguration);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case ConfigurationPackage.CONFIG_PARAMETER:
      {
        ConfigParameter configParameter = (ConfigParameter)theEObject;
        T result = caseConfigParameter(configParameter);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case ConfigurationPackage.CONFIG_PARAMETER_VALUE:
      {
        ConfigParameterValue configParameterValue = (ConfigParameterValue)theEObject;
        T result = caseConfigParameterValue(configParameterValue);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case ConfigurationPackage.FLOAT_CONFIG_PARAMETER_VALUE:
      {
        FloatConfigParameterValue floatConfigParameterValue = (FloatConfigParameterValue)theEObject;
        T result = caseFloatConfigParameterValue(floatConfigParameterValue);
        if (result == null) result = caseConfigParameterValue(floatConfigParameterValue);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case ConfigurationPackage.IDENTIFIER_CONFIG_PARAMETER_VALUE:
      {
        IdentifierConfigParameterValue identifierConfigParameterValue = (IdentifierConfigParameterValue)theEObject;
        T result = caseIdentifierConfigParameterValue(identifierConfigParameterValue);
        if (result == null) result = caseConfigParameterValue(identifierConfigParameterValue);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case ConfigurationPackage.INTEGER_CONFIG_PARAMETER_VALUE:
      {
        IntegerConfigParameterValue integerConfigParameterValue = (IntegerConfigParameterValue)theEObject;
        T result = caseIntegerConfigParameterValue(integerConfigParameterValue);
        if (result == null) result = caseConfigParameterValue(integerConfigParameterValue);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case ConfigurationPackage.STRING_CONFIG_PARAMETER_VALUE:
      {
        StringConfigParameterValue stringConfigParameterValue = (StringConfigParameterValue)theEObject;
        T result = caseStringConfigParameterValue(stringConfigParameterValue);
        if (result == null) result = caseConfigParameterValue(stringConfigParameterValue);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      default: return defaultCase(theEObject);
    }
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Boolean Config Parameter Value</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Boolean Config Parameter Value</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseBooleanConfigParameterValue(BooleanConfigParameterValue object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Code Generation Configuration</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Code Generation Configuration</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseCodeGenerationConfiguration(CodeGenerationConfiguration object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Config Parameter</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Config Parameter</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseConfigParameter(ConfigParameter object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Config Parameter Value</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Config Parameter Value</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseConfigParameterValue(ConfigParameterValue object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Float Config Parameter Value</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Float Config Parameter Value</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseFloatConfigParameterValue(FloatConfigParameterValue object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Identifier Config Parameter Value</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Identifier Config Parameter Value</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseIdentifierConfigParameterValue(IdentifierConfigParameterValue object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Integer Config Parameter Value</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Integer Config Parameter Value</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseIntegerConfigParameterValue(IntegerConfigParameterValue object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>String Config Parameter Value</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>String Config Parameter Value</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseStringConfigParameterValue(StringConfigParameterValue object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>EObject</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch, but this is the last case anyway.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>EObject</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject)
   * @generated
   */
  public T defaultCase(EObject object)
  {
    return null;
  }

} //ConfigurationSwitch
