/**
 * <copyright>
 * 
 * Copyright (c) 2013 itemis and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors: 
 *     itemis - Initial API and implementation
 * 
 * </copyright>
 */
package org.safe.metamodel10;

import java.util.ArrayList;
import java.util.Collection;
import java.util.Collections;
import java.util.List;

import org.safe.ide.metamodel.SAFEMetaModelVersionData;
import org.eclipse.sphinx.emf.metamodel.IMetaModelDescriptor;
import org.safe.ide.metamodel.SAFEReleaseDescriptor;

public class SAFE10ReleaseDescriptor extends SAFEReleaseDescriptor{

	 /**
	   * The id of the content type for EAST-ADL 2.1.10 XML files.
	   */
	  public static final String SAFE_CONTENT_TYPE_ID = "org.safe.metamodel.safe10XMIFile"; // "org.eatop.eel.eastadl21.eastadl21XMLFile"

	  /**
	   * Identifier. http://safe-project.eu/1.0.1/safe10/classmodel/commonstructure/toplevel
	   */
	  private static final String ID = "org.safe.metamodel10"; 
	  private static final String NS_POSTFIX = "1.0.1"; 
	  private static final String EPKG_PATTERN = "1.0.1(/\\w+)+";
	  private static final String NAME = "SAFE 1.0"; 
	  private static final int MAJOR = 1; 
	  private static final int MINOR = 0; 
	  private static final int REVISION = 1; 
	  private static final int ORDINAL = 101; 

	  /**
	   * Default instance.
	   */
	  public static final SAFE10ReleaseDescriptor INSTANCE = new SAFE10ReleaseDescriptor();

	  /**
	   * Default constructor.
	   */
	  public SAFE10ReleaseDescriptor() {
	    super(ID, new SAFEMetaModelVersionData(NS_POSTFIX, EPKG_PATTERN, NAME, MAJOR, MINOR, REVISION, ORDINAL));
	  }
	  
	  @Override
	  public String getDefaultContentTypeId() {
	    return SAFE_CONTENT_TYPE_ID;
	  }

	  @Override
	  public  Collection<IMetaModelDescriptor> getCompatibleResourceVersionDescriptors() {
	    List<IMetaModelDescriptor> result = new ArrayList<IMetaModelDescriptor>();
	    result.add(SAFE10ReleaseDescriptor.INSTANCE);
	    return Collections.unmodifiableList(result);
	  }   
}
